#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7594
#define LARGE_STATE_COUNT 2053
#define SYMBOL_COUNT 378
#define ALIAS_COUNT 7
#define TOKEN_COUNT 164
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 334

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  anon_sym_GT = 49,
  anon_sym_DOT = 50,
  anon_sym_DQUOTE = 51,
  anon_sym_SQUOTE = 52,
  anon_sym_class = 53,
  anon_sym_async = 54,
  anon_sym_function = 55,
  anon_sym_EQ_GT = 56,
  anon_sym_QMARK_DOT = 57,
  anon_sym_new = 58,
  anon_sym_using = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT = 89,
  anon_sym_LT_EQ = 90,
  anon_sym_EQ_EQ = 91,
  anon_sym_EQ_EQ_EQ = 92,
  anon_sym_BANG_EQ = 93,
  anon_sym_BANG_EQ_EQ = 94,
  anon_sym_GT_EQ = 95,
  anon_sym_QMARK_QMARK = 96,
  anon_sym_instanceof = 97,
  anon_sym_TILDE = 98,
  anon_sym_void = 99,
  anon_sym_delete = 100,
  anon_sym_PLUS_PLUS = 101,
  anon_sym_DASH_DASH = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  aux_sym_comment_token1 = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_readonly = 123,
  anon_sym_get = 124,
  anon_sym_set = 125,
  anon_sym_QMARK = 126,
  anon_sym_declare = 127,
  anon_sym_public = 128,
  anon_sym_private = 129,
  anon_sym_protected = 130,
  anon_sym_override = 131,
  anon_sym_module = 132,
  anon_sym_any = 133,
  anon_sym_number = 134,
  anon_sym_boolean = 135,
  anon_sym_string = 136,
  anon_sym_symbol = 137,
  anon_sym_object = 138,
  anon_sym_abstract = 139,
  anon_sym_satisfies = 140,
  anon_sym_require = 141,
  anon_sym_extends = 142,
  anon_sym_implements = 143,
  anon_sym_global = 144,
  anon_sym_interface = 145,
  anon_sym_enum = 146,
  anon_sym_DASH_QMARK_COLON = 147,
  anon_sym_PLUS_QMARK_COLON = 148,
  anon_sym_QMARK_COLON = 149,
  anon_sym_asserts = 150,
  anon_sym_infer = 151,
  anon_sym_is = 152,
  anon_sym_keyof = 153,
  anon_sym_unique = 154,
  anon_sym_unknown = 155,
  anon_sym_never = 156,
  anon_sym_LBRACE_PIPE = 157,
  anon_sym_PIPE_RBRACE = 158,
  sym__automatic_semicolon = 159,
  sym__template_chars = 160,
  sym__ternary_qmark = 161,
  sym_html_comment = 162,
  sym__function_signature_automatic_semicolon = 163,
  sym_program = 164,
  sym_export_statement = 165,
  sym_namespace_export = 166,
  sym_export_clause = 167,
  sym_export_specifier = 168,
  sym__module_export_name = 169,
  sym_declaration = 170,
  sym_import = 171,
  sym_import_statement = 172,
  sym_import_clause = 173,
  sym__from_clause = 174,
  sym_namespace_import = 175,
  sym_named_imports = 176,
  sym_import_specifier = 177,
  sym_import_attribute = 178,
  sym_expression_statement = 179,
  sym_variable_declaration = 180,
  sym_lexical_declaration = 181,
  sym_variable_declarator = 182,
  sym_statement_block = 183,
  sym_else_clause = 184,
  sym_if_statement = 185,
  sym_switch_statement = 186,
  sym_for_statement = 187,
  sym_for_in_statement = 188,
  sym__for_header = 189,
  sym_while_statement = 190,
  sym_do_statement = 191,
  sym_try_statement = 192,
  sym_with_statement = 193,
  sym_break_statement = 194,
  sym_continue_statement = 195,
  sym_debugger_statement = 196,
  sym_return_statement = 197,
  sym_throw_statement = 198,
  sym_empty_statement = 199,
  sym_labeled_statement = 200,
  sym_switch_body = 201,
  sym_switch_case = 202,
  sym_switch_default = 203,
  sym_catch_clause = 204,
  sym_finally_clause = 205,
  sym_parenthesized_expression = 206,
  sym_expression = 207,
  sym_primary_expression = 208,
  sym_yield_expression = 209,
  sym_object = 210,
  sym_object_pattern = 211,
  sym_assignment_pattern = 212,
  sym_object_assignment_pattern = 213,
  sym_array = 214,
  sym_array_pattern = 215,
  sym_glimmer_template = 216,
  sym_glimmer_opening_tag = 217,
  sym_glimmer_closing_tag = 218,
  sym_nested_identifier = 219,
  sym_class = 220,
  sym_class_declaration = 221,
  sym_class_heritage = 222,
  sym_function_expression = 223,
  sym_function_declaration = 224,
  sym_generator_function = 225,
  sym_generator_function_declaration = 226,
  sym_arrow_function = 227,
  sym__call_signature = 228,
  sym__formal_parameter = 229,
  sym_optional_chain = 230,
  sym_call_expression = 231,
  sym_new_expression = 232,
  sym_await_expression = 233,
  sym_member_expression = 234,
  sym_subscript_expression = 235,
  sym_assignment_expression = 236,
  sym__augmented_assignment_lhs = 237,
  sym_augmented_assignment_expression = 238,
  sym__initializer = 239,
  sym__destructuring_pattern = 240,
  sym_spread_element = 241,
  sym_ternary_expression = 242,
  sym_binary_expression = 243,
  sym_unary_expression = 244,
  sym_update_expression = 245,
  sym_sequence_expression = 246,
  sym_string = 247,
  sym_comment = 248,
  sym_template_string = 249,
  sym_template_substitution = 250,
  sym_regex = 251,
  sym_meta_property = 252,
  sym_arguments = 253,
  sym_decorator = 254,
  sym_decorator_member_expression = 255,
  sym_decorator_call_expression = 256,
  sym_class_body = 257,
  sym_formal_parameters = 258,
  sym_class_static_block = 259,
  sym_pattern = 260,
  sym_rest_pattern = 261,
  sym_method_definition = 262,
  sym_pair = 263,
  sym_pair_pattern = 264,
  sym__property_name = 265,
  sym_computed_property_name = 266,
  sym_public_field_definition = 267,
  sym__import_identifier = 268,
  sym_non_null_expression = 269,
  sym_method_signature = 270,
  sym_abstract_method_signature = 271,
  sym_function_signature = 272,
  sym_type_assertion = 273,
  sym_as_expression = 274,
  sym_satisfies_expression = 275,
  sym_instantiation_expression = 276,
  sym_import_require_clause = 277,
  sym_extends_clause = 278,
  sym__extends_clause_single = 279,
  sym_implements_clause = 280,
  sym_ambient_declaration = 281,
  sym_abstract_class_declaration = 282,
  sym_module = 283,
  sym_internal_module = 284,
  sym__module = 285,
  sym_import_alias = 286,
  sym_nested_type_identifier = 287,
  sym_interface_declaration = 288,
  sym_extends_type_clause = 289,
  sym_enum_declaration = 290,
  sym_enum_body = 291,
  sym_enum_assignment = 292,
  sym_type_alias_declaration = 293,
  sym_accessibility_modifier = 294,
  sym_override_modifier = 295,
  sym_required_parameter = 296,
  sym_optional_parameter = 297,
  sym__parameter_name = 298,
  sym_omitting_type_annotation = 299,
  sym_adding_type_annotation = 300,
  sym_opting_type_annotation = 301,
  sym_type_annotation = 302,
  sym__type_query_member_expression_in_type_annotation = 303,
  sym__type_query_call_expression_in_type_annotation = 304,
  sym_asserts = 305,
  sym_asserts_annotation = 306,
  sym__type = 307,
  sym_tuple_parameter = 308,
  sym_optional_tuple_parameter = 309,
  sym_optional_type = 310,
  sym_rest_type = 311,
  sym__tuple_type_member = 312,
  sym_constructor_type = 313,
  sym__primary_type = 314,
  sym_template_type = 315,
  sym_template_literal_type = 316,
  sym_infer_type = 317,
  sym_conditional_type = 318,
  sym_generic_type = 319,
  sym_type_predicate = 320,
  sym_type_predicate_annotation = 321,
  sym__type_query_member_expression = 322,
  sym__type_query_subscript_expression = 323,
  sym__type_query_call_expression = 324,
  sym__type_query_instantiation_expression = 325,
  sym_type_query = 326,
  sym_index_type_query = 327,
  sym_lookup_type = 328,
  sym_mapped_type_clause = 329,
  sym_literal_type = 330,
  sym__number = 331,
  sym_existential_type = 332,
  sym_flow_maybe_type = 333,
  sym_parenthesized_type = 334,
  sym_predefined_type = 335,
  sym_type_arguments = 336,
  sym_object_type = 337,
  sym_call_signature = 338,
  sym_property_signature = 339,
  sym_type_parameters = 340,
  sym_type_parameter = 341,
  sym_default_type = 342,
  sym_constraint = 343,
  sym_construct_signature = 344,
  sym_index_signature = 345,
  sym_array_type = 346,
  sym_tuple_type = 347,
  sym_readonly_type = 348,
  sym_union_type = 349,
  sym_intersection_type = 350,
  sym_function_type = 351,
  aux_sym_program_repeat1 = 352,
  aux_sym_export_statement_repeat1 = 353,
  aux_sym_export_clause_repeat1 = 354,
  aux_sym_named_imports_repeat1 = 355,
  aux_sym_variable_declaration_repeat1 = 356,
  aux_sym_switch_body_repeat1 = 357,
  aux_sym_object_repeat1 = 358,
  aux_sym_object_pattern_repeat1 = 359,
  aux_sym_array_repeat1 = 360,
  aux_sym_array_pattern_repeat1 = 361,
  aux_sym_glimmer_template_repeat1 = 362,
  aux_sym_sequence_expression_repeat1 = 363,
  aux_sym_string_repeat1 = 364,
  aux_sym_string_repeat2 = 365,
  aux_sym_template_string_repeat1 = 366,
  aux_sym_class_body_repeat1 = 367,
  aux_sym_formal_parameters_repeat1 = 368,
  aux_sym_extends_clause_repeat1 = 369,
  aux_sym_implements_clause_repeat1 = 370,
  aux_sym_extends_type_clause_repeat1 = 371,
  aux_sym_enum_body_repeat1 = 372,
  aux_sym_template_literal_type_repeat1 = 373,
  aux_sym_type_arguments_repeat1 = 374,
  aux_sym_object_type_repeat1 = 375,
  aux_sym_type_parameters_repeat1 = 376,
  aux_sym_tuple_type_repeat1 = 377,
  alias_sym_interface_body = 378,
  alias_sym_property_identifier = 379,
  alias_sym_shorthand_property_identifier = 380,
  alias_sym_shorthand_property_identifier_pattern = 381,
  alias_sym_statement_identifier = 382,
  alias_sym_this_type = 383,
  alias_sym_type_identifier = 384,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_optional_chain = 31,
  field_parameter = 32,
  field_parameters = 33,
  field_pattern = 34,
  field_property = 35,
  field_return_type = 36,
  field_right = 37,
  field_sign = 38,
  field_source = 39,
  field_type = 40,
  field_type_arguments = 41,
  field_type_parameters = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [14] = {.index = 3, .length = 1},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 2},
  [19] = {.index = 17, .length = 2},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 24, .length = 2},
  [24] = {.index = 26, .length = 2},
  [25] = {.index = 28, .length = 1},
  [26] = {.index = 29, .length = 2},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 2},
  [33] = {.index = 37, .length = 1},
  [34] = {.index = 38, .length = 2},
  [35] = {.index = 40, .length = 2},
  [36] = {.index = 42, .length = 2},
  [37] = {.index = 44, .length = 1},
  [38] = {.index = 45, .length = 2},
  [39] = {.index = 47, .length = 2},
  [40] = {.index = 49, .length = 6},
  [41] = {.index = 55, .length = 1},
  [42] = {.index = 56, .length = 3},
  [43] = {.index = 59, .length = 3},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 66, .length = 2},
  [47] = {.index = 68, .length = 2},
  [48] = {.index = 70, .length = 1},
  [49] = {.index = 71, .length = 2},
  [50] = {.index = 73, .length = 1},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 2},
  [54] = {.index = 79, .length = 4},
  [55] = {.index = 83, .length = 2},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 3},
  [58] = {.index = 90, .length = 2},
  [59] = {.index = 92, .length = 2},
  [60] = {.index = 94, .length = 2},
  [61] = {.index = 96, .length = 2},
  [62] = {.index = 98, .length = 1},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 2},
  [65] = {.index = 103, .length = 2},
  [68] = {.index = 99, .length = 2},
  [69] = {.index = 105, .length = 4},
  [70] = {.index = 29, .length = 2},
  [71] = {.index = 33, .length = 2},
  [72] = {.index = 109, .length = 3},
  [73] = {.index = 71, .length = 2},
  [74] = {.index = 71, .length = 2},
  [75] = {.index = 112, .length = 2},
  [76] = {.index = 112, .length = 2},
  [77] = {.index = 114, .length = 3},
  [78] = {.index = 114, .length = 3},
  [79] = {.index = 117, .length = 3},
  [80] = {.index = 120, .length = 2},
  [81] = {.index = 122, .length = 3},
  [82] = {.index = 125, .length = 4},
  [83] = {.index = 129, .length = 3},
  [84] = {.index = 132, .length = 2},
  [85] = {.index = 134, .length = 2},
  [86] = {.index = 136, .length = 1},
  [87] = {.index = 137, .length = 1},
  [88] = {.index = 98, .length = 1},
  [89] = {.index = 112, .length = 2},
  [90] = {.index = 29, .length = 2},
  [91] = {.index = 138, .length = 2},
  [92] = {.index = 140, .length = 5},
  [93] = {.index = 145, .length = 1},
  [94] = {.index = 146, .length = 1},
  [95] = {.index = 147, .length = 2},
  [96] = {.index = 149, .length = 3},
  [97] = {.index = 152, .length = 2},
  [98] = {.index = 154, .length = 3},
  [99] = {.index = 157, .length = 6},
  [100] = {.index = 163, .length = 1},
  [101] = {.index = 164, .length = 1},
  [102] = {.index = 165, .length = 3},
  [103] = {.index = 168, .length = 3},
  [104] = {.index = 171, .length = 4},
  [105] = {.index = 175, .length = 2},
  [106] = {.index = 177, .length = 2},
  [107] = {.index = 179, .length = 3},
  [108] = {.index = 182, .length = 4},
  [109] = {.index = 186, .length = 1},
  [110] = {.index = 187, .length = 2},
  [111] = {.index = 189, .length = 1},
  [112] = {.index = 190, .length = 2},
  [113] = {.index = 192, .length = 3},
  [114] = {.index = 195, .length = 2},
  [115] = {.index = 197, .length = 4},
  [116] = {.index = 201, .length = 2},
  [117] = {.index = 203, .length = 2},
  [118] = {.index = 205, .length = 4},
  [119] = {.index = 203, .length = 2},
  [120] = {.index = 209, .length = 4},
  [121] = {.index = 213, .length = 4},
  [122] = {.index = 217, .length = 5},
  [123] = {.index = 222, .length = 3},
  [124] = {.index = 225, .length = 2},
  [125] = {.index = 225, .length = 2},
  [126] = {.index = 227, .length = 2},
  [127] = {.index = 229, .length = 1},
  [128] = {.index = 230, .length = 2},
  [129] = {.index = 232, .length = 4},
  [130] = {.index = 236, .length = 4},
  [131] = {.index = 240, .length = 4},
  [132] = {.index = 244, .length = 2},
  [133] = {.index = 246, .length = 2},
  [134] = {.index = 248, .length = 2},
  [135] = {.index = 250, .length = 3},
  [136] = {.index = 253, .length = 2},
  [137] = {.index = 255, .length = 4},
  [138] = {.index = 255, .length = 4},
  [139] = {.index = 259, .length = 4},
  [140] = {.index = 259, .length = 4},
  [141] = {.index = 152, .length = 2},
  [142] = {.index = 263, .length = 1},
  [143] = {.index = 263, .length = 1},
  [144] = {.index = 190, .length = 2},
  [145] = {.index = 192, .length = 3},
  [146] = {.index = 264, .length = 2},
  [147] = {.index = 266, .length = 3},
  [148] = {.index = 269, .length = 2},
  [149] = {.index = 271, .length = 3},
  [150] = {.index = 274, .length = 2},
  [151] = {.index = 276, .length = 3},
  [152] = {.index = 279, .length = 1},
  [153] = {.index = 280, .length = 2},
  [154] = {.index = 282, .length = 2},
  [155] = {.index = 284, .length = 5},
  [156] = {.index = 280, .length = 2},
  [157] = {.index = 289, .length = 1},
  [158] = {.index = 290, .length = 4},
  [159] = {.index = 294, .length = 2},
  [160] = {.index = 296, .length = 1},
  [161] = {.index = 297, .length = 2},
  [162] = {.index = 299, .length = 2},
  [163] = {.index = 301, .length = 2},
  [164] = {.index = 303, .length = 4},
  [165] = {.index = 307, .length = 2},
  [166] = {.index = 309, .length = 3},
  [167] = {.index = 312, .length = 3},
  [168] = {.index = 315, .length = 3},
  [169] = {.index = 318, .length = 4},
  [170] = {.index = 322, .length = 4},
  [171] = {.index = 326, .length = 4},
  [172] = {.index = 330, .length = 5},
  [173] = {.index = 335, .length = 2},
  [174] = {.index = 337, .length = 2},
  [175] = {.index = 339, .length = 1},
  [176] = {.index = 340, .length = 4},
  [177] = {.index = 340, .length = 4},
  [178] = {.index = 344, .length = 3},
  [179] = {.index = 347, .length = 2},
  [180] = {.index = 349, .length = 3},
  [181] = {.index = 352, .length = 2},
  [182] = {.index = 354, .length = 3},
  [183] = {.index = 357, .length = 2},
  [184] = {.index = 357, .length = 2},
  [185] = {.index = 315, .length = 3},
  [186] = {.index = 359, .length = 3},
  [187] = {.index = 362, .length = 3},
  [188] = {.index = 147, .length = 2},
  [189] = {.index = 365, .length = 2},
  [190] = {.index = 367, .length = 3},
  [191] = {.index = 370, .length = 4},
  [192] = {.index = 374, .length = 3},
  [193] = {.index = 377, .length = 3},
  [194] = {.index = 380, .length = 2},
  [195] = {.index = 382, .length = 3},
  [196] = {.index = 385, .length = 5},
  [197] = {.index = 380, .length = 2},
  [198] = {.index = 390, .length = 3},
  [199] = {.index = 390, .length = 3},
  [200] = {.index = 393, .length = 3},
  [201] = {.index = 396, .length = 2},
  [202] = {.index = 398, .length = 4},
  [203] = {.index = 147, .length = 2},
  [204] = {.index = 402, .length = 1},
  [205] = {.index = 403, .length = 2},
  [206] = {.index = 405, .length = 2},
  [207] = {.index = 407, .length = 2},
  [208] = {.index = 409, .length = 2},
  [209] = {.index = 411, .length = 3},
  [210] = {.index = 414, .length = 1},
  [211] = {.index = 415, .length = 3},
  [212] = {.index = 418, .length = 2},
  [213] = {.index = 420, .length = 3},
  [214] = {.index = 423, .length = 3},
  [215] = {.index = 426, .length = 3},
  [216] = {.index = 429, .length = 3},
  [217] = {.index = 432, .length = 4},
  [218] = {.index = 436, .length = 5},
  [219] = {.index = 441, .length = 3},
  [220] = {.index = 444, .length = 2},
  [221] = {.index = 446, .length = 2},
  [222] = {.index = 448, .length = 4},
  [223] = {.index = 452, .length = 4},
  [224] = {.index = 456, .length = 4},
  [225] = {.index = 460, .length = 3},
  [226] = {.index = 463, .length = 2},
  [227] = {.index = 465, .length = 3},
  [228] = {.index = 468, .length = 2},
  [229] = {.index = 470, .length = 2},
  [230] = {.index = 472, .length = 2},
  [231] = {.index = 474, .length = 1},
  [232] = {.index = 475, .length = 4},
  [233] = {.index = 479, .length = 3},
  [234] = {.index = 482, .length = 4},
  [235] = {.index = 486, .length = 5},
  [236] = {.index = 491, .length = 1},
  [237] = {.index = 492, .length = 2},
  [238] = {.index = 494, .length = 4},
  [239] = {.index = 498, .length = 4},
  [240] = {.index = 502, .length = 2},
  [241] = {.index = 504, .length = 4},
  [242] = {.index = 508, .length = 4},
  [243] = {.index = 512, .length = 2},
  [244] = {.index = 514, .length = 2},
  [245] = {.index = 516, .length = 3},
  [246] = {.index = 519, .length = 3},
  [247] = {.index = 522, .length = 2},
  [248] = {.index = 524, .length = 2},
  [249] = {.index = 526, .length = 1},
  [250] = {.index = 527, .length = 1},
  [251] = {.index = 528, .length = 3},
  [252] = {.index = 531, .length = 3},
  [253] = {.index = 534, .length = 3},
  [254] = {.index = 537, .length = 3},
  [255] = {.index = 540, .length = 4},
  [256] = {.index = 544, .length = 2},
  [257] = {.index = 546, .length = 4},
  [258] = {.index = 550, .length = 3},
  [259] = {.index = 553, .length = 2},
  [260] = {.index = 555, .length = 4},
  [261] = {.index = 559, .length = 4},
  [262] = {.index = 563, .length = 4},
  [263] = {.index = 567, .length = 3},
  [265] = {.index = 570, .length = 4},
  [266] = {.index = 574, .length = 5},
  [267] = {.index = 579, .length = 5},
  [268] = {.index = 584, .length = 5},
  [269] = {.index = 589, .length = 3},
  [270] = {.index = 592, .length = 3},
  [271] = {.index = 595, .length = 3},
  [272] = {.index = 592, .length = 3},
  [273] = {.index = 598, .length = 2},
  [274] = {.index = 600, .length = 4},
  [275] = {.index = 604, .length = 4},
  [276] = {.index = 608, .length = 3},
  [277] = {.index = 611, .length = 2},
  [278] = {.index = 613, .length = 2},
  [279] = {.index = 615, .length = 3},
  [280] = {.index = 618, .length = 2},
  [281] = {.index = 620, .length = 2},
  [282] = {.index = 622, .length = 1},
  [283] = {.index = 623, .length = 3},
  [284] = {.index = 626, .length = 3},
  [285] = {.index = 629, .length = 4},
  [286] = {.index = 633, .length = 4},
  [287] = {.index = 637, .length = 3},
  [288] = {.index = 640, .length = 3},
  [289] = {.index = 643, .length = 2},
  [290] = {.index = 645, .length = 4},
  [291] = {.index = 649, .length = 5},
  [292] = {.index = 654, .length = 5},
  [293] = {.index = 659, .length = 4},
  [294] = {.index = 663, .length = 4},
  [295] = {.index = 667, .length = 3},
  [296] = {.index = 670, .length = 3},
  [297] = {.index = 670, .length = 3},
  [298] = {.index = 673, .length = 2},
  [299] = {.index = 675, .length = 2},
  [300] = {.index = 677, .length = 3},
  [301] = {.index = 680, .length = 2},
  [302] = {.index = 682, .length = 2},
  [303] = {.index = 684, .length = 4},
  [304] = {.index = 688, .length = 3},
  [305] = {.index = 691, .length = 3},
  [306] = {.index = 694, .length = 4},
  [307] = {.index = 698, .length = 3},
  [308] = {.index = 701, .length = 3},
  [309] = {.index = 704, .length = 2},
  [310] = {.index = 706, .length = 5},
  [311] = {.index = 711, .length = 5},
  [312] = {.index = 716, .length = 4},
  [313] = {.index = 716, .length = 4},
  [314] = {.index = 720, .length = 4},
  [315] = {.index = 724, .length = 3},
  [316] = {.index = 727, .length = 2},
  [317] = {.index = 729, .length = 2},
  [318] = {.index = 731, .length = 3},
  [319] = {.index = 734, .length = 4},
  [320] = {.index = 738, .length = 4},
  [321] = {.index = 742, .length = 3},
  [322] = {.index = 745, .length = 3},
  [323] = {.index = 748, .length = 4},
  [324] = {.index = 752, .length = 3},
  [325] = {.index = 755, .length = 3},
  [326] = {.index = 758, .length = 5},
  [327] = {.index = 763, .length = 3},
  [328] = {.index = 766, .length = 4},
  [329] = {.index = 770, .length = 4},
  [330] = {.index = 774, .length = 3},
  [331] = {.index = 777, .length = 3},
  [332] = {.index = 780, .length = 4},
  [333] = {.index = 784, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_argument, 0},
    {field_operator, 1},
  [19] =
    {field_type_arguments, 1},
  [20] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [22] =
    {field_parameters, 0},
    {field_return_type, 1},
  [24] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [26] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [28] =
    {field_declaration, 2},
  [29] =
    {field_left, 0},
    {field_right, 2},
  [31] =
    {field_body, 2},
    {field_label, 0},
  [33] =
    {field_body, 2},
    {field_parameter, 0},
  [35] =
    {field_body, 1},
    {field_name, 0},
  [37] =
    {field_source, 1},
  [38] =
    {field_body, 2},
    {field_object, 1},
  [40] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [42] =
    {field_name, 0},
    {field_type, 1},
  [44] =
    {field_kind, 0},
  [45] =
    {field_condition, 1},
    {field_consequence, 2},
  [47] =
    {field_body, 2},
    {field_value, 1},
  [49] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [55] =
    {field_pattern, 1},
  [56] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [59] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [62] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [64] =
    {field_body, 2},
    {field_condition, 1},
  [66] =
    {field_body, 1},
    {field_handler, 2},
  [68] =
    {field_body, 1},
    {field_finalizer, 2},
  [70] =
    {field_label, 1},
  [71] =
    {field_body, 2},
    {field_name, 1},
  [73] =
    {field_value, 0},
  [74] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [90] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [92] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [94] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [96] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_type_arguments, 1},
  [101] =
    {field_name, 0},
    {field_value, 1},
  [103] =
    {field_constraint, 1},
    {field_name, 0},
  [105] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [109] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [112] =
    {field_object, 0},
    {field_property, 2},
  [114] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [117] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [120] =
    {field_arguments, 2},
    {field_function, 0},
  [122] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [125] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [129] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [132] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [136] =
    {field_source, 2, .inherited = true},
  [137] =
    {field_value, 2},
  [138] =
    {field_key, 0},
    {field_value, 2},
  [140] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [145] =
    {field_source, 2},
  [146] =
    {field_value, 1},
  [147] =
    {field_name, 0},
    {field_type, 2},
  [149] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 3},
    {field_name, 2},
  [154] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [157] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [163] =
    {field_type, 2},
  [164] =
    {field_pattern, 2},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [168] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [171] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [175] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [177] =
    {field_body, 1},
    {field_condition, 3},
  [179] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [182] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [186] =
    {field_decorator, 0, .inherited = true},
  [187] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [189] =
    {field_decorator, 1, .inherited = true},
  [190] =
    {field_body, 3},
    {field_name, 1},
  [192] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [195] =
    {field_type_arguments, 1},
    {field_value, 0},
  [197] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [201] =
    {field_body, 3},
    {field_type_parameters, 1},
  [203] =
    {field_body, 3},
    {field_parameter, 1},
  [205] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [209] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [213] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [217] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [222] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [225] =
    {field_left, 1},
    {field_right, 3},
  [227] =
    {field_flags, 3},
    {field_pattern, 1},
  [229] =
    {field_parameters, 1},
  [230] =
    {field_function, 0},
    {field_type_arguments, 1},
  [232] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [236] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [240] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [244] =
    {field_name, 1},
    {field_value, 2},
  [246] =
    {field_constraint, 2},
    {field_name, 1},
  [248] =
    {field_module, 0},
    {field_name, 2},
  [250] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [253] =
    {field_parameters, 0},
    {field_return_type, 2},
  [255] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [259] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [263] =
    {field_type, 1},
  [264] =
    {field_index, 2},
    {field_object, 0},
  [266] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [269] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [271] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [274] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [276] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [279] =
    {field_source, 3, .inherited = true},
  [280] =
    {field_alias, 2},
    {field_name, 0},
  [282] =
    {field_name, 1},
    {field_value, 3},
  [284] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_pattern, 3},
  [290] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [296] =
    {field_name, 2},
  [297] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [299] =
    {field_name, 1},
    {field_type, 2},
  [301] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [303] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [307] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [309] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [312] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [315] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [318] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [322] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [326] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [335] =
    {field_parameters, 1},
    {field_type, 2},
  [337] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [339] =
    {field_parameters, 2},
  [340] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [344] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [347] =
    {field_parameters, 1},
    {field_type, 3},
  [349] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [352] =
    {field_body, 4},
    {field_name, 2},
  [354] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [357] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [359] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [362] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [365] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [367] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [370] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [374] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [377] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [380] =
    {field_alias, 3},
    {field_name, 1},
  [382] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [385] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [390] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [393] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [396] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [398] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [402] =
    {field_type, 3},
  [403] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [405] =
    {field_name, 2},
    {field_type, 3},
  [407] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [409] =
    {field_name, 1},
    {field_type, 3},
  [411] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [414] =
    {field_name, 3},
  [415] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [420] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [423] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [426] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [429] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [432] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [436] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [441] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [444] =
    {field_parameters, 2},
    {field_type, 3},
  [446] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [448] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [452] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [456] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [460] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [463] =
    {field_parameters, 2},
    {field_type, 4},
  [465] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [468] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [470] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [472] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [474] =
    {field_name, 2, .inherited = true},
  [475] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [479] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [482] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [486] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [491] =
    {field_source, 4},
  [492] =
    {field_body, 3},
    {field_value, 1},
  [494] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [498] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [502] =
    {field_body, 4},
    {field_parameter, 2},
  [504] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [508] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [512] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 4},
  [516] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [522] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [524] =
    {field_name, 3},
    {field_type, 4},
  [526] =
    {field_type, 4},
  [527] =
    {field_name, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [531] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [537] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [540] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [544] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [546] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [550] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [553] =
    {field_index, 3},
    {field_object, 0},
  [555] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [559] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [563] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [567] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [570] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [574] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [579] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [584] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [589] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [592] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [595] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [598] =
    {field_sign, 0},
    {field_type, 5},
  [600] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [604] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [608] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [611] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [613] =
    {field_name, 3},
    {field_type, 5},
  [615] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [618] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [620] =
    {field_name, 4},
    {field_type, 5},
  [622] =
    {field_name, 5},
  [623] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [626] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [633] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [637] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [640] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [643] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [645] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [649] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [654] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [659] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [663] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [670] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [673] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [675] =
    {field_name, 4},
    {field_type, 6},
  [677] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [680] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [682] =
    {field_name, 5},
    {field_type, 6},
  [684] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [691] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [694] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [698] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [701] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [704] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [706] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [711] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [716] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [720] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [724] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [727] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [729] =
    {field_name, 5},
    {field_type, 7},
  [731] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [734] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [738] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [742] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [745] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [748] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [752] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [755] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [758] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [763] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [766] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [770] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [774] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [777] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [780] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [784] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_this_type,
  },
  [17] = {
    [0] = sym_unescaped_double_string_fragment,
  },
  [26] = {
    [0] = sym_identifier,
  },
  [27] = {
    [0] = alias_sym_statement_identifier,
  },
  [28] = {
    [0] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [31] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [32] = {
    [1] = sym_identifier,
  },
  [48] = {
    [1] = alias_sym_statement_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [1] = alias_sym_type_identifier,
  },
  [63] = {
    [0] = alias_sym_type_identifier,
  },
  [64] = {
    [0] = alias_sym_type_identifier,
  },
  [65] = {
    [0] = alias_sym_type_identifier,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
  },
  [67] = {
    [1] = anon_sym_unique,
  },
  [73] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [75] = {
    [2] = alias_sym_property_identifier,
  },
  [77] = {
    [2] = alias_sym_property_identifier,
  },
  [89] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [90] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [112] = {
    [1] = alias_sym_type_identifier,
  },
  [113] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [1] = sym_identifier,
  },
  [124] = {
    [1] = sym_identifier,
  },
  [132] = {
    [1] = alias_sym_type_identifier,
  },
  [133] = {
    [1] = alias_sym_type_identifier,
  },
  [134] = {
    [2] = alias_sym_type_identifier,
  },
  [135] = {
    [0] = alias_sym_type_identifier,
  },
  [137] = {
    [2] = alias_sym_property_identifier,
  },
  [139] = {
    [2] = alias_sym_property_identifier,
  },
  [141] = {
    [2] = alias_sym_type_identifier,
  },
  [142] = {
    [1] = alias_sym_type_identifier,
  },
  [144] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [145] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [149] = {
    [2] = alias_sym_type_identifier,
  },
  [154] = {
    [1] = alias_sym_type_identifier,
  },
  [156] = {
    [0] = sym_identifier,
  },
  [168] = {
    [1] = alias_sym_type_identifier,
  },
  [176] = {
    [2] = alias_sym_property_identifier,
  },
  [178] = {
    [1] = alias_sym_type_identifier,
  },
  [181] = {
    [2] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [1] = alias_sym_type_identifier,
  },
  [185] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [188] = {
    [0] = sym_identifier,
  },
  [190] = {
    [2] = alias_sym_type_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [193] = {
    [3] = alias_sym_type_identifier,
  },
  [195] = {
    [1] = alias_sym_type_identifier,
  },
  [197] = {
    [1] = sym_identifier,
  },
  [198] = {
    [1] = sym_identifier,
  },
  [203] = {
    [0] = alias_sym_type_identifier,
  },
  [227] = {
    [2] = alias_sym_type_identifier,
  },
  [232] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [3] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [264] = {
    [3] = alias_sym_property_identifier,
  },
  [265] = {
    [3] = alias_sym_type_identifier,
  },
  [270] = {
    [1] = sym_identifier,
  },
  [271] = {
    [0] = alias_sym_type_identifier,
  },
  [296] = {
    [2] = sym_identifier,
  },
  [312] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 13,
  [18] = 18,
  [19] = 19,
  [20] = 19,
  [21] = 19,
  [22] = 18,
  [23] = 23,
  [24] = 19,
  [25] = 18,
  [26] = 19,
  [27] = 18,
  [28] = 18,
  [29] = 19,
  [30] = 18,
  [31] = 19,
  [32] = 18,
  [33] = 18,
  [34] = 18,
  [35] = 19,
  [36] = 19,
  [37] = 18,
  [38] = 19,
  [39] = 19,
  [40] = 19,
  [41] = 18,
  [42] = 19,
  [43] = 18,
  [44] = 19,
  [45] = 18,
  [46] = 19,
  [47] = 18,
  [48] = 19,
  [49] = 18,
  [50] = 19,
  [51] = 18,
  [52] = 19,
  [53] = 18,
  [54] = 19,
  [55] = 18,
  [56] = 18,
  [57] = 19,
  [58] = 19,
  [59] = 18,
  [60] = 19,
  [61] = 18,
  [62] = 18,
  [63] = 19,
  [64] = 18,
  [65] = 18,
  [66] = 19,
  [67] = 19,
  [68] = 18,
  [69] = 18,
  [70] = 19,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 75,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 78,
  [81] = 81,
  [82] = 78,
  [83] = 83,
  [84] = 79,
  [85] = 85,
  [86] = 79,
  [87] = 79,
  [88] = 77,
  [89] = 74,
  [90] = 73,
  [91] = 83,
  [92] = 83,
  [93] = 75,
  [94] = 94,
  [95] = 77,
  [96] = 83,
  [97] = 74,
  [98] = 75,
  [99] = 81,
  [100] = 73,
  [101] = 85,
  [102] = 83,
  [103] = 94,
  [104] = 74,
  [105] = 78,
  [106] = 85,
  [107] = 78,
  [108] = 77,
  [109] = 75,
  [110] = 85,
  [111] = 85,
  [112] = 74,
  [113] = 73,
  [114] = 73,
  [115] = 81,
  [116] = 81,
  [117] = 77,
  [118] = 94,
  [119] = 81,
  [120] = 94,
  [121] = 94,
  [122] = 79,
  [123] = 123,
  [124] = 124,
  [125] = 123,
  [126] = 123,
  [127] = 123,
  [128] = 124,
  [129] = 124,
  [130] = 123,
  [131] = 123,
  [132] = 123,
  [133] = 123,
  [134] = 123,
  [135] = 123,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 136,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 146,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 151,
  [154] = 149,
  [155] = 150,
  [156] = 156,
  [157] = 151,
  [158] = 152,
  [159] = 152,
  [160] = 149,
  [161] = 151,
  [162] = 152,
  [163] = 151,
  [164] = 152,
  [165] = 152,
  [166] = 166,
  [167] = 144,
  [168] = 149,
  [169] = 156,
  [170] = 156,
  [171] = 149,
  [172] = 172,
  [173] = 152,
  [174] = 152,
  [175] = 156,
  [176] = 176,
  [177] = 145,
  [178] = 144,
  [179] = 152,
  [180] = 156,
  [181] = 181,
  [182] = 144,
  [183] = 150,
  [184] = 150,
  [185] = 152,
  [186] = 152,
  [187] = 187,
  [188] = 152,
  [189] = 156,
  [190] = 152,
  [191] = 156,
  [192] = 152,
  [193] = 152,
  [194] = 156,
  [195] = 156,
  [196] = 152,
  [197] = 152,
  [198] = 172,
  [199] = 166,
  [200] = 152,
  [201] = 201,
  [202] = 156,
  [203] = 201,
  [204] = 201,
  [205] = 152,
  [206] = 201,
  [207] = 201,
  [208] = 208,
  [209] = 201,
  [210] = 201,
  [211] = 201,
  [212] = 201,
  [213] = 201,
  [214] = 214,
  [215] = 214,
  [216] = 214,
  [217] = 214,
  [218] = 214,
  [219] = 214,
  [220] = 214,
  [221] = 214,
  [222] = 214,
  [223] = 214,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 227,
  [229] = 227,
  [230] = 227,
  [231] = 227,
  [232] = 227,
  [233] = 227,
  [234] = 227,
  [235] = 227,
  [236] = 227,
  [237] = 237,
  [238] = 238,
  [239] = 238,
  [240] = 237,
  [241] = 237,
  [242] = 238,
  [243] = 237,
  [244] = 238,
  [245] = 238,
  [246] = 237,
  [247] = 237,
  [248] = 238,
  [249] = 249,
  [250] = 249,
  [251] = 249,
  [252] = 252,
  [253] = 249,
  [254] = 254,
  [255] = 254,
  [256] = 249,
  [257] = 254,
  [258] = 249,
  [259] = 249,
  [260] = 260,
  [261] = 249,
  [262] = 252,
  [263] = 260,
  [264] = 249,
  [265] = 265,
  [266] = 266,
  [267] = 265,
  [268] = 266,
  [269] = 265,
  [270] = 270,
  [271] = 270,
  [272] = 249,
  [273] = 266,
  [274] = 270,
  [275] = 275,
  [276] = 276,
  [277] = 276,
  [278] = 276,
  [279] = 276,
  [280] = 276,
  [281] = 276,
  [282] = 276,
  [283] = 283,
  [284] = 284,
  [285] = 284,
  [286] = 284,
  [287] = 287,
  [288] = 287,
  [289] = 284,
  [290] = 284,
  [291] = 291,
  [292] = 287,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 298,
  [300] = 297,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 293,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 302,
  [321] = 321,
  [322] = 296,
  [323] = 294,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 293,
  [330] = 294,
  [331] = 296,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 287,
  [337] = 302,
  [338] = 311,
  [339] = 318,
  [340] = 321,
  [341] = 321,
  [342] = 309,
  [343] = 317,
  [344] = 325,
  [345] = 325,
  [346] = 296,
  [347] = 310,
  [348] = 302,
  [349] = 312,
  [350] = 332,
  [351] = 333,
  [352] = 352,
  [353] = 352,
  [354] = 293,
  [355] = 335,
  [356] = 326,
  [357] = 303,
  [358] = 311,
  [359] = 306,
  [360] = 307,
  [361] = 287,
  [362] = 318,
  [363] = 352,
  [364] = 287,
  [365] = 304,
  [366] = 314,
  [367] = 327,
  [368] = 287,
  [369] = 324,
  [370] = 319,
  [371] = 304,
  [372] = 287,
  [373] = 319,
  [374] = 352,
  [375] = 352,
  [376] = 332,
  [377] = 313,
  [378] = 324,
  [379] = 287,
  [380] = 305,
  [381] = 308,
  [382] = 326,
  [383] = 352,
  [384] = 305,
  [385] = 352,
  [386] = 308,
  [387] = 306,
  [388] = 328,
  [389] = 294,
  [390] = 317,
  [391] = 334,
  [392] = 334,
  [393] = 393,
  [394] = 314,
  [395] = 333,
  [396] = 335,
  [397] = 307,
  [398] = 309,
  [399] = 310,
  [400] = 312,
  [401] = 303,
  [402] = 328,
  [403] = 287,
  [404] = 287,
  [405] = 327,
  [406] = 313,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 409,
  [411] = 305,
  [412] = 412,
  [413] = 409,
  [414] = 414,
  [415] = 324,
  [416] = 414,
  [417] = 409,
  [418] = 418,
  [419] = 418,
  [420] = 335,
  [421] = 409,
  [422] = 412,
  [423] = 418,
  [424] = 424,
  [425] = 308,
  [426] = 312,
  [427] = 319,
  [428] = 318,
  [429] = 334,
  [430] = 418,
  [431] = 321,
  [432] = 303,
  [433] = 306,
  [434] = 409,
  [435] = 314,
  [436] = 325,
  [437] = 409,
  [438] = 438,
  [439] = 409,
  [440] = 311,
  [441] = 304,
  [442] = 328,
  [443] = 407,
  [444] = 409,
  [445] = 327,
  [446] = 409,
  [447] = 326,
  [448] = 333,
  [449] = 332,
  [450] = 409,
  [451] = 317,
  [452] = 409,
  [453] = 409,
  [454] = 409,
  [455] = 307,
  [456] = 409,
  [457] = 313,
  [458] = 418,
  [459] = 310,
  [460] = 309,
  [461] = 461,
  [462] = 409,
  [463] = 463,
  [464] = 464,
  [465] = 464,
  [466] = 464,
  [467] = 467,
  [468] = 464,
  [469] = 469,
  [470] = 464,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 473,
  [475] = 473,
  [476] = 473,
  [477] = 473,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 479,
  [482] = 482,
  [483] = 478,
  [484] = 484,
  [485] = 480,
  [486] = 478,
  [487] = 480,
  [488] = 488,
  [489] = 480,
  [490] = 479,
  [491] = 491,
  [492] = 484,
  [493] = 478,
  [494] = 484,
  [495] = 495,
  [496] = 482,
  [497] = 495,
  [498] = 498,
  [499] = 495,
  [500] = 478,
  [501] = 482,
  [502] = 478,
  [503] = 488,
  [504] = 504,
  [505] = 482,
  [506] = 495,
  [507] = 507,
  [508] = 482,
  [509] = 479,
  [510] = 479,
  [511] = 480,
  [512] = 495,
  [513] = 480,
  [514] = 514,
  [515] = 514,
  [516] = 482,
  [517] = 479,
  [518] = 482,
  [519] = 480,
  [520] = 479,
  [521] = 491,
  [522] = 522,
  [523] = 480,
  [524] = 495,
  [525] = 491,
  [526] = 495,
  [527] = 491,
  [528] = 478,
  [529] = 491,
  [530] = 482,
  [531] = 488,
  [532] = 479,
  [533] = 480,
  [534] = 534,
  [535] = 535,
  [536] = 495,
  [537] = 495,
  [538] = 491,
  [539] = 539,
  [540] = 540,
  [541] = 488,
  [542] = 491,
  [543] = 484,
  [544] = 544,
  [545] = 478,
  [546] = 478,
  [547] = 547,
  [548] = 491,
  [549] = 491,
  [550] = 504,
  [551] = 495,
  [552] = 491,
  [553] = 479,
  [554] = 480,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 482,
  [559] = 484,
  [560] = 478,
  [561] = 482,
  [562] = 488,
  [563] = 479,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 569,
  [572] = 572,
  [573] = 568,
  [574] = 568,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 572,
  [582] = 582,
  [583] = 578,
  [584] = 584,
  [585] = 566,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 580,
  [593] = 593,
  [594] = 594,
  [595] = 565,
  [596] = 572,
  [597] = 597,
  [598] = 594,
  [599] = 591,
  [600] = 565,
  [601] = 593,
  [602] = 586,
  [603] = 590,
  [604] = 582,
  [605] = 589,
  [606] = 578,
  [607] = 579,
  [608] = 572,
  [609] = 578,
  [610] = 588,
  [611] = 611,
  [612] = 577,
  [613] = 576,
  [614] = 580,
  [615] = 566,
  [616] = 567,
  [617] = 617,
  [618] = 618,
  [619] = 569,
  [620] = 620,
  [621] = 569,
  [622] = 622,
  [623] = 623,
  [624] = 572,
  [625] = 620,
  [626] = 567,
  [627] = 580,
  [628] = 578,
  [629] = 577,
  [630] = 579,
  [631] = 582,
  [632] = 620,
  [633] = 586,
  [634] = 570,
  [635] = 569,
  [636] = 593,
  [637] = 623,
  [638] = 565,
  [639] = 623,
  [640] = 594,
  [641] = 591,
  [642] = 642,
  [643] = 590,
  [644] = 644,
  [645] = 580,
  [646] = 589,
  [647] = 588,
  [648] = 620,
  [649] = 566,
  [650] = 584,
  [651] = 644,
  [652] = 642,
  [653] = 568,
  [654] = 575,
  [655] = 576,
  [656] = 576,
  [657] = 580,
  [658] = 572,
  [659] = 568,
  [660] = 567,
  [661] = 578,
  [662] = 566,
  [663] = 663,
  [664] = 575,
  [665] = 572,
  [666] = 572,
  [667] = 622,
  [668] = 572,
  [669] = 618,
  [670] = 578,
  [671] = 569,
  [672] = 572,
  [673] = 580,
  [674] = 644,
  [675] = 618,
  [676] = 642,
  [677] = 570,
  [678] = 568,
  [679] = 576,
  [680] = 622,
  [681] = 584,
  [682] = 618,
  [683] = 622,
  [684] = 588,
  [685] = 642,
  [686] = 566,
  [687] = 588,
  [688] = 584,
  [689] = 589,
  [690] = 589,
  [691] = 576,
  [692] = 590,
  [693] = 591,
  [694] = 590,
  [695] = 644,
  [696] = 568,
  [697] = 566,
  [698] = 588,
  [699] = 580,
  [700] = 578,
  [701] = 644,
  [702] = 702,
  [703] = 594,
  [704] = 570,
  [705] = 589,
  [706] = 569,
  [707] = 590,
  [708] = 572,
  [709] = 709,
  [710] = 591,
  [711] = 594,
  [712] = 565,
  [713] = 593,
  [714] = 572,
  [715] = 575,
  [716] = 586,
  [717] = 717,
  [718] = 642,
  [719] = 719,
  [720] = 618,
  [721] = 582,
  [722] = 722,
  [723] = 565,
  [724] = 579,
  [725] = 611,
  [726] = 577,
  [727] = 572,
  [728] = 622,
  [729] = 567,
  [730] = 620,
  [731] = 731,
  [732] = 578,
  [733] = 577,
  [734] = 593,
  [735] = 623,
  [736] = 580,
  [737] = 642,
  [738] = 591,
  [739] = 566,
  [740] = 623,
  [741] = 588,
  [742] = 588,
  [743] = 572,
  [744] = 589,
  [745] = 709,
  [746] = 589,
  [747] = 622,
  [748] = 623,
  [749] = 590,
  [750] = 620,
  [751] = 591,
  [752] = 567,
  [753] = 594,
  [754] = 577,
  [755] = 579,
  [756] = 590,
  [757] = 582,
  [758] = 586,
  [759] = 593,
  [760] = 591,
  [761] = 565,
  [762] = 594,
  [763] = 591,
  [764] = 590,
  [765] = 594,
  [766] = 589,
  [767] = 586,
  [768] = 588,
  [769] = 565,
  [770] = 593,
  [771] = 566,
  [772] = 582,
  [773] = 586,
  [774] = 582,
  [775] = 579,
  [776] = 575,
  [777] = 577,
  [778] = 565,
  [779] = 779,
  [780] = 567,
  [781] = 593,
  [782] = 663,
  [783] = 586,
  [784] = 642,
  [785] = 584,
  [786] = 582,
  [787] = 787,
  [788] = 579,
  [789] = 642,
  [790] = 618,
  [791] = 575,
  [792] = 644,
  [793] = 575,
  [794] = 567,
  [795] = 572,
  [796] = 620,
  [797] = 620,
  [798] = 644,
  [799] = 618,
  [800] = 623,
  [801] = 622,
  [802] = 622,
  [803] = 569,
  [804] = 644,
  [805] = 594,
  [806] = 622,
  [807] = 572,
  [808] = 623,
  [809] = 623,
  [810] = 579,
  [811] = 568,
  [812] = 618,
  [813] = 642,
  [814] = 642,
  [815] = 618,
  [816] = 576,
  [817] = 577,
  [818] = 576,
  [819] = 568,
  [820] = 620,
  [821] = 569,
  [822] = 567,
  [823] = 568,
  [824] = 576,
  [825] = 575,
  [826] = 569,
  [827] = 577,
  [828] = 575,
  [829] = 566,
  [830] = 579,
  [831] = 644,
  [832] = 644,
  [833] = 567,
  [834] = 582,
  [835] = 618,
  [836] = 586,
  [837] = 570,
  [838] = 593,
  [839] = 588,
  [840] = 622,
  [841] = 589,
  [842] = 842,
  [843] = 843,
  [844] = 590,
  [845] = 591,
  [846] = 580,
  [847] = 578,
  [848] = 594,
  [849] = 576,
  [850] = 565,
  [851] = 593,
  [852] = 586,
  [853] = 582,
  [854] = 579,
  [855] = 623,
  [856] = 611,
  [857] = 620,
  [858] = 577,
  [859] = 575,
  [860] = 860,
  [861] = 860,
  [862] = 860,
  [863] = 863,
  [864] = 863,
  [865] = 863,
  [866] = 866,
  [867] = 866,
  [868] = 866,
  [869] = 869,
  [870] = 869,
  [871] = 869,
  [872] = 869,
  [873] = 869,
  [874] = 874,
  [875] = 874,
  [876] = 874,
  [877] = 877,
  [878] = 878,
  [879] = 877,
  [880] = 877,
  [881] = 878,
  [882] = 878,
  [883] = 883,
  [884] = 883,
  [885] = 883,
  [886] = 883,
  [887] = 883,
  [888] = 888,
  [889] = 888,
  [890] = 890,
  [891] = 890,
  [892] = 888,
  [893] = 893,
  [894] = 893,
  [895] = 888,
  [896] = 893,
  [897] = 890,
  [898] = 888,
  [899] = 888,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 902,
  [905] = 903,
  [906] = 903,
  [907] = 902,
  [908] = 902,
  [909] = 900,
  [910] = 901,
  [911] = 911,
  [912] = 902,
  [913] = 903,
  [914] = 903,
  [915] = 902,
  [916] = 916,
  [917] = 902,
  [918] = 902,
  [919] = 902,
  [920] = 901,
  [921] = 902,
  [922] = 922,
  [923] = 923,
  [924] = 922,
  [925] = 925,
  [926] = 922,
  [927] = 922,
  [928] = 928,
  [929] = 902,
  [930] = 902,
  [931] = 922,
  [932] = 922,
  [933] = 901,
  [934] = 902,
  [935] = 902,
  [936] = 327,
  [937] = 902,
  [938] = 911,
  [939] = 923,
  [940] = 902,
  [941] = 328,
  [942] = 923,
  [943] = 902,
  [944] = 902,
  [945] = 900,
  [946] = 946,
  [947] = 946,
  [948] = 946,
  [949] = 946,
  [950] = 946,
  [951] = 923,
  [952] = 327,
  [953] = 296,
  [954] = 294,
  [955] = 335,
  [956] = 902,
  [957] = 333,
  [958] = 946,
  [959] = 327,
  [960] = 946,
  [961] = 328,
  [962] = 946,
  [963] = 327,
  [964] = 328,
  [965] = 946,
  [966] = 966,
  [967] = 946,
  [968] = 328,
  [969] = 294,
  [970] = 335,
  [971] = 333,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 328,
  [976] = 966,
  [977] = 335,
  [978] = 333,
  [979] = 979,
  [980] = 296,
  [981] = 981,
  [982] = 982,
  [983] = 327,
  [984] = 335,
  [985] = 966,
  [986] = 296,
  [987] = 328,
  [988] = 327,
  [989] = 294,
  [990] = 333,
  [991] = 991,
  [992] = 992,
  [993] = 310,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 328,
  [998] = 998,
  [999] = 327,
  [1000] = 328,
  [1001] = 1001,
  [1002] = 332,
  [1003] = 309,
  [1004] = 327,
  [1005] = 327,
  [1006] = 334,
  [1007] = 1007,
  [1008] = 328,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 302,
  [1012] = 992,
  [1013] = 335,
  [1014] = 333,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 974,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 335,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 335,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 333,
  [1051] = 333,
  [1052] = 1052,
  [1053] = 335,
  [1054] = 334,
  [1055] = 333,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 328,
  [1059] = 1059,
  [1060] = 335,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 332,
  [1064] = 1064,
  [1065] = 1007,
  [1066] = 972,
  [1067] = 991,
  [1068] = 981,
  [1069] = 333,
  [1070] = 1009,
  [1071] = 296,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 294,
  [1076] = 1076,
  [1077] = 974,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1001,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 328,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 335,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1001,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 333,
  [1097] = 1009,
  [1098] = 332,
  [1099] = 302,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 334,
  [1112] = 1112,
  [1113] = 302,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 309,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 327,
  [1120] = 1120,
  [1121] = 1007,
  [1122] = 991,
  [1123] = 1123,
  [1124] = 996,
  [1125] = 1125,
  [1126] = 310,
  [1127] = 1127,
  [1128] = 995,
  [1129] = 981,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 328,
  [1136] = 310,
  [1137] = 309,
  [1138] = 1138,
  [1139] = 327,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 327,
  [1149] = 972,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 994,
  [1156] = 327,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 327,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 996,
  [1168] = 1168,
  [1169] = 328,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1010,
  [1176] = 1176,
  [1177] = 995,
  [1178] = 994,
  [1179] = 998,
  [1180] = 304,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 333,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 334,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 992,
  [1198] = 1198,
  [1199] = 973,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1010,
  [1204] = 1204,
  [1205] = 982,
  [1206] = 328,
  [1207] = 1207,
  [1208] = 979,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 992,
  [1215] = 982,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 979,
  [1219] = 332,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 307,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 998,
  [1236] = 973,
  [1237] = 313,
  [1238] = 1238,
  [1239] = 966,
  [1240] = 312,
  [1241] = 1241,
  [1242] = 335,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1183,
  [1247] = 1192,
  [1248] = 1142,
  [1249] = 979,
  [1250] = 1158,
  [1251] = 1157,
  [1252] = 1147,
  [1253] = 1010,
  [1254] = 1146,
  [1255] = 1162,
  [1256] = 973,
  [1257] = 1140,
  [1258] = 1125,
  [1259] = 1127,
  [1260] = 1163,
  [1261] = 1164,
  [1262] = 1112,
  [1263] = 1138,
  [1264] = 1110,
  [1265] = 1109,
  [1266] = 1107,
  [1267] = 1106,
  [1268] = 1241,
  [1269] = 1132,
  [1270] = 1183,
  [1271] = 1228,
  [1272] = 1087,
  [1273] = 1104,
  [1274] = 1016,
  [1275] = 1189,
  [1276] = 1095,
  [1277] = 1168,
  [1278] = 1056,
  [1279] = 1085,
  [1280] = 333,
  [1281] = 335,
  [1282] = 1074,
  [1283] = 1143,
  [1284] = 1134,
  [1285] = 1133,
  [1286] = 1181,
  [1287] = 1015,
  [1288] = 1072,
  [1289] = 1062,
  [1290] = 1061,
  [1291] = 982,
  [1292] = 1217,
  [1293] = 1048,
  [1294] = 1044,
  [1295] = 1039,
  [1296] = 1038,
  [1297] = 1209,
  [1298] = 1035,
  [1299] = 1033,
  [1300] = 1172,
  [1301] = 1184,
  [1302] = 1108,
  [1303] = 1185,
  [1304] = 1025,
  [1305] = 1082,
  [1306] = 1198,
  [1307] = 1086,
  [1308] = 328,
  [1309] = 1105,
  [1310] = 1222,
  [1311] = 1103,
  [1312] = 1031,
  [1313] = 1091,
  [1314] = 1224,
  [1315] = 335,
  [1316] = 1093,
  [1317] = 1100,
  [1318] = 1164,
  [1319] = 1102,
  [1320] = 335,
  [1321] = 1101,
  [1322] = 1103,
  [1323] = 1105,
  [1324] = 1108,
  [1325] = 1245,
  [1326] = 1100,
  [1327] = 327,
  [1328] = 1093,
  [1329] = 1244,
  [1330] = 1243,
  [1331] = 991,
  [1332] = 1114,
  [1333] = 1094,
  [1334] = 1234,
  [1335] = 1233,
  [1336] = 1089,
  [1337] = 1232,
  [1338] = 1231,
  [1339] = 1091,
  [1340] = 1238,
  [1341] = 1173,
  [1342] = 1176,
  [1343] = 309,
  [1344] = 310,
  [1345] = 1192,
  [1346] = 1193,
  [1347] = 1229,
  [1348] = 1081,
  [1349] = 1079,
  [1350] = 1073,
  [1351] = 1064,
  [1352] = 1059,
  [1353] = 1076,
  [1354] = 1057,
  [1355] = 1052,
  [1356] = 1045,
  [1357] = 1043,
  [1358] = 1042,
  [1359] = 1036,
  [1360] = 1034,
  [1361] = 1130,
  [1362] = 1017,
  [1363] = 1018,
  [1364] = 1019,
  [1365] = 1020,
  [1366] = 1021,
  [1367] = 1022,
  [1368] = 1024,
  [1369] = 1026,
  [1370] = 1031,
  [1371] = 1086,
  [1372] = 1082,
  [1373] = 1027,
  [1374] = 1028,
  [1375] = 1029,
  [1376] = 1030,
  [1377] = 1191,
  [1378] = 1195,
  [1379] = 1196,
  [1380] = 1230,
  [1381] = 1238,
  [1382] = 1114,
  [1383] = 333,
  [1384] = 307,
  [1385] = 1040,
  [1386] = 1041,
  [1387] = 1046,
  [1388] = 304,
  [1389] = 1047,
  [1390] = 1049,
  [1391] = 1025,
  [1392] = 1220,
  [1393] = 332,
  [1394] = 332,
  [1395] = 334,
  [1396] = 1033,
  [1397] = 1227,
  [1398] = 1226,
  [1399] = 1225,
  [1400] = 328,
  [1401] = 1221,
  [1402] = 1216,
  [1403] = 1212,
  [1404] = 1207,
  [1405] = 312,
  [1406] = 1213,
  [1407] = 1035,
  [1408] = 1211,
  [1409] = 1210,
  [1410] = 1204,
  [1411] = 1202,
  [1412] = 1201,
  [1413] = 1188,
  [1414] = 1200,
  [1415] = 1038,
  [1416] = 1039,
  [1417] = 1044,
  [1418] = 1048,
  [1419] = 1187,
  [1420] = 1133,
  [1421] = 1186,
  [1422] = 1134,
  [1423] = 1143,
  [1424] = 1182,
  [1425] = 1200,
  [1426] = 1202,
  [1427] = 1207,
  [1428] = 1174,
  [1429] = 1171,
  [1430] = 1212,
  [1431] = 1216,
  [1432] = 1221,
  [1433] = 1225,
  [1434] = 1226,
  [1435] = 1170,
  [1436] = 1166,
  [1437] = 1227,
  [1438] = 1165,
  [1439] = 1196,
  [1440] = 313,
  [1441] = 1195,
  [1442] = 335,
  [1443] = 333,
  [1444] = 1160,
  [1445] = 1159,
  [1446] = 1154,
  [1447] = 1061,
  [1448] = 1153,
  [1449] = 1062,
  [1450] = 1015,
  [1451] = 1191,
  [1452] = 1074,
  [1453] = 333,
  [1454] = 1152,
  [1455] = 1151,
  [1456] = 1150,
  [1457] = 1145,
  [1458] = 1144,
  [1459] = 1090,
  [1460] = 1007,
  [1461] = 1141,
  [1462] = 1131,
  [1463] = 1123,
  [1464] = 1085,
  [1465] = 1120,
  [1466] = 1118,
  [1467] = 1083,
  [1468] = 1117,
  [1469] = 1115,
  [1470] = 1095,
  [1471] = 334,
  [1472] = 302,
  [1473] = 1104,
  [1474] = 1078,
  [1475] = 1087,
  [1476] = 1106,
  [1477] = 1009,
  [1478] = 1115,
  [1479] = 1117,
  [1480] = 1118,
  [1481] = 1076,
  [1482] = 1482,
  [1483] = 1089,
  [1484] = 1107,
  [1485] = 1094,
  [1486] = 1120,
  [1487] = 1109,
  [1488] = 1123,
  [1489] = 1131,
  [1490] = 1110,
  [1491] = 1112,
  [1492] = 1230,
  [1493] = 974,
  [1494] = 1001,
  [1495] = 1141,
  [1496] = 1144,
  [1497] = 1101,
  [1498] = 1102,
  [1499] = 1056,
  [1500] = 1127,
  [1501] = 304,
  [1502] = 1146,
  [1503] = 1145,
  [1504] = 1147,
  [1505] = 1157,
  [1506] = 307,
  [1507] = 1158,
  [1508] = 1163,
  [1509] = 1150,
  [1510] = 1151,
  [1511] = 1152,
  [1512] = 1153,
  [1513] = 1154,
  [1514] = 1159,
  [1515] = 1160,
  [1516] = 1165,
  [1517] = 1166,
  [1518] = 1170,
  [1519] = 1168,
  [1520] = 1171,
  [1521] = 1174,
  [1522] = 1182,
  [1523] = 1186,
  [1524] = 1187,
  [1525] = 1188,
  [1526] = 1201,
  [1527] = 1204,
  [1528] = 1162,
  [1529] = 1125,
  [1530] = 1210,
  [1531] = 1211,
  [1532] = 1213,
  [1533] = 1172,
  [1534] = 1078,
  [1535] = 327,
  [1536] = 1229,
  [1537] = 1142,
  [1538] = 1220,
  [1539] = 1231,
  [1540] = 1140,
  [1541] = 1083,
  [1542] = 1049,
  [1543] = 1232,
  [1544] = 1047,
  [1545] = 994,
  [1546] = 1046,
  [1547] = 972,
  [1548] = 981,
  [1549] = 995,
  [1550] = 1041,
  [1551] = 996,
  [1552] = 1040,
  [1553] = 1090,
  [1554] = 1233,
  [1555] = 1030,
  [1556] = 1234,
  [1557] = 1029,
  [1558] = 1028,
  [1559] = 998,
  [1560] = 1184,
  [1561] = 1185,
  [1562] = 1241,
  [1563] = 1198,
  [1564] = 1222,
  [1565] = 1228,
  [1566] = 1189,
  [1567] = 1027,
  [1568] = 1026,
  [1569] = 1024,
  [1570] = 1022,
  [1571] = 1181,
  [1572] = 1072,
  [1573] = 1021,
  [1574] = 1217,
  [1575] = 1209,
  [1576] = 1020,
  [1577] = 1019,
  [1578] = 1018,
  [1579] = 1017,
  [1580] = 1130,
  [1581] = 1034,
  [1582] = 1243,
  [1583] = 1244,
  [1584] = 1245,
  [1585] = 1224,
  [1586] = 1036,
  [1587] = 1042,
  [1588] = 334,
  [1589] = 1043,
  [1590] = 1045,
  [1591] = 1052,
  [1592] = 1057,
  [1593] = 1059,
  [1594] = 1064,
  [1595] = 1073,
  [1596] = 313,
  [1597] = 1079,
  [1598] = 1081,
  [1599] = 332,
  [1600] = 312,
  [1601] = 1138,
  [1602] = 1132,
  [1603] = 1016,
  [1604] = 1193,
  [1605] = 1173,
  [1606] = 1176,
  [1607] = 1141,
  [1608] = 1049,
  [1609] = 1017,
  [1610] = 1184,
  [1611] = 1222,
  [1612] = 1151,
  [1613] = 1172,
  [1614] = 1018,
  [1615] = 1209,
  [1616] = 1019,
  [1617] = 1020,
  [1618] = 1217,
  [1619] = 1021,
  [1620] = 1090,
  [1621] = 1140,
  [1622] = 312,
  [1623] = 1072,
  [1624] = 1220,
  [1625] = 1187,
  [1626] = 1127,
  [1627] = 1181,
  [1628] = 1200,
  [1629] = 1234,
  [1630] = 1202,
  [1631] = 304,
  [1632] = 1207,
  [1633] = 1233,
  [1634] = 1232,
  [1635] = 1212,
  [1636] = 1198,
  [1637] = 1216,
  [1638] = 1168,
  [1639] = 1189,
  [1640] = 1228,
  [1641] = 1142,
  [1642] = 307,
  [1643] = 1034,
  [1644] = 1173,
  [1645] = 1221,
  [1646] = 1130,
  [1647] = 1225,
  [1648] = 1226,
  [1649] = 1146,
  [1650] = 1022,
  [1651] = 1024,
  [1652] = 1026,
  [1653] = 1027,
  [1654] = 1147,
  [1655] = 1152,
  [1656] = 1227,
  [1657] = 1157,
  [1658] = 1028,
  [1659] = 1036,
  [1660] = 1042,
  [1661] = 1043,
  [1662] = 1045,
  [1663] = 1176,
  [1664] = 1192,
  [1665] = 1052,
  [1666] = 1057,
  [1667] = 1059,
  [1668] = 1224,
  [1669] = 1064,
  [1670] = 1040,
  [1671] = 1133,
  [1672] = 1144,
  [1673] = 1153,
  [1674] = 1183,
  [1675] = 1193,
  [1676] = 1245,
  [1677] = 1244,
  [1678] = 1241,
  [1679] = 1154,
  [1680] = 1134,
  [1681] = 1143,
  [1682] = 1243,
  [1683] = 313,
  [1684] = 1158,
  [1685] = 1163,
  [1686] = 1102,
  [1687] = 1101,
  [1688] = 1073,
  [1689] = 1083,
  [1690] = 1079,
  [1691] = 1081,
  [1692] = 1029,
  [1693] = 1030,
  [1694] = 1159,
  [1695] = 333,
  [1696] = 1160,
  [1697] = 1074,
  [1698] = 1131,
  [1699] = 1164,
  [1700] = 1165,
  [1701] = 1166,
  [1702] = 1089,
  [1703] = 1230,
  [1704] = 1238,
  [1705] = 1170,
  [1706] = 1171,
  [1707] = 1085,
  [1708] = 1174,
  [1709] = 332,
  [1710] = 1114,
  [1711] = 1095,
  [1712] = 1138,
  [1713] = 1123,
  [1714] = 1015,
  [1715] = 1041,
  [1716] = 1062,
  [1717] = 1061,
  [1718] = 1120,
  [1719] = 1076,
  [1720] = 1104,
  [1721] = 1046,
  [1722] = 1087,
  [1723] = 1118,
  [1724] = 1182,
  [1725] = 1132,
  [1726] = 1016,
  [1727] = 1117,
  [1728] = 1186,
  [1729] = 1115,
  [1730] = 1213,
  [1731] = 1188,
  [1732] = 1106,
  [1733] = 1201,
  [1734] = 1031,
  [1735] = 1078,
  [1736] = 1056,
  [1737] = 1229,
  [1738] = 1094,
  [1739] = 1107,
  [1740] = 1482,
  [1741] = 1109,
  [1742] = 1204,
  [1743] = 1162,
  [1744] = 1185,
  [1745] = 1091,
  [1746] = 1125,
  [1747] = 1196,
  [1748] = 1231,
  [1749] = 1047,
  [1750] = 1150,
  [1751] = 1086,
  [1752] = 1110,
  [1753] = 1082,
  [1754] = 1112,
  [1755] = 1025,
  [1756] = 1033,
  [1757] = 1035,
  [1758] = 1195,
  [1759] = 1145,
  [1760] = 1108,
  [1761] = 1105,
  [1762] = 1103,
  [1763] = 1100,
  [1764] = 1038,
  [1765] = 1093,
  [1766] = 1039,
  [1767] = 334,
  [1768] = 1191,
  [1769] = 335,
  [1770] = 1048,
  [1771] = 1211,
  [1772] = 1044,
  [1773] = 1210,
  [1774] = 1774,
  [1775] = 1774,
  [1776] = 1774,
  [1777] = 1774,
  [1778] = 1774,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1782,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1782,
  [1793] = 1779,
  [1794] = 1779,
  [1795] = 1779,
  [1796] = 1779,
  [1797] = 1782,
  [1798] = 1782,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1804,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1804,
  [1811] = 1805,
  [1812] = 1808,
  [1813] = 1813,
  [1814] = 1804,
  [1815] = 1813,
  [1816] = 1805,
  [1817] = 1813,
  [1818] = 1818,
  [1819] = 1813,
  [1820] = 1809,
  [1821] = 1813,
  [1822] = 1809,
  [1823] = 1807,
  [1824] = 1805,
  [1825] = 1804,
  [1826] = 1808,
  [1827] = 1804,
  [1828] = 1808,
  [1829] = 1805,
  [1830] = 1809,
  [1831] = 1808,
  [1832] = 1807,
  [1833] = 1805,
  [1834] = 1809,
  [1835] = 1813,
  [1836] = 1807,
  [1837] = 1809,
  [1838] = 1807,
  [1839] = 1808,
  [1840] = 1809,
  [1841] = 1807,
  [1842] = 1808,
  [1843] = 1804,
  [1844] = 1805,
  [1845] = 1807,
  [1846] = 1813,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1848,
  [1850] = 1850,
  [1851] = 1848,
  [1852] = 1848,
  [1853] = 1848,
  [1854] = 1847,
  [1855] = 1848,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1856,
  [1859] = 1856,
  [1860] = 1857,
  [1861] = 1857,
  [1862] = 1857,
  [1863] = 1857,
  [1864] = 1856,
  [1865] = 1856,
  [1866] = 1866,
  [1867] = 1866,
  [1868] = 1866,
  [1869] = 1866,
  [1870] = 1866,
  [1871] = 1866,
  [1872] = 1866,
  [1873] = 1866,
  [1874] = 1866,
  [1875] = 1866,
  [1876] = 1866,
  [1877] = 1866,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1880,
  [1882] = 1882,
  [1883] = 1880,
  [1884] = 1878,
  [1885] = 1882,
  [1886] = 1882,
  [1887] = 1878,
  [1888] = 1879,
  [1889] = 1882,
  [1890] = 1882,
  [1891] = 1879,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1895,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1892,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1901,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1905,
  [1910] = 1910,
  [1911] = 1894,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1893,
  [1917] = 1917,
  [1918] = 1893,
  [1919] = 1899,
  [1920] = 1901,
  [1921] = 1910,
  [1922] = 1899,
  [1923] = 1923,
  [1924] = 1895,
  [1925] = 1913,
  [1926] = 1913,
  [1927] = 1927,
  [1928] = 1902,
  [1929] = 1895,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1905,
  [1934] = 1912,
  [1935] = 1899,
  [1936] = 1903,
  [1937] = 1914,
  [1938] = 1927,
  [1939] = 1923,
  [1940] = 1910,
  [1941] = 1907,
  [1942] = 1897,
  [1943] = 1927,
  [1944] = 1894,
  [1945] = 1894,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1897,
  [1950] = 1950,
  [1951] = 1931,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1907,
  [1956] = 1907,
  [1957] = 1930,
  [1958] = 1910,
  [1959] = 1912,
  [1960] = 1913,
  [1961] = 1931,
  [1962] = 1930,
  [1963] = 1932,
  [1964] = 1892,
  [1965] = 1965,
  [1966] = 1930,
  [1967] = 1927,
  [1968] = 1932,
  [1969] = 1923,
  [1970] = 1970,
  [1971] = 1914,
  [1972] = 1912,
  [1973] = 1973,
  [1974] = 1927,
  [1975] = 1932,
  [1976] = 1930,
  [1977] = 1901,
  [1978] = 1931,
  [1979] = 1895,
  [1980] = 1980,
  [1981] = 1903,
  [1982] = 1903,
  [1983] = 1897,
  [1984] = 1907,
  [1985] = 1894,
  [1986] = 1973,
  [1987] = 1897,
  [1988] = 1895,
  [1989] = 1970,
  [1990] = 1899,
  [1991] = 1910,
  [1992] = 1923,
  [1993] = 1993,
  [1994] = 1931,
  [1995] = 1893,
  [1996] = 1996,
  [1997] = 1902,
  [1998] = 1912,
  [1999] = 1913,
  [2000] = 1905,
  [2001] = 1893,
  [2002] = 1902,
  [2003] = 1892,
  [2004] = 1901,
  [2005] = 1892,
  [2006] = 1914,
  [2007] = 1894,
  [2008] = 1902,
  [2009] = 1899,
  [2010] = 1932,
  [2011] = 1914,
  [2012] = 1903,
  [2013] = 1923,
  [2014] = 1905,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2017,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2015,
  [2023] = 2016,
  [2024] = 2024,
  [2025] = 2021,
  [2026] = 2024,
  [2027] = 2024,
  [2028] = 2019,
  [2029] = 2019,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2019,
  [2033] = 2020,
  [2034] = 2021,
  [2035] = 2020,
  [2036] = 2021,
  [2037] = 2024,
  [2038] = 2019,
  [2039] = 2020,
  [2040] = 2024,
  [2041] = 2019,
  [2042] = 2020,
  [2043] = 2021,
  [2044] = 2044,
  [2045] = 2019,
  [2046] = 2046,
  [2047] = 2016,
  [2048] = 2044,
  [2049] = 2044,
  [2050] = 2019,
  [2051] = 2019,
  [2052] = 2019,
  [2053] = 2019,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2019,
  [2059] = 2056,
  [2060] = 2056,
  [2061] = 2054,
  [2062] = 2019,
  [2063] = 2056,
  [2064] = 2055,
  [2065] = 2065,
  [2066] = 2019,
  [2067] = 2019,
  [2068] = 2055,
  [2069] = 2019,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2055,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2016,
  [2077] = 2065,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2054,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2055,
  [2084] = 2056,
  [2085] = 2065,
  [2086] = 2056,
  [2087] = 2055,
  [2088] = 2019,
  [2089] = 2073,
  [2090] = 2019,
  [2091] = 2019,
  [2092] = 2019,
  [2093] = 2019,
  [2094] = 2073,
  [2095] = 1164,
  [2096] = 2030,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2015,
  [2100] = 2100,
  [2101] = 2073,
  [2102] = 1229,
  [2103] = 2019,
  [2104] = 2104,
  [2105] = 2100,
  [2106] = 2106,
  [2107] = 2019,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2106,
  [2112] = 2112,
  [2113] = 2100,
  [2114] = 2114,
  [2115] = 2106,
  [2116] = 2073,
  [2117] = 2117,
  [2118] = 2106,
  [2119] = 2106,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2073,
  [2123] = 2106,
  [2124] = 2106,
  [2125] = 2112,
  [2126] = 2073,
  [2127] = 2106,
  [2128] = 2073,
  [2129] = 2073,
  [2130] = 2130,
  [2131] = 2106,
  [2132] = 2132,
  [2133] = 2112,
  [2134] = 2106,
  [2135] = 2135,
  [2136] = 2104,
  [2137] = 2137,
  [2138] = 2104,
  [2139] = 2137,
  [2140] = 2140,
  [2141] = 2073,
  [2142] = 2073,
  [2143] = 2112,
  [2144] = 2073,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2112,
  [2150] = 2140,
  [2151] = 1089,
  [2152] = 1138,
  [2153] = 2140,
  [2154] = 2073,
  [2155] = 2137,
  [2156] = 2140,
  [2157] = 2140,
  [2158] = 2112,
  [2159] = 2148,
  [2160] = 2073,
  [2161] = 2112,
  [2162] = 2162,
  [2163] = 2075,
  [2164] = 2078,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2057,
  [2170] = 2166,
  [2171] = 2112,
  [2172] = 2167,
  [2173] = 2173,
  [2174] = 2168,
  [2175] = 2137,
  [2176] = 2112,
  [2177] = 2079,
  [2178] = 2162,
  [2179] = 2109,
  [2180] = 2074,
  [2181] = 2181,
  [2182] = 2071,
  [2183] = 2162,
  [2184] = 2132,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 1164,
  [2188] = 2097,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2168,
  [2192] = 2168,
  [2193] = 1229,
  [2194] = 2073,
  [2195] = 2166,
  [2196] = 2167,
  [2197] = 2168,
  [2198] = 2167,
  [2199] = 2166,
  [2200] = 2162,
  [2201] = 2137,
  [2202] = 2117,
  [2203] = 2137,
  [2204] = 1114,
  [2205] = 2162,
  [2206] = 2168,
  [2207] = 1238,
  [2208] = 2166,
  [2209] = 2109,
  [2210] = 2181,
  [2211] = 2112,
  [2212] = 2167,
  [2213] = 2070,
  [2214] = 2104,
  [2215] = 2215,
  [2216] = 2120,
  [2217] = 1162,
  [2218] = 2218,
  [2219] = 2162,
  [2220] = 2110,
  [2221] = 1125,
  [2222] = 2073,
  [2223] = 2110,
  [2224] = 2168,
  [2225] = 2097,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2228,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2228,
  [2234] = 2109,
  [2235] = 2137,
  [2236] = 2162,
  [2237] = 2228,
  [2238] = 2097,
  [2239] = 2132,
  [2240] = 2097,
  [2241] = 2137,
  [2242] = 2121,
  [2243] = 2243,
  [2244] = 2147,
  [2245] = 2245,
  [2246] = 2162,
  [2247] = 2120,
  [2248] = 2168,
  [2249] = 2162,
  [2250] = 2145,
  [2251] = 2228,
  [2252] = 2252,
  [2253] = 2110,
  [2254] = 2162,
  [2255] = 2168,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2168,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2112,
  [2263] = 2137,
  [2264] = 2137,
  [2265] = 2228,
  [2266] = 2266,
  [2267] = 2109,
  [2268] = 2120,
  [2269] = 2168,
  [2270] = 2162,
  [2271] = 2097,
  [2272] = 2110,
  [2273] = 2273,
  [2274] = 2273,
  [2275] = 2273,
  [2276] = 2276,
  [2277] = 2132,
  [2278] = 2273,
  [2279] = 2162,
  [2280] = 2273,
  [2281] = 2281,
  [2282] = 2273,
  [2283] = 2273,
  [2284] = 2273,
  [2285] = 2137,
  [2286] = 2286,
  [2287] = 2168,
  [2288] = 2288,
  [2289] = 2273,
  [2290] = 2097,
  [2291] = 2145,
  [2292] = 2162,
  [2293] = 2162,
  [2294] = 2162,
  [2295] = 2168,
  [2296] = 2168,
  [2297] = 2168,
  [2298] = 2097,
  [2299] = 2168,
  [2300] = 2168,
  [2301] = 2190,
  [2302] = 2162,
  [2303] = 2117,
  [2304] = 2168,
  [2305] = 2162,
  [2306] = 2189,
  [2307] = 2145,
  [2308] = 2162,
  [2309] = 2309,
  [2310] = 2097,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2309,
  [2314] = 2312,
  [2315] = 2315,
  [2316] = 2315,
  [2317] = 2317,
  [2318] = 2312,
  [2319] = 2311,
  [2320] = 2311,
  [2321] = 2317,
  [2322] = 2097,
  [2323] = 2162,
  [2324] = 2317,
  [2325] = 2315,
  [2326] = 2311,
  [2327] = 2315,
  [2328] = 2309,
  [2329] = 2317,
  [2330] = 2317,
  [2331] = 2317,
  [2332] = 2315,
  [2333] = 2168,
  [2334] = 2312,
  [2335] = 2317,
  [2336] = 2315,
  [2337] = 2315,
  [2338] = 2309,
  [2339] = 2311,
  [2340] = 2317,
  [2341] = 2097,
  [2342] = 2312,
  [2343] = 2312,
  [2344] = 2261,
  [2345] = 2311,
  [2346] = 2315,
  [2347] = 2317,
  [2348] = 2312,
  [2349] = 2311,
  [2350] = 2309,
  [2351] = 2311,
  [2352] = 2309,
  [2353] = 2311,
  [2354] = 2315,
  [2355] = 2312,
  [2356] = 2312,
  [2357] = 2147,
  [2358] = 2309,
  [2359] = 2311,
  [2360] = 2309,
  [2361] = 2309,
  [2362] = 2317,
  [2363] = 2363,
  [2364] = 2363,
  [2365] = 2363,
  [2366] = 2363,
  [2367] = 2363,
  [2368] = 2363,
  [2369] = 2363,
  [2370] = 2363,
  [2371] = 2363,
  [2372] = 2363,
  [2373] = 2373,
  [2374] = 2373,
  [2375] = 2375,
  [2376] = 2373,
  [2377] = 2373,
  [2378] = 2373,
  [2379] = 2373,
  [2380] = 2373,
  [2381] = 2373,
  [2382] = 2373,
  [2383] = 2383,
  [2384] = 2383,
  [2385] = 2383,
  [2386] = 2383,
  [2387] = 2383,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2390,
  [2392] = 2390,
  [2393] = 2390,
  [2394] = 2394,
  [2395] = 2390,
  [2396] = 2389,
  [2397] = 2390,
  [2398] = 2394,
  [2399] = 2390,
  [2400] = 2390,
  [2401] = 2394,
  [2402] = 2389,
  [2403] = 2389,
  [2404] = 2394,
  [2405] = 2394,
  [2406] = 2390,
  [2407] = 2390,
  [2408] = 2389,
  [2409] = 2394,
  [2410] = 2394,
  [2411] = 2390,
  [2412] = 2394,
  [2413] = 2394,
  [2414] = 2389,
  [2415] = 2390,
  [2416] = 2394,
  [2417] = 2394,
  [2418] = 2390,
  [2419] = 2389,
  [2420] = 2394,
  [2421] = 2390,
  [2422] = 2390,
  [2423] = 2394,
  [2424] = 2394,
  [2425] = 2394,
  [2426] = 2390,
  [2427] = 2394,
  [2428] = 2428,
  [2429] = 307,
  [2430] = 304,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2173,
  [2441] = 2441,
  [2442] = 304,
  [2443] = 2443,
  [2444] = 296,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2218,
  [2448] = 293,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2215,
  [2452] = 307,
  [2453] = 294,
  [2454] = 302,
  [2455] = 310,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 1078,
  [2470] = 2258,
  [2471] = 2471,
  [2472] = 2245,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 1056,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 327,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2487,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2481,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2243,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2256,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 309,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 296,
  [2524] = 294,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 302,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2257,
  [2537] = 2487,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2487,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 1090,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2260,
  [2558] = 328,
  [2559] = 2252,
  [2560] = 2232,
  [2561] = 2561,
  [2562] = 2231,
  [2563] = 2230,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2481,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2481,
  [2575] = 2487,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 1083,
  [2579] = 2481,
  [2580] = 2227,
  [2581] = 1076,
  [2582] = 2481,
  [2583] = 2481,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2599,
  [2610] = 2610,
  [2611] = 2598,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 332,
  [2624] = 2624,
  [2625] = 2616,
  [2626] = 2626,
  [2627] = 335,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 313,
  [2631] = 2594,
  [2632] = 2632,
  [2633] = 2599,
  [2634] = 309,
  [2635] = 2619,
  [2636] = 310,
  [2637] = 2598,
  [2638] = 2638,
  [2639] = 2593,
  [2640] = 2640,
  [2641] = 2605,
  [2642] = 2642,
  [2643] = 2597,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 312,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 313,
  [2650] = 333,
  [2651] = 2651,
  [2652] = 2585,
  [2653] = 2653,
  [2654] = 2594,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2433,
  [2658] = 2434,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 334,
  [2664] = 2598,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2620,
  [2673] = 2673,
  [2674] = 2644,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2653,
  [2678] = 335,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2651,
  [2682] = 2640,
  [2683] = 2683,
  [2684] = 2599,
  [2685] = 2685,
  [2686] = 2621,
  [2687] = 2601,
  [2688] = 2688,
  [2689] = 2602,
  [2690] = 2594,
  [2691] = 2644,
  [2692] = 2432,
  [2693] = 2604,
  [2694] = 2436,
  [2695] = 2601,
  [2696] = 2618,
  [2697] = 2602,
  [2698] = 2698,
  [2699] = 2437,
  [2700] = 2700,
  [2701] = 2673,
  [2702] = 2594,
  [2703] = 2671,
  [2704] = 2670,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 332,
  [2709] = 2640,
  [2710] = 2669,
  [2711] = 2602,
  [2712] = 2601,
  [2713] = 2614,
  [2714] = 2595,
  [2715] = 2668,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2651,
  [2719] = 2719,
  [2720] = 2619,
  [2721] = 2653,
  [2722] = 2722,
  [2723] = 334,
  [2724] = 2675,
  [2725] = 2596,
  [2726] = 2726,
  [2727] = 2675,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2722,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2614,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 328,
  [2738] = 2738,
  [2739] = 2667,
  [2740] = 2740,
  [2741] = 2666,
  [2742] = 2593,
  [2743] = 2673,
  [2744] = 2607,
  [2745] = 2665,
  [2746] = 2605,
  [2747] = 2597,
  [2748] = 2662,
  [2749] = 312,
  [2750] = 2616,
  [2751] = 2751,
  [2752] = 2594,
  [2753] = 2753,
  [2754] = 327,
  [2755] = 2621,
  [2756] = 2659,
  [2757] = 2620,
  [2758] = 2667,
  [2759] = 2759,
  [2760] = 2647,
  [2761] = 2666,
  [2762] = 2665,
  [2763] = 2662,
  [2764] = 2618,
  [2765] = 2671,
  [2766] = 2595,
  [2767] = 2670,
  [2768] = 2661,
  [2769] = 2599,
  [2770] = 2596,
  [2771] = 2661,
  [2772] = 2598,
  [2773] = 2669,
  [2774] = 2659,
  [2775] = 2775,
  [2776] = 2607,
  [2777] = 2610,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 333,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2610,
  [2784] = 2602,
  [2785] = 2785,
  [2786] = 2601,
  [2787] = 2604,
  [2788] = 2668,
  [2789] = 2595,
  [2790] = 2445,
  [2791] = 2651,
  [2792] = 2653,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2675,
  [2798] = 2644,
  [2799] = 2673,
  [2800] = 2215,
  [2801] = 2671,
  [2802] = 2670,
  [2803] = 2669,
  [2804] = 2668,
  [2805] = 2667,
  [2806] = 2531,
  [2807] = 2666,
  [2808] = 2795,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2621,
  [2813] = 2593,
  [2814] = 2814,
  [2815] = 2665,
  [2816] = 2816,
  [2817] = 2793,
  [2818] = 2605,
  [2819] = 2438,
  [2820] = 2597,
  [2821] = 2662,
  [2822] = 2661,
  [2823] = 2823,
  [2824] = 2538,
  [2825] = 2659,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2827,
  [2829] = 2446,
  [2830] = 2531,
  [2831] = 2816,
  [2832] = 2610,
  [2833] = 2607,
  [2834] = 2793,
  [2835] = 2793,
  [2836] = 2836,
  [2837] = 2616,
  [2838] = 2585,
  [2839] = 2827,
  [2840] = 2618,
  [2841] = 2841,
  [2842] = 2816,
  [2843] = 2647,
  [2844] = 2619,
  [2845] = 2604,
  [2846] = 2595,
  [2847] = 2596,
  [2848] = 2620,
  [2849] = 2218,
  [2850] = 2793,
  [2851] = 2795,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2593,
  [2857] = 2827,
  [2858] = 2605,
  [2859] = 2610,
  [2860] = 2827,
  [2861] = 2443,
  [2862] = 2607,
  [2863] = 2597,
  [2864] = 2616,
  [2865] = 2618,
  [2866] = 2620,
  [2867] = 2793,
  [2868] = 2659,
  [2869] = 2439,
  [2870] = 2816,
  [2871] = 2661,
  [2872] = 2604,
  [2873] = 2614,
  [2874] = 2874,
  [2875] = 2619,
  [2876] = 2700,
  [2877] = 2877,
  [2878] = 2795,
  [2879] = 2538,
  [2880] = 2441,
  [2881] = 2662,
  [2882] = 2665,
  [2883] = 2883,
  [2884] = 2816,
  [2885] = 2640,
  [2886] = 2449,
  [2887] = 2596,
  [2888] = 2614,
  [2889] = 2889,
  [2890] = 2621,
  [2891] = 2891,
  [2892] = 2450,
  [2893] = 2893,
  [2894] = 2722,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2666,
  [2898] = 2667,
  [2899] = 2668,
  [2900] = 2852,
  [2901] = 2669,
  [2902] = 2670,
  [2903] = 2826,
  [2904] = 2671,
  [2905] = 2673,
  [2906] = 2644,
  [2907] = 2675,
  [2908] = 2908,
  [2909] = 2173,
  [2910] = 2795,
  [2911] = 2793,
  [2912] = 2796,
  [2913] = 2653,
  [2914] = 2651,
  [2915] = 2640,
  [2916] = 2738,
  [2917] = 2567,
  [2918] = 2533,
  [2919] = 2462,
  [2920] = 2464,
  [2921] = 2568,
  [2922] = 2457,
  [2923] = 2468,
  [2924] = 2595,
  [2925] = 2512,
  [2926] = 2531,
  [2927] = 2604,
  [2928] = 2510,
  [2929] = 2619,
  [2930] = 2232,
  [2931] = 2476,
  [2932] = 2495,
  [2933] = 2933,
  [2934] = 2497,
  [2935] = 2498,
  [2936] = 2531,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2511,
  [2940] = 2515,
  [2941] = 2655,
  [2942] = 2942,
  [2943] = 2519,
  [2944] = 2527,
  [2945] = 2540,
  [2946] = 2946,
  [2947] = 2647,
  [2948] = 2948,
  [2949] = 2738,
  [2950] = 2841,
  [2951] = 2951,
  [2952] = 2538,
  [2953] = 2716,
  [2954] = 2466,
  [2955] = 2955,
  [2956] = 2722,
  [2957] = 2539,
  [2958] = 2561,
  [2959] = 2959,
  [2960] = 293,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2596,
  [2965] = 2258,
  [2966] = 2963,
  [2967] = 2942,
  [2968] = 2585,
  [2969] = 2245,
  [2970] = 2970,
  [2971] = 1056,
  [2972] = 2506,
  [2973] = 2593,
  [2974] = 2500,
  [2975] = 2499,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2577,
  [2979] = 2655,
  [2980] = 2570,
  [2981] = 2981,
  [2982] = 2982,
  [2983] = 2492,
  [2984] = 2621,
  [2985] = 1076,
  [2986] = 2569,
  [2987] = 2491,
  [2988] = 2576,
  [2989] = 2490,
  [2990] = 2496,
  [2991] = 2488,
  [2992] = 2992,
  [2993] = 2982,
  [2994] = 2260,
  [2995] = 2252,
  [2996] = 2505,
  [2997] = 2538,
  [2998] = 2938,
  [2999] = 2459,
  [3000] = 2465,
  [3001] = 293,
  [3002] = 2476,
  [3003] = 2475,
  [3004] = 2963,
  [3005] = 2478,
  [3006] = 2951,
  [3007] = 2479,
  [3008] = 2610,
  [3009] = 2607,
  [3010] = 2616,
  [3011] = 2700,
  [3012] = 2618,
  [3013] = 2620,
  [3014] = 2480,
  [3015] = 2231,
  [3016] = 2230,
  [3017] = 2855,
  [3018] = 2484,
  [3019] = 2493,
  [3020] = 2502,
  [3021] = 2503,
  [3022] = 2522,
  [3023] = 2525,
  [3024] = 2460,
  [3025] = 2548,
  [3026] = 2534,
  [3027] = 2659,
  [3028] = 2661,
  [3029] = 2662,
  [3030] = 2665,
  [3031] = 2535,
  [3032] = 2666,
  [3033] = 2667,
  [3034] = 2668,
  [3035] = 2669,
  [3036] = 2670,
  [3037] = 2671,
  [3038] = 3038,
  [3039] = 2955,
  [3040] = 2673,
  [3041] = 2644,
  [3042] = 2529,
  [3043] = 2675,
  [3044] = 3044,
  [3045] = 2942,
  [3046] = 2458,
  [3047] = 2605,
  [3048] = 2938,
  [3049] = 3049,
  [3050] = 2597,
  [3051] = 2461,
  [3052] = 2463,
  [3053] = 2632,
  [3054] = 2518,
  [3055] = 2227,
  [3056] = 3056,
  [3057] = 2471,
  [3058] = 2473,
  [3059] = 2938,
  [3060] = 2474,
  [3061] = 2477,
  [3062] = 1090,
  [3063] = 2938,
  [3064] = 2482,
  [3065] = 2716,
  [3066] = 2483,
  [3067] = 2507,
  [3068] = 2942,
  [3069] = 2614,
  [3070] = 2467,
  [3071] = 2541,
  [3072] = 2543,
  [3073] = 2544,
  [3074] = 2545,
  [3075] = 2546,
  [3076] = 2547,
  [3077] = 3077,
  [3078] = 2485,
  [3079] = 2530,
  [3080] = 3080,
  [3081] = 2963,
  [3082] = 3082,
  [3083] = 1083,
  [3084] = 2963,
  [3085] = 2700,
  [3086] = 2540,
  [3087] = 2632,
  [3088] = 2549,
  [3089] = 2550,
  [3090] = 2938,
  [3091] = 2982,
  [3092] = 2538,
  [3093] = 2552,
  [3094] = 2553,
  [3095] = 2501,
  [3096] = 2554,
  [3097] = 2555,
  [3098] = 2556,
  [3099] = 2564,
  [3100] = 2565,
  [3101] = 2566,
  [3102] = 2963,
  [3103] = 2653,
  [3104] = 2504,
  [3105] = 2651,
  [3106] = 2640,
  [3107] = 2841,
  [3108] = 2508,
  [3109] = 2514,
  [3110] = 2257,
  [3111] = 2256,
  [3112] = 2516,
  [3113] = 2531,
  [3114] = 2942,
  [3115] = 2573,
  [3116] = 2572,
  [3117] = 2456,
  [3118] = 2942,
  [3119] = 2521,
  [3120] = 2243,
  [3121] = 2970,
  [3122] = 2963,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 1078,
  [3126] = 2526,
  [3127] = 2531,
  [3128] = 2538,
  [3129] = 2528,
  [3130] = 2644,
  [3131] = 2716,
  [3132] = 311,
  [3133] = 3133,
  [3134] = 2576,
  [3135] = 3135,
  [3136] = 2679,
  [3137] = 3137,
  [3138] = 2576,
  [3139] = 2615,
  [3140] = 2617,
  [3141] = 2620,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 2618,
  [3145] = 2616,
  [3146] = 3146,
  [3147] = 2700,
  [3148] = 3148,
  [3149] = 2685,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3142,
  [3154] = 3143,
  [3155] = 3137,
  [3156] = 3156,
  [3157] = 306,
  [3158] = 308,
  [3159] = 3159,
  [3160] = 305,
  [3161] = 2607,
  [3162] = 2610,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 2600,
  [3167] = 2632,
  [3168] = 308,
  [3169] = 317,
  [3170] = 305,
  [3171] = 3171,
  [3172] = 306,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 318,
  [3176] = 319,
  [3177] = 2603,
  [3178] = 2624,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 2883,
  [3182] = 2606,
  [3183] = 2608,
  [3184] = 2538,
  [3185] = 2531,
  [3186] = 3143,
  [3187] = 3187,
  [3188] = 2733,
  [3189] = 2811,
  [3190] = 3171,
  [3191] = 2982,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 3142,
  [3195] = 3171,
  [3196] = 3196,
  [3197] = 2612,
  [3198] = 3198,
  [3199] = 2659,
  [3200] = 2626,
  [3201] = 3201,
  [3202] = 2982,
  [3203] = 2661,
  [3204] = 2628,
  [3205] = 3205,
  [3206] = 2662,
  [3207] = 2632,
  [3208] = 3208,
  [3209] = 2665,
  [3210] = 2782,
  [3211] = 2781,
  [3212] = 2621,
  [3213] = 3213,
  [3214] = 2982,
  [3215] = 3215,
  [3216] = 2688,
  [3217] = 3213,
  [3218] = 2716,
  [3219] = 2666,
  [3220] = 3220,
  [3221] = 2961,
  [3222] = 321,
  [3223] = 2751,
  [3224] = 325,
  [3225] = 311,
  [3226] = 3226,
  [3227] = 2538,
  [3228] = 2531,
  [3229] = 2759,
  [3230] = 314,
  [3231] = 2775,
  [3232] = 2778,
  [3233] = 314,
  [3234] = 2667,
  [3235] = 2668,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 2779,
  [3239] = 3187,
  [3240] = 2629,
  [3241] = 2619,
  [3242] = 2604,
  [3243] = 2595,
  [3244] = 2596,
  [3245] = 2753,
  [3246] = 3142,
  [3247] = 3143,
  [3248] = 2613,
  [3249] = 2655,
  [3250] = 3215,
  [3251] = 2669,
  [3252] = 2670,
  [3253] = 326,
  [3254] = 2638,
  [3255] = 2621,
  [3256] = 3256,
  [3257] = 2671,
  [3258] = 3220,
  [3259] = 2673,
  [3260] = 2642,
  [3261] = 2607,
  [3262] = 3171,
  [3263] = 2645,
  [3264] = 2648,
  [3265] = 2644,
  [3266] = 2675,
  [3267] = 3171,
  [3268] = 2660,
  [3269] = 2616,
  [3270] = 2653,
  [3271] = 2651,
  [3272] = 2680,
  [3273] = 2683,
  [3274] = 2640,
  [3275] = 2619,
  [3276] = 2618,
  [3277] = 3171,
  [3278] = 303,
  [3279] = 2614,
  [3280] = 3180,
  [3281] = 3256,
  [3282] = 2620,
  [3283] = 3171,
  [3284] = 2540,
  [3285] = 3148,
  [3286] = 2632,
  [3287] = 2811,
  [3288] = 2592,
  [3289] = 3289,
  [3290] = 2591,
  [3291] = 2590,
  [3292] = 2841,
  [3293] = 2740,
  [3294] = 3215,
  [3295] = 2619,
  [3296] = 2659,
  [3297] = 3256,
  [3298] = 2661,
  [3299] = 2585,
  [3300] = 2662,
  [3301] = 2604,
  [3302] = 2647,
  [3303] = 2595,
  [3304] = 2665,
  [3305] = 2597,
  [3306] = 3256,
  [3307] = 2596,
  [3308] = 2605,
  [3309] = 3215,
  [3310] = 3143,
  [3311] = 3142,
  [3312] = 2593,
  [3313] = 2589,
  [3314] = 2588,
  [3315] = 2736,
  [3316] = 2666,
  [3317] = 2730,
  [3318] = 2729,
  [3319] = 2587,
  [3320] = 2726,
  [3321] = 2716,
  [3322] = 2667,
  [3323] = 317,
  [3324] = 318,
  [3325] = 2586,
  [3326] = 319,
  [3327] = 2722,
  [3328] = 3171,
  [3329] = 2621,
  [3330] = 3330,
  [3331] = 324,
  [3332] = 2668,
  [3333] = 2610,
  [3334] = 3334,
  [3335] = 2607,
  [3336] = 2785,
  [3337] = 2669,
  [3338] = 2670,
  [3339] = 2616,
  [3340] = 2671,
  [3341] = 2618,
  [3342] = 2620,
  [3343] = 2659,
  [3344] = 2661,
  [3345] = 2662,
  [3346] = 3215,
  [3347] = 2665,
  [3348] = 2666,
  [3349] = 2667,
  [3350] = 2668,
  [3351] = 2669,
  [3352] = 2670,
  [3353] = 2671,
  [3354] = 2673,
  [3355] = 3256,
  [3356] = 2576,
  [3357] = 2673,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 2644,
  [3361] = 3361,
  [3362] = 3256,
  [3363] = 3215,
  [3364] = 2675,
  [3365] = 2651,
  [3366] = 2640,
  [3367] = 2614,
  [3368] = 2597,
  [3369] = 2675,
  [3370] = 3215,
  [3371] = 3371,
  [3372] = 2476,
  [3373] = 2653,
  [3374] = 2651,
  [3375] = 3256,
  [3376] = 321,
  [3377] = 2640,
  [3378] = 2614,
  [3379] = 2597,
  [3380] = 2605,
  [3381] = 325,
  [3382] = 2653,
  [3383] = 2593,
  [3384] = 3171,
  [3385] = 3385,
  [3386] = 2605,
  [3387] = 3387,
  [3388] = 2593,
  [3389] = 3171,
  [3390] = 3390,
  [3391] = 326,
  [3392] = 2610,
  [3393] = 3393,
  [3394] = 2622,
  [3395] = 2728,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 303,
  [3402] = 3402,
  [3403] = 2719,
  [3404] = 2717,
  [3405] = 2707,
  [3406] = 2706,
  [3407] = 324,
  [3408] = 2705,
  [3409] = 2961,
  [3410] = 3410,
  [3411] = 3196,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 2596,
  [3416] = 3416,
  [3417] = 2595,
  [3418] = 2604,
  [3419] = 3419,
  [3420] = 2619,
  [3421] = 2883,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 2632,
  [3425] = 2538,
  [3426] = 2531,
  [3427] = 3427,
  [3428] = 3428,
  [3429] = 3429,
  [3430] = 2982,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 2655,
  [3434] = 2982,
  [3435] = 3435,
  [3436] = 2540,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 2982,
  [3440] = 3440,
  [3441] = 2982,
  [3442] = 3442,
  [3443] = 3443,
  [3444] = 3444,
  [3445] = 2655,
  [3446] = 2647,
  [3447] = 3447,
  [3448] = 3438,
  [3449] = 3449,
  [3450] = 3438,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3419,
  [3454] = 2621,
  [3455] = 3427,
  [3456] = 2610,
  [3457] = 2607,
  [3458] = 2616,
  [3459] = 3438,
  [3460] = 2618,
  [3461] = 2620,
  [3462] = 2576,
  [3463] = 3437,
  [3464] = 2596,
  [3465] = 2576,
  [3466] = 2593,
  [3467] = 2476,
  [3468] = 3468,
  [3469] = 2605,
  [3470] = 2597,
  [3471] = 2614,
  [3472] = 2716,
  [3473] = 2640,
  [3474] = 3474,
  [3475] = 2651,
  [3476] = 2811,
  [3477] = 3443,
  [3478] = 2823,
  [3479] = 2659,
  [3480] = 2661,
  [3481] = 2662,
  [3482] = 2665,
  [3483] = 2666,
  [3484] = 3438,
  [3485] = 2667,
  [3486] = 2668,
  [3487] = 2669,
  [3488] = 2670,
  [3489] = 3438,
  [3490] = 2961,
  [3491] = 2671,
  [3492] = 2673,
  [3493] = 2644,
  [3494] = 2595,
  [3495] = 2604,
  [3496] = 2675,
  [3497] = 3497,
  [3498] = 2653,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 3452,
  [3502] = 3502,
  [3503] = 3438,
  [3504] = 2476,
  [3505] = 2811,
  [3506] = 3506,
  [3507] = 2722,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 2647,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 2585,
  [3522] = 3522,
  [3523] = 2883,
  [3524] = 3524,
  [3525] = 2632,
  [3526] = 2716,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 2476,
  [3535] = 3535,
  [3536] = 2655,
  [3537] = 3537,
  [3538] = 2655,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 2576,
  [3543] = 2982,
  [3544] = 3544,
  [3545] = 2585,
  [3546] = 3143,
  [3547] = 3547,
  [3548] = 3535,
  [3549] = 3143,
  [3550] = 3550,
  [3551] = 2647,
  [3552] = 3552,
  [3553] = 3142,
  [3554] = 3554,
  [3555] = 2446,
  [3556] = 3556,
  [3557] = 3143,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3390,
  [3561] = 3143,
  [3562] = 3562,
  [3563] = 3142,
  [3564] = 2961,
  [3565] = 3565,
  [3566] = 3142,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 2576,
  [3573] = 2576,
  [3574] = 3574,
  [3575] = 3142,
  [3576] = 3576,
  [3577] = 3142,
  [3578] = 3143,
  [3579] = 3143,
  [3580] = 3142,
  [3581] = 3142,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3143,
  [3586] = 2576,
  [3587] = 2722,
  [3588] = 3588,
  [3589] = 3588,
  [3590] = 3588,
  [3591] = 3588,
  [3592] = 3588,
  [3593] = 3588,
  [3594] = 3588,
  [3595] = 3588,
  [3596] = 3588,
  [3597] = 3597,
  [3598] = 3588,
  [3599] = 327,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3512,
  [3607] = 3514,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 328,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 327,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 335,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 333,
  [3646] = 3646,
  [3647] = 328,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3198,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3236,
  [3665] = 3665,
  [3666] = 3289,
  [3667] = 333,
  [3668] = 335,
  [3669] = 3146,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3499,
  [3674] = 2108,
  [3675] = 3422,
  [3676] = 3437,
  [3677] = 3502,
  [3678] = 3437,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3447,
  [3682] = 3451,
  [3683] = 3427,
  [3684] = 3447,
  [3685] = 3502,
  [3686] = 3686,
  [3687] = 3422,
  [3688] = 3688,
  [3689] = 3427,
  [3690] = 3444,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3432,
  [3694] = 3423,
  [3695] = 3686,
  [3696] = 3444,
  [3697] = 3452,
  [3698] = 3452,
  [3699] = 3679,
  [3700] = 3419,
  [3701] = 3440,
  [3702] = 3419,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3703,
  [3707] = 3705,
  [3708] = 3708,
  [3709] = 3705,
  [3710] = 3705,
  [3711] = 3711,
  [3712] = 3704,
  [3713] = 3708,
  [3714] = 3711,
  [3715] = 3715,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3708,
  [3721] = 3719,
  [3722] = 3718,
  [3723] = 3718,
  [3724] = 3704,
  [3725] = 3704,
  [3726] = 3711,
  [3727] = 2114,
  [3728] = 3719,
  [3729] = 3718,
  [3730] = 3711,
  [3731] = 3731,
  [3732] = 3719,
  [3733] = 3705,
  [3734] = 3708,
  [3735] = 3735,
  [3736] = 3711,
  [3737] = 2146,
  [3738] = 3704,
  [3739] = 3719,
  [3740] = 3740,
  [3741] = 3705,
  [3742] = 3703,
  [3743] = 3718,
  [3744] = 3719,
  [3745] = 3703,
  [3746] = 3708,
  [3747] = 3708,
  [3748] = 3703,
  [3749] = 3711,
  [3750] = 3704,
  [3751] = 3751,
  [3752] = 3703,
  [3753] = 3718,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3761,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3500,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3776,
  [3777] = 3777,
  [3778] = 3778,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 2215,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 2173,
  [3786] = 3786,
  [3787] = 3779,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3792,
  [3793] = 3793,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3792,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3797,
  [3800] = 3800,
  [3801] = 3801,
  [3802] = 2218,
  [3803] = 3803,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 3794,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 2185,
  [3810] = 3810,
  [3811] = 3782,
  [3812] = 3812,
  [3813] = 3775,
  [3814] = 3814,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3810,
  [3818] = 3818,
  [3819] = 3812,
  [3820] = 3820,
  [3821] = 3788,
  [3822] = 3822,
  [3823] = 3786,
  [3824] = 3824,
  [3825] = 2186,
  [3826] = 3826,
  [3827] = 3827,
  [3828] = 3827,
  [3829] = 3829,
  [3830] = 3814,
  [3831] = 3831,
  [3832] = 3832,
  [3833] = 3833,
  [3834] = 2165,
  [3835] = 3835,
  [3836] = 2215,
  [3837] = 2173,
  [3838] = 2437,
  [3839] = 2436,
  [3840] = 2432,
  [3841] = 2218,
  [3842] = 304,
  [3843] = 307,
  [3844] = 2504,
  [3845] = 2461,
  [3846] = 2456,
  [3847] = 2516,
  [3848] = 2480,
  [3849] = 2508,
  [3850] = 2526,
  [3851] = 2501,
  [3852] = 2484,
  [3853] = 2521,
  [3854] = 2493,
  [3855] = 2471,
  [3856] = 2502,
  [3857] = 2529,
  [3858] = 2528,
  [3859] = 2503,
  [3860] = 2514,
  [3861] = 2482,
  [3862] = 2434,
  [3863] = 2477,
  [3864] = 2474,
  [3865] = 2475,
  [3866] = 2478,
  [3867] = 2473,
  [3868] = 2535,
  [3869] = 2534,
  [3870] = 2505,
  [3871] = 2457,
  [3872] = 2548,
  [3873] = 2533,
  [3874] = 2458,
  [3875] = 2479,
  [3876] = 2525,
  [3877] = 2522,
  [3878] = 2463,
  [3879] = 3879,
  [3880] = 3879,
  [3881] = 3879,
  [3882] = 3879,
  [3883] = 2441,
  [3884] = 3879,
  [3885] = 2260,
  [3886] = 2252,
  [3887] = 307,
  [3888] = 2257,
  [3889] = 2256,
  [3890] = 2243,
  [3891] = 2561,
  [3892] = 2443,
  [3893] = 2554,
  [3894] = 2553,
  [3895] = 1076,
  [3896] = 1056,
  [3897] = 2227,
  [3898] = 2541,
  [3899] = 2245,
  [3900] = 2432,
  [3901] = 2258,
  [3902] = 1083,
  [3903] = 2546,
  [3904] = 2436,
  [3905] = 2437,
  [3906] = 2544,
  [3907] = 1090,
  [3908] = 304,
  [3909] = 2230,
  [3910] = 2231,
  [3911] = 2232,
  [3912] = 1078,
  [3913] = 2438,
  [3914] = 2450,
  [3915] = 2439,
  [3916] = 2449,
  [3917] = 2445,
  [3918] = 2483,
  [3919] = 2496,
  [3920] = 2549,
  [3921] = 2572,
  [3922] = 2573,
  [3923] = 2461,
  [3924] = 2458,
  [3925] = 2468,
  [3926] = 2478,
  [3927] = 2457,
  [3928] = 2437,
  [3929] = 2436,
  [3930] = 2432,
  [3931] = 2547,
  [3932] = 2475,
  [3933] = 2567,
  [3934] = 2545,
  [3935] = 2495,
  [3936] = 2473,
  [3937] = 2577,
  [3938] = 3938,
  [3939] = 2569,
  [3940] = 2570,
  [3941] = 2530,
  [3942] = 2497,
  [3943] = 2456,
  [3944] = 2471,
  [3945] = 2434,
  [3946] = 2543,
  [3947] = 2459,
  [3948] = 2465,
  [3949] = 2464,
  [3950] = 2505,
  [3951] = 2498,
  [3952] = 3938,
  [3953] = 2488,
  [3954] = 3954,
  [3955] = 2490,
  [3956] = 3938,
  [3957] = 2491,
  [3958] = 2492,
  [3959] = 2529,
  [3960] = 2527,
  [3961] = 3954,
  [3962] = 3962,
  [3963] = 3938,
  [3964] = 2528,
  [3965] = 2526,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3962,
  [3969] = 3966,
  [3970] = 2485,
  [3971] = 2507,
  [3972] = 2521,
  [3973] = 2550,
  [3974] = 2499,
  [3975] = 2516,
  [3976] = 3962,
  [3977] = 2500,
  [3978] = 3967,
  [3979] = 3938,
  [3980] = 2463,
  [3981] = 2555,
  [3982] = 2462,
  [3983] = 3954,
  [3984] = 3966,
  [3985] = 2564,
  [3986] = 2565,
  [3987] = 3962,
  [3988] = 2514,
  [3989] = 2566,
  [3990] = 2506,
  [3991] = 3967,
  [3992] = 2460,
  [3993] = 3938,
  [3994] = 2508,
  [3995] = 3966,
  [3996] = 2504,
  [3997] = 3954,
  [3998] = 2501,
  [3999] = 2535,
  [4000] = 2552,
  [4001] = 3938,
  [4002] = 2515,
  [4003] = 2519,
  [4004] = 2534,
  [4005] = 2548,
  [4006] = 2533,
  [4007] = 2525,
  [4008] = 2539,
  [4009] = 2522,
  [4010] = 2568,
  [4011] = 3954,
  [4012] = 3966,
  [4013] = 3962,
  [4014] = 3967,
  [4015] = 2503,
  [4016] = 3938,
  [4017] = 2511,
  [4018] = 2502,
  [4019] = 3938,
  [4020] = 2482,
  [4021] = 2493,
  [4022] = 3967,
  [4023] = 2484,
  [4024] = 2477,
  [4025] = 2556,
  [4026] = 2480,
  [4027] = 2479,
  [4028] = 2474,
  [4029] = 3938,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 2441,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 4038,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 4042,
  [4043] = 4034,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4037,
  [4050] = 4050,
  [4051] = 4032,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 4037,
  [4055] = 4032,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4037,
  [4060] = 4034,
  [4061] = 4061,
  [4062] = 4034,
  [4063] = 4037,
  [4064] = 4032,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4034,
  [4068] = 4032,
  [4069] = 4069,
  [4070] = 2173,
  [4071] = 2227,
  [4072] = 2503,
  [4073] = 2522,
  [4074] = 2493,
  [4075] = 2525,
  [4076] = 2533,
  [4077] = 2561,
  [4078] = 2548,
  [4079] = 2484,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 2443,
  [4083] = 2534,
  [4084] = 2535,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 2215,
  [4088] = 2480,
  [4089] = 2479,
  [4090] = 4090,
  [4091] = 2478,
  [4092] = 2475,
  [4093] = 2243,
  [4094] = 2256,
  [4095] = 2257,
  [4096] = 2230,
  [4097] = 2529,
  [4098] = 2231,
  [4099] = 2528,
  [4100] = 2526,
  [4101] = 2521,
  [4102] = 2218,
  [4103] = 2541,
  [4104] = 2456,
  [4105] = 2544,
  [4106] = 2516,
  [4107] = 2546,
  [4108] = 2232,
  [4109] = 2514,
  [4110] = 4110,
  [4111] = 2508,
  [4112] = 4057,
  [4113] = 2504,
  [4114] = 2501,
  [4115] = 2252,
  [4116] = 2553,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 2260,
  [4120] = 4120,
  [4121] = 2505,
  [4122] = 2554,
  [4123] = 2258,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 2477,
  [4127] = 2434,
  [4128] = 2457,
  [4129] = 2245,
  [4130] = 2458,
  [4131] = 2461,
  [4132] = 2463,
  [4133] = 2471,
  [4134] = 2473,
  [4135] = 2502,
  [4136] = 2474,
  [4137] = 2482,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4139,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4141,
  [4149] = 4149,
  [4150] = 2438,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 4141,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4160,
  [4161] = 4161,
  [4162] = 2439,
  [4163] = 4141,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 2441,
  [4167] = 4167,
  [4168] = 4139,
  [4169] = 4141,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4139,
  [4173] = 4173,
  [4174] = 4139,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 2450,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 2445,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 2449,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 2496,
  [4190] = 2468,
  [4191] = 2545,
  [4192] = 2543,
  [4193] = 1083,
  [4194] = 2465,
  [4195] = 2459,
  [4196] = 2464,
  [4197] = 2462,
  [4198] = 2555,
  [4199] = 2569,
  [4200] = 2570,
  [4201] = 4201,
  [4202] = 2577,
  [4203] = 4203,
  [4204] = 2547,
  [4205] = 2549,
  [4206] = 2460,
  [4207] = 2506,
  [4208] = 4208,
  [4209] = 2495,
  [4210] = 2497,
  [4211] = 2550,
  [4212] = 2498,
  [4213] = 1090,
  [4214] = 2552,
  [4215] = 2500,
  [4216] = 2483,
  [4217] = 4217,
  [4218] = 2499,
  [4219] = 2553,
  [4220] = 1056,
  [4221] = 2568,
  [4222] = 2572,
  [4223] = 2511,
  [4224] = 2515,
  [4225] = 2492,
  [4226] = 2573,
  [4227] = 2519,
  [4228] = 2491,
  [4229] = 2554,
  [4230] = 2527,
  [4231] = 2173,
  [4232] = 2567,
  [4233] = 2561,
  [4234] = 2539,
  [4235] = 2541,
  [4236] = 2530,
  [4237] = 4237,
  [4238] = 2566,
  [4239] = 2544,
  [4240] = 2490,
  [4241] = 2488,
  [4242] = 2565,
  [4243] = 1076,
  [4244] = 2215,
  [4245] = 2564,
  [4246] = 2218,
  [4247] = 2546,
  [4248] = 2443,
  [4249] = 2485,
  [4250] = 2507,
  [4251] = 1078,
  [4252] = 2556,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4254,
  [4256] = 4254,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4254,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 2439,
  [4263] = 4263,
  [4264] = 4254,
  [4265] = 2438,
  [4266] = 4266,
  [4267] = 4258,
  [4268] = 4258,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4258,
  [4272] = 4254,
  [4273] = 2449,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 2450,
  [4277] = 4258,
  [4278] = 4258,
  [4279] = 4270,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4269,
  [4283] = 4057,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 2445,
  [4287] = 4287,
  [4288] = 2507,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 2260,
  [4293] = 2252,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 2232,
  [4297] = 4289,
  [4298] = 4298,
  [4299] = 2231,
  [4300] = 2230,
  [4301] = 4301,
  [4302] = 4141,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 4301,
  [4309] = 4290,
  [4310] = 4310,
  [4311] = 4141,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 2243,
  [4318] = 2256,
  [4319] = 4319,
  [4320] = 4314,
  [4321] = 4321,
  [4322] = 4319,
  [4323] = 4323,
  [4324] = 4295,
  [4325] = 2257,
  [4326] = 4290,
  [4327] = 2568,
  [4328] = 4314,
  [4329] = 2506,
  [4330] = 2567,
  [4331] = 4331,
  [4332] = 4291,
  [4333] = 4307,
  [4334] = 4305,
  [4335] = 4294,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4141,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4280,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4257,
  [4345] = 4291,
  [4346] = 4301,
  [4347] = 4141,
  [4348] = 4319,
  [4349] = 4301,
  [4350] = 4291,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4290,
  [4354] = 4354,
  [4355] = 4314,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4289,
  [4359] = 4359,
  [4360] = 2227,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4275,
  [4364] = 2539,
  [4365] = 4352,
  [4366] = 2527,
  [4367] = 2519,
  [4368] = 2515,
  [4369] = 2511,
  [4370] = 2498,
  [4371] = 2497,
  [4372] = 2495,
  [4373] = 2460,
  [4374] = 2462,
  [4375] = 2464,
  [4376] = 2468,
  [4377] = 1076,
  [4378] = 4336,
  [4379] = 4379,
  [4380] = 4319,
  [4381] = 4141,
  [4382] = 4382,
  [4383] = 2485,
  [4384] = 2499,
  [4385] = 2483,
  [4386] = 4319,
  [4387] = 4387,
  [4388] = 2573,
  [4389] = 2572,
  [4390] = 4290,
  [4391] = 4391,
  [4392] = 4319,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 1078,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 1083,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 1090,
  [4402] = 4402,
  [4403] = 2500,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4352,
  [4407] = 4290,
  [4408] = 4274,
  [4409] = 4295,
  [4410] = 4410,
  [4411] = 4289,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4295,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 2488,
  [4420] = 4141,
  [4421] = 4290,
  [4422] = 4295,
  [4423] = 4343,
  [4424] = 4291,
  [4425] = 4295,
  [4426] = 4289,
  [4427] = 4352,
  [4428] = 307,
  [4429] = 4289,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4352,
  [4433] = 4141,
  [4434] = 2577,
  [4435] = 4314,
  [4436] = 2570,
  [4437] = 4301,
  [4438] = 304,
  [4439] = 2569,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 2496,
  [4443] = 4314,
  [4444] = 2459,
  [4445] = 2465,
  [4446] = 4446,
  [4447] = 2490,
  [4448] = 4301,
  [4449] = 4331,
  [4450] = 2491,
  [4451] = 2492,
  [4452] = 4291,
  [4453] = 4340,
  [4454] = 4454,
  [4455] = 1056,
  [4456] = 2258,
  [4457] = 2543,
  [4458] = 2530,
  [4459] = 2545,
  [4460] = 4460,
  [4461] = 2547,
  [4462] = 2549,
  [4463] = 2550,
  [4464] = 2552,
  [4465] = 2245,
  [4466] = 4466,
  [4467] = 2555,
  [4468] = 2556,
  [4469] = 4469,
  [4470] = 4466,
  [4471] = 4471,
  [4472] = 4339,
  [4473] = 4473,
  [4474] = 2564,
  [4475] = 2565,
  [4476] = 2566,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4482,
  [4483] = 4483,
  [4484] = 4274,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4275,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4487,
  [4494] = 4487,
  [4495] = 4489,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 296,
  [4502] = 294,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 4487,
  [4506] = 4489,
  [4507] = 4487,
  [4508] = 4489,
  [4509] = 4503,
  [4510] = 4504,
  [4511] = 4489,
  [4512] = 4512,
  [4513] = 4513,
  [4514] = 4489,
  [4515] = 4515,
  [4516] = 4489,
  [4517] = 4487,
  [4518] = 4489,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4522,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4522,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4536,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4536,
  [4548] = 4528,
  [4549] = 4549,
  [4550] = 4545,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4203,
  [4554] = 4554,
  [4555] = 4528,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4546,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4454,
  [4571] = 4571,
  [4572] = 4545,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4544,
  [4576] = 4576,
  [4577] = 4528,
  [4578] = 4558,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4544,
  [4585] = 4585,
  [4586] = 4528,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4587,
  [4591] = 4544,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4545,
  [4596] = 4545,
  [4597] = 4528,
  [4598] = 4339,
  [4599] = 4534,
  [4600] = 4336,
  [4601] = 4294,
  [4602] = 4602,
  [4603] = 4536,
  [4604] = 4305,
  [4605] = 4307,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4535,
  [4610] = 4524,
  [4611] = 4496,
  [4612] = 4523,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4522,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4521,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4545,
  [4623] = 4623,
  [4624] = 4340,
  [4625] = 4625,
  [4626] = 4431,
  [4627] = 4417,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4536,
  [4632] = 4632,
  [4633] = 4552,
  [4634] = 4634,
  [4635] = 4635,
  [4636] = 4556,
  [4637] = 4522,
  [4638] = 4638,
  [4639] = 4546,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4535,
  [4646] = 4646,
  [4647] = 4559,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4556,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 302,
  [4654] = 328,
  [4655] = 4524,
  [4656] = 4656,
  [4657] = 4657,
  [4658] = 4546,
  [4659] = 4521,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4523,
  [4663] = 4217,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4552,
  [4668] = 4521,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4544,
  [4672] = 4672,
  [4673] = 4535,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4524,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4536,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 4686,
  [4687] = 328,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4695,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4535,
  [4699] = 4524,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4559,
  [4705] = 4705,
  [4706] = 4521,
  [4707] = 4556,
  [4708] = 2108,
  [4709] = 4709,
  [4710] = 4523,
  [4711] = 310,
  [4712] = 309,
  [4713] = 332,
  [4714] = 4556,
  [4715] = 4524,
  [4716] = 4546,
  [4717] = 4717,
  [4718] = 4535,
  [4719] = 4522,
  [4720] = 4523,
  [4721] = 4559,
  [4722] = 4649,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 4402,
  [4726] = 4523,
  [4727] = 4727,
  [4728] = 4544,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 333,
  [4732] = 4681,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 334,
  [4736] = 4552,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 335,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4521,
  [4752] = 4559,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 327,
  [4757] = 4615,
  [4758] = 327,
  [4759] = 4546,
  [4760] = 4285,
  [4761] = 4342,
  [4762] = 4559,
  [4763] = 4556,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4541,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4552,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4460,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4783,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4789,
  [4796] = 4774,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 923,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4797,
  [4803] = 4803,
  [4804] = 4801,
  [4805] = 333,
  [4806] = 4806,
  [4807] = 4790,
  [4808] = 4808,
  [4809] = 4789,
  [4810] = 4810,
  [4811] = 4811,
  [4812] = 4208,
  [4813] = 4790,
  [4814] = 4814,
  [4815] = 4789,
  [4816] = 4777,
  [4817] = 4817,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4566,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4778,
  [4825] = 4817,
  [4826] = 4810,
  [4827] = 4801,
  [4828] = 4828,
  [4829] = 4563,
  [4830] = 4689,
  [4831] = 4780,
  [4832] = 4832,
  [4833] = 4561,
  [4834] = 4790,
  [4835] = 4835,
  [4836] = 4789,
  [4837] = 2114,
  [4838] = 4803,
  [4839] = 4794,
  [4840] = 4832,
  [4841] = 4798,
  [4842] = 4257,
  [4843] = 4843,
  [4844] = 4801,
  [4845] = 4797,
  [4846] = 4798,
  [4847] = 4803,
  [4848] = 4789,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4819,
  [4853] = 4789,
  [4854] = 4785,
  [4855] = 4855,
  [4856] = 4786,
  [4857] = 4857,
  [4858] = 4790,
  [4859] = 4859,
  [4860] = 4793,
  [4861] = 4797,
  [4862] = 4794,
  [4863] = 4797,
  [4864] = 4801,
  [4865] = 4803,
  [4866] = 4798,
  [4867] = 4867,
  [4868] = 4798,
  [4869] = 4803,
  [4870] = 4790,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4504,
  [4874] = 4874,
  [4875] = 4503,
  [4876] = 2146,
  [4877] = 4851,
  [4878] = 4810,
  [4879] = 4879,
  [4880] = 4772,
  [4881] = 4803,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4859,
  [4885] = 4798,
  [4886] = 4794,
  [4887] = 4790,
  [4888] = 4767,
  [4889] = 335,
  [4890] = 4797,
  [4891] = 4801,
  [4892] = 4892,
  [4893] = 4843,
  [4894] = 4793,
  [4895] = 4789,
  [4896] = 4740,
  [4897] = 4859,
  [4898] = 4898,
  [4899] = 4797,
  [4900] = 4743,
  [4901] = 4797,
  [4902] = 4843,
  [4903] = 4801,
  [4904] = 4892,
  [4905] = 4851,
  [4906] = 4872,
  [4907] = 4907,
  [4908] = 4801,
  [4909] = 4808,
  [4910] = 4766,
  [4911] = 4911,
  [4912] = 4560,
  [4913] = 4797,
  [4914] = 4843,
  [4915] = 4822,
  [4916] = 4496,
  [4917] = 4823,
  [4918] = 4918,
  [4919] = 4765,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4569,
  [4923] = 4746,
  [4924] = 4892,
  [4925] = 4851,
  [4926] = 4872,
  [4927] = 4790,
  [4928] = 4764,
  [4929] = 4929,
  [4930] = 4747,
  [4931] = 4810,
  [4932] = 4629,
  [4933] = 4933,
  [4934] = 4871,
  [4935] = 4803,
  [4936] = 4835,
  [4937] = 4929,
  [4938] = 4798,
  [4939] = 4939,
  [4940] = 4940,
  [4941] = 4892,
  [4942] = 4942,
  [4943] = 4793,
  [4944] = 4810,
  [4945] = 4945,
  [4946] = 4940,
  [4947] = 4801,
  [4948] = 4851,
  [4949] = 4872,
  [4950] = 4872,
  [4951] = 4794,
  [4952] = 4843,
  [4953] = 4790,
  [4954] = 4793,
  [4955] = 4892,
  [4956] = 4818,
  [4957] = 4811,
  [4958] = 4793,
  [4959] = 4851,
  [4960] = 4859,
  [4961] = 4280,
  [4962] = 4962,
  [4963] = 4800,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4898,
  [4967] = 4859,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4835,
  [4971] = 4787,
  [4972] = 4781,
  [4973] = 4969,
  [4974] = 4788,
  [4975] = 4789,
  [4976] = 4968,
  [4977] = 4835,
  [4978] = 4835,
  [4979] = 4835,
  [4980] = 4911,
  [4981] = 4892,
  [4982] = 4794,
  [4983] = 4983,
  [4984] = 1001,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 312,
  [4988] = 313,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 2554,
  [5001] = 2553,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 1238,
  [5006] = 1114,
  [5007] = 5007,
  [5008] = 1093,
  [5009] = 1162,
  [5010] = 1125,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 296,
  [5014] = 294,
  [5015] = 1108,
  [5016] = 1103,
  [5017] = 1100,
  [5018] = 994,
  [5019] = 1091,
  [5020] = 974,
  [5021] = 1086,
  [5022] = 1082,
  [5023] = 1035,
  [5024] = 1038,
  [5025] = 1039,
  [5026] = 1044,
  [5027] = 1048,
  [5028] = 1061,
  [5029] = 1062,
  [5030] = 1074,
  [5031] = 996,
  [5032] = 995,
  [5033] = 1222,
  [5034] = 1085,
  [5035] = 1104,
  [5036] = 1087,
  [5037] = 1106,
  [5038] = 1107,
  [5039] = 1109,
  [5040] = 1110,
  [5041] = 1112,
  [5042] = 1127,
  [5043] = 1146,
  [5044] = 1147,
  [5045] = 1157,
  [5046] = 1168,
  [5047] = 1172,
  [5048] = 973,
  [5049] = 979,
  [5050] = 982,
  [5051] = 1184,
  [5052] = 1185,
  [5053] = 1198,
  [5054] = 1191,
  [5055] = 1224,
  [5056] = 5056,
  [5057] = 1245,
  [5058] = 5058,
  [5059] = 1244,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 1243,
  [5066] = 1234,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 1233,
  [5070] = 1232,
  [5071] = 1230,
  [5072] = 1227,
  [5073] = 5073,
  [5074] = 1226,
  [5075] = 5075,
  [5076] = 1225,
  [5077] = 1221,
  [5078] = 1007,
  [5079] = 1216,
  [5080] = 1212,
  [5081] = 1207,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 1202,
  [5085] = 5085,
  [5086] = 5058,
  [5087] = 5087,
  [5088] = 1200,
  [5089] = 1196,
  [5090] = 1195,
  [5091] = 1016,
  [5092] = 5092,
  [5093] = 1142,
  [5094] = 1140,
  [5095] = 1132,
  [5096] = 1094,
  [5097] = 1102,
  [5098] = 1101,
  [5099] = 5099,
  [5100] = 5082,
  [5101] = 5101,
  [5102] = 5087,
  [5103] = 5075,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5064,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5060,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5087,
  [5117] = 5117,
  [5118] = 5011,
  [5119] = 4999,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 4992,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 4989,
  [5133] = 5087,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 4593,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5087,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5146,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5146,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5058,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5082,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5075,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5064,
  [5205] = 5205,
  [5206] = 4640,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5060,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5011,
  [5221] = 4999,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 4992,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5128,
  [5233] = 5233,
  [5234] = 5223,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 4989,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 4989,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5146,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5128,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5165,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5058,
  [5275] = 5190,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 4989,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 4992,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 5254,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5198,
  [5293] = 5128,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5216,
  [5308] = 4992,
  [5309] = 5058,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 4999,
  [5314] = 5277,
  [5315] = 5011,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5087,
  [5319] = 5278,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 4999,
  [5330] = 5011,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5325,
  [5335] = 5328,
  [5336] = 5060,
  [5337] = 5325,
  [5338] = 5278,
  [5339] = 5277,
  [5340] = 4750,
  [5341] = 5328,
  [5342] = 5198,
  [5343] = 5190,
  [5344] = 5165,
  [5345] = 5345,
  [5346] = 5331,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5345,
  [5350] = 5348,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5333,
  [5354] = 5332,
  [5355] = 5082,
  [5356] = 5332,
  [5357] = 5333,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5328,
  [5363] = 5325,
  [5364] = 5364,
  [5365] = 4933,
  [5366] = 4921,
  [5367] = 5075,
  [5368] = 5368,
  [5369] = 5278,
  [5370] = 4920,
  [5371] = 5371,
  [5372] = 5064,
  [5373] = 5064,
  [5374] = 5374,
  [5375] = 5277,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5198,
  [5379] = 5190,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5060,
  [5383] = 5165,
  [5384] = 5384,
  [5385] = 5075,
  [5386] = 5386,
  [5387] = 5263,
  [5388] = 5011,
  [5389] = 5082,
  [5390] = 5390,
  [5391] = 4999,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 4992,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5150,
  [5403] = 5403,
  [5404] = 5332,
  [5405] = 5333,
  [5406] = 5333,
  [5407] = 5328,
  [5408] = 5325,
  [5409] = 5409,
  [5410] = 5278,
  [5411] = 5277,
  [5412] = 5060,
  [5413] = 5156,
  [5414] = 5198,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5190,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5128,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5380,
  [5424] = 5165,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 4989,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5358,
  [5434] = 5416,
  [5435] = 5403,
  [5436] = 5359,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5146,
  [5449] = 5058,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5260,
  [5457] = 5457,
  [5458] = 5064,
  [5459] = 5459,
  [5460] = 5136,
  [5461] = 5461,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5162,
  [5465] = 5465,
  [5466] = 5332,
  [5467] = 5326,
  [5468] = 5075,
  [5469] = 5082,
  [5470] = 5361,
  [5471] = 5471,
  [5472] = 5332,
  [5473] = 5333,
  [5474] = 5368,
  [5475] = 5328,
  [5476] = 5325,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5278,
  [5482] = 4749,
  [5483] = 4520,
  [5484] = 5277,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5198,
  [5488] = 5190,
  [5489] = 5489,
  [5490] = 4855,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5165,
  [5495] = 5400,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 972,
  [5506] = 981,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 1010,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5510,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 310,
  [5523] = 309,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5524,
  [5527] = 302,
  [5528] = 5525,
  [5529] = 5529,
  [5530] = 4593,
  [5531] = 5531,
  [5532] = 5524,
  [5533] = 5525,
  [5534] = 2165,
  [5535] = 5531,
  [5536] = 5521,
  [5537] = 5521,
  [5538] = 5538,
  [5539] = 5524,
  [5540] = 5525,
  [5541] = 5520,
  [5542] = 5542,
  [5543] = 5519,
  [5544] = 5518,
  [5545] = 5511,
  [5546] = 5510,
  [5547] = 5516,
  [5548] = 5513,
  [5549] = 5524,
  [5550] = 5525,
  [5551] = 5512,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5520,
  [5557] = 5519,
  [5558] = 5538,
  [5559] = 5552,
  [5560] = 5554,
  [5561] = 5561,
  [5562] = 5520,
  [5563] = 5519,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5512,
  [5568] = 5513,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5521,
  [5572] = 5572,
  [5573] = 5514,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5516,
  [5578] = 5518,
  [5579] = 5524,
  [5580] = 5525,
  [5581] = 5510,
  [5582] = 5538,
  [5583] = 5518,
  [5584] = 5510,
  [5585] = 5575,
  [5586] = 5518,
  [5587] = 5510,
  [5588] = 5510,
  [5589] = 5518,
  [5590] = 5516,
  [5591] = 5591,
  [5592] = 5524,
  [5593] = 5552,
  [5594] = 5554,
  [5595] = 5520,
  [5596] = 5519,
  [5597] = 5597,
  [5598] = 5525,
  [5599] = 5599,
  [5600] = 5519,
  [5601] = 5520,
  [5602] = 5554,
  [5603] = 5552,
  [5604] = 5521,
  [5605] = 2185,
  [5606] = 5518,
  [5607] = 5510,
  [5608] = 5516,
  [5609] = 5609,
  [5610] = 5518,
  [5611] = 5510,
  [5612] = 5525,
  [5613] = 5524,
  [5614] = 5265,
  [5615] = 5615,
  [5616] = 5529,
  [5617] = 5524,
  [5618] = 5525,
  [5619] = 5518,
  [5620] = 5510,
  [5621] = 5564,
  [5622] = 5622,
  [5623] = 5609,
  [5624] = 5524,
  [5625] = 5625,
  [5626] = 5525,
  [5627] = 5514,
  [5628] = 5518,
  [5629] = 5629,
  [5630] = 5511,
  [5631] = 5529,
  [5632] = 5538,
  [5633] = 5510,
  [5634] = 5524,
  [5635] = 5525,
  [5636] = 5516,
  [5637] = 5518,
  [5638] = 5510,
  [5639] = 5524,
  [5640] = 5640,
  [5641] = 5525,
  [5642] = 5642,
  [5643] = 5561,
  [5644] = 5518,
  [5645] = 5514,
  [5646] = 5646,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5514,
  [5650] = 5511,
  [5651] = 5572,
  [5652] = 5570,
  [5653] = 5653,
  [5654] = 5569,
  [5655] = 5655,
  [5656] = 5553,
  [5657] = 5572,
  [5658] = 5572,
  [5659] = 5570,
  [5660] = 5569,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5513,
  [5664] = 5512,
  [5665] = 5665,
  [5666] = 5513,
  [5667] = 5512,
  [5668] = 5570,
  [5669] = 5569,
  [5670] = 5670,
  [5671] = 5565,
  [5672] = 5566,
  [5673] = 5513,
  [5674] = 5512,
  [5675] = 5513,
  [5676] = 5569,
  [5677] = 5570,
  [5678] = 5566,
  [5679] = 5572,
  [5680] = 5566,
  [5681] = 5514,
  [5682] = 5682,
  [5683] = 5516,
  [5684] = 5684,
  [5685] = 5565,
  [5686] = 5686,
  [5687] = 5565,
  [5688] = 5510,
  [5689] = 5518,
  [5690] = 5690,
  [5691] = 5512,
  [5692] = 5561,
  [5693] = 5693,
  [5694] = 5555,
  [5695] = 5695,
  [5696] = 5561,
  [5697] = 5519,
  [5698] = 966,
  [5699] = 5520,
  [5700] = 5554,
  [5701] = 5552,
  [5702] = 5521,
  [5703] = 5591,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5525,
  [5710] = 5524,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5529,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5566,
  [5717] = 5565,
  [5718] = 5718,
  [5719] = 5538,
  [5720] = 5591,
  [5721] = 5712,
  [5722] = 2186,
  [5723] = 5553,
  [5724] = 5724,
  [5725] = 5529,
  [5726] = 5726,
  [5727] = 5243,
  [5728] = 5553,
  [5729] = 5591,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5553,
  [5733] = 5591,
  [5734] = 5511,
  [5735] = 5629,
  [5736] = 5561,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5764,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5765,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5755,
  [5778] = 5778,
  [5779] = 5770,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 1007,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5751,
  [5801] = 5801,
  [5802] = 5778,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5751,
  [5818] = 5749,
  [5819] = 5778,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5303,
  [5827] = 5827,
  [5828] = 4560,
  [5829] = 5774,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5793,
  [5834] = 5786,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5791,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 998,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5243,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5820,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5823,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5824,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5827,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5820,
  [5879] = 5823,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5774,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5831,
  [5890] = 5824,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 5895,
  [5896] = 5770,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5902,
  [5903] = 5749,
  [5904] = 5831,
  [5905] = 5832,
  [5906] = 5906,
  [5907] = 5830,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5832,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5786,
  [5918] = 5799,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5850,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5801,
  [5936] = 982,
  [5937] = 979,
  [5938] = 5850,
  [5939] = 5740,
  [5940] = 1010,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5793,
  [5944] = 973,
  [5945] = 5791,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5742,
  [5963] = 5963,
  [5964] = 5793,
  [5965] = 5965,
  [5966] = 4689,
  [5967] = 5791,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5927,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5979,
  [5980] = 5744,
  [5981] = 5909,
  [5982] = 5982,
  [5983] = 5910,
  [5984] = 5984,
  [5985] = 5985,
  [5986] = 5763,
  [5987] = 5987,
  [5988] = 5850,
  [5989] = 5989,
  [5990] = 5927,
  [5991] = 5991,
  [5992] = 5786,
  [5993] = 5927,
  [5994] = 5994,
  [5995] = 5832,
  [5996] = 5996,
  [5997] = 5831,
  [5998] = 5957,
  [5999] = 5774,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 5801,
  [6003] = 5824,
  [6004] = 5749,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 5823,
  [6008] = 5820,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 5957,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 5799,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 5778,
  [6024] = 5751,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 6031,
  [6032] = 6032,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6020,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 5755,
  [6047] = 6025,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6020,
  [6051] = 6051,
  [6052] = 6052,
  [6053] = 6053,
  [6054] = 6040,
  [6055] = 5763,
  [6056] = 6056,
  [6057] = 5765,
  [6058] = 5764,
  [6059] = 6059,
  [6060] = 5974,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6025,
  [6066] = 6066,
  [6067] = 5451,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 5755,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 5770,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 5799,
  [6092] = 6092,
  [6093] = 5801,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 994,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 6110,
  [6111] = 5763,
  [6112] = 5765,
  [6113] = 6113,
  [6114] = 972,
  [6115] = 6092,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 981,
  [6122] = 6122,
  [6123] = 995,
  [6124] = 996,
  [6125] = 6125,
  [6126] = 5869,
  [6127] = 6127,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 5873,
  [6131] = 5874,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 6134,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6137,
  [6138] = 6138,
  [6139] = 5764,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 6145,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 6153,
  [6154] = 6094,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 5746,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 6161,
  [6162] = 6162,
  [6163] = 5971,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6132,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 6094,
  [6170] = 5815,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 5911,
  [6175] = 6175,
  [6176] = 5430,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 6179,
  [6180] = 5813,
  [6181] = 5815,
  [6182] = 6182,
  [6183] = 4593,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 6172,
  [6190] = 992,
  [6191] = 6191,
  [6192] = 5749,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6182,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 6200,
  [6201] = 6184,
  [6202] = 6202,
  [6203] = 6203,
  [6204] = 6204,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6187,
  [6208] = 6208,
  [6209] = 6209,
  [6210] = 6210,
  [6211] = 5764,
  [6212] = 6188,
  [6213] = 1001,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 974,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6159,
  [6224] = 6224,
  [6225] = 5820,
  [6226] = 5927,
  [6227] = 5823,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 5774,
  [6231] = 4774,
  [6232] = 5813,
  [6233] = 6233,
  [6234] = 6234,
  [6235] = 1009,
  [6236] = 6236,
  [6237] = 5815,
  [6238] = 6238,
  [6239] = 6239,
  [6240] = 5831,
  [6241] = 5850,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 5832,
  [6245] = 5786,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 5832,
  [6249] = 6249,
  [6250] = 5831,
  [6251] = 6159,
  [6252] = 5774,
  [6253] = 6253,
  [6254] = 5265,
  [6255] = 6255,
  [6256] = 5824,
  [6257] = 6257,
  [6258] = 6258,
  [6259] = 6259,
  [6260] = 5823,
  [6261] = 5820,
  [6262] = 6262,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 5815,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 5770,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 5778,
  [6277] = 5751,
  [6278] = 6278,
  [6279] = 5813,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 991,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6284,
  [6287] = 2257,
  [6288] = 5740,
  [6289] = 6289,
  [6290] = 5742,
  [6291] = 6291,
  [6292] = 5744,
  [6293] = 6293,
  [6294] = 5746,
  [6295] = 6295,
  [6296] = 6172,
  [6297] = 5755,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6300,
  [6301] = 6301,
  [6302] = 5869,
  [6303] = 5791,
  [6304] = 5874,
  [6305] = 6305,
  [6306] = 5763,
  [6307] = 6178,
  [6308] = 5765,
  [6309] = 5764,
  [6310] = 6310,
  [6311] = 6311,
  [6312] = 5873,
  [6313] = 6313,
  [6314] = 6178,
  [6315] = 6315,
  [6316] = 6310,
  [6317] = 5813,
  [6318] = 4629,
  [6319] = 5869,
  [6320] = 6320,
  [6321] = 5793,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 1164,
  [6325] = 6325,
  [6326] = 1229,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 5813,
  [6331] = 6331,
  [6332] = 5801,
  [6333] = 5793,
  [6334] = 5799,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 5791,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 5799,
  [6343] = 6270,
  [6344] = 5801,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 6348,
  [6349] = 5764,
  [6350] = 5765,
  [6351] = 6351,
  [6352] = 5763,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 5874,
  [6358] = 6358,
  [6359] = 5873,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6270,
  [6364] = 5869,
  [6365] = 6365,
  [6366] = 5751,
  [6367] = 5778,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 6372,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 6378,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 2497,
  [6386] = 2468,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 6389,
  [6390] = 5874,
  [6391] = 6391,
  [6392] = 2245,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 2227,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 2260,
  [6401] = 6401,
  [6402] = 5820,
  [6403] = 2252,
  [6404] = 6404,
  [6405] = 2232,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 5823,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 2231,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 5824,
  [6415] = 2230,
  [6416] = 2243,
  [6417] = 5774,
  [6418] = 6418,
  [6419] = 2256,
  [6420] = 2258,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6424,
  [6425] = 5873,
  [6426] = 6426,
  [6427] = 5831,
  [6428] = 6428,
  [6429] = 5832,
  [6430] = 6430,
  [6431] = 1198,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 334,
  [6439] = 6439,
  [6440] = 6440,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6442,
  [6447] = 6447,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 313,
  [6456] = 312,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6433,
  [6460] = 6447,
  [6461] = 6461,
  [6462] = 6454,
  [6463] = 6457,
  [6464] = 6448,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6472,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 6448,
  [6480] = 6475,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6476,
  [6485] = 6472,
  [6486] = 6470,
  [6487] = 2628,
  [6488] = 6469,
  [6489] = 6467,
  [6490] = 6482,
  [6491] = 2629,
  [6492] = 3612,
  [6493] = 2785,
  [6494] = 6452,
  [6495] = 6477,
  [6496] = 3632,
  [6497] = 6497,
  [6498] = 6474,
  [6499] = 6499,
  [6500] = 6473,
  [6501] = 6471,
  [6502] = 6468,
  [6503] = 6503,
  [6504] = 3609,
  [6505] = 6481,
  [6506] = 6506,
  [6507] = 6461,
  [6508] = 1061,
  [6509] = 6509,
  [6510] = 3626,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 332,
  [6515] = 1108,
  [6516] = 6453,
  [6517] = 6451,
  [6518] = 1105,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 6444,
  [6524] = 6443,
  [6525] = 3637,
  [6526] = 1103,
  [6527] = 6482,
  [6528] = 1100,
  [6529] = 1093,
  [6530] = 1091,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6434,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6436,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6439,
  [6543] = 6440,
  [6544] = 6544,
  [6545] = 6441,
  [6546] = 6445,
  [6547] = 6432,
  [6548] = 6481,
  [6549] = 6549,
  [6550] = 6550,
  [6551] = 3652,
  [6552] = 3649,
  [6553] = 6553,
  [6554] = 3604,
  [6555] = 6555,
  [6556] = 1031,
  [6557] = 6557,
  [6558] = 3605,
  [6559] = 6482,
  [6560] = 6540,
  [6561] = 6561,
  [6562] = 3640,
  [6563] = 6563,
  [6564] = 6541,
  [6565] = 6565,
  [6566] = 6566,
  [6567] = 6566,
  [6568] = 6565,
  [6569] = 6555,
  [6570] = 6553,
  [6571] = 1086,
  [6572] = 6572,
  [6573] = 6541,
  [6574] = 6540,
  [6575] = 6448,
  [6576] = 1082,
  [6577] = 6577,
  [6578] = 6553,
  [6579] = 1025,
  [6580] = 6580,
  [6581] = 6581,
  [6582] = 6442,
  [6583] = 6457,
  [6584] = 6584,
  [6585] = 6454,
  [6586] = 6447,
  [6587] = 6433,
  [6588] = 6588,
  [6589] = 6450,
  [6590] = 6452,
  [6591] = 6591,
  [6592] = 6565,
  [6593] = 6566,
  [6594] = 6481,
  [6595] = 1033,
  [6596] = 3628,
  [6597] = 6597,
  [6598] = 1035,
  [6599] = 1038,
  [6600] = 1039,
  [6601] = 6482,
  [6602] = 1044,
  [6603] = 6466,
  [6604] = 6467,
  [6605] = 6605,
  [6606] = 6469,
  [6607] = 6470,
  [6608] = 6472,
  [6609] = 6475,
  [6610] = 1048,
  [6611] = 1062,
  [6612] = 6612,
  [6613] = 1015,
  [6614] = 6591,
  [6615] = 3643,
  [6616] = 6597,
  [6617] = 6555,
  [6618] = 1133,
  [6619] = 1134,
  [6620] = 6620,
  [6621] = 1143,
  [6622] = 6432,
  [6623] = 6445,
  [6624] = 6624,
  [6625] = 1074,
  [6626] = 6477,
  [6627] = 6627,
  [6628] = 6497,
  [6629] = 6474,
  [6630] = 6473,
  [6631] = 6471,
  [6632] = 6468,
  [6633] = 6432,
  [6634] = 6445,
  [6635] = 6506,
  [6636] = 6461,
  [6637] = 6624,
  [6638] = 6638,
  [6639] = 6511,
  [6640] = 6512,
  [6641] = 6513,
  [6642] = 6430,
  [6643] = 6453,
  [6644] = 6451,
  [6645] = 6519,
  [6646] = 6520,
  [6647] = 6522,
  [6648] = 6444,
  [6649] = 6649,
  [6650] = 6443,
  [6651] = 6651,
  [6652] = 6627,
  [6653] = 4855,
  [6654] = 1085,
  [6655] = 1095,
  [6656] = 6656,
  [6657] = 6441,
  [6658] = 6434,
  [6659] = 6534,
  [6660] = 6660,
  [6661] = 6535,
  [6662] = 1104,
  [6663] = 6436,
  [6664] = 6538,
  [6665] = 6665,
  [6666] = 6435,
  [6667] = 6437,
  [6668] = 6539,
  [6669] = 1087,
  [6670] = 1106,
  [6671] = 6439,
  [6672] = 1107,
  [6673] = 6441,
  [6674] = 1109,
  [6675] = 6440,
  [6676] = 6441,
  [6677] = 6445,
  [6678] = 6432,
  [6679] = 6679,
  [6680] = 1110,
  [6681] = 6481,
  [6682] = 1112,
  [6683] = 6483,
  [6684] = 6440,
  [6685] = 6439,
  [6686] = 1127,
  [6687] = 1146,
  [6688] = 1147,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6440,
  [6692] = 6566,
  [6693] = 6450,
  [6694] = 6439,
  [6695] = 6536,
  [6696] = 1157,
  [6697] = 6697,
  [6698] = 3618,
  [6699] = 6697,
  [6700] = 1158,
  [6701] = 6565,
  [6702] = 6702,
  [6703] = 6555,
  [6704] = 6553,
  [6705] = 1163,
  [6706] = 6541,
  [6707] = 1241,
  [6708] = 6620,
  [6709] = 6540,
  [6710] = 6710,
  [6711] = 3648,
  [6712] = 6452,
  [6713] = 6539,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 6448,
  [6717] = 6538,
  [6718] = 6718,
  [6719] = 6436,
  [6720] = 6457,
  [6721] = 6454,
  [6722] = 1183,
  [6723] = 1228,
  [6724] = 6724,
  [6725] = 1189,
  [6726] = 6535,
  [6727] = 6727,
  [6728] = 6534,
  [6729] = 6538,
  [6730] = 6730,
  [6731] = 6447,
  [6732] = 1181,
  [6733] = 6433,
  [6734] = 6434,
  [6735] = 1072,
  [6736] = 6736,
  [6737] = 3650,
  [6738] = 6738,
  [6739] = 3655,
  [6740] = 6450,
  [6741] = 6718,
  [6742] = 6452,
  [6743] = 1168,
  [6744] = 6744,
  [6745] = 6436,
  [6746] = 6746,
  [6747] = 6539,
  [6748] = 1217,
  [6749] = 1209,
  [6750] = 1172,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 1184,
  [6754] = 6466,
  [6755] = 6755,
  [6756] = 6467,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6469,
  [6760] = 6470,
  [6761] = 6472,
  [6762] = 6475,
  [6763] = 6535,
  [6764] = 6764,
  [6765] = 6534,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 1185,
  [6769] = 6769,
  [6770] = 6770,
  [6771] = 1222,
  [6772] = 1224,
  [6773] = 1245,
  [6774] = 6774,
  [6775] = 6434,
  [6776] = 1244,
  [6777] = 6777,
  [6778] = 6477,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6497,
  [6783] = 6474,
  [6784] = 6473,
  [6785] = 6471,
  [6786] = 6468,
  [6787] = 6787,
  [6788] = 1243,
  [6789] = 6506,
  [6790] = 6461,
  [6791] = 6744,
  [6792] = 6746,
  [6793] = 6511,
  [6794] = 6512,
  [6795] = 6513,
  [6796] = 6430,
  [6797] = 1081,
  [6798] = 6453,
  [6799] = 6451,
  [6800] = 6519,
  [6801] = 6520,
  [6802] = 6522,
  [6803] = 6444,
  [6804] = 6443,
  [6805] = 1234,
  [6806] = 6442,
  [6807] = 6807,
  [6808] = 1233,
  [6809] = 1232,
  [6810] = 1231,
  [6811] = 6770,
  [6812] = 6769,
  [6813] = 6757,
  [6814] = 6767,
  [6815] = 6815,
  [6816] = 6466,
  [6817] = 6817,
  [6818] = 6818,
  [6819] = 6819,
  [6820] = 1079,
  [6821] = 6821,
  [6822] = 6758,
  [6823] = 1073,
  [6824] = 6824,
  [6825] = 6470,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 1064,
  [6830] = 3651,
  [6831] = 6831,
  [6832] = 3654,
  [6833] = 6467,
  [6834] = 6469,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6434,
  [6838] = 6472,
  [6839] = 6534,
  [6840] = 6535,
  [6841] = 6841,
  [6842] = 1059,
  [6843] = 6436,
  [6844] = 6538,
  [6845] = 6539,
  [6846] = 6475,
  [6847] = 1057,
  [6848] = 1052,
  [6849] = 1045,
  [6850] = 6439,
  [6851] = 6440,
  [6852] = 6852,
  [6853] = 6853,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6767,
  [6857] = 6769,
  [6858] = 1043,
  [6859] = 6770,
  [6860] = 1042,
  [6861] = 1036,
  [6862] = 6862,
  [6863] = 1034,
  [6864] = 1130,
  [6865] = 1017,
  [6866] = 6441,
  [6867] = 6445,
  [6868] = 6432,
  [6869] = 6869,
  [6870] = 1018,
  [6871] = 6871,
  [6872] = 6481,
  [6873] = 1019,
  [6874] = 6874,
  [6875] = 6477,
  [6876] = 1192,
  [6877] = 6442,
  [6878] = 6443,
  [6879] = 6444,
  [6880] = 1020,
  [6881] = 6566,
  [6882] = 6565,
  [6883] = 6555,
  [6884] = 6553,
  [6885] = 6862,
  [6886] = 6541,
  [6887] = 6540,
  [6888] = 6476,
  [6889] = 1021,
  [6890] = 4920,
  [6891] = 4921,
  [6892] = 6448,
  [6893] = 4933,
  [6894] = 6871,
  [6895] = 1022,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 6898,
  [6899] = 3600,
  [6900] = 6482,
  [6901] = 6457,
  [6902] = 6454,
  [6903] = 6903,
  [6904] = 6904,
  [6905] = 6442,
  [6906] = 6906,
  [6907] = 6447,
  [6908] = 6433,
  [6909] = 6909,
  [6910] = 1089,
  [6911] = 1024,
  [6912] = 6912,
  [6913] = 6435,
  [6914] = 6437,
  [6915] = 1094,
  [6916] = 1102,
  [6917] = 1026,
  [6918] = 6522,
  [6919] = 6781,
  [6920] = 6764,
  [6921] = 6444,
  [6922] = 1173,
  [6923] = 1176,
  [6924] = 6924,
  [6925] = 1220,
  [6926] = 6435,
  [6927] = 6483,
  [6928] = 1193,
  [6929] = 6929,
  [6930] = 6536,
  [6931] = 6519,
  [6932] = 1027,
  [6933] = 1028,
  [6934] = 1016,
  [6935] = 6935,
  [6936] = 1132,
  [6937] = 1029,
  [6938] = 6620,
  [6939] = 1030,
  [6940] = 1138,
  [6941] = 6941,
  [6942] = 6942,
  [6943] = 1140,
  [6944] = 6896,
  [6945] = 6451,
  [6946] = 1230,
  [6947] = 1142,
  [6948] = 6718,
  [6949] = 1101,
  [6950] = 6497,
  [6951] = 1211,
  [6952] = 1210,
  [6953] = 1125,
  [6954] = 6954,
  [6955] = 6955,
  [6956] = 6758,
  [6957] = 1162,
  [6958] = 6958,
  [6959] = 6764,
  [6960] = 1204,
  [6961] = 1201,
  [6962] = 1188,
  [6963] = 1187,
  [6964] = 6779,
  [6965] = 1186,
  [6966] = 1182,
  [6967] = 6967,
  [6968] = 3602,
  [6969] = 6969,
  [6970] = 1174,
  [6971] = 3601,
  [6972] = 6972,
  [6973] = 1238,
  [6974] = 1171,
  [6975] = 6474,
  [6976] = 6473,
  [6977] = 1170,
  [6978] = 1166,
  [6979] = 6471,
  [6980] = 6980,
  [6981] = 6738,
  [6982] = 6982,
  [6983] = 1165,
  [6984] = 6563,
  [6985] = 6985,
  [6986] = 6468,
  [6987] = 1114,
  [6988] = 6764,
  [6989] = 6506,
  [6990] = 6561,
  [6991] = 1160,
  [6992] = 6550,
  [6993] = 6557,
  [6994] = 1159,
  [6995] = 6461,
  [6996] = 6996,
  [6997] = 6450,
  [6998] = 6702,
  [6999] = 6710,
  [7000] = 7000,
  [7001] = 6452,
  [7002] = 1154,
  [7003] = 1153,
  [7004] = 6453,
  [7005] = 1040,
  [7006] = 1041,
  [7007] = 1046,
  [7008] = 6779,
  [7009] = 1047,
  [7010] = 7010,
  [7011] = 6897,
  [7012] = 3631,
  [7013] = 6898,
  [7014] = 6430,
  [7015] = 6483,
  [7016] = 6513,
  [7017] = 6512,
  [7018] = 6511,
  [7019] = 1049,
  [7020] = 6912,
  [7021] = 1227,
  [7022] = 7022,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 6522,
  [7026] = 6520,
  [7027] = 1152,
  [7028] = 1151,
  [7029] = 6777,
  [7030] = 6466,
  [7031] = 6826,
  [7032] = 6827,
  [7033] = 6435,
  [7034] = 6437,
  [7035] = 7035,
  [7036] = 6828,
  [7037] = 6511,
  [7038] = 1226,
  [7039] = 1225,
  [7040] = 7040,
  [7041] = 6831,
  [7042] = 6467,
  [7043] = 6469,
  [7044] = 6512,
  [7045] = 1150,
  [7046] = 1221,
  [7047] = 6483,
  [7048] = 6513,
  [7049] = 6470,
  [7050] = 6536,
  [7051] = 6430,
  [7052] = 1216,
  [7053] = 1212,
  [7054] = 6472,
  [7055] = 1145,
  [7056] = 1144,
  [7057] = 1207,
  [7058] = 6620,
  [7059] = 6779,
  [7060] = 1141,
  [7061] = 6475,
  [7062] = 7062,
  [7063] = 1202,
  [7064] = 1200,
  [7065] = 1213,
  [7066] = 6764,
  [7067] = 6453,
  [7068] = 6718,
  [7069] = 6520,
  [7070] = 6758,
  [7071] = 6506,
  [7072] = 6461,
  [7073] = 6958,
  [7074] = 6758,
  [7075] = 1131,
  [7076] = 6718,
  [7077] = 6764,
  [7078] = 6443,
  [7079] = 1196,
  [7080] = 6468,
  [7081] = 7081,
  [7082] = 6779,
  [7083] = 1195,
  [7084] = 1123,
  [7085] = 6451,
  [7086] = 1120,
  [7087] = 6519,
  [7088] = 6477,
  [7089] = 1118,
  [7090] = 6620,
  [7091] = 6985,
  [7092] = 1191,
  [7093] = 6471,
  [7094] = 1117,
  [7095] = 6497,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 1115,
  [7099] = 6437,
  [7100] = 7100,
  [7101] = 6924,
  [7102] = 6954,
  [7103] = 6473,
  [7104] = 6536,
  [7105] = 6474,
  [7106] = 7106,
  [7107] = 6955,
  [7108] = 6967,
  [7109] = 6969,
  [7110] = 6972,
  [7111] = 6483,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 7115,
  [7116] = 7116,
  [7117] = 7117,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 7122,
  [7123] = 7123,
  [7124] = 7112,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 7127,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7131,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7133,
  [7142] = 7131,
  [7143] = 7129,
  [7144] = 7144,
  [7145] = 7113,
  [7146] = 7146,
  [7147] = 7112,
  [7148] = 7122,
  [7149] = 7118,
  [7150] = 7117,
  [7151] = 7151,
  [7152] = 7152,
  [7153] = 7114,
  [7154] = 7154,
  [7155] = 7115,
  [7156] = 7121,
  [7157] = 7116,
  [7158] = 7158,
  [7159] = 7159,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7162,
  [7163] = 7113,
  [7164] = 7164,
  [7165] = 7115,
  [7166] = 7114,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 7151,
  [7171] = 7171,
  [7172] = 7117,
  [7173] = 7173,
  [7174] = 7122,
  [7175] = 7112,
  [7176] = 7176,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 7144,
  [7180] = 7129,
  [7181] = 7181,
  [7182] = 7131,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7133,
  [7188] = 7135,
  [7189] = 7134,
  [7190] = 7121,
  [7191] = 7133,
  [7192] = 7131,
  [7193] = 7193,
  [7194] = 7129,
  [7195] = 7112,
  [7196] = 7122,
  [7197] = 7118,
  [7198] = 7117,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 7151,
  [7202] = 7202,
  [7203] = 7114,
  [7204] = 7115,
  [7205] = 7116,
  [7206] = 7206,
  [7207] = 7176,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7119,
  [7211] = 7173,
  [7212] = 7158,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 7176,
  [7216] = 7173,
  [7217] = 7167,
  [7218] = 7168,
  [7219] = 7219,
  [7220] = 7169,
  [7221] = 7133,
  [7222] = 7213,
  [7223] = 7169,
  [7224] = 7213,
  [7225] = 7168,
  [7226] = 7167,
  [7227] = 7173,
  [7228] = 7176,
  [7229] = 7229,
  [7230] = 7230,
  [7231] = 7169,
  [7232] = 7232,
  [7233] = 7168,
  [7234] = 7167,
  [7235] = 7158,
  [7236] = 7236,
  [7237] = 7237,
  [7238] = 7238,
  [7239] = 7158,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7249,
  [7250] = 7125,
  [7251] = 7127,
  [7252] = 7128,
  [7253] = 7253,
  [7254] = 7130,
  [7255] = 7132,
  [7256] = 7136,
  [7257] = 7193,
  [7258] = 7137,
  [7259] = 7200,
  [7260] = 7139,
  [7261] = 7261,
  [7262] = 7140,
  [7263] = 7146,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7186,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7272,
  [7273] = 7270,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7121,
  [7277] = 7268,
  [7278] = 7261,
  [7279] = 7232,
  [7280] = 7253,
  [7281] = 7248,
  [7282] = 7282,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7121,
  [7286] = 7269,
  [7287] = 7248,
  [7288] = 7144,
  [7289] = 7134,
  [7290] = 7119,
  [7291] = 7291,
  [7292] = 7125,
  [7293] = 7127,
  [7294] = 7294,
  [7295] = 7128,
  [7296] = 7253,
  [7297] = 7297,
  [7298] = 7130,
  [7299] = 7132,
  [7300] = 7136,
  [7301] = 7261,
  [7302] = 7193,
  [7303] = 7137,
  [7304] = 7261,
  [7305] = 7139,
  [7306] = 7269,
  [7307] = 7140,
  [7308] = 7146,
  [7309] = 7270,
  [7310] = 7133,
  [7311] = 7268,
  [7312] = 7159,
  [7313] = 7160,
  [7314] = 7164,
  [7315] = 7171,
  [7316] = 7177,
  [7317] = 7267,
  [7318] = 7178,
  [7319] = 7181,
  [7320] = 7183,
  [7321] = 7184,
  [7322] = 7185,
  [7323] = 7122,
  [7324] = 7131,
  [7325] = 7129,
  [7326] = 7160,
  [7327] = 7327,
  [7328] = 7176,
  [7329] = 7173,
  [7330] = 7169,
  [7331] = 7213,
  [7332] = 7169,
  [7333] = 7168,
  [7334] = 7167,
  [7335] = 7164,
  [7336] = 7171,
  [7337] = 7244,
  [7338] = 7177,
  [7339] = 7178,
  [7340] = 7181,
  [7341] = 7183,
  [7342] = 7158,
  [7343] = 7267,
  [7344] = 7344,
  [7345] = 7184,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7185,
  [7349] = 7113,
  [7350] = 7173,
  [7351] = 7213,
  [7352] = 7128,
  [7353] = 7353,
  [7354] = 7159,
  [7355] = 7230,
  [7356] = 7118,
  [7357] = 7357,
  [7358] = 7117,
  [7359] = 7265,
  [7360] = 7264,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 7169,
  [7364] = 7168,
  [7365] = 7365,
  [7366] = 7167,
  [7367] = 7176,
  [7368] = 7158,
  [7369] = 7265,
  [7370] = 7264,
  [7371] = 7275,
  [7372] = 7131,
  [7373] = 7240,
  [7374] = 7242,
  [7375] = 7245,
  [7376] = 7243,
  [7377] = 7151,
  [7378] = 7241,
  [7379] = 7247,
  [7380] = 7213,
  [7381] = 7114,
  [7382] = 7115,
  [7383] = 7116,
  [7384] = 7384,
  [7385] = 7264,
  [7386] = 7129,
  [7387] = 7265,
  [7388] = 7267,
  [7389] = 7268,
  [7390] = 7270,
  [7391] = 7269,
  [7392] = 7238,
  [7393] = 7261,
  [7394] = 7253,
  [7395] = 7113,
  [7396] = 7144,
  [7397] = 7134,
  [7398] = 7398,
  [7399] = 7119,
  [7400] = 7125,
  [7401] = 7127,
  [7402] = 7128,
  [7403] = 7112,
  [7404] = 7265,
  [7405] = 7237,
  [7406] = 7264,
  [7407] = 7247,
  [7408] = 7245,
  [7409] = 7242,
  [7410] = 7130,
  [7411] = 7240,
  [7412] = 7247,
  [7413] = 7122,
  [7414] = 7132,
  [7415] = 7245,
  [7416] = 7176,
  [7417] = 7173,
  [7418] = 7242,
  [7419] = 7169,
  [7420] = 7168,
  [7421] = 7167,
  [7422] = 7236,
  [7423] = 7136,
  [7424] = 7240,
  [7425] = 7193,
  [7426] = 7275,
  [7427] = 7158,
  [7428] = 7428,
  [7429] = 7158,
  [7430] = 7137,
  [7431] = 7139,
  [7432] = 7167,
  [7433] = 7168,
  [7434] = 7169,
  [7435] = 7435,
  [7436] = 7275,
  [7437] = 7140,
  [7438] = 7158,
  [7439] = 7146,
  [7440] = 7265,
  [7441] = 7264,
  [7442] = 7159,
  [7443] = 7209,
  [7444] = 7214,
  [7445] = 7160,
  [7446] = 7164,
  [7447] = 7265,
  [7448] = 7264,
  [7449] = 7428,
  [7450] = 7171,
  [7451] = 7167,
  [7452] = 7168,
  [7453] = 7236,
  [7454] = 7237,
  [7455] = 7238,
  [7456] = 7177,
  [7457] = 7178,
  [7458] = 7241,
  [7459] = 7181,
  [7460] = 7243,
  [7461] = 7244,
  [7462] = 7183,
  [7463] = 7200,
  [7464] = 7184,
  [7465] = 7185,
  [7466] = 7265,
  [7467] = 7186,
  [7468] = 7264,
  [7469] = 7118,
  [7470] = 7173,
  [7471] = 7213,
  [7472] = 7230,
  [7473] = 7230,
  [7474] = 7169,
  [7475] = 7168,
  [7476] = 7213,
  [7477] = 7167,
  [7478] = 7176,
  [7479] = 7209,
  [7480] = 7214,
  [7481] = 7158,
  [7482] = 7265,
  [7483] = 7264,
  [7484] = 7275,
  [7485] = 7117,
  [7486] = 7240,
  [7487] = 7230,
  [7488] = 7236,
  [7489] = 7237,
  [7490] = 7238,
  [7491] = 7242,
  [7492] = 7245,
  [7493] = 7241,
  [7494] = 7247,
  [7495] = 7243,
  [7496] = 7244,
  [7497] = 7264,
  [7498] = 7200,
  [7499] = 7499,
  [7500] = 7265,
  [7501] = 7186,
  [7502] = 7267,
  [7503] = 7268,
  [7504] = 7504,
  [7505] = 7270,
  [7506] = 7269,
  [7507] = 7209,
  [7508] = 7214,
  [7509] = 7261,
  [7510] = 7253,
  [7511] = 7267,
  [7512] = 7265,
  [7513] = 7264,
  [7514] = 7514,
  [7515] = 7236,
  [7516] = 7237,
  [7517] = 7238,
  [7518] = 7518,
  [7519] = 7246,
  [7520] = 7144,
  [7521] = 7241,
  [7522] = 7134,
  [7523] = 7243,
  [7524] = 7244,
  [7525] = 7230,
  [7526] = 7200,
  [7527] = 7119,
  [7528] = 7125,
  [7529] = 7186,
  [7530] = 7127,
  [7531] = 7151,
  [7532] = 7209,
  [7533] = 7214,
  [7534] = 7130,
  [7535] = 7132,
  [7536] = 7136,
  [7537] = 7193,
  [7538] = 7137,
  [7539] = 7237,
  [7540] = 7238,
  [7541] = 7541,
  [7542] = 7151,
  [7543] = 7241,
  [7544] = 7139,
  [7545] = 7243,
  [7546] = 7244,
  [7547] = 7547,
  [7548] = 7200,
  [7549] = 7186,
  [7550] = 7214,
  [7551] = 7140,
  [7552] = 7213,
  [7553] = 7146,
  [7554] = 7547,
  [7555] = 7541,
  [7556] = 7173,
  [7557] = 7159,
  [7558] = 7213,
  [7559] = 7173,
  [7560] = 7176,
  [7561] = 7561,
  [7562] = 7114,
  [7563] = 7160,
  [7564] = 7115,
  [7565] = 7209,
  [7566] = 7164,
  [7567] = 7246,
  [7568] = 7176,
  [7569] = 7116,
  [7570] = 7171,
  [7571] = 7177,
  [7572] = 7178,
  [7573] = 7181,
  [7574] = 7183,
  [7575] = 7547,
  [7576] = 7541,
  [7577] = 7184,
  [7578] = 7185,
  [7579] = 7246,
  [7580] = 7547,
  [7581] = 7541,
  [7582] = 7230,
  [7583] = 7264,
  [7584] = 7246,
  [7585] = 7547,
  [7586] = 7541,
  [7587] = 7265,
  [7588] = 7267,
  [7589] = 7246,
  [7590] = 7547,
  [7591] = 7541,
  [7592] = 7269,
  [7593] = 7593,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(492);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(540);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(292);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(346)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '<') ADVANCE(427);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(426);
      if (lookahead != 0) ADVANCE(424);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(76)
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0) ADVANCE(542);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(645);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'o') ADVANCE(713);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(644);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(646);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == 'f') ADVANCE(253);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(21)
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(627);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(629);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(215);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(895);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == 'w') ADVANCE(166);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(483);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(26)
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(551);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '|') ADVANCE(482);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(215);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '|') ADVANCE(482);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(556);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(358);
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(32)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(868);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(884);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(368);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(658);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(318);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(318);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(623);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(619);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(540);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'c') ADVANCE(187);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(218);
      if (lookahead == 'f') ADVANCE(294);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(89);
      if (lookahead == 't') ADVANCE(309);
      if (lookahead == 'v') ADVANCE(96);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'c') ADVANCE(187);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(218);
      if (lookahead == 'f') ADVANCE(294);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(89);
      if (lookahead == 't') ADVANCE(309);
      if (lookahead == 'v') ADVANCE(96);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(893);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(111);
      if (lookahead == 'c') ADVANCE(186);
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == 'i') ADVANCE(216);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(47)
      END_STATE();
    case 48:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(878);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(48)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 49:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(49)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(50)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(817);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(717);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(647);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(53)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '/') ADVANCE(60);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(54)
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(54)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(524);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 56:
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(184);
      if (lookahead == 'f') ADVANCE(253);
      if (lookahead == 'i') ADVANCE(217);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 'w') ADVANCE(166);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(56)
      END_STATE();
    case 57:
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(57)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '/') ADVANCE(60);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(58)
      END_STATE();
    case 59:
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(58)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(529);
      if (lookahead != 0) ADVANCE(530);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(536);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '+') ADVANCE(83);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '{') ADVANCE(380);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(445);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(512);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(511);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(463);
      END_STATE();
    case 69:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 'i') ADVANCE(760);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(69)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 70:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(670);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(70)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 71:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(709);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(71)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 72:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(635);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(72)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 73:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(649);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(73)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 74:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(727);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(74)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 75:
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(824);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(75)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 76:
      if (lookahead == '/') ADVANCE(60);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(76)
      END_STATE();
    case 77:
      if (lookahead == ':') ADVANCE(931);
      END_STATE();
    case 78:
      if (lookahead == ':') ADVANCE(930);
      END_STATE();
    case 79:
      if (lookahead == ':') ADVANCE(932);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(506);
      END_STATE();
    case 81:
      if (lookahead == '>') ADVANCE(428);
      END_STATE();
    case 82:
      if (lookahead == '>') ADVANCE(429);
      END_STATE();
    case 83:
      if (lookahead == '?') ADVANCE(77);
      END_STATE();
    case 84:
      if (lookahead == '?') ADVANCE(78);
      END_STATE();
    case 85:
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 86:
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(542);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(86);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(206);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead == 'u') ADVANCE(204);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'q') ADVANCE(296);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(248);
      if (lookahead == 'y') ADVANCE(244);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(284);
      if (lookahead == 't') ADVANCE(254);
      if (lookahead == 'y') ADVANCE(205);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(249);
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(181);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(223);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 109:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(306);
      if (lookahead == 's') ADVANCE(375);
      if (lookahead == 'w') ADVANCE(98);
      END_STATE();
    case 110:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 111:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 112:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 113:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 114:
      if (lookahead == 'b') ADVANCE(237);
      END_STATE();
    case 115:
      if (lookahead == 'b') ADVANCE(150);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(440);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(165);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(281);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 123:
      if (lookahead == 'c') ADVANCE(191);
      if (lookahead == 'f') ADVANCE(104);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(285);
      END_STATE();
    case 125:
      if (lookahead == 'd') ADVANCE(517);
      END_STATE();
    case 126:
      if (lookahead == 'd') ADVANCE(300);
      END_STATE();
    case 127:
      if (lookahead == 'd') ADVANCE(238);
      END_STATE();
    case 128:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(898);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(935);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(896);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(926);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(252);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(279);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 158:
      if (lookahead == 'f') ADVANCE(513);
      END_STATE();
    case 159:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(175);
      END_STATE();
    case 161:
      if (lookahead == 'f') ADVANCE(105);
      END_STATE();
    case 162:
      if (lookahead == 'g') ADVANCE(906);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(152);
      END_STATE();
    case 164:
      if (lookahead == 'h') ADVANCE(387);
      END_STATE();
    case 165:
      if (lookahead == 'h') ADVANCE(418);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 167:
      if (lookahead == 'h') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 168:
      if (lookahead == 'i') ADVANCE(247);
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 169:
      if (lookahead == 'i') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(235);
      if (lookahead == 'u') ADVANCE(219);
      END_STATE();
    case 170:
      if (lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 172:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 173:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 175:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 177:
      if (lookahead == 'i') ADVANCE(239);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 179:
      if (lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(924);
      END_STATE();
    case 182:
      if (lookahead == 'l') ADVANCE(908);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(270);
      if (lookahead == 'n') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(270);
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(307);
      END_STATE();
    case 186:
      if (lookahead == 'l') ADVANCE(95);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(308);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(185);
      END_STATE();
    case 191:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 192:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 193:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 194:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 196:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(154);
      if (lookahead == 'o') ADVANCE(257);
      END_STATE();
    case 198:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 199:
      if (lookahead == 'm') ADVANCE(240);
      END_STATE();
    case 200:
      if (lookahead == 'm') ADVANCE(928);
      END_STATE();
    case 201:
      if (lookahead == 'm') ADVANCE(385);
      END_STATE();
    case 202:
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 203:
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(288);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(115);
      END_STATE();
    case 205:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 206:
      if (lookahead == 'm') ADVANCE(145);
      END_STATE();
    case 207:
      if (lookahead == 'm') ADVANCE(153);
      END_STATE();
    case 208:
      if (lookahead == 'm') ADVANCE(243);
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 209:
      if (lookahead == 'm') ADVANCE(243);
      if (lookahead == 'n') ADVANCE(407);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 210:
      if (lookahead == 'm') ADVANCE(246);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 212:
      if (lookahead == 'n') ADVANCE(904);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(937);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(403);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(403);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(162);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(120);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 226:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 227:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(126);
      END_STATE();
    case 230:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 231:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 233:
      if (lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 235:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 237:
      if (lookahead == 'o') ADVANCE(182);
      END_STATE();
    case 238:
      if (lookahead == 'o') ADVANCE(225);
      END_STATE();
    case 239:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(180);
      END_STATE();
    case 241:
      if (lookahead == 'p') ADVANCE(197);
      END_STATE();
    case 242:
      if (lookahead == 'p') ADVANCE(236);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 243:
      if (lookahead == 'p') ADVANCE(196);
      END_STATE();
    case 244:
      if (lookahead == 'p') ADVANCE(135);
      END_STATE();
    case 245:
      if (lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 246:
      if (lookahead == 'p') ADVANCE(198);
      END_STATE();
    case 247:
      if (lookahead == 'q') ADVANCE(297);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(939);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(902);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 257:
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(140);
      END_STATE();
    case 260:
      if (lookahead == 's') ADVANCE(438);
      END_STATE();
    case 261:
      if (lookahead == 's') ADVANCE(919);
      END_STATE();
    case 262:
      if (lookahead == 's') ADVANCE(914);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(921);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(245);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(260);
      END_STATE();
    case 268:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(133);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 270:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 271:
      if (lookahead == 's') ADVANCE(275);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 276:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(383);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(910);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(887);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(912);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 285:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 292:
      if (lookahead == 'u') ADVANCE(311);
      if (lookahead == 'x') ADVANCE(336);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(535);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 293:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(219);
      END_STATE();
    case 295:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 296:
      if (lookahead == 'u') ADVANCE(178);
      END_STATE();
    case 297:
      if (lookahead == 'u') ADVANCE(138);
      END_STATE();
    case 298:
      if (lookahead == 'u') ADVANCE(312);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(313);
      END_STATE();
    case 300:
      if (lookahead == 'u') ADVANCE(195);
      END_STATE();
    case 301:
      if (lookahead == 'u') ADVANCE(314);
      if (lookahead == 'x') ADVANCE(336);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(535);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 302:
      if (lookahead == 'v') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(446);
      END_STATE();
    case 303:
      if (lookahead == 'w') ADVANCE(213);
      END_STATE();
    case 304:
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 305:
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 306:
      if (lookahead == 'y') ADVANCE(900);
      END_STATE();
    case 307:
      if (lookahead == 'y') ADVANCE(420);
      END_STATE();
    case 308:
      if (lookahead == 'y') ADVANCE(890);
      END_STATE();
    case 309:
      if (lookahead == 'y') ADVANCE(244);
      END_STATE();
    case 310:
      if (lookahead == '{') ADVANCE(539);
      END_STATE();
    case 311:
      if (lookahead == '{') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(341);
      END_STATE();
    case 312:
      if (lookahead == '{') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(342);
      END_STATE();
    case 313:
      if (lookahead == '{') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(343);
      END_STATE();
    case 314:
      if (lookahead == '{') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 315:
      if (lookahead == '}') ADVANCE(884);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '}') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 317:
      if (lookahead == '}') ADVANCE(531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 318:
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 319:
      if (lookahead == '}') ADVANCE(532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 320:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 321:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(582);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(583);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(884);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(886);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(584);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(532);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(336);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 337:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 338:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(332);
      END_STATE();
    case 339:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 340:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 341:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(338);
      END_STATE();
    case 342:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(339);
      END_STATE();
    case 343:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(340);
      END_STATE();
    case 344:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(86);
      END_STATE();
    case 345:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(542);
      END_STATE();
    case 346:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(492);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(346)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 347:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(347)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 348:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(67);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(348)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 349:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'b') ADVANCE(233);
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(183);
      if (lookahead == 'f') ADVANCE(169);
      if (lookahead == 'g') ADVANCE(189);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(132);
      if (lookahead == 's') ADVANCE(94);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'v') ADVANCE(97);
      if (lookahead == 'w') ADVANCE(167);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(350)
      END_STATE();
    case 350:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'b') ADVANCE(233);
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(183);
      if (lookahead == 'f') ADVANCE(169);
      if (lookahead == 'g') ADVANCE(189);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(132);
      if (lookahead == 's') ADVANCE(94);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'v') ADVANCE(97);
      if (lookahead == 'w') ADVANCE(167);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(350)
      END_STATE();
    case 351:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(351)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 352:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(352)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 353:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(353)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 354:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(354)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 355:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(617);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(355)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 356:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(618);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(356)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(358);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(498);
      if (lookahead == '=') ADVANCE(450);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(497);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(506);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(506);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(781);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(221);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(941);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(508);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(855);
      if (lookahead == 't') ADVANCE(699);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(855);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(568);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(287);
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '<') ADVANCE(427);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(426);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(424);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(510);
      if (lookahead == '>') ADVANCE(468);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(510);
      if (lookahead == '>') ADVANCE(469);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(460);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(461);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(456);
      if (lookahead == '>') ADVANCE(471);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(470);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(457);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(458);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '=') ADVANCE(454);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(464);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(453);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(455);
      if (lookahead == '|') ADVANCE(467);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(455);
      if (lookahead == '|') ADVANCE(467);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(466);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(466);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      if (lookahead == '=') ADVANCE(448);
      if (lookahead == '?') ADVANCE(77);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      if (lookahead == '=') ADVANCE(449);
      if (lookahead == '?') ADVANCE(78);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(537);
      if (lookahead == '=') ADVANCE(451);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(452);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(459);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(473);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(473);
      if (lookahead == '=') ADVANCE(505);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(472);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(472);
      if (lookahead == '=') ADVANCE(505);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(507);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(509);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(462);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(523);
      if (lookahead == '/') ADVANCE(525);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead == '/') ADVANCE(525);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(523);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(523);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(521);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(524);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(528);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(526);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(531);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(531);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(534);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(76)
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0) ADVANCE(542);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(542);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(567);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(559);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(546);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(561);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(557);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(565);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(560);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(515);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(411);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(554);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(564);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(548);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(547);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(562);
      if (lookahead == 'n') ADVANCE(406);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(549);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(406);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(545);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(569);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(550);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(555);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(376);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(552);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(916);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(923);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(553);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(544);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(566);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == '0') ADVANCE(585);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(321);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(322);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(330);
      if (lookahead == '_') ADVANCE(325);
      if (lookahead == 'n') ADVANCE(571);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == '0') ADVANCE(579);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(877);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(879);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(883);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(881);
      if (lookahead == 'n') ADVANCE(581);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == '_') ADVANCE(323);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(880);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(877);
      if (lookahead == 'n') ADVANCE(581);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(576);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(884);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(879);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(577);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(884);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(883);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(881);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(882);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(571);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(322);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(583);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(584);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(325);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == '_') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(884);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(617);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(618);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(619);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(868);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(658);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(623);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(832);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'e') ADVANCE(866);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 't') ADVANCE(818);
      if (lookahead == 'y') ADVANCE(758);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(852);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(678);
      if (lookahead == 'q') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(678);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'y') ADVANCE(806);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(813);
      if (lookahead == 'o') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(729);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(746);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(860);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(736);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(822);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(784);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'o') ADVANCE(713);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(775);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(833);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(671);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(673);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(674);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(374);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(735);
      if (lookahead == 'f') ADVANCE(410);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(735);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(641);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(799);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(704);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(441);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(721);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(745);
      if (lookahead == 'f') ADVANCE(640);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(745);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(705);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(692);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(693);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(856);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(518);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(800);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(826);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(667);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(632);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(417);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(398);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(367);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(413);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(899);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(897);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(918);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(378);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 'i') ADVANCE(760);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(669);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(831);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(814);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(668);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(783);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(815);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(816);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(796);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(633);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(787);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(762);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(810);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(648);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(410);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(514);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(731);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(653);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(817);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'g') ADVANCE(907);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'g') ADVANCE(707);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(388);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(419);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(732);
      if (lookahead == 'i') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(811);
      if (lookahead == 'k') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(782);
      if (lookahead == 'r') ADVANCE(797);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(782);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(676);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(830);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(703);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(751);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(801);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(823);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'j') ADVANCE(697);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(925);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(909);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(836);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(804);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(836);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(636);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(873);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(791);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(642);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(740);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(712);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(848);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(710);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(687);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(688);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == 'n') ADVANCE(404);
      if (lookahead == 's') ADVANCE(934);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(386);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(664);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(663);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(808);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(808);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(698);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(708);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(404);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(854);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(858);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(723);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(938);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(443);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(675);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(718);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(665);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(639);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(679);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(672);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(792);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(743);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(857);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(837);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(677);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(662);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(867);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(747);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(714);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(756);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(737);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(786);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(777);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(798);
      if (lookahead == 't') ADVANCE(701);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(798);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(686);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(802);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(654);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'q') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'q') ADVANCE(862);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(719);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(390);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(716);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(940);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(903);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(730);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(652);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(844);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(845);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(690);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(691);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(824);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(439);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(920);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(915);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(922);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(374);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(715);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(809);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(666);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(684);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(825);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(851);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(685);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(843);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(818);
      if (lookahead == 'y') ADVANCE(758);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(666);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(392);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(720);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(402);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(394);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(360);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(384);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(911);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(365);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(728);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(701);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(699);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(643);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(733);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(828);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(755);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(748);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(734);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(689);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(752);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'v') ADVANCE(702);
      if (lookahead == 'w') ADVANCE(447);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'v') ADVANCE(702);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'w') ADVANCE(447);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'w') ADVANCE(776);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(804);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(853);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(901);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(421);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(891);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(806);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(781);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '{') ADVANCE(539);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(884);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(576);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(878);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(577);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(326);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(512);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(511);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'y') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'w') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'b') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 27:
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(63);
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'd') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'v') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 'k') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 74:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 89:
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(112);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(114);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(115);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 110:
      if (lookahead == 'h') ADVANCE(126);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 112:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 351, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 351, .external_lex_state = 2},
  [5] = {.lex_state = 351, .external_lex_state = 2},
  [6] = {.lex_state = 351, .external_lex_state = 2},
  [7] = {.lex_state = 351, .external_lex_state = 2},
  [8] = {.lex_state = 351, .external_lex_state = 2},
  [9] = {.lex_state = 351, .external_lex_state = 2},
  [10] = {.lex_state = 351, .external_lex_state = 2},
  [11] = {.lex_state = 351, .external_lex_state = 2},
  [12] = {.lex_state = 37, .external_lex_state = 2},
  [13] = {.lex_state = 37, .external_lex_state = 2},
  [14] = {.lex_state = 37, .external_lex_state = 2},
  [15] = {.lex_state = 37, .external_lex_state = 2},
  [16] = {.lex_state = 37, .external_lex_state = 2},
  [17] = {.lex_state = 351, .external_lex_state = 2},
  [18] = {.lex_state = 351, .external_lex_state = 2},
  [19] = {.lex_state = 351, .external_lex_state = 2},
  [20] = {.lex_state = 351, .external_lex_state = 2},
  [21] = {.lex_state = 351, .external_lex_state = 2},
  [22] = {.lex_state = 351, .external_lex_state = 2},
  [23] = {.lex_state = 351, .external_lex_state = 2},
  [24] = {.lex_state = 351, .external_lex_state = 2},
  [25] = {.lex_state = 351, .external_lex_state = 2},
  [26] = {.lex_state = 351, .external_lex_state = 2},
  [27] = {.lex_state = 351, .external_lex_state = 2},
  [28] = {.lex_state = 351, .external_lex_state = 2},
  [29] = {.lex_state = 351, .external_lex_state = 2},
  [30] = {.lex_state = 351, .external_lex_state = 2},
  [31] = {.lex_state = 351, .external_lex_state = 2},
  [32] = {.lex_state = 351, .external_lex_state = 2},
  [33] = {.lex_state = 351, .external_lex_state = 2},
  [34] = {.lex_state = 351, .external_lex_state = 2},
  [35] = {.lex_state = 351, .external_lex_state = 2},
  [36] = {.lex_state = 351, .external_lex_state = 2},
  [37] = {.lex_state = 351, .external_lex_state = 2},
  [38] = {.lex_state = 351, .external_lex_state = 2},
  [39] = {.lex_state = 351, .external_lex_state = 2},
  [40] = {.lex_state = 351, .external_lex_state = 2},
  [41] = {.lex_state = 351, .external_lex_state = 2},
  [42] = {.lex_state = 351, .external_lex_state = 2},
  [43] = {.lex_state = 351, .external_lex_state = 2},
  [44] = {.lex_state = 351, .external_lex_state = 2},
  [45] = {.lex_state = 351, .external_lex_state = 2},
  [46] = {.lex_state = 351, .external_lex_state = 2},
  [47] = {.lex_state = 351, .external_lex_state = 2},
  [48] = {.lex_state = 351, .external_lex_state = 2},
  [49] = {.lex_state = 351, .external_lex_state = 2},
  [50] = {.lex_state = 351, .external_lex_state = 2},
  [51] = {.lex_state = 351, .external_lex_state = 2},
  [52] = {.lex_state = 351, .external_lex_state = 2},
  [53] = {.lex_state = 351, .external_lex_state = 2},
  [54] = {.lex_state = 351, .external_lex_state = 2},
  [55] = {.lex_state = 351, .external_lex_state = 2},
  [56] = {.lex_state = 351, .external_lex_state = 2},
  [57] = {.lex_state = 351, .external_lex_state = 2},
  [58] = {.lex_state = 351, .external_lex_state = 2},
  [59] = {.lex_state = 351, .external_lex_state = 2},
  [60] = {.lex_state = 351, .external_lex_state = 2},
  [61] = {.lex_state = 351, .external_lex_state = 2},
  [62] = {.lex_state = 351, .external_lex_state = 2},
  [63] = {.lex_state = 351, .external_lex_state = 2},
  [64] = {.lex_state = 351, .external_lex_state = 2},
  [65] = {.lex_state = 351, .external_lex_state = 2},
  [66] = {.lex_state = 351, .external_lex_state = 2},
  [67] = {.lex_state = 351, .external_lex_state = 2},
  [68] = {.lex_state = 351, .external_lex_state = 2},
  [69] = {.lex_state = 351, .external_lex_state = 2},
  [70] = {.lex_state = 351, .external_lex_state = 2},
  [71] = {.lex_state = 351, .external_lex_state = 2},
  [72] = {.lex_state = 351, .external_lex_state = 2},
  [73] = {.lex_state = 351, .external_lex_state = 2},
  [74] = {.lex_state = 351, .external_lex_state = 2},
  [75] = {.lex_state = 351, .external_lex_state = 2},
  [76] = {.lex_state = 351, .external_lex_state = 2},
  [77] = {.lex_state = 351, .external_lex_state = 2},
  [78] = {.lex_state = 351, .external_lex_state = 2},
  [79] = {.lex_state = 351, .external_lex_state = 2},
  [80] = {.lex_state = 351, .external_lex_state = 2},
  [81] = {.lex_state = 351, .external_lex_state = 2},
  [82] = {.lex_state = 351, .external_lex_state = 2},
  [83] = {.lex_state = 351, .external_lex_state = 2},
  [84] = {.lex_state = 351, .external_lex_state = 2},
  [85] = {.lex_state = 351, .external_lex_state = 2},
  [86] = {.lex_state = 351, .external_lex_state = 2},
  [87] = {.lex_state = 351, .external_lex_state = 2},
  [88] = {.lex_state = 351, .external_lex_state = 2},
  [89] = {.lex_state = 351, .external_lex_state = 2},
  [90] = {.lex_state = 351, .external_lex_state = 2},
  [91] = {.lex_state = 351, .external_lex_state = 2},
  [92] = {.lex_state = 351, .external_lex_state = 2},
  [93] = {.lex_state = 351, .external_lex_state = 2},
  [94] = {.lex_state = 351, .external_lex_state = 2},
  [95] = {.lex_state = 351, .external_lex_state = 2},
  [96] = {.lex_state = 351, .external_lex_state = 2},
  [97] = {.lex_state = 351, .external_lex_state = 2},
  [98] = {.lex_state = 351, .external_lex_state = 2},
  [99] = {.lex_state = 351, .external_lex_state = 2},
  [100] = {.lex_state = 351, .external_lex_state = 2},
  [101] = {.lex_state = 351, .external_lex_state = 2},
  [102] = {.lex_state = 351, .external_lex_state = 2},
  [103] = {.lex_state = 351, .external_lex_state = 2},
  [104] = {.lex_state = 351, .external_lex_state = 2},
  [105] = {.lex_state = 351, .external_lex_state = 2},
  [106] = {.lex_state = 351, .external_lex_state = 2},
  [107] = {.lex_state = 351, .external_lex_state = 2},
  [108] = {.lex_state = 351, .external_lex_state = 2},
  [109] = {.lex_state = 351, .external_lex_state = 2},
  [110] = {.lex_state = 351, .external_lex_state = 2},
  [111] = {.lex_state = 351, .external_lex_state = 2},
  [112] = {.lex_state = 351, .external_lex_state = 2},
  [113] = {.lex_state = 351, .external_lex_state = 2},
  [114] = {.lex_state = 351, .external_lex_state = 2},
  [115] = {.lex_state = 351, .external_lex_state = 2},
  [116] = {.lex_state = 351, .external_lex_state = 2},
  [117] = {.lex_state = 351, .external_lex_state = 2},
  [118] = {.lex_state = 351, .external_lex_state = 2},
  [119] = {.lex_state = 351, .external_lex_state = 2},
  [120] = {.lex_state = 351, .external_lex_state = 2},
  [121] = {.lex_state = 351, .external_lex_state = 2},
  [122] = {.lex_state = 351, .external_lex_state = 2},
  [123] = {.lex_state = 32, .external_lex_state = 2},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 32, .external_lex_state = 2},
  [126] = {.lex_state = 32, .external_lex_state = 2},
  [127] = {.lex_state = 32, .external_lex_state = 2},
  [128] = {.lex_state = 3, .external_lex_state = 4},
  [129] = {.lex_state = 3, .external_lex_state = 4},
  [130] = {.lex_state = 32, .external_lex_state = 2},
  [131] = {.lex_state = 32, .external_lex_state = 2},
  [132] = {.lex_state = 32, .external_lex_state = 2},
  [133] = {.lex_state = 32, .external_lex_state = 2},
  [134] = {.lex_state = 32, .external_lex_state = 2},
  [135] = {.lex_state = 32, .external_lex_state = 2},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 3},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 32, .external_lex_state = 2},
  [147] = {.lex_state = 32, .external_lex_state = 2},
  [148] = {.lex_state = 32, .external_lex_state = 2},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 3, .external_lex_state = 3},
  [151] = {.lex_state = 32, .external_lex_state = 2},
  [152] = {.lex_state = 7, .external_lex_state = 4},
  [153] = {.lex_state = 32, .external_lex_state = 2},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 3, .external_lex_state = 3},
  [156] = {.lex_state = 3, .external_lex_state = 3},
  [157] = {.lex_state = 32, .external_lex_state = 2},
  [158] = {.lex_state = 3, .external_lex_state = 4},
  [159] = {.lex_state = 3, .external_lex_state = 3},
  [160] = {.lex_state = 3, .external_lex_state = 4},
  [161] = {.lex_state = 32, .external_lex_state = 2},
  [162] = {.lex_state = 3, .external_lex_state = 4},
  [163] = {.lex_state = 32, .external_lex_state = 2},
  [164] = {.lex_state = 3, .external_lex_state = 3},
  [165] = {.lex_state = 7, .external_lex_state = 4},
  [166] = {.lex_state = 7, .external_lex_state = 4},
  [167] = {.lex_state = 3, .external_lex_state = 3},
  [168] = {.lex_state = 3, .external_lex_state = 4},
  [169] = {.lex_state = 7, .external_lex_state = 4},
  [170] = {.lex_state = 3, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 3},
  [173] = {.lex_state = 3, .external_lex_state = 3},
  [174] = {.lex_state = 3, .external_lex_state = 3},
  [175] = {.lex_state = 3, .external_lex_state = 3},
  [176] = {.lex_state = 3, .external_lex_state = 3},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 8, .external_lex_state = 3},
  [180] = {.lex_state = 3, .external_lex_state = 4},
  [181] = {.lex_state = 3, .external_lex_state = 3},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 3, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 3},
  [185] = {.lex_state = 8, .external_lex_state = 3},
  [186] = {.lex_state = 3, .external_lex_state = 4},
  [187] = {.lex_state = 3, .external_lex_state = 3},
  [188] = {.lex_state = 3, .external_lex_state = 4},
  [189] = {.lex_state = 8, .external_lex_state = 3},
  [190] = {.lex_state = 3, .external_lex_state = 3},
  [191] = {.lex_state = 7, .external_lex_state = 3},
  [192] = {.lex_state = 3, .external_lex_state = 3},
  [193] = {.lex_state = 3, .external_lex_state = 3},
  [194] = {.lex_state = 3, .external_lex_state = 3},
  [195] = {.lex_state = 3, .external_lex_state = 3},
  [196] = {.lex_state = 7, .external_lex_state = 3},
  [197] = {.lex_state = 3, .external_lex_state = 3},
  [198] = {.lex_state = 3, .external_lex_state = 3},
  [199] = {.lex_state = 7, .external_lex_state = 3},
  [200] = {.lex_state = 7, .external_lex_state = 3},
  [201] = {.lex_state = 3, .external_lex_state = 3},
  [202] = {.lex_state = 3, .external_lex_state = 3},
  [203] = {.lex_state = 3, .external_lex_state = 3},
  [204] = {.lex_state = 3, .external_lex_state = 3},
  [205] = {.lex_state = 3, .external_lex_state = 3},
  [206] = {.lex_state = 3, .external_lex_state = 3},
  [207] = {.lex_state = 3, .external_lex_state = 3},
  [208] = {.lex_state = 32, .external_lex_state = 2},
  [209] = {.lex_state = 3, .external_lex_state = 3},
  [210] = {.lex_state = 3, .external_lex_state = 3},
  [211] = {.lex_state = 3, .external_lex_state = 3},
  [212] = {.lex_state = 3, .external_lex_state = 3},
  [213] = {.lex_state = 3, .external_lex_state = 3},
  [214] = {.lex_state = 32, .external_lex_state = 2},
  [215] = {.lex_state = 32, .external_lex_state = 2},
  [216] = {.lex_state = 32, .external_lex_state = 2},
  [217] = {.lex_state = 32, .external_lex_state = 2},
  [218] = {.lex_state = 32, .external_lex_state = 2},
  [219] = {.lex_state = 32, .external_lex_state = 2},
  [220] = {.lex_state = 32, .external_lex_state = 2},
  [221] = {.lex_state = 32, .external_lex_state = 2},
  [222] = {.lex_state = 32, .external_lex_state = 2},
  [223] = {.lex_state = 32, .external_lex_state = 2},
  [224] = {.lex_state = 32, .external_lex_state = 2},
  [225] = {.lex_state = 32, .external_lex_state = 2},
  [226] = {.lex_state = 32, .external_lex_state = 2},
  [227] = {.lex_state = 9, .external_lex_state = 3},
  [228] = {.lex_state = 10, .external_lex_state = 4},
  [229] = {.lex_state = 9, .external_lex_state = 4},
  [230] = {.lex_state = 9, .external_lex_state = 3},
  [231] = {.lex_state = 9, .external_lex_state = 4},
  [232] = {.lex_state = 13, .external_lex_state = 3},
  [233] = {.lex_state = 9, .external_lex_state = 3},
  [234] = {.lex_state = 9, .external_lex_state = 3},
  [235] = {.lex_state = 10, .external_lex_state = 3},
  [236] = {.lex_state = 9, .external_lex_state = 3},
  [237] = {.lex_state = 44, .external_lex_state = 2},
  [238] = {.lex_state = 44, .external_lex_state = 2},
  [239] = {.lex_state = 44, .external_lex_state = 2},
  [240] = {.lex_state = 44, .external_lex_state = 2},
  [241] = {.lex_state = 44, .external_lex_state = 2},
  [242] = {.lex_state = 44, .external_lex_state = 2},
  [243] = {.lex_state = 44, .external_lex_state = 2},
  [244] = {.lex_state = 44, .external_lex_state = 2},
  [245] = {.lex_state = 44, .external_lex_state = 2},
  [246] = {.lex_state = 44, .external_lex_state = 2},
  [247] = {.lex_state = 44, .external_lex_state = 2},
  [248] = {.lex_state = 44, .external_lex_state = 2},
  [249] = {.lex_state = 16, .external_lex_state = 4},
  [250] = {.lex_state = 14, .external_lex_state = 3},
  [251] = {.lex_state = 14, .external_lex_state = 4},
  [252] = {.lex_state = 14, .external_lex_state = 3},
  [253] = {.lex_state = 14, .external_lex_state = 3},
  [254] = {.lex_state = 14, .external_lex_state = 3},
  [255] = {.lex_state = 14, .external_lex_state = 3},
  [256] = {.lex_state = 14, .external_lex_state = 4},
  [257] = {.lex_state = 14, .external_lex_state = 3},
  [258] = {.lex_state = 17, .external_lex_state = 3},
  [259] = {.lex_state = 16, .external_lex_state = 3},
  [260] = {.lex_state = 34, .external_lex_state = 2},
  [261] = {.lex_state = 14, .external_lex_state = 3},
  [262] = {.lex_state = 14, .external_lex_state = 3},
  [263] = {.lex_state = 34, .external_lex_state = 2},
  [264] = {.lex_state = 14, .external_lex_state = 3},
  [265] = {.lex_state = 34, .external_lex_state = 2},
  [266] = {.lex_state = 34, .external_lex_state = 2},
  [267] = {.lex_state = 34, .external_lex_state = 2},
  [268] = {.lex_state = 34, .external_lex_state = 2},
  [269] = {.lex_state = 34, .external_lex_state = 2},
  [270] = {.lex_state = 34, .external_lex_state = 2},
  [271] = {.lex_state = 34, .external_lex_state = 2},
  [272] = {.lex_state = 14, .external_lex_state = 3},
  [273] = {.lex_state = 34, .external_lex_state = 2},
  [274] = {.lex_state = 34, .external_lex_state = 2},
  [275] = {.lex_state = 34, .external_lex_state = 2},
  [276] = {.lex_state = 34, .external_lex_state = 2},
  [277] = {.lex_state = 34, .external_lex_state = 2},
  [278] = {.lex_state = 34, .external_lex_state = 2},
  [279] = {.lex_state = 34, .external_lex_state = 2},
  [280] = {.lex_state = 34, .external_lex_state = 2},
  [281] = {.lex_state = 34, .external_lex_state = 2},
  [282] = {.lex_state = 34, .external_lex_state = 2},
  [283] = {.lex_state = 34, .external_lex_state = 2},
  [284] = {.lex_state = 43, .external_lex_state = 2},
  [285] = {.lex_state = 43, .external_lex_state = 2},
  [286] = {.lex_state = 43, .external_lex_state = 2},
  [287] = {.lex_state = 33, .external_lex_state = 2},
  [288] = {.lex_state = 33, .external_lex_state = 5},
  [289] = {.lex_state = 43, .external_lex_state = 2},
  [290] = {.lex_state = 43, .external_lex_state = 2},
  [291] = {.lex_state = 34, .external_lex_state = 2},
  [292] = {.lex_state = 33, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 4},
  [294] = {.lex_state = 12, .external_lex_state = 4},
  [295] = {.lex_state = 34, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 4},
  [297] = {.lex_state = 34, .external_lex_state = 2},
  [298] = {.lex_state = 34, .external_lex_state = 2},
  [299] = {.lex_state = 34, .external_lex_state = 2},
  [300] = {.lex_state = 34, .external_lex_state = 2},
  [301] = {.lex_state = 34, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 4},
  [303] = {.lex_state = 12, .external_lex_state = 4},
  [304] = {.lex_state = 12, .external_lex_state = 4},
  [305] = {.lex_state = 12, .external_lex_state = 4},
  [306] = {.lex_state = 12, .external_lex_state = 4},
  [307] = {.lex_state = 12, .external_lex_state = 4},
  [308] = {.lex_state = 12, .external_lex_state = 4},
  [309] = {.lex_state = 12, .external_lex_state = 4},
  [310] = {.lex_state = 12, .external_lex_state = 4},
  [311] = {.lex_state = 12, .external_lex_state = 4},
  [312] = {.lex_state = 12, .external_lex_state = 4},
  [313] = {.lex_state = 12, .external_lex_state = 4},
  [314] = {.lex_state = 12, .external_lex_state = 4},
  [315] = {.lex_state = 11, .external_lex_state = 4},
  [316] = {.lex_state = 34, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 4},
  [318] = {.lex_state = 12, .external_lex_state = 4},
  [319] = {.lex_state = 12, .external_lex_state = 4},
  [320] = {.lex_state = 348, .external_lex_state = 4},
  [321] = {.lex_state = 12, .external_lex_state = 4},
  [322] = {.lex_state = 348, .external_lex_state = 4},
  [323] = {.lex_state = 348, .external_lex_state = 4},
  [324] = {.lex_state = 12, .external_lex_state = 4},
  [325] = {.lex_state = 12, .external_lex_state = 4},
  [326] = {.lex_state = 12, .external_lex_state = 4},
  [327] = {.lex_state = 12, .external_lex_state = 4},
  [328] = {.lex_state = 12, .external_lex_state = 4},
  [329] = {.lex_state = 348, .external_lex_state = 4},
  [330] = {.lex_state = 11, .external_lex_state = 4},
  [331] = {.lex_state = 11, .external_lex_state = 4},
  [332] = {.lex_state = 12, .external_lex_state = 4},
  [333] = {.lex_state = 12, .external_lex_state = 4},
  [334] = {.lex_state = 12, .external_lex_state = 4},
  [335] = {.lex_state = 12, .external_lex_state = 4},
  [336] = {.lex_state = 33, .external_lex_state = 2},
  [337] = {.lex_state = 11, .external_lex_state = 4},
  [338] = {.lex_state = 348, .external_lex_state = 4},
  [339] = {.lex_state = 348, .external_lex_state = 4},
  [340] = {.lex_state = 348, .external_lex_state = 4},
  [341] = {.lex_state = 11, .external_lex_state = 4},
  [342] = {.lex_state = 348, .external_lex_state = 4},
  [343] = {.lex_state = 11, .external_lex_state = 4},
  [344] = {.lex_state = 11, .external_lex_state = 4},
  [345] = {.lex_state = 348, .external_lex_state = 4},
  [346] = {.lex_state = 347, .external_lex_state = 4},
  [347] = {.lex_state = 348, .external_lex_state = 4},
  [348] = {.lex_state = 347, .external_lex_state = 4},
  [349] = {.lex_state = 348, .external_lex_state = 4},
  [350] = {.lex_state = 348, .external_lex_state = 4},
  [351] = {.lex_state = 348, .external_lex_state = 4},
  [352] = {.lex_state = 34, .external_lex_state = 2},
  [353] = {.lex_state = 34, .external_lex_state = 2},
  [354] = {.lex_state = 347, .external_lex_state = 4},
  [355] = {.lex_state = 348, .external_lex_state = 4},
  [356] = {.lex_state = 348, .external_lex_state = 4},
  [357] = {.lex_state = 348, .external_lex_state = 4},
  [358] = {.lex_state = 11, .external_lex_state = 4},
  [359] = {.lex_state = 348, .external_lex_state = 4},
  [360] = {.lex_state = 11, .external_lex_state = 4},
  [361] = {.lex_state = 33, .external_lex_state = 2},
  [362] = {.lex_state = 11, .external_lex_state = 4},
  [363] = {.lex_state = 34, .external_lex_state = 2},
  [364] = {.lex_state = 33, .external_lex_state = 2},
  [365] = {.lex_state = 348, .external_lex_state = 4},
  [366] = {.lex_state = 11, .external_lex_state = 4},
  [367] = {.lex_state = 348, .external_lex_state = 4},
  [368] = {.lex_state = 33, .external_lex_state = 2},
  [369] = {.lex_state = 11, .external_lex_state = 4},
  [370] = {.lex_state = 348, .external_lex_state = 4},
  [371] = {.lex_state = 11, .external_lex_state = 4},
  [372] = {.lex_state = 33, .external_lex_state = 2},
  [373] = {.lex_state = 11, .external_lex_state = 4},
  [374] = {.lex_state = 34, .external_lex_state = 2},
  [375] = {.lex_state = 34, .external_lex_state = 2},
  [376] = {.lex_state = 11, .external_lex_state = 4},
  [377] = {.lex_state = 348, .external_lex_state = 4},
  [378] = {.lex_state = 348, .external_lex_state = 4},
  [379] = {.lex_state = 33, .external_lex_state = 2},
  [380] = {.lex_state = 348, .external_lex_state = 4},
  [381] = {.lex_state = 11, .external_lex_state = 4},
  [382] = {.lex_state = 11, .external_lex_state = 4},
  [383] = {.lex_state = 34, .external_lex_state = 2},
  [384] = {.lex_state = 11, .external_lex_state = 4},
  [385] = {.lex_state = 34, .external_lex_state = 2},
  [386] = {.lex_state = 348, .external_lex_state = 4},
  [387] = {.lex_state = 11, .external_lex_state = 4},
  [388] = {.lex_state = 11, .external_lex_state = 4},
  [389] = {.lex_state = 347, .external_lex_state = 4},
  [390] = {.lex_state = 348, .external_lex_state = 4},
  [391] = {.lex_state = 348, .external_lex_state = 4},
  [392] = {.lex_state = 11, .external_lex_state = 4},
  [393] = {.lex_state = 34, .external_lex_state = 2},
  [394] = {.lex_state = 348, .external_lex_state = 4},
  [395] = {.lex_state = 11, .external_lex_state = 4},
  [396] = {.lex_state = 11, .external_lex_state = 4},
  [397] = {.lex_state = 348, .external_lex_state = 4},
  [398] = {.lex_state = 11, .external_lex_state = 4},
  [399] = {.lex_state = 11, .external_lex_state = 4},
  [400] = {.lex_state = 11, .external_lex_state = 4},
  [401] = {.lex_state = 11, .external_lex_state = 4},
  [402] = {.lex_state = 348, .external_lex_state = 4},
  [403] = {.lex_state = 33, .external_lex_state = 2},
  [404] = {.lex_state = 33, .external_lex_state = 2},
  [405] = {.lex_state = 11, .external_lex_state = 4},
  [406] = {.lex_state = 11, .external_lex_state = 4},
  [407] = {.lex_state = 34, .external_lex_state = 2},
  [408] = {.lex_state = 34, .external_lex_state = 2},
  [409] = {.lex_state = 34, .external_lex_state = 2},
  [410] = {.lex_state = 34, .external_lex_state = 2},
  [411] = {.lex_state = 347, .external_lex_state = 4},
  [412] = {.lex_state = 3, .external_lex_state = 3},
  [413] = {.lex_state = 34, .external_lex_state = 2},
  [414] = {.lex_state = 3, .external_lex_state = 3},
  [415] = {.lex_state = 347, .external_lex_state = 4},
  [416] = {.lex_state = 3, .external_lex_state = 3},
  [417] = {.lex_state = 34, .external_lex_state = 2},
  [418] = {.lex_state = 34, .external_lex_state = 2},
  [419] = {.lex_state = 34, .external_lex_state = 2},
  [420] = {.lex_state = 347, .external_lex_state = 4},
  [421] = {.lex_state = 34, .external_lex_state = 2},
  [422] = {.lex_state = 3, .external_lex_state = 3},
  [423] = {.lex_state = 34, .external_lex_state = 2},
  [424] = {.lex_state = 34, .external_lex_state = 2},
  [425] = {.lex_state = 347, .external_lex_state = 4},
  [426] = {.lex_state = 347, .external_lex_state = 4},
  [427] = {.lex_state = 347, .external_lex_state = 4},
  [428] = {.lex_state = 347, .external_lex_state = 4},
  [429] = {.lex_state = 347, .external_lex_state = 4},
  [430] = {.lex_state = 34, .external_lex_state = 2},
  [431] = {.lex_state = 347, .external_lex_state = 4},
  [432] = {.lex_state = 347, .external_lex_state = 4},
  [433] = {.lex_state = 347, .external_lex_state = 4},
  [434] = {.lex_state = 34, .external_lex_state = 2},
  [435] = {.lex_state = 347, .external_lex_state = 4},
  [436] = {.lex_state = 347, .external_lex_state = 4},
  [437] = {.lex_state = 34, .external_lex_state = 2},
  [438] = {.lex_state = 34, .external_lex_state = 2},
  [439] = {.lex_state = 34, .external_lex_state = 2},
  [440] = {.lex_state = 347, .external_lex_state = 4},
  [441] = {.lex_state = 347, .external_lex_state = 4},
  [442] = {.lex_state = 347, .external_lex_state = 4},
  [443] = {.lex_state = 34, .external_lex_state = 2},
  [444] = {.lex_state = 34, .external_lex_state = 2},
  [445] = {.lex_state = 347, .external_lex_state = 4},
  [446] = {.lex_state = 34, .external_lex_state = 2},
  [447] = {.lex_state = 347, .external_lex_state = 4},
  [448] = {.lex_state = 347, .external_lex_state = 4},
  [449] = {.lex_state = 347, .external_lex_state = 4},
  [450] = {.lex_state = 34, .external_lex_state = 2},
  [451] = {.lex_state = 347, .external_lex_state = 4},
  [452] = {.lex_state = 34, .external_lex_state = 2},
  [453] = {.lex_state = 34, .external_lex_state = 2},
  [454] = {.lex_state = 34, .external_lex_state = 2},
  [455] = {.lex_state = 347, .external_lex_state = 4},
  [456] = {.lex_state = 34, .external_lex_state = 2},
  [457] = {.lex_state = 347, .external_lex_state = 4},
  [458] = {.lex_state = 34, .external_lex_state = 2},
  [459] = {.lex_state = 347, .external_lex_state = 4},
  [460] = {.lex_state = 347, .external_lex_state = 4},
  [461] = {.lex_state = 34, .external_lex_state = 2},
  [462] = {.lex_state = 34, .external_lex_state = 2},
  [463] = {.lex_state = 34, .external_lex_state = 2},
  [464] = {.lex_state = 34, .external_lex_state = 5},
  [465] = {.lex_state = 34, .external_lex_state = 5},
  [466] = {.lex_state = 34, .external_lex_state = 5},
  [467] = {.lex_state = 34, .external_lex_state = 2},
  [468] = {.lex_state = 34, .external_lex_state = 5},
  [469] = {.lex_state = 34, .external_lex_state = 2},
  [470] = {.lex_state = 34, .external_lex_state = 5},
  [471] = {.lex_state = 34, .external_lex_state = 2},
  [472] = {.lex_state = 43, .external_lex_state = 2},
  [473] = {.lex_state = 34, .external_lex_state = 2},
  [474] = {.lex_state = 34, .external_lex_state = 2},
  [475] = {.lex_state = 34, .external_lex_state = 2},
  [476] = {.lex_state = 34, .external_lex_state = 2},
  [477] = {.lex_state = 34, .external_lex_state = 2},
  [478] = {.lex_state = 34, .external_lex_state = 2},
  [479] = {.lex_state = 34, .external_lex_state = 2},
  [480] = {.lex_state = 34, .external_lex_state = 2},
  [481] = {.lex_state = 34, .external_lex_state = 2},
  [482] = {.lex_state = 34, .external_lex_state = 2},
  [483] = {.lex_state = 34, .external_lex_state = 2},
  [484] = {.lex_state = 34, .external_lex_state = 2},
  [485] = {.lex_state = 34, .external_lex_state = 2},
  [486] = {.lex_state = 34, .external_lex_state = 2},
  [487] = {.lex_state = 34, .external_lex_state = 2},
  [488] = {.lex_state = 34, .external_lex_state = 2},
  [489] = {.lex_state = 34, .external_lex_state = 2},
  [490] = {.lex_state = 34, .external_lex_state = 2},
  [491] = {.lex_state = 34, .external_lex_state = 2},
  [492] = {.lex_state = 34, .external_lex_state = 2},
  [493] = {.lex_state = 34, .external_lex_state = 2},
  [494] = {.lex_state = 34, .external_lex_state = 2},
  [495] = {.lex_state = 34, .external_lex_state = 2},
  [496] = {.lex_state = 34, .external_lex_state = 2},
  [497] = {.lex_state = 34, .external_lex_state = 2},
  [498] = {.lex_state = 34, .external_lex_state = 2},
  [499] = {.lex_state = 34, .external_lex_state = 2},
  [500] = {.lex_state = 34, .external_lex_state = 2},
  [501] = {.lex_state = 34, .external_lex_state = 2},
  [502] = {.lex_state = 34, .external_lex_state = 2},
  [503] = {.lex_state = 34, .external_lex_state = 2},
  [504] = {.lex_state = 34, .external_lex_state = 2},
  [505] = {.lex_state = 34, .external_lex_state = 2},
  [506] = {.lex_state = 34, .external_lex_state = 2},
  [507] = {.lex_state = 34, .external_lex_state = 2},
  [508] = {.lex_state = 34, .external_lex_state = 2},
  [509] = {.lex_state = 34, .external_lex_state = 2},
  [510] = {.lex_state = 34, .external_lex_state = 2},
  [511] = {.lex_state = 34, .external_lex_state = 2},
  [512] = {.lex_state = 34, .external_lex_state = 2},
  [513] = {.lex_state = 34, .external_lex_state = 2},
  [514] = {.lex_state = 34, .external_lex_state = 2},
  [515] = {.lex_state = 34, .external_lex_state = 2},
  [516] = {.lex_state = 34, .external_lex_state = 2},
  [517] = {.lex_state = 34, .external_lex_state = 2},
  [518] = {.lex_state = 34, .external_lex_state = 2},
  [519] = {.lex_state = 34, .external_lex_state = 2},
  [520] = {.lex_state = 34, .external_lex_state = 2},
  [521] = {.lex_state = 34, .external_lex_state = 2},
  [522] = {.lex_state = 34, .external_lex_state = 2},
  [523] = {.lex_state = 34, .external_lex_state = 2},
  [524] = {.lex_state = 34, .external_lex_state = 2},
  [525] = {.lex_state = 34, .external_lex_state = 2},
  [526] = {.lex_state = 34, .external_lex_state = 2},
  [527] = {.lex_state = 34, .external_lex_state = 2},
  [528] = {.lex_state = 34, .external_lex_state = 2},
  [529] = {.lex_state = 34, .external_lex_state = 2},
  [530] = {.lex_state = 34, .external_lex_state = 2},
  [531] = {.lex_state = 34, .external_lex_state = 2},
  [532] = {.lex_state = 34, .external_lex_state = 2},
  [533] = {.lex_state = 34, .external_lex_state = 2},
  [534] = {.lex_state = 34, .external_lex_state = 2},
  [535] = {.lex_state = 34, .external_lex_state = 2},
  [536] = {.lex_state = 34, .external_lex_state = 2},
  [537] = {.lex_state = 34, .external_lex_state = 2},
  [538] = {.lex_state = 34, .external_lex_state = 2},
  [539] = {.lex_state = 34, .external_lex_state = 2},
  [540] = {.lex_state = 34, .external_lex_state = 2},
  [541] = {.lex_state = 34, .external_lex_state = 2},
  [542] = {.lex_state = 34, .external_lex_state = 2},
  [543] = {.lex_state = 34, .external_lex_state = 2},
  [544] = {.lex_state = 34, .external_lex_state = 2},
  [545] = {.lex_state = 34, .external_lex_state = 2},
  [546] = {.lex_state = 34, .external_lex_state = 2},
  [547] = {.lex_state = 34, .external_lex_state = 2},
  [548] = {.lex_state = 34, .external_lex_state = 2},
  [549] = {.lex_state = 34, .external_lex_state = 2},
  [550] = {.lex_state = 34, .external_lex_state = 2},
  [551] = {.lex_state = 34, .external_lex_state = 2},
  [552] = {.lex_state = 34, .external_lex_state = 2},
  [553] = {.lex_state = 34, .external_lex_state = 2},
  [554] = {.lex_state = 34, .external_lex_state = 2},
  [555] = {.lex_state = 34, .external_lex_state = 2},
  [556] = {.lex_state = 34, .external_lex_state = 2},
  [557] = {.lex_state = 34, .external_lex_state = 2},
  [558] = {.lex_state = 34, .external_lex_state = 2},
  [559] = {.lex_state = 34, .external_lex_state = 2},
  [560] = {.lex_state = 34, .external_lex_state = 2},
  [561] = {.lex_state = 34, .external_lex_state = 2},
  [562] = {.lex_state = 34, .external_lex_state = 2},
  [563] = {.lex_state = 34, .external_lex_state = 2},
  [564] = {.lex_state = 34, .external_lex_state = 2},
  [565] = {.lex_state = 34, .external_lex_state = 2},
  [566] = {.lex_state = 34, .external_lex_state = 2},
  [567] = {.lex_state = 34, .external_lex_state = 2},
  [568] = {.lex_state = 34, .external_lex_state = 2},
  [569] = {.lex_state = 34, .external_lex_state = 2},
  [570] = {.lex_state = 34, .external_lex_state = 2},
  [571] = {.lex_state = 34, .external_lex_state = 2},
  [572] = {.lex_state = 34, .external_lex_state = 2},
  [573] = {.lex_state = 34, .external_lex_state = 2},
  [574] = {.lex_state = 34, .external_lex_state = 2},
  [575] = {.lex_state = 34, .external_lex_state = 2},
  [576] = {.lex_state = 34, .external_lex_state = 2},
  [577] = {.lex_state = 34, .external_lex_state = 2},
  [578] = {.lex_state = 34, .external_lex_state = 2},
  [579] = {.lex_state = 34, .external_lex_state = 2},
  [580] = {.lex_state = 34, .external_lex_state = 2},
  [581] = {.lex_state = 34, .external_lex_state = 2},
  [582] = {.lex_state = 34, .external_lex_state = 2},
  [583] = {.lex_state = 34, .external_lex_state = 2},
  [584] = {.lex_state = 34, .external_lex_state = 2},
  [585] = {.lex_state = 34, .external_lex_state = 2},
  [586] = {.lex_state = 34, .external_lex_state = 2},
  [587] = {.lex_state = 34, .external_lex_state = 2},
  [588] = {.lex_state = 34, .external_lex_state = 2},
  [589] = {.lex_state = 34, .external_lex_state = 2},
  [590] = {.lex_state = 34, .external_lex_state = 2},
  [591] = {.lex_state = 34, .external_lex_state = 2},
  [592] = {.lex_state = 34, .external_lex_state = 2},
  [593] = {.lex_state = 34, .external_lex_state = 2},
  [594] = {.lex_state = 34, .external_lex_state = 2},
  [595] = {.lex_state = 34, .external_lex_state = 2},
  [596] = {.lex_state = 34, .external_lex_state = 2},
  [597] = {.lex_state = 34, .external_lex_state = 2},
  [598] = {.lex_state = 34, .external_lex_state = 2},
  [599] = {.lex_state = 34, .external_lex_state = 2},
  [600] = {.lex_state = 34, .external_lex_state = 2},
  [601] = {.lex_state = 34, .external_lex_state = 2},
  [602] = {.lex_state = 34, .external_lex_state = 2},
  [603] = {.lex_state = 34, .external_lex_state = 2},
  [604] = {.lex_state = 34, .external_lex_state = 2},
  [605] = {.lex_state = 34, .external_lex_state = 2},
  [606] = {.lex_state = 34, .external_lex_state = 2},
  [607] = {.lex_state = 34, .external_lex_state = 2},
  [608] = {.lex_state = 34, .external_lex_state = 2},
  [609] = {.lex_state = 34, .external_lex_state = 2},
  [610] = {.lex_state = 34, .external_lex_state = 2},
  [611] = {.lex_state = 34, .external_lex_state = 2},
  [612] = {.lex_state = 34, .external_lex_state = 2},
  [613] = {.lex_state = 34, .external_lex_state = 2},
  [614] = {.lex_state = 34, .external_lex_state = 2},
  [615] = {.lex_state = 34, .external_lex_state = 2},
  [616] = {.lex_state = 34, .external_lex_state = 2},
  [617] = {.lex_state = 34, .external_lex_state = 2},
  [618] = {.lex_state = 34, .external_lex_state = 2},
  [619] = {.lex_state = 34, .external_lex_state = 2},
  [620] = {.lex_state = 34, .external_lex_state = 2},
  [621] = {.lex_state = 34, .external_lex_state = 2},
  [622] = {.lex_state = 34, .external_lex_state = 2},
  [623] = {.lex_state = 34, .external_lex_state = 2},
  [624] = {.lex_state = 34, .external_lex_state = 2},
  [625] = {.lex_state = 34, .external_lex_state = 2},
  [626] = {.lex_state = 34, .external_lex_state = 2},
  [627] = {.lex_state = 34, .external_lex_state = 2},
  [628] = {.lex_state = 34, .external_lex_state = 2},
  [629] = {.lex_state = 34, .external_lex_state = 2},
  [630] = {.lex_state = 34, .external_lex_state = 2},
  [631] = {.lex_state = 34, .external_lex_state = 2},
  [632] = {.lex_state = 34, .external_lex_state = 2},
  [633] = {.lex_state = 34, .external_lex_state = 2},
  [634] = {.lex_state = 34, .external_lex_state = 2},
  [635] = {.lex_state = 34, .external_lex_state = 2},
  [636] = {.lex_state = 34, .external_lex_state = 2},
  [637] = {.lex_state = 34, .external_lex_state = 2},
  [638] = {.lex_state = 34, .external_lex_state = 2},
  [639] = {.lex_state = 34, .external_lex_state = 2},
  [640] = {.lex_state = 34, .external_lex_state = 2},
  [641] = {.lex_state = 34, .external_lex_state = 2},
  [642] = {.lex_state = 34, .external_lex_state = 2},
  [643] = {.lex_state = 34, .external_lex_state = 2},
  [644] = {.lex_state = 34, .external_lex_state = 2},
  [645] = {.lex_state = 34, .external_lex_state = 2},
  [646] = {.lex_state = 34, .external_lex_state = 2},
  [647] = {.lex_state = 34, .external_lex_state = 2},
  [648] = {.lex_state = 34, .external_lex_state = 2},
  [649] = {.lex_state = 34, .external_lex_state = 2},
  [650] = {.lex_state = 34, .external_lex_state = 2},
  [651] = {.lex_state = 34, .external_lex_state = 2},
  [652] = {.lex_state = 34, .external_lex_state = 2},
  [653] = {.lex_state = 34, .external_lex_state = 2},
  [654] = {.lex_state = 34, .external_lex_state = 2},
  [655] = {.lex_state = 34, .external_lex_state = 2},
  [656] = {.lex_state = 34, .external_lex_state = 2},
  [657] = {.lex_state = 34, .external_lex_state = 2},
  [658] = {.lex_state = 34, .external_lex_state = 2},
  [659] = {.lex_state = 34, .external_lex_state = 2},
  [660] = {.lex_state = 34, .external_lex_state = 2},
  [661] = {.lex_state = 34, .external_lex_state = 2},
  [662] = {.lex_state = 34, .external_lex_state = 2},
  [663] = {.lex_state = 34, .external_lex_state = 2},
  [664] = {.lex_state = 34, .external_lex_state = 2},
  [665] = {.lex_state = 34, .external_lex_state = 2},
  [666] = {.lex_state = 34, .external_lex_state = 2},
  [667] = {.lex_state = 34, .external_lex_state = 2},
  [668] = {.lex_state = 34, .external_lex_state = 2},
  [669] = {.lex_state = 34, .external_lex_state = 2},
  [670] = {.lex_state = 34, .external_lex_state = 2},
  [671] = {.lex_state = 34, .external_lex_state = 2},
  [672] = {.lex_state = 34, .external_lex_state = 2},
  [673] = {.lex_state = 34, .external_lex_state = 2},
  [674] = {.lex_state = 34, .external_lex_state = 2},
  [675] = {.lex_state = 34, .external_lex_state = 2},
  [676] = {.lex_state = 34, .external_lex_state = 2},
  [677] = {.lex_state = 34, .external_lex_state = 2},
  [678] = {.lex_state = 34, .external_lex_state = 2},
  [679] = {.lex_state = 34, .external_lex_state = 2},
  [680] = {.lex_state = 34, .external_lex_state = 2},
  [681] = {.lex_state = 34, .external_lex_state = 2},
  [682] = {.lex_state = 34, .external_lex_state = 2},
  [683] = {.lex_state = 34, .external_lex_state = 2},
  [684] = {.lex_state = 34, .external_lex_state = 2},
  [685] = {.lex_state = 34, .external_lex_state = 2},
  [686] = {.lex_state = 34, .external_lex_state = 2},
  [687] = {.lex_state = 34, .external_lex_state = 2},
  [688] = {.lex_state = 34, .external_lex_state = 2},
  [689] = {.lex_state = 34, .external_lex_state = 2},
  [690] = {.lex_state = 34, .external_lex_state = 2},
  [691] = {.lex_state = 34, .external_lex_state = 2},
  [692] = {.lex_state = 34, .external_lex_state = 2},
  [693] = {.lex_state = 34, .external_lex_state = 2},
  [694] = {.lex_state = 34, .external_lex_state = 2},
  [695] = {.lex_state = 34, .external_lex_state = 2},
  [696] = {.lex_state = 34, .external_lex_state = 2},
  [697] = {.lex_state = 34, .external_lex_state = 2},
  [698] = {.lex_state = 34, .external_lex_state = 2},
  [699] = {.lex_state = 34, .external_lex_state = 2},
  [700] = {.lex_state = 34, .external_lex_state = 2},
  [701] = {.lex_state = 34, .external_lex_state = 2},
  [702] = {.lex_state = 34, .external_lex_state = 2},
  [703] = {.lex_state = 34, .external_lex_state = 2},
  [704] = {.lex_state = 34, .external_lex_state = 2},
  [705] = {.lex_state = 34, .external_lex_state = 2},
  [706] = {.lex_state = 34, .external_lex_state = 2},
  [707] = {.lex_state = 34, .external_lex_state = 2},
  [708] = {.lex_state = 34, .external_lex_state = 2},
  [709] = {.lex_state = 34, .external_lex_state = 2},
  [710] = {.lex_state = 34, .external_lex_state = 2},
  [711] = {.lex_state = 34, .external_lex_state = 2},
  [712] = {.lex_state = 34, .external_lex_state = 2},
  [713] = {.lex_state = 34, .external_lex_state = 2},
  [714] = {.lex_state = 34, .external_lex_state = 2},
  [715] = {.lex_state = 34, .external_lex_state = 2},
  [716] = {.lex_state = 34, .external_lex_state = 2},
  [717] = {.lex_state = 34, .external_lex_state = 2},
  [718] = {.lex_state = 34, .external_lex_state = 2},
  [719] = {.lex_state = 34, .external_lex_state = 2},
  [720] = {.lex_state = 34, .external_lex_state = 2},
  [721] = {.lex_state = 34, .external_lex_state = 2},
  [722] = {.lex_state = 34, .external_lex_state = 2},
  [723] = {.lex_state = 34, .external_lex_state = 2},
  [724] = {.lex_state = 34, .external_lex_state = 2},
  [725] = {.lex_state = 34, .external_lex_state = 2},
  [726] = {.lex_state = 34, .external_lex_state = 2},
  [727] = {.lex_state = 34, .external_lex_state = 2},
  [728] = {.lex_state = 34, .external_lex_state = 2},
  [729] = {.lex_state = 34, .external_lex_state = 2},
  [730] = {.lex_state = 34, .external_lex_state = 2},
  [731] = {.lex_state = 34, .external_lex_state = 2},
  [732] = {.lex_state = 34, .external_lex_state = 2},
  [733] = {.lex_state = 34, .external_lex_state = 2},
  [734] = {.lex_state = 34, .external_lex_state = 2},
  [735] = {.lex_state = 34, .external_lex_state = 2},
  [736] = {.lex_state = 34, .external_lex_state = 2},
  [737] = {.lex_state = 34, .external_lex_state = 2},
  [738] = {.lex_state = 34, .external_lex_state = 2},
  [739] = {.lex_state = 34, .external_lex_state = 2},
  [740] = {.lex_state = 34, .external_lex_state = 2},
  [741] = {.lex_state = 34, .external_lex_state = 2},
  [742] = {.lex_state = 34, .external_lex_state = 2},
  [743] = {.lex_state = 34, .external_lex_state = 2},
  [744] = {.lex_state = 34, .external_lex_state = 2},
  [745] = {.lex_state = 34, .external_lex_state = 2},
  [746] = {.lex_state = 34, .external_lex_state = 2},
  [747] = {.lex_state = 34, .external_lex_state = 2},
  [748] = {.lex_state = 34, .external_lex_state = 2},
  [749] = {.lex_state = 34, .external_lex_state = 2},
  [750] = {.lex_state = 34, .external_lex_state = 2},
  [751] = {.lex_state = 34, .external_lex_state = 2},
  [752] = {.lex_state = 34, .external_lex_state = 2},
  [753] = {.lex_state = 34, .external_lex_state = 2},
  [754] = {.lex_state = 34, .external_lex_state = 2},
  [755] = {.lex_state = 34, .external_lex_state = 2},
  [756] = {.lex_state = 34, .external_lex_state = 2},
  [757] = {.lex_state = 34, .external_lex_state = 2},
  [758] = {.lex_state = 34, .external_lex_state = 2},
  [759] = {.lex_state = 34, .external_lex_state = 2},
  [760] = {.lex_state = 34, .external_lex_state = 2},
  [761] = {.lex_state = 34, .external_lex_state = 2},
  [762] = {.lex_state = 34, .external_lex_state = 2},
  [763] = {.lex_state = 34, .external_lex_state = 2},
  [764] = {.lex_state = 34, .external_lex_state = 2},
  [765] = {.lex_state = 34, .external_lex_state = 2},
  [766] = {.lex_state = 34, .external_lex_state = 2},
  [767] = {.lex_state = 34, .external_lex_state = 2},
  [768] = {.lex_state = 34, .external_lex_state = 2},
  [769] = {.lex_state = 34, .external_lex_state = 2},
  [770] = {.lex_state = 34, .external_lex_state = 2},
  [771] = {.lex_state = 34, .external_lex_state = 2},
  [772] = {.lex_state = 34, .external_lex_state = 2},
  [773] = {.lex_state = 34, .external_lex_state = 2},
  [774] = {.lex_state = 34, .external_lex_state = 2},
  [775] = {.lex_state = 34, .external_lex_state = 2},
  [776] = {.lex_state = 34, .external_lex_state = 2},
  [777] = {.lex_state = 34, .external_lex_state = 2},
  [778] = {.lex_state = 34, .external_lex_state = 2},
  [779] = {.lex_state = 34, .external_lex_state = 2},
  [780] = {.lex_state = 34, .external_lex_state = 2},
  [781] = {.lex_state = 34, .external_lex_state = 2},
  [782] = {.lex_state = 34, .external_lex_state = 2},
  [783] = {.lex_state = 34, .external_lex_state = 2},
  [784] = {.lex_state = 34, .external_lex_state = 2},
  [785] = {.lex_state = 34, .external_lex_state = 2},
  [786] = {.lex_state = 34, .external_lex_state = 2},
  [787] = {.lex_state = 34, .external_lex_state = 2},
  [788] = {.lex_state = 34, .external_lex_state = 2},
  [789] = {.lex_state = 34, .external_lex_state = 2},
  [790] = {.lex_state = 34, .external_lex_state = 2},
  [791] = {.lex_state = 34, .external_lex_state = 2},
  [792] = {.lex_state = 34, .external_lex_state = 2},
  [793] = {.lex_state = 34, .external_lex_state = 2},
  [794] = {.lex_state = 34, .external_lex_state = 2},
  [795] = {.lex_state = 34, .external_lex_state = 2},
  [796] = {.lex_state = 34, .external_lex_state = 2},
  [797] = {.lex_state = 34, .external_lex_state = 2},
  [798] = {.lex_state = 34, .external_lex_state = 2},
  [799] = {.lex_state = 34, .external_lex_state = 2},
  [800] = {.lex_state = 34, .external_lex_state = 2},
  [801] = {.lex_state = 34, .external_lex_state = 2},
  [802] = {.lex_state = 34, .external_lex_state = 2},
  [803] = {.lex_state = 34, .external_lex_state = 2},
  [804] = {.lex_state = 34, .external_lex_state = 2},
  [805] = {.lex_state = 34, .external_lex_state = 2},
  [806] = {.lex_state = 34, .external_lex_state = 2},
  [807] = {.lex_state = 34, .external_lex_state = 2},
  [808] = {.lex_state = 34, .external_lex_state = 2},
  [809] = {.lex_state = 34, .external_lex_state = 2},
  [810] = {.lex_state = 34, .external_lex_state = 2},
  [811] = {.lex_state = 34, .external_lex_state = 2},
  [812] = {.lex_state = 34, .external_lex_state = 2},
  [813] = {.lex_state = 34, .external_lex_state = 2},
  [814] = {.lex_state = 34, .external_lex_state = 2},
  [815] = {.lex_state = 34, .external_lex_state = 2},
  [816] = {.lex_state = 34, .external_lex_state = 2},
  [817] = {.lex_state = 34, .external_lex_state = 2},
  [818] = {.lex_state = 34, .external_lex_state = 2},
  [819] = {.lex_state = 34, .external_lex_state = 2},
  [820] = {.lex_state = 34, .external_lex_state = 2},
  [821] = {.lex_state = 34, .external_lex_state = 2},
  [822] = {.lex_state = 34, .external_lex_state = 2},
  [823] = {.lex_state = 34, .external_lex_state = 2},
  [824] = {.lex_state = 34, .external_lex_state = 2},
  [825] = {.lex_state = 34, .external_lex_state = 2},
  [826] = {.lex_state = 34, .external_lex_state = 2},
  [827] = {.lex_state = 34, .external_lex_state = 2},
  [828] = {.lex_state = 34, .external_lex_state = 2},
  [829] = {.lex_state = 34, .external_lex_state = 2},
  [830] = {.lex_state = 34, .external_lex_state = 2},
  [831] = {.lex_state = 34, .external_lex_state = 2},
  [832] = {.lex_state = 34, .external_lex_state = 2},
  [833] = {.lex_state = 34, .external_lex_state = 2},
  [834] = {.lex_state = 34, .external_lex_state = 2},
  [835] = {.lex_state = 34, .external_lex_state = 2},
  [836] = {.lex_state = 34, .external_lex_state = 2},
  [837] = {.lex_state = 34, .external_lex_state = 2},
  [838] = {.lex_state = 34, .external_lex_state = 2},
  [839] = {.lex_state = 34, .external_lex_state = 2},
  [840] = {.lex_state = 34, .external_lex_state = 2},
  [841] = {.lex_state = 34, .external_lex_state = 2},
  [842] = {.lex_state = 34, .external_lex_state = 2},
  [843] = {.lex_state = 34, .external_lex_state = 2},
  [844] = {.lex_state = 34, .external_lex_state = 2},
  [845] = {.lex_state = 34, .external_lex_state = 2},
  [846] = {.lex_state = 34, .external_lex_state = 2},
  [847] = {.lex_state = 34, .external_lex_state = 2},
  [848] = {.lex_state = 34, .external_lex_state = 2},
  [849] = {.lex_state = 34, .external_lex_state = 2},
  [850] = {.lex_state = 34, .external_lex_state = 2},
  [851] = {.lex_state = 34, .external_lex_state = 2},
  [852] = {.lex_state = 34, .external_lex_state = 2},
  [853] = {.lex_state = 34, .external_lex_state = 2},
  [854] = {.lex_state = 34, .external_lex_state = 2},
  [855] = {.lex_state = 34, .external_lex_state = 2},
  [856] = {.lex_state = 34, .external_lex_state = 2},
  [857] = {.lex_state = 34, .external_lex_state = 2},
  [858] = {.lex_state = 34, .external_lex_state = 2},
  [859] = {.lex_state = 34, .external_lex_state = 2},
  [860] = {.lex_state = 349, .external_lex_state = 4},
  [861] = {.lex_state = 349, .external_lex_state = 4},
  [862] = {.lex_state = 349, .external_lex_state = 4},
  [863] = {.lex_state = 5, .external_lex_state = 4},
  [864] = {.lex_state = 5, .external_lex_state = 4},
  [865] = {.lex_state = 5, .external_lex_state = 4},
  [866] = {.lex_state = 349, .external_lex_state = 4},
  [867] = {.lex_state = 349, .external_lex_state = 4},
  [868] = {.lex_state = 349, .external_lex_state = 4},
  [869] = {.lex_state = 349, .external_lex_state = 4},
  [870] = {.lex_state = 349, .external_lex_state = 4},
  [871] = {.lex_state = 349, .external_lex_state = 4},
  [872] = {.lex_state = 349, .external_lex_state = 4},
  [873] = {.lex_state = 349, .external_lex_state = 4},
  [874] = {.lex_state = 6, .external_lex_state = 4},
  [875] = {.lex_state = 6, .external_lex_state = 4},
  [876] = {.lex_state = 6, .external_lex_state = 4},
  [877] = {.lex_state = 6, .external_lex_state = 4},
  [878] = {.lex_state = 6, .external_lex_state = 4},
  [879] = {.lex_state = 6, .external_lex_state = 4},
  [880] = {.lex_state = 6, .external_lex_state = 4},
  [881] = {.lex_state = 6, .external_lex_state = 4},
  [882] = {.lex_state = 6, .external_lex_state = 4},
  [883] = {.lex_state = 349, .external_lex_state = 4},
  [884] = {.lex_state = 349, .external_lex_state = 4},
  [885] = {.lex_state = 349, .external_lex_state = 4},
  [886] = {.lex_state = 349, .external_lex_state = 4},
  [887] = {.lex_state = 349, .external_lex_state = 4},
  [888] = {.lex_state = 349, .external_lex_state = 4},
  [889] = {.lex_state = 349, .external_lex_state = 4},
  [890] = {.lex_state = 6, .external_lex_state = 4},
  [891] = {.lex_state = 6, .external_lex_state = 4},
  [892] = {.lex_state = 349, .external_lex_state = 4},
  [893] = {.lex_state = 6, .external_lex_state = 4},
  [894] = {.lex_state = 6, .external_lex_state = 4},
  [895] = {.lex_state = 349, .external_lex_state = 4},
  [896] = {.lex_state = 6, .external_lex_state = 4},
  [897] = {.lex_state = 6, .external_lex_state = 4},
  [898] = {.lex_state = 349, .external_lex_state = 4},
  [899] = {.lex_state = 349, .external_lex_state = 4},
  [900] = {.lex_state = 20, .external_lex_state = 3},
  [901] = {.lex_state = 20, .external_lex_state = 3},
  [902] = {.lex_state = 20, .external_lex_state = 4},
  [903] = {.lex_state = 20, .external_lex_state = 4},
  [904] = {.lex_state = 20, .external_lex_state = 3},
  [905] = {.lex_state = 20, .external_lex_state = 4},
  [906] = {.lex_state = 20, .external_lex_state = 4},
  [907] = {.lex_state = 22, .external_lex_state = 4},
  [908] = {.lex_state = 20, .external_lex_state = 4},
  [909] = {.lex_state = 20, .external_lex_state = 3},
  [910] = {.lex_state = 20, .external_lex_state = 3},
  [911] = {.lex_state = 22, .external_lex_state = 4},
  [912] = {.lex_state = 22, .external_lex_state = 4},
  [913] = {.lex_state = 20, .external_lex_state = 4},
  [914] = {.lex_state = 20, .external_lex_state = 4},
  [915] = {.lex_state = 20, .external_lex_state = 3},
  [916] = {.lex_state = 20, .external_lex_state = 3},
  [917] = {.lex_state = 20, .external_lex_state = 3},
  [918] = {.lex_state = 23, .external_lex_state = 3},
  [919] = {.lex_state = 20, .external_lex_state = 3},
  [920] = {.lex_state = 20, .external_lex_state = 3},
  [921] = {.lex_state = 23, .external_lex_state = 3},
  [922] = {.lex_state = 20, .external_lex_state = 4},
  [923] = {.lex_state = 40, .external_lex_state = 2},
  [924] = {.lex_state = 20, .external_lex_state = 4},
  [925] = {.lex_state = 20, .external_lex_state = 3},
  [926] = {.lex_state = 20, .external_lex_state = 4},
  [927] = {.lex_state = 20, .external_lex_state = 4},
  [928] = {.lex_state = 20, .external_lex_state = 3},
  [929] = {.lex_state = 20, .external_lex_state = 4},
  [930] = {.lex_state = 20, .external_lex_state = 4},
  [931] = {.lex_state = 20, .external_lex_state = 4},
  [932] = {.lex_state = 20, .external_lex_state = 4},
  [933] = {.lex_state = 20, .external_lex_state = 3},
  [934] = {.lex_state = 22, .external_lex_state = 3},
  [935] = {.lex_state = 20, .external_lex_state = 3},
  [936] = {.lex_state = 40, .external_lex_state = 5},
  [937] = {.lex_state = 22, .external_lex_state = 3},
  [938] = {.lex_state = 22, .external_lex_state = 3},
  [939] = {.lex_state = 356, .external_lex_state = 2},
  [940] = {.lex_state = 20, .external_lex_state = 3},
  [941] = {.lex_state = 40, .external_lex_state = 5},
  [942] = {.lex_state = 39, .external_lex_state = 2},
  [943] = {.lex_state = 20, .external_lex_state = 3},
  [944] = {.lex_state = 20, .external_lex_state = 3},
  [945] = {.lex_state = 20, .external_lex_state = 3},
  [946] = {.lex_state = 20, .external_lex_state = 3},
  [947] = {.lex_state = 20, .external_lex_state = 3},
  [948] = {.lex_state = 20, .external_lex_state = 3},
  [949] = {.lex_state = 20, .external_lex_state = 3},
  [950] = {.lex_state = 20, .external_lex_state = 3},
  [951] = {.lex_state = 355, .external_lex_state = 2},
  [952] = {.lex_state = 39, .external_lex_state = 5},
  [953] = {.lex_state = 38, .external_lex_state = 2},
  [954] = {.lex_state = 38, .external_lex_state = 2},
  [955] = {.lex_state = 40, .external_lex_state = 2},
  [956] = {.lex_state = 20, .external_lex_state = 3},
  [957] = {.lex_state = 40, .external_lex_state = 2},
  [958] = {.lex_state = 20, .external_lex_state = 3},
  [959] = {.lex_state = 42, .external_lex_state = 5},
  [960] = {.lex_state = 20, .external_lex_state = 3},
  [961] = {.lex_state = 356, .external_lex_state = 5},
  [962] = {.lex_state = 20, .external_lex_state = 3},
  [963] = {.lex_state = 356, .external_lex_state = 5},
  [964] = {.lex_state = 39, .external_lex_state = 5},
  [965] = {.lex_state = 20, .external_lex_state = 3},
  [966] = {.lex_state = 42, .external_lex_state = 2},
  [967] = {.lex_state = 20, .external_lex_state = 3},
  [968] = {.lex_state = 42, .external_lex_state = 5},
  [969] = {.lex_state = 352, .external_lex_state = 2},
  [970] = {.lex_state = 39, .external_lex_state = 2},
  [971] = {.lex_state = 42, .external_lex_state = 2},
  [972] = {.lex_state = 38, .external_lex_state = 5},
  [973] = {.lex_state = 38, .external_lex_state = 5},
  [974] = {.lex_state = 38, .external_lex_state = 5},
  [975] = {.lex_state = 354, .external_lex_state = 5},
  [976] = {.lex_state = 41, .external_lex_state = 2},
  [977] = {.lex_state = 356, .external_lex_state = 2},
  [978] = {.lex_state = 356, .external_lex_state = 2},
  [979] = {.lex_state = 38, .external_lex_state = 5},
  [980] = {.lex_state = 352, .external_lex_state = 2},
  [981] = {.lex_state = 38, .external_lex_state = 5},
  [982] = {.lex_state = 38, .external_lex_state = 5},
  [983] = {.lex_state = 355, .external_lex_state = 5},
  [984] = {.lex_state = 38, .external_lex_state = 5},
  [985] = {.lex_state = 354, .external_lex_state = 2},
  [986] = {.lex_state = 37, .external_lex_state = 2},
  [987] = {.lex_state = 38, .external_lex_state = 5},
  [988] = {.lex_state = 41, .external_lex_state = 5},
  [989] = {.lex_state = 37, .external_lex_state = 2},
  [990] = {.lex_state = 39, .external_lex_state = 2},
  [991] = {.lex_state = 42, .external_lex_state = 2},
  [992] = {.lex_state = 38, .external_lex_state = 2},
  [993] = {.lex_state = 38, .external_lex_state = 2},
  [994] = {.lex_state = 38, .external_lex_state = 5},
  [995] = {.lex_state = 38, .external_lex_state = 5},
  [996] = {.lex_state = 38, .external_lex_state = 5},
  [997] = {.lex_state = 355, .external_lex_state = 5},
  [998] = {.lex_state = 42, .external_lex_state = 2},
  [999] = {.lex_state = 38, .external_lex_state = 5},
  [1000] = {.lex_state = 41, .external_lex_state = 5},
  [1001] = {.lex_state = 38, .external_lex_state = 5},
  [1002] = {.lex_state = 38, .external_lex_state = 5},
  [1003] = {.lex_state = 38, .external_lex_state = 2},
  [1004] = {.lex_state = 38, .external_lex_state = 5},
  [1005] = {.lex_state = 354, .external_lex_state = 5},
  [1006] = {.lex_state = 38, .external_lex_state = 5},
  [1007] = {.lex_state = 38, .external_lex_state = 5},
  [1008] = {.lex_state = 38, .external_lex_state = 5},
  [1009] = {.lex_state = 42, .external_lex_state = 2},
  [1010] = {.lex_state = 38, .external_lex_state = 5},
  [1011] = {.lex_state = 38, .external_lex_state = 2},
  [1012] = {.lex_state = 38, .external_lex_state = 2},
  [1013] = {.lex_state = 42, .external_lex_state = 2},
  [1014] = {.lex_state = 38, .external_lex_state = 5},
  [1015] = {.lex_state = 38, .external_lex_state = 2},
  [1016] = {.lex_state = 38, .external_lex_state = 2},
  [1017] = {.lex_state = 38, .external_lex_state = 2},
  [1018] = {.lex_state = 38, .external_lex_state = 2},
  [1019] = {.lex_state = 38, .external_lex_state = 2},
  [1020] = {.lex_state = 38, .external_lex_state = 2},
  [1021] = {.lex_state = 38, .external_lex_state = 2},
  [1022] = {.lex_state = 38, .external_lex_state = 2},
  [1023] = {.lex_state = 37, .external_lex_state = 5},
  [1024] = {.lex_state = 38, .external_lex_state = 2},
  [1025] = {.lex_state = 38, .external_lex_state = 2},
  [1026] = {.lex_state = 38, .external_lex_state = 2},
  [1027] = {.lex_state = 38, .external_lex_state = 2},
  [1028] = {.lex_state = 38, .external_lex_state = 2},
  [1029] = {.lex_state = 38, .external_lex_state = 2},
  [1030] = {.lex_state = 38, .external_lex_state = 2},
  [1031] = {.lex_state = 38, .external_lex_state = 2},
  [1032] = {.lex_state = 37, .external_lex_state = 5},
  [1033] = {.lex_state = 38, .external_lex_state = 2},
  [1034] = {.lex_state = 38, .external_lex_state = 2},
  [1035] = {.lex_state = 38, .external_lex_state = 2},
  [1036] = {.lex_state = 38, .external_lex_state = 2},
  [1037] = {.lex_state = 354, .external_lex_state = 2},
  [1038] = {.lex_state = 38, .external_lex_state = 2},
  [1039] = {.lex_state = 38, .external_lex_state = 2},
  [1040] = {.lex_state = 38, .external_lex_state = 2},
  [1041] = {.lex_state = 38, .external_lex_state = 2},
  [1042] = {.lex_state = 38, .external_lex_state = 2},
  [1043] = {.lex_state = 38, .external_lex_state = 2},
  [1044] = {.lex_state = 38, .external_lex_state = 2},
  [1045] = {.lex_state = 38, .external_lex_state = 2},
  [1046] = {.lex_state = 38, .external_lex_state = 2},
  [1047] = {.lex_state = 38, .external_lex_state = 2},
  [1048] = {.lex_state = 38, .external_lex_state = 2},
  [1049] = {.lex_state = 38, .external_lex_state = 2},
  [1050] = {.lex_state = 37, .external_lex_state = 5},
  [1051] = {.lex_state = 355, .external_lex_state = 2},
  [1052] = {.lex_state = 38, .external_lex_state = 2},
  [1053] = {.lex_state = 41, .external_lex_state = 2},
  [1054] = {.lex_state = 352, .external_lex_state = 5},
  [1055] = {.lex_state = 41, .external_lex_state = 2},
  [1056] = {.lex_state = 38, .external_lex_state = 2},
  [1057] = {.lex_state = 38, .external_lex_state = 2},
  [1058] = {.lex_state = 37, .external_lex_state = 5},
  [1059] = {.lex_state = 38, .external_lex_state = 2},
  [1060] = {.lex_state = 38, .external_lex_state = 2},
  [1061] = {.lex_state = 38, .external_lex_state = 2},
  [1062] = {.lex_state = 38, .external_lex_state = 2},
  [1063] = {.lex_state = 352, .external_lex_state = 5},
  [1064] = {.lex_state = 38, .external_lex_state = 2},
  [1065] = {.lex_state = 37, .external_lex_state = 5},
  [1066] = {.lex_state = 37, .external_lex_state = 5},
  [1067] = {.lex_state = 354, .external_lex_state = 2},
  [1068] = {.lex_state = 37, .external_lex_state = 5},
  [1069] = {.lex_state = 38, .external_lex_state = 2},
  [1070] = {.lex_state = 354, .external_lex_state = 2},
  [1071] = {.lex_state = 351, .external_lex_state = 2},
  [1072] = {.lex_state = 38, .external_lex_state = 2},
  [1073] = {.lex_state = 38, .external_lex_state = 2},
  [1074] = {.lex_state = 38, .external_lex_state = 2},
  [1075] = {.lex_state = 351, .external_lex_state = 2},
  [1076] = {.lex_state = 38, .external_lex_state = 2},
  [1077] = {.lex_state = 352, .external_lex_state = 5},
  [1078] = {.lex_state = 38, .external_lex_state = 2},
  [1079] = {.lex_state = 38, .external_lex_state = 2},
  [1080] = {.lex_state = 352, .external_lex_state = 5},
  [1081] = {.lex_state = 38, .external_lex_state = 2},
  [1082] = {.lex_state = 38, .external_lex_state = 2},
  [1083] = {.lex_state = 38, .external_lex_state = 2},
  [1084] = {.lex_state = 37, .external_lex_state = 5},
  [1085] = {.lex_state = 38, .external_lex_state = 2},
  [1086] = {.lex_state = 38, .external_lex_state = 2},
  [1087] = {.lex_state = 38, .external_lex_state = 2},
  [1088] = {.lex_state = 352, .external_lex_state = 5},
  [1089] = {.lex_state = 38, .external_lex_state = 2},
  [1090] = {.lex_state = 38, .external_lex_state = 2},
  [1091] = {.lex_state = 38, .external_lex_state = 2},
  [1092] = {.lex_state = 37, .external_lex_state = 5},
  [1093] = {.lex_state = 38, .external_lex_state = 2},
  [1094] = {.lex_state = 38, .external_lex_state = 2},
  [1095] = {.lex_state = 38, .external_lex_state = 2},
  [1096] = {.lex_state = 352, .external_lex_state = 5},
  [1097] = {.lex_state = 41, .external_lex_state = 2},
  [1098] = {.lex_state = 38, .external_lex_state = 2},
  [1099] = {.lex_state = 37, .external_lex_state = 2},
  [1100] = {.lex_state = 38, .external_lex_state = 2},
  [1101] = {.lex_state = 38, .external_lex_state = 2},
  [1102] = {.lex_state = 38, .external_lex_state = 2},
  [1103] = {.lex_state = 38, .external_lex_state = 2},
  [1104] = {.lex_state = 38, .external_lex_state = 2},
  [1105] = {.lex_state = 38, .external_lex_state = 2},
  [1106] = {.lex_state = 38, .external_lex_state = 2},
  [1107] = {.lex_state = 38, .external_lex_state = 2},
  [1108] = {.lex_state = 38, .external_lex_state = 2},
  [1109] = {.lex_state = 38, .external_lex_state = 2},
  [1110] = {.lex_state = 38, .external_lex_state = 2},
  [1111] = {.lex_state = 38, .external_lex_state = 2},
  [1112] = {.lex_state = 38, .external_lex_state = 2},
  [1113] = {.lex_state = 352, .external_lex_state = 2},
  [1114] = {.lex_state = 38, .external_lex_state = 2},
  [1115] = {.lex_state = 38, .external_lex_state = 2},
  [1116] = {.lex_state = 352, .external_lex_state = 2},
  [1117] = {.lex_state = 38, .external_lex_state = 2},
  [1118] = {.lex_state = 38, .external_lex_state = 2},
  [1119] = {.lex_state = 37, .external_lex_state = 5},
  [1120] = {.lex_state = 38, .external_lex_state = 2},
  [1121] = {.lex_state = 352, .external_lex_state = 5},
  [1122] = {.lex_state = 41, .external_lex_state = 2},
  [1123] = {.lex_state = 38, .external_lex_state = 2},
  [1124] = {.lex_state = 352, .external_lex_state = 5},
  [1125] = {.lex_state = 38, .external_lex_state = 2},
  [1126] = {.lex_state = 352, .external_lex_state = 2},
  [1127] = {.lex_state = 38, .external_lex_state = 2},
  [1128] = {.lex_state = 352, .external_lex_state = 5},
  [1129] = {.lex_state = 352, .external_lex_state = 5},
  [1130] = {.lex_state = 38, .external_lex_state = 2},
  [1131] = {.lex_state = 38, .external_lex_state = 2},
  [1132] = {.lex_state = 38, .external_lex_state = 2},
  [1133] = {.lex_state = 38, .external_lex_state = 2},
  [1134] = {.lex_state = 38, .external_lex_state = 2},
  [1135] = {.lex_state = 353, .external_lex_state = 5},
  [1136] = {.lex_state = 37, .external_lex_state = 2},
  [1137] = {.lex_state = 37, .external_lex_state = 2},
  [1138] = {.lex_state = 38, .external_lex_state = 2},
  [1139] = {.lex_state = 352, .external_lex_state = 5},
  [1140] = {.lex_state = 38, .external_lex_state = 2},
  [1141] = {.lex_state = 38, .external_lex_state = 2},
  [1142] = {.lex_state = 38, .external_lex_state = 2},
  [1143] = {.lex_state = 38, .external_lex_state = 2},
  [1144] = {.lex_state = 38, .external_lex_state = 2},
  [1145] = {.lex_state = 38, .external_lex_state = 2},
  [1146] = {.lex_state = 38, .external_lex_state = 2},
  [1147] = {.lex_state = 38, .external_lex_state = 2},
  [1148] = {.lex_state = 353, .external_lex_state = 5},
  [1149] = {.lex_state = 352, .external_lex_state = 5},
  [1150] = {.lex_state = 38, .external_lex_state = 2},
  [1151] = {.lex_state = 38, .external_lex_state = 2},
  [1152] = {.lex_state = 38, .external_lex_state = 2},
  [1153] = {.lex_state = 38, .external_lex_state = 2},
  [1154] = {.lex_state = 38, .external_lex_state = 2},
  [1155] = {.lex_state = 352, .external_lex_state = 5},
  [1156] = {.lex_state = 352, .external_lex_state = 5},
  [1157] = {.lex_state = 38, .external_lex_state = 2},
  [1158] = {.lex_state = 38, .external_lex_state = 2},
  [1159] = {.lex_state = 38, .external_lex_state = 2},
  [1160] = {.lex_state = 38, .external_lex_state = 2},
  [1161] = {.lex_state = 37, .external_lex_state = 5},
  [1162] = {.lex_state = 38, .external_lex_state = 2},
  [1163] = {.lex_state = 38, .external_lex_state = 2},
  [1164] = {.lex_state = 38, .external_lex_state = 2},
  [1165] = {.lex_state = 38, .external_lex_state = 2},
  [1166] = {.lex_state = 38, .external_lex_state = 2},
  [1167] = {.lex_state = 37, .external_lex_state = 5},
  [1168] = {.lex_state = 38, .external_lex_state = 2},
  [1169] = {.lex_state = 352, .external_lex_state = 5},
  [1170] = {.lex_state = 38, .external_lex_state = 2},
  [1171] = {.lex_state = 38, .external_lex_state = 2},
  [1172] = {.lex_state = 38, .external_lex_state = 2},
  [1173] = {.lex_state = 38, .external_lex_state = 2},
  [1174] = {.lex_state = 38, .external_lex_state = 2},
  [1175] = {.lex_state = 37, .external_lex_state = 5},
  [1176] = {.lex_state = 38, .external_lex_state = 2},
  [1177] = {.lex_state = 37, .external_lex_state = 5},
  [1178] = {.lex_state = 37, .external_lex_state = 5},
  [1179] = {.lex_state = 41, .external_lex_state = 2},
  [1180] = {.lex_state = 38, .external_lex_state = 2},
  [1181] = {.lex_state = 38, .external_lex_state = 2},
  [1182] = {.lex_state = 38, .external_lex_state = 2},
  [1183] = {.lex_state = 38, .external_lex_state = 2},
  [1184] = {.lex_state = 38, .external_lex_state = 2},
  [1185] = {.lex_state = 38, .external_lex_state = 2},
  [1186] = {.lex_state = 38, .external_lex_state = 2},
  [1187] = {.lex_state = 38, .external_lex_state = 2},
  [1188] = {.lex_state = 38, .external_lex_state = 2},
  [1189] = {.lex_state = 38, .external_lex_state = 2},
  [1190] = {.lex_state = 354, .external_lex_state = 2},
  [1191] = {.lex_state = 38, .external_lex_state = 2},
  [1192] = {.lex_state = 38, .external_lex_state = 2},
  [1193] = {.lex_state = 38, .external_lex_state = 2},
  [1194] = {.lex_state = 37, .external_lex_state = 5},
  [1195] = {.lex_state = 38, .external_lex_state = 2},
  [1196] = {.lex_state = 38, .external_lex_state = 2},
  [1197] = {.lex_state = 352, .external_lex_state = 2},
  [1198] = {.lex_state = 38, .external_lex_state = 2},
  [1199] = {.lex_state = 352, .external_lex_state = 5},
  [1200] = {.lex_state = 38, .external_lex_state = 2},
  [1201] = {.lex_state = 38, .external_lex_state = 2},
  [1202] = {.lex_state = 38, .external_lex_state = 2},
  [1203] = {.lex_state = 352, .external_lex_state = 5},
  [1204] = {.lex_state = 38, .external_lex_state = 2},
  [1205] = {.lex_state = 37, .external_lex_state = 5},
  [1206] = {.lex_state = 352, .external_lex_state = 5},
  [1207] = {.lex_state = 38, .external_lex_state = 2},
  [1208] = {.lex_state = 352, .external_lex_state = 5},
  [1209] = {.lex_state = 38, .external_lex_state = 2},
  [1210] = {.lex_state = 38, .external_lex_state = 2},
  [1211] = {.lex_state = 38, .external_lex_state = 2},
  [1212] = {.lex_state = 38, .external_lex_state = 2},
  [1213] = {.lex_state = 38, .external_lex_state = 2},
  [1214] = {.lex_state = 352, .external_lex_state = 2},
  [1215] = {.lex_state = 352, .external_lex_state = 5},
  [1216] = {.lex_state = 38, .external_lex_state = 2},
  [1217] = {.lex_state = 38, .external_lex_state = 2},
  [1218] = {.lex_state = 37, .external_lex_state = 5},
  [1219] = {.lex_state = 37, .external_lex_state = 5},
  [1220] = {.lex_state = 38, .external_lex_state = 2},
  [1221] = {.lex_state = 38, .external_lex_state = 2},
  [1222] = {.lex_state = 38, .external_lex_state = 2},
  [1223] = {.lex_state = 38, .external_lex_state = 2},
  [1224] = {.lex_state = 38, .external_lex_state = 2},
  [1225] = {.lex_state = 38, .external_lex_state = 2},
  [1226] = {.lex_state = 38, .external_lex_state = 2},
  [1227] = {.lex_state = 38, .external_lex_state = 2},
  [1228] = {.lex_state = 38, .external_lex_state = 2},
  [1229] = {.lex_state = 38, .external_lex_state = 2},
  [1230] = {.lex_state = 38, .external_lex_state = 2},
  [1231] = {.lex_state = 38, .external_lex_state = 2},
  [1232] = {.lex_state = 38, .external_lex_state = 2},
  [1233] = {.lex_state = 38, .external_lex_state = 2},
  [1234] = {.lex_state = 38, .external_lex_state = 2},
  [1235] = {.lex_state = 354, .external_lex_state = 2},
  [1236] = {.lex_state = 37, .external_lex_state = 5},
  [1237] = {.lex_state = 38, .external_lex_state = 2},
  [1238] = {.lex_state = 38, .external_lex_state = 2},
  [1239] = {.lex_state = 353, .external_lex_state = 2},
  [1240] = {.lex_state = 38, .external_lex_state = 2},
  [1241] = {.lex_state = 38, .external_lex_state = 2},
  [1242] = {.lex_state = 355, .external_lex_state = 2},
  [1243] = {.lex_state = 38, .external_lex_state = 2},
  [1244] = {.lex_state = 38, .external_lex_state = 2},
  [1245] = {.lex_state = 38, .external_lex_state = 2},
  [1246] = {.lex_state = 37, .external_lex_state = 2},
  [1247] = {.lex_state = 352, .external_lex_state = 2},
  [1248] = {.lex_state = 37, .external_lex_state = 2},
  [1249] = {.lex_state = 351, .external_lex_state = 5},
  [1250] = {.lex_state = 352, .external_lex_state = 2},
  [1251] = {.lex_state = 352, .external_lex_state = 2},
  [1252] = {.lex_state = 352, .external_lex_state = 2},
  [1253] = {.lex_state = 351, .external_lex_state = 5},
  [1254] = {.lex_state = 352, .external_lex_state = 2},
  [1255] = {.lex_state = 37, .external_lex_state = 2},
  [1256] = {.lex_state = 351, .external_lex_state = 5},
  [1257] = {.lex_state = 37, .external_lex_state = 2},
  [1258] = {.lex_state = 37, .external_lex_state = 2},
  [1259] = {.lex_state = 352, .external_lex_state = 2},
  [1260] = {.lex_state = 352, .external_lex_state = 2},
  [1261] = {.lex_state = 37, .external_lex_state = 2},
  [1262] = {.lex_state = 352, .external_lex_state = 2},
  [1263] = {.lex_state = 37, .external_lex_state = 2},
  [1264] = {.lex_state = 352, .external_lex_state = 2},
  [1265] = {.lex_state = 352, .external_lex_state = 2},
  [1266] = {.lex_state = 352, .external_lex_state = 2},
  [1267] = {.lex_state = 352, .external_lex_state = 2},
  [1268] = {.lex_state = 352, .external_lex_state = 2},
  [1269] = {.lex_state = 37, .external_lex_state = 2},
  [1270] = {.lex_state = 352, .external_lex_state = 2},
  [1271] = {.lex_state = 352, .external_lex_state = 2},
  [1272] = {.lex_state = 352, .external_lex_state = 2},
  [1273] = {.lex_state = 352, .external_lex_state = 2},
  [1274] = {.lex_state = 37, .external_lex_state = 2},
  [1275] = {.lex_state = 352, .external_lex_state = 2},
  [1276] = {.lex_state = 352, .external_lex_state = 2},
  [1277] = {.lex_state = 352, .external_lex_state = 2},
  [1278] = {.lex_state = 352, .external_lex_state = 2},
  [1279] = {.lex_state = 352, .external_lex_state = 2},
  [1280] = {.lex_state = 352, .external_lex_state = 2},
  [1281] = {.lex_state = 352, .external_lex_state = 2},
  [1282] = {.lex_state = 352, .external_lex_state = 2},
  [1283] = {.lex_state = 352, .external_lex_state = 2},
  [1284] = {.lex_state = 352, .external_lex_state = 2},
  [1285] = {.lex_state = 352, .external_lex_state = 2},
  [1286] = {.lex_state = 352, .external_lex_state = 2},
  [1287] = {.lex_state = 352, .external_lex_state = 2},
  [1288] = {.lex_state = 352, .external_lex_state = 2},
  [1289] = {.lex_state = 352, .external_lex_state = 2},
  [1290] = {.lex_state = 352, .external_lex_state = 2},
  [1291] = {.lex_state = 351, .external_lex_state = 5},
  [1292] = {.lex_state = 352, .external_lex_state = 2},
  [1293] = {.lex_state = 352, .external_lex_state = 2},
  [1294] = {.lex_state = 352, .external_lex_state = 2},
  [1295] = {.lex_state = 352, .external_lex_state = 2},
  [1296] = {.lex_state = 352, .external_lex_state = 2},
  [1297] = {.lex_state = 352, .external_lex_state = 2},
  [1298] = {.lex_state = 352, .external_lex_state = 2},
  [1299] = {.lex_state = 352, .external_lex_state = 2},
  [1300] = {.lex_state = 352, .external_lex_state = 2},
  [1301] = {.lex_state = 352, .external_lex_state = 2},
  [1302] = {.lex_state = 37, .external_lex_state = 2},
  [1303] = {.lex_state = 352, .external_lex_state = 2},
  [1304] = {.lex_state = 352, .external_lex_state = 2},
  [1305] = {.lex_state = 352, .external_lex_state = 2},
  [1306] = {.lex_state = 352, .external_lex_state = 2},
  [1307] = {.lex_state = 352, .external_lex_state = 2},
  [1308] = {.lex_state = 351, .external_lex_state = 5},
  [1309] = {.lex_state = 37, .external_lex_state = 2},
  [1310] = {.lex_state = 352, .external_lex_state = 2},
  [1311] = {.lex_state = 37, .external_lex_state = 2},
  [1312] = {.lex_state = 352, .external_lex_state = 2},
  [1313] = {.lex_state = 352, .external_lex_state = 2},
  [1314] = {.lex_state = 352, .external_lex_state = 2},
  [1315] = {.lex_state = 37, .external_lex_state = 2},
  [1316] = {.lex_state = 352, .external_lex_state = 2},
  [1317] = {.lex_state = 352, .external_lex_state = 2},
  [1318] = {.lex_state = 352, .external_lex_state = 2},
  [1319] = {.lex_state = 37, .external_lex_state = 2},
  [1320] = {.lex_state = 351, .external_lex_state = 5},
  [1321] = {.lex_state = 37, .external_lex_state = 2},
  [1322] = {.lex_state = 352, .external_lex_state = 2},
  [1323] = {.lex_state = 352, .external_lex_state = 2},
  [1324] = {.lex_state = 352, .external_lex_state = 2},
  [1325] = {.lex_state = 352, .external_lex_state = 2},
  [1326] = {.lex_state = 37, .external_lex_state = 2},
  [1327] = {.lex_state = 351, .external_lex_state = 5},
  [1328] = {.lex_state = 37, .external_lex_state = 2},
  [1329] = {.lex_state = 352, .external_lex_state = 2},
  [1330] = {.lex_state = 352, .external_lex_state = 2},
  [1331] = {.lex_state = 353, .external_lex_state = 2},
  [1332] = {.lex_state = 37, .external_lex_state = 2},
  [1333] = {.lex_state = 37, .external_lex_state = 2},
  [1334] = {.lex_state = 352, .external_lex_state = 2},
  [1335] = {.lex_state = 352, .external_lex_state = 2},
  [1336] = {.lex_state = 37, .external_lex_state = 2},
  [1337] = {.lex_state = 352, .external_lex_state = 2},
  [1338] = {.lex_state = 352, .external_lex_state = 2},
  [1339] = {.lex_state = 37, .external_lex_state = 2},
  [1340] = {.lex_state = 37, .external_lex_state = 2},
  [1341] = {.lex_state = 37, .external_lex_state = 2},
  [1342] = {.lex_state = 37, .external_lex_state = 2},
  [1343] = {.lex_state = 351, .external_lex_state = 2},
  [1344] = {.lex_state = 351, .external_lex_state = 2},
  [1345] = {.lex_state = 37, .external_lex_state = 2},
  [1346] = {.lex_state = 37, .external_lex_state = 2},
  [1347] = {.lex_state = 37, .external_lex_state = 2},
  [1348] = {.lex_state = 352, .external_lex_state = 2},
  [1349] = {.lex_state = 352, .external_lex_state = 2},
  [1350] = {.lex_state = 352, .external_lex_state = 2},
  [1351] = {.lex_state = 352, .external_lex_state = 2},
  [1352] = {.lex_state = 352, .external_lex_state = 2},
  [1353] = {.lex_state = 352, .external_lex_state = 2},
  [1354] = {.lex_state = 352, .external_lex_state = 2},
  [1355] = {.lex_state = 352, .external_lex_state = 2},
  [1356] = {.lex_state = 352, .external_lex_state = 2},
  [1357] = {.lex_state = 352, .external_lex_state = 2},
  [1358] = {.lex_state = 352, .external_lex_state = 2},
  [1359] = {.lex_state = 352, .external_lex_state = 2},
  [1360] = {.lex_state = 352, .external_lex_state = 2},
  [1361] = {.lex_state = 352, .external_lex_state = 2},
  [1362] = {.lex_state = 352, .external_lex_state = 2},
  [1363] = {.lex_state = 352, .external_lex_state = 2},
  [1364] = {.lex_state = 352, .external_lex_state = 2},
  [1365] = {.lex_state = 352, .external_lex_state = 2},
  [1366] = {.lex_state = 352, .external_lex_state = 2},
  [1367] = {.lex_state = 352, .external_lex_state = 2},
  [1368] = {.lex_state = 352, .external_lex_state = 2},
  [1369] = {.lex_state = 352, .external_lex_state = 2},
  [1370] = {.lex_state = 37, .external_lex_state = 2},
  [1371] = {.lex_state = 37, .external_lex_state = 2},
  [1372] = {.lex_state = 37, .external_lex_state = 2},
  [1373] = {.lex_state = 352, .external_lex_state = 2},
  [1374] = {.lex_state = 352, .external_lex_state = 2},
  [1375] = {.lex_state = 352, .external_lex_state = 2},
  [1376] = {.lex_state = 352, .external_lex_state = 2},
  [1377] = {.lex_state = 37, .external_lex_state = 2},
  [1378] = {.lex_state = 37, .external_lex_state = 2},
  [1379] = {.lex_state = 37, .external_lex_state = 2},
  [1380] = {.lex_state = 352, .external_lex_state = 2},
  [1381] = {.lex_state = 352, .external_lex_state = 2},
  [1382] = {.lex_state = 352, .external_lex_state = 2},
  [1383] = {.lex_state = 351, .external_lex_state = 5},
  [1384] = {.lex_state = 37, .external_lex_state = 2},
  [1385] = {.lex_state = 352, .external_lex_state = 2},
  [1386] = {.lex_state = 352, .external_lex_state = 2},
  [1387] = {.lex_state = 352, .external_lex_state = 2},
  [1388] = {.lex_state = 37, .external_lex_state = 2},
  [1389] = {.lex_state = 352, .external_lex_state = 2},
  [1390] = {.lex_state = 352, .external_lex_state = 2},
  [1391] = {.lex_state = 37, .external_lex_state = 2},
  [1392] = {.lex_state = 37, .external_lex_state = 2},
  [1393] = {.lex_state = 37, .external_lex_state = 2},
  [1394] = {.lex_state = 352, .external_lex_state = 2},
  [1395] = {.lex_state = 352, .external_lex_state = 2},
  [1396] = {.lex_state = 37, .external_lex_state = 2},
  [1397] = {.lex_state = 352, .external_lex_state = 2},
  [1398] = {.lex_state = 352, .external_lex_state = 2},
  [1399] = {.lex_state = 352, .external_lex_state = 2},
  [1400] = {.lex_state = 351, .external_lex_state = 5},
  [1401] = {.lex_state = 352, .external_lex_state = 2},
  [1402] = {.lex_state = 352, .external_lex_state = 2},
  [1403] = {.lex_state = 352, .external_lex_state = 2},
  [1404] = {.lex_state = 352, .external_lex_state = 2},
  [1405] = {.lex_state = 37, .external_lex_state = 2},
  [1406] = {.lex_state = 37, .external_lex_state = 2},
  [1407] = {.lex_state = 37, .external_lex_state = 2},
  [1408] = {.lex_state = 37, .external_lex_state = 2},
  [1409] = {.lex_state = 37, .external_lex_state = 2},
  [1410] = {.lex_state = 37, .external_lex_state = 2},
  [1411] = {.lex_state = 352, .external_lex_state = 2},
  [1412] = {.lex_state = 37, .external_lex_state = 2},
  [1413] = {.lex_state = 37, .external_lex_state = 2},
  [1414] = {.lex_state = 352, .external_lex_state = 2},
  [1415] = {.lex_state = 37, .external_lex_state = 2},
  [1416] = {.lex_state = 37, .external_lex_state = 2},
  [1417] = {.lex_state = 37, .external_lex_state = 2},
  [1418] = {.lex_state = 37, .external_lex_state = 2},
  [1419] = {.lex_state = 37, .external_lex_state = 2},
  [1420] = {.lex_state = 37, .external_lex_state = 2},
  [1421] = {.lex_state = 37, .external_lex_state = 2},
  [1422] = {.lex_state = 37, .external_lex_state = 2},
  [1423] = {.lex_state = 37, .external_lex_state = 2},
  [1424] = {.lex_state = 37, .external_lex_state = 2},
  [1425] = {.lex_state = 37, .external_lex_state = 2},
  [1426] = {.lex_state = 37, .external_lex_state = 2},
  [1427] = {.lex_state = 37, .external_lex_state = 2},
  [1428] = {.lex_state = 37, .external_lex_state = 2},
  [1429] = {.lex_state = 37, .external_lex_state = 2},
  [1430] = {.lex_state = 37, .external_lex_state = 2},
  [1431] = {.lex_state = 37, .external_lex_state = 2},
  [1432] = {.lex_state = 37, .external_lex_state = 2},
  [1433] = {.lex_state = 37, .external_lex_state = 2},
  [1434] = {.lex_state = 37, .external_lex_state = 2},
  [1435] = {.lex_state = 37, .external_lex_state = 2},
  [1436] = {.lex_state = 37, .external_lex_state = 2},
  [1437] = {.lex_state = 37, .external_lex_state = 2},
  [1438] = {.lex_state = 37, .external_lex_state = 2},
  [1439] = {.lex_state = 352, .external_lex_state = 2},
  [1440] = {.lex_state = 37, .external_lex_state = 2},
  [1441] = {.lex_state = 352, .external_lex_state = 2},
  [1442] = {.lex_state = 353, .external_lex_state = 2},
  [1443] = {.lex_state = 353, .external_lex_state = 2},
  [1444] = {.lex_state = 37, .external_lex_state = 2},
  [1445] = {.lex_state = 37, .external_lex_state = 2},
  [1446] = {.lex_state = 37, .external_lex_state = 2},
  [1447] = {.lex_state = 37, .external_lex_state = 2},
  [1448] = {.lex_state = 37, .external_lex_state = 2},
  [1449] = {.lex_state = 37, .external_lex_state = 2},
  [1450] = {.lex_state = 37, .external_lex_state = 2},
  [1451] = {.lex_state = 352, .external_lex_state = 2},
  [1452] = {.lex_state = 37, .external_lex_state = 2},
  [1453] = {.lex_state = 37, .external_lex_state = 2},
  [1454] = {.lex_state = 37, .external_lex_state = 2},
  [1455] = {.lex_state = 37, .external_lex_state = 2},
  [1456] = {.lex_state = 37, .external_lex_state = 2},
  [1457] = {.lex_state = 37, .external_lex_state = 2},
  [1458] = {.lex_state = 37, .external_lex_state = 2},
  [1459] = {.lex_state = 37, .external_lex_state = 2},
  [1460] = {.lex_state = 351, .external_lex_state = 5},
  [1461] = {.lex_state = 37, .external_lex_state = 2},
  [1462] = {.lex_state = 37, .external_lex_state = 2},
  [1463] = {.lex_state = 37, .external_lex_state = 2},
  [1464] = {.lex_state = 37, .external_lex_state = 2},
  [1465] = {.lex_state = 37, .external_lex_state = 2},
  [1466] = {.lex_state = 37, .external_lex_state = 2},
  [1467] = {.lex_state = 37, .external_lex_state = 2},
  [1468] = {.lex_state = 37, .external_lex_state = 2},
  [1469] = {.lex_state = 37, .external_lex_state = 2},
  [1470] = {.lex_state = 37, .external_lex_state = 2},
  [1471] = {.lex_state = 351, .external_lex_state = 5},
  [1472] = {.lex_state = 351, .external_lex_state = 2},
  [1473] = {.lex_state = 37, .external_lex_state = 2},
  [1474] = {.lex_state = 37, .external_lex_state = 2},
  [1475] = {.lex_state = 37, .external_lex_state = 2},
  [1476] = {.lex_state = 37, .external_lex_state = 2},
  [1477] = {.lex_state = 353, .external_lex_state = 2},
  [1478] = {.lex_state = 352, .external_lex_state = 2},
  [1479] = {.lex_state = 352, .external_lex_state = 2},
  [1480] = {.lex_state = 352, .external_lex_state = 2},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 352, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 352, .external_lex_state = 2},
  [1486] = {.lex_state = 352, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 352, .external_lex_state = 2},
  [1489] = {.lex_state = 352, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 37, .external_lex_state = 2},
  [1493] = {.lex_state = 351, .external_lex_state = 5},
  [1494] = {.lex_state = 351, .external_lex_state = 5},
  [1495] = {.lex_state = 352, .external_lex_state = 2},
  [1496] = {.lex_state = 352, .external_lex_state = 2},
  [1497] = {.lex_state = 352, .external_lex_state = 2},
  [1498] = {.lex_state = 352, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 37, .external_lex_state = 2},
  [1501] = {.lex_state = 352, .external_lex_state = 2},
  [1502] = {.lex_state = 37, .external_lex_state = 2},
  [1503] = {.lex_state = 352, .external_lex_state = 2},
  [1504] = {.lex_state = 37, .external_lex_state = 2},
  [1505] = {.lex_state = 37, .external_lex_state = 2},
  [1506] = {.lex_state = 352, .external_lex_state = 2},
  [1507] = {.lex_state = 37, .external_lex_state = 2},
  [1508] = {.lex_state = 37, .external_lex_state = 2},
  [1509] = {.lex_state = 352, .external_lex_state = 2},
  [1510] = {.lex_state = 352, .external_lex_state = 2},
  [1511] = {.lex_state = 352, .external_lex_state = 2},
  [1512] = {.lex_state = 352, .external_lex_state = 2},
  [1513] = {.lex_state = 352, .external_lex_state = 2},
  [1514] = {.lex_state = 352, .external_lex_state = 2},
  [1515] = {.lex_state = 352, .external_lex_state = 2},
  [1516] = {.lex_state = 352, .external_lex_state = 2},
  [1517] = {.lex_state = 352, .external_lex_state = 2},
  [1518] = {.lex_state = 352, .external_lex_state = 2},
  [1519] = {.lex_state = 37, .external_lex_state = 2},
  [1520] = {.lex_state = 352, .external_lex_state = 2},
  [1521] = {.lex_state = 352, .external_lex_state = 2},
  [1522] = {.lex_state = 352, .external_lex_state = 2},
  [1523] = {.lex_state = 352, .external_lex_state = 2},
  [1524] = {.lex_state = 352, .external_lex_state = 2},
  [1525] = {.lex_state = 352, .external_lex_state = 2},
  [1526] = {.lex_state = 352, .external_lex_state = 2},
  [1527] = {.lex_state = 352, .external_lex_state = 2},
  [1528] = {.lex_state = 352, .external_lex_state = 2},
  [1529] = {.lex_state = 352, .external_lex_state = 2},
  [1530] = {.lex_state = 352, .external_lex_state = 2},
  [1531] = {.lex_state = 352, .external_lex_state = 2},
  [1532] = {.lex_state = 352, .external_lex_state = 2},
  [1533] = {.lex_state = 37, .external_lex_state = 2},
  [1534] = {.lex_state = 352, .external_lex_state = 2},
  [1535] = {.lex_state = 351, .external_lex_state = 5},
  [1536] = {.lex_state = 352, .external_lex_state = 2},
  [1537] = {.lex_state = 352, .external_lex_state = 2},
  [1538] = {.lex_state = 352, .external_lex_state = 2},
  [1539] = {.lex_state = 37, .external_lex_state = 2},
  [1540] = {.lex_state = 352, .external_lex_state = 2},
  [1541] = {.lex_state = 352, .external_lex_state = 2},
  [1542] = {.lex_state = 37, .external_lex_state = 2},
  [1543] = {.lex_state = 37, .external_lex_state = 2},
  [1544] = {.lex_state = 37, .external_lex_state = 2},
  [1545] = {.lex_state = 351, .external_lex_state = 5},
  [1546] = {.lex_state = 37, .external_lex_state = 2},
  [1547] = {.lex_state = 351, .external_lex_state = 5},
  [1548] = {.lex_state = 351, .external_lex_state = 5},
  [1549] = {.lex_state = 351, .external_lex_state = 5},
  [1550] = {.lex_state = 37, .external_lex_state = 2},
  [1551] = {.lex_state = 351, .external_lex_state = 5},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 352, .external_lex_state = 2},
  [1554] = {.lex_state = 37, .external_lex_state = 2},
  [1555] = {.lex_state = 37, .external_lex_state = 2},
  [1556] = {.lex_state = 37, .external_lex_state = 2},
  [1557] = {.lex_state = 37, .external_lex_state = 2},
  [1558] = {.lex_state = 37, .external_lex_state = 2},
  [1559] = {.lex_state = 353, .external_lex_state = 2},
  [1560] = {.lex_state = 37, .external_lex_state = 2},
  [1561] = {.lex_state = 37, .external_lex_state = 2},
  [1562] = {.lex_state = 37, .external_lex_state = 2},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 37, .external_lex_state = 2},
  [1568] = {.lex_state = 37, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 37, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 2},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 37, .external_lex_state = 2},
  [1579] = {.lex_state = 37, .external_lex_state = 2},
  [1580] = {.lex_state = 37, .external_lex_state = 2},
  [1581] = {.lex_state = 37, .external_lex_state = 2},
  [1582] = {.lex_state = 37, .external_lex_state = 2},
  [1583] = {.lex_state = 37, .external_lex_state = 2},
  [1584] = {.lex_state = 37, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 37, .external_lex_state = 2},
  [1587] = {.lex_state = 37, .external_lex_state = 2},
  [1588] = {.lex_state = 37, .external_lex_state = 2},
  [1589] = {.lex_state = 37, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 2},
  [1591] = {.lex_state = 37, .external_lex_state = 2},
  [1592] = {.lex_state = 37, .external_lex_state = 2},
  [1593] = {.lex_state = 37, .external_lex_state = 2},
  [1594] = {.lex_state = 37, .external_lex_state = 2},
  [1595] = {.lex_state = 37, .external_lex_state = 2},
  [1596] = {.lex_state = 352, .external_lex_state = 2},
  [1597] = {.lex_state = 37, .external_lex_state = 2},
  [1598] = {.lex_state = 37, .external_lex_state = 2},
  [1599] = {.lex_state = 351, .external_lex_state = 5},
  [1600] = {.lex_state = 352, .external_lex_state = 2},
  [1601] = {.lex_state = 352, .external_lex_state = 2},
  [1602] = {.lex_state = 352, .external_lex_state = 2},
  [1603] = {.lex_state = 352, .external_lex_state = 2},
  [1604] = {.lex_state = 352, .external_lex_state = 2},
  [1605] = {.lex_state = 352, .external_lex_state = 2},
  [1606] = {.lex_state = 352, .external_lex_state = 2},
  [1607] = {.lex_state = 351, .external_lex_state = 2},
  [1608] = {.lex_state = 351, .external_lex_state = 2},
  [1609] = {.lex_state = 351, .external_lex_state = 2},
  [1610] = {.lex_state = 351, .external_lex_state = 2},
  [1611] = {.lex_state = 351, .external_lex_state = 2},
  [1612] = {.lex_state = 351, .external_lex_state = 2},
  [1613] = {.lex_state = 351, .external_lex_state = 2},
  [1614] = {.lex_state = 351, .external_lex_state = 2},
  [1615] = {.lex_state = 351, .external_lex_state = 2},
  [1616] = {.lex_state = 351, .external_lex_state = 2},
  [1617] = {.lex_state = 351, .external_lex_state = 2},
  [1618] = {.lex_state = 351, .external_lex_state = 2},
  [1619] = {.lex_state = 351, .external_lex_state = 2},
  [1620] = {.lex_state = 351, .external_lex_state = 2},
  [1621] = {.lex_state = 351, .external_lex_state = 2},
  [1622] = {.lex_state = 351, .external_lex_state = 2},
  [1623] = {.lex_state = 351, .external_lex_state = 2},
  [1624] = {.lex_state = 351, .external_lex_state = 2},
  [1625] = {.lex_state = 351, .external_lex_state = 2},
  [1626] = {.lex_state = 351, .external_lex_state = 2},
  [1627] = {.lex_state = 351, .external_lex_state = 2},
  [1628] = {.lex_state = 351, .external_lex_state = 2},
  [1629] = {.lex_state = 351, .external_lex_state = 2},
  [1630] = {.lex_state = 351, .external_lex_state = 2},
  [1631] = {.lex_state = 351, .external_lex_state = 2},
  [1632] = {.lex_state = 351, .external_lex_state = 2},
  [1633] = {.lex_state = 351, .external_lex_state = 2},
  [1634] = {.lex_state = 351, .external_lex_state = 2},
  [1635] = {.lex_state = 351, .external_lex_state = 2},
  [1636] = {.lex_state = 351, .external_lex_state = 2},
  [1637] = {.lex_state = 351, .external_lex_state = 2},
  [1638] = {.lex_state = 351, .external_lex_state = 2},
  [1639] = {.lex_state = 351, .external_lex_state = 2},
  [1640] = {.lex_state = 351, .external_lex_state = 2},
  [1641] = {.lex_state = 351, .external_lex_state = 2},
  [1642] = {.lex_state = 351, .external_lex_state = 2},
  [1643] = {.lex_state = 351, .external_lex_state = 2},
  [1644] = {.lex_state = 351, .external_lex_state = 2},
  [1645] = {.lex_state = 351, .external_lex_state = 2},
  [1646] = {.lex_state = 351, .external_lex_state = 2},
  [1647] = {.lex_state = 351, .external_lex_state = 2},
  [1648] = {.lex_state = 351, .external_lex_state = 2},
  [1649] = {.lex_state = 351, .external_lex_state = 2},
  [1650] = {.lex_state = 351, .external_lex_state = 2},
  [1651] = {.lex_state = 351, .external_lex_state = 2},
  [1652] = {.lex_state = 351, .external_lex_state = 2},
  [1653] = {.lex_state = 351, .external_lex_state = 2},
  [1654] = {.lex_state = 351, .external_lex_state = 2},
  [1655] = {.lex_state = 351, .external_lex_state = 2},
  [1656] = {.lex_state = 351, .external_lex_state = 2},
  [1657] = {.lex_state = 351, .external_lex_state = 2},
  [1658] = {.lex_state = 351, .external_lex_state = 2},
  [1659] = {.lex_state = 351, .external_lex_state = 2},
  [1660] = {.lex_state = 351, .external_lex_state = 2},
  [1661] = {.lex_state = 351, .external_lex_state = 2},
  [1662] = {.lex_state = 351, .external_lex_state = 2},
  [1663] = {.lex_state = 351, .external_lex_state = 2},
  [1664] = {.lex_state = 351, .external_lex_state = 2},
  [1665] = {.lex_state = 351, .external_lex_state = 2},
  [1666] = {.lex_state = 351, .external_lex_state = 2},
  [1667] = {.lex_state = 351, .external_lex_state = 2},
  [1668] = {.lex_state = 351, .external_lex_state = 2},
  [1669] = {.lex_state = 351, .external_lex_state = 2},
  [1670] = {.lex_state = 351, .external_lex_state = 2},
  [1671] = {.lex_state = 351, .external_lex_state = 2},
  [1672] = {.lex_state = 351, .external_lex_state = 2},
  [1673] = {.lex_state = 351, .external_lex_state = 2},
  [1674] = {.lex_state = 351, .external_lex_state = 2},
  [1675] = {.lex_state = 351, .external_lex_state = 2},
  [1676] = {.lex_state = 351, .external_lex_state = 2},
  [1677] = {.lex_state = 351, .external_lex_state = 2},
  [1678] = {.lex_state = 351, .external_lex_state = 2},
  [1679] = {.lex_state = 351, .external_lex_state = 2},
  [1680] = {.lex_state = 351, .external_lex_state = 2},
  [1681] = {.lex_state = 351, .external_lex_state = 2},
  [1682] = {.lex_state = 351, .external_lex_state = 2},
  [1683] = {.lex_state = 351, .external_lex_state = 2},
  [1684] = {.lex_state = 351, .external_lex_state = 2},
  [1685] = {.lex_state = 351, .external_lex_state = 2},
  [1686] = {.lex_state = 351, .external_lex_state = 2},
  [1687] = {.lex_state = 351, .external_lex_state = 2},
  [1688] = {.lex_state = 351, .external_lex_state = 2},
  [1689] = {.lex_state = 351, .external_lex_state = 2},
  [1690] = {.lex_state = 351, .external_lex_state = 2},
  [1691] = {.lex_state = 351, .external_lex_state = 2},
  [1692] = {.lex_state = 351, .external_lex_state = 2},
  [1693] = {.lex_state = 351, .external_lex_state = 2},
  [1694] = {.lex_state = 351, .external_lex_state = 2},
  [1695] = {.lex_state = 351, .external_lex_state = 2},
  [1696] = {.lex_state = 351, .external_lex_state = 2},
  [1697] = {.lex_state = 351, .external_lex_state = 2},
  [1698] = {.lex_state = 351, .external_lex_state = 2},
  [1699] = {.lex_state = 351, .external_lex_state = 2},
  [1700] = {.lex_state = 351, .external_lex_state = 2},
  [1701] = {.lex_state = 351, .external_lex_state = 2},
  [1702] = {.lex_state = 351, .external_lex_state = 2},
  [1703] = {.lex_state = 351, .external_lex_state = 2},
  [1704] = {.lex_state = 351, .external_lex_state = 2},
  [1705] = {.lex_state = 351, .external_lex_state = 2},
  [1706] = {.lex_state = 351, .external_lex_state = 2},
  [1707] = {.lex_state = 351, .external_lex_state = 2},
  [1708] = {.lex_state = 351, .external_lex_state = 2},
  [1709] = {.lex_state = 351, .external_lex_state = 2},
  [1710] = {.lex_state = 351, .external_lex_state = 2},
  [1711] = {.lex_state = 351, .external_lex_state = 2},
  [1712] = {.lex_state = 351, .external_lex_state = 2},
  [1713] = {.lex_state = 351, .external_lex_state = 2},
  [1714] = {.lex_state = 351, .external_lex_state = 2},
  [1715] = {.lex_state = 351, .external_lex_state = 2},
  [1716] = {.lex_state = 351, .external_lex_state = 2},
  [1717] = {.lex_state = 351, .external_lex_state = 2},
  [1718] = {.lex_state = 351, .external_lex_state = 2},
  [1719] = {.lex_state = 351, .external_lex_state = 2},
  [1720] = {.lex_state = 351, .external_lex_state = 2},
  [1721] = {.lex_state = 351, .external_lex_state = 2},
  [1722] = {.lex_state = 351, .external_lex_state = 2},
  [1723] = {.lex_state = 351, .external_lex_state = 2},
  [1724] = {.lex_state = 351, .external_lex_state = 2},
  [1725] = {.lex_state = 351, .external_lex_state = 2},
  [1726] = {.lex_state = 351, .external_lex_state = 2},
  [1727] = {.lex_state = 351, .external_lex_state = 2},
  [1728] = {.lex_state = 351, .external_lex_state = 2},
  [1729] = {.lex_state = 351, .external_lex_state = 2},
  [1730] = {.lex_state = 351, .external_lex_state = 2},
  [1731] = {.lex_state = 351, .external_lex_state = 2},
  [1732] = {.lex_state = 351, .external_lex_state = 2},
  [1733] = {.lex_state = 351, .external_lex_state = 2},
  [1734] = {.lex_state = 351, .external_lex_state = 2},
  [1735] = {.lex_state = 351, .external_lex_state = 2},
  [1736] = {.lex_state = 351, .external_lex_state = 2},
  [1737] = {.lex_state = 351, .external_lex_state = 2},
  [1738] = {.lex_state = 351, .external_lex_state = 2},
  [1739] = {.lex_state = 351, .external_lex_state = 2},
  [1740] = {.lex_state = 351, .external_lex_state = 2},
  [1741] = {.lex_state = 351, .external_lex_state = 2},
  [1742] = {.lex_state = 351, .external_lex_state = 2},
  [1743] = {.lex_state = 351, .external_lex_state = 2},
  [1744] = {.lex_state = 351, .external_lex_state = 2},
  [1745] = {.lex_state = 351, .external_lex_state = 2},
  [1746] = {.lex_state = 351, .external_lex_state = 2},
  [1747] = {.lex_state = 351, .external_lex_state = 2},
  [1748] = {.lex_state = 351, .external_lex_state = 2},
  [1749] = {.lex_state = 351, .external_lex_state = 2},
  [1750] = {.lex_state = 351, .external_lex_state = 2},
  [1751] = {.lex_state = 351, .external_lex_state = 2},
  [1752] = {.lex_state = 351, .external_lex_state = 2},
  [1753] = {.lex_state = 351, .external_lex_state = 2},
  [1754] = {.lex_state = 351, .external_lex_state = 2},
  [1755] = {.lex_state = 351, .external_lex_state = 2},
  [1756] = {.lex_state = 351, .external_lex_state = 2},
  [1757] = {.lex_state = 351, .external_lex_state = 2},
  [1758] = {.lex_state = 351, .external_lex_state = 2},
  [1759] = {.lex_state = 351, .external_lex_state = 2},
  [1760] = {.lex_state = 351, .external_lex_state = 2},
  [1761] = {.lex_state = 351, .external_lex_state = 2},
  [1762] = {.lex_state = 351, .external_lex_state = 2},
  [1763] = {.lex_state = 351, .external_lex_state = 2},
  [1764] = {.lex_state = 351, .external_lex_state = 2},
  [1765] = {.lex_state = 351, .external_lex_state = 2},
  [1766] = {.lex_state = 351, .external_lex_state = 2},
  [1767] = {.lex_state = 351, .external_lex_state = 2},
  [1768] = {.lex_state = 351, .external_lex_state = 2},
  [1769] = {.lex_state = 351, .external_lex_state = 2},
  [1770] = {.lex_state = 351, .external_lex_state = 2},
  [1771] = {.lex_state = 351, .external_lex_state = 2},
  [1772] = {.lex_state = 351, .external_lex_state = 2},
  [1773] = {.lex_state = 351, .external_lex_state = 2},
  [1774] = {.lex_state = 49, .external_lex_state = 2},
  [1775] = {.lex_state = 49, .external_lex_state = 2},
  [1776] = {.lex_state = 49, .external_lex_state = 2},
  [1777] = {.lex_state = 49, .external_lex_state = 2},
  [1778] = {.lex_state = 49, .external_lex_state = 2},
  [1779] = {.lex_state = 49, .external_lex_state = 2},
  [1780] = {.lex_state = 351, .external_lex_state = 2},
  [1781] = {.lex_state = 351, .external_lex_state = 2},
  [1782] = {.lex_state = 49, .external_lex_state = 2},
  [1783] = {.lex_state = 351, .external_lex_state = 2},
  [1784] = {.lex_state = 351, .external_lex_state = 2},
  [1785] = {.lex_state = 49, .external_lex_state = 2},
  [1786] = {.lex_state = 351, .external_lex_state = 2},
  [1787] = {.lex_state = 351, .external_lex_state = 2},
  [1788] = {.lex_state = 351, .external_lex_state = 2},
  [1789] = {.lex_state = 351, .external_lex_state = 2},
  [1790] = {.lex_state = 351, .external_lex_state = 2},
  [1791] = {.lex_state = 351, .external_lex_state = 2},
  [1792] = {.lex_state = 49, .external_lex_state = 2},
  [1793] = {.lex_state = 49, .external_lex_state = 2},
  [1794] = {.lex_state = 49, .external_lex_state = 2},
  [1795] = {.lex_state = 49, .external_lex_state = 2},
  [1796] = {.lex_state = 49, .external_lex_state = 2},
  [1797] = {.lex_state = 49, .external_lex_state = 2},
  [1798] = {.lex_state = 49, .external_lex_state = 2},
  [1799] = {.lex_state = 351, .external_lex_state = 2},
  [1800] = {.lex_state = 50, .external_lex_state = 2},
  [1801] = {.lex_state = 50, .external_lex_state = 2},
  [1802] = {.lex_state = 50, .external_lex_state = 2},
  [1803] = {.lex_state = 49, .external_lex_state = 2},
  [1804] = {.lex_state = 50, .external_lex_state = 2},
  [1805] = {.lex_state = 50, .external_lex_state = 2},
  [1806] = {.lex_state = 50, .external_lex_state = 2},
  [1807] = {.lex_state = 50, .external_lex_state = 2},
  [1808] = {.lex_state = 50, .external_lex_state = 2},
  [1809] = {.lex_state = 50, .external_lex_state = 2},
  [1810] = {.lex_state = 50, .external_lex_state = 2},
  [1811] = {.lex_state = 50, .external_lex_state = 2},
  [1812] = {.lex_state = 50, .external_lex_state = 2},
  [1813] = {.lex_state = 50, .external_lex_state = 2},
  [1814] = {.lex_state = 50, .external_lex_state = 2},
  [1815] = {.lex_state = 50, .external_lex_state = 2},
  [1816] = {.lex_state = 50, .external_lex_state = 2},
  [1817] = {.lex_state = 50, .external_lex_state = 2},
  [1818] = {.lex_state = 50, .external_lex_state = 2},
  [1819] = {.lex_state = 50, .external_lex_state = 2},
  [1820] = {.lex_state = 50, .external_lex_state = 2},
  [1821] = {.lex_state = 50, .external_lex_state = 2},
  [1822] = {.lex_state = 50, .external_lex_state = 2},
  [1823] = {.lex_state = 50, .external_lex_state = 2},
  [1824] = {.lex_state = 50, .external_lex_state = 2},
  [1825] = {.lex_state = 50, .external_lex_state = 2},
  [1826] = {.lex_state = 50, .external_lex_state = 2},
  [1827] = {.lex_state = 50, .external_lex_state = 2},
  [1828] = {.lex_state = 50, .external_lex_state = 2},
  [1829] = {.lex_state = 50, .external_lex_state = 2},
  [1830] = {.lex_state = 50, .external_lex_state = 2},
  [1831] = {.lex_state = 50, .external_lex_state = 2},
  [1832] = {.lex_state = 50, .external_lex_state = 2},
  [1833] = {.lex_state = 50, .external_lex_state = 2},
  [1834] = {.lex_state = 50, .external_lex_state = 2},
  [1835] = {.lex_state = 50, .external_lex_state = 2},
  [1836] = {.lex_state = 50, .external_lex_state = 2},
  [1837] = {.lex_state = 50, .external_lex_state = 2},
  [1838] = {.lex_state = 50, .external_lex_state = 2},
  [1839] = {.lex_state = 50, .external_lex_state = 2},
  [1840] = {.lex_state = 50, .external_lex_state = 2},
  [1841] = {.lex_state = 50, .external_lex_state = 2},
  [1842] = {.lex_state = 50, .external_lex_state = 2},
  [1843] = {.lex_state = 50, .external_lex_state = 2},
  [1844] = {.lex_state = 50, .external_lex_state = 2},
  [1845] = {.lex_state = 50, .external_lex_state = 2},
  [1846] = {.lex_state = 50, .external_lex_state = 2},
  [1847] = {.lex_state = 50, .external_lex_state = 2},
  [1848] = {.lex_state = 50, .external_lex_state = 2},
  [1849] = {.lex_state = 50, .external_lex_state = 2},
  [1850] = {.lex_state = 50, .external_lex_state = 2},
  [1851] = {.lex_state = 50, .external_lex_state = 2},
  [1852] = {.lex_state = 50, .external_lex_state = 2},
  [1853] = {.lex_state = 50, .external_lex_state = 2},
  [1854] = {.lex_state = 50, .external_lex_state = 2},
  [1855] = {.lex_state = 50, .external_lex_state = 2},
  [1856] = {.lex_state = 49, .external_lex_state = 2},
  [1857] = {.lex_state = 49, .external_lex_state = 2},
  [1858] = {.lex_state = 49, .external_lex_state = 2},
  [1859] = {.lex_state = 49, .external_lex_state = 2},
  [1860] = {.lex_state = 49, .external_lex_state = 2},
  [1861] = {.lex_state = 49, .external_lex_state = 2},
  [1862] = {.lex_state = 49, .external_lex_state = 2},
  [1863] = {.lex_state = 49, .external_lex_state = 2},
  [1864] = {.lex_state = 49, .external_lex_state = 2},
  [1865] = {.lex_state = 49, .external_lex_state = 2},
  [1866] = {.lex_state = 35, .external_lex_state = 2},
  [1867] = {.lex_state = 35, .external_lex_state = 2},
  [1868] = {.lex_state = 35, .external_lex_state = 2},
  [1869] = {.lex_state = 35, .external_lex_state = 2},
  [1870] = {.lex_state = 35, .external_lex_state = 2},
  [1871] = {.lex_state = 35, .external_lex_state = 2},
  [1872] = {.lex_state = 35, .external_lex_state = 2},
  [1873] = {.lex_state = 35, .external_lex_state = 2},
  [1874] = {.lex_state = 35, .external_lex_state = 2},
  [1875] = {.lex_state = 35, .external_lex_state = 2},
  [1876] = {.lex_state = 35, .external_lex_state = 2},
  [1877] = {.lex_state = 35, .external_lex_state = 2},
  [1878] = {.lex_state = 15, .external_lex_state = 4},
  [1879] = {.lex_state = 15, .external_lex_state = 4},
  [1880] = {.lex_state = 15, .external_lex_state = 4},
  [1881] = {.lex_state = 15, .external_lex_state = 4},
  [1882] = {.lex_state = 49, .external_lex_state = 2},
  [1883] = {.lex_state = 15, .external_lex_state = 4},
  [1884] = {.lex_state = 15, .external_lex_state = 4},
  [1885] = {.lex_state = 49, .external_lex_state = 2},
  [1886] = {.lex_state = 49, .external_lex_state = 2},
  [1887] = {.lex_state = 15, .external_lex_state = 4},
  [1888] = {.lex_state = 15, .external_lex_state = 4},
  [1889] = {.lex_state = 49, .external_lex_state = 2},
  [1890] = {.lex_state = 49, .external_lex_state = 2},
  [1891] = {.lex_state = 15, .external_lex_state = 4},
  [1892] = {.lex_state = 49, .external_lex_state = 2},
  [1893] = {.lex_state = 49, .external_lex_state = 2},
  [1894] = {.lex_state = 49, .external_lex_state = 2},
  [1895] = {.lex_state = 49, .external_lex_state = 2},
  [1896] = {.lex_state = 49, .external_lex_state = 2},
  [1897] = {.lex_state = 49, .external_lex_state = 2},
  [1898] = {.lex_state = 49, .external_lex_state = 2},
  [1899] = {.lex_state = 49, .external_lex_state = 2},
  [1900] = {.lex_state = 49, .external_lex_state = 2},
  [1901] = {.lex_state = 49, .external_lex_state = 2},
  [1902] = {.lex_state = 49, .external_lex_state = 2},
  [1903] = {.lex_state = 49, .external_lex_state = 2},
  [1904] = {.lex_state = 49, .external_lex_state = 2},
  [1905] = {.lex_state = 49, .external_lex_state = 2},
  [1906] = {.lex_state = 49, .external_lex_state = 2},
  [1907] = {.lex_state = 49, .external_lex_state = 2},
  [1908] = {.lex_state = 49, .external_lex_state = 2},
  [1909] = {.lex_state = 49, .external_lex_state = 2},
  [1910] = {.lex_state = 49, .external_lex_state = 2},
  [1911] = {.lex_state = 49, .external_lex_state = 2},
  [1912] = {.lex_state = 49, .external_lex_state = 2},
  [1913] = {.lex_state = 49, .external_lex_state = 2},
  [1914] = {.lex_state = 49, .external_lex_state = 2},
  [1915] = {.lex_state = 49, .external_lex_state = 2},
  [1916] = {.lex_state = 49, .external_lex_state = 2},
  [1917] = {.lex_state = 49, .external_lex_state = 2},
  [1918] = {.lex_state = 49, .external_lex_state = 2},
  [1919] = {.lex_state = 49, .external_lex_state = 2},
  [1920] = {.lex_state = 49, .external_lex_state = 2},
  [1921] = {.lex_state = 49, .external_lex_state = 2},
  [1922] = {.lex_state = 49, .external_lex_state = 2},
  [1923] = {.lex_state = 49, .external_lex_state = 2},
  [1924] = {.lex_state = 49, .external_lex_state = 2},
  [1925] = {.lex_state = 49, .external_lex_state = 2},
  [1926] = {.lex_state = 49, .external_lex_state = 2},
  [1927] = {.lex_state = 49, .external_lex_state = 2},
  [1928] = {.lex_state = 49, .external_lex_state = 2},
  [1929] = {.lex_state = 49, .external_lex_state = 2},
  [1930] = {.lex_state = 49, .external_lex_state = 2},
  [1931] = {.lex_state = 49, .external_lex_state = 2},
  [1932] = {.lex_state = 49, .external_lex_state = 2},
  [1933] = {.lex_state = 49, .external_lex_state = 2},
  [1934] = {.lex_state = 49, .external_lex_state = 2},
  [1935] = {.lex_state = 49, .external_lex_state = 2},
  [1936] = {.lex_state = 49, .external_lex_state = 2},
  [1937] = {.lex_state = 49, .external_lex_state = 2},
  [1938] = {.lex_state = 49, .external_lex_state = 2},
  [1939] = {.lex_state = 49, .external_lex_state = 2},
  [1940] = {.lex_state = 49, .external_lex_state = 2},
  [1941] = {.lex_state = 49, .external_lex_state = 2},
  [1942] = {.lex_state = 49, .external_lex_state = 2},
  [1943] = {.lex_state = 49, .external_lex_state = 2},
  [1944] = {.lex_state = 49, .external_lex_state = 2},
  [1945] = {.lex_state = 49, .external_lex_state = 2},
  [1946] = {.lex_state = 49, .external_lex_state = 2},
  [1947] = {.lex_state = 49, .external_lex_state = 2},
  [1948] = {.lex_state = 49, .external_lex_state = 2},
  [1949] = {.lex_state = 49, .external_lex_state = 2},
  [1950] = {.lex_state = 49, .external_lex_state = 2},
  [1951] = {.lex_state = 49, .external_lex_state = 2},
  [1952] = {.lex_state = 49, .external_lex_state = 2},
  [1953] = {.lex_state = 49, .external_lex_state = 2},
  [1954] = {.lex_state = 49, .external_lex_state = 2},
  [1955] = {.lex_state = 49, .external_lex_state = 2},
  [1956] = {.lex_state = 49, .external_lex_state = 2},
  [1957] = {.lex_state = 49, .external_lex_state = 2},
  [1958] = {.lex_state = 49, .external_lex_state = 2},
  [1959] = {.lex_state = 49, .external_lex_state = 2},
  [1960] = {.lex_state = 49, .external_lex_state = 2},
  [1961] = {.lex_state = 49, .external_lex_state = 2},
  [1962] = {.lex_state = 49, .external_lex_state = 2},
  [1963] = {.lex_state = 49, .external_lex_state = 2},
  [1964] = {.lex_state = 49, .external_lex_state = 2},
  [1965] = {.lex_state = 49, .external_lex_state = 2},
  [1966] = {.lex_state = 49, .external_lex_state = 2},
  [1967] = {.lex_state = 49, .external_lex_state = 2},
  [1968] = {.lex_state = 49, .external_lex_state = 2},
  [1969] = {.lex_state = 49, .external_lex_state = 2},
  [1970] = {.lex_state = 49, .external_lex_state = 2},
  [1971] = {.lex_state = 49, .external_lex_state = 2},
  [1972] = {.lex_state = 49, .external_lex_state = 2},
  [1973] = {.lex_state = 49, .external_lex_state = 2},
  [1974] = {.lex_state = 49, .external_lex_state = 2},
  [1975] = {.lex_state = 49, .external_lex_state = 2},
  [1976] = {.lex_state = 49, .external_lex_state = 2},
  [1977] = {.lex_state = 49, .external_lex_state = 2},
  [1978] = {.lex_state = 49, .external_lex_state = 2},
  [1979] = {.lex_state = 49, .external_lex_state = 2},
  [1980] = {.lex_state = 49, .external_lex_state = 2},
  [1981] = {.lex_state = 49, .external_lex_state = 2},
  [1982] = {.lex_state = 49, .external_lex_state = 2},
  [1983] = {.lex_state = 49, .external_lex_state = 2},
  [1984] = {.lex_state = 49, .external_lex_state = 2},
  [1985] = {.lex_state = 49, .external_lex_state = 2},
  [1986] = {.lex_state = 49, .external_lex_state = 2},
  [1987] = {.lex_state = 49, .external_lex_state = 2},
  [1988] = {.lex_state = 49, .external_lex_state = 2},
  [1989] = {.lex_state = 49, .external_lex_state = 2},
  [1990] = {.lex_state = 49, .external_lex_state = 2},
  [1991] = {.lex_state = 49, .external_lex_state = 2},
  [1992] = {.lex_state = 49, .external_lex_state = 2},
  [1993] = {.lex_state = 49, .external_lex_state = 2},
  [1994] = {.lex_state = 49, .external_lex_state = 2},
  [1995] = {.lex_state = 49, .external_lex_state = 2},
  [1996] = {.lex_state = 49, .external_lex_state = 2},
  [1997] = {.lex_state = 49, .external_lex_state = 2},
  [1998] = {.lex_state = 49, .external_lex_state = 2},
  [1999] = {.lex_state = 49, .external_lex_state = 2},
  [2000] = {.lex_state = 49, .external_lex_state = 2},
  [2001] = {.lex_state = 49, .external_lex_state = 2},
  [2002] = {.lex_state = 49, .external_lex_state = 2},
  [2003] = {.lex_state = 49, .external_lex_state = 2},
  [2004] = {.lex_state = 49, .external_lex_state = 2},
  [2005] = {.lex_state = 49, .external_lex_state = 2},
  [2006] = {.lex_state = 49, .external_lex_state = 2},
  [2007] = {.lex_state = 49, .external_lex_state = 2},
  [2008] = {.lex_state = 49, .external_lex_state = 2},
  [2009] = {.lex_state = 49, .external_lex_state = 2},
  [2010] = {.lex_state = 49, .external_lex_state = 2},
  [2011] = {.lex_state = 49, .external_lex_state = 2},
  [2012] = {.lex_state = 49, .external_lex_state = 2},
  [2013] = {.lex_state = 49, .external_lex_state = 2},
  [2014] = {.lex_state = 49, .external_lex_state = 2},
  [2015] = {.lex_state = 15, .external_lex_state = 3},
  [2016] = {.lex_state = 15, .external_lex_state = 3},
  [2017] = {.lex_state = 35, .external_lex_state = 2},
  [2018] = {.lex_state = 35, .external_lex_state = 2},
  [2019] = {.lex_state = 18, .external_lex_state = 4},
  [2020] = {.lex_state = 15, .external_lex_state = 4},
  [2021] = {.lex_state = 15, .external_lex_state = 4},
  [2022] = {.lex_state = 15, .external_lex_state = 3},
  [2023] = {.lex_state = 15, .external_lex_state = 3},
  [2024] = {.lex_state = 15, .external_lex_state = 4},
  [2025] = {.lex_state = 15, .external_lex_state = 4},
  [2026] = {.lex_state = 15, .external_lex_state = 4},
  [2027] = {.lex_state = 15, .external_lex_state = 4},
  [2028] = {.lex_state = 18, .external_lex_state = 4},
  [2029] = {.lex_state = 15, .external_lex_state = 4},
  [2030] = {.lex_state = 18, .external_lex_state = 4},
  [2031] = {.lex_state = 18, .external_lex_state = 4},
  [2032] = {.lex_state = 15, .external_lex_state = 3},
  [2033] = {.lex_state = 15, .external_lex_state = 4},
  [2034] = {.lex_state = 15, .external_lex_state = 4},
  [2035] = {.lex_state = 15, .external_lex_state = 4},
  [2036] = {.lex_state = 15, .external_lex_state = 4},
  [2037] = {.lex_state = 15, .external_lex_state = 4},
  [2038] = {.lex_state = 15, .external_lex_state = 3},
  [2039] = {.lex_state = 15, .external_lex_state = 4},
  [2040] = {.lex_state = 15, .external_lex_state = 4},
  [2041] = {.lex_state = 15, .external_lex_state = 4},
  [2042] = {.lex_state = 15, .external_lex_state = 4},
  [2043] = {.lex_state = 15, .external_lex_state = 4},
  [2044] = {.lex_state = 15, .external_lex_state = 4},
  [2045] = {.lex_state = 15, .external_lex_state = 3},
  [2046] = {.lex_state = 15, .external_lex_state = 3},
  [2047] = {.lex_state = 15, .external_lex_state = 3},
  [2048] = {.lex_state = 15, .external_lex_state = 4},
  [2049] = {.lex_state = 15, .external_lex_state = 4},
  [2050] = {.lex_state = 19, .external_lex_state = 3},
  [2051] = {.lex_state = 15, .external_lex_state = 3},
  [2052] = {.lex_state = 19, .external_lex_state = 3},
  [2053] = {.lex_state = 15, .external_lex_state = 4},
  [2054] = {.lex_state = 21, .external_lex_state = 4},
  [2055] = {.lex_state = 15, .external_lex_state = 4},
  [2056] = {.lex_state = 15, .external_lex_state = 4},
  [2057] = {.lex_state = 21, .external_lex_state = 3},
  [2058] = {.lex_state = 15, .external_lex_state = 4},
  [2059] = {.lex_state = 15, .external_lex_state = 4},
  [2060] = {.lex_state = 15, .external_lex_state = 4},
  [2061] = {.lex_state = 21, .external_lex_state = 4},
  [2062] = {.lex_state = 15, .external_lex_state = 4},
  [2063] = {.lex_state = 15, .external_lex_state = 4},
  [2064] = {.lex_state = 15, .external_lex_state = 4},
  [2065] = {.lex_state = 21, .external_lex_state = 4},
  [2066] = {.lex_state = 15, .external_lex_state = 4},
  [2067] = {.lex_state = 15, .external_lex_state = 4},
  [2068] = {.lex_state = 15, .external_lex_state = 4},
  [2069] = {.lex_state = 15, .external_lex_state = 4},
  [2070] = {.lex_state = 21, .external_lex_state = 3},
  [2071] = {.lex_state = 21, .external_lex_state = 3},
  [2072] = {.lex_state = 15, .external_lex_state = 4},
  [2073] = {.lex_state = 21, .external_lex_state = 4},
  [2074] = {.lex_state = 21, .external_lex_state = 3},
  [2075] = {.lex_state = 21, .external_lex_state = 3},
  [2076] = {.lex_state = 15, .external_lex_state = 3},
  [2077] = {.lex_state = 21, .external_lex_state = 4},
  [2078] = {.lex_state = 21, .external_lex_state = 3},
  [2079] = {.lex_state = 21, .external_lex_state = 3},
  [2080] = {.lex_state = 21, .external_lex_state = 4},
  [2081] = {.lex_state = 15, .external_lex_state = 3},
  [2082] = {.lex_state = 15, .external_lex_state = 3},
  [2083] = {.lex_state = 15, .external_lex_state = 4},
  [2084] = {.lex_state = 15, .external_lex_state = 4},
  [2085] = {.lex_state = 21, .external_lex_state = 4},
  [2086] = {.lex_state = 15, .external_lex_state = 4},
  [2087] = {.lex_state = 15, .external_lex_state = 4},
  [2088] = {.lex_state = 15, .external_lex_state = 3},
  [2089] = {.lex_state = 21, .external_lex_state = 3},
  [2090] = {.lex_state = 18, .external_lex_state = 3},
  [2091] = {.lex_state = 15, .external_lex_state = 3},
  [2092] = {.lex_state = 15, .external_lex_state = 3},
  [2093] = {.lex_state = 18, .external_lex_state = 3},
  [2094] = {.lex_state = 21, .external_lex_state = 4},
  [2095] = {.lex_state = 21, .external_lex_state = 3},
  [2096] = {.lex_state = 18, .external_lex_state = 3},
  [2097] = {.lex_state = 21, .external_lex_state = 3},
  [2098] = {.lex_state = 21, .external_lex_state = 3},
  [2099] = {.lex_state = 15, .external_lex_state = 3},
  [2100] = {.lex_state = 21, .external_lex_state = 4},
  [2101] = {.lex_state = 21, .external_lex_state = 4},
  [2102] = {.lex_state = 21, .external_lex_state = 3},
  [2103] = {.lex_state = 15, .external_lex_state = 3},
  [2104] = {.lex_state = 21, .external_lex_state = 4},
  [2105] = {.lex_state = 21, .external_lex_state = 3},
  [2106] = {.lex_state = 15, .external_lex_state = 3},
  [2107] = {.lex_state = 15, .external_lex_state = 3},
  [2108] = {.lex_state = 34, .external_lex_state = 2},
  [2109] = {.lex_state = 21, .external_lex_state = 3},
  [2110] = {.lex_state = 21, .external_lex_state = 3},
  [2111] = {.lex_state = 15, .external_lex_state = 3},
  [2112] = {.lex_state = 21, .external_lex_state = 4},
  [2113] = {.lex_state = 21, .external_lex_state = 3},
  [2114] = {.lex_state = 34, .external_lex_state = 2},
  [2115] = {.lex_state = 15, .external_lex_state = 3},
  [2116] = {.lex_state = 21, .external_lex_state = 3},
  [2117] = {.lex_state = 21, .external_lex_state = 3},
  [2118] = {.lex_state = 15, .external_lex_state = 3},
  [2119] = {.lex_state = 15, .external_lex_state = 3},
  [2120] = {.lex_state = 21, .external_lex_state = 3},
  [2121] = {.lex_state = 21, .external_lex_state = 3},
  [2122] = {.lex_state = 21, .external_lex_state = 4},
  [2123] = {.lex_state = 15, .external_lex_state = 3},
  [2124] = {.lex_state = 15, .external_lex_state = 3},
  [2125] = {.lex_state = 21, .external_lex_state = 4},
  [2126] = {.lex_state = 21, .external_lex_state = 3},
  [2127] = {.lex_state = 15, .external_lex_state = 3},
  [2128] = {.lex_state = 21, .external_lex_state = 3},
  [2129] = {.lex_state = 21, .external_lex_state = 3},
  [2130] = {.lex_state = 34, .external_lex_state = 2},
  [2131] = {.lex_state = 15, .external_lex_state = 3},
  [2132] = {.lex_state = 21, .external_lex_state = 3},
  [2133] = {.lex_state = 21, .external_lex_state = 3},
  [2134] = {.lex_state = 15, .external_lex_state = 3},
  [2135] = {.lex_state = 18, .external_lex_state = 3},
  [2136] = {.lex_state = 21, .external_lex_state = 3},
  [2137] = {.lex_state = 21, .external_lex_state = 3},
  [2138] = {.lex_state = 21, .external_lex_state = 3},
  [2139] = {.lex_state = 21, .external_lex_state = 4},
  [2140] = {.lex_state = 15, .external_lex_state = 4},
  [2141] = {.lex_state = 21, .external_lex_state = 3},
  [2142] = {.lex_state = 21, .external_lex_state = 3},
  [2143] = {.lex_state = 21, .external_lex_state = 4},
  [2144] = {.lex_state = 21, .external_lex_state = 3},
  [2145] = {.lex_state = 21, .external_lex_state = 3},
  [2146] = {.lex_state = 34, .external_lex_state = 2},
  [2147] = {.lex_state = 21, .external_lex_state = 3},
  [2148] = {.lex_state = 21, .external_lex_state = 3},
  [2149] = {.lex_state = 21, .external_lex_state = 3},
  [2150] = {.lex_state = 15, .external_lex_state = 4},
  [2151] = {.lex_state = 34, .external_lex_state = 2},
  [2152] = {.lex_state = 34, .external_lex_state = 2},
  [2153] = {.lex_state = 15, .external_lex_state = 4},
  [2154] = {.lex_state = 21, .external_lex_state = 3},
  [2155] = {.lex_state = 21, .external_lex_state = 4},
  [2156] = {.lex_state = 15, .external_lex_state = 4},
  [2157] = {.lex_state = 15, .external_lex_state = 4},
  [2158] = {.lex_state = 21, .external_lex_state = 3},
  [2159] = {.lex_state = 21, .external_lex_state = 3},
  [2160] = {.lex_state = 21, .external_lex_state = 3},
  [2161] = {.lex_state = 21, .external_lex_state = 3},
  [2162] = {.lex_state = 21, .external_lex_state = 4},
  [2163] = {.lex_state = 21, .external_lex_state = 4},
  [2164] = {.lex_state = 21, .external_lex_state = 4},
  [2165] = {.lex_state = 34, .external_lex_state = 2},
  [2166] = {.lex_state = 21, .external_lex_state = 4},
  [2167] = {.lex_state = 21, .external_lex_state = 4},
  [2168] = {.lex_state = 21, .external_lex_state = 3},
  [2169] = {.lex_state = 21, .external_lex_state = 4},
  [2170] = {.lex_state = 21, .external_lex_state = 4},
  [2171] = {.lex_state = 21, .external_lex_state = 3},
  [2172] = {.lex_state = 21, .external_lex_state = 4},
  [2173] = {.lex_state = 34, .external_lex_state = 2},
  [2174] = {.lex_state = 21, .external_lex_state = 4},
  [2175] = {.lex_state = 21, .external_lex_state = 4},
  [2176] = {.lex_state = 21, .external_lex_state = 3},
  [2177] = {.lex_state = 21, .external_lex_state = 4},
  [2178] = {.lex_state = 21, .external_lex_state = 4},
  [2179] = {.lex_state = 21, .external_lex_state = 4},
  [2180] = {.lex_state = 21, .external_lex_state = 4},
  [2181] = {.lex_state = 21, .external_lex_state = 3},
  [2182] = {.lex_state = 21, .external_lex_state = 4},
  [2183] = {.lex_state = 21, .external_lex_state = 4},
  [2184] = {.lex_state = 21, .external_lex_state = 3},
  [2185] = {.lex_state = 34, .external_lex_state = 2},
  [2186] = {.lex_state = 34, .external_lex_state = 2},
  [2187] = {.lex_state = 21, .external_lex_state = 4},
  [2188] = {.lex_state = 21, .external_lex_state = 4},
  [2189] = {.lex_state = 21, .external_lex_state = 4},
  [2190] = {.lex_state = 21, .external_lex_state = 4},
  [2191] = {.lex_state = 21, .external_lex_state = 4},
  [2192] = {.lex_state = 21, .external_lex_state = 3},
  [2193] = {.lex_state = 21, .external_lex_state = 4},
  [2194] = {.lex_state = 21, .external_lex_state = 3},
  [2195] = {.lex_state = 21, .external_lex_state = 4},
  [2196] = {.lex_state = 21, .external_lex_state = 4},
  [2197] = {.lex_state = 21, .external_lex_state = 4},
  [2198] = {.lex_state = 21, .external_lex_state = 4},
  [2199] = {.lex_state = 21, .external_lex_state = 4},
  [2200] = {.lex_state = 21, .external_lex_state = 3},
  [2201] = {.lex_state = 21, .external_lex_state = 3},
  [2202] = {.lex_state = 21, .external_lex_state = 3},
  [2203] = {.lex_state = 21, .external_lex_state = 3},
  [2204] = {.lex_state = 34, .external_lex_state = 2},
  [2205] = {.lex_state = 21, .external_lex_state = 4},
  [2206] = {.lex_state = 21, .external_lex_state = 4},
  [2207] = {.lex_state = 34, .external_lex_state = 2},
  [2208] = {.lex_state = 21, .external_lex_state = 4},
  [2209] = {.lex_state = 21, .external_lex_state = 4},
  [2210] = {.lex_state = 21, .external_lex_state = 3},
  [2211] = {.lex_state = 21, .external_lex_state = 3},
  [2212] = {.lex_state = 21, .external_lex_state = 4},
  [2213] = {.lex_state = 21, .external_lex_state = 4},
  [2214] = {.lex_state = 21, .external_lex_state = 3},
  [2215] = {.lex_state = 34, .external_lex_state = 2},
  [2216] = {.lex_state = 21, .external_lex_state = 3},
  [2217] = {.lex_state = 34, .external_lex_state = 2},
  [2218] = {.lex_state = 34, .external_lex_state = 2},
  [2219] = {.lex_state = 21, .external_lex_state = 3},
  [2220] = {.lex_state = 21, .external_lex_state = 4},
  [2221] = {.lex_state = 34, .external_lex_state = 2},
  [2222] = {.lex_state = 21, .external_lex_state = 3},
  [2223] = {.lex_state = 21, .external_lex_state = 4},
  [2224] = {.lex_state = 21, .external_lex_state = 3},
  [2225] = {.lex_state = 21, .external_lex_state = 3},
  [2226] = {.lex_state = 21, .external_lex_state = 3},
  [2227] = {.lex_state = 34, .external_lex_state = 2},
  [2228] = {.lex_state = 15, .external_lex_state = 4},
  [2229] = {.lex_state = 15, .external_lex_state = 4},
  [2230] = {.lex_state = 34, .external_lex_state = 2},
  [2231] = {.lex_state = 34, .external_lex_state = 2},
  [2232] = {.lex_state = 34, .external_lex_state = 2},
  [2233] = {.lex_state = 15, .external_lex_state = 4},
  [2234] = {.lex_state = 21, .external_lex_state = 3},
  [2235] = {.lex_state = 21, .external_lex_state = 3},
  [2236] = {.lex_state = 21, .external_lex_state = 3},
  [2237] = {.lex_state = 15, .external_lex_state = 4},
  [2238] = {.lex_state = 21, .external_lex_state = 4},
  [2239] = {.lex_state = 21, .external_lex_state = 3},
  [2240] = {.lex_state = 21, .external_lex_state = 4},
  [2241] = {.lex_state = 21, .external_lex_state = 3},
  [2242] = {.lex_state = 21, .external_lex_state = 3},
  [2243] = {.lex_state = 34, .external_lex_state = 2},
  [2244] = {.lex_state = 21, .external_lex_state = 3},
  [2245] = {.lex_state = 34, .external_lex_state = 2},
  [2246] = {.lex_state = 21, .external_lex_state = 3},
  [2247] = {.lex_state = 21, .external_lex_state = 3},
  [2248] = {.lex_state = 21, .external_lex_state = 3},
  [2249] = {.lex_state = 21, .external_lex_state = 3},
  [2250] = {.lex_state = 21, .external_lex_state = 3},
  [2251] = {.lex_state = 15, .external_lex_state = 4},
  [2252] = {.lex_state = 34, .external_lex_state = 2},
  [2253] = {.lex_state = 21, .external_lex_state = 3},
  [2254] = {.lex_state = 21, .external_lex_state = 3},
  [2255] = {.lex_state = 21, .external_lex_state = 3},
  [2256] = {.lex_state = 34, .external_lex_state = 2},
  [2257] = {.lex_state = 34, .external_lex_state = 2},
  [2258] = {.lex_state = 34, .external_lex_state = 2},
  [2259] = {.lex_state = 21, .external_lex_state = 3},
  [2260] = {.lex_state = 34, .external_lex_state = 2},
  [2261] = {.lex_state = 21, .external_lex_state = 4},
  [2262] = {.lex_state = 21, .external_lex_state = 3},
  [2263] = {.lex_state = 21, .external_lex_state = 3},
  [2264] = {.lex_state = 21, .external_lex_state = 3},
  [2265] = {.lex_state = 15, .external_lex_state = 4},
  [2266] = {.lex_state = 21, .external_lex_state = 3},
  [2267] = {.lex_state = 21, .external_lex_state = 4},
  [2268] = {.lex_state = 21, .external_lex_state = 3},
  [2269] = {.lex_state = 21, .external_lex_state = 4},
  [2270] = {.lex_state = 21, .external_lex_state = 4},
  [2271] = {.lex_state = 21, .external_lex_state = 3},
  [2272] = {.lex_state = 21, .external_lex_state = 4},
  [2273] = {.lex_state = 35, .external_lex_state = 2},
  [2274] = {.lex_state = 35, .external_lex_state = 2},
  [2275] = {.lex_state = 35, .external_lex_state = 2},
  [2276] = {.lex_state = 21, .external_lex_state = 3},
  [2277] = {.lex_state = 21, .external_lex_state = 3},
  [2278] = {.lex_state = 35, .external_lex_state = 2},
  [2279] = {.lex_state = 21, .external_lex_state = 4},
  [2280] = {.lex_state = 35, .external_lex_state = 2},
  [2281] = {.lex_state = 21, .external_lex_state = 3},
  [2282] = {.lex_state = 35, .external_lex_state = 2},
  [2283] = {.lex_state = 35, .external_lex_state = 2},
  [2284] = {.lex_state = 35, .external_lex_state = 2},
  [2285] = {.lex_state = 21, .external_lex_state = 3},
  [2286] = {.lex_state = 21, .external_lex_state = 3},
  [2287] = {.lex_state = 21, .external_lex_state = 4},
  [2288] = {.lex_state = 21, .external_lex_state = 3},
  [2289] = {.lex_state = 35, .external_lex_state = 2},
  [2290] = {.lex_state = 21, .external_lex_state = 3},
  [2291] = {.lex_state = 21, .external_lex_state = 3},
  [2292] = {.lex_state = 21, .external_lex_state = 3},
  [2293] = {.lex_state = 21, .external_lex_state = 3},
  [2294] = {.lex_state = 21, .external_lex_state = 3},
  [2295] = {.lex_state = 21, .external_lex_state = 3},
  [2296] = {.lex_state = 21, .external_lex_state = 3},
  [2297] = {.lex_state = 21, .external_lex_state = 3},
  [2298] = {.lex_state = 21, .external_lex_state = 4},
  [2299] = {.lex_state = 21, .external_lex_state = 3},
  [2300] = {.lex_state = 21, .external_lex_state = 3},
  [2301] = {.lex_state = 21, .external_lex_state = 3},
  [2302] = {.lex_state = 21, .external_lex_state = 3},
  [2303] = {.lex_state = 21, .external_lex_state = 3},
  [2304] = {.lex_state = 21, .external_lex_state = 3},
  [2305] = {.lex_state = 21, .external_lex_state = 3},
  [2306] = {.lex_state = 21, .external_lex_state = 3},
  [2307] = {.lex_state = 21, .external_lex_state = 3},
  [2308] = {.lex_state = 21, .external_lex_state = 3},
  [2309] = {.lex_state = 35, .external_lex_state = 2},
  [2310] = {.lex_state = 21, .external_lex_state = 3},
  [2311] = {.lex_state = 21, .external_lex_state = 3},
  [2312] = {.lex_state = 35, .external_lex_state = 2},
  [2313] = {.lex_state = 35, .external_lex_state = 2},
  [2314] = {.lex_state = 35, .external_lex_state = 2},
  [2315] = {.lex_state = 35, .external_lex_state = 2},
  [2316] = {.lex_state = 35, .external_lex_state = 2},
  [2317] = {.lex_state = 21, .external_lex_state = 3},
  [2318] = {.lex_state = 35, .external_lex_state = 2},
  [2319] = {.lex_state = 21, .external_lex_state = 3},
  [2320] = {.lex_state = 21, .external_lex_state = 3},
  [2321] = {.lex_state = 21, .external_lex_state = 3},
  [2322] = {.lex_state = 21, .external_lex_state = 3},
  [2323] = {.lex_state = 21, .external_lex_state = 3},
  [2324] = {.lex_state = 21, .external_lex_state = 3},
  [2325] = {.lex_state = 35, .external_lex_state = 2},
  [2326] = {.lex_state = 21, .external_lex_state = 3},
  [2327] = {.lex_state = 35, .external_lex_state = 2},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 21, .external_lex_state = 3},
  [2330] = {.lex_state = 21, .external_lex_state = 3},
  [2331] = {.lex_state = 21, .external_lex_state = 3},
  [2332] = {.lex_state = 35, .external_lex_state = 2},
  [2333] = {.lex_state = 21, .external_lex_state = 3},
  [2334] = {.lex_state = 35, .external_lex_state = 2},
  [2335] = {.lex_state = 21, .external_lex_state = 3},
  [2336] = {.lex_state = 35, .external_lex_state = 2},
  [2337] = {.lex_state = 35, .external_lex_state = 2},
  [2338] = {.lex_state = 35, .external_lex_state = 2},
  [2339] = {.lex_state = 21, .external_lex_state = 3},
  [2340] = {.lex_state = 21, .external_lex_state = 3},
  [2341] = {.lex_state = 21, .external_lex_state = 3},
  [2342] = {.lex_state = 35, .external_lex_state = 2},
  [2343] = {.lex_state = 35, .external_lex_state = 2},
  [2344] = {.lex_state = 21, .external_lex_state = 3},
  [2345] = {.lex_state = 21, .external_lex_state = 3},
  [2346] = {.lex_state = 35, .external_lex_state = 2},
  [2347] = {.lex_state = 21, .external_lex_state = 3},
  [2348] = {.lex_state = 35, .external_lex_state = 2},
  [2349] = {.lex_state = 21, .external_lex_state = 3},
  [2350] = {.lex_state = 35, .external_lex_state = 2},
  [2351] = {.lex_state = 21, .external_lex_state = 3},
  [2352] = {.lex_state = 35, .external_lex_state = 2},
  [2353] = {.lex_state = 21, .external_lex_state = 3},
  [2354] = {.lex_state = 35, .external_lex_state = 2},
  [2355] = {.lex_state = 35, .external_lex_state = 2},
  [2356] = {.lex_state = 35, .external_lex_state = 2},
  [2357] = {.lex_state = 21, .external_lex_state = 3},
  [2358] = {.lex_state = 35, .external_lex_state = 2},
  [2359] = {.lex_state = 21, .external_lex_state = 3},
  [2360] = {.lex_state = 35, .external_lex_state = 2},
  [2361] = {.lex_state = 35, .external_lex_state = 2},
  [2362] = {.lex_state = 21, .external_lex_state = 3},
  [2363] = {.lex_state = 21, .external_lex_state = 3},
  [2364] = {.lex_state = 21, .external_lex_state = 3},
  [2365] = {.lex_state = 21, .external_lex_state = 3},
  [2366] = {.lex_state = 21, .external_lex_state = 3},
  [2367] = {.lex_state = 21, .external_lex_state = 3},
  [2368] = {.lex_state = 21, .external_lex_state = 3},
  [2369] = {.lex_state = 21, .external_lex_state = 3},
  [2370] = {.lex_state = 21, .external_lex_state = 3},
  [2371] = {.lex_state = 21, .external_lex_state = 3},
  [2372] = {.lex_state = 21, .external_lex_state = 3},
  [2373] = {.lex_state = 35, .external_lex_state = 2},
  [2374] = {.lex_state = 35, .external_lex_state = 2},
  [2375] = {.lex_state = 35, .external_lex_state = 2},
  [2376] = {.lex_state = 35, .external_lex_state = 2},
  [2377] = {.lex_state = 35, .external_lex_state = 2},
  [2378] = {.lex_state = 35, .external_lex_state = 2},
  [2379] = {.lex_state = 35, .external_lex_state = 2},
  [2380] = {.lex_state = 35, .external_lex_state = 2},
  [2381] = {.lex_state = 35, .external_lex_state = 2},
  [2382] = {.lex_state = 35, .external_lex_state = 2},
  [2383] = {.lex_state = 45, .external_lex_state = 5},
  [2384] = {.lex_state = 45, .external_lex_state = 5},
  [2385] = {.lex_state = 45, .external_lex_state = 5},
  [2386] = {.lex_state = 45, .external_lex_state = 5},
  [2387] = {.lex_state = 45, .external_lex_state = 5},
  [2388] = {.lex_state = 35, .external_lex_state = 2},
  [2389] = {.lex_state = 36, .external_lex_state = 2},
  [2390] = {.lex_state = 35, .external_lex_state = 2},
  [2391] = {.lex_state = 35, .external_lex_state = 2},
  [2392] = {.lex_state = 35, .external_lex_state = 2},
  [2393] = {.lex_state = 35, .external_lex_state = 2},
  [2394] = {.lex_state = 35, .external_lex_state = 2},
  [2395] = {.lex_state = 35, .external_lex_state = 2},
  [2396] = {.lex_state = 36, .external_lex_state = 2},
  [2397] = {.lex_state = 35, .external_lex_state = 2},
  [2398] = {.lex_state = 35, .external_lex_state = 2},
  [2399] = {.lex_state = 35, .external_lex_state = 2},
  [2400] = {.lex_state = 35, .external_lex_state = 2},
  [2401] = {.lex_state = 35, .external_lex_state = 2},
  [2402] = {.lex_state = 36, .external_lex_state = 2},
  [2403] = {.lex_state = 36, .external_lex_state = 2},
  [2404] = {.lex_state = 35, .external_lex_state = 2},
  [2405] = {.lex_state = 35, .external_lex_state = 2},
  [2406] = {.lex_state = 35, .external_lex_state = 2},
  [2407] = {.lex_state = 35, .external_lex_state = 2},
  [2408] = {.lex_state = 36, .external_lex_state = 2},
  [2409] = {.lex_state = 35, .external_lex_state = 2},
  [2410] = {.lex_state = 35, .external_lex_state = 2},
  [2411] = {.lex_state = 35, .external_lex_state = 2},
  [2412] = {.lex_state = 35, .external_lex_state = 2},
  [2413] = {.lex_state = 35, .external_lex_state = 2},
  [2414] = {.lex_state = 36, .external_lex_state = 2},
  [2415] = {.lex_state = 35, .external_lex_state = 2},
  [2416] = {.lex_state = 35, .external_lex_state = 2},
  [2417] = {.lex_state = 35, .external_lex_state = 2},
  [2418] = {.lex_state = 35, .external_lex_state = 2},
  [2419] = {.lex_state = 36, .external_lex_state = 2},
  [2420] = {.lex_state = 35, .external_lex_state = 2},
  [2421] = {.lex_state = 35, .external_lex_state = 2},
  [2422] = {.lex_state = 35, .external_lex_state = 2},
  [2423] = {.lex_state = 35, .external_lex_state = 2},
  [2424] = {.lex_state = 35, .external_lex_state = 2},
  [2425] = {.lex_state = 35, .external_lex_state = 2},
  [2426] = {.lex_state = 35, .external_lex_state = 2},
  [2427] = {.lex_state = 35, .external_lex_state = 2},
  [2428] = {.lex_state = 45, .external_lex_state = 5},
  [2429] = {.lex_state = 26, .external_lex_state = 4},
  [2430] = {.lex_state = 26, .external_lex_state = 4},
  [2431] = {.lex_state = 45, .external_lex_state = 5},
  [2432] = {.lex_state = 26, .external_lex_state = 3},
  [2433] = {.lex_state = 26, .external_lex_state = 3},
  [2434] = {.lex_state = 26, .external_lex_state = 3},
  [2435] = {.lex_state = 36, .external_lex_state = 2},
  [2436] = {.lex_state = 26, .external_lex_state = 3},
  [2437] = {.lex_state = 26, .external_lex_state = 3},
  [2438] = {.lex_state = 26, .external_lex_state = 3},
  [2439] = {.lex_state = 26, .external_lex_state = 3},
  [2440] = {.lex_state = 26, .external_lex_state = 3},
  [2441] = {.lex_state = 26, .external_lex_state = 3},
  [2442] = {.lex_state = 26, .external_lex_state = 3},
  [2443] = {.lex_state = 26, .external_lex_state = 3},
  [2444] = {.lex_state = 26, .external_lex_state = 4},
  [2445] = {.lex_state = 26, .external_lex_state = 3},
  [2446] = {.lex_state = 26, .external_lex_state = 3},
  [2447] = {.lex_state = 26, .external_lex_state = 3},
  [2448] = {.lex_state = 26, .external_lex_state = 4},
  [2449] = {.lex_state = 26, .external_lex_state = 3},
  [2450] = {.lex_state = 26, .external_lex_state = 3},
  [2451] = {.lex_state = 26, .external_lex_state = 3},
  [2452] = {.lex_state = 26, .external_lex_state = 3},
  [2453] = {.lex_state = 26, .external_lex_state = 4},
  [2454] = {.lex_state = 26, .external_lex_state = 4},
  [2455] = {.lex_state = 26, .external_lex_state = 4},
  [2456] = {.lex_state = 26, .external_lex_state = 3},
  [2457] = {.lex_state = 26, .external_lex_state = 3},
  [2458] = {.lex_state = 26, .external_lex_state = 3},
  [2459] = {.lex_state = 26, .external_lex_state = 3},
  [2460] = {.lex_state = 26, .external_lex_state = 3},
  [2461] = {.lex_state = 26, .external_lex_state = 3},
  [2462] = {.lex_state = 26, .external_lex_state = 3},
  [2463] = {.lex_state = 26, .external_lex_state = 3},
  [2464] = {.lex_state = 26, .external_lex_state = 3},
  [2465] = {.lex_state = 26, .external_lex_state = 3},
  [2466] = {.lex_state = 26, .external_lex_state = 3},
  [2467] = {.lex_state = 26, .external_lex_state = 3},
  [2468] = {.lex_state = 26, .external_lex_state = 3},
  [2469] = {.lex_state = 26, .external_lex_state = 3},
  [2470] = {.lex_state = 26, .external_lex_state = 3},
  [2471] = {.lex_state = 26, .external_lex_state = 3},
  [2472] = {.lex_state = 26, .external_lex_state = 3},
  [2473] = {.lex_state = 26, .external_lex_state = 3},
  [2474] = {.lex_state = 26, .external_lex_state = 3},
  [2475] = {.lex_state = 26, .external_lex_state = 3},
  [2476] = {.lex_state = 26, .external_lex_state = 3},
  [2477] = {.lex_state = 26, .external_lex_state = 3},
  [2478] = {.lex_state = 26, .external_lex_state = 3},
  [2479] = {.lex_state = 26, .external_lex_state = 3},
  [2480] = {.lex_state = 26, .external_lex_state = 3},
  [2481] = {.lex_state = 26, .external_lex_state = 3},
  [2482] = {.lex_state = 26, .external_lex_state = 3},
  [2483] = {.lex_state = 26, .external_lex_state = 3},
  [2484] = {.lex_state = 26, .external_lex_state = 3},
  [2485] = {.lex_state = 26, .external_lex_state = 3},
  [2486] = {.lex_state = 26, .external_lex_state = 3},
  [2487] = {.lex_state = 36, .external_lex_state = 5},
  [2488] = {.lex_state = 26, .external_lex_state = 3},
  [2489] = {.lex_state = 26, .external_lex_state = 4},
  [2490] = {.lex_state = 26, .external_lex_state = 3},
  [2491] = {.lex_state = 26, .external_lex_state = 3},
  [2492] = {.lex_state = 26, .external_lex_state = 3},
  [2493] = {.lex_state = 26, .external_lex_state = 3},
  [2494] = {.lex_state = 36, .external_lex_state = 5},
  [2495] = {.lex_state = 26, .external_lex_state = 3},
  [2496] = {.lex_state = 26, .external_lex_state = 3},
  [2497] = {.lex_state = 26, .external_lex_state = 3},
  [2498] = {.lex_state = 26, .external_lex_state = 3},
  [2499] = {.lex_state = 26, .external_lex_state = 3},
  [2500] = {.lex_state = 26, .external_lex_state = 3},
  [2501] = {.lex_state = 26, .external_lex_state = 3},
  [2502] = {.lex_state = 26, .external_lex_state = 3},
  [2503] = {.lex_state = 26, .external_lex_state = 3},
  [2504] = {.lex_state = 26, .external_lex_state = 3},
  [2505] = {.lex_state = 26, .external_lex_state = 3},
  [2506] = {.lex_state = 26, .external_lex_state = 3},
  [2507] = {.lex_state = 26, .external_lex_state = 3},
  [2508] = {.lex_state = 26, .external_lex_state = 3},
  [2509] = {.lex_state = 26, .external_lex_state = 3},
  [2510] = {.lex_state = 26, .external_lex_state = 3},
  [2511] = {.lex_state = 26, .external_lex_state = 3},
  [2512] = {.lex_state = 26, .external_lex_state = 3},
  [2513] = {.lex_state = 26, .external_lex_state = 3},
  [2514] = {.lex_state = 26, .external_lex_state = 3},
  [2515] = {.lex_state = 26, .external_lex_state = 3},
  [2516] = {.lex_state = 26, .external_lex_state = 3},
  [2517] = {.lex_state = 26, .external_lex_state = 3},
  [2518] = {.lex_state = 26, .external_lex_state = 3},
  [2519] = {.lex_state = 26, .external_lex_state = 3},
  [2520] = {.lex_state = 26, .external_lex_state = 4},
  [2521] = {.lex_state = 26, .external_lex_state = 3},
  [2522] = {.lex_state = 26, .external_lex_state = 3},
  [2523] = {.lex_state = 26, .external_lex_state = 3},
  [2524] = {.lex_state = 26, .external_lex_state = 3},
  [2525] = {.lex_state = 26, .external_lex_state = 3},
  [2526] = {.lex_state = 26, .external_lex_state = 3},
  [2527] = {.lex_state = 26, .external_lex_state = 3},
  [2528] = {.lex_state = 26, .external_lex_state = 3},
  [2529] = {.lex_state = 26, .external_lex_state = 3},
  [2530] = {.lex_state = 26, .external_lex_state = 3},
  [2531] = {.lex_state = 26, .external_lex_state = 3},
  [2532] = {.lex_state = 26, .external_lex_state = 3},
  [2533] = {.lex_state = 26, .external_lex_state = 3},
  [2534] = {.lex_state = 26, .external_lex_state = 3},
  [2535] = {.lex_state = 26, .external_lex_state = 3},
  [2536] = {.lex_state = 26, .external_lex_state = 3},
  [2537] = {.lex_state = 36, .external_lex_state = 5},
  [2538] = {.lex_state = 26, .external_lex_state = 3},
  [2539] = {.lex_state = 26, .external_lex_state = 3},
  [2540] = {.lex_state = 26, .external_lex_state = 3},
  [2541] = {.lex_state = 26, .external_lex_state = 3},
  [2542] = {.lex_state = 36, .external_lex_state = 5},
  [2543] = {.lex_state = 26, .external_lex_state = 3},
  [2544] = {.lex_state = 26, .external_lex_state = 3},
  [2545] = {.lex_state = 26, .external_lex_state = 3},
  [2546] = {.lex_state = 26, .external_lex_state = 3},
  [2547] = {.lex_state = 26, .external_lex_state = 3},
  [2548] = {.lex_state = 26, .external_lex_state = 3},
  [2549] = {.lex_state = 26, .external_lex_state = 3},
  [2550] = {.lex_state = 26, .external_lex_state = 3},
  [2551] = {.lex_state = 26, .external_lex_state = 3},
  [2552] = {.lex_state = 26, .external_lex_state = 3},
  [2553] = {.lex_state = 26, .external_lex_state = 3},
  [2554] = {.lex_state = 26, .external_lex_state = 3},
  [2555] = {.lex_state = 26, .external_lex_state = 3},
  [2556] = {.lex_state = 26, .external_lex_state = 3},
  [2557] = {.lex_state = 26, .external_lex_state = 3},
  [2558] = {.lex_state = 26, .external_lex_state = 4},
  [2559] = {.lex_state = 26, .external_lex_state = 3},
  [2560] = {.lex_state = 26, .external_lex_state = 3},
  [2561] = {.lex_state = 26, .external_lex_state = 3},
  [2562] = {.lex_state = 26, .external_lex_state = 3},
  [2563] = {.lex_state = 26, .external_lex_state = 3},
  [2564] = {.lex_state = 26, .external_lex_state = 3},
  [2565] = {.lex_state = 26, .external_lex_state = 3},
  [2566] = {.lex_state = 26, .external_lex_state = 3},
  [2567] = {.lex_state = 26, .external_lex_state = 3},
  [2568] = {.lex_state = 26, .external_lex_state = 3},
  [2569] = {.lex_state = 26, .external_lex_state = 3},
  [2570] = {.lex_state = 26, .external_lex_state = 3},
  [2571] = {.lex_state = 26, .external_lex_state = 3},
  [2572] = {.lex_state = 26, .external_lex_state = 3},
  [2573] = {.lex_state = 26, .external_lex_state = 3},
  [2574] = {.lex_state = 26, .external_lex_state = 3},
  [2575] = {.lex_state = 36, .external_lex_state = 5},
  [2576] = {.lex_state = 26, .external_lex_state = 3},
  [2577] = {.lex_state = 26, .external_lex_state = 3},
  [2578] = {.lex_state = 26, .external_lex_state = 3},
  [2579] = {.lex_state = 26, .external_lex_state = 3},
  [2580] = {.lex_state = 26, .external_lex_state = 3},
  [2581] = {.lex_state = 26, .external_lex_state = 3},
  [2582] = {.lex_state = 26, .external_lex_state = 3},
  [2583] = {.lex_state = 26, .external_lex_state = 3},
  [2584] = {.lex_state = 26, .external_lex_state = 4},
  [2585] = {.lex_state = 26, .external_lex_state = 3},
  [2586] = {.lex_state = 26, .external_lex_state = 3},
  [2587] = {.lex_state = 26, .external_lex_state = 3},
  [2588] = {.lex_state = 26, .external_lex_state = 3},
  [2589] = {.lex_state = 26, .external_lex_state = 3},
  [2590] = {.lex_state = 26, .external_lex_state = 3},
  [2591] = {.lex_state = 26, .external_lex_state = 3},
  [2592] = {.lex_state = 26, .external_lex_state = 3},
  [2593] = {.lex_state = 26, .external_lex_state = 4},
  [2594] = {.lex_state = 26, .external_lex_state = 4},
  [2595] = {.lex_state = 26, .external_lex_state = 3},
  [2596] = {.lex_state = 26, .external_lex_state = 3},
  [2597] = {.lex_state = 26, .external_lex_state = 4},
  [2598] = {.lex_state = 36, .external_lex_state = 5},
  [2599] = {.lex_state = 36, .external_lex_state = 5},
  [2600] = {.lex_state = 26, .external_lex_state = 3},
  [2601] = {.lex_state = 26, .external_lex_state = 4},
  [2602] = {.lex_state = 26, .external_lex_state = 4},
  [2603] = {.lex_state = 26, .external_lex_state = 3},
  [2604] = {.lex_state = 26, .external_lex_state = 3},
  [2605] = {.lex_state = 26, .external_lex_state = 4},
  [2606] = {.lex_state = 26, .external_lex_state = 3},
  [2607] = {.lex_state = 26, .external_lex_state = 4},
  [2608] = {.lex_state = 26, .external_lex_state = 3},
  [2609] = {.lex_state = 36, .external_lex_state = 5},
  [2610] = {.lex_state = 26, .external_lex_state = 4},
  [2611] = {.lex_state = 36, .external_lex_state = 5},
  [2612] = {.lex_state = 26, .external_lex_state = 3},
  [2613] = {.lex_state = 26, .external_lex_state = 3},
  [2614] = {.lex_state = 26, .external_lex_state = 3},
  [2615] = {.lex_state = 26, .external_lex_state = 3},
  [2616] = {.lex_state = 26, .external_lex_state = 4},
  [2617] = {.lex_state = 26, .external_lex_state = 3},
  [2618] = {.lex_state = 26, .external_lex_state = 4},
  [2619] = {.lex_state = 26, .external_lex_state = 4},
  [2620] = {.lex_state = 26, .external_lex_state = 4},
  [2621] = {.lex_state = 26, .external_lex_state = 4},
  [2622] = {.lex_state = 26, .external_lex_state = 3},
  [2623] = {.lex_state = 26, .external_lex_state = 3},
  [2624] = {.lex_state = 26, .external_lex_state = 3},
  [2625] = {.lex_state = 26, .external_lex_state = 4},
  [2626] = {.lex_state = 26, .external_lex_state = 3},
  [2627] = {.lex_state = 26, .external_lex_state = 4},
  [2628] = {.lex_state = 26, .external_lex_state = 3},
  [2629] = {.lex_state = 26, .external_lex_state = 3},
  [2630] = {.lex_state = 26, .external_lex_state = 4},
  [2631] = {.lex_state = 26, .external_lex_state = 4},
  [2632] = {.lex_state = 26, .external_lex_state = 3},
  [2633] = {.lex_state = 36, .external_lex_state = 5},
  [2634] = {.lex_state = 26, .external_lex_state = 3},
  [2635] = {.lex_state = 26, .external_lex_state = 3},
  [2636] = {.lex_state = 26, .external_lex_state = 3},
  [2637] = {.lex_state = 36, .external_lex_state = 5},
  [2638] = {.lex_state = 26, .external_lex_state = 3},
  [2639] = {.lex_state = 26, .external_lex_state = 3},
  [2640] = {.lex_state = 26, .external_lex_state = 4},
  [2641] = {.lex_state = 26, .external_lex_state = 3},
  [2642] = {.lex_state = 26, .external_lex_state = 3},
  [2643] = {.lex_state = 26, .external_lex_state = 3},
  [2644] = {.lex_state = 26, .external_lex_state = 3},
  [2645] = {.lex_state = 26, .external_lex_state = 3},
  [2646] = {.lex_state = 26, .external_lex_state = 4},
  [2647] = {.lex_state = 26, .external_lex_state = 3},
  [2648] = {.lex_state = 26, .external_lex_state = 3},
  [2649] = {.lex_state = 26, .external_lex_state = 3},
  [2650] = {.lex_state = 26, .external_lex_state = 3},
  [2651] = {.lex_state = 26, .external_lex_state = 4},
  [2652] = {.lex_state = 26, .external_lex_state = 3},
  [2653] = {.lex_state = 26, .external_lex_state = 4},
  [2654] = {.lex_state = 26, .external_lex_state = 4},
  [2655] = {.lex_state = 26, .external_lex_state = 3},
  [2656] = {.lex_state = 36, .external_lex_state = 5},
  [2657] = {.lex_state = 26, .external_lex_state = 4},
  [2658] = {.lex_state = 26, .external_lex_state = 4},
  [2659] = {.lex_state = 26, .external_lex_state = 4},
  [2660] = {.lex_state = 26, .external_lex_state = 3},
  [2661] = {.lex_state = 26, .external_lex_state = 4},
  [2662] = {.lex_state = 26, .external_lex_state = 4},
  [2663] = {.lex_state = 26, .external_lex_state = 4},
  [2664] = {.lex_state = 36, .external_lex_state = 5},
  [2665] = {.lex_state = 26, .external_lex_state = 4},
  [2666] = {.lex_state = 26, .external_lex_state = 4},
  [2667] = {.lex_state = 26, .external_lex_state = 4},
  [2668] = {.lex_state = 26, .external_lex_state = 4},
  [2669] = {.lex_state = 26, .external_lex_state = 4},
  [2670] = {.lex_state = 26, .external_lex_state = 4},
  [2671] = {.lex_state = 26, .external_lex_state = 4},
  [2672] = {.lex_state = 26, .external_lex_state = 4},
  [2673] = {.lex_state = 26, .external_lex_state = 4},
  [2674] = {.lex_state = 26, .external_lex_state = 4},
  [2675] = {.lex_state = 26, .external_lex_state = 4},
  [2676] = {.lex_state = 26, .external_lex_state = 4},
  [2677] = {.lex_state = 26, .external_lex_state = 4},
  [2678] = {.lex_state = 26, .external_lex_state = 3},
  [2679] = {.lex_state = 26, .external_lex_state = 3},
  [2680] = {.lex_state = 26, .external_lex_state = 3},
  [2681] = {.lex_state = 26, .external_lex_state = 4},
  [2682] = {.lex_state = 26, .external_lex_state = 4},
  [2683] = {.lex_state = 26, .external_lex_state = 3},
  [2684] = {.lex_state = 36, .external_lex_state = 5},
  [2685] = {.lex_state = 26, .external_lex_state = 3},
  [2686] = {.lex_state = 26, .external_lex_state = 3},
  [2687] = {.lex_state = 26, .external_lex_state = 4},
  [2688] = {.lex_state = 26, .external_lex_state = 3},
  [2689] = {.lex_state = 26, .external_lex_state = 4},
  [2690] = {.lex_state = 26, .external_lex_state = 4},
  [2691] = {.lex_state = 26, .external_lex_state = 4},
  [2692] = {.lex_state = 26, .external_lex_state = 4},
  [2693] = {.lex_state = 26, .external_lex_state = 4},
  [2694] = {.lex_state = 26, .external_lex_state = 4},
  [2695] = {.lex_state = 26, .external_lex_state = 4},
  [2696] = {.lex_state = 26, .external_lex_state = 4},
  [2697] = {.lex_state = 26, .external_lex_state = 4},
  [2698] = {.lex_state = 26, .external_lex_state = 4},
  [2699] = {.lex_state = 26, .external_lex_state = 4},
  [2700] = {.lex_state = 26, .external_lex_state = 4},
  [2701] = {.lex_state = 26, .external_lex_state = 4},
  [2702] = {.lex_state = 26, .external_lex_state = 4},
  [2703] = {.lex_state = 26, .external_lex_state = 4},
  [2704] = {.lex_state = 26, .external_lex_state = 4},
  [2705] = {.lex_state = 26, .external_lex_state = 3},
  [2706] = {.lex_state = 26, .external_lex_state = 3},
  [2707] = {.lex_state = 26, .external_lex_state = 3},
  [2708] = {.lex_state = 26, .external_lex_state = 4},
  [2709] = {.lex_state = 26, .external_lex_state = 3},
  [2710] = {.lex_state = 26, .external_lex_state = 4},
  [2711] = {.lex_state = 26, .external_lex_state = 4},
  [2712] = {.lex_state = 26, .external_lex_state = 4},
  [2713] = {.lex_state = 26, .external_lex_state = 4},
  [2714] = {.lex_state = 26, .external_lex_state = 4},
  [2715] = {.lex_state = 26, .external_lex_state = 4},
  [2716] = {.lex_state = 26, .external_lex_state = 3},
  [2717] = {.lex_state = 26, .external_lex_state = 3},
  [2718] = {.lex_state = 26, .external_lex_state = 3},
  [2719] = {.lex_state = 26, .external_lex_state = 3},
  [2720] = {.lex_state = 26, .external_lex_state = 4},
  [2721] = {.lex_state = 26, .external_lex_state = 3},
  [2722] = {.lex_state = 26, .external_lex_state = 3},
  [2723] = {.lex_state = 26, .external_lex_state = 3},
  [2724] = {.lex_state = 26, .external_lex_state = 4},
  [2725] = {.lex_state = 26, .external_lex_state = 4},
  [2726] = {.lex_state = 26, .external_lex_state = 3},
  [2727] = {.lex_state = 26, .external_lex_state = 3},
  [2728] = {.lex_state = 26, .external_lex_state = 3},
  [2729] = {.lex_state = 26, .external_lex_state = 3},
  [2730] = {.lex_state = 26, .external_lex_state = 3},
  [2731] = {.lex_state = 26, .external_lex_state = 3},
  [2732] = {.lex_state = 26, .external_lex_state = 4},
  [2733] = {.lex_state = 26, .external_lex_state = 3},
  [2734] = {.lex_state = 26, .external_lex_state = 4},
  [2735] = {.lex_state = 26, .external_lex_state = 4},
  [2736] = {.lex_state = 26, .external_lex_state = 3},
  [2737] = {.lex_state = 26, .external_lex_state = 4},
  [2738] = {.lex_state = 26, .external_lex_state = 3},
  [2739] = {.lex_state = 26, .external_lex_state = 4},
  [2740] = {.lex_state = 26, .external_lex_state = 3},
  [2741] = {.lex_state = 26, .external_lex_state = 4},
  [2742] = {.lex_state = 26, .external_lex_state = 4},
  [2743] = {.lex_state = 26, .external_lex_state = 3},
  [2744] = {.lex_state = 26, .external_lex_state = 4},
  [2745] = {.lex_state = 26, .external_lex_state = 4},
  [2746] = {.lex_state = 26, .external_lex_state = 4},
  [2747] = {.lex_state = 26, .external_lex_state = 4},
  [2748] = {.lex_state = 26, .external_lex_state = 4},
  [2749] = {.lex_state = 26, .external_lex_state = 3},
  [2750] = {.lex_state = 26, .external_lex_state = 3},
  [2751] = {.lex_state = 26, .external_lex_state = 3},
  [2752] = {.lex_state = 26, .external_lex_state = 4},
  [2753] = {.lex_state = 26, .external_lex_state = 3},
  [2754] = {.lex_state = 26, .external_lex_state = 4},
  [2755] = {.lex_state = 26, .external_lex_state = 4},
  [2756] = {.lex_state = 26, .external_lex_state = 4},
  [2757] = {.lex_state = 26, .external_lex_state = 3},
  [2758] = {.lex_state = 26, .external_lex_state = 3},
  [2759] = {.lex_state = 26, .external_lex_state = 3},
  [2760] = {.lex_state = 26, .external_lex_state = 3},
  [2761] = {.lex_state = 26, .external_lex_state = 3},
  [2762] = {.lex_state = 26, .external_lex_state = 3},
  [2763] = {.lex_state = 26, .external_lex_state = 3},
  [2764] = {.lex_state = 26, .external_lex_state = 3},
  [2765] = {.lex_state = 26, .external_lex_state = 3},
  [2766] = {.lex_state = 26, .external_lex_state = 4},
  [2767] = {.lex_state = 26, .external_lex_state = 3},
  [2768] = {.lex_state = 26, .external_lex_state = 3},
  [2769] = {.lex_state = 36, .external_lex_state = 5},
  [2770] = {.lex_state = 26, .external_lex_state = 4},
  [2771] = {.lex_state = 26, .external_lex_state = 4},
  [2772] = {.lex_state = 36, .external_lex_state = 5},
  [2773] = {.lex_state = 26, .external_lex_state = 3},
  [2774] = {.lex_state = 26, .external_lex_state = 3},
  [2775] = {.lex_state = 26, .external_lex_state = 3},
  [2776] = {.lex_state = 26, .external_lex_state = 3},
  [2777] = {.lex_state = 26, .external_lex_state = 3},
  [2778] = {.lex_state = 26, .external_lex_state = 3},
  [2779] = {.lex_state = 26, .external_lex_state = 3},
  [2780] = {.lex_state = 26, .external_lex_state = 4},
  [2781] = {.lex_state = 26, .external_lex_state = 3},
  [2782] = {.lex_state = 26, .external_lex_state = 3},
  [2783] = {.lex_state = 26, .external_lex_state = 4},
  [2784] = {.lex_state = 26, .external_lex_state = 4},
  [2785] = {.lex_state = 26, .external_lex_state = 3},
  [2786] = {.lex_state = 26, .external_lex_state = 4},
  [2787] = {.lex_state = 26, .external_lex_state = 4},
  [2788] = {.lex_state = 26, .external_lex_state = 3},
  [2789] = {.lex_state = 26, .external_lex_state = 3},
  [2790] = {.lex_state = 26, .external_lex_state = 4},
  [2791] = {.lex_state = 26, .external_lex_state = 3},
  [2792] = {.lex_state = 26, .external_lex_state = 3},
  [2793] = {.lex_state = 26, .external_lex_state = 3},
  [2794] = {.lex_state = 26, .external_lex_state = 3},
  [2795] = {.lex_state = 26, .external_lex_state = 4},
  [2796] = {.lex_state = 26, .external_lex_state = 3},
  [2797] = {.lex_state = 26, .external_lex_state = 3},
  [2798] = {.lex_state = 26, .external_lex_state = 3},
  [2799] = {.lex_state = 26, .external_lex_state = 3},
  [2800] = {.lex_state = 26, .external_lex_state = 4},
  [2801] = {.lex_state = 26, .external_lex_state = 3},
  [2802] = {.lex_state = 26, .external_lex_state = 3},
  [2803] = {.lex_state = 26, .external_lex_state = 3},
  [2804] = {.lex_state = 26, .external_lex_state = 3},
  [2805] = {.lex_state = 26, .external_lex_state = 3},
  [2806] = {.lex_state = 26, .external_lex_state = 4},
  [2807] = {.lex_state = 26, .external_lex_state = 3},
  [2808] = {.lex_state = 26, .external_lex_state = 4},
  [2809] = {.lex_state = 26, .external_lex_state = 3},
  [2810] = {.lex_state = 26, .external_lex_state = 3},
  [2811] = {.lex_state = 26, .external_lex_state = 3},
  [2812] = {.lex_state = 26, .external_lex_state = 3},
  [2813] = {.lex_state = 26, .external_lex_state = 3},
  [2814] = {.lex_state = 26, .external_lex_state = 3},
  [2815] = {.lex_state = 26, .external_lex_state = 3},
  [2816] = {.lex_state = 26, .external_lex_state = 3},
  [2817] = {.lex_state = 26, .external_lex_state = 3},
  [2818] = {.lex_state = 26, .external_lex_state = 3},
  [2819] = {.lex_state = 26, .external_lex_state = 4},
  [2820] = {.lex_state = 26, .external_lex_state = 3},
  [2821] = {.lex_state = 26, .external_lex_state = 3},
  [2822] = {.lex_state = 26, .external_lex_state = 3},
  [2823] = {.lex_state = 26, .external_lex_state = 3},
  [2824] = {.lex_state = 26, .external_lex_state = 4},
  [2825] = {.lex_state = 26, .external_lex_state = 3},
  [2826] = {.lex_state = 26, .external_lex_state = 3},
  [2827] = {.lex_state = 36, .external_lex_state = 5},
  [2828] = {.lex_state = 36, .external_lex_state = 5},
  [2829] = {.lex_state = 26, .external_lex_state = 4},
  [2830] = {.lex_state = 26, .external_lex_state = 4},
  [2831] = {.lex_state = 26, .external_lex_state = 3},
  [2832] = {.lex_state = 26, .external_lex_state = 3},
  [2833] = {.lex_state = 26, .external_lex_state = 3},
  [2834] = {.lex_state = 26, .external_lex_state = 3},
  [2835] = {.lex_state = 26, .external_lex_state = 3},
  [2836] = {.lex_state = 26, .external_lex_state = 3},
  [2837] = {.lex_state = 26, .external_lex_state = 3},
  [2838] = {.lex_state = 26, .external_lex_state = 3},
  [2839] = {.lex_state = 36, .external_lex_state = 5},
  [2840] = {.lex_state = 26, .external_lex_state = 3},
  [2841] = {.lex_state = 26, .external_lex_state = 4},
  [2842] = {.lex_state = 26, .external_lex_state = 3},
  [2843] = {.lex_state = 26, .external_lex_state = 3},
  [2844] = {.lex_state = 26, .external_lex_state = 3},
  [2845] = {.lex_state = 26, .external_lex_state = 3},
  [2846] = {.lex_state = 26, .external_lex_state = 3},
  [2847] = {.lex_state = 26, .external_lex_state = 3},
  [2848] = {.lex_state = 26, .external_lex_state = 3},
  [2849] = {.lex_state = 26, .external_lex_state = 4},
  [2850] = {.lex_state = 26, .external_lex_state = 3},
  [2851] = {.lex_state = 26, .external_lex_state = 4},
  [2852] = {.lex_state = 26, .external_lex_state = 3},
  [2853] = {.lex_state = 26, .external_lex_state = 3},
  [2854] = {.lex_state = 26, .external_lex_state = 3},
  [2855] = {.lex_state = 26, .external_lex_state = 3},
  [2856] = {.lex_state = 26, .external_lex_state = 3},
  [2857] = {.lex_state = 36, .external_lex_state = 5},
  [2858] = {.lex_state = 26, .external_lex_state = 3},
  [2859] = {.lex_state = 26, .external_lex_state = 3},
  [2860] = {.lex_state = 36, .external_lex_state = 5},
  [2861] = {.lex_state = 26, .external_lex_state = 4},
  [2862] = {.lex_state = 26, .external_lex_state = 3},
  [2863] = {.lex_state = 26, .external_lex_state = 3},
  [2864] = {.lex_state = 26, .external_lex_state = 3},
  [2865] = {.lex_state = 26, .external_lex_state = 3},
  [2866] = {.lex_state = 26, .external_lex_state = 3},
  [2867] = {.lex_state = 26, .external_lex_state = 3},
  [2868] = {.lex_state = 26, .external_lex_state = 3},
  [2869] = {.lex_state = 26, .external_lex_state = 4},
  [2870] = {.lex_state = 26, .external_lex_state = 3},
  [2871] = {.lex_state = 26, .external_lex_state = 3},
  [2872] = {.lex_state = 26, .external_lex_state = 3},
  [2873] = {.lex_state = 26, .external_lex_state = 3},
  [2874] = {.lex_state = 35, .external_lex_state = 5},
  [2875] = {.lex_state = 26, .external_lex_state = 3},
  [2876] = {.lex_state = 26, .external_lex_state = 4},
  [2877] = {.lex_state = 26, .external_lex_state = 3},
  [2878] = {.lex_state = 26, .external_lex_state = 4},
  [2879] = {.lex_state = 26, .external_lex_state = 4},
  [2880] = {.lex_state = 26, .external_lex_state = 4},
  [2881] = {.lex_state = 26, .external_lex_state = 3},
  [2882] = {.lex_state = 26, .external_lex_state = 3},
  [2883] = {.lex_state = 26, .external_lex_state = 3},
  [2884] = {.lex_state = 26, .external_lex_state = 3},
  [2885] = {.lex_state = 26, .external_lex_state = 3},
  [2886] = {.lex_state = 26, .external_lex_state = 4},
  [2887] = {.lex_state = 26, .external_lex_state = 3},
  [2888] = {.lex_state = 26, .external_lex_state = 3},
  [2889] = {.lex_state = 26, .external_lex_state = 3},
  [2890] = {.lex_state = 26, .external_lex_state = 3},
  [2891] = {.lex_state = 26, .external_lex_state = 3},
  [2892] = {.lex_state = 26, .external_lex_state = 4},
  [2893] = {.lex_state = 36, .external_lex_state = 5},
  [2894] = {.lex_state = 26, .external_lex_state = 3},
  [2895] = {.lex_state = 35, .external_lex_state = 5},
  [2896] = {.lex_state = 26, .external_lex_state = 3},
  [2897] = {.lex_state = 26, .external_lex_state = 3},
  [2898] = {.lex_state = 26, .external_lex_state = 3},
  [2899] = {.lex_state = 26, .external_lex_state = 3},
  [2900] = {.lex_state = 26, .external_lex_state = 3},
  [2901] = {.lex_state = 26, .external_lex_state = 3},
  [2902] = {.lex_state = 26, .external_lex_state = 3},
  [2903] = {.lex_state = 26, .external_lex_state = 3},
  [2904] = {.lex_state = 26, .external_lex_state = 3},
  [2905] = {.lex_state = 26, .external_lex_state = 3},
  [2906] = {.lex_state = 26, .external_lex_state = 3},
  [2907] = {.lex_state = 26, .external_lex_state = 3},
  [2908] = {.lex_state = 26, .external_lex_state = 3},
  [2909] = {.lex_state = 26, .external_lex_state = 4},
  [2910] = {.lex_state = 26, .external_lex_state = 4},
  [2911] = {.lex_state = 26, .external_lex_state = 3},
  [2912] = {.lex_state = 26, .external_lex_state = 3},
  [2913] = {.lex_state = 26, .external_lex_state = 3},
  [2914] = {.lex_state = 26, .external_lex_state = 3},
  [2915] = {.lex_state = 26, .external_lex_state = 3},
  [2916] = {.lex_state = 26, .external_lex_state = 4},
  [2917] = {.lex_state = 26, .external_lex_state = 4},
  [2918] = {.lex_state = 26, .external_lex_state = 4},
  [2919] = {.lex_state = 26, .external_lex_state = 4},
  [2920] = {.lex_state = 26, .external_lex_state = 4},
  [2921] = {.lex_state = 26, .external_lex_state = 4},
  [2922] = {.lex_state = 26, .external_lex_state = 4},
  [2923] = {.lex_state = 26, .external_lex_state = 4},
  [2924] = {.lex_state = 26, .external_lex_state = 4},
  [2925] = {.lex_state = 26, .external_lex_state = 4},
  [2926] = {.lex_state = 26, .external_lex_state = 3},
  [2927] = {.lex_state = 26, .external_lex_state = 4},
  [2928] = {.lex_state = 26, .external_lex_state = 4},
  [2929] = {.lex_state = 26, .external_lex_state = 4},
  [2930] = {.lex_state = 26, .external_lex_state = 4},
  [2931] = {.lex_state = 26, .external_lex_state = 4},
  [2932] = {.lex_state = 26, .external_lex_state = 4},
  [2933] = {.lex_state = 26, .external_lex_state = 3},
  [2934] = {.lex_state = 26, .external_lex_state = 4},
  [2935] = {.lex_state = 26, .external_lex_state = 4},
  [2936] = {.lex_state = 26, .external_lex_state = 3},
  [2937] = {.lex_state = 36, .external_lex_state = 5},
  [2938] = {.lex_state = 26, .external_lex_state = 4},
  [2939] = {.lex_state = 26, .external_lex_state = 4},
  [2940] = {.lex_state = 26, .external_lex_state = 4},
  [2941] = {.lex_state = 26, .external_lex_state = 4},
  [2942] = {.lex_state = 26, .external_lex_state = 4},
  [2943] = {.lex_state = 26, .external_lex_state = 4},
  [2944] = {.lex_state = 26, .external_lex_state = 4},
  [2945] = {.lex_state = 26, .external_lex_state = 4},
  [2946] = {.lex_state = 26, .external_lex_state = 3},
  [2947] = {.lex_state = 26, .external_lex_state = 4},
  [2948] = {.lex_state = 35, .external_lex_state = 5},
  [2949] = {.lex_state = 26, .external_lex_state = 3},
  [2950] = {.lex_state = 26, .external_lex_state = 3},
  [2951] = {.lex_state = 26, .external_lex_state = 3},
  [2952] = {.lex_state = 26, .external_lex_state = 3},
  [2953] = {.lex_state = 26, .external_lex_state = 4},
  [2954] = {.lex_state = 26, .external_lex_state = 4},
  [2955] = {.lex_state = 26, .external_lex_state = 3},
  [2956] = {.lex_state = 26, .external_lex_state = 4},
  [2957] = {.lex_state = 26, .external_lex_state = 4},
  [2958] = {.lex_state = 26, .external_lex_state = 4},
  [2959] = {.lex_state = 36, .external_lex_state = 5},
  [2960] = {.lex_state = 26, .external_lex_state = 4},
  [2961] = {.lex_state = 24, .external_lex_state = 3},
  [2962] = {.lex_state = 36, .external_lex_state = 5},
  [2963] = {.lex_state = 36, .external_lex_state = 2},
  [2964] = {.lex_state = 26, .external_lex_state = 4},
  [2965] = {.lex_state = 26, .external_lex_state = 4},
  [2966] = {.lex_state = 36, .external_lex_state = 2},
  [2967] = {.lex_state = 26, .external_lex_state = 4},
  [2968] = {.lex_state = 26, .external_lex_state = 4},
  [2969] = {.lex_state = 26, .external_lex_state = 4},
  [2970] = {.lex_state = 36, .external_lex_state = 2},
  [2971] = {.lex_state = 26, .external_lex_state = 4},
  [2972] = {.lex_state = 26, .external_lex_state = 4},
  [2973] = {.lex_state = 26, .external_lex_state = 4},
  [2974] = {.lex_state = 26, .external_lex_state = 4},
  [2975] = {.lex_state = 26, .external_lex_state = 4},
  [2976] = {.lex_state = 36, .external_lex_state = 5},
  [2977] = {.lex_state = 35, .external_lex_state = 5},
  [2978] = {.lex_state = 26, .external_lex_state = 4},
  [2979] = {.lex_state = 26, .external_lex_state = 4},
  [2980] = {.lex_state = 26, .external_lex_state = 4},
  [2981] = {.lex_state = 35, .external_lex_state = 5},
  [2982] = {.lex_state = 26, .external_lex_state = 4},
  [2983] = {.lex_state = 26, .external_lex_state = 4},
  [2984] = {.lex_state = 26, .external_lex_state = 4},
  [2985] = {.lex_state = 26, .external_lex_state = 4},
  [2986] = {.lex_state = 26, .external_lex_state = 4},
  [2987] = {.lex_state = 26, .external_lex_state = 4},
  [2988] = {.lex_state = 26, .external_lex_state = 4},
  [2989] = {.lex_state = 26, .external_lex_state = 4},
  [2990] = {.lex_state = 26, .external_lex_state = 4},
  [2991] = {.lex_state = 26, .external_lex_state = 4},
  [2992] = {.lex_state = 35, .external_lex_state = 5},
  [2993] = {.lex_state = 26, .external_lex_state = 3},
  [2994] = {.lex_state = 26, .external_lex_state = 4},
  [2995] = {.lex_state = 26, .external_lex_state = 4},
  [2996] = {.lex_state = 26, .external_lex_state = 4},
  [2997] = {.lex_state = 26, .external_lex_state = 3},
  [2998] = {.lex_state = 26, .external_lex_state = 4},
  [2999] = {.lex_state = 26, .external_lex_state = 4},
  [3000] = {.lex_state = 26, .external_lex_state = 4},
  [3001] = {.lex_state = 26, .external_lex_state = 4},
  [3002] = {.lex_state = 26, .external_lex_state = 4},
  [3003] = {.lex_state = 26, .external_lex_state = 4},
  [3004] = {.lex_state = 36, .external_lex_state = 2},
  [3005] = {.lex_state = 26, .external_lex_state = 4},
  [3006] = {.lex_state = 26, .external_lex_state = 3},
  [3007] = {.lex_state = 26, .external_lex_state = 4},
  [3008] = {.lex_state = 26, .external_lex_state = 4},
  [3009] = {.lex_state = 26, .external_lex_state = 4},
  [3010] = {.lex_state = 26, .external_lex_state = 4},
  [3011] = {.lex_state = 26, .external_lex_state = 3},
  [3012] = {.lex_state = 26, .external_lex_state = 4},
  [3013] = {.lex_state = 26, .external_lex_state = 4},
  [3014] = {.lex_state = 26, .external_lex_state = 4},
  [3015] = {.lex_state = 26, .external_lex_state = 4},
  [3016] = {.lex_state = 26, .external_lex_state = 4},
  [3017] = {.lex_state = 26, .external_lex_state = 3},
  [3018] = {.lex_state = 26, .external_lex_state = 4},
  [3019] = {.lex_state = 26, .external_lex_state = 4},
  [3020] = {.lex_state = 26, .external_lex_state = 4},
  [3021] = {.lex_state = 26, .external_lex_state = 4},
  [3022] = {.lex_state = 26, .external_lex_state = 4},
  [3023] = {.lex_state = 26, .external_lex_state = 4},
  [3024] = {.lex_state = 26, .external_lex_state = 4},
  [3025] = {.lex_state = 26, .external_lex_state = 4},
  [3026] = {.lex_state = 26, .external_lex_state = 4},
  [3027] = {.lex_state = 26, .external_lex_state = 4},
  [3028] = {.lex_state = 26, .external_lex_state = 4},
  [3029] = {.lex_state = 26, .external_lex_state = 4},
  [3030] = {.lex_state = 26, .external_lex_state = 4},
  [3031] = {.lex_state = 26, .external_lex_state = 4},
  [3032] = {.lex_state = 26, .external_lex_state = 4},
  [3033] = {.lex_state = 26, .external_lex_state = 4},
  [3034] = {.lex_state = 26, .external_lex_state = 4},
  [3035] = {.lex_state = 26, .external_lex_state = 4},
  [3036] = {.lex_state = 26, .external_lex_state = 4},
  [3037] = {.lex_state = 26, .external_lex_state = 4},
  [3038] = {.lex_state = 36, .external_lex_state = 5},
  [3039] = {.lex_state = 26, .external_lex_state = 3},
  [3040] = {.lex_state = 26, .external_lex_state = 4},
  [3041] = {.lex_state = 26, .external_lex_state = 4},
  [3042] = {.lex_state = 26, .external_lex_state = 4},
  [3043] = {.lex_state = 26, .external_lex_state = 4},
  [3044] = {.lex_state = 35, .external_lex_state = 5},
  [3045] = {.lex_state = 26, .external_lex_state = 4},
  [3046] = {.lex_state = 26, .external_lex_state = 4},
  [3047] = {.lex_state = 26, .external_lex_state = 4},
  [3048] = {.lex_state = 26, .external_lex_state = 4},
  [3049] = {.lex_state = 35, .external_lex_state = 5},
  [3050] = {.lex_state = 26, .external_lex_state = 4},
  [3051] = {.lex_state = 26, .external_lex_state = 4},
  [3052] = {.lex_state = 26, .external_lex_state = 4},
  [3053] = {.lex_state = 26, .external_lex_state = 4},
  [3054] = {.lex_state = 26, .external_lex_state = 4},
  [3055] = {.lex_state = 26, .external_lex_state = 4},
  [3056] = {.lex_state = 36, .external_lex_state = 5},
  [3057] = {.lex_state = 26, .external_lex_state = 4},
  [3058] = {.lex_state = 26, .external_lex_state = 4},
  [3059] = {.lex_state = 26, .external_lex_state = 4},
  [3060] = {.lex_state = 26, .external_lex_state = 4},
  [3061] = {.lex_state = 26, .external_lex_state = 4},
  [3062] = {.lex_state = 26, .external_lex_state = 4},
  [3063] = {.lex_state = 26, .external_lex_state = 4},
  [3064] = {.lex_state = 26, .external_lex_state = 4},
  [3065] = {.lex_state = 26, .external_lex_state = 4},
  [3066] = {.lex_state = 26, .external_lex_state = 4},
  [3067] = {.lex_state = 26, .external_lex_state = 4},
  [3068] = {.lex_state = 26, .external_lex_state = 4},
  [3069] = {.lex_state = 26, .external_lex_state = 4},
  [3070] = {.lex_state = 26, .external_lex_state = 4},
  [3071] = {.lex_state = 26, .external_lex_state = 4},
  [3072] = {.lex_state = 26, .external_lex_state = 4},
  [3073] = {.lex_state = 26, .external_lex_state = 4},
  [3074] = {.lex_state = 26, .external_lex_state = 4},
  [3075] = {.lex_state = 26, .external_lex_state = 4},
  [3076] = {.lex_state = 26, .external_lex_state = 4},
  [3077] = {.lex_state = 36, .external_lex_state = 5},
  [3078] = {.lex_state = 26, .external_lex_state = 4},
  [3079] = {.lex_state = 26, .external_lex_state = 4},
  [3080] = {.lex_state = 36, .external_lex_state = 5},
  [3081] = {.lex_state = 36, .external_lex_state = 2},
  [3082] = {.lex_state = 26, .external_lex_state = 4},
  [3083] = {.lex_state = 26, .external_lex_state = 4},
  [3084] = {.lex_state = 36, .external_lex_state = 2},
  [3085] = {.lex_state = 26, .external_lex_state = 3},
  [3086] = {.lex_state = 26, .external_lex_state = 4},
  [3087] = {.lex_state = 26, .external_lex_state = 4},
  [3088] = {.lex_state = 26, .external_lex_state = 4},
  [3089] = {.lex_state = 26, .external_lex_state = 4},
  [3090] = {.lex_state = 26, .external_lex_state = 4},
  [3091] = {.lex_state = 26, .external_lex_state = 4},
  [3092] = {.lex_state = 26, .external_lex_state = 3},
  [3093] = {.lex_state = 26, .external_lex_state = 4},
  [3094] = {.lex_state = 26, .external_lex_state = 4},
  [3095] = {.lex_state = 26, .external_lex_state = 4},
  [3096] = {.lex_state = 26, .external_lex_state = 4},
  [3097] = {.lex_state = 26, .external_lex_state = 4},
  [3098] = {.lex_state = 26, .external_lex_state = 4},
  [3099] = {.lex_state = 26, .external_lex_state = 4},
  [3100] = {.lex_state = 26, .external_lex_state = 4},
  [3101] = {.lex_state = 26, .external_lex_state = 4},
  [3102] = {.lex_state = 36, .external_lex_state = 2},
  [3103] = {.lex_state = 26, .external_lex_state = 4},
  [3104] = {.lex_state = 26, .external_lex_state = 4},
  [3105] = {.lex_state = 26, .external_lex_state = 4},
  [3106] = {.lex_state = 26, .external_lex_state = 4},
  [3107] = {.lex_state = 26, .external_lex_state = 3},
  [3108] = {.lex_state = 26, .external_lex_state = 4},
  [3109] = {.lex_state = 26, .external_lex_state = 4},
  [3110] = {.lex_state = 26, .external_lex_state = 4},
  [3111] = {.lex_state = 26, .external_lex_state = 4},
  [3112] = {.lex_state = 26, .external_lex_state = 4},
  [3113] = {.lex_state = 26, .external_lex_state = 3},
  [3114] = {.lex_state = 26, .external_lex_state = 4},
  [3115] = {.lex_state = 26, .external_lex_state = 4},
  [3116] = {.lex_state = 26, .external_lex_state = 4},
  [3117] = {.lex_state = 26, .external_lex_state = 4},
  [3118] = {.lex_state = 26, .external_lex_state = 4},
  [3119] = {.lex_state = 26, .external_lex_state = 4},
  [3120] = {.lex_state = 26, .external_lex_state = 4},
  [3121] = {.lex_state = 36, .external_lex_state = 2},
  [3122] = {.lex_state = 36, .external_lex_state = 2},
  [3123] = {.lex_state = 26, .external_lex_state = 3},
  [3124] = {.lex_state = 26, .external_lex_state = 3},
  [3125] = {.lex_state = 26, .external_lex_state = 4},
  [3126] = {.lex_state = 26, .external_lex_state = 4},
  [3127] = {.lex_state = 26, .external_lex_state = 3},
  [3128] = {.lex_state = 26, .external_lex_state = 3},
  [3129] = {.lex_state = 26, .external_lex_state = 4},
  [3130] = {.lex_state = 26, .external_lex_state = 3},
  [3131] = {.lex_state = 26, .external_lex_state = 3},
  [3132] = {.lex_state = 26, .external_lex_state = 4},
  [3133] = {.lex_state = 36, .external_lex_state = 5},
  [3134] = {.lex_state = 26, .external_lex_state = 3},
  [3135] = {.lex_state = 36, .external_lex_state = 5},
  [3136] = {.lex_state = 26, .external_lex_state = 4},
  [3137] = {.lex_state = 36, .external_lex_state = 5},
  [3138] = {.lex_state = 26, .external_lex_state = 4},
  [3139] = {.lex_state = 26, .external_lex_state = 4},
  [3140] = {.lex_state = 26, .external_lex_state = 4},
  [3141] = {.lex_state = 26, .external_lex_state = 3},
  [3142] = {.lex_state = 36, .external_lex_state = 5},
  [3143] = {.lex_state = 36, .external_lex_state = 5},
  [3144] = {.lex_state = 26, .external_lex_state = 3},
  [3145] = {.lex_state = 26, .external_lex_state = 3},
  [3146] = {.lex_state = 36, .external_lex_state = 5},
  [3147] = {.lex_state = 26, .external_lex_state = 3},
  [3148] = {.lex_state = 26, .external_lex_state = 3},
  [3149] = {.lex_state = 26, .external_lex_state = 4},
  [3150] = {.lex_state = 36, .external_lex_state = 5},
  [3151] = {.lex_state = 36, .external_lex_state = 5},
  [3152] = {.lex_state = 26, .external_lex_state = 3},
  [3153] = {.lex_state = 36, .external_lex_state = 5},
  [3154] = {.lex_state = 36, .external_lex_state = 5},
  [3155] = {.lex_state = 36, .external_lex_state = 5},
  [3156] = {.lex_state = 36, .external_lex_state = 5},
  [3157] = {.lex_state = 26, .external_lex_state = 4},
  [3158] = {.lex_state = 26, .external_lex_state = 4},
  [3159] = {.lex_state = 26, .external_lex_state = 4},
  [3160] = {.lex_state = 26, .external_lex_state = 4},
  [3161] = {.lex_state = 26, .external_lex_state = 3},
  [3162] = {.lex_state = 26, .external_lex_state = 3},
  [3163] = {.lex_state = 26, .external_lex_state = 3},
  [3164] = {.lex_state = 26, .external_lex_state = 3},
  [3165] = {.lex_state = 36, .external_lex_state = 5},
  [3166] = {.lex_state = 26, .external_lex_state = 4},
  [3167] = {.lex_state = 26, .external_lex_state = 3},
  [3168] = {.lex_state = 26, .external_lex_state = 4},
  [3169] = {.lex_state = 26, .external_lex_state = 4},
  [3170] = {.lex_state = 26, .external_lex_state = 4},
  [3171] = {.lex_state = 26, .external_lex_state = 3},
  [3172] = {.lex_state = 26, .external_lex_state = 4},
  [3173] = {.lex_state = 26, .external_lex_state = 3},
  [3174] = {.lex_state = 36, .external_lex_state = 5},
  [3175] = {.lex_state = 26, .external_lex_state = 4},
  [3176] = {.lex_state = 26, .external_lex_state = 4},
  [3177] = {.lex_state = 26, .external_lex_state = 4},
  [3178] = {.lex_state = 26, .external_lex_state = 4},
  [3179] = {.lex_state = 26, .external_lex_state = 3},
  [3180] = {.lex_state = 26, .external_lex_state = 3},
  [3181] = {.lex_state = 26, .external_lex_state = 3},
  [3182] = {.lex_state = 26, .external_lex_state = 4},
  [3183] = {.lex_state = 26, .external_lex_state = 4},
  [3184] = {.lex_state = 26, .external_lex_state = 4},
  [3185] = {.lex_state = 26, .external_lex_state = 4},
  [3186] = {.lex_state = 36, .external_lex_state = 5},
  [3187] = {.lex_state = 26, .external_lex_state = 3},
  [3188] = {.lex_state = 26, .external_lex_state = 4},
  [3189] = {.lex_state = 26, .external_lex_state = 4},
  [3190] = {.lex_state = 26, .external_lex_state = 3},
  [3191] = {.lex_state = 26, .external_lex_state = 3},
  [3192] = {.lex_state = 36, .external_lex_state = 2},
  [3193] = {.lex_state = 36, .external_lex_state = 5},
  [3194] = {.lex_state = 36, .external_lex_state = 5},
  [3195] = {.lex_state = 26, .external_lex_state = 3},
  [3196] = {.lex_state = 36, .external_lex_state = 5},
  [3197] = {.lex_state = 26, .external_lex_state = 4},
  [3198] = {.lex_state = 36, .external_lex_state = 5},
  [3199] = {.lex_state = 26, .external_lex_state = 3},
  [3200] = {.lex_state = 26, .external_lex_state = 4},
  [3201] = {.lex_state = 36, .external_lex_state = 5},
  [3202] = {.lex_state = 26, .external_lex_state = 4},
  [3203] = {.lex_state = 26, .external_lex_state = 3},
  [3204] = {.lex_state = 26, .external_lex_state = 4},
  [3205] = {.lex_state = 36, .external_lex_state = 5},
  [3206] = {.lex_state = 26, .external_lex_state = 3},
  [3207] = {.lex_state = 26, .external_lex_state = 3},
  [3208] = {.lex_state = 36, .external_lex_state = 5},
  [3209] = {.lex_state = 26, .external_lex_state = 3},
  [3210] = {.lex_state = 26, .external_lex_state = 4},
  [3211] = {.lex_state = 26, .external_lex_state = 4},
  [3212] = {.lex_state = 26, .external_lex_state = 3},
  [3213] = {.lex_state = 36, .external_lex_state = 5},
  [3214] = {.lex_state = 26, .external_lex_state = 3},
  [3215] = {.lex_state = 36, .external_lex_state = 2},
  [3216] = {.lex_state = 26, .external_lex_state = 4},
  [3217] = {.lex_state = 36, .external_lex_state = 5},
  [3218] = {.lex_state = 26, .external_lex_state = 3},
  [3219] = {.lex_state = 26, .external_lex_state = 3},
  [3220] = {.lex_state = 36, .external_lex_state = 5},
  [3221] = {.lex_state = 27, .external_lex_state = 4},
  [3222] = {.lex_state = 26, .external_lex_state = 4},
  [3223] = {.lex_state = 26, .external_lex_state = 4},
  [3224] = {.lex_state = 26, .external_lex_state = 4},
  [3225] = {.lex_state = 26, .external_lex_state = 4},
  [3226] = {.lex_state = 26, .external_lex_state = 3},
  [3227] = {.lex_state = 26, .external_lex_state = 3},
  [3228] = {.lex_state = 26, .external_lex_state = 3},
  [3229] = {.lex_state = 26, .external_lex_state = 4},
  [3230] = {.lex_state = 26, .external_lex_state = 4},
  [3231] = {.lex_state = 26, .external_lex_state = 4},
  [3232] = {.lex_state = 26, .external_lex_state = 4},
  [3233] = {.lex_state = 26, .external_lex_state = 4},
  [3234] = {.lex_state = 26, .external_lex_state = 3},
  [3235] = {.lex_state = 26, .external_lex_state = 3},
  [3236] = {.lex_state = 36, .external_lex_state = 5},
  [3237] = {.lex_state = 26, .external_lex_state = 4},
  [3238] = {.lex_state = 26, .external_lex_state = 4},
  [3239] = {.lex_state = 26, .external_lex_state = 3},
  [3240] = {.lex_state = 26, .external_lex_state = 4},
  [3241] = {.lex_state = 26, .external_lex_state = 3},
  [3242] = {.lex_state = 26, .external_lex_state = 3},
  [3243] = {.lex_state = 26, .external_lex_state = 3},
  [3244] = {.lex_state = 26, .external_lex_state = 3},
  [3245] = {.lex_state = 26, .external_lex_state = 4},
  [3246] = {.lex_state = 36, .external_lex_state = 5},
  [3247] = {.lex_state = 36, .external_lex_state = 5},
  [3248] = {.lex_state = 26, .external_lex_state = 4},
  [3249] = {.lex_state = 26, .external_lex_state = 3},
  [3250] = {.lex_state = 36, .external_lex_state = 2},
  [3251] = {.lex_state = 26, .external_lex_state = 3},
  [3252] = {.lex_state = 26, .external_lex_state = 3},
  [3253] = {.lex_state = 26, .external_lex_state = 4},
  [3254] = {.lex_state = 26, .external_lex_state = 4},
  [3255] = {.lex_state = 26, .external_lex_state = 3},
  [3256] = {.lex_state = 36, .external_lex_state = 2},
  [3257] = {.lex_state = 26, .external_lex_state = 3},
  [3258] = {.lex_state = 36, .external_lex_state = 5},
  [3259] = {.lex_state = 26, .external_lex_state = 3},
  [3260] = {.lex_state = 26, .external_lex_state = 4},
  [3261] = {.lex_state = 26, .external_lex_state = 3},
  [3262] = {.lex_state = 26, .external_lex_state = 3},
  [3263] = {.lex_state = 26, .external_lex_state = 4},
  [3264] = {.lex_state = 26, .external_lex_state = 4},
  [3265] = {.lex_state = 26, .external_lex_state = 3},
  [3266] = {.lex_state = 26, .external_lex_state = 3},
  [3267] = {.lex_state = 26, .external_lex_state = 3},
  [3268] = {.lex_state = 26, .external_lex_state = 4},
  [3269] = {.lex_state = 26, .external_lex_state = 3},
  [3270] = {.lex_state = 26, .external_lex_state = 3},
  [3271] = {.lex_state = 26, .external_lex_state = 3},
  [3272] = {.lex_state = 26, .external_lex_state = 4},
  [3273] = {.lex_state = 26, .external_lex_state = 4},
  [3274] = {.lex_state = 26, .external_lex_state = 3},
  [3275] = {.lex_state = 26, .external_lex_state = 3},
  [3276] = {.lex_state = 26, .external_lex_state = 3},
  [3277] = {.lex_state = 26, .external_lex_state = 3},
  [3278] = {.lex_state = 26, .external_lex_state = 4},
  [3279] = {.lex_state = 26, .external_lex_state = 3},
  [3280] = {.lex_state = 26, .external_lex_state = 3},
  [3281] = {.lex_state = 36, .external_lex_state = 2},
  [3282] = {.lex_state = 26, .external_lex_state = 3},
  [3283] = {.lex_state = 26, .external_lex_state = 3},
  [3284] = {.lex_state = 26, .external_lex_state = 3},
  [3285] = {.lex_state = 26, .external_lex_state = 3},
  [3286] = {.lex_state = 26, .external_lex_state = 3},
  [3287] = {.lex_state = 26, .external_lex_state = 4},
  [3288] = {.lex_state = 26, .external_lex_state = 4},
  [3289] = {.lex_state = 36, .external_lex_state = 5},
  [3290] = {.lex_state = 26, .external_lex_state = 4},
  [3291] = {.lex_state = 26, .external_lex_state = 4},
  [3292] = {.lex_state = 26, .external_lex_state = 3},
  [3293] = {.lex_state = 26, .external_lex_state = 4},
  [3294] = {.lex_state = 36, .external_lex_state = 2},
  [3295] = {.lex_state = 26, .external_lex_state = 3},
  [3296] = {.lex_state = 26, .external_lex_state = 3},
  [3297] = {.lex_state = 36, .external_lex_state = 2},
  [3298] = {.lex_state = 26, .external_lex_state = 3},
  [3299] = {.lex_state = 26, .external_lex_state = 4},
  [3300] = {.lex_state = 26, .external_lex_state = 3},
  [3301] = {.lex_state = 26, .external_lex_state = 3},
  [3302] = {.lex_state = 26, .external_lex_state = 4},
  [3303] = {.lex_state = 26, .external_lex_state = 3},
  [3304] = {.lex_state = 26, .external_lex_state = 3},
  [3305] = {.lex_state = 26, .external_lex_state = 3},
  [3306] = {.lex_state = 36, .external_lex_state = 2},
  [3307] = {.lex_state = 26, .external_lex_state = 3},
  [3308] = {.lex_state = 26, .external_lex_state = 3},
  [3309] = {.lex_state = 36, .external_lex_state = 2},
  [3310] = {.lex_state = 36, .external_lex_state = 5},
  [3311] = {.lex_state = 36, .external_lex_state = 5},
  [3312] = {.lex_state = 26, .external_lex_state = 3},
  [3313] = {.lex_state = 26, .external_lex_state = 4},
  [3314] = {.lex_state = 26, .external_lex_state = 4},
  [3315] = {.lex_state = 26, .external_lex_state = 4},
  [3316] = {.lex_state = 26, .external_lex_state = 3},
  [3317] = {.lex_state = 26, .external_lex_state = 4},
  [3318] = {.lex_state = 26, .external_lex_state = 4},
  [3319] = {.lex_state = 26, .external_lex_state = 4},
  [3320] = {.lex_state = 26, .external_lex_state = 4},
  [3321] = {.lex_state = 26, .external_lex_state = 3},
  [3322] = {.lex_state = 26, .external_lex_state = 3},
  [3323] = {.lex_state = 26, .external_lex_state = 4},
  [3324] = {.lex_state = 26, .external_lex_state = 4},
  [3325] = {.lex_state = 26, .external_lex_state = 4},
  [3326] = {.lex_state = 26, .external_lex_state = 4},
  [3327] = {.lex_state = 26, .external_lex_state = 4},
  [3328] = {.lex_state = 26, .external_lex_state = 3},
  [3329] = {.lex_state = 26, .external_lex_state = 3},
  [3330] = {.lex_state = 36, .external_lex_state = 2},
  [3331] = {.lex_state = 26, .external_lex_state = 4},
  [3332] = {.lex_state = 26, .external_lex_state = 3},
  [3333] = {.lex_state = 26, .external_lex_state = 3},
  [3334] = {.lex_state = 26, .external_lex_state = 3},
  [3335] = {.lex_state = 26, .external_lex_state = 3},
  [3336] = {.lex_state = 26, .external_lex_state = 4},
  [3337] = {.lex_state = 26, .external_lex_state = 3},
  [3338] = {.lex_state = 26, .external_lex_state = 3},
  [3339] = {.lex_state = 26, .external_lex_state = 3},
  [3340] = {.lex_state = 26, .external_lex_state = 3},
  [3341] = {.lex_state = 26, .external_lex_state = 3},
  [3342] = {.lex_state = 26, .external_lex_state = 3},
  [3343] = {.lex_state = 26, .external_lex_state = 3},
  [3344] = {.lex_state = 26, .external_lex_state = 3},
  [3345] = {.lex_state = 26, .external_lex_state = 3},
  [3346] = {.lex_state = 36, .external_lex_state = 2},
  [3347] = {.lex_state = 26, .external_lex_state = 3},
  [3348] = {.lex_state = 26, .external_lex_state = 3},
  [3349] = {.lex_state = 26, .external_lex_state = 3},
  [3350] = {.lex_state = 26, .external_lex_state = 3},
  [3351] = {.lex_state = 26, .external_lex_state = 3},
  [3352] = {.lex_state = 26, .external_lex_state = 3},
  [3353] = {.lex_state = 26, .external_lex_state = 3},
  [3354] = {.lex_state = 26, .external_lex_state = 3},
  [3355] = {.lex_state = 36, .external_lex_state = 2},
  [3356] = {.lex_state = 26, .external_lex_state = 4},
  [3357] = {.lex_state = 26, .external_lex_state = 3},
  [3358] = {.lex_state = 36, .external_lex_state = 5},
  [3359] = {.lex_state = 36, .external_lex_state = 5},
  [3360] = {.lex_state = 26, .external_lex_state = 3},
  [3361] = {.lex_state = 36, .external_lex_state = 5},
  [3362] = {.lex_state = 36, .external_lex_state = 2},
  [3363] = {.lex_state = 36, .external_lex_state = 2},
  [3364] = {.lex_state = 26, .external_lex_state = 3},
  [3365] = {.lex_state = 26, .external_lex_state = 3},
  [3366] = {.lex_state = 26, .external_lex_state = 3},
  [3367] = {.lex_state = 26, .external_lex_state = 3},
  [3368] = {.lex_state = 26, .external_lex_state = 3},
  [3369] = {.lex_state = 26, .external_lex_state = 3},
  [3370] = {.lex_state = 36, .external_lex_state = 2},
  [3371] = {.lex_state = 26, .external_lex_state = 3},
  [3372] = {.lex_state = 26, .external_lex_state = 3},
  [3373] = {.lex_state = 26, .external_lex_state = 3},
  [3374] = {.lex_state = 26, .external_lex_state = 3},
  [3375] = {.lex_state = 36, .external_lex_state = 2},
  [3376] = {.lex_state = 26, .external_lex_state = 4},
  [3377] = {.lex_state = 26, .external_lex_state = 3},
  [3378] = {.lex_state = 26, .external_lex_state = 3},
  [3379] = {.lex_state = 26, .external_lex_state = 3},
  [3380] = {.lex_state = 26, .external_lex_state = 3},
  [3381] = {.lex_state = 26, .external_lex_state = 4},
  [3382] = {.lex_state = 26, .external_lex_state = 3},
  [3383] = {.lex_state = 26, .external_lex_state = 3},
  [3384] = {.lex_state = 26, .external_lex_state = 3},
  [3385] = {.lex_state = 36, .external_lex_state = 5},
  [3386] = {.lex_state = 26, .external_lex_state = 3},
  [3387] = {.lex_state = 36, .external_lex_state = 5},
  [3388] = {.lex_state = 26, .external_lex_state = 3},
  [3389] = {.lex_state = 26, .external_lex_state = 3},
  [3390] = {.lex_state = 26, .external_lex_state = 4},
  [3391] = {.lex_state = 26, .external_lex_state = 4},
  [3392] = {.lex_state = 26, .external_lex_state = 3},
  [3393] = {.lex_state = 26, .external_lex_state = 3},
  [3394] = {.lex_state = 26, .external_lex_state = 4},
  [3395] = {.lex_state = 26, .external_lex_state = 4},
  [3396] = {.lex_state = 36, .external_lex_state = 5},
  [3397] = {.lex_state = 26, .external_lex_state = 3},
  [3398] = {.lex_state = 36, .external_lex_state = 5},
  [3399] = {.lex_state = 36, .external_lex_state = 5},
  [3400] = {.lex_state = 36, .external_lex_state = 5},
  [3401] = {.lex_state = 26, .external_lex_state = 4},
  [3402] = {.lex_state = 36, .external_lex_state = 5},
  [3403] = {.lex_state = 26, .external_lex_state = 4},
  [3404] = {.lex_state = 26, .external_lex_state = 4},
  [3405] = {.lex_state = 26, .external_lex_state = 4},
  [3406] = {.lex_state = 26, .external_lex_state = 4},
  [3407] = {.lex_state = 26, .external_lex_state = 4},
  [3408] = {.lex_state = 26, .external_lex_state = 4},
  [3409] = {.lex_state = 24, .external_lex_state = 4},
  [3410] = {.lex_state = 36, .external_lex_state = 5},
  [3411] = {.lex_state = 36, .external_lex_state = 5},
  [3412] = {.lex_state = 26, .external_lex_state = 3},
  [3413] = {.lex_state = 36, .external_lex_state = 5},
  [3414] = {.lex_state = 26, .external_lex_state = 3},
  [3415] = {.lex_state = 26, .external_lex_state = 3},
  [3416] = {.lex_state = 36, .external_lex_state = 5},
  [3417] = {.lex_state = 26, .external_lex_state = 3},
  [3418] = {.lex_state = 26, .external_lex_state = 3},
  [3419] = {.lex_state = 36, .external_lex_state = 5},
  [3420] = {.lex_state = 26, .external_lex_state = 3},
  [3421] = {.lex_state = 26, .external_lex_state = 3},
  [3422] = {.lex_state = 36, .external_lex_state = 5},
  [3423] = {.lex_state = 36, .external_lex_state = 5},
  [3424] = {.lex_state = 26, .external_lex_state = 4},
  [3425] = {.lex_state = 26, .external_lex_state = 3},
  [3426] = {.lex_state = 26, .external_lex_state = 3},
  [3427] = {.lex_state = 36, .external_lex_state = 5},
  [3428] = {.lex_state = 36, .external_lex_state = 5},
  [3429] = {.lex_state = 36, .external_lex_state = 5},
  [3430] = {.lex_state = 26, .external_lex_state = 3},
  [3431] = {.lex_state = 36, .external_lex_state = 5},
  [3432] = {.lex_state = 36, .external_lex_state = 5},
  [3433] = {.lex_state = 26, .external_lex_state = 4},
  [3434] = {.lex_state = 26, .external_lex_state = 3},
  [3435] = {.lex_state = 36, .external_lex_state = 5},
  [3436] = {.lex_state = 26, .external_lex_state = 3},
  [3437] = {.lex_state = 36, .external_lex_state = 5},
  [3438] = {.lex_state = 36, .external_lex_state = 2},
  [3439] = {.lex_state = 26, .external_lex_state = 3},
  [3440] = {.lex_state = 36, .external_lex_state = 5},
  [3441] = {.lex_state = 26, .external_lex_state = 3},
  [3442] = {.lex_state = 36, .external_lex_state = 5},
  [3443] = {.lex_state = 26, .external_lex_state = 3},
  [3444] = {.lex_state = 36, .external_lex_state = 5},
  [3445] = {.lex_state = 26, .external_lex_state = 3},
  [3446] = {.lex_state = 26, .external_lex_state = 3},
  [3447] = {.lex_state = 36, .external_lex_state = 5},
  [3448] = {.lex_state = 36, .external_lex_state = 2},
  [3449] = {.lex_state = 36, .external_lex_state = 5},
  [3450] = {.lex_state = 36, .external_lex_state = 2},
  [3451] = {.lex_state = 36, .external_lex_state = 5},
  [3452] = {.lex_state = 36, .external_lex_state = 5},
  [3453] = {.lex_state = 36, .external_lex_state = 5},
  [3454] = {.lex_state = 26, .external_lex_state = 3},
  [3455] = {.lex_state = 36, .external_lex_state = 5},
  [3456] = {.lex_state = 26, .external_lex_state = 3},
  [3457] = {.lex_state = 26, .external_lex_state = 3},
  [3458] = {.lex_state = 26, .external_lex_state = 3},
  [3459] = {.lex_state = 36, .external_lex_state = 2},
  [3460] = {.lex_state = 26, .external_lex_state = 3},
  [3461] = {.lex_state = 26, .external_lex_state = 3},
  [3462] = {.lex_state = 26, .external_lex_state = 3},
  [3463] = {.lex_state = 36, .external_lex_state = 5},
  [3464] = {.lex_state = 26, .external_lex_state = 3},
  [3465] = {.lex_state = 26, .external_lex_state = 3},
  [3466] = {.lex_state = 26, .external_lex_state = 3},
  [3467] = {.lex_state = 26, .external_lex_state = 4},
  [3468] = {.lex_state = 36, .external_lex_state = 2},
  [3469] = {.lex_state = 26, .external_lex_state = 3},
  [3470] = {.lex_state = 26, .external_lex_state = 3},
  [3471] = {.lex_state = 26, .external_lex_state = 3},
  [3472] = {.lex_state = 26, .external_lex_state = 4},
  [3473] = {.lex_state = 26, .external_lex_state = 3},
  [3474] = {.lex_state = 36, .external_lex_state = 2},
  [3475] = {.lex_state = 26, .external_lex_state = 3},
  [3476] = {.lex_state = 26, .external_lex_state = 3},
  [3477] = {.lex_state = 26, .external_lex_state = 3},
  [3478] = {.lex_state = 26, .external_lex_state = 3},
  [3479] = {.lex_state = 26, .external_lex_state = 3},
  [3480] = {.lex_state = 26, .external_lex_state = 3},
  [3481] = {.lex_state = 26, .external_lex_state = 3},
  [3482] = {.lex_state = 26, .external_lex_state = 3},
  [3483] = {.lex_state = 26, .external_lex_state = 3},
  [3484] = {.lex_state = 36, .external_lex_state = 2},
  [3485] = {.lex_state = 26, .external_lex_state = 3},
  [3486] = {.lex_state = 26, .external_lex_state = 3},
  [3487] = {.lex_state = 26, .external_lex_state = 3},
  [3488] = {.lex_state = 26, .external_lex_state = 3},
  [3489] = {.lex_state = 36, .external_lex_state = 2},
  [3490] = {.lex_state = 29, .external_lex_state = 3},
  [3491] = {.lex_state = 26, .external_lex_state = 3},
  [3492] = {.lex_state = 26, .external_lex_state = 3},
  [3493] = {.lex_state = 26, .external_lex_state = 3},
  [3494] = {.lex_state = 26, .external_lex_state = 3},
  [3495] = {.lex_state = 26, .external_lex_state = 3},
  [3496] = {.lex_state = 26, .external_lex_state = 3},
  [3497] = {.lex_state = 36, .external_lex_state = 2},
  [3498] = {.lex_state = 26, .external_lex_state = 3},
  [3499] = {.lex_state = 36, .external_lex_state = 5},
  [3500] = {.lex_state = 36, .external_lex_state = 5},
  [3501] = {.lex_state = 36, .external_lex_state = 5},
  [3502] = {.lex_state = 36, .external_lex_state = 5},
  [3503] = {.lex_state = 36, .external_lex_state = 2},
  [3504] = {.lex_state = 26, .external_lex_state = 3},
  [3505] = {.lex_state = 26, .external_lex_state = 4},
  [3506] = {.lex_state = 26, .external_lex_state = 3},
  [3507] = {.lex_state = 26, .external_lex_state = 3},
  [3508] = {.lex_state = 35, .external_lex_state = 5},
  [3509] = {.lex_state = 36, .external_lex_state = 2},
  [3510] = {.lex_state = 35, .external_lex_state = 5},
  [3511] = {.lex_state = 36, .external_lex_state = 5},
  [3512] = {.lex_state = 36, .external_lex_state = 5},
  [3513] = {.lex_state = 36, .external_lex_state = 5},
  [3514] = {.lex_state = 36, .external_lex_state = 5},
  [3515] = {.lex_state = 36, .external_lex_state = 5},
  [3516] = {.lex_state = 26, .external_lex_state = 3},
  [3517] = {.lex_state = 36, .external_lex_state = 2},
  [3518] = {.lex_state = 35, .external_lex_state = 5},
  [3519] = {.lex_state = 35, .external_lex_state = 2},
  [3520] = {.lex_state = 35, .external_lex_state = 5},
  [3521] = {.lex_state = 26, .external_lex_state = 3},
  [3522] = {.lex_state = 36, .external_lex_state = 5},
  [3523] = {.lex_state = 26, .external_lex_state = 3},
  [3524] = {.lex_state = 35, .external_lex_state = 5},
  [3525] = {.lex_state = 26, .external_lex_state = 3},
  [3526] = {.lex_state = 26, .external_lex_state = 3},
  [3527] = {.lex_state = 36, .external_lex_state = 2},
  [3528] = {.lex_state = 36, .external_lex_state = 2},
  [3529] = {.lex_state = 26, .external_lex_state = 3},
  [3530] = {.lex_state = 36, .external_lex_state = 5},
  [3531] = {.lex_state = 26, .external_lex_state = 3},
  [3532] = {.lex_state = 26, .external_lex_state = 3},
  [3533] = {.lex_state = 36, .external_lex_state = 2},
  [3534] = {.lex_state = 26, .external_lex_state = 3},
  [3535] = {.lex_state = 35, .external_lex_state = 5},
  [3536] = {.lex_state = 26, .external_lex_state = 3},
  [3537] = {.lex_state = 26, .external_lex_state = 3},
  [3538] = {.lex_state = 26, .external_lex_state = 3},
  [3539] = {.lex_state = 26, .external_lex_state = 3},
  [3540] = {.lex_state = 26, .external_lex_state = 3},
  [3541] = {.lex_state = 26, .external_lex_state = 3},
  [3542] = {.lex_state = 26, .external_lex_state = 4},
  [3543] = {.lex_state = 26, .external_lex_state = 3},
  [3544] = {.lex_state = 36, .external_lex_state = 5},
  [3545] = {.lex_state = 26, .external_lex_state = 3},
  [3546] = {.lex_state = 36, .external_lex_state = 2},
  [3547] = {.lex_state = 36, .external_lex_state = 5},
  [3548] = {.lex_state = 36, .external_lex_state = 5},
  [3549] = {.lex_state = 36, .external_lex_state = 2},
  [3550] = {.lex_state = 36, .external_lex_state = 2},
  [3551] = {.lex_state = 26, .external_lex_state = 3},
  [3552] = {.lex_state = 36, .external_lex_state = 5},
  [3553] = {.lex_state = 36, .external_lex_state = 2},
  [3554] = {.lex_state = 36, .external_lex_state = 2},
  [3555] = {.lex_state = 26, .external_lex_state = 3},
  [3556] = {.lex_state = 36, .external_lex_state = 2},
  [3557] = {.lex_state = 36, .external_lex_state = 2},
  [3558] = {.lex_state = 36, .external_lex_state = 5},
  [3559] = {.lex_state = 36, .external_lex_state = 5},
  [3560] = {.lex_state = 26, .external_lex_state = 3},
  [3561] = {.lex_state = 36, .external_lex_state = 2},
  [3562] = {.lex_state = 36, .external_lex_state = 5},
  [3563] = {.lex_state = 36, .external_lex_state = 2},
  [3564] = {.lex_state = 27, .external_lex_state = 3},
  [3565] = {.lex_state = 36, .external_lex_state = 5},
  [3566] = {.lex_state = 36, .external_lex_state = 2},
  [3567] = {.lex_state = 36, .external_lex_state = 5},
  [3568] = {.lex_state = 36, .external_lex_state = 5},
  [3569] = {.lex_state = 36, .external_lex_state = 2},
  [3570] = {.lex_state = 36, .external_lex_state = 5},
  [3571] = {.lex_state = 36, .external_lex_state = 5},
  [3572] = {.lex_state = 26, .external_lex_state = 3},
  [3573] = {.lex_state = 26, .external_lex_state = 3},
  [3574] = {.lex_state = 36, .external_lex_state = 5},
  [3575] = {.lex_state = 36, .external_lex_state = 2},
  [3576] = {.lex_state = 36, .external_lex_state = 5},
  [3577] = {.lex_state = 36, .external_lex_state = 2},
  [3578] = {.lex_state = 36, .external_lex_state = 2},
  [3579] = {.lex_state = 36, .external_lex_state = 2},
  [3580] = {.lex_state = 36, .external_lex_state = 2},
  [3581] = {.lex_state = 36, .external_lex_state = 2},
  [3582] = {.lex_state = 36, .external_lex_state = 5},
  [3583] = {.lex_state = 36, .external_lex_state = 5},
  [3584] = {.lex_state = 36, .external_lex_state = 5},
  [3585] = {.lex_state = 36, .external_lex_state = 2},
  [3586] = {.lex_state = 26, .external_lex_state = 3},
  [3587] = {.lex_state = 26, .external_lex_state = 3},
  [3588] = {.lex_state = 26, .external_lex_state = 3},
  [3589] = {.lex_state = 26, .external_lex_state = 3},
  [3590] = {.lex_state = 26, .external_lex_state = 3},
  [3591] = {.lex_state = 26, .external_lex_state = 3},
  [3592] = {.lex_state = 26, .external_lex_state = 3},
  [3593] = {.lex_state = 26, .external_lex_state = 3},
  [3594] = {.lex_state = 26, .external_lex_state = 3},
  [3595] = {.lex_state = 26, .external_lex_state = 3},
  [3596] = {.lex_state = 26, .external_lex_state = 3},
  [3597] = {.lex_state = 36, .external_lex_state = 2},
  [3598] = {.lex_state = 26, .external_lex_state = 3},
  [3599] = {.lex_state = 35, .external_lex_state = 5},
  [3600] = {.lex_state = 35, .external_lex_state = 5},
  [3601] = {.lex_state = 35, .external_lex_state = 5},
  [3602] = {.lex_state = 35, .external_lex_state = 5},
  [3603] = {.lex_state = 36, .external_lex_state = 2},
  [3604] = {.lex_state = 35, .external_lex_state = 5},
  [3605] = {.lex_state = 35, .external_lex_state = 5},
  [3606] = {.lex_state = 36, .external_lex_state = 2},
  [3607] = {.lex_state = 36, .external_lex_state = 2},
  [3608] = {.lex_state = 35, .external_lex_state = 5},
  [3609] = {.lex_state = 35, .external_lex_state = 5},
  [3610] = {.lex_state = 35, .external_lex_state = 5},
  [3611] = {.lex_state = 35, .external_lex_state = 5},
  [3612] = {.lex_state = 35, .external_lex_state = 5},
  [3613] = {.lex_state = 35, .external_lex_state = 5},
  [3614] = {.lex_state = 35, .external_lex_state = 5},
  [3615] = {.lex_state = 35, .external_lex_state = 5},
  [3616] = {.lex_state = 35, .external_lex_state = 5},
  [3617] = {.lex_state = 35, .external_lex_state = 5},
  [3618] = {.lex_state = 35, .external_lex_state = 5},
  [3619] = {.lex_state = 35, .external_lex_state = 5},
  [3620] = {.lex_state = 35, .external_lex_state = 5},
  [3621] = {.lex_state = 35, .external_lex_state = 5},
  [3622] = {.lex_state = 35, .external_lex_state = 5},
  [3623] = {.lex_state = 35, .external_lex_state = 5},
  [3624] = {.lex_state = 35, .external_lex_state = 5},
  [3625] = {.lex_state = 35, .external_lex_state = 5},
  [3626] = {.lex_state = 35, .external_lex_state = 5},
  [3627] = {.lex_state = 35, .external_lex_state = 5},
  [3628] = {.lex_state = 35, .external_lex_state = 5},
  [3629] = {.lex_state = 35, .external_lex_state = 5},
  [3630] = {.lex_state = 35, .external_lex_state = 5},
  [3631] = {.lex_state = 35, .external_lex_state = 5},
  [3632] = {.lex_state = 35, .external_lex_state = 5},
  [3633] = {.lex_state = 35, .external_lex_state = 5},
  [3634] = {.lex_state = 36, .external_lex_state = 2},
  [3635] = {.lex_state = 35, .external_lex_state = 5},
  [3636] = {.lex_state = 35, .external_lex_state = 5},
  [3637] = {.lex_state = 35, .external_lex_state = 5},
  [3638] = {.lex_state = 35, .external_lex_state = 5},
  [3639] = {.lex_state = 35, .external_lex_state = 5},
  [3640] = {.lex_state = 35, .external_lex_state = 5},
  [3641] = {.lex_state = 35, .external_lex_state = 5},
  [3642] = {.lex_state = 35, .external_lex_state = 5},
  [3643] = {.lex_state = 35, .external_lex_state = 5},
  [3644] = {.lex_state = 35, .external_lex_state = 5},
  [3645] = {.lex_state = 35, .external_lex_state = 5},
  [3646] = {.lex_state = 35, .external_lex_state = 5},
  [3647] = {.lex_state = 35, .external_lex_state = 5},
  [3648] = {.lex_state = 35, .external_lex_state = 5},
  [3649] = {.lex_state = 35, .external_lex_state = 5},
  [3650] = {.lex_state = 35, .external_lex_state = 5},
  [3651] = {.lex_state = 35, .external_lex_state = 5},
  [3652] = {.lex_state = 35, .external_lex_state = 5},
  [3653] = {.lex_state = 36, .external_lex_state = 2},
  [3654] = {.lex_state = 35, .external_lex_state = 5},
  [3655] = {.lex_state = 35, .external_lex_state = 5},
  [3656] = {.lex_state = 36, .external_lex_state = 2},
  [3657] = {.lex_state = 36, .external_lex_state = 2},
  [3658] = {.lex_state = 36, .external_lex_state = 2},
  [3659] = {.lex_state = 36, .external_lex_state = 2},
  [3660] = {.lex_state = 36, .external_lex_state = 2},
  [3661] = {.lex_state = 35, .external_lex_state = 2},
  [3662] = {.lex_state = 35, .external_lex_state = 2},
  [3663] = {.lex_state = 35, .external_lex_state = 2},
  [3664] = {.lex_state = 36, .external_lex_state = 2},
  [3665] = {.lex_state = 35, .external_lex_state = 2},
  [3666] = {.lex_state = 36, .external_lex_state = 2},
  [3667] = {.lex_state = 35, .external_lex_state = 2},
  [3668] = {.lex_state = 35, .external_lex_state = 2},
  [3669] = {.lex_state = 36, .external_lex_state = 2},
  [3670] = {.lex_state = 36, .external_lex_state = 2},
  [3671] = {.lex_state = 35, .external_lex_state = 2},
  [3672] = {.lex_state = 36, .external_lex_state = 2},
  [3673] = {.lex_state = 36, .external_lex_state = 2},
  [3674] = {.lex_state = 35, .external_lex_state = 2},
  [3675] = {.lex_state = 36, .external_lex_state = 2},
  [3676] = {.lex_state = 36, .external_lex_state = 2},
  [3677] = {.lex_state = 36, .external_lex_state = 2},
  [3678] = {.lex_state = 36, .external_lex_state = 2},
  [3679] = {.lex_state = 36, .external_lex_state = 2},
  [3680] = {.lex_state = 36, .external_lex_state = 2},
  [3681] = {.lex_state = 36, .external_lex_state = 2},
  [3682] = {.lex_state = 36, .external_lex_state = 2},
  [3683] = {.lex_state = 36, .external_lex_state = 2},
  [3684] = {.lex_state = 36, .external_lex_state = 2},
  [3685] = {.lex_state = 36, .external_lex_state = 2},
  [3686] = {.lex_state = 36, .external_lex_state = 2},
  [3687] = {.lex_state = 36, .external_lex_state = 2},
  [3688] = {.lex_state = 36, .external_lex_state = 2},
  [3689] = {.lex_state = 36, .external_lex_state = 2},
  [3690] = {.lex_state = 36, .external_lex_state = 2},
  [3691] = {.lex_state = 35, .external_lex_state = 2},
  [3692] = {.lex_state = 35, .external_lex_state = 2},
  [3693] = {.lex_state = 36, .external_lex_state = 2},
  [3694] = {.lex_state = 36, .external_lex_state = 2},
  [3695] = {.lex_state = 36, .external_lex_state = 2},
  [3696] = {.lex_state = 36, .external_lex_state = 2},
  [3697] = {.lex_state = 36, .external_lex_state = 2},
  [3698] = {.lex_state = 36, .external_lex_state = 2},
  [3699] = {.lex_state = 36, .external_lex_state = 2},
  [3700] = {.lex_state = 36, .external_lex_state = 2},
  [3701] = {.lex_state = 36, .external_lex_state = 2},
  [3702] = {.lex_state = 36, .external_lex_state = 2},
  [3703] = {.lex_state = 349, .external_lex_state = 2},
  [3704] = {.lex_state = 36, .external_lex_state = 2},
  [3705] = {.lex_state = 349, .external_lex_state = 2},
  [3706] = {.lex_state = 349, .external_lex_state = 2},
  [3707] = {.lex_state = 349, .external_lex_state = 2},
  [3708] = {.lex_state = 36, .external_lex_state = 2},
  [3709] = {.lex_state = 349, .external_lex_state = 2},
  [3710] = {.lex_state = 349, .external_lex_state = 2},
  [3711] = {.lex_state = 36, .external_lex_state = 2},
  [3712] = {.lex_state = 36, .external_lex_state = 2},
  [3713] = {.lex_state = 36, .external_lex_state = 2},
  [3714] = {.lex_state = 36, .external_lex_state = 2},
  [3715] = {.lex_state = 36, .external_lex_state = 2},
  [3716] = {.lex_state = 35, .external_lex_state = 2},
  [3717] = {.lex_state = 36, .external_lex_state = 2},
  [3718] = {.lex_state = 36, .external_lex_state = 2},
  [3719] = {.lex_state = 36, .external_lex_state = 2},
  [3720] = {.lex_state = 36, .external_lex_state = 2},
  [3721] = {.lex_state = 36, .external_lex_state = 2},
  [3722] = {.lex_state = 36, .external_lex_state = 2},
  [3723] = {.lex_state = 36, .external_lex_state = 2},
  [3724] = {.lex_state = 36, .external_lex_state = 2},
  [3725] = {.lex_state = 36, .external_lex_state = 2},
  [3726] = {.lex_state = 36, .external_lex_state = 2},
  [3727] = {.lex_state = 35, .external_lex_state = 2},
  [3728] = {.lex_state = 36, .external_lex_state = 2},
  [3729] = {.lex_state = 36, .external_lex_state = 2},
  [3730] = {.lex_state = 36, .external_lex_state = 2},
  [3731] = {.lex_state = 35, .external_lex_state = 2},
  [3732] = {.lex_state = 36, .external_lex_state = 2},
  [3733] = {.lex_state = 349, .external_lex_state = 2},
  [3734] = {.lex_state = 36, .external_lex_state = 2},
  [3735] = {.lex_state = 36, .external_lex_state = 2},
  [3736] = {.lex_state = 36, .external_lex_state = 2},
  [3737] = {.lex_state = 35, .external_lex_state = 2},
  [3738] = {.lex_state = 36, .external_lex_state = 2},
  [3739] = {.lex_state = 36, .external_lex_state = 2},
  [3740] = {.lex_state = 36, .external_lex_state = 2},
  [3741] = {.lex_state = 349, .external_lex_state = 2},
  [3742] = {.lex_state = 349, .external_lex_state = 2},
  [3743] = {.lex_state = 36, .external_lex_state = 2},
  [3744] = {.lex_state = 36, .external_lex_state = 2},
  [3745] = {.lex_state = 349, .external_lex_state = 2},
  [3746] = {.lex_state = 36, .external_lex_state = 2},
  [3747] = {.lex_state = 36, .external_lex_state = 2},
  [3748] = {.lex_state = 349, .external_lex_state = 2},
  [3749] = {.lex_state = 36, .external_lex_state = 2},
  [3750] = {.lex_state = 36, .external_lex_state = 2},
  [3751] = {.lex_state = 36, .external_lex_state = 2},
  [3752] = {.lex_state = 349, .external_lex_state = 2},
  [3753] = {.lex_state = 36, .external_lex_state = 2},
  [3754] = {.lex_state = 36, .external_lex_state = 2},
  [3755] = {.lex_state = 36, .external_lex_state = 2},
  [3756] = {.lex_state = 36, .external_lex_state = 2},
  [3757] = {.lex_state = 36, .external_lex_state = 2},
  [3758] = {.lex_state = 36, .external_lex_state = 2},
  [3759] = {.lex_state = 36, .external_lex_state = 2},
  [3760] = {.lex_state = 36, .external_lex_state = 2},
  [3761] = {.lex_state = 36, .external_lex_state = 2},
  [3762] = {.lex_state = 36, .external_lex_state = 2},
  [3763] = {.lex_state = 36, .external_lex_state = 2},
  [3764] = {.lex_state = 36, .external_lex_state = 2},
  [3765] = {.lex_state = 36, .external_lex_state = 2},
  [3766] = {.lex_state = 36, .external_lex_state = 2},
  [3767] = {.lex_state = 36, .external_lex_state = 2},
  [3768] = {.lex_state = 36, .external_lex_state = 2},
  [3769] = {.lex_state = 36, .external_lex_state = 2},
  [3770] = {.lex_state = 36, .external_lex_state = 2},
  [3771] = {.lex_state = 36, .external_lex_state = 2},
  [3772] = {.lex_state = 36, .external_lex_state = 2},
  [3773] = {.lex_state = 36, .external_lex_state = 2},
  [3774] = {.lex_state = 36, .external_lex_state = 2},
  [3775] = {.lex_state = 36, .external_lex_state = 2},
  [3776] = {.lex_state = 36, .external_lex_state = 2},
  [3777] = {.lex_state = 36, .external_lex_state = 2},
  [3778] = {.lex_state = 36, .external_lex_state = 2},
  [3779] = {.lex_state = 36, .external_lex_state = 2},
  [3780] = {.lex_state = 36, .external_lex_state = 2},
  [3781] = {.lex_state = 35, .external_lex_state = 2},
  [3782] = {.lex_state = 36, .external_lex_state = 2},
  [3783] = {.lex_state = 36, .external_lex_state = 2},
  [3784] = {.lex_state = 36, .external_lex_state = 2},
  [3785] = {.lex_state = 35, .external_lex_state = 2},
  [3786] = {.lex_state = 36, .external_lex_state = 2},
  [3787] = {.lex_state = 36, .external_lex_state = 2},
  [3788] = {.lex_state = 36, .external_lex_state = 2},
  [3789] = {.lex_state = 36, .external_lex_state = 2},
  [3790] = {.lex_state = 36, .external_lex_state = 2},
  [3791] = {.lex_state = 36, .external_lex_state = 2},
  [3792] = {.lex_state = 36, .external_lex_state = 2},
  [3793] = {.lex_state = 36, .external_lex_state = 2},
  [3794] = {.lex_state = 36, .external_lex_state = 2},
  [3795] = {.lex_state = 36, .external_lex_state = 2},
  [3796] = {.lex_state = 36, .external_lex_state = 2},
  [3797] = {.lex_state = 36, .external_lex_state = 2},
  [3798] = {.lex_state = 36, .external_lex_state = 2},
  [3799] = {.lex_state = 36, .external_lex_state = 2},
  [3800] = {.lex_state = 36, .external_lex_state = 2},
  [3801] = {.lex_state = 36, .external_lex_state = 2},
  [3802] = {.lex_state = 35, .external_lex_state = 2},
  [3803] = {.lex_state = 36, .external_lex_state = 2},
  [3804] = {.lex_state = 36, .external_lex_state = 2},
  [3805] = {.lex_state = 36, .external_lex_state = 2},
  [3806] = {.lex_state = 36, .external_lex_state = 2},
  [3807] = {.lex_state = 36, .external_lex_state = 2},
  [3808] = {.lex_state = 36, .external_lex_state = 2},
  [3809] = {.lex_state = 35, .external_lex_state = 2},
  [3810] = {.lex_state = 36, .external_lex_state = 2},
  [3811] = {.lex_state = 36, .external_lex_state = 2},
  [3812] = {.lex_state = 36, .external_lex_state = 2},
  [3813] = {.lex_state = 36, .external_lex_state = 2},
  [3814] = {.lex_state = 36, .external_lex_state = 2},
  [3815] = {.lex_state = 36, .external_lex_state = 2},
  [3816] = {.lex_state = 36, .external_lex_state = 2},
  [3817] = {.lex_state = 36, .external_lex_state = 2},
  [3818] = {.lex_state = 36, .external_lex_state = 2},
  [3819] = {.lex_state = 36, .external_lex_state = 2},
  [3820] = {.lex_state = 36, .external_lex_state = 2},
  [3821] = {.lex_state = 36, .external_lex_state = 2},
  [3822] = {.lex_state = 36, .external_lex_state = 2},
  [3823] = {.lex_state = 36, .external_lex_state = 2},
  [3824] = {.lex_state = 36, .external_lex_state = 2},
  [3825] = {.lex_state = 35, .external_lex_state = 2},
  [3826] = {.lex_state = 36, .external_lex_state = 2},
  [3827] = {.lex_state = 36, .external_lex_state = 2},
  [3828] = {.lex_state = 36, .external_lex_state = 2},
  [3829] = {.lex_state = 36, .external_lex_state = 2},
  [3830] = {.lex_state = 36, .external_lex_state = 2},
  [3831] = {.lex_state = 36, .external_lex_state = 2},
  [3832] = {.lex_state = 36, .external_lex_state = 2},
  [3833] = {.lex_state = 36, .external_lex_state = 2},
  [3834] = {.lex_state = 35, .external_lex_state = 2},
  [3835] = {.lex_state = 72, .external_lex_state = 2},
  [3836] = {.lex_state = 47, .external_lex_state = 2},
  [3837] = {.lex_state = 47, .external_lex_state = 2},
  [3838] = {.lex_state = 47, .external_lex_state = 2},
  [3839] = {.lex_state = 47, .external_lex_state = 2},
  [3840] = {.lex_state = 47, .external_lex_state = 2},
  [3841] = {.lex_state = 47, .external_lex_state = 2},
  [3842] = {.lex_state = 56, .external_lex_state = 2},
  [3843] = {.lex_state = 56, .external_lex_state = 2},
  [3844] = {.lex_state = 47, .external_lex_state = 2},
  [3845] = {.lex_state = 47, .external_lex_state = 2},
  [3846] = {.lex_state = 47, .external_lex_state = 2},
  [3847] = {.lex_state = 47, .external_lex_state = 2},
  [3848] = {.lex_state = 47, .external_lex_state = 2},
  [3849] = {.lex_state = 47, .external_lex_state = 2},
  [3850] = {.lex_state = 47, .external_lex_state = 2},
  [3851] = {.lex_state = 47, .external_lex_state = 2},
  [3852] = {.lex_state = 47, .external_lex_state = 2},
  [3853] = {.lex_state = 47, .external_lex_state = 2},
  [3854] = {.lex_state = 47, .external_lex_state = 2},
  [3855] = {.lex_state = 47, .external_lex_state = 2},
  [3856] = {.lex_state = 47, .external_lex_state = 2},
  [3857] = {.lex_state = 47, .external_lex_state = 2},
  [3858] = {.lex_state = 47, .external_lex_state = 2},
  [3859] = {.lex_state = 47, .external_lex_state = 2},
  [3860] = {.lex_state = 47, .external_lex_state = 2},
  [3861] = {.lex_state = 47, .external_lex_state = 2},
  [3862] = {.lex_state = 56, .external_lex_state = 2},
  [3863] = {.lex_state = 47, .external_lex_state = 2},
  [3864] = {.lex_state = 47, .external_lex_state = 2},
  [3865] = {.lex_state = 47, .external_lex_state = 2},
  [3866] = {.lex_state = 47, .external_lex_state = 2},
  [3867] = {.lex_state = 47, .external_lex_state = 2},
  [3868] = {.lex_state = 47, .external_lex_state = 2},
  [3869] = {.lex_state = 47, .external_lex_state = 2},
  [3870] = {.lex_state = 47, .external_lex_state = 2},
  [3871] = {.lex_state = 47, .external_lex_state = 2},
  [3872] = {.lex_state = 47, .external_lex_state = 2},
  [3873] = {.lex_state = 47, .external_lex_state = 2},
  [3874] = {.lex_state = 47, .external_lex_state = 2},
  [3875] = {.lex_state = 47, .external_lex_state = 2},
  [3876] = {.lex_state = 47, .external_lex_state = 2},
  [3877] = {.lex_state = 47, .external_lex_state = 2},
  [3878] = {.lex_state = 47, .external_lex_state = 2},
  [3879] = {.lex_state = 51, .external_lex_state = 2},
  [3880] = {.lex_state = 51, .external_lex_state = 2},
  [3881] = {.lex_state = 51, .external_lex_state = 2},
  [3882] = {.lex_state = 51, .external_lex_state = 2},
  [3883] = {.lex_state = 56, .external_lex_state = 2},
  [3884] = {.lex_state = 51, .external_lex_state = 2},
  [3885] = {.lex_state = 56, .external_lex_state = 2},
  [3886] = {.lex_state = 56, .external_lex_state = 2},
  [3887] = {.lex_state = 45, .external_lex_state = 5},
  [3888] = {.lex_state = 56, .external_lex_state = 2},
  [3889] = {.lex_state = 56, .external_lex_state = 2},
  [3890] = {.lex_state = 56, .external_lex_state = 2},
  [3891] = {.lex_state = 47, .external_lex_state = 2},
  [3892] = {.lex_state = 56, .external_lex_state = 2},
  [3893] = {.lex_state = 56, .external_lex_state = 2},
  [3894] = {.lex_state = 56, .external_lex_state = 2},
  [3895] = {.lex_state = 56, .external_lex_state = 2},
  [3896] = {.lex_state = 56, .external_lex_state = 2},
  [3897] = {.lex_state = 56, .external_lex_state = 2},
  [3898] = {.lex_state = 47, .external_lex_state = 2},
  [3899] = {.lex_state = 56, .external_lex_state = 2},
  [3900] = {.lex_state = 47, .external_lex_state = 5},
  [3901] = {.lex_state = 56, .external_lex_state = 2},
  [3902] = {.lex_state = 56, .external_lex_state = 2},
  [3903] = {.lex_state = 47, .external_lex_state = 2},
  [3904] = {.lex_state = 47, .external_lex_state = 5},
  [3905] = {.lex_state = 47, .external_lex_state = 5},
  [3906] = {.lex_state = 47, .external_lex_state = 2},
  [3907] = {.lex_state = 56, .external_lex_state = 2},
  [3908] = {.lex_state = 45, .external_lex_state = 5},
  [3909] = {.lex_state = 56, .external_lex_state = 2},
  [3910] = {.lex_state = 56, .external_lex_state = 2},
  [3911] = {.lex_state = 56, .external_lex_state = 2},
  [3912] = {.lex_state = 56, .external_lex_state = 2},
  [3913] = {.lex_state = 56, .external_lex_state = 2},
  [3914] = {.lex_state = 56, .external_lex_state = 2},
  [3915] = {.lex_state = 56, .external_lex_state = 2},
  [3916] = {.lex_state = 56, .external_lex_state = 2},
  [3917] = {.lex_state = 56, .external_lex_state = 2},
  [3918] = {.lex_state = 56, .external_lex_state = 2},
  [3919] = {.lex_state = 56, .external_lex_state = 2},
  [3920] = {.lex_state = 56, .external_lex_state = 2},
  [3921] = {.lex_state = 56, .external_lex_state = 2},
  [3922] = {.lex_state = 56, .external_lex_state = 2},
  [3923] = {.lex_state = 47, .external_lex_state = 5},
  [3924] = {.lex_state = 47, .external_lex_state = 5},
  [3925] = {.lex_state = 56, .external_lex_state = 2},
  [3926] = {.lex_state = 47, .external_lex_state = 5},
  [3927] = {.lex_state = 47, .external_lex_state = 5},
  [3928] = {.lex_state = 47, .external_lex_state = 6},
  [3929] = {.lex_state = 47, .external_lex_state = 6},
  [3930] = {.lex_state = 47, .external_lex_state = 6},
  [3931] = {.lex_state = 56, .external_lex_state = 2},
  [3932] = {.lex_state = 47, .external_lex_state = 5},
  [3933] = {.lex_state = 56, .external_lex_state = 2},
  [3934] = {.lex_state = 56, .external_lex_state = 2},
  [3935] = {.lex_state = 56, .external_lex_state = 2},
  [3936] = {.lex_state = 47, .external_lex_state = 5},
  [3937] = {.lex_state = 56, .external_lex_state = 2},
  [3938] = {.lex_state = 349, .external_lex_state = 2},
  [3939] = {.lex_state = 56, .external_lex_state = 2},
  [3940] = {.lex_state = 56, .external_lex_state = 2},
  [3941] = {.lex_state = 56, .external_lex_state = 2},
  [3942] = {.lex_state = 56, .external_lex_state = 2},
  [3943] = {.lex_state = 47, .external_lex_state = 5},
  [3944] = {.lex_state = 47, .external_lex_state = 5},
  [3945] = {.lex_state = 45, .external_lex_state = 5},
  [3946] = {.lex_state = 56, .external_lex_state = 2},
  [3947] = {.lex_state = 56, .external_lex_state = 2},
  [3948] = {.lex_state = 56, .external_lex_state = 2},
  [3949] = {.lex_state = 56, .external_lex_state = 2},
  [3950] = {.lex_state = 47, .external_lex_state = 5},
  [3951] = {.lex_state = 56, .external_lex_state = 2},
  [3952] = {.lex_state = 349, .external_lex_state = 2},
  [3953] = {.lex_state = 56, .external_lex_state = 2},
  [3954] = {.lex_state = 349, .external_lex_state = 2},
  [3955] = {.lex_state = 56, .external_lex_state = 2},
  [3956] = {.lex_state = 349, .external_lex_state = 2},
  [3957] = {.lex_state = 56, .external_lex_state = 2},
  [3958] = {.lex_state = 56, .external_lex_state = 2},
  [3959] = {.lex_state = 47, .external_lex_state = 5},
  [3960] = {.lex_state = 56, .external_lex_state = 2},
  [3961] = {.lex_state = 349, .external_lex_state = 2},
  [3962] = {.lex_state = 349, .external_lex_state = 2},
  [3963] = {.lex_state = 349, .external_lex_state = 2},
  [3964] = {.lex_state = 47, .external_lex_state = 5},
  [3965] = {.lex_state = 47, .external_lex_state = 5},
  [3966] = {.lex_state = 349, .external_lex_state = 2},
  [3967] = {.lex_state = 349, .external_lex_state = 2},
  [3968] = {.lex_state = 349, .external_lex_state = 2},
  [3969] = {.lex_state = 349, .external_lex_state = 2},
  [3970] = {.lex_state = 56, .external_lex_state = 2},
  [3971] = {.lex_state = 56, .external_lex_state = 2},
  [3972] = {.lex_state = 47, .external_lex_state = 5},
  [3973] = {.lex_state = 56, .external_lex_state = 2},
  [3974] = {.lex_state = 56, .external_lex_state = 2},
  [3975] = {.lex_state = 47, .external_lex_state = 5},
  [3976] = {.lex_state = 349, .external_lex_state = 2},
  [3977] = {.lex_state = 56, .external_lex_state = 2},
  [3978] = {.lex_state = 349, .external_lex_state = 2},
  [3979] = {.lex_state = 349, .external_lex_state = 2},
  [3980] = {.lex_state = 47, .external_lex_state = 5},
  [3981] = {.lex_state = 56, .external_lex_state = 2},
  [3982] = {.lex_state = 56, .external_lex_state = 2},
  [3983] = {.lex_state = 349, .external_lex_state = 2},
  [3984] = {.lex_state = 349, .external_lex_state = 2},
  [3985] = {.lex_state = 56, .external_lex_state = 2},
  [3986] = {.lex_state = 56, .external_lex_state = 2},
  [3987] = {.lex_state = 349, .external_lex_state = 2},
  [3988] = {.lex_state = 47, .external_lex_state = 5},
  [3989] = {.lex_state = 56, .external_lex_state = 2},
  [3990] = {.lex_state = 56, .external_lex_state = 2},
  [3991] = {.lex_state = 349, .external_lex_state = 2},
  [3992] = {.lex_state = 56, .external_lex_state = 2},
  [3993] = {.lex_state = 349, .external_lex_state = 2},
  [3994] = {.lex_state = 47, .external_lex_state = 5},
  [3995] = {.lex_state = 349, .external_lex_state = 2},
  [3996] = {.lex_state = 47, .external_lex_state = 5},
  [3997] = {.lex_state = 349, .external_lex_state = 2},
  [3998] = {.lex_state = 47, .external_lex_state = 5},
  [3999] = {.lex_state = 47, .external_lex_state = 5},
  [4000] = {.lex_state = 56, .external_lex_state = 2},
  [4001] = {.lex_state = 349, .external_lex_state = 2},
  [4002] = {.lex_state = 56, .external_lex_state = 2},
  [4003] = {.lex_state = 56, .external_lex_state = 2},
  [4004] = {.lex_state = 47, .external_lex_state = 5},
  [4005] = {.lex_state = 47, .external_lex_state = 5},
  [4006] = {.lex_state = 47, .external_lex_state = 5},
  [4007] = {.lex_state = 47, .external_lex_state = 5},
  [4008] = {.lex_state = 56, .external_lex_state = 2},
  [4009] = {.lex_state = 47, .external_lex_state = 5},
  [4010] = {.lex_state = 56, .external_lex_state = 2},
  [4011] = {.lex_state = 349, .external_lex_state = 2},
  [4012] = {.lex_state = 349, .external_lex_state = 2},
  [4013] = {.lex_state = 349, .external_lex_state = 2},
  [4014] = {.lex_state = 349, .external_lex_state = 2},
  [4015] = {.lex_state = 47, .external_lex_state = 5},
  [4016] = {.lex_state = 349, .external_lex_state = 2},
  [4017] = {.lex_state = 56, .external_lex_state = 2},
  [4018] = {.lex_state = 47, .external_lex_state = 5},
  [4019] = {.lex_state = 349, .external_lex_state = 2},
  [4020] = {.lex_state = 47, .external_lex_state = 5},
  [4021] = {.lex_state = 47, .external_lex_state = 5},
  [4022] = {.lex_state = 349, .external_lex_state = 2},
  [4023] = {.lex_state = 47, .external_lex_state = 5},
  [4024] = {.lex_state = 47, .external_lex_state = 5},
  [4025] = {.lex_state = 56, .external_lex_state = 2},
  [4026] = {.lex_state = 47, .external_lex_state = 5},
  [4027] = {.lex_state = 47, .external_lex_state = 5},
  [4028] = {.lex_state = 47, .external_lex_state = 5},
  [4029] = {.lex_state = 349, .external_lex_state = 2},
  [4030] = {.lex_state = 45, .external_lex_state = 5},
  [4031] = {.lex_state = 45, .external_lex_state = 5},
  [4032] = {.lex_state = 45, .external_lex_state = 5},
  [4033] = {.lex_state = 45, .external_lex_state = 5},
  [4034] = {.lex_state = 52, .external_lex_state = 2},
  [4035] = {.lex_state = 45, .external_lex_state = 5},
  [4036] = {.lex_state = 45, .external_lex_state = 5},
  [4037] = {.lex_state = 73, .external_lex_state = 2},
  [4038] = {.lex_state = 45, .external_lex_state = 5},
  [4039] = {.lex_state = 45, .external_lex_state = 5},
  [4040] = {.lex_state = 45, .external_lex_state = 5},
  [4041] = {.lex_state = 45, .external_lex_state = 5},
  [4042] = {.lex_state = 45, .external_lex_state = 5},
  [4043] = {.lex_state = 52, .external_lex_state = 2},
  [4044] = {.lex_state = 45, .external_lex_state = 5},
  [4045] = {.lex_state = 45, .external_lex_state = 5},
  [4046] = {.lex_state = 45, .external_lex_state = 5},
  [4047] = {.lex_state = 45, .external_lex_state = 5},
  [4048] = {.lex_state = 45, .external_lex_state = 5},
  [4049] = {.lex_state = 73, .external_lex_state = 2},
  [4050] = {.lex_state = 45, .external_lex_state = 5},
  [4051] = {.lex_state = 45, .external_lex_state = 5},
  [4052] = {.lex_state = 45, .external_lex_state = 5},
  [4053] = {.lex_state = 45, .external_lex_state = 5},
  [4054] = {.lex_state = 73, .external_lex_state = 2},
  [4055] = {.lex_state = 45, .external_lex_state = 5},
  [4056] = {.lex_state = 45, .external_lex_state = 5},
  [4057] = {.lex_state = 45, .external_lex_state = 2},
  [4058] = {.lex_state = 45, .external_lex_state = 5},
  [4059] = {.lex_state = 73, .external_lex_state = 2},
  [4060] = {.lex_state = 52, .external_lex_state = 2},
  [4061] = {.lex_state = 45, .external_lex_state = 5},
  [4062] = {.lex_state = 52, .external_lex_state = 2},
  [4063] = {.lex_state = 73, .external_lex_state = 2},
  [4064] = {.lex_state = 45, .external_lex_state = 5},
  [4065] = {.lex_state = 45, .external_lex_state = 5},
  [4066] = {.lex_state = 45, .external_lex_state = 5},
  [4067] = {.lex_state = 52, .external_lex_state = 2},
  [4068] = {.lex_state = 45, .external_lex_state = 5},
  [4069] = {.lex_state = 45, .external_lex_state = 5},
  [4070] = {.lex_state = 47, .external_lex_state = 5},
  [4071] = {.lex_state = 45, .external_lex_state = 5},
  [4072] = {.lex_state = 47, .external_lex_state = 6},
  [4073] = {.lex_state = 47, .external_lex_state = 6},
  [4074] = {.lex_state = 47, .external_lex_state = 6},
  [4075] = {.lex_state = 47, .external_lex_state = 6},
  [4076] = {.lex_state = 47, .external_lex_state = 6},
  [4077] = {.lex_state = 47, .external_lex_state = 5},
  [4078] = {.lex_state = 47, .external_lex_state = 6},
  [4079] = {.lex_state = 47, .external_lex_state = 6},
  [4080] = {.lex_state = 45, .external_lex_state = 5},
  [4081] = {.lex_state = 45, .external_lex_state = 5},
  [4082] = {.lex_state = 45, .external_lex_state = 5},
  [4083] = {.lex_state = 47, .external_lex_state = 6},
  [4084] = {.lex_state = 47, .external_lex_state = 6},
  [4085] = {.lex_state = 45, .external_lex_state = 5},
  [4086] = {.lex_state = 45, .external_lex_state = 5},
  [4087] = {.lex_state = 47, .external_lex_state = 5},
  [4088] = {.lex_state = 47, .external_lex_state = 6},
  [4089] = {.lex_state = 47, .external_lex_state = 6},
  [4090] = {.lex_state = 45, .external_lex_state = 5},
  [4091] = {.lex_state = 47, .external_lex_state = 6},
  [4092] = {.lex_state = 47, .external_lex_state = 6},
  [4093] = {.lex_state = 45, .external_lex_state = 5},
  [4094] = {.lex_state = 45, .external_lex_state = 5},
  [4095] = {.lex_state = 45, .external_lex_state = 5},
  [4096] = {.lex_state = 45, .external_lex_state = 5},
  [4097] = {.lex_state = 47, .external_lex_state = 6},
  [4098] = {.lex_state = 45, .external_lex_state = 5},
  [4099] = {.lex_state = 47, .external_lex_state = 6},
  [4100] = {.lex_state = 47, .external_lex_state = 6},
  [4101] = {.lex_state = 47, .external_lex_state = 6},
  [4102] = {.lex_state = 47, .external_lex_state = 5},
  [4103] = {.lex_state = 47, .external_lex_state = 5},
  [4104] = {.lex_state = 47, .external_lex_state = 6},
  [4105] = {.lex_state = 47, .external_lex_state = 5},
  [4106] = {.lex_state = 47, .external_lex_state = 6},
  [4107] = {.lex_state = 47, .external_lex_state = 5},
  [4108] = {.lex_state = 45, .external_lex_state = 5},
  [4109] = {.lex_state = 47, .external_lex_state = 6},
  [4110] = {.lex_state = 45, .external_lex_state = 5},
  [4111] = {.lex_state = 47, .external_lex_state = 6},
  [4112] = {.lex_state = 45, .external_lex_state = 5},
  [4113] = {.lex_state = 47, .external_lex_state = 6},
  [4114] = {.lex_state = 47, .external_lex_state = 6},
  [4115] = {.lex_state = 45, .external_lex_state = 5},
  [4116] = {.lex_state = 45, .external_lex_state = 5},
  [4117] = {.lex_state = 45, .external_lex_state = 5},
  [4118] = {.lex_state = 45, .external_lex_state = 5},
  [4119] = {.lex_state = 45, .external_lex_state = 5},
  [4120] = {.lex_state = 45, .external_lex_state = 5},
  [4121] = {.lex_state = 47, .external_lex_state = 6},
  [4122] = {.lex_state = 45, .external_lex_state = 5},
  [4123] = {.lex_state = 45, .external_lex_state = 5},
  [4124] = {.lex_state = 45, .external_lex_state = 2},
  [4125] = {.lex_state = 45, .external_lex_state = 5},
  [4126] = {.lex_state = 47, .external_lex_state = 6},
  [4127] = {.lex_state = 45, .external_lex_state = 6},
  [4128] = {.lex_state = 47, .external_lex_state = 6},
  [4129] = {.lex_state = 45, .external_lex_state = 5},
  [4130] = {.lex_state = 47, .external_lex_state = 6},
  [4131] = {.lex_state = 47, .external_lex_state = 6},
  [4132] = {.lex_state = 47, .external_lex_state = 6},
  [4133] = {.lex_state = 47, .external_lex_state = 6},
  [4134] = {.lex_state = 47, .external_lex_state = 6},
  [4135] = {.lex_state = 47, .external_lex_state = 6},
  [4136] = {.lex_state = 47, .external_lex_state = 6},
  [4137] = {.lex_state = 47, .external_lex_state = 6},
  [4138] = {.lex_state = 45, .external_lex_state = 5},
  [4139] = {.lex_state = 51, .external_lex_state = 2},
  [4140] = {.lex_state = 45, .external_lex_state = 5},
  [4141] = {.lex_state = 45, .external_lex_state = 5},
  [4142] = {.lex_state = 45, .external_lex_state = 5},
  [4143] = {.lex_state = 45, .external_lex_state = 5},
  [4144] = {.lex_state = 45, .external_lex_state = 5},
  [4145] = {.lex_state = 51, .external_lex_state = 2},
  [4146] = {.lex_state = 45, .external_lex_state = 2},
  [4147] = {.lex_state = 45, .external_lex_state = 5},
  [4148] = {.lex_state = 45, .external_lex_state = 5},
  [4149] = {.lex_state = 45, .external_lex_state = 5},
  [4150] = {.lex_state = 45, .external_lex_state = 5},
  [4151] = {.lex_state = 45, .external_lex_state = 5},
  [4152] = {.lex_state = 45, .external_lex_state = 5},
  [4153] = {.lex_state = 45, .external_lex_state = 5},
  [4154] = {.lex_state = 45, .external_lex_state = 5},
  [4155] = {.lex_state = 45, .external_lex_state = 5},
  [4156] = {.lex_state = 45, .external_lex_state = 5},
  [4157] = {.lex_state = 45, .external_lex_state = 5},
  [4158] = {.lex_state = 45, .external_lex_state = 5},
  [4159] = {.lex_state = 45, .external_lex_state = 5},
  [4160] = {.lex_state = 45, .external_lex_state = 5},
  [4161] = {.lex_state = 45, .external_lex_state = 5},
  [4162] = {.lex_state = 45, .external_lex_state = 5},
  [4163] = {.lex_state = 45, .external_lex_state = 5},
  [4164] = {.lex_state = 45, .external_lex_state = 5},
  [4165] = {.lex_state = 45, .external_lex_state = 5},
  [4166] = {.lex_state = 45, .external_lex_state = 6},
  [4167] = {.lex_state = 45, .external_lex_state = 5},
  [4168] = {.lex_state = 51, .external_lex_state = 2},
  [4169] = {.lex_state = 45, .external_lex_state = 5},
  [4170] = {.lex_state = 45, .external_lex_state = 5},
  [4171] = {.lex_state = 45, .external_lex_state = 5},
  [4172] = {.lex_state = 51, .external_lex_state = 2},
  [4173] = {.lex_state = 45, .external_lex_state = 5},
  [4174] = {.lex_state = 51, .external_lex_state = 2},
  [4175] = {.lex_state = 45, .external_lex_state = 5},
  [4176] = {.lex_state = 45, .external_lex_state = 5},
  [4177] = {.lex_state = 45, .external_lex_state = 5},
  [4178] = {.lex_state = 45, .external_lex_state = 5},
  [4179] = {.lex_state = 45, .external_lex_state = 5},
  [4180] = {.lex_state = 45, .external_lex_state = 5},
  [4181] = {.lex_state = 45, .external_lex_state = 5},
  [4182] = {.lex_state = 45, .external_lex_state = 5},
  [4183] = {.lex_state = 45, .external_lex_state = 5},
  [4184] = {.lex_state = 45, .external_lex_state = 5},
  [4185] = {.lex_state = 45, .external_lex_state = 5},
  [4186] = {.lex_state = 45, .external_lex_state = 5},
  [4187] = {.lex_state = 45, .external_lex_state = 5},
  [4188] = {.lex_state = 45, .external_lex_state = 5},
  [4189] = {.lex_state = 45, .external_lex_state = 5},
  [4190] = {.lex_state = 45, .external_lex_state = 5},
  [4191] = {.lex_state = 45, .external_lex_state = 5},
  [4192] = {.lex_state = 45, .external_lex_state = 5},
  [4193] = {.lex_state = 45, .external_lex_state = 5},
  [4194] = {.lex_state = 45, .external_lex_state = 5},
  [4195] = {.lex_state = 45, .external_lex_state = 5},
  [4196] = {.lex_state = 45, .external_lex_state = 5},
  [4197] = {.lex_state = 45, .external_lex_state = 5},
  [4198] = {.lex_state = 45, .external_lex_state = 5},
  [4199] = {.lex_state = 45, .external_lex_state = 5},
  [4200] = {.lex_state = 45, .external_lex_state = 5},
  [4201] = {.lex_state = 51, .external_lex_state = 2},
  [4202] = {.lex_state = 45, .external_lex_state = 5},
  [4203] = {.lex_state = 45, .external_lex_state = 5},
  [4204] = {.lex_state = 45, .external_lex_state = 5},
  [4205] = {.lex_state = 45, .external_lex_state = 5},
  [4206] = {.lex_state = 45, .external_lex_state = 5},
  [4207] = {.lex_state = 45, .external_lex_state = 5},
  [4208] = {.lex_state = 45, .external_lex_state = 5},
  [4209] = {.lex_state = 45, .external_lex_state = 5},
  [4210] = {.lex_state = 45, .external_lex_state = 5},
  [4211] = {.lex_state = 45, .external_lex_state = 5},
  [4212] = {.lex_state = 45, .external_lex_state = 5},
  [4213] = {.lex_state = 45, .external_lex_state = 5},
  [4214] = {.lex_state = 45, .external_lex_state = 5},
  [4215] = {.lex_state = 45, .external_lex_state = 5},
  [4216] = {.lex_state = 45, .external_lex_state = 5},
  [4217] = {.lex_state = 45, .external_lex_state = 5},
  [4218] = {.lex_state = 45, .external_lex_state = 5},
  [4219] = {.lex_state = 45, .external_lex_state = 6},
  [4220] = {.lex_state = 45, .external_lex_state = 5},
  [4221] = {.lex_state = 45, .external_lex_state = 5},
  [4222] = {.lex_state = 45, .external_lex_state = 5},
  [4223] = {.lex_state = 45, .external_lex_state = 5},
  [4224] = {.lex_state = 45, .external_lex_state = 5},
  [4225] = {.lex_state = 45, .external_lex_state = 5},
  [4226] = {.lex_state = 45, .external_lex_state = 5},
  [4227] = {.lex_state = 45, .external_lex_state = 5},
  [4228] = {.lex_state = 45, .external_lex_state = 5},
  [4229] = {.lex_state = 45, .external_lex_state = 6},
  [4230] = {.lex_state = 45, .external_lex_state = 5},
  [4231] = {.lex_state = 47, .external_lex_state = 6},
  [4232] = {.lex_state = 45, .external_lex_state = 5},
  [4233] = {.lex_state = 47, .external_lex_state = 6},
  [4234] = {.lex_state = 45, .external_lex_state = 5},
  [4235] = {.lex_state = 47, .external_lex_state = 6},
  [4236] = {.lex_state = 45, .external_lex_state = 5},
  [4237] = {.lex_state = 45, .external_lex_state = 5},
  [4238] = {.lex_state = 45, .external_lex_state = 5},
  [4239] = {.lex_state = 47, .external_lex_state = 6},
  [4240] = {.lex_state = 45, .external_lex_state = 5},
  [4241] = {.lex_state = 45, .external_lex_state = 5},
  [4242] = {.lex_state = 45, .external_lex_state = 5},
  [4243] = {.lex_state = 45, .external_lex_state = 5},
  [4244] = {.lex_state = 47, .external_lex_state = 6},
  [4245] = {.lex_state = 45, .external_lex_state = 5},
  [4246] = {.lex_state = 47, .external_lex_state = 6},
  [4247] = {.lex_state = 47, .external_lex_state = 6},
  [4248] = {.lex_state = 45, .external_lex_state = 6},
  [4249] = {.lex_state = 45, .external_lex_state = 5},
  [4250] = {.lex_state = 45, .external_lex_state = 5},
  [4251] = {.lex_state = 45, .external_lex_state = 5},
  [4252] = {.lex_state = 45, .external_lex_state = 5},
  [4253] = {.lex_state = 51, .external_lex_state = 2},
  [4254] = {.lex_state = 69, .external_lex_state = 2},
  [4255] = {.lex_state = 69, .external_lex_state = 2},
  [4256] = {.lex_state = 69, .external_lex_state = 2},
  [4257] = {.lex_state = 349, .external_lex_state = 5},
  [4258] = {.lex_state = 69, .external_lex_state = 2},
  [4259] = {.lex_state = 69, .external_lex_state = 2},
  [4260] = {.lex_state = 51, .external_lex_state = 2},
  [4261] = {.lex_state = 47, .external_lex_state = 5},
  [4262] = {.lex_state = 45, .external_lex_state = 6},
  [4263] = {.lex_state = 47, .external_lex_state = 5},
  [4264] = {.lex_state = 69, .external_lex_state = 2},
  [4265] = {.lex_state = 45, .external_lex_state = 6},
  [4266] = {.lex_state = 51, .external_lex_state = 2},
  [4267] = {.lex_state = 69, .external_lex_state = 2},
  [4268] = {.lex_state = 69, .external_lex_state = 2},
  [4269] = {.lex_state = 69, .external_lex_state = 2},
  [4270] = {.lex_state = 69, .external_lex_state = 2},
  [4271] = {.lex_state = 69, .external_lex_state = 2},
  [4272] = {.lex_state = 69, .external_lex_state = 2},
  [4273] = {.lex_state = 45, .external_lex_state = 6},
  [4274] = {.lex_state = 45, .external_lex_state = 5},
  [4275] = {.lex_state = 349, .external_lex_state = 5},
  [4276] = {.lex_state = 45, .external_lex_state = 6},
  [4277] = {.lex_state = 69, .external_lex_state = 2},
  [4278] = {.lex_state = 69, .external_lex_state = 2},
  [4279] = {.lex_state = 69, .external_lex_state = 2},
  [4280] = {.lex_state = 349, .external_lex_state = 5},
  [4281] = {.lex_state = 53, .external_lex_state = 2},
  [4282] = {.lex_state = 69, .external_lex_state = 2},
  [4283] = {.lex_state = 45, .external_lex_state = 2},
  [4284] = {.lex_state = 69, .external_lex_state = 2},
  [4285] = {.lex_state = 45, .external_lex_state = 5},
  [4286] = {.lex_state = 45, .external_lex_state = 6},
  [4287] = {.lex_state = 45, .external_lex_state = 5},
  [4288] = {.lex_state = 45, .external_lex_state = 6},
  [4289] = {.lex_state = 45, .external_lex_state = 2},
  [4290] = {.lex_state = 47, .external_lex_state = 2},
  [4291] = {.lex_state = 45, .external_lex_state = 2},
  [4292] = {.lex_state = 45, .external_lex_state = 6},
  [4293] = {.lex_state = 45, .external_lex_state = 6},
  [4294] = {.lex_state = 349, .external_lex_state = 5},
  [4295] = {.lex_state = 45, .external_lex_state = 2},
  [4296] = {.lex_state = 45, .external_lex_state = 6},
  [4297] = {.lex_state = 45, .external_lex_state = 2},
  [4298] = {.lex_state = 45, .external_lex_state = 5},
  [4299] = {.lex_state = 45, .external_lex_state = 6},
  [4300] = {.lex_state = 45, .external_lex_state = 6},
  [4301] = {.lex_state = 45, .external_lex_state = 2},
  [4302] = {.lex_state = 45, .external_lex_state = 2},
  [4303] = {.lex_state = 45, .external_lex_state = 5},
  [4304] = {.lex_state = 45, .external_lex_state = 5},
  [4305] = {.lex_state = 349, .external_lex_state = 5},
  [4306] = {.lex_state = 45, .external_lex_state = 5},
  [4307] = {.lex_state = 349, .external_lex_state = 5},
  [4308] = {.lex_state = 45, .external_lex_state = 2},
  [4309] = {.lex_state = 47, .external_lex_state = 2},
  [4310] = {.lex_state = 51, .external_lex_state = 2},
  [4311] = {.lex_state = 45, .external_lex_state = 2},
  [4312] = {.lex_state = 45, .external_lex_state = 5},
  [4313] = {.lex_state = 45, .external_lex_state = 5},
  [4314] = {.lex_state = 45, .external_lex_state = 2},
  [4315] = {.lex_state = 45, .external_lex_state = 5},
  [4316] = {.lex_state = 45, .external_lex_state = 5},
  [4317] = {.lex_state = 45, .external_lex_state = 6},
  [4318] = {.lex_state = 45, .external_lex_state = 6},
  [4319] = {.lex_state = 45, .external_lex_state = 2},
  [4320] = {.lex_state = 45, .external_lex_state = 2},
  [4321] = {.lex_state = 45, .external_lex_state = 5},
  [4322] = {.lex_state = 45, .external_lex_state = 2},
  [4323] = {.lex_state = 45, .external_lex_state = 5},
  [4324] = {.lex_state = 45, .external_lex_state = 2},
  [4325] = {.lex_state = 45, .external_lex_state = 6},
  [4326] = {.lex_state = 47, .external_lex_state = 2},
  [4327] = {.lex_state = 45, .external_lex_state = 6},
  [4328] = {.lex_state = 45, .external_lex_state = 2},
  [4329] = {.lex_state = 45, .external_lex_state = 6},
  [4330] = {.lex_state = 45, .external_lex_state = 6},
  [4331] = {.lex_state = 45, .external_lex_state = 2},
  [4332] = {.lex_state = 45, .external_lex_state = 2},
  [4333] = {.lex_state = 45, .external_lex_state = 2},
  [4334] = {.lex_state = 45, .external_lex_state = 2},
  [4335] = {.lex_state = 45, .external_lex_state = 2},
  [4336] = {.lex_state = 45, .external_lex_state = 2},
  [4337] = {.lex_state = 45, .external_lex_state = 5},
  [4338] = {.lex_state = 45, .external_lex_state = 2},
  [4339] = {.lex_state = 45, .external_lex_state = 2},
  [4340] = {.lex_state = 45, .external_lex_state = 2},
  [4341] = {.lex_state = 349, .external_lex_state = 6},
  [4342] = {.lex_state = 56, .external_lex_state = 2},
  [4343] = {.lex_state = 45, .external_lex_state = 2},
  [4344] = {.lex_state = 349, .external_lex_state = 6},
  [4345] = {.lex_state = 45, .external_lex_state = 2},
  [4346] = {.lex_state = 45, .external_lex_state = 2},
  [4347] = {.lex_state = 45, .external_lex_state = 2},
  [4348] = {.lex_state = 45, .external_lex_state = 2},
  [4349] = {.lex_state = 45, .external_lex_state = 2},
  [4350] = {.lex_state = 45, .external_lex_state = 2},
  [4351] = {.lex_state = 45, .external_lex_state = 5},
  [4352] = {.lex_state = 47, .external_lex_state = 2},
  [4353] = {.lex_state = 47, .external_lex_state = 2},
  [4354] = {.lex_state = 45, .external_lex_state = 5},
  [4355] = {.lex_state = 45, .external_lex_state = 2},
  [4356] = {.lex_state = 45, .external_lex_state = 5},
  [4357] = {.lex_state = 45, .external_lex_state = 5},
  [4358] = {.lex_state = 45, .external_lex_state = 2},
  [4359] = {.lex_state = 45, .external_lex_state = 5},
  [4360] = {.lex_state = 45, .external_lex_state = 6},
  [4361] = {.lex_state = 45, .external_lex_state = 5},
  [4362] = {.lex_state = 45, .external_lex_state = 5},
  [4363] = {.lex_state = 349, .external_lex_state = 2},
  [4364] = {.lex_state = 45, .external_lex_state = 6},
  [4365] = {.lex_state = 47, .external_lex_state = 2},
  [4366] = {.lex_state = 45, .external_lex_state = 6},
  [4367] = {.lex_state = 45, .external_lex_state = 6},
  [4368] = {.lex_state = 45, .external_lex_state = 6},
  [4369] = {.lex_state = 45, .external_lex_state = 6},
  [4370] = {.lex_state = 45, .external_lex_state = 6},
  [4371] = {.lex_state = 45, .external_lex_state = 6},
  [4372] = {.lex_state = 45, .external_lex_state = 6},
  [4373] = {.lex_state = 45, .external_lex_state = 6},
  [4374] = {.lex_state = 45, .external_lex_state = 6},
  [4375] = {.lex_state = 45, .external_lex_state = 6},
  [4376] = {.lex_state = 45, .external_lex_state = 6},
  [4377] = {.lex_state = 45, .external_lex_state = 6},
  [4378] = {.lex_state = 349, .external_lex_state = 5},
  [4379] = {.lex_state = 45, .external_lex_state = 5},
  [4380] = {.lex_state = 45, .external_lex_state = 2},
  [4381] = {.lex_state = 45, .external_lex_state = 2},
  [4382] = {.lex_state = 45, .external_lex_state = 5},
  [4383] = {.lex_state = 45, .external_lex_state = 6},
  [4384] = {.lex_state = 45, .external_lex_state = 6},
  [4385] = {.lex_state = 45, .external_lex_state = 6},
  [4386] = {.lex_state = 45, .external_lex_state = 2},
  [4387] = {.lex_state = 45, .external_lex_state = 5},
  [4388] = {.lex_state = 45, .external_lex_state = 6},
  [4389] = {.lex_state = 45, .external_lex_state = 6},
  [4390] = {.lex_state = 47, .external_lex_state = 2},
  [4391] = {.lex_state = 45, .external_lex_state = 5},
  [4392] = {.lex_state = 45, .external_lex_state = 2},
  [4393] = {.lex_state = 45, .external_lex_state = 5},
  [4394] = {.lex_state = 45, .external_lex_state = 5},
  [4395] = {.lex_state = 45, .external_lex_state = 6},
  [4396] = {.lex_state = 45, .external_lex_state = 5},
  [4397] = {.lex_state = 45, .external_lex_state = 5},
  [4398] = {.lex_state = 45, .external_lex_state = 6},
  [4399] = {.lex_state = 45, .external_lex_state = 5},
  [4400] = {.lex_state = 45, .external_lex_state = 5},
  [4401] = {.lex_state = 45, .external_lex_state = 6},
  [4402] = {.lex_state = 56, .external_lex_state = 2},
  [4403] = {.lex_state = 45, .external_lex_state = 6},
  [4404] = {.lex_state = 47, .external_lex_state = 5},
  [4405] = {.lex_state = 45, .external_lex_state = 5},
  [4406] = {.lex_state = 47, .external_lex_state = 2},
  [4407] = {.lex_state = 47, .external_lex_state = 2},
  [4408] = {.lex_state = 45, .external_lex_state = 2},
  [4409] = {.lex_state = 45, .external_lex_state = 2},
  [4410] = {.lex_state = 51, .external_lex_state = 2},
  [4411] = {.lex_state = 45, .external_lex_state = 2},
  [4412] = {.lex_state = 45, .external_lex_state = 5},
  [4413] = {.lex_state = 45, .external_lex_state = 5},
  [4414] = {.lex_state = 51, .external_lex_state = 2},
  [4415] = {.lex_state = 45, .external_lex_state = 2},
  [4416] = {.lex_state = 45, .external_lex_state = 5},
  [4417] = {.lex_state = 56, .external_lex_state = 2},
  [4418] = {.lex_state = 45, .external_lex_state = 5},
  [4419] = {.lex_state = 45, .external_lex_state = 6},
  [4420] = {.lex_state = 45, .external_lex_state = 2},
  [4421] = {.lex_state = 47, .external_lex_state = 2},
  [4422] = {.lex_state = 45, .external_lex_state = 2},
  [4423] = {.lex_state = 45, .external_lex_state = 2},
  [4424] = {.lex_state = 45, .external_lex_state = 2},
  [4425] = {.lex_state = 45, .external_lex_state = 2},
  [4426] = {.lex_state = 45, .external_lex_state = 2},
  [4427] = {.lex_state = 47, .external_lex_state = 2},
  [4428] = {.lex_state = 45, .external_lex_state = 6},
  [4429] = {.lex_state = 45, .external_lex_state = 2},
  [4430] = {.lex_state = 45, .external_lex_state = 5},
  [4431] = {.lex_state = 56, .external_lex_state = 2},
  [4432] = {.lex_state = 47, .external_lex_state = 2},
  [4433] = {.lex_state = 45, .external_lex_state = 2},
  [4434] = {.lex_state = 45, .external_lex_state = 6},
  [4435] = {.lex_state = 45, .external_lex_state = 2},
  [4436] = {.lex_state = 45, .external_lex_state = 6},
  [4437] = {.lex_state = 45, .external_lex_state = 2},
  [4438] = {.lex_state = 45, .external_lex_state = 6},
  [4439] = {.lex_state = 45, .external_lex_state = 6},
  [4440] = {.lex_state = 45, .external_lex_state = 5},
  [4441] = {.lex_state = 45, .external_lex_state = 5},
  [4442] = {.lex_state = 45, .external_lex_state = 6},
  [4443] = {.lex_state = 45, .external_lex_state = 2},
  [4444] = {.lex_state = 45, .external_lex_state = 6},
  [4445] = {.lex_state = 45, .external_lex_state = 6},
  [4446] = {.lex_state = 45, .external_lex_state = 5},
  [4447] = {.lex_state = 45, .external_lex_state = 6},
  [4448] = {.lex_state = 45, .external_lex_state = 2},
  [4449] = {.lex_state = 45, .external_lex_state = 2},
  [4450] = {.lex_state = 45, .external_lex_state = 6},
  [4451] = {.lex_state = 45, .external_lex_state = 6},
  [4452] = {.lex_state = 45, .external_lex_state = 2},
  [4453] = {.lex_state = 349, .external_lex_state = 5},
  [4454] = {.lex_state = 56, .external_lex_state = 2},
  [4455] = {.lex_state = 45, .external_lex_state = 6},
  [4456] = {.lex_state = 45, .external_lex_state = 6},
  [4457] = {.lex_state = 45, .external_lex_state = 6},
  [4458] = {.lex_state = 45, .external_lex_state = 6},
  [4459] = {.lex_state = 45, .external_lex_state = 6},
  [4460] = {.lex_state = 56, .external_lex_state = 2},
  [4461] = {.lex_state = 45, .external_lex_state = 6},
  [4462] = {.lex_state = 45, .external_lex_state = 6},
  [4463] = {.lex_state = 45, .external_lex_state = 6},
  [4464] = {.lex_state = 45, .external_lex_state = 6},
  [4465] = {.lex_state = 45, .external_lex_state = 6},
  [4466] = {.lex_state = 47, .external_lex_state = 2},
  [4467] = {.lex_state = 45, .external_lex_state = 6},
  [4468] = {.lex_state = 45, .external_lex_state = 6},
  [4469] = {.lex_state = 45, .external_lex_state = 5},
  [4470] = {.lex_state = 47, .external_lex_state = 2},
  [4471] = {.lex_state = 45, .external_lex_state = 5},
  [4472] = {.lex_state = 349, .external_lex_state = 5},
  [4473] = {.lex_state = 45, .external_lex_state = 5},
  [4474] = {.lex_state = 45, .external_lex_state = 6},
  [4475] = {.lex_state = 45, .external_lex_state = 6},
  [4476] = {.lex_state = 45, .external_lex_state = 6},
  [4477] = {.lex_state = 45, .external_lex_state = 2},
  [4478] = {.lex_state = 45, .external_lex_state = 5},
  [4479] = {.lex_state = 45, .external_lex_state = 5},
  [4480] = {.lex_state = 45, .external_lex_state = 5},
  [4481] = {.lex_state = 47, .external_lex_state = 5},
  [4482] = {.lex_state = 51, .external_lex_state = 2},
  [4483] = {.lex_state = 63, .external_lex_state = 2},
  [4484] = {.lex_state = 45, .external_lex_state = 6},
  [4485] = {.lex_state = 63, .external_lex_state = 2},
  [4486] = {.lex_state = 63, .external_lex_state = 2},
  [4487] = {.lex_state = 71, .external_lex_state = 2},
  [4488] = {.lex_state = 349, .external_lex_state = 6},
  [4489] = {.lex_state = 349, .external_lex_state = 7},
  [4490] = {.lex_state = 45, .external_lex_state = 5},
  [4491] = {.lex_state = 63, .external_lex_state = 2},
  [4492] = {.lex_state = 63, .external_lex_state = 2},
  [4493] = {.lex_state = 71, .external_lex_state = 2},
  [4494] = {.lex_state = 71, .external_lex_state = 2},
  [4495] = {.lex_state = 349, .external_lex_state = 7},
  [4496] = {.lex_state = 349, .external_lex_state = 5},
  [4497] = {.lex_state = 63, .external_lex_state = 2},
  [4498] = {.lex_state = 45, .external_lex_state = 5},
  [4499] = {.lex_state = 45, .external_lex_state = 5},
  [4500] = {.lex_state = 63, .external_lex_state = 2},
  [4501] = {.lex_state = 349, .external_lex_state = 5},
  [4502] = {.lex_state = 349, .external_lex_state = 5},
  [4503] = {.lex_state = 349, .external_lex_state = 5},
  [4504] = {.lex_state = 349, .external_lex_state = 5},
  [4505] = {.lex_state = 71, .external_lex_state = 2},
  [4506] = {.lex_state = 349, .external_lex_state = 7},
  [4507] = {.lex_state = 71, .external_lex_state = 2},
  [4508] = {.lex_state = 349, .external_lex_state = 7},
  [4509] = {.lex_state = 45, .external_lex_state = 2},
  [4510] = {.lex_state = 45, .external_lex_state = 2},
  [4511] = {.lex_state = 349, .external_lex_state = 7},
  [4512] = {.lex_state = 63, .external_lex_state = 2},
  [4513] = {.lex_state = 63, .external_lex_state = 2},
  [4514] = {.lex_state = 349, .external_lex_state = 7},
  [4515] = {.lex_state = 45, .external_lex_state = 5},
  [4516] = {.lex_state = 349, .external_lex_state = 7},
  [4517] = {.lex_state = 71, .external_lex_state = 2},
  [4518] = {.lex_state = 349, .external_lex_state = 7},
  [4519] = {.lex_state = 349, .external_lex_state = 5},
  [4520] = {.lex_state = 47, .external_lex_state = 5},
  [4521] = {.lex_state = 349, .external_lex_state = 2},
  [4522] = {.lex_state = 48, .external_lex_state = 2},
  [4523] = {.lex_state = 349, .external_lex_state = 2},
  [4524] = {.lex_state = 349, .external_lex_state = 2},
  [4525] = {.lex_state = 349, .external_lex_state = 5},
  [4526] = {.lex_state = 48, .external_lex_state = 2},
  [4527] = {.lex_state = 349, .external_lex_state = 5},
  [4528] = {.lex_state = 48, .external_lex_state = 2},
  [4529] = {.lex_state = 48, .external_lex_state = 2},
  [4530] = {.lex_state = 349, .external_lex_state = 5},
  [4531] = {.lex_state = 349, .external_lex_state = 5},
  [4532] = {.lex_state = 349, .external_lex_state = 5},
  [4533] = {.lex_state = 349, .external_lex_state = 5},
  [4534] = {.lex_state = 349, .external_lex_state = 2},
  [4535] = {.lex_state = 349, .external_lex_state = 2},
  [4536] = {.lex_state = 48, .external_lex_state = 2},
  [4537] = {.lex_state = 349, .external_lex_state = 2},
  [4538] = {.lex_state = 349, .external_lex_state = 5},
  [4539] = {.lex_state = 349, .external_lex_state = 5},
  [4540] = {.lex_state = 349, .external_lex_state = 5},
  [4541] = {.lex_state = 48, .external_lex_state = 2},
  [4542] = {.lex_state = 349, .external_lex_state = 5},
  [4543] = {.lex_state = 48, .external_lex_state = 2},
  [4544] = {.lex_state = 349, .external_lex_state = 2},
  [4545] = {.lex_state = 48, .external_lex_state = 2},
  [4546] = {.lex_state = 349, .external_lex_state = 2},
  [4547] = {.lex_state = 48, .external_lex_state = 2},
  [4548] = {.lex_state = 48, .external_lex_state = 2},
  [4549] = {.lex_state = 349, .external_lex_state = 5},
  [4550] = {.lex_state = 48, .external_lex_state = 2},
  [4551] = {.lex_state = 45, .external_lex_state = 2},
  [4552] = {.lex_state = 74, .external_lex_state = 2},
  [4553] = {.lex_state = 45, .external_lex_state = 2},
  [4554] = {.lex_state = 45, .external_lex_state = 2},
  [4555] = {.lex_state = 48, .external_lex_state = 2},
  [4556] = {.lex_state = 48, .external_lex_state = 2},
  [4557] = {.lex_state = 349, .external_lex_state = 5},
  [4558] = {.lex_state = 48, .external_lex_state = 2},
  [4559] = {.lex_state = 63, .external_lex_state = 2},
  [4560] = {.lex_state = 349, .external_lex_state = 5},
  [4561] = {.lex_state = 349, .external_lex_state = 5},
  [4562] = {.lex_state = 349, .external_lex_state = 2},
  [4563] = {.lex_state = 349, .external_lex_state = 5},
  [4564] = {.lex_state = 349, .external_lex_state = 5},
  [4565] = {.lex_state = 349, .external_lex_state = 5},
  [4566] = {.lex_state = 349, .external_lex_state = 5},
  [4567] = {.lex_state = 349, .external_lex_state = 5},
  [4568] = {.lex_state = 349, .external_lex_state = 5},
  [4569] = {.lex_state = 349, .external_lex_state = 5},
  [4570] = {.lex_state = 47, .external_lex_state = 5},
  [4571] = {.lex_state = 349, .external_lex_state = 5},
  [4572] = {.lex_state = 48, .external_lex_state = 2},
  [4573] = {.lex_state = 349, .external_lex_state = 5},
  [4574] = {.lex_state = 349, .external_lex_state = 5},
  [4575] = {.lex_state = 349, .external_lex_state = 2},
  [4576] = {.lex_state = 349, .external_lex_state = 5},
  [4577] = {.lex_state = 48, .external_lex_state = 2},
  [4578] = {.lex_state = 48, .external_lex_state = 2},
  [4579] = {.lex_state = 45, .external_lex_state = 2},
  [4580] = {.lex_state = 349, .external_lex_state = 5},
  [4581] = {.lex_state = 349, .external_lex_state = 5},
  [4582] = {.lex_state = 349, .external_lex_state = 5},
  [4583] = {.lex_state = 349, .external_lex_state = 5},
  [4584] = {.lex_state = 349, .external_lex_state = 2},
  [4585] = {.lex_state = 45, .external_lex_state = 2},
  [4586] = {.lex_state = 48, .external_lex_state = 2},
  [4587] = {.lex_state = 349, .external_lex_state = 2},
  [4588] = {.lex_state = 349, .external_lex_state = 5},
  [4589] = {.lex_state = 349, .external_lex_state = 5},
  [4590] = {.lex_state = 349, .external_lex_state = 2},
  [4591] = {.lex_state = 349, .external_lex_state = 2},
  [4592] = {.lex_state = 349, .external_lex_state = 5},
  [4593] = {.lex_state = 45, .external_lex_state = 2},
  [4594] = {.lex_state = 349, .external_lex_state = 5},
  [4595] = {.lex_state = 48, .external_lex_state = 2},
  [4596] = {.lex_state = 48, .external_lex_state = 2},
  [4597] = {.lex_state = 48, .external_lex_state = 2},
  [4598] = {.lex_state = 349, .external_lex_state = 6},
  [4599] = {.lex_state = 349, .external_lex_state = 2},
  [4600] = {.lex_state = 349, .external_lex_state = 6},
  [4601] = {.lex_state = 349, .external_lex_state = 6},
  [4602] = {.lex_state = 349, .external_lex_state = 5},
  [4603] = {.lex_state = 48, .external_lex_state = 2},
  [4604] = {.lex_state = 349, .external_lex_state = 6},
  [4605] = {.lex_state = 349, .external_lex_state = 6},
  [4606] = {.lex_state = 349, .external_lex_state = 5},
  [4607] = {.lex_state = 349, .external_lex_state = 5},
  [4608] = {.lex_state = 349, .external_lex_state = 5},
  [4609] = {.lex_state = 349, .external_lex_state = 2},
  [4610] = {.lex_state = 349, .external_lex_state = 2},
  [4611] = {.lex_state = 349, .external_lex_state = 2},
  [4612] = {.lex_state = 349, .external_lex_state = 2},
  [4613] = {.lex_state = 349, .external_lex_state = 5},
  [4614] = {.lex_state = 349, .external_lex_state = 5},
  [4615] = {.lex_state = 349, .external_lex_state = 2},
  [4616] = {.lex_state = 48, .external_lex_state = 2},
  [4617] = {.lex_state = 349, .external_lex_state = 5},
  [4618] = {.lex_state = 349, .external_lex_state = 5},
  [4619] = {.lex_state = 349, .external_lex_state = 2},
  [4620] = {.lex_state = 349, .external_lex_state = 5},
  [4621] = {.lex_state = 349, .external_lex_state = 5},
  [4622] = {.lex_state = 48, .external_lex_state = 2},
  [4623] = {.lex_state = 349, .external_lex_state = 5},
  [4624] = {.lex_state = 349, .external_lex_state = 6},
  [4625] = {.lex_state = 349, .external_lex_state = 5},
  [4626] = {.lex_state = 47, .external_lex_state = 5},
  [4627] = {.lex_state = 47, .external_lex_state = 5},
  [4628] = {.lex_state = 349, .external_lex_state = 5},
  [4629] = {.lex_state = 349, .external_lex_state = 5},
  [4630] = {.lex_state = 349, .external_lex_state = 5},
  [4631] = {.lex_state = 48, .external_lex_state = 2},
  [4632] = {.lex_state = 349, .external_lex_state = 5},
  [4633] = {.lex_state = 74, .external_lex_state = 2},
  [4634] = {.lex_state = 349, .external_lex_state = 5},
  [4635] = {.lex_state = 349, .external_lex_state = 5},
  [4636] = {.lex_state = 48, .external_lex_state = 2},
  [4637] = {.lex_state = 48, .external_lex_state = 2},
  [4638] = {.lex_state = 57, .external_lex_state = 2},
  [4639] = {.lex_state = 349, .external_lex_state = 2},
  [4640] = {.lex_state = 45, .external_lex_state = 2},
  [4641] = {.lex_state = 349, .external_lex_state = 5},
  [4642] = {.lex_state = 349, .external_lex_state = 5},
  [4643] = {.lex_state = 349, .external_lex_state = 5},
  [4644] = {.lex_state = 349, .external_lex_state = 5},
  [4645] = {.lex_state = 349, .external_lex_state = 2},
  [4646] = {.lex_state = 349, .external_lex_state = 5},
  [4647] = {.lex_state = 63, .external_lex_state = 2},
  [4648] = {.lex_state = 63, .external_lex_state = 2},
  [4649] = {.lex_state = 48, .external_lex_state = 2},
  [4650] = {.lex_state = 48, .external_lex_state = 2},
  [4651] = {.lex_state = 349, .external_lex_state = 5},
  [4652] = {.lex_state = 349, .external_lex_state = 5},
  [4653] = {.lex_state = 349, .external_lex_state = 5},
  [4654] = {.lex_state = 349, .external_lex_state = 5},
  [4655] = {.lex_state = 349, .external_lex_state = 2},
  [4656] = {.lex_state = 349, .external_lex_state = 5},
  [4657] = {.lex_state = 349, .external_lex_state = 5},
  [4658] = {.lex_state = 349, .external_lex_state = 2},
  [4659] = {.lex_state = 349, .external_lex_state = 2},
  [4660] = {.lex_state = 349, .external_lex_state = 5},
  [4661] = {.lex_state = 349, .external_lex_state = 5},
  [4662] = {.lex_state = 349, .external_lex_state = 2},
  [4663] = {.lex_state = 45, .external_lex_state = 2},
  [4664] = {.lex_state = 349, .external_lex_state = 5},
  [4665] = {.lex_state = 349, .external_lex_state = 5},
  [4666] = {.lex_state = 349, .external_lex_state = 5},
  [4667] = {.lex_state = 74, .external_lex_state = 2},
  [4668] = {.lex_state = 349, .external_lex_state = 2},
  [4669] = {.lex_state = 349, .external_lex_state = 5},
  [4670] = {.lex_state = 349, .external_lex_state = 5},
  [4671] = {.lex_state = 349, .external_lex_state = 2},
  [4672] = {.lex_state = 349, .external_lex_state = 5},
  [4673] = {.lex_state = 349, .external_lex_state = 2},
  [4674] = {.lex_state = 349, .external_lex_state = 5},
  [4675] = {.lex_state = 349, .external_lex_state = 5},
  [4676] = {.lex_state = 349, .external_lex_state = 5},
  [4677] = {.lex_state = 349, .external_lex_state = 2},
  [4678] = {.lex_state = 349, .external_lex_state = 5},
  [4679] = {.lex_state = 349, .external_lex_state = 5},
  [4680] = {.lex_state = 349, .external_lex_state = 5},
  [4681] = {.lex_state = 349, .external_lex_state = 2},
  [4682] = {.lex_state = 45, .external_lex_state = 2},
  [4683] = {.lex_state = 48, .external_lex_state = 2},
  [4684] = {.lex_state = 349, .external_lex_state = 5},
  [4685] = {.lex_state = 349, .external_lex_state = 5},
  [4686] = {.lex_state = 349, .external_lex_state = 5},
  [4687] = {.lex_state = 349, .external_lex_state = 5},
  [4688] = {.lex_state = 349, .external_lex_state = 5},
  [4689] = {.lex_state = 349, .external_lex_state = 5},
  [4690] = {.lex_state = 349, .external_lex_state = 5},
  [4691] = {.lex_state = 349, .external_lex_state = 5},
  [4692] = {.lex_state = 349, .external_lex_state = 5},
  [4693] = {.lex_state = 349, .external_lex_state = 5},
  [4694] = {.lex_state = 349, .external_lex_state = 5},
  [4695] = {.lex_state = 349, .external_lex_state = 5},
  [4696] = {.lex_state = 349, .external_lex_state = 5},
  [4697] = {.lex_state = 349, .external_lex_state = 5},
  [4698] = {.lex_state = 349, .external_lex_state = 2},
  [4699] = {.lex_state = 349, .external_lex_state = 2},
  [4700] = {.lex_state = 349, .external_lex_state = 5},
  [4701] = {.lex_state = 349, .external_lex_state = 5},
  [4702] = {.lex_state = 349, .external_lex_state = 5},
  [4703] = {.lex_state = 349, .external_lex_state = 5},
  [4704] = {.lex_state = 63, .external_lex_state = 2},
  [4705] = {.lex_state = 349, .external_lex_state = 5},
  [4706] = {.lex_state = 349, .external_lex_state = 2},
  [4707] = {.lex_state = 48, .external_lex_state = 2},
  [4708] = {.lex_state = 349, .external_lex_state = 2},
  [4709] = {.lex_state = 349, .external_lex_state = 5},
  [4710] = {.lex_state = 349, .external_lex_state = 2},
  [4711] = {.lex_state = 349, .external_lex_state = 5},
  [4712] = {.lex_state = 349, .external_lex_state = 5},
  [4713] = {.lex_state = 349, .external_lex_state = 5},
  [4714] = {.lex_state = 48, .external_lex_state = 2},
  [4715] = {.lex_state = 349, .external_lex_state = 2},
  [4716] = {.lex_state = 349, .external_lex_state = 2},
  [4717] = {.lex_state = 45, .external_lex_state = 2},
  [4718] = {.lex_state = 349, .external_lex_state = 2},
  [4719] = {.lex_state = 48, .external_lex_state = 2},
  [4720] = {.lex_state = 349, .external_lex_state = 2},
  [4721] = {.lex_state = 63, .external_lex_state = 2},
  [4722] = {.lex_state = 48, .external_lex_state = 2},
  [4723] = {.lex_state = 349, .external_lex_state = 5},
  [4724] = {.lex_state = 349, .external_lex_state = 5},
  [4725] = {.lex_state = 47, .external_lex_state = 5},
  [4726] = {.lex_state = 349, .external_lex_state = 2},
  [4727] = {.lex_state = 349, .external_lex_state = 5},
  [4728] = {.lex_state = 349, .external_lex_state = 2},
  [4729] = {.lex_state = 349, .external_lex_state = 2},
  [4730] = {.lex_state = 349, .external_lex_state = 5},
  [4731] = {.lex_state = 349, .external_lex_state = 5},
  [4732] = {.lex_state = 349, .external_lex_state = 2},
  [4733] = {.lex_state = 349, .external_lex_state = 5},
  [4734] = {.lex_state = 349, .external_lex_state = 5},
  [4735] = {.lex_state = 349, .external_lex_state = 5},
  [4736] = {.lex_state = 74, .external_lex_state = 2},
  [4737] = {.lex_state = 349, .external_lex_state = 5},
  [4738] = {.lex_state = 349, .external_lex_state = 5},
  [4739] = {.lex_state = 349, .external_lex_state = 5},
  [4740] = {.lex_state = 349, .external_lex_state = 5},
  [4741] = {.lex_state = 349, .external_lex_state = 5},
  [4742] = {.lex_state = 349, .external_lex_state = 5},
  [4743] = {.lex_state = 349, .external_lex_state = 5},
  [4744] = {.lex_state = 48, .external_lex_state = 2},
  [4745] = {.lex_state = 48, .external_lex_state = 2},
  [4746] = {.lex_state = 349, .external_lex_state = 5},
  [4747] = {.lex_state = 349, .external_lex_state = 5},
  [4748] = {.lex_state = 48, .external_lex_state = 2},
  [4749] = {.lex_state = 47, .external_lex_state = 5},
  [4750] = {.lex_state = 47, .external_lex_state = 5},
  [4751] = {.lex_state = 349, .external_lex_state = 2},
  [4752] = {.lex_state = 63, .external_lex_state = 2},
  [4753] = {.lex_state = 45, .external_lex_state = 2},
  [4754] = {.lex_state = 51, .external_lex_state = 2},
  [4755] = {.lex_state = 349, .external_lex_state = 5},
  [4756] = {.lex_state = 349, .external_lex_state = 5},
  [4757] = {.lex_state = 349, .external_lex_state = 2},
  [4758] = {.lex_state = 349, .external_lex_state = 5},
  [4759] = {.lex_state = 349, .external_lex_state = 2},
  [4760] = {.lex_state = 45, .external_lex_state = 2},
  [4761] = {.lex_state = 47, .external_lex_state = 5},
  [4762] = {.lex_state = 63, .external_lex_state = 2},
  [4763] = {.lex_state = 48, .external_lex_state = 2},
  [4764] = {.lex_state = 349, .external_lex_state = 5},
  [4765] = {.lex_state = 349, .external_lex_state = 5},
  [4766] = {.lex_state = 349, .external_lex_state = 5},
  [4767] = {.lex_state = 349, .external_lex_state = 5},
  [4768] = {.lex_state = 349, .external_lex_state = 5},
  [4769] = {.lex_state = 349, .external_lex_state = 5},
  [4770] = {.lex_state = 48, .external_lex_state = 2},
  [4771] = {.lex_state = 349, .external_lex_state = 5},
  [4772] = {.lex_state = 349, .external_lex_state = 5},
  [4773] = {.lex_state = 74, .external_lex_state = 2},
  [4774] = {.lex_state = 349, .external_lex_state = 5},
  [4775] = {.lex_state = 349, .external_lex_state = 5},
  [4776] = {.lex_state = 349, .external_lex_state = 5},
  [4777] = {.lex_state = 349, .external_lex_state = 5},
  [4778] = {.lex_state = 349, .external_lex_state = 5},
  [4779] = {.lex_state = 349, .external_lex_state = 5},
  [4780] = {.lex_state = 349, .external_lex_state = 5},
  [4781] = {.lex_state = 349, .external_lex_state = 5},
  [4782] = {.lex_state = 349, .external_lex_state = 5},
  [4783] = {.lex_state = 349, .external_lex_state = 5},
  [4784] = {.lex_state = 47, .external_lex_state = 5},
  [4785] = {.lex_state = 349, .external_lex_state = 5},
  [4786] = {.lex_state = 349, .external_lex_state = 5},
  [4787] = {.lex_state = 349, .external_lex_state = 5},
  [4788] = {.lex_state = 349, .external_lex_state = 5},
  [4789] = {.lex_state = 349, .external_lex_state = 5},
  [4790] = {.lex_state = 349, .external_lex_state = 5},
  [4791] = {.lex_state = 349, .external_lex_state = 6},
  [4792] = {.lex_state = 45, .external_lex_state = 2},
  [4793] = {.lex_state = 48, .external_lex_state = 2},
  [4794] = {.lex_state = 48, .external_lex_state = 2},
  [4795] = {.lex_state = 349, .external_lex_state = 5},
  [4796] = {.lex_state = 349, .external_lex_state = 6},
  [4797] = {.lex_state = 349, .external_lex_state = 5},
  [4798] = {.lex_state = 45, .external_lex_state = 2},
  [4799] = {.lex_state = 349, .external_lex_state = 2},
  [4800] = {.lex_state = 48, .external_lex_state = 2},
  [4801] = {.lex_state = 349, .external_lex_state = 5},
  [4802] = {.lex_state = 349, .external_lex_state = 5},
  [4803] = {.lex_state = 45, .external_lex_state = 2},
  [4804] = {.lex_state = 349, .external_lex_state = 5},
  [4805] = {.lex_state = 349, .external_lex_state = 2},
  [4806] = {.lex_state = 45, .external_lex_state = 2},
  [4807] = {.lex_state = 349, .external_lex_state = 5},
  [4808] = {.lex_state = 45, .external_lex_state = 2},
  [4809] = {.lex_state = 349, .external_lex_state = 5},
  [4810] = {.lex_state = 349, .external_lex_state = 2},
  [4811] = {.lex_state = 45, .external_lex_state = 2},
  [4812] = {.lex_state = 45, .external_lex_state = 2},
  [4813] = {.lex_state = 349, .external_lex_state = 5},
  [4814] = {.lex_state = 349, .external_lex_state = 5},
  [4815] = {.lex_state = 349, .external_lex_state = 5},
  [4816] = {.lex_state = 349, .external_lex_state = 6},
  [4817] = {.lex_state = 45, .external_lex_state = 2},
  [4818] = {.lex_state = 45, .external_lex_state = 2},
  [4819] = {.lex_state = 349, .external_lex_state = 7},
  [4820] = {.lex_state = 349, .external_lex_state = 6},
  [4821] = {.lex_state = 45, .external_lex_state = 2},
  [4822] = {.lex_state = 45, .external_lex_state = 2},
  [4823] = {.lex_state = 45, .external_lex_state = 2},
  [4824] = {.lex_state = 349, .external_lex_state = 6},
  [4825] = {.lex_state = 45, .external_lex_state = 2},
  [4826] = {.lex_state = 349, .external_lex_state = 2},
  [4827] = {.lex_state = 349, .external_lex_state = 5},
  [4828] = {.lex_state = 349, .external_lex_state = 2},
  [4829] = {.lex_state = 349, .external_lex_state = 6},
  [4830] = {.lex_state = 349, .external_lex_state = 6},
  [4831] = {.lex_state = 349, .external_lex_state = 6},
  [4832] = {.lex_state = 45, .external_lex_state = 2},
  [4833] = {.lex_state = 349, .external_lex_state = 6},
  [4834] = {.lex_state = 349, .external_lex_state = 5},
  [4835] = {.lex_state = 48, .external_lex_state = 2},
  [4836] = {.lex_state = 349, .external_lex_state = 5},
  [4837] = {.lex_state = 349, .external_lex_state = 2},
  [4838] = {.lex_state = 45, .external_lex_state = 2},
  [4839] = {.lex_state = 48, .external_lex_state = 2},
  [4840] = {.lex_state = 45, .external_lex_state = 2},
  [4841] = {.lex_state = 45, .external_lex_state = 2},
  [4842] = {.lex_state = 349, .external_lex_state = 2},
  [4843] = {.lex_state = 349, .external_lex_state = 2},
  [4844] = {.lex_state = 349, .external_lex_state = 5},
  [4845] = {.lex_state = 349, .external_lex_state = 5},
  [4846] = {.lex_state = 45, .external_lex_state = 2},
  [4847] = {.lex_state = 45, .external_lex_state = 2},
  [4848] = {.lex_state = 349, .external_lex_state = 5},
  [4849] = {.lex_state = 45, .external_lex_state = 2},
  [4850] = {.lex_state = 349, .external_lex_state = 2},
  [4851] = {.lex_state = 48, .external_lex_state = 2},
  [4852] = {.lex_state = 349, .external_lex_state = 7},
  [4853] = {.lex_state = 349, .external_lex_state = 5},
  [4854] = {.lex_state = 349, .external_lex_state = 6},
  [4855] = {.lex_state = 349, .external_lex_state = 5},
  [4856] = {.lex_state = 349, .external_lex_state = 6},
  [4857] = {.lex_state = 45, .external_lex_state = 2},
  [4858] = {.lex_state = 349, .external_lex_state = 5},
  [4859] = {.lex_state = 349, .external_lex_state = 2},
  [4860] = {.lex_state = 48, .external_lex_state = 2},
  [4861] = {.lex_state = 349, .external_lex_state = 5},
  [4862] = {.lex_state = 48, .external_lex_state = 2},
  [4863] = {.lex_state = 349, .external_lex_state = 5},
  [4864] = {.lex_state = 349, .external_lex_state = 5},
  [4865] = {.lex_state = 45, .external_lex_state = 2},
  [4866] = {.lex_state = 45, .external_lex_state = 2},
  [4867] = {.lex_state = 45, .external_lex_state = 2},
  [4868] = {.lex_state = 45, .external_lex_state = 2},
  [4869] = {.lex_state = 45, .external_lex_state = 2},
  [4870] = {.lex_state = 349, .external_lex_state = 5},
  [4871] = {.lex_state = 45, .external_lex_state = 2},
  [4872] = {.lex_state = 48, .external_lex_state = 2},
  [4873] = {.lex_state = 349, .external_lex_state = 6},
  [4874] = {.lex_state = 63, .external_lex_state = 2},
  [4875] = {.lex_state = 349, .external_lex_state = 6},
  [4876] = {.lex_state = 349, .external_lex_state = 2},
  [4877] = {.lex_state = 48, .external_lex_state = 2},
  [4878] = {.lex_state = 349, .external_lex_state = 2},
  [4879] = {.lex_state = 349, .external_lex_state = 7},
  [4880] = {.lex_state = 349, .external_lex_state = 6},
  [4881] = {.lex_state = 45, .external_lex_state = 2},
  [4882] = {.lex_state = 45, .external_lex_state = 2},
  [4883] = {.lex_state = 45, .external_lex_state = 2},
  [4884] = {.lex_state = 349, .external_lex_state = 2},
  [4885] = {.lex_state = 45, .external_lex_state = 2},
  [4886] = {.lex_state = 48, .external_lex_state = 2},
  [4887] = {.lex_state = 349, .external_lex_state = 5},
  [4888] = {.lex_state = 349, .external_lex_state = 6},
  [4889] = {.lex_state = 349, .external_lex_state = 2},
  [4890] = {.lex_state = 349, .external_lex_state = 5},
  [4891] = {.lex_state = 349, .external_lex_state = 5},
  [4892] = {.lex_state = 48, .external_lex_state = 2},
  [4893] = {.lex_state = 349, .external_lex_state = 2},
  [4894] = {.lex_state = 48, .external_lex_state = 2},
  [4895] = {.lex_state = 349, .external_lex_state = 5},
  [4896] = {.lex_state = 349, .external_lex_state = 6},
  [4897] = {.lex_state = 349, .external_lex_state = 2},
  [4898] = {.lex_state = 45, .external_lex_state = 2},
  [4899] = {.lex_state = 349, .external_lex_state = 5},
  [4900] = {.lex_state = 349, .external_lex_state = 6},
  [4901] = {.lex_state = 349, .external_lex_state = 5},
  [4902] = {.lex_state = 349, .external_lex_state = 2},
  [4903] = {.lex_state = 349, .external_lex_state = 5},
  [4904] = {.lex_state = 48, .external_lex_state = 2},
  [4905] = {.lex_state = 48, .external_lex_state = 2},
  [4906] = {.lex_state = 48, .external_lex_state = 2},
  [4907] = {.lex_state = 45, .external_lex_state = 2},
  [4908] = {.lex_state = 349, .external_lex_state = 5},
  [4909] = {.lex_state = 45, .external_lex_state = 2},
  [4910] = {.lex_state = 349, .external_lex_state = 6},
  [4911] = {.lex_state = 45, .external_lex_state = 2},
  [4912] = {.lex_state = 349, .external_lex_state = 6},
  [4913] = {.lex_state = 349, .external_lex_state = 5},
  [4914] = {.lex_state = 349, .external_lex_state = 2},
  [4915] = {.lex_state = 45, .external_lex_state = 2},
  [4916] = {.lex_state = 349, .external_lex_state = 6},
  [4917] = {.lex_state = 45, .external_lex_state = 2},
  [4918] = {.lex_state = 45, .external_lex_state = 2},
  [4919] = {.lex_state = 349, .external_lex_state = 6},
  [4920] = {.lex_state = 349, .external_lex_state = 5},
  [4921] = {.lex_state = 349, .external_lex_state = 5},
  [4922] = {.lex_state = 349, .external_lex_state = 6},
  [4923] = {.lex_state = 349, .external_lex_state = 6},
  [4924] = {.lex_state = 48, .external_lex_state = 2},
  [4925] = {.lex_state = 48, .external_lex_state = 2},
  [4926] = {.lex_state = 48, .external_lex_state = 2},
  [4927] = {.lex_state = 349, .external_lex_state = 5},
  [4928] = {.lex_state = 349, .external_lex_state = 6},
  [4929] = {.lex_state = 45, .external_lex_state = 2},
  [4930] = {.lex_state = 349, .external_lex_state = 6},
  [4931] = {.lex_state = 349, .external_lex_state = 2},
  [4932] = {.lex_state = 349, .external_lex_state = 6},
  [4933] = {.lex_state = 349, .external_lex_state = 5},
  [4934] = {.lex_state = 45, .external_lex_state = 2},
  [4935] = {.lex_state = 45, .external_lex_state = 2},
  [4936] = {.lex_state = 48, .external_lex_state = 2},
  [4937] = {.lex_state = 45, .external_lex_state = 2},
  [4938] = {.lex_state = 45, .external_lex_state = 2},
  [4939] = {.lex_state = 45, .external_lex_state = 2},
  [4940] = {.lex_state = 45, .external_lex_state = 2},
  [4941] = {.lex_state = 48, .external_lex_state = 2},
  [4942] = {.lex_state = 63, .external_lex_state = 2},
  [4943] = {.lex_state = 48, .external_lex_state = 2},
  [4944] = {.lex_state = 349, .external_lex_state = 2},
  [4945] = {.lex_state = 45, .external_lex_state = 2},
  [4946] = {.lex_state = 45, .external_lex_state = 2},
  [4947] = {.lex_state = 349, .external_lex_state = 5},
  [4948] = {.lex_state = 48, .external_lex_state = 2},
  [4949] = {.lex_state = 48, .external_lex_state = 2},
  [4950] = {.lex_state = 48, .external_lex_state = 2},
  [4951] = {.lex_state = 48, .external_lex_state = 2},
  [4952] = {.lex_state = 349, .external_lex_state = 2},
  [4953] = {.lex_state = 349, .external_lex_state = 5},
  [4954] = {.lex_state = 48, .external_lex_state = 2},
  [4955] = {.lex_state = 48, .external_lex_state = 2},
  [4956] = {.lex_state = 45, .external_lex_state = 2},
  [4957] = {.lex_state = 45, .external_lex_state = 2},
  [4958] = {.lex_state = 48, .external_lex_state = 2},
  [4959] = {.lex_state = 48, .external_lex_state = 2},
  [4960] = {.lex_state = 349, .external_lex_state = 2},
  [4961] = {.lex_state = 349, .external_lex_state = 2},
  [4962] = {.lex_state = 48, .external_lex_state = 2},
  [4963] = {.lex_state = 48, .external_lex_state = 2},
  [4964] = {.lex_state = 48, .external_lex_state = 2},
  [4965] = {.lex_state = 45, .external_lex_state = 2},
  [4966] = {.lex_state = 45, .external_lex_state = 2},
  [4967] = {.lex_state = 349, .external_lex_state = 2},
  [4968] = {.lex_state = 48, .external_lex_state = 2},
  [4969] = {.lex_state = 349, .external_lex_state = 7},
  [4970] = {.lex_state = 48, .external_lex_state = 2},
  [4971] = {.lex_state = 349, .external_lex_state = 6},
  [4972] = {.lex_state = 349, .external_lex_state = 6},
  [4973] = {.lex_state = 349, .external_lex_state = 7},
  [4974] = {.lex_state = 349, .external_lex_state = 6},
  [4975] = {.lex_state = 349, .external_lex_state = 5},
  [4976] = {.lex_state = 48, .external_lex_state = 2},
  [4977] = {.lex_state = 48, .external_lex_state = 2},
  [4978] = {.lex_state = 48, .external_lex_state = 2},
  [4979] = {.lex_state = 48, .external_lex_state = 2},
  [4980] = {.lex_state = 45, .external_lex_state = 2},
  [4981] = {.lex_state = 48, .external_lex_state = 2},
  [4982] = {.lex_state = 48, .external_lex_state = 2},
  [4983] = {.lex_state = 349, .external_lex_state = 5},
  [4984] = {.lex_state = 349, .external_lex_state = 5},
  [4985] = {.lex_state = 349, .external_lex_state = 5},
  [4986] = {.lex_state = 349, .external_lex_state = 5},
  [4987] = {.lex_state = 349, .external_lex_state = 5},
  [4988] = {.lex_state = 349, .external_lex_state = 5},
  [4989] = {.lex_state = 349, .external_lex_state = 6},
  [4990] = {.lex_state = 349, .external_lex_state = 5},
  [4991] = {.lex_state = 349, .external_lex_state = 5},
  [4992] = {.lex_state = 63, .external_lex_state = 2},
  [4993] = {.lex_state = 349, .external_lex_state = 5},
  [4994] = {.lex_state = 349, .external_lex_state = 5},
  [4995] = {.lex_state = 349, .external_lex_state = 5},
  [4996] = {.lex_state = 349, .external_lex_state = 5},
  [4997] = {.lex_state = 349, .external_lex_state = 5},
  [4998] = {.lex_state = 349, .external_lex_state = 5},
  [4999] = {.lex_state = 349, .external_lex_state = 6},
  [5000] = {.lex_state = 63, .external_lex_state = 2},
  [5001] = {.lex_state = 63, .external_lex_state = 2},
  [5002] = {.lex_state = 349, .external_lex_state = 5},
  [5003] = {.lex_state = 349, .external_lex_state = 5},
  [5004] = {.lex_state = 349, .external_lex_state = 5},
  [5005] = {.lex_state = 349, .external_lex_state = 5},
  [5006] = {.lex_state = 349, .external_lex_state = 5},
  [5007] = {.lex_state = 349, .external_lex_state = 5},
  [5008] = {.lex_state = 349, .external_lex_state = 5},
  [5009] = {.lex_state = 349, .external_lex_state = 5},
  [5010] = {.lex_state = 349, .external_lex_state = 5},
  [5011] = {.lex_state = 45, .external_lex_state = 5},
  [5012] = {.lex_state = 349, .external_lex_state = 5},
  [5013] = {.lex_state = 349, .external_lex_state = 2},
  [5014] = {.lex_state = 349, .external_lex_state = 2},
  [5015] = {.lex_state = 349, .external_lex_state = 5},
  [5016] = {.lex_state = 349, .external_lex_state = 5},
  [5017] = {.lex_state = 349, .external_lex_state = 5},
  [5018] = {.lex_state = 349, .external_lex_state = 5},
  [5019] = {.lex_state = 349, .external_lex_state = 5},
  [5020] = {.lex_state = 349, .external_lex_state = 5},
  [5021] = {.lex_state = 349, .external_lex_state = 5},
  [5022] = {.lex_state = 349, .external_lex_state = 5},
  [5023] = {.lex_state = 349, .external_lex_state = 5},
  [5024] = {.lex_state = 349, .external_lex_state = 5},
  [5025] = {.lex_state = 349, .external_lex_state = 5},
  [5026] = {.lex_state = 349, .external_lex_state = 5},
  [5027] = {.lex_state = 349, .external_lex_state = 5},
  [5028] = {.lex_state = 349, .external_lex_state = 5},
  [5029] = {.lex_state = 349, .external_lex_state = 5},
  [5030] = {.lex_state = 349, .external_lex_state = 5},
  [5031] = {.lex_state = 349, .external_lex_state = 5},
  [5032] = {.lex_state = 349, .external_lex_state = 5},
  [5033] = {.lex_state = 349, .external_lex_state = 5},
  [5034] = {.lex_state = 349, .external_lex_state = 5},
  [5035] = {.lex_state = 349, .external_lex_state = 5},
  [5036] = {.lex_state = 349, .external_lex_state = 5},
  [5037] = {.lex_state = 349, .external_lex_state = 5},
  [5038] = {.lex_state = 349, .external_lex_state = 5},
  [5039] = {.lex_state = 349, .external_lex_state = 5},
  [5040] = {.lex_state = 349, .external_lex_state = 5},
  [5041] = {.lex_state = 349, .external_lex_state = 5},
  [5042] = {.lex_state = 349, .external_lex_state = 5},
  [5043] = {.lex_state = 349, .external_lex_state = 5},
  [5044] = {.lex_state = 349, .external_lex_state = 5},
  [5045] = {.lex_state = 349, .external_lex_state = 5},
  [5046] = {.lex_state = 349, .external_lex_state = 5},
  [5047] = {.lex_state = 349, .external_lex_state = 5},
  [5048] = {.lex_state = 349, .external_lex_state = 5},
  [5049] = {.lex_state = 349, .external_lex_state = 5},
  [5050] = {.lex_state = 349, .external_lex_state = 5},
  [5051] = {.lex_state = 349, .external_lex_state = 5},
  [5052] = {.lex_state = 349, .external_lex_state = 5},
  [5053] = {.lex_state = 349, .external_lex_state = 5},
  [5054] = {.lex_state = 349, .external_lex_state = 5},
  [5055] = {.lex_state = 349, .external_lex_state = 5},
  [5056] = {.lex_state = 349, .external_lex_state = 5},
  [5057] = {.lex_state = 349, .external_lex_state = 5},
  [5058] = {.lex_state = 45, .external_lex_state = 5},
  [5059] = {.lex_state = 349, .external_lex_state = 5},
  [5060] = {.lex_state = 349, .external_lex_state = 6},
  [5061] = {.lex_state = 349, .external_lex_state = 5},
  [5062] = {.lex_state = 349, .external_lex_state = 5},
  [5063] = {.lex_state = 349, .external_lex_state = 5},
  [5064] = {.lex_state = 349, .external_lex_state = 2},
  [5065] = {.lex_state = 349, .external_lex_state = 5},
  [5066] = {.lex_state = 349, .external_lex_state = 5},
  [5067] = {.lex_state = 349, .external_lex_state = 5},
  [5068] = {.lex_state = 349, .external_lex_state = 5},
  [5069] = {.lex_state = 349, .external_lex_state = 5},
  [5070] = {.lex_state = 349, .external_lex_state = 5},
  [5071] = {.lex_state = 349, .external_lex_state = 5},
  [5072] = {.lex_state = 349, .external_lex_state = 5},
  [5073] = {.lex_state = 349, .external_lex_state = 5},
  [5074] = {.lex_state = 349, .external_lex_state = 5},
  [5075] = {.lex_state = 349, .external_lex_state = 6},
  [5076] = {.lex_state = 349, .external_lex_state = 5},
  [5077] = {.lex_state = 349, .external_lex_state = 5},
  [5078] = {.lex_state = 349, .external_lex_state = 5},
  [5079] = {.lex_state = 349, .external_lex_state = 5},
  [5080] = {.lex_state = 349, .external_lex_state = 5},
  [5081] = {.lex_state = 349, .external_lex_state = 5},
  [5082] = {.lex_state = 45, .external_lex_state = 5},
  [5083] = {.lex_state = 349, .external_lex_state = 5},
  [5084] = {.lex_state = 349, .external_lex_state = 5},
  [5085] = {.lex_state = 349, .external_lex_state = 5},
  [5086] = {.lex_state = 45, .external_lex_state = 5},
  [5087] = {.lex_state = 349, .external_lex_state = 2},
  [5088] = {.lex_state = 349, .external_lex_state = 5},
  [5089] = {.lex_state = 349, .external_lex_state = 5},
  [5090] = {.lex_state = 349, .external_lex_state = 5},
  [5091] = {.lex_state = 349, .external_lex_state = 5},
  [5092] = {.lex_state = 349, .external_lex_state = 5},
  [5093] = {.lex_state = 349, .external_lex_state = 5},
  [5094] = {.lex_state = 349, .external_lex_state = 5},
  [5095] = {.lex_state = 349, .external_lex_state = 5},
  [5096] = {.lex_state = 349, .external_lex_state = 5},
  [5097] = {.lex_state = 349, .external_lex_state = 5},
  [5098] = {.lex_state = 349, .external_lex_state = 5},
  [5099] = {.lex_state = 349, .external_lex_state = 5},
  [5100] = {.lex_state = 45, .external_lex_state = 5},
  [5101] = {.lex_state = 349, .external_lex_state = 5},
  [5102] = {.lex_state = 349, .external_lex_state = 2},
  [5103] = {.lex_state = 349, .external_lex_state = 6},
  [5104] = {.lex_state = 349, .external_lex_state = 5},
  [5105] = {.lex_state = 56, .external_lex_state = 2},
  [5106] = {.lex_state = 349, .external_lex_state = 5},
  [5107] = {.lex_state = 349, .external_lex_state = 5},
  [5108] = {.lex_state = 349, .external_lex_state = 2},
  [5109] = {.lex_state = 349, .external_lex_state = 5},
  [5110] = {.lex_state = 349, .external_lex_state = 5},
  [5111] = {.lex_state = 349, .external_lex_state = 5},
  [5112] = {.lex_state = 349, .external_lex_state = 5},
  [5113] = {.lex_state = 349, .external_lex_state = 6},
  [5114] = {.lex_state = 349, .external_lex_state = 5},
  [5115] = {.lex_state = 349, .external_lex_state = 5},
  [5116] = {.lex_state = 349, .external_lex_state = 2},
  [5117] = {.lex_state = 47, .external_lex_state = 2},
  [5118] = {.lex_state = 45, .external_lex_state = 5},
  [5119] = {.lex_state = 349, .external_lex_state = 6},
  [5120] = {.lex_state = 349, .external_lex_state = 5},
  [5121] = {.lex_state = 349, .external_lex_state = 5},
  [5122] = {.lex_state = 349, .external_lex_state = 5},
  [5123] = {.lex_state = 349, .external_lex_state = 5},
  [5124] = {.lex_state = 63, .external_lex_state = 2},
  [5125] = {.lex_state = 349, .external_lex_state = 5},
  [5126] = {.lex_state = 45, .external_lex_state = 2},
  [5127] = {.lex_state = 349, .external_lex_state = 5},
  [5128] = {.lex_state = 349, .external_lex_state = 8},
  [5129] = {.lex_state = 349, .external_lex_state = 5},
  [5130] = {.lex_state = 349, .external_lex_state = 5},
  [5131] = {.lex_state = 349, .external_lex_state = 5},
  [5132] = {.lex_state = 349, .external_lex_state = 6},
  [5133] = {.lex_state = 349, .external_lex_state = 2},
  [5134] = {.lex_state = 349, .external_lex_state = 5},
  [5135] = {.lex_state = 349, .external_lex_state = 5},
  [5136] = {.lex_state = 45, .external_lex_state = 2},
  [5137] = {.lex_state = 45, .external_lex_state = 2},
  [5138] = {.lex_state = 349, .external_lex_state = 5},
  [5139] = {.lex_state = 45, .external_lex_state = 2},
  [5140] = {.lex_state = 349, .external_lex_state = 5},
  [5141] = {.lex_state = 349, .external_lex_state = 5},
  [5142] = {.lex_state = 349, .external_lex_state = 5},
  [5143] = {.lex_state = 349, .external_lex_state = 5},
  [5144] = {.lex_state = 45, .external_lex_state = 2},
  [5145] = {.lex_state = 349, .external_lex_state = 5},
  [5146] = {.lex_state = 349, .external_lex_state = 8},
  [5147] = {.lex_state = 349, .external_lex_state = 5},
  [5148] = {.lex_state = 349, .external_lex_state = 5},
  [5149] = {.lex_state = 349, .external_lex_state = 5},
  [5150] = {.lex_state = 45, .external_lex_state = 2},
  [5151] = {.lex_state = 349, .external_lex_state = 5},
  [5152] = {.lex_state = 349, .external_lex_state = 5},
  [5153] = {.lex_state = 349, .external_lex_state = 5},
  [5154] = {.lex_state = 349, .external_lex_state = 5},
  [5155] = {.lex_state = 349, .external_lex_state = 5},
  [5156] = {.lex_state = 45, .external_lex_state = 2},
  [5157] = {.lex_state = 349, .external_lex_state = 2},
  [5158] = {.lex_state = 349, .external_lex_state = 5},
  [5159] = {.lex_state = 349, .external_lex_state = 5},
  [5160] = {.lex_state = 349, .external_lex_state = 5},
  [5161] = {.lex_state = 45, .external_lex_state = 2},
  [5162] = {.lex_state = 45, .external_lex_state = 2},
  [5163] = {.lex_state = 349, .external_lex_state = 5},
  [5164] = {.lex_state = 349, .external_lex_state = 5},
  [5165] = {.lex_state = 45, .external_lex_state = 2},
  [5166] = {.lex_state = 349, .external_lex_state = 8},
  [5167] = {.lex_state = 349, .external_lex_state = 5},
  [5168] = {.lex_state = 349, .external_lex_state = 5},
  [5169] = {.lex_state = 349, .external_lex_state = 5},
  [5170] = {.lex_state = 349, .external_lex_state = 8},
  [5171] = {.lex_state = 349, .external_lex_state = 5},
  [5172] = {.lex_state = 349, .external_lex_state = 5},
  [5173] = {.lex_state = 349, .external_lex_state = 5},
  [5174] = {.lex_state = 349, .external_lex_state = 5},
  [5175] = {.lex_state = 349, .external_lex_state = 5},
  [5176] = {.lex_state = 349, .external_lex_state = 5},
  [5177] = {.lex_state = 349, .external_lex_state = 5},
  [5178] = {.lex_state = 349, .external_lex_state = 5},
  [5179] = {.lex_state = 349, .external_lex_state = 5},
  [5180] = {.lex_state = 349, .external_lex_state = 5},
  [5181] = {.lex_state = 349, .external_lex_state = 5},
  [5182] = {.lex_state = 349, .external_lex_state = 5},
  [5183] = {.lex_state = 45, .external_lex_state = 5},
  [5184] = {.lex_state = 349, .external_lex_state = 5},
  [5185] = {.lex_state = 349, .external_lex_state = 5},
  [5186] = {.lex_state = 349, .external_lex_state = 5},
  [5187] = {.lex_state = 48, .external_lex_state = 2},
  [5188] = {.lex_state = 349, .external_lex_state = 5},
  [5189] = {.lex_state = 349, .external_lex_state = 5},
  [5190] = {.lex_state = 349, .external_lex_state = 2},
  [5191] = {.lex_state = 349, .external_lex_state = 5},
  [5192] = {.lex_state = 349, .external_lex_state = 5},
  [5193] = {.lex_state = 48, .external_lex_state = 2},
  [5194] = {.lex_state = 349, .external_lex_state = 5},
  [5195] = {.lex_state = 349, .external_lex_state = 5},
  [5196] = {.lex_state = 349, .external_lex_state = 5},
  [5197] = {.lex_state = 45, .external_lex_state = 5},
  [5198] = {.lex_state = 45, .external_lex_state = 2},
  [5199] = {.lex_state = 349, .external_lex_state = 5},
  [5200] = {.lex_state = 349, .external_lex_state = 6},
  [5201] = {.lex_state = 349, .external_lex_state = 5},
  [5202] = {.lex_state = 349, .external_lex_state = 5},
  [5203] = {.lex_state = 349, .external_lex_state = 5},
  [5204] = {.lex_state = 349, .external_lex_state = 2},
  [5205] = {.lex_state = 349, .external_lex_state = 5},
  [5206] = {.lex_state = 349, .external_lex_state = 2},
  [5207] = {.lex_state = 349, .external_lex_state = 5},
  [5208] = {.lex_state = 349, .external_lex_state = 5},
  [5209] = {.lex_state = 45, .external_lex_state = 2},
  [5210] = {.lex_state = 349, .external_lex_state = 5},
  [5211] = {.lex_state = 349, .external_lex_state = 5},
  [5212] = {.lex_state = 349, .external_lex_state = 5},
  [5213] = {.lex_state = 349, .external_lex_state = 5},
  [5214] = {.lex_state = 349, .external_lex_state = 5},
  [5215] = {.lex_state = 349, .external_lex_state = 5},
  [5216] = {.lex_state = 45, .external_lex_state = 2},
  [5217] = {.lex_state = 349, .external_lex_state = 6},
  [5218] = {.lex_state = 349, .external_lex_state = 5},
  [5219] = {.lex_state = 349, .external_lex_state = 5},
  [5220] = {.lex_state = 45, .external_lex_state = 5},
  [5221] = {.lex_state = 349, .external_lex_state = 6},
  [5222] = {.lex_state = 349, .external_lex_state = 5},
  [5223] = {.lex_state = 349, .external_lex_state = 2},
  [5224] = {.lex_state = 349, .external_lex_state = 5},
  [5225] = {.lex_state = 349, .external_lex_state = 5},
  [5226] = {.lex_state = 349, .external_lex_state = 5},
  [5227] = {.lex_state = 349, .external_lex_state = 5},
  [5228] = {.lex_state = 63, .external_lex_state = 2},
  [5229] = {.lex_state = 349, .external_lex_state = 5},
  [5230] = {.lex_state = 349, .external_lex_state = 5},
  [5231] = {.lex_state = 349, .external_lex_state = 5},
  [5232] = {.lex_state = 349, .external_lex_state = 8},
  [5233] = {.lex_state = 349, .external_lex_state = 5},
  [5234] = {.lex_state = 349, .external_lex_state = 2},
  [5235] = {.lex_state = 349, .external_lex_state = 5},
  [5236] = {.lex_state = 349, .external_lex_state = 5},
  [5237] = {.lex_state = 349, .external_lex_state = 6},
  [5238] = {.lex_state = 349, .external_lex_state = 5},
  [5239] = {.lex_state = 349, .external_lex_state = 5},
  [5240] = {.lex_state = 349, .external_lex_state = 5},
  [5241] = {.lex_state = 349, .external_lex_state = 5},
  [5242] = {.lex_state = 349, .external_lex_state = 5},
  [5243] = {.lex_state = 349, .external_lex_state = 2},
  [5244] = {.lex_state = 349, .external_lex_state = 6},
  [5245] = {.lex_state = 45, .external_lex_state = 2},
  [5246] = {.lex_state = 349, .external_lex_state = 5},
  [5247] = {.lex_state = 349, .external_lex_state = 5},
  [5248] = {.lex_state = 349, .external_lex_state = 5},
  [5249] = {.lex_state = 349, .external_lex_state = 5},
  [5250] = {.lex_state = 349, .external_lex_state = 8},
  [5251] = {.lex_state = 349, .external_lex_state = 5},
  [5252] = {.lex_state = 349, .external_lex_state = 5},
  [5253] = {.lex_state = 45, .external_lex_state = 2},
  [5254] = {.lex_state = 349, .external_lex_state = 2},
  [5255] = {.lex_state = 349, .external_lex_state = 5},
  [5256] = {.lex_state = 349, .external_lex_state = 5},
  [5257] = {.lex_state = 349, .external_lex_state = 5},
  [5258] = {.lex_state = 349, .external_lex_state = 5},
  [5259] = {.lex_state = 349, .external_lex_state = 8},
  [5260] = {.lex_state = 45, .external_lex_state = 2},
  [5261] = {.lex_state = 349, .external_lex_state = 5},
  [5262] = {.lex_state = 45, .external_lex_state = 2},
  [5263] = {.lex_state = 45, .external_lex_state = 2},
  [5264] = {.lex_state = 349, .external_lex_state = 5},
  [5265] = {.lex_state = 349, .external_lex_state = 2},
  [5266] = {.lex_state = 349, .external_lex_state = 5},
  [5267] = {.lex_state = 349, .external_lex_state = 5},
  [5268] = {.lex_state = 349, .external_lex_state = 5},
  [5269] = {.lex_state = 349, .external_lex_state = 5},
  [5270] = {.lex_state = 349, .external_lex_state = 5},
  [5271] = {.lex_state = 349, .external_lex_state = 5},
  [5272] = {.lex_state = 349, .external_lex_state = 5},
  [5273] = {.lex_state = 63, .external_lex_state = 2},
  [5274] = {.lex_state = 45, .external_lex_state = 5},
  [5275] = {.lex_state = 349, .external_lex_state = 2},
  [5276] = {.lex_state = 349, .external_lex_state = 5},
  [5277] = {.lex_state = 45, .external_lex_state = 2},
  [5278] = {.lex_state = 45, .external_lex_state = 2},
  [5279] = {.lex_state = 349, .external_lex_state = 6},
  [5280] = {.lex_state = 349, .external_lex_state = 5},
  [5281] = {.lex_state = 349, .external_lex_state = 5},
  [5282] = {.lex_state = 63, .external_lex_state = 2},
  [5283] = {.lex_state = 45, .external_lex_state = 2},
  [5284] = {.lex_state = 349, .external_lex_state = 5},
  [5285] = {.lex_state = 349, .external_lex_state = 5},
  [5286] = {.lex_state = 349, .external_lex_state = 5},
  [5287] = {.lex_state = 349, .external_lex_state = 2},
  [5288] = {.lex_state = 349, .external_lex_state = 5},
  [5289] = {.lex_state = 349, .external_lex_state = 5},
  [5290] = {.lex_state = 349, .external_lex_state = 5},
  [5291] = {.lex_state = 349, .external_lex_state = 5},
  [5292] = {.lex_state = 45, .external_lex_state = 2},
  [5293] = {.lex_state = 349, .external_lex_state = 8},
  [5294] = {.lex_state = 349, .external_lex_state = 5},
  [5295] = {.lex_state = 349, .external_lex_state = 5},
  [5296] = {.lex_state = 45, .external_lex_state = 2},
  [5297] = {.lex_state = 349, .external_lex_state = 5},
  [5298] = {.lex_state = 349, .external_lex_state = 5},
  [5299] = {.lex_state = 349, .external_lex_state = 5},
  [5300] = {.lex_state = 349, .external_lex_state = 5},
  [5301] = {.lex_state = 349, .external_lex_state = 5},
  [5302] = {.lex_state = 349, .external_lex_state = 5},
  [5303] = {.lex_state = 349, .external_lex_state = 2},
  [5304] = {.lex_state = 349, .external_lex_state = 5},
  [5305] = {.lex_state = 349, .external_lex_state = 5},
  [5306] = {.lex_state = 349, .external_lex_state = 5},
  [5307] = {.lex_state = 45, .external_lex_state = 2},
  [5308] = {.lex_state = 63, .external_lex_state = 2},
  [5309] = {.lex_state = 45, .external_lex_state = 5},
  [5310] = {.lex_state = 349, .external_lex_state = 5},
  [5311] = {.lex_state = 349, .external_lex_state = 5},
  [5312] = {.lex_state = 349, .external_lex_state = 5},
  [5313] = {.lex_state = 349, .external_lex_state = 6},
  [5314] = {.lex_state = 45, .external_lex_state = 2},
  [5315] = {.lex_state = 45, .external_lex_state = 5},
  [5316] = {.lex_state = 45, .external_lex_state = 2},
  [5317] = {.lex_state = 349, .external_lex_state = 5},
  [5318] = {.lex_state = 349, .external_lex_state = 2},
  [5319] = {.lex_state = 45, .external_lex_state = 2},
  [5320] = {.lex_state = 349, .external_lex_state = 5},
  [5321] = {.lex_state = 349, .external_lex_state = 5},
  [5322] = {.lex_state = 349, .external_lex_state = 5},
  [5323] = {.lex_state = 349, .external_lex_state = 5},
  [5324] = {.lex_state = 48, .external_lex_state = 2},
  [5325] = {.lex_state = 45, .external_lex_state = 2},
  [5326] = {.lex_state = 45, .external_lex_state = 2},
  [5327] = {.lex_state = 349, .external_lex_state = 5},
  [5328] = {.lex_state = 45, .external_lex_state = 2},
  [5329] = {.lex_state = 349, .external_lex_state = 6},
  [5330] = {.lex_state = 45, .external_lex_state = 5},
  [5331] = {.lex_state = 45, .external_lex_state = 2},
  [5332] = {.lex_state = 45, .external_lex_state = 2},
  [5333] = {.lex_state = 45, .external_lex_state = 2},
  [5334] = {.lex_state = 45, .external_lex_state = 2},
  [5335] = {.lex_state = 45, .external_lex_state = 2},
  [5336] = {.lex_state = 349, .external_lex_state = 6},
  [5337] = {.lex_state = 45, .external_lex_state = 2},
  [5338] = {.lex_state = 45, .external_lex_state = 2},
  [5339] = {.lex_state = 45, .external_lex_state = 2},
  [5340] = {.lex_state = 47, .external_lex_state = 2},
  [5341] = {.lex_state = 45, .external_lex_state = 2},
  [5342] = {.lex_state = 45, .external_lex_state = 2},
  [5343] = {.lex_state = 349, .external_lex_state = 2},
  [5344] = {.lex_state = 45, .external_lex_state = 2},
  [5345] = {.lex_state = 45, .external_lex_state = 2},
  [5346] = {.lex_state = 45, .external_lex_state = 2},
  [5347] = {.lex_state = 349, .external_lex_state = 5},
  [5348] = {.lex_state = 45, .external_lex_state = 2},
  [5349] = {.lex_state = 45, .external_lex_state = 2},
  [5350] = {.lex_state = 45, .external_lex_state = 2},
  [5351] = {.lex_state = 349, .external_lex_state = 5},
  [5352] = {.lex_state = 349, .external_lex_state = 5},
  [5353] = {.lex_state = 45, .external_lex_state = 2},
  [5354] = {.lex_state = 45, .external_lex_state = 2},
  [5355] = {.lex_state = 45, .external_lex_state = 5},
  [5356] = {.lex_state = 45, .external_lex_state = 2},
  [5357] = {.lex_state = 45, .external_lex_state = 2},
  [5358] = {.lex_state = 349, .external_lex_state = 2},
  [5359] = {.lex_state = 349, .external_lex_state = 2},
  [5360] = {.lex_state = 349, .external_lex_state = 5},
  [5361] = {.lex_state = 45, .external_lex_state = 2},
  [5362] = {.lex_state = 45, .external_lex_state = 2},
  [5363] = {.lex_state = 45, .external_lex_state = 2},
  [5364] = {.lex_state = 349, .external_lex_state = 5},
  [5365] = {.lex_state = 349, .external_lex_state = 6},
  [5366] = {.lex_state = 349, .external_lex_state = 6},
  [5367] = {.lex_state = 349, .external_lex_state = 6},
  [5368] = {.lex_state = 45, .external_lex_state = 2},
  [5369] = {.lex_state = 45, .external_lex_state = 2},
  [5370] = {.lex_state = 349, .external_lex_state = 6},
  [5371] = {.lex_state = 349, .external_lex_state = 5},
  [5372] = {.lex_state = 349, .external_lex_state = 2},
  [5373] = {.lex_state = 349, .external_lex_state = 2},
  [5374] = {.lex_state = 349, .external_lex_state = 5},
  [5375] = {.lex_state = 45, .external_lex_state = 2},
  [5376] = {.lex_state = 349, .external_lex_state = 5},
  [5377] = {.lex_state = 45, .external_lex_state = 2},
  [5378] = {.lex_state = 45, .external_lex_state = 2},
  [5379] = {.lex_state = 349, .external_lex_state = 2},
  [5380] = {.lex_state = 45, .external_lex_state = 2},
  [5381] = {.lex_state = 349, .external_lex_state = 5},
  [5382] = {.lex_state = 349, .external_lex_state = 6},
  [5383] = {.lex_state = 45, .external_lex_state = 2},
  [5384] = {.lex_state = 349, .external_lex_state = 5},
  [5385] = {.lex_state = 349, .external_lex_state = 6},
  [5386] = {.lex_state = 349, .external_lex_state = 5},
  [5387] = {.lex_state = 45, .external_lex_state = 2},
  [5388] = {.lex_state = 45, .external_lex_state = 5},
  [5389] = {.lex_state = 45, .external_lex_state = 5},
  [5390] = {.lex_state = 349, .external_lex_state = 5},
  [5391] = {.lex_state = 349, .external_lex_state = 6},
  [5392] = {.lex_state = 349, .external_lex_state = 5},
  [5393] = {.lex_state = 349, .external_lex_state = 5},
  [5394] = {.lex_state = 45, .external_lex_state = 2},
  [5395] = {.lex_state = 349, .external_lex_state = 5},
  [5396] = {.lex_state = 45, .external_lex_state = 2},
  [5397] = {.lex_state = 45, .external_lex_state = 2},
  [5398] = {.lex_state = 45, .external_lex_state = 2},
  [5399] = {.lex_state = 63, .external_lex_state = 2},
  [5400] = {.lex_state = 45, .external_lex_state = 2},
  [5401] = {.lex_state = 349, .external_lex_state = 5},
  [5402] = {.lex_state = 45, .external_lex_state = 2},
  [5403] = {.lex_state = 45, .external_lex_state = 2},
  [5404] = {.lex_state = 45, .external_lex_state = 2},
  [5405] = {.lex_state = 45, .external_lex_state = 2},
  [5406] = {.lex_state = 45, .external_lex_state = 2},
  [5407] = {.lex_state = 45, .external_lex_state = 2},
  [5408] = {.lex_state = 45, .external_lex_state = 2},
  [5409] = {.lex_state = 349, .external_lex_state = 5},
  [5410] = {.lex_state = 45, .external_lex_state = 2},
  [5411] = {.lex_state = 45, .external_lex_state = 2},
  [5412] = {.lex_state = 349, .external_lex_state = 6},
  [5413] = {.lex_state = 45, .external_lex_state = 2},
  [5414] = {.lex_state = 45, .external_lex_state = 2},
  [5415] = {.lex_state = 349, .external_lex_state = 5},
  [5416] = {.lex_state = 349, .external_lex_state = 2},
  [5417] = {.lex_state = 349, .external_lex_state = 2},
  [5418] = {.lex_state = 47, .external_lex_state = 2},
  [5419] = {.lex_state = 349, .external_lex_state = 5},
  [5420] = {.lex_state = 349, .external_lex_state = 8},
  [5421] = {.lex_state = 45, .external_lex_state = 2},
  [5422] = {.lex_state = 349, .external_lex_state = 5},
  [5423] = {.lex_state = 45, .external_lex_state = 2},
  [5424] = {.lex_state = 45, .external_lex_state = 2},
  [5425] = {.lex_state = 349, .external_lex_state = 5},
  [5426] = {.lex_state = 349, .external_lex_state = 5},
  [5427] = {.lex_state = 349, .external_lex_state = 6},
  [5428] = {.lex_state = 349, .external_lex_state = 5},
  [5429] = {.lex_state = 45, .external_lex_state = 2},
  [5430] = {.lex_state = 349, .external_lex_state = 2},
  [5431] = {.lex_state = 349, .external_lex_state = 5},
  [5432] = {.lex_state = 349, .external_lex_state = 2},
  [5433] = {.lex_state = 349, .external_lex_state = 2},
  [5434] = {.lex_state = 349, .external_lex_state = 2},
  [5435] = {.lex_state = 45, .external_lex_state = 2},
  [5436] = {.lex_state = 349, .external_lex_state = 2},
  [5437] = {.lex_state = 45, .external_lex_state = 2},
  [5438] = {.lex_state = 349, .external_lex_state = 5},
  [5439] = {.lex_state = 45, .external_lex_state = 2},
  [5440] = {.lex_state = 349, .external_lex_state = 5},
  [5441] = {.lex_state = 349, .external_lex_state = 8},
  [5442] = {.lex_state = 45, .external_lex_state = 2},
  [5443] = {.lex_state = 349, .external_lex_state = 5},
  [5444] = {.lex_state = 349, .external_lex_state = 5},
  [5445] = {.lex_state = 45, .external_lex_state = 2},
  [5446] = {.lex_state = 349, .external_lex_state = 5},
  [5447] = {.lex_state = 349, .external_lex_state = 5},
  [5448] = {.lex_state = 349, .external_lex_state = 8},
  [5449] = {.lex_state = 45, .external_lex_state = 5},
  [5450] = {.lex_state = 349, .external_lex_state = 5},
  [5451] = {.lex_state = 349, .external_lex_state = 2},
  [5452] = {.lex_state = 349, .external_lex_state = 5},
  [5453] = {.lex_state = 349, .external_lex_state = 5},
  [5454] = {.lex_state = 349, .external_lex_state = 5},
  [5455] = {.lex_state = 349, .external_lex_state = 5},
  [5456] = {.lex_state = 45, .external_lex_state = 2},
  [5457] = {.lex_state = 45, .external_lex_state = 2},
  [5458] = {.lex_state = 349, .external_lex_state = 2},
  [5459] = {.lex_state = 349, .external_lex_state = 5},
  [5460] = {.lex_state = 45, .external_lex_state = 2},
  [5461] = {.lex_state = 349, .external_lex_state = 5},
  [5462] = {.lex_state = 48, .external_lex_state = 2},
  [5463] = {.lex_state = 349, .external_lex_state = 5},
  [5464] = {.lex_state = 45, .external_lex_state = 2},
  [5465] = {.lex_state = 349, .external_lex_state = 5},
  [5466] = {.lex_state = 45, .external_lex_state = 2},
  [5467] = {.lex_state = 45, .external_lex_state = 2},
  [5468] = {.lex_state = 349, .external_lex_state = 6},
  [5469] = {.lex_state = 45, .external_lex_state = 5},
  [5470] = {.lex_state = 45, .external_lex_state = 2},
  [5471] = {.lex_state = 349, .external_lex_state = 5},
  [5472] = {.lex_state = 45, .external_lex_state = 2},
  [5473] = {.lex_state = 45, .external_lex_state = 2},
  [5474] = {.lex_state = 45, .external_lex_state = 2},
  [5475] = {.lex_state = 45, .external_lex_state = 2},
  [5476] = {.lex_state = 45, .external_lex_state = 2},
  [5477] = {.lex_state = 349, .external_lex_state = 5},
  [5478] = {.lex_state = 349, .external_lex_state = 5},
  [5479] = {.lex_state = 349, .external_lex_state = 5},
  [5480] = {.lex_state = 45, .external_lex_state = 2},
  [5481] = {.lex_state = 45, .external_lex_state = 2},
  [5482] = {.lex_state = 47, .external_lex_state = 2},
  [5483] = {.lex_state = 47, .external_lex_state = 2},
  [5484] = {.lex_state = 45, .external_lex_state = 2},
  [5485] = {.lex_state = 349, .external_lex_state = 5},
  [5486] = {.lex_state = 349, .external_lex_state = 5},
  [5487] = {.lex_state = 45, .external_lex_state = 2},
  [5488] = {.lex_state = 349, .external_lex_state = 2},
  [5489] = {.lex_state = 349, .external_lex_state = 5},
  [5490] = {.lex_state = 349, .external_lex_state = 6},
  [5491] = {.lex_state = 349, .external_lex_state = 5},
  [5492] = {.lex_state = 45, .external_lex_state = 2},
  [5493] = {.lex_state = 349, .external_lex_state = 5},
  [5494] = {.lex_state = 45, .external_lex_state = 2},
  [5495] = {.lex_state = 45, .external_lex_state = 2},
  [5496] = {.lex_state = 349, .external_lex_state = 5},
  [5497] = {.lex_state = 45, .external_lex_state = 2},
  [5498] = {.lex_state = 45, .external_lex_state = 2},
  [5499] = {.lex_state = 47, .external_lex_state = 5},
  [5500] = {.lex_state = 47, .external_lex_state = 5},
  [5501] = {.lex_state = 45, .external_lex_state = 2},
  [5502] = {.lex_state = 349, .external_lex_state = 5},
  [5503] = {.lex_state = 45, .external_lex_state = 2},
  [5504] = {.lex_state = 349, .external_lex_state = 5},
  [5505] = {.lex_state = 349, .external_lex_state = 5},
  [5506] = {.lex_state = 349, .external_lex_state = 5},
  [5507] = {.lex_state = 349, .external_lex_state = 5},
  [5508] = {.lex_state = 349, .external_lex_state = 5},
  [5509] = {.lex_state = 349, .external_lex_state = 5},
  [5510] = {.lex_state = 59, .external_lex_state = 9},
  [5511] = {.lex_state = 45, .external_lex_state = 2},
  [5512] = {.lex_state = 349, .external_lex_state = 5},
  [5513] = {.lex_state = 349, .external_lex_state = 5},
  [5514] = {.lex_state = 349, .external_lex_state = 5},
  [5515] = {.lex_state = 45, .external_lex_state = 2},
  [5516] = {.lex_state = 45, .external_lex_state = 2},
  [5517] = {.lex_state = 59, .external_lex_state = 9},
  [5518] = {.lex_state = 55, .external_lex_state = 9},
  [5519] = {.lex_state = 349, .external_lex_state = 5},
  [5520] = {.lex_state = 349, .external_lex_state = 5},
  [5521] = {.lex_state = 349, .external_lex_state = 5},
  [5522] = {.lex_state = 349, .external_lex_state = 2},
  [5523] = {.lex_state = 349, .external_lex_state = 2},
  [5524] = {.lex_state = 55, .external_lex_state = 9},
  [5525] = {.lex_state = 59, .external_lex_state = 9},
  [5526] = {.lex_state = 55, .external_lex_state = 9},
  [5527] = {.lex_state = 349, .external_lex_state = 2},
  [5528] = {.lex_state = 59, .external_lex_state = 9},
  [5529] = {.lex_state = 45, .external_lex_state = 2},
  [5530] = {.lex_state = 349, .external_lex_state = 2},
  [5531] = {.lex_state = 1, .external_lex_state = 2},
  [5532] = {.lex_state = 55, .external_lex_state = 9},
  [5533] = {.lex_state = 59, .external_lex_state = 9},
  [5534] = {.lex_state = 349, .external_lex_state = 2},
  [5535] = {.lex_state = 1, .external_lex_state = 2},
  [5536] = {.lex_state = 349, .external_lex_state = 5},
  [5537] = {.lex_state = 349, .external_lex_state = 5},
  [5538] = {.lex_state = 45, .external_lex_state = 2},
  [5539] = {.lex_state = 55, .external_lex_state = 9},
  [5540] = {.lex_state = 59, .external_lex_state = 9},
  [5541] = {.lex_state = 349, .external_lex_state = 5},
  [5542] = {.lex_state = 47, .external_lex_state = 2},
  [5543] = {.lex_state = 349, .external_lex_state = 5},
  [5544] = {.lex_state = 55, .external_lex_state = 9},
  [5545] = {.lex_state = 45, .external_lex_state = 2},
  [5546] = {.lex_state = 59, .external_lex_state = 9},
  [5547] = {.lex_state = 45, .external_lex_state = 2},
  [5548] = {.lex_state = 349, .external_lex_state = 5},
  [5549] = {.lex_state = 55, .external_lex_state = 9},
  [5550] = {.lex_state = 59, .external_lex_state = 9},
  [5551] = {.lex_state = 349, .external_lex_state = 5},
  [5552] = {.lex_state = 349, .external_lex_state = 5},
  [5553] = {.lex_state = 349, .external_lex_state = 5},
  [5554] = {.lex_state = 349, .external_lex_state = 5},
  [5555] = {.lex_state = 349, .external_lex_state = 2},
  [5556] = {.lex_state = 349, .external_lex_state = 5},
  [5557] = {.lex_state = 349, .external_lex_state = 5},
  [5558] = {.lex_state = 45, .external_lex_state = 2},
  [5559] = {.lex_state = 349, .external_lex_state = 5},
  [5560] = {.lex_state = 349, .external_lex_state = 5},
  [5561] = {.lex_state = 45, .external_lex_state = 2},
  [5562] = {.lex_state = 349, .external_lex_state = 5},
  [5563] = {.lex_state = 349, .external_lex_state = 5},
  [5564] = {.lex_state = 1, .external_lex_state = 2},
  [5565] = {.lex_state = 45, .external_lex_state = 2},
  [5566] = {.lex_state = 45, .external_lex_state = 2},
  [5567] = {.lex_state = 349, .external_lex_state = 5},
  [5568] = {.lex_state = 349, .external_lex_state = 5},
  [5569] = {.lex_state = 349, .external_lex_state = 5},
  [5570] = {.lex_state = 349, .external_lex_state = 5},
  [5571] = {.lex_state = 349, .external_lex_state = 5},
  [5572] = {.lex_state = 349, .external_lex_state = 5},
  [5573] = {.lex_state = 349, .external_lex_state = 5},
  [5574] = {.lex_state = 45, .external_lex_state = 2},
  [5575] = {.lex_state = 349, .external_lex_state = 2},
  [5576] = {.lex_state = 45, .external_lex_state = 2},
  [5577] = {.lex_state = 45, .external_lex_state = 2},
  [5578] = {.lex_state = 55, .external_lex_state = 9},
  [5579] = {.lex_state = 55, .external_lex_state = 9},
  [5580] = {.lex_state = 59, .external_lex_state = 9},
  [5581] = {.lex_state = 59, .external_lex_state = 9},
  [5582] = {.lex_state = 45, .external_lex_state = 2},
  [5583] = {.lex_state = 55, .external_lex_state = 9},
  [5584] = {.lex_state = 59, .external_lex_state = 9},
  [5585] = {.lex_state = 349, .external_lex_state = 2},
  [5586] = {.lex_state = 55, .external_lex_state = 9},
  [5587] = {.lex_state = 59, .external_lex_state = 9},
  [5588] = {.lex_state = 59, .external_lex_state = 9},
  [5589] = {.lex_state = 55, .external_lex_state = 9},
  [5590] = {.lex_state = 45, .external_lex_state = 2},
  [5591] = {.lex_state = 45, .external_lex_state = 2},
  [5592] = {.lex_state = 55, .external_lex_state = 9},
  [5593] = {.lex_state = 349, .external_lex_state = 5},
  [5594] = {.lex_state = 349, .external_lex_state = 5},
  [5595] = {.lex_state = 349, .external_lex_state = 5},
  [5596] = {.lex_state = 349, .external_lex_state = 5},
  [5597] = {.lex_state = 349, .external_lex_state = 7},
  [5598] = {.lex_state = 59, .external_lex_state = 9},
  [5599] = {.lex_state = 349, .external_lex_state = 7},
  [5600] = {.lex_state = 349, .external_lex_state = 5},
  [5601] = {.lex_state = 349, .external_lex_state = 5},
  [5602] = {.lex_state = 349, .external_lex_state = 5},
  [5603] = {.lex_state = 349, .external_lex_state = 5},
  [5604] = {.lex_state = 349, .external_lex_state = 5},
  [5605] = {.lex_state = 349, .external_lex_state = 2},
  [5606] = {.lex_state = 55, .external_lex_state = 9},
  [5607] = {.lex_state = 59, .external_lex_state = 9},
  [5608] = {.lex_state = 45, .external_lex_state = 2},
  [5609] = {.lex_state = 349, .external_lex_state = 2},
  [5610] = {.lex_state = 55, .external_lex_state = 9},
  [5611] = {.lex_state = 59, .external_lex_state = 9},
  [5612] = {.lex_state = 59, .external_lex_state = 9},
  [5613] = {.lex_state = 55, .external_lex_state = 9},
  [5614] = {.lex_state = 349, .external_lex_state = 5},
  [5615] = {.lex_state = 349, .external_lex_state = 2},
  [5616] = {.lex_state = 45, .external_lex_state = 2},
  [5617] = {.lex_state = 55, .external_lex_state = 9},
  [5618] = {.lex_state = 59, .external_lex_state = 9},
  [5619] = {.lex_state = 55, .external_lex_state = 9},
  [5620] = {.lex_state = 59, .external_lex_state = 9},
  [5621] = {.lex_state = 1, .external_lex_state = 2},
  [5622] = {.lex_state = 24, .external_lex_state = 2},
  [5623] = {.lex_state = 349, .external_lex_state = 2},
  [5624] = {.lex_state = 55, .external_lex_state = 9},
  [5625] = {.lex_state = 349, .external_lex_state = 7},
  [5626] = {.lex_state = 59, .external_lex_state = 9},
  [5627] = {.lex_state = 349, .external_lex_state = 5},
  [5628] = {.lex_state = 55, .external_lex_state = 9},
  [5629] = {.lex_state = 70, .external_lex_state = 2},
  [5630] = {.lex_state = 45, .external_lex_state = 2},
  [5631] = {.lex_state = 45, .external_lex_state = 2},
  [5632] = {.lex_state = 45, .external_lex_state = 2},
  [5633] = {.lex_state = 59, .external_lex_state = 9},
  [5634] = {.lex_state = 55, .external_lex_state = 9},
  [5635] = {.lex_state = 59, .external_lex_state = 9},
  [5636] = {.lex_state = 45, .external_lex_state = 2},
  [5637] = {.lex_state = 55, .external_lex_state = 9},
  [5638] = {.lex_state = 59, .external_lex_state = 9},
  [5639] = {.lex_state = 55, .external_lex_state = 9},
  [5640] = {.lex_state = 21, .external_lex_state = 2},
  [5641] = {.lex_state = 59, .external_lex_state = 9},
  [5642] = {.lex_state = 45, .external_lex_state = 2},
  [5643] = {.lex_state = 45, .external_lex_state = 2},
  [5644] = {.lex_state = 55, .external_lex_state = 9},
  [5645] = {.lex_state = 349, .external_lex_state = 5},
  [5646] = {.lex_state = 349, .external_lex_state = 7},
  [5647] = {.lex_state = 45, .external_lex_state = 2},
  [5648] = {.lex_state = 45, .external_lex_state = 2},
  [5649] = {.lex_state = 349, .external_lex_state = 5},
  [5650] = {.lex_state = 45, .external_lex_state = 2},
  [5651] = {.lex_state = 349, .external_lex_state = 5},
  [5652] = {.lex_state = 349, .external_lex_state = 5},
  [5653] = {.lex_state = 45, .external_lex_state = 2},
  [5654] = {.lex_state = 349, .external_lex_state = 5},
  [5655] = {.lex_state = 48, .external_lex_state = 2},
  [5656] = {.lex_state = 349, .external_lex_state = 5},
  [5657] = {.lex_state = 349, .external_lex_state = 5},
  [5658] = {.lex_state = 349, .external_lex_state = 5},
  [5659] = {.lex_state = 349, .external_lex_state = 5},
  [5660] = {.lex_state = 349, .external_lex_state = 5},
  [5661] = {.lex_state = 24, .external_lex_state = 2},
  [5662] = {.lex_state = 24, .external_lex_state = 2},
  [5663] = {.lex_state = 349, .external_lex_state = 5},
  [5664] = {.lex_state = 349, .external_lex_state = 5},
  [5665] = {.lex_state = 24, .external_lex_state = 2},
  [5666] = {.lex_state = 349, .external_lex_state = 5},
  [5667] = {.lex_state = 349, .external_lex_state = 5},
  [5668] = {.lex_state = 349, .external_lex_state = 5},
  [5669] = {.lex_state = 349, .external_lex_state = 5},
  [5670] = {.lex_state = 45, .external_lex_state = 2},
  [5671] = {.lex_state = 45, .external_lex_state = 2},
  [5672] = {.lex_state = 45, .external_lex_state = 2},
  [5673] = {.lex_state = 349, .external_lex_state = 5},
  [5674] = {.lex_state = 349, .external_lex_state = 5},
  [5675] = {.lex_state = 349, .external_lex_state = 5},
  [5676] = {.lex_state = 349, .external_lex_state = 5},
  [5677] = {.lex_state = 349, .external_lex_state = 5},
  [5678] = {.lex_state = 45, .external_lex_state = 2},
  [5679] = {.lex_state = 349, .external_lex_state = 5},
  [5680] = {.lex_state = 45, .external_lex_state = 2},
  [5681] = {.lex_state = 349, .external_lex_state = 5},
  [5682] = {.lex_state = 349, .external_lex_state = 2},
  [5683] = {.lex_state = 45, .external_lex_state = 2},
  [5684] = {.lex_state = 45, .external_lex_state = 2},
  [5685] = {.lex_state = 45, .external_lex_state = 2},
  [5686] = {.lex_state = 45, .external_lex_state = 2},
  [5687] = {.lex_state = 45, .external_lex_state = 2},
  [5688] = {.lex_state = 59, .external_lex_state = 9},
  [5689] = {.lex_state = 55, .external_lex_state = 9},
  [5690] = {.lex_state = 45, .external_lex_state = 2},
  [5691] = {.lex_state = 349, .external_lex_state = 5},
  [5692] = {.lex_state = 45, .external_lex_state = 2},
  [5693] = {.lex_state = 45, .external_lex_state = 2},
  [5694] = {.lex_state = 349, .external_lex_state = 2},
  [5695] = {.lex_state = 45, .external_lex_state = 2},
  [5696] = {.lex_state = 45, .external_lex_state = 2},
  [5697] = {.lex_state = 349, .external_lex_state = 5},
  [5698] = {.lex_state = 349, .external_lex_state = 2},
  [5699] = {.lex_state = 349, .external_lex_state = 5},
  [5700] = {.lex_state = 349, .external_lex_state = 5},
  [5701] = {.lex_state = 349, .external_lex_state = 5},
  [5702] = {.lex_state = 349, .external_lex_state = 5},
  [5703] = {.lex_state = 45, .external_lex_state = 2},
  [5704] = {.lex_state = 55, .external_lex_state = 9},
  [5705] = {.lex_state = 349, .external_lex_state = 2},
  [5706] = {.lex_state = 24, .external_lex_state = 2},
  [5707] = {.lex_state = 349, .external_lex_state = 2},
  [5708] = {.lex_state = 59, .external_lex_state = 9},
  [5709] = {.lex_state = 59, .external_lex_state = 9},
  [5710] = {.lex_state = 55, .external_lex_state = 9},
  [5711] = {.lex_state = 349, .external_lex_state = 6},
  [5712] = {.lex_state = 70, .external_lex_state = 2},
  [5713] = {.lex_state = 45, .external_lex_state = 2},
  [5714] = {.lex_state = 349, .external_lex_state = 2},
  [5715] = {.lex_state = 349, .external_lex_state = 2},
  [5716] = {.lex_state = 45, .external_lex_state = 2},
  [5717] = {.lex_state = 45, .external_lex_state = 2},
  [5718] = {.lex_state = 45, .external_lex_state = 2},
  [5719] = {.lex_state = 45, .external_lex_state = 2},
  [5720] = {.lex_state = 45, .external_lex_state = 2},
  [5721] = {.lex_state = 70, .external_lex_state = 2},
  [5722] = {.lex_state = 349, .external_lex_state = 2},
  [5723] = {.lex_state = 349, .external_lex_state = 5},
  [5724] = {.lex_state = 48, .external_lex_state = 2},
  [5725] = {.lex_state = 45, .external_lex_state = 2},
  [5726] = {.lex_state = 349, .external_lex_state = 2},
  [5727] = {.lex_state = 349, .external_lex_state = 5},
  [5728] = {.lex_state = 349, .external_lex_state = 5},
  [5729] = {.lex_state = 45, .external_lex_state = 2},
  [5730] = {.lex_state = 349, .external_lex_state = 5},
  [5731] = {.lex_state = 349, .external_lex_state = 2},
  [5732] = {.lex_state = 349, .external_lex_state = 5},
  [5733] = {.lex_state = 45, .external_lex_state = 2},
  [5734] = {.lex_state = 45, .external_lex_state = 2},
  [5735] = {.lex_state = 70, .external_lex_state = 2},
  [5736] = {.lex_state = 45, .external_lex_state = 2},
  [5737] = {.lex_state = 349, .external_lex_state = 5},
  [5738] = {.lex_state = 349, .external_lex_state = 5},
  [5739] = {.lex_state = 349, .external_lex_state = 5},
  [5740] = {.lex_state = 48, .external_lex_state = 2},
  [5741] = {.lex_state = 349, .external_lex_state = 5},
  [5742] = {.lex_state = 48, .external_lex_state = 2},
  [5743] = {.lex_state = 349, .external_lex_state = 5},
  [5744] = {.lex_state = 48, .external_lex_state = 2},
  [5745] = {.lex_state = 349, .external_lex_state = 5},
  [5746] = {.lex_state = 48, .external_lex_state = 2},
  [5747] = {.lex_state = 349, .external_lex_state = 5},
  [5748] = {.lex_state = 349, .external_lex_state = 5},
  [5749] = {.lex_state = 75, .external_lex_state = 2},
  [5750] = {.lex_state = 349, .external_lex_state = 5},
  [5751] = {.lex_state = 349, .external_lex_state = 5},
  [5752] = {.lex_state = 349, .external_lex_state = 5},
  [5753] = {.lex_state = 349, .external_lex_state = 5},
  [5754] = {.lex_state = 349, .external_lex_state = 5},
  [5755] = {.lex_state = 349, .external_lex_state = 2},
  [5756] = {.lex_state = 349, .external_lex_state = 5},
  [5757] = {.lex_state = 349, .external_lex_state = 5},
  [5758] = {.lex_state = 349, .external_lex_state = 5},
  [5759] = {.lex_state = 349, .external_lex_state = 5},
  [5760] = {.lex_state = 349, .external_lex_state = 5},
  [5761] = {.lex_state = 349, .external_lex_state = 5},
  [5762] = {.lex_state = 349, .external_lex_state = 5},
  [5763] = {.lex_state = 24, .external_lex_state = 2},
  [5764] = {.lex_state = 349, .external_lex_state = 2},
  [5765] = {.lex_state = 349, .external_lex_state = 2},
  [5766] = {.lex_state = 349, .external_lex_state = 2},
  [5767] = {.lex_state = 349, .external_lex_state = 5},
  [5768] = {.lex_state = 349, .external_lex_state = 5},
  [5769] = {.lex_state = 349, .external_lex_state = 5},
  [5770] = {.lex_state = 349, .external_lex_state = 2},
  [5771] = {.lex_state = 349, .external_lex_state = 2},
  [5772] = {.lex_state = 349, .external_lex_state = 5},
  [5773] = {.lex_state = 51, .external_lex_state = 2},
  [5774] = {.lex_state = 45, .external_lex_state = 2},
  [5775] = {.lex_state = 349, .external_lex_state = 5},
  [5776] = {.lex_state = 349, .external_lex_state = 5},
  [5777] = {.lex_state = 349, .external_lex_state = 2},
  [5778] = {.lex_state = 349, .external_lex_state = 5},
  [5779] = {.lex_state = 349, .external_lex_state = 2},
  [5780] = {.lex_state = 349, .external_lex_state = 5},
  [5781] = {.lex_state = 349, .external_lex_state = 5},
  [5782] = {.lex_state = 349, .external_lex_state = 5},
  [5783] = {.lex_state = 349, .external_lex_state = 5},
  [5784] = {.lex_state = 349, .external_lex_state = 5},
  [5785] = {.lex_state = 349, .external_lex_state = 2},
  [5786] = {.lex_state = 45, .external_lex_state = 2},
  [5787] = {.lex_state = 51, .external_lex_state = 2},
  [5788] = {.lex_state = 21, .external_lex_state = 2},
  [5789] = {.lex_state = 349, .external_lex_state = 5},
  [5790] = {.lex_state = 349, .external_lex_state = 5},
  [5791] = {.lex_state = 21, .external_lex_state = 2},
  [5792] = {.lex_state = 349, .external_lex_state = 5},
  [5793] = {.lex_state = 48, .external_lex_state = 2},
  [5794] = {.lex_state = 349, .external_lex_state = 2},
  [5795] = {.lex_state = 349, .external_lex_state = 5},
  [5796] = {.lex_state = 349, .external_lex_state = 5},
  [5797] = {.lex_state = 349, .external_lex_state = 5},
  [5798] = {.lex_state = 349, .external_lex_state = 5},
  [5799] = {.lex_state = 349, .external_lex_state = 2},
  [5800] = {.lex_state = 349, .external_lex_state = 5},
  [5801] = {.lex_state = 349, .external_lex_state = 2},
  [5802] = {.lex_state = 349, .external_lex_state = 5},
  [5803] = {.lex_state = 349, .external_lex_state = 5},
  [5804] = {.lex_state = 349, .external_lex_state = 5},
  [5805] = {.lex_state = 349, .external_lex_state = 5},
  [5806] = {.lex_state = 349, .external_lex_state = 5},
  [5807] = {.lex_state = 349, .external_lex_state = 5},
  [5808] = {.lex_state = 349, .external_lex_state = 2},
  [5809] = {.lex_state = 349, .external_lex_state = 5},
  [5810] = {.lex_state = 349, .external_lex_state = 5},
  [5811] = {.lex_state = 21, .external_lex_state = 2},
  [5812] = {.lex_state = 349, .external_lex_state = 5},
  [5813] = {.lex_state = 45, .external_lex_state = 2},
  [5814] = {.lex_state = 349, .external_lex_state = 5},
  [5815] = {.lex_state = 349, .external_lex_state = 2},
  [5816] = {.lex_state = 1, .external_lex_state = 2},
  [5817] = {.lex_state = 349, .external_lex_state = 5},
  [5818] = {.lex_state = 75, .external_lex_state = 2},
  [5819] = {.lex_state = 349, .external_lex_state = 5},
  [5820] = {.lex_state = 349, .external_lex_state = 2},
  [5821] = {.lex_state = 349, .external_lex_state = 5},
  [5822] = {.lex_state = 349, .external_lex_state = 5},
  [5823] = {.lex_state = 349, .external_lex_state = 2},
  [5824] = {.lex_state = 24, .external_lex_state = 2},
  [5825] = {.lex_state = 349, .external_lex_state = 2},
  [5826] = {.lex_state = 63, .external_lex_state = 2},
  [5827] = {.lex_state = 45, .external_lex_state = 2},
  [5828] = {.lex_state = 349, .external_lex_state = 2},
  [5829] = {.lex_state = 45, .external_lex_state = 2},
  [5830] = {.lex_state = 349, .external_lex_state = 2},
  [5831] = {.lex_state = 45, .external_lex_state = 2},
  [5832] = {.lex_state = 45, .external_lex_state = 2},
  [5833] = {.lex_state = 48, .external_lex_state = 2},
  [5834] = {.lex_state = 45, .external_lex_state = 2},
  [5835] = {.lex_state = 349, .external_lex_state = 5},
  [5836] = {.lex_state = 349, .external_lex_state = 5},
  [5837] = {.lex_state = 349, .external_lex_state = 5},
  [5838] = {.lex_state = 349, .external_lex_state = 5},
  [5839] = {.lex_state = 349, .external_lex_state = 5},
  [5840] = {.lex_state = 21, .external_lex_state = 2},
  [5841] = {.lex_state = 349, .external_lex_state = 5},
  [5842] = {.lex_state = 349, .external_lex_state = 5},
  [5843] = {.lex_state = 349, .external_lex_state = 2},
  [5844] = {.lex_state = 349, .external_lex_state = 5},
  [5845] = {.lex_state = 349, .external_lex_state = 5},
  [5846] = {.lex_state = 349, .external_lex_state = 5},
  [5847] = {.lex_state = 349, .external_lex_state = 5},
  [5848] = {.lex_state = 349, .external_lex_state = 8},
  [5849] = {.lex_state = 349, .external_lex_state = 5},
  [5850] = {.lex_state = 349, .external_lex_state = 2},
  [5851] = {.lex_state = 349, .external_lex_state = 5},
  [5852] = {.lex_state = 349, .external_lex_state = 5},
  [5853] = {.lex_state = 349, .external_lex_state = 2},
  [5854] = {.lex_state = 349, .external_lex_state = 5},
  [5855] = {.lex_state = 349, .external_lex_state = 5},
  [5856] = {.lex_state = 349, .external_lex_state = 5},
  [5857] = {.lex_state = 349, .external_lex_state = 2},
  [5858] = {.lex_state = 349, .external_lex_state = 5},
  [5859] = {.lex_state = 349, .external_lex_state = 5},
  [5860] = {.lex_state = 349, .external_lex_state = 5},
  [5861] = {.lex_state = 349, .external_lex_state = 5},
  [5862] = {.lex_state = 349, .external_lex_state = 2},
  [5863] = {.lex_state = 349, .external_lex_state = 5},
  [5864] = {.lex_state = 349, .external_lex_state = 2},
  [5865] = {.lex_state = 349, .external_lex_state = 5},
  [5866] = {.lex_state = 24, .external_lex_state = 2},
  [5867] = {.lex_state = 349, .external_lex_state = 5},
  [5868] = {.lex_state = 349, .external_lex_state = 5},
  [5869] = {.lex_state = 349, .external_lex_state = 2},
  [5870] = {.lex_state = 349, .external_lex_state = 5},
  [5871] = {.lex_state = 349, .external_lex_state = 5},
  [5872] = {.lex_state = 45, .external_lex_state = 2},
  [5873] = {.lex_state = 48, .external_lex_state = 5},
  [5874] = {.lex_state = 48, .external_lex_state = 5},
  [5875] = {.lex_state = 349, .external_lex_state = 5},
  [5876] = {.lex_state = 349, .external_lex_state = 5},
  [5877] = {.lex_state = 349, .external_lex_state = 5},
  [5878] = {.lex_state = 349, .external_lex_state = 2},
  [5879] = {.lex_state = 349, .external_lex_state = 2},
  [5880] = {.lex_state = 349, .external_lex_state = 5},
  [5881] = {.lex_state = 349, .external_lex_state = 5},
  [5882] = {.lex_state = 45, .external_lex_state = 2},
  [5883] = {.lex_state = 24, .external_lex_state = 2},
  [5884] = {.lex_state = 349, .external_lex_state = 5},
  [5885] = {.lex_state = 349, .external_lex_state = 5},
  [5886] = {.lex_state = 349, .external_lex_state = 5},
  [5887] = {.lex_state = 349, .external_lex_state = 5},
  [5888] = {.lex_state = 349, .external_lex_state = 5},
  [5889] = {.lex_state = 45, .external_lex_state = 2},
  [5890] = {.lex_state = 24, .external_lex_state = 2},
  [5891] = {.lex_state = 349, .external_lex_state = 2},
  [5892] = {.lex_state = 349, .external_lex_state = 5},
  [5893] = {.lex_state = 349, .external_lex_state = 5},
  [5894] = {.lex_state = 349, .external_lex_state = 5},
  [5895] = {.lex_state = 349, .external_lex_state = 2},
  [5896] = {.lex_state = 349, .external_lex_state = 2},
  [5897] = {.lex_state = 349, .external_lex_state = 5},
  [5898] = {.lex_state = 349, .external_lex_state = 5},
  [5899] = {.lex_state = 349, .external_lex_state = 5},
  [5900] = {.lex_state = 349, .external_lex_state = 5},
  [5901] = {.lex_state = 349, .external_lex_state = 5},
  [5902] = {.lex_state = 349, .external_lex_state = 5},
  [5903] = {.lex_state = 75, .external_lex_state = 2},
  [5904] = {.lex_state = 45, .external_lex_state = 2},
  [5905] = {.lex_state = 45, .external_lex_state = 2},
  [5906] = {.lex_state = 349, .external_lex_state = 5},
  [5907] = {.lex_state = 349, .external_lex_state = 2},
  [5908] = {.lex_state = 349, .external_lex_state = 5},
  [5909] = {.lex_state = 349, .external_lex_state = 2},
  [5910] = {.lex_state = 349, .external_lex_state = 2},
  [5911] = {.lex_state = 70, .external_lex_state = 2},
  [5912] = {.lex_state = 349, .external_lex_state = 5},
  [5913] = {.lex_state = 349, .external_lex_state = 5},
  [5914] = {.lex_state = 45, .external_lex_state = 2},
  [5915] = {.lex_state = 349, .external_lex_state = 5},
  [5916] = {.lex_state = 349, .external_lex_state = 5},
  [5917] = {.lex_state = 45, .external_lex_state = 2},
  [5918] = {.lex_state = 349, .external_lex_state = 2},
  [5919] = {.lex_state = 349, .external_lex_state = 2},
  [5920] = {.lex_state = 349, .external_lex_state = 5},
  [5921] = {.lex_state = 349, .external_lex_state = 5},
  [5922] = {.lex_state = 349, .external_lex_state = 2},
  [5923] = {.lex_state = 349, .external_lex_state = 5},
  [5924] = {.lex_state = 349, .external_lex_state = 5},
  [5925] = {.lex_state = 349, .external_lex_state = 2},
  [5926] = {.lex_state = 349, .external_lex_state = 5},
  [5927] = {.lex_state = 349, .external_lex_state = 2},
  [5928] = {.lex_state = 349, .external_lex_state = 5},
  [5929] = {.lex_state = 349, .external_lex_state = 5},
  [5930] = {.lex_state = 349, .external_lex_state = 5},
  [5931] = {.lex_state = 349, .external_lex_state = 5},
  [5932] = {.lex_state = 349, .external_lex_state = 5},
  [5933] = {.lex_state = 349, .external_lex_state = 5},
  [5934] = {.lex_state = 349, .external_lex_state = 5},
  [5935] = {.lex_state = 349, .external_lex_state = 2},
  [5936] = {.lex_state = 349, .external_lex_state = 5},
  [5937] = {.lex_state = 349, .external_lex_state = 5},
  [5938] = {.lex_state = 349, .external_lex_state = 2},
  [5939] = {.lex_state = 48, .external_lex_state = 2},
  [5940] = {.lex_state = 349, .external_lex_state = 5},
  [5941] = {.lex_state = 349, .external_lex_state = 5},
  [5942] = {.lex_state = 349, .external_lex_state = 5},
  [5943] = {.lex_state = 48, .external_lex_state = 2},
  [5944] = {.lex_state = 349, .external_lex_state = 5},
  [5945] = {.lex_state = 21, .external_lex_state = 2},
  [5946] = {.lex_state = 349, .external_lex_state = 5},
  [5947] = {.lex_state = 349, .external_lex_state = 5},
  [5948] = {.lex_state = 349, .external_lex_state = 5},
  [5949] = {.lex_state = 349, .external_lex_state = 5},
  [5950] = {.lex_state = 349, .external_lex_state = 5},
  [5951] = {.lex_state = 349, .external_lex_state = 5},
  [5952] = {.lex_state = 349, .external_lex_state = 5},
  [5953] = {.lex_state = 349, .external_lex_state = 5},
  [5954] = {.lex_state = 349, .external_lex_state = 5},
  [5955] = {.lex_state = 349, .external_lex_state = 5},
  [5956] = {.lex_state = 349, .external_lex_state = 5},
  [5957] = {.lex_state = 349, .external_lex_state = 2},
  [5958] = {.lex_state = 349, .external_lex_state = 5},
  [5959] = {.lex_state = 349, .external_lex_state = 5},
  [5960] = {.lex_state = 349, .external_lex_state = 5},
  [5961] = {.lex_state = 349, .external_lex_state = 5},
  [5962] = {.lex_state = 48, .external_lex_state = 2},
  [5963] = {.lex_state = 349, .external_lex_state = 5},
  [5964] = {.lex_state = 48, .external_lex_state = 2},
  [5965] = {.lex_state = 349, .external_lex_state = 5},
  [5966] = {.lex_state = 349, .external_lex_state = 2},
  [5967] = {.lex_state = 21, .external_lex_state = 2},
  [5968] = {.lex_state = 349, .external_lex_state = 5},
  [5969] = {.lex_state = 349, .external_lex_state = 5},
  [5970] = {.lex_state = 349, .external_lex_state = 5},
  [5971] = {.lex_state = 47, .external_lex_state = 2},
  [5972] = {.lex_state = 349, .external_lex_state = 5},
  [5973] = {.lex_state = 349, .external_lex_state = 2},
  [5974] = {.lex_state = 349, .external_lex_state = 2},
  [5975] = {.lex_state = 349, .external_lex_state = 5},
  [5976] = {.lex_state = 349, .external_lex_state = 5},
  [5977] = {.lex_state = 349, .external_lex_state = 5},
  [5978] = {.lex_state = 349, .external_lex_state = 5},
  [5979] = {.lex_state = 349, .external_lex_state = 5},
  [5980] = {.lex_state = 48, .external_lex_state = 2},
  [5981] = {.lex_state = 349, .external_lex_state = 2},
  [5982] = {.lex_state = 349, .external_lex_state = 5},
  [5983] = {.lex_state = 349, .external_lex_state = 2},
  [5984] = {.lex_state = 349, .external_lex_state = 5},
  [5985] = {.lex_state = 349, .external_lex_state = 5},
  [5986] = {.lex_state = 24, .external_lex_state = 2},
  [5987] = {.lex_state = 349, .external_lex_state = 5},
  [5988] = {.lex_state = 349, .external_lex_state = 2},
  [5989] = {.lex_state = 349, .external_lex_state = 5},
  [5990] = {.lex_state = 349, .external_lex_state = 2},
  [5991] = {.lex_state = 349, .external_lex_state = 5},
  [5992] = {.lex_state = 45, .external_lex_state = 2},
  [5993] = {.lex_state = 349, .external_lex_state = 2},
  [5994] = {.lex_state = 349, .external_lex_state = 5},
  [5995] = {.lex_state = 45, .external_lex_state = 2},
  [5996] = {.lex_state = 349, .external_lex_state = 5},
  [5997] = {.lex_state = 45, .external_lex_state = 2},
  [5998] = {.lex_state = 349, .external_lex_state = 2},
  [5999] = {.lex_state = 45, .external_lex_state = 2},
  [6000] = {.lex_state = 349, .external_lex_state = 5},
  [6001] = {.lex_state = 349, .external_lex_state = 5},
  [6002] = {.lex_state = 349, .external_lex_state = 2},
  [6003] = {.lex_state = 24, .external_lex_state = 2},
  [6004] = {.lex_state = 75, .external_lex_state = 2},
  [6005] = {.lex_state = 349, .external_lex_state = 5},
  [6006] = {.lex_state = 349, .external_lex_state = 2},
  [6007] = {.lex_state = 349, .external_lex_state = 2},
  [6008] = {.lex_state = 349, .external_lex_state = 2},
  [6009] = {.lex_state = 349, .external_lex_state = 5},
  [6010] = {.lex_state = 349, .external_lex_state = 5},
  [6011] = {.lex_state = 21, .external_lex_state = 2},
  [6012] = {.lex_state = 349, .external_lex_state = 5},
  [6013] = {.lex_state = 349, .external_lex_state = 2},
  [6014] = {.lex_state = 349, .external_lex_state = 5},
  [6015] = {.lex_state = 349, .external_lex_state = 5},
  [6016] = {.lex_state = 349, .external_lex_state = 2},
  [6017] = {.lex_state = 349, .external_lex_state = 5},
  [6018] = {.lex_state = 349, .external_lex_state = 5},
  [6019] = {.lex_state = 349, .external_lex_state = 2},
  [6020] = {.lex_state = 349, .external_lex_state = 2},
  [6021] = {.lex_state = 349, .external_lex_state = 5},
  [6022] = {.lex_state = 349, .external_lex_state = 5},
  [6023] = {.lex_state = 349, .external_lex_state = 5},
  [6024] = {.lex_state = 349, .external_lex_state = 5},
  [6025] = {.lex_state = 349, .external_lex_state = 2},
  [6026] = {.lex_state = 70, .external_lex_state = 2},
  [6027] = {.lex_state = 349, .external_lex_state = 5},
  [6028] = {.lex_state = 349, .external_lex_state = 5},
  [6029] = {.lex_state = 349, .external_lex_state = 8},
  [6030] = {.lex_state = 349, .external_lex_state = 5},
  [6031] = {.lex_state = 349, .external_lex_state = 2},
  [6032] = {.lex_state = 349, .external_lex_state = 5},
  [6033] = {.lex_state = 349, .external_lex_state = 5},
  [6034] = {.lex_state = 349, .external_lex_state = 2},
  [6035] = {.lex_state = 349, .external_lex_state = 5},
  [6036] = {.lex_state = 349, .external_lex_state = 2},
  [6037] = {.lex_state = 349, .external_lex_state = 5},
  [6038] = {.lex_state = 349, .external_lex_state = 2},
  [6039] = {.lex_state = 349, .external_lex_state = 5},
  [6040] = {.lex_state = 349, .external_lex_state = 2},
  [6041] = {.lex_state = 349, .external_lex_state = 5},
  [6042] = {.lex_state = 349, .external_lex_state = 2},
  [6043] = {.lex_state = 349, .external_lex_state = 5},
  [6044] = {.lex_state = 349, .external_lex_state = 5},
  [6045] = {.lex_state = 349, .external_lex_state = 5},
  [6046] = {.lex_state = 349, .external_lex_state = 2},
  [6047] = {.lex_state = 349, .external_lex_state = 2},
  [6048] = {.lex_state = 349, .external_lex_state = 5},
  [6049] = {.lex_state = 349, .external_lex_state = 5},
  [6050] = {.lex_state = 349, .external_lex_state = 2},
  [6051] = {.lex_state = 349, .external_lex_state = 5},
  [6052] = {.lex_state = 349, .external_lex_state = 5},
  [6053] = {.lex_state = 349, .external_lex_state = 5},
  [6054] = {.lex_state = 349, .external_lex_state = 2},
  [6055] = {.lex_state = 24, .external_lex_state = 2},
  [6056] = {.lex_state = 349, .external_lex_state = 5},
  [6057] = {.lex_state = 349, .external_lex_state = 2},
  [6058] = {.lex_state = 349, .external_lex_state = 2},
  [6059] = {.lex_state = 349, .external_lex_state = 5},
  [6060] = {.lex_state = 349, .external_lex_state = 2},
  [6061] = {.lex_state = 349, .external_lex_state = 5},
  [6062] = {.lex_state = 349, .external_lex_state = 5},
  [6063] = {.lex_state = 349, .external_lex_state = 5},
  [6064] = {.lex_state = 349, .external_lex_state = 5},
  [6065] = {.lex_state = 349, .external_lex_state = 2},
  [6066] = {.lex_state = 349, .external_lex_state = 5},
  [6067] = {.lex_state = 63, .external_lex_state = 2},
  [6068] = {.lex_state = 349, .external_lex_state = 2},
  [6069] = {.lex_state = 349, .external_lex_state = 5},
  [6070] = {.lex_state = 349, .external_lex_state = 2},
  [6071] = {.lex_state = 349, .external_lex_state = 5},
  [6072] = {.lex_state = 21, .external_lex_state = 2},
  [6073] = {.lex_state = 349, .external_lex_state = 2},
  [6074] = {.lex_state = 349, .external_lex_state = 5},
  [6075] = {.lex_state = 349, .external_lex_state = 5},
  [6076] = {.lex_state = 349, .external_lex_state = 2},
  [6077] = {.lex_state = 349, .external_lex_state = 2},
  [6078] = {.lex_state = 349, .external_lex_state = 5},
  [6079] = {.lex_state = 349, .external_lex_state = 5},
  [6080] = {.lex_state = 45, .external_lex_state = 2},
  [6081] = {.lex_state = 349, .external_lex_state = 5},
  [6082] = {.lex_state = 349, .external_lex_state = 5},
  [6083] = {.lex_state = 349, .external_lex_state = 5},
  [6084] = {.lex_state = 349, .external_lex_state = 5},
  [6085] = {.lex_state = 349, .external_lex_state = 5},
  [6086] = {.lex_state = 349, .external_lex_state = 5},
  [6087] = {.lex_state = 349, .external_lex_state = 5},
  [6088] = {.lex_state = 349, .external_lex_state = 5},
  [6089] = {.lex_state = 45, .external_lex_state = 2},
  [6090] = {.lex_state = 349, .external_lex_state = 5},
  [6091] = {.lex_state = 349, .external_lex_state = 2},
  [6092] = {.lex_state = 48, .external_lex_state = 2},
  [6093] = {.lex_state = 349, .external_lex_state = 2},
  [6094] = {.lex_state = 349, .external_lex_state = 2},
  [6095] = {.lex_state = 349, .external_lex_state = 5},
  [6096] = {.lex_state = 349, .external_lex_state = 5},
  [6097] = {.lex_state = 349, .external_lex_state = 5},
  [6098] = {.lex_state = 45, .external_lex_state = 2},
  [6099] = {.lex_state = 349, .external_lex_state = 5},
  [6100] = {.lex_state = 349, .external_lex_state = 2},
  [6101] = {.lex_state = 349, .external_lex_state = 2},
  [6102] = {.lex_state = 349, .external_lex_state = 5},
  [6103] = {.lex_state = 349, .external_lex_state = 5},
  [6104] = {.lex_state = 349, .external_lex_state = 5},
  [6105] = {.lex_state = 349, .external_lex_state = 5},
  [6106] = {.lex_state = 349, .external_lex_state = 5},
  [6107] = {.lex_state = 349, .external_lex_state = 5},
  [6108] = {.lex_state = 349, .external_lex_state = 5},
  [6109] = {.lex_state = 349, .external_lex_state = 5},
  [6110] = {.lex_state = 349, .external_lex_state = 5},
  [6111] = {.lex_state = 24, .external_lex_state = 2},
  [6112] = {.lex_state = 349, .external_lex_state = 2},
  [6113] = {.lex_state = 349, .external_lex_state = 5},
  [6114] = {.lex_state = 349, .external_lex_state = 5},
  [6115] = {.lex_state = 48, .external_lex_state = 2},
  [6116] = {.lex_state = 349, .external_lex_state = 5},
  [6117] = {.lex_state = 349, .external_lex_state = 5},
  [6118] = {.lex_state = 349, .external_lex_state = 5},
  [6119] = {.lex_state = 349, .external_lex_state = 5},
  [6120] = {.lex_state = 349, .external_lex_state = 5},
  [6121] = {.lex_state = 349, .external_lex_state = 5},
  [6122] = {.lex_state = 349, .external_lex_state = 5},
  [6123] = {.lex_state = 349, .external_lex_state = 5},
  [6124] = {.lex_state = 349, .external_lex_state = 5},
  [6125] = {.lex_state = 349, .external_lex_state = 5},
  [6126] = {.lex_state = 349, .external_lex_state = 2},
  [6127] = {.lex_state = 349, .external_lex_state = 5},
  [6128] = {.lex_state = 349, .external_lex_state = 5},
  [6129] = {.lex_state = 349, .external_lex_state = 5},
  [6130] = {.lex_state = 48, .external_lex_state = 5},
  [6131] = {.lex_state = 48, .external_lex_state = 5},
  [6132] = {.lex_state = 45, .external_lex_state = 2},
  [6133] = {.lex_state = 349, .external_lex_state = 5},
  [6134] = {.lex_state = 349, .external_lex_state = 5},
  [6135] = {.lex_state = 349, .external_lex_state = 2},
  [6136] = {.lex_state = 349, .external_lex_state = 5},
  [6137] = {.lex_state = 349, .external_lex_state = 5},
  [6138] = {.lex_state = 349, .external_lex_state = 5},
  [6139] = {.lex_state = 349, .external_lex_state = 2},
  [6140] = {.lex_state = 349, .external_lex_state = 5},
  [6141] = {.lex_state = 349, .external_lex_state = 5},
  [6142] = {.lex_state = 349, .external_lex_state = 5},
  [6143] = {.lex_state = 48, .external_lex_state = 2},
  [6144] = {.lex_state = 349, .external_lex_state = 5},
  [6145] = {.lex_state = 349, .external_lex_state = 5},
  [6146] = {.lex_state = 349, .external_lex_state = 5},
  [6147] = {.lex_state = 349, .external_lex_state = 5},
  [6148] = {.lex_state = 349, .external_lex_state = 5},
  [6149] = {.lex_state = 349, .external_lex_state = 5},
  [6150] = {.lex_state = 349, .external_lex_state = 5},
  [6151] = {.lex_state = 349, .external_lex_state = 5},
  [6152] = {.lex_state = 349, .external_lex_state = 2},
  [6153] = {.lex_state = 349, .external_lex_state = 5},
  [6154] = {.lex_state = 349, .external_lex_state = 2},
  [6155] = {.lex_state = 349, .external_lex_state = 5},
  [6156] = {.lex_state = 349, .external_lex_state = 5},
  [6157] = {.lex_state = 349, .external_lex_state = 5},
  [6158] = {.lex_state = 48, .external_lex_state = 2},
  [6159] = {.lex_state = 349, .external_lex_state = 2},
  [6160] = {.lex_state = 349, .external_lex_state = 5},
  [6161] = {.lex_state = 349, .external_lex_state = 5},
  [6162] = {.lex_state = 349, .external_lex_state = 5},
  [6163] = {.lex_state = 47, .external_lex_state = 2},
  [6164] = {.lex_state = 349, .external_lex_state = 5},
  [6165] = {.lex_state = 349, .external_lex_state = 5},
  [6166] = {.lex_state = 45, .external_lex_state = 2},
  [6167] = {.lex_state = 349, .external_lex_state = 5},
  [6168] = {.lex_state = 349, .external_lex_state = 5},
  [6169] = {.lex_state = 349, .external_lex_state = 2},
  [6170] = {.lex_state = 349, .external_lex_state = 2},
  [6171] = {.lex_state = 349, .external_lex_state = 5},
  [6172] = {.lex_state = 349, .external_lex_state = 2},
  [6173] = {.lex_state = 349, .external_lex_state = 5},
  [6174] = {.lex_state = 70, .external_lex_state = 2},
  [6175] = {.lex_state = 349, .external_lex_state = 5},
  [6176] = {.lex_state = 63, .external_lex_state = 2},
  [6177] = {.lex_state = 59, .external_lex_state = 9},
  [6178] = {.lex_state = 349, .external_lex_state = 2},
  [6179] = {.lex_state = 55, .external_lex_state = 9},
  [6180] = {.lex_state = 45, .external_lex_state = 2},
  [6181] = {.lex_state = 349, .external_lex_state = 2},
  [6182] = {.lex_state = 349, .external_lex_state = 2},
  [6183] = {.lex_state = 349, .external_lex_state = 2},
  [6184] = {.lex_state = 349, .external_lex_state = 2},
  [6185] = {.lex_state = 349, .external_lex_state = 5},
  [6186] = {.lex_state = 349, .external_lex_state = 5},
  [6187] = {.lex_state = 349, .external_lex_state = 2},
  [6188] = {.lex_state = 349, .external_lex_state = 2},
  [6189] = {.lex_state = 349, .external_lex_state = 2},
  [6190] = {.lex_state = 349, .external_lex_state = 2},
  [6191] = {.lex_state = 349, .external_lex_state = 5},
  [6192] = {.lex_state = 75, .external_lex_state = 2},
  [6193] = {.lex_state = 349, .external_lex_state = 5},
  [6194] = {.lex_state = 349, .external_lex_state = 5},
  [6195] = {.lex_state = 349, .external_lex_state = 5},
  [6196] = {.lex_state = 349, .external_lex_state = 5},
  [6197] = {.lex_state = 349, .external_lex_state = 2},
  [6198] = {.lex_state = 349, .external_lex_state = 5},
  [6199] = {.lex_state = 51, .external_lex_state = 2},
  [6200] = {.lex_state = 349, .external_lex_state = 5},
  [6201] = {.lex_state = 349, .external_lex_state = 2},
  [6202] = {.lex_state = 349, .external_lex_state = 5},
  [6203] = {.lex_state = 349, .external_lex_state = 5},
  [6204] = {.lex_state = 349, .external_lex_state = 5},
  [6205] = {.lex_state = 349, .external_lex_state = 5},
  [6206] = {.lex_state = 51, .external_lex_state = 2},
  [6207] = {.lex_state = 349, .external_lex_state = 2},
  [6208] = {.lex_state = 349, .external_lex_state = 5},
  [6209] = {.lex_state = 349, .external_lex_state = 5},
  [6210] = {.lex_state = 349, .external_lex_state = 5},
  [6211] = {.lex_state = 349, .external_lex_state = 2},
  [6212] = {.lex_state = 349, .external_lex_state = 2},
  [6213] = {.lex_state = 349, .external_lex_state = 5},
  [6214] = {.lex_state = 349, .external_lex_state = 5},
  [6215] = {.lex_state = 349, .external_lex_state = 5},
  [6216] = {.lex_state = 349, .external_lex_state = 5},
  [6217] = {.lex_state = 349, .external_lex_state = 5},
  [6218] = {.lex_state = 349, .external_lex_state = 5},
  [6219] = {.lex_state = 349, .external_lex_state = 5},
  [6220] = {.lex_state = 349, .external_lex_state = 5},
  [6221] = {.lex_state = 349, .external_lex_state = 5},
  [6222] = {.lex_state = 349, .external_lex_state = 5},
  [6223] = {.lex_state = 349, .external_lex_state = 2},
  [6224] = {.lex_state = 349, .external_lex_state = 5},
  [6225] = {.lex_state = 349, .external_lex_state = 2},
  [6226] = {.lex_state = 349, .external_lex_state = 2},
  [6227] = {.lex_state = 349, .external_lex_state = 2},
  [6228] = {.lex_state = 349, .external_lex_state = 5},
  [6229] = {.lex_state = 349, .external_lex_state = 5},
  [6230] = {.lex_state = 45, .external_lex_state = 2},
  [6231] = {.lex_state = 349, .external_lex_state = 2},
  [6232] = {.lex_state = 45, .external_lex_state = 2},
  [6233] = {.lex_state = 349, .external_lex_state = 5},
  [6234] = {.lex_state = 349, .external_lex_state = 5},
  [6235] = {.lex_state = 349, .external_lex_state = 2},
  [6236] = {.lex_state = 349, .external_lex_state = 5},
  [6237] = {.lex_state = 349, .external_lex_state = 2},
  [6238] = {.lex_state = 349, .external_lex_state = 5},
  [6239] = {.lex_state = 349, .external_lex_state = 5},
  [6240] = {.lex_state = 45, .external_lex_state = 2},
  [6241] = {.lex_state = 349, .external_lex_state = 2},
  [6242] = {.lex_state = 349, .external_lex_state = 5},
  [6243] = {.lex_state = 349, .external_lex_state = 5},
  [6244] = {.lex_state = 45, .external_lex_state = 2},
  [6245] = {.lex_state = 45, .external_lex_state = 2},
  [6246] = {.lex_state = 349, .external_lex_state = 5},
  [6247] = {.lex_state = 349, .external_lex_state = 5},
  [6248] = {.lex_state = 45, .external_lex_state = 2},
  [6249] = {.lex_state = 349, .external_lex_state = 5},
  [6250] = {.lex_state = 45, .external_lex_state = 2},
  [6251] = {.lex_state = 349, .external_lex_state = 2},
  [6252] = {.lex_state = 45, .external_lex_state = 2},
  [6253] = {.lex_state = 349, .external_lex_state = 5},
  [6254] = {.lex_state = 349, .external_lex_state = 2},
  [6255] = {.lex_state = 349, .external_lex_state = 5},
  [6256] = {.lex_state = 24, .external_lex_state = 2},
  [6257] = {.lex_state = 349, .external_lex_state = 2},
  [6258] = {.lex_state = 349, .external_lex_state = 5},
  [6259] = {.lex_state = 349, .external_lex_state = 2},
  [6260] = {.lex_state = 349, .external_lex_state = 2},
  [6261] = {.lex_state = 349, .external_lex_state = 2},
  [6262] = {.lex_state = 349, .external_lex_state = 5},
  [6263] = {.lex_state = 349, .external_lex_state = 5},
  [6264] = {.lex_state = 349, .external_lex_state = 5},
  [6265] = {.lex_state = 349, .external_lex_state = 5},
  [6266] = {.lex_state = 349, .external_lex_state = 5},
  [6267] = {.lex_state = 349, .external_lex_state = 5},
  [6268] = {.lex_state = 349, .external_lex_state = 5},
  [6269] = {.lex_state = 349, .external_lex_state = 2},
  [6270] = {.lex_state = 48, .external_lex_state = 2},
  [6271] = {.lex_state = 349, .external_lex_state = 5},
  [6272] = {.lex_state = 349, .external_lex_state = 5},
  [6273] = {.lex_state = 349, .external_lex_state = 2},
  [6274] = {.lex_state = 349, .external_lex_state = 5},
  [6275] = {.lex_state = 349, .external_lex_state = 5},
  [6276] = {.lex_state = 349, .external_lex_state = 5},
  [6277] = {.lex_state = 349, .external_lex_state = 5},
  [6278] = {.lex_state = 349, .external_lex_state = 5},
  [6279] = {.lex_state = 45, .external_lex_state = 2},
  [6280] = {.lex_state = 349, .external_lex_state = 5},
  [6281] = {.lex_state = 349, .external_lex_state = 5},
  [6282] = {.lex_state = 349, .external_lex_state = 2},
  [6283] = {.lex_state = 349, .external_lex_state = 5},
  [6284] = {.lex_state = 349, .external_lex_state = 2},
  [6285] = {.lex_state = 349, .external_lex_state = 5},
  [6286] = {.lex_state = 349, .external_lex_state = 2},
  [6287] = {.lex_state = 24, .external_lex_state = 2},
  [6288] = {.lex_state = 48, .external_lex_state = 2},
  [6289] = {.lex_state = 349, .external_lex_state = 5},
  [6290] = {.lex_state = 48, .external_lex_state = 2},
  [6291] = {.lex_state = 349, .external_lex_state = 5},
  [6292] = {.lex_state = 48, .external_lex_state = 2},
  [6293] = {.lex_state = 349, .external_lex_state = 5},
  [6294] = {.lex_state = 48, .external_lex_state = 2},
  [6295] = {.lex_state = 349, .external_lex_state = 5},
  [6296] = {.lex_state = 349, .external_lex_state = 2},
  [6297] = {.lex_state = 349, .external_lex_state = 2},
  [6298] = {.lex_state = 349, .external_lex_state = 5},
  [6299] = {.lex_state = 349, .external_lex_state = 5},
  [6300] = {.lex_state = 349, .external_lex_state = 5},
  [6301] = {.lex_state = 349, .external_lex_state = 5},
  [6302] = {.lex_state = 349, .external_lex_state = 2},
  [6303] = {.lex_state = 21, .external_lex_state = 2},
  [6304] = {.lex_state = 48, .external_lex_state = 5},
  [6305] = {.lex_state = 349, .external_lex_state = 5},
  [6306] = {.lex_state = 24, .external_lex_state = 2},
  [6307] = {.lex_state = 349, .external_lex_state = 2},
  [6308] = {.lex_state = 349, .external_lex_state = 2},
  [6309] = {.lex_state = 349, .external_lex_state = 2},
  [6310] = {.lex_state = 349, .external_lex_state = 2},
  [6311] = {.lex_state = 349, .external_lex_state = 5},
  [6312] = {.lex_state = 48, .external_lex_state = 5},
  [6313] = {.lex_state = 349, .external_lex_state = 5},
  [6314] = {.lex_state = 349, .external_lex_state = 2},
  [6315] = {.lex_state = 349, .external_lex_state = 5},
  [6316] = {.lex_state = 349, .external_lex_state = 2},
  [6317] = {.lex_state = 45, .external_lex_state = 2},
  [6318] = {.lex_state = 349, .external_lex_state = 2},
  [6319] = {.lex_state = 349, .external_lex_state = 2},
  [6320] = {.lex_state = 349, .external_lex_state = 5},
  [6321] = {.lex_state = 48, .external_lex_state = 2},
  [6322] = {.lex_state = 349, .external_lex_state = 5},
  [6323] = {.lex_state = 349, .external_lex_state = 5},
  [6324] = {.lex_state = 349, .external_lex_state = 2},
  [6325] = {.lex_state = 349, .external_lex_state = 5},
  [6326] = {.lex_state = 349, .external_lex_state = 2},
  [6327] = {.lex_state = 349, .external_lex_state = 5},
  [6328] = {.lex_state = 349, .external_lex_state = 5},
  [6329] = {.lex_state = 349, .external_lex_state = 5},
  [6330] = {.lex_state = 45, .external_lex_state = 2},
  [6331] = {.lex_state = 349, .external_lex_state = 5},
  [6332] = {.lex_state = 349, .external_lex_state = 2},
  [6333] = {.lex_state = 48, .external_lex_state = 2},
  [6334] = {.lex_state = 349, .external_lex_state = 2},
  [6335] = {.lex_state = 349, .external_lex_state = 5},
  [6336] = {.lex_state = 349, .external_lex_state = 5},
  [6337] = {.lex_state = 349, .external_lex_state = 5},
  [6338] = {.lex_state = 21, .external_lex_state = 2},
  [6339] = {.lex_state = 349, .external_lex_state = 5},
  [6340] = {.lex_state = 349, .external_lex_state = 5},
  [6341] = {.lex_state = 349, .external_lex_state = 5},
  [6342] = {.lex_state = 349, .external_lex_state = 2},
  [6343] = {.lex_state = 48, .external_lex_state = 2},
  [6344] = {.lex_state = 349, .external_lex_state = 2},
  [6345] = {.lex_state = 349, .external_lex_state = 5},
  [6346] = {.lex_state = 349, .external_lex_state = 5},
  [6347] = {.lex_state = 349, .external_lex_state = 5},
  [6348] = {.lex_state = 349, .external_lex_state = 5},
  [6349] = {.lex_state = 349, .external_lex_state = 2},
  [6350] = {.lex_state = 349, .external_lex_state = 2},
  [6351] = {.lex_state = 349, .external_lex_state = 5},
  [6352] = {.lex_state = 24, .external_lex_state = 2},
  [6353] = {.lex_state = 349, .external_lex_state = 5},
  [6354] = {.lex_state = 349, .external_lex_state = 5},
  [6355] = {.lex_state = 349, .external_lex_state = 5},
  [6356] = {.lex_state = 349, .external_lex_state = 5},
  [6357] = {.lex_state = 48, .external_lex_state = 5},
  [6358] = {.lex_state = 349, .external_lex_state = 5},
  [6359] = {.lex_state = 48, .external_lex_state = 5},
  [6360] = {.lex_state = 349, .external_lex_state = 5},
  [6361] = {.lex_state = 349, .external_lex_state = 5},
  [6362] = {.lex_state = 349, .external_lex_state = 5},
  [6363] = {.lex_state = 48, .external_lex_state = 2},
  [6364] = {.lex_state = 349, .external_lex_state = 2},
  [6365] = {.lex_state = 349, .external_lex_state = 5},
  [6366] = {.lex_state = 349, .external_lex_state = 5},
  [6367] = {.lex_state = 349, .external_lex_state = 5},
  [6368] = {.lex_state = 349, .external_lex_state = 5},
  [6369] = {.lex_state = 349, .external_lex_state = 5},
  [6370] = {.lex_state = 349, .external_lex_state = 5},
  [6371] = {.lex_state = 349, .external_lex_state = 5},
  [6372] = {.lex_state = 349, .external_lex_state = 5},
  [6373] = {.lex_state = 349, .external_lex_state = 5},
  [6374] = {.lex_state = 349, .external_lex_state = 5},
  [6375] = {.lex_state = 349, .external_lex_state = 5},
  [6376] = {.lex_state = 349, .external_lex_state = 5},
  [6377] = {.lex_state = 349, .external_lex_state = 5},
  [6378] = {.lex_state = 349, .external_lex_state = 5},
  [6379] = {.lex_state = 349, .external_lex_state = 5},
  [6380] = {.lex_state = 349, .external_lex_state = 5},
  [6381] = {.lex_state = 349, .external_lex_state = 5},
  [6382] = {.lex_state = 349, .external_lex_state = 5},
  [6383] = {.lex_state = 349, .external_lex_state = 5},
  [6384] = {.lex_state = 349, .external_lex_state = 5},
  [6385] = {.lex_state = 24, .external_lex_state = 2},
  [6386] = {.lex_state = 24, .external_lex_state = 2},
  [6387] = {.lex_state = 349, .external_lex_state = 5},
  [6388] = {.lex_state = 349, .external_lex_state = 5},
  [6389] = {.lex_state = 349, .external_lex_state = 5},
  [6390] = {.lex_state = 48, .external_lex_state = 5},
  [6391] = {.lex_state = 349, .external_lex_state = 5},
  [6392] = {.lex_state = 24, .external_lex_state = 2},
  [6393] = {.lex_state = 349, .external_lex_state = 5},
  [6394] = {.lex_state = 349, .external_lex_state = 5},
  [6395] = {.lex_state = 24, .external_lex_state = 2},
  [6396] = {.lex_state = 349, .external_lex_state = 5},
  [6397] = {.lex_state = 349, .external_lex_state = 5},
  [6398] = {.lex_state = 349, .external_lex_state = 5},
  [6399] = {.lex_state = 349, .external_lex_state = 5},
  [6400] = {.lex_state = 24, .external_lex_state = 2},
  [6401] = {.lex_state = 349, .external_lex_state = 5},
  [6402] = {.lex_state = 349, .external_lex_state = 2},
  [6403] = {.lex_state = 24, .external_lex_state = 2},
  [6404] = {.lex_state = 349, .external_lex_state = 5},
  [6405] = {.lex_state = 24, .external_lex_state = 2},
  [6406] = {.lex_state = 349, .external_lex_state = 5},
  [6407] = {.lex_state = 349, .external_lex_state = 5},
  [6408] = {.lex_state = 349, .external_lex_state = 2},
  [6409] = {.lex_state = 349, .external_lex_state = 5},
  [6410] = {.lex_state = 349, .external_lex_state = 5},
  [6411] = {.lex_state = 24, .external_lex_state = 2},
  [6412] = {.lex_state = 349, .external_lex_state = 5},
  [6413] = {.lex_state = 349, .external_lex_state = 5},
  [6414] = {.lex_state = 24, .external_lex_state = 2},
  [6415] = {.lex_state = 24, .external_lex_state = 2},
  [6416] = {.lex_state = 24, .external_lex_state = 2},
  [6417] = {.lex_state = 45, .external_lex_state = 2},
  [6418] = {.lex_state = 349, .external_lex_state = 5},
  [6419] = {.lex_state = 24, .external_lex_state = 2},
  [6420] = {.lex_state = 24, .external_lex_state = 2},
  [6421] = {.lex_state = 349, .external_lex_state = 5},
  [6422] = {.lex_state = 349, .external_lex_state = 5},
  [6423] = {.lex_state = 349, .external_lex_state = 5},
  [6424] = {.lex_state = 349, .external_lex_state = 5},
  [6425] = {.lex_state = 48, .external_lex_state = 5},
  [6426] = {.lex_state = 349, .external_lex_state = 5},
  [6427] = {.lex_state = 45, .external_lex_state = 2},
  [6428] = {.lex_state = 349, .external_lex_state = 5},
  [6429] = {.lex_state = 45, .external_lex_state = 2},
  [6430] = {.lex_state = 48, .external_lex_state = 2},
  [6431] = {.lex_state = 349, .external_lex_state = 2},
  [6432] = {.lex_state = 349, .external_lex_state = 2},
  [6433] = {.lex_state = 349, .external_lex_state = 2},
  [6434] = {.lex_state = 349, .external_lex_state = 2},
  [6435] = {.lex_state = 349, .external_lex_state = 2},
  [6436] = {.lex_state = 349, .external_lex_state = 2},
  [6437] = {.lex_state = 349, .external_lex_state = 2},
  [6438] = {.lex_state = 349, .external_lex_state = 2},
  [6439] = {.lex_state = 349, .external_lex_state = 5},
  [6440] = {.lex_state = 349, .external_lex_state = 5},
  [6441] = {.lex_state = 349, .external_lex_state = 5},
  [6442] = {.lex_state = 349, .external_lex_state = 5},
  [6443] = {.lex_state = 349, .external_lex_state = 5},
  [6444] = {.lex_state = 349, .external_lex_state = 2},
  [6445] = {.lex_state = 349, .external_lex_state = 2},
  [6446] = {.lex_state = 349, .external_lex_state = 5},
  [6447] = {.lex_state = 349, .external_lex_state = 2},
  [6448] = {.lex_state = 349, .external_lex_state = 5},
  [6449] = {.lex_state = 349, .external_lex_state = 2},
  [6450] = {.lex_state = 349, .external_lex_state = 2},
  [6451] = {.lex_state = 349, .external_lex_state = 2},
  [6452] = {.lex_state = 349, .external_lex_state = 2},
  [6453] = {.lex_state = 349, .external_lex_state = 2},
  [6454] = {.lex_state = 349, .external_lex_state = 2},
  [6455] = {.lex_state = 349, .external_lex_state = 2},
  [6456] = {.lex_state = 349, .external_lex_state = 2},
  [6457] = {.lex_state = 349, .external_lex_state = 5},
  [6458] = {.lex_state = 1, .external_lex_state = 2},
  [6459] = {.lex_state = 349, .external_lex_state = 2},
  [6460] = {.lex_state = 349, .external_lex_state = 2},
  [6461] = {.lex_state = 349, .external_lex_state = 2},
  [6462] = {.lex_state = 349, .external_lex_state = 2},
  [6463] = {.lex_state = 349, .external_lex_state = 5},
  [6464] = {.lex_state = 349, .external_lex_state = 5},
  [6465] = {.lex_state = 349, .external_lex_state = 2},
  [6466] = {.lex_state = 349, .external_lex_state = 2},
  [6467] = {.lex_state = 349, .external_lex_state = 2},
  [6468] = {.lex_state = 349, .external_lex_state = 2},
  [6469] = {.lex_state = 349, .external_lex_state = 2},
  [6470] = {.lex_state = 349, .external_lex_state = 2},
  [6471] = {.lex_state = 349, .external_lex_state = 2},
  [6472] = {.lex_state = 349, .external_lex_state = 2},
  [6473] = {.lex_state = 349, .external_lex_state = 2},
  [6474] = {.lex_state = 349, .external_lex_state = 2},
  [6475] = {.lex_state = 349, .external_lex_state = 2},
  [6476] = {.lex_state = 349, .external_lex_state = 2},
  [6477] = {.lex_state = 349, .external_lex_state = 2},
  [6478] = {.lex_state = 349, .external_lex_state = 2},
  [6479] = {.lex_state = 349, .external_lex_state = 5},
  [6480] = {.lex_state = 349, .external_lex_state = 2},
  [6481] = {.lex_state = 48, .external_lex_state = 2},
  [6482] = {.lex_state = 48, .external_lex_state = 2},
  [6483] = {.lex_state = 349, .external_lex_state = 2},
  [6484] = {.lex_state = 349, .external_lex_state = 2},
  [6485] = {.lex_state = 349, .external_lex_state = 2},
  [6486] = {.lex_state = 349, .external_lex_state = 2},
  [6487] = {.lex_state = 349, .external_lex_state = 5},
  [6488] = {.lex_state = 349, .external_lex_state = 2},
  [6489] = {.lex_state = 349, .external_lex_state = 2},
  [6490] = {.lex_state = 48, .external_lex_state = 2},
  [6491] = {.lex_state = 349, .external_lex_state = 5},
  [6492] = {.lex_state = 349, .external_lex_state = 2},
  [6493] = {.lex_state = 349, .external_lex_state = 5},
  [6494] = {.lex_state = 349, .external_lex_state = 2},
  [6495] = {.lex_state = 349, .external_lex_state = 2},
  [6496] = {.lex_state = 349, .external_lex_state = 2},
  [6497] = {.lex_state = 349, .external_lex_state = 5},
  [6498] = {.lex_state = 349, .external_lex_state = 2},
  [6499] = {.lex_state = 349, .external_lex_state = 2},
  [6500] = {.lex_state = 349, .external_lex_state = 2},
  [6501] = {.lex_state = 349, .external_lex_state = 2},
  [6502] = {.lex_state = 349, .external_lex_state = 2},
  [6503] = {.lex_state = 349, .external_lex_state = 2},
  [6504] = {.lex_state = 349, .external_lex_state = 2},
  [6505] = {.lex_state = 48, .external_lex_state = 2},
  [6506] = {.lex_state = 48, .external_lex_state = 2},
  [6507] = {.lex_state = 349, .external_lex_state = 2},
  [6508] = {.lex_state = 349, .external_lex_state = 2},
  [6509] = {.lex_state = 349, .external_lex_state = 2},
  [6510] = {.lex_state = 349, .external_lex_state = 2},
  [6511] = {.lex_state = 48, .external_lex_state = 2},
  [6512] = {.lex_state = 48, .external_lex_state = 2},
  [6513] = {.lex_state = 48, .external_lex_state = 2},
  [6514] = {.lex_state = 349, .external_lex_state = 2},
  [6515] = {.lex_state = 349, .external_lex_state = 2},
  [6516] = {.lex_state = 349, .external_lex_state = 2},
  [6517] = {.lex_state = 349, .external_lex_state = 2},
  [6518] = {.lex_state = 349, .external_lex_state = 2},
  [6519] = {.lex_state = 349, .external_lex_state = 5},
  [6520] = {.lex_state = 349, .external_lex_state = 5},
  [6521] = {.lex_state = 349, .external_lex_state = 2},
  [6522] = {.lex_state = 349, .external_lex_state = 5},
  [6523] = {.lex_state = 349, .external_lex_state = 2},
  [6524] = {.lex_state = 349, .external_lex_state = 5},
  [6525] = {.lex_state = 349, .external_lex_state = 2},
  [6526] = {.lex_state = 349, .external_lex_state = 2},
  [6527] = {.lex_state = 48, .external_lex_state = 2},
  [6528] = {.lex_state = 349, .external_lex_state = 2},
  [6529] = {.lex_state = 349, .external_lex_state = 2},
  [6530] = {.lex_state = 349, .external_lex_state = 2},
  [6531] = {.lex_state = 349, .external_lex_state = 2},
  [6532] = {.lex_state = 349, .external_lex_state = 2},
  [6533] = {.lex_state = 349, .external_lex_state = 2},
  [6534] = {.lex_state = 349, .external_lex_state = 2},
  [6535] = {.lex_state = 349, .external_lex_state = 2},
  [6536] = {.lex_state = 349, .external_lex_state = 2},
  [6537] = {.lex_state = 349, .external_lex_state = 2},
  [6538] = {.lex_state = 349, .external_lex_state = 5},
  [6539] = {.lex_state = 349, .external_lex_state = 5},
  [6540] = {.lex_state = 349, .external_lex_state = 2},
  [6541] = {.lex_state = 349, .external_lex_state = 2},
  [6542] = {.lex_state = 349, .external_lex_state = 5},
  [6543] = {.lex_state = 349, .external_lex_state = 5},
  [6544] = {.lex_state = 349, .external_lex_state = 2},
  [6545] = {.lex_state = 349, .external_lex_state = 5},
  [6546] = {.lex_state = 349, .external_lex_state = 2},
  [6547] = {.lex_state = 349, .external_lex_state = 2},
  [6548] = {.lex_state = 48, .external_lex_state = 2},
  [6549] = {.lex_state = 349, .external_lex_state = 2},
  [6550] = {.lex_state = 349, .external_lex_state = 2},
  [6551] = {.lex_state = 349, .external_lex_state = 2},
  [6552] = {.lex_state = 349, .external_lex_state = 2},
  [6553] = {.lex_state = 349, .external_lex_state = 5},
  [6554] = {.lex_state = 349, .external_lex_state = 2},
  [6555] = {.lex_state = 349, .external_lex_state = 5},
  [6556] = {.lex_state = 349, .external_lex_state = 2},
  [6557] = {.lex_state = 349, .external_lex_state = 2},
  [6558] = {.lex_state = 349, .external_lex_state = 2},
  [6559] = {.lex_state = 48, .external_lex_state = 2},
  [6560] = {.lex_state = 349, .external_lex_state = 2},
  [6561] = {.lex_state = 349, .external_lex_state = 2},
  [6562] = {.lex_state = 349, .external_lex_state = 2},
  [6563] = {.lex_state = 349, .external_lex_state = 2},
  [6564] = {.lex_state = 349, .external_lex_state = 2},
  [6565] = {.lex_state = 349, .external_lex_state = 5},
  [6566] = {.lex_state = 349, .external_lex_state = 5},
  [6567] = {.lex_state = 349, .external_lex_state = 5},
  [6568] = {.lex_state = 349, .external_lex_state = 5},
  [6569] = {.lex_state = 349, .external_lex_state = 5},
  [6570] = {.lex_state = 349, .external_lex_state = 5},
  [6571] = {.lex_state = 349, .external_lex_state = 2},
  [6572] = {.lex_state = 349, .external_lex_state = 2},
  [6573] = {.lex_state = 349, .external_lex_state = 2},
  [6574] = {.lex_state = 349, .external_lex_state = 2},
  [6575] = {.lex_state = 349, .external_lex_state = 5},
  [6576] = {.lex_state = 349, .external_lex_state = 2},
  [6577] = {.lex_state = 349, .external_lex_state = 2},
  [6578] = {.lex_state = 349, .external_lex_state = 5},
  [6579] = {.lex_state = 349, .external_lex_state = 2},
  [6580] = {.lex_state = 349, .external_lex_state = 2},
  [6581] = {.lex_state = 349, .external_lex_state = 2},
  [6582] = {.lex_state = 349, .external_lex_state = 5},
  [6583] = {.lex_state = 349, .external_lex_state = 5},
  [6584] = {.lex_state = 349, .external_lex_state = 2},
  [6585] = {.lex_state = 349, .external_lex_state = 2},
  [6586] = {.lex_state = 349, .external_lex_state = 2},
  [6587] = {.lex_state = 349, .external_lex_state = 2},
  [6588] = {.lex_state = 349, .external_lex_state = 2},
  [6589] = {.lex_state = 349, .external_lex_state = 2},
  [6590] = {.lex_state = 349, .external_lex_state = 2},
  [6591] = {.lex_state = 349, .external_lex_state = 2},
  [6592] = {.lex_state = 349, .external_lex_state = 5},
  [6593] = {.lex_state = 349, .external_lex_state = 5},
  [6594] = {.lex_state = 48, .external_lex_state = 2},
  [6595] = {.lex_state = 349, .external_lex_state = 2},
  [6596] = {.lex_state = 349, .external_lex_state = 2},
  [6597] = {.lex_state = 349, .external_lex_state = 2},
  [6598] = {.lex_state = 349, .external_lex_state = 2},
  [6599] = {.lex_state = 349, .external_lex_state = 2},
  [6600] = {.lex_state = 349, .external_lex_state = 2},
  [6601] = {.lex_state = 48, .external_lex_state = 2},
  [6602] = {.lex_state = 349, .external_lex_state = 2},
  [6603] = {.lex_state = 349, .external_lex_state = 2},
  [6604] = {.lex_state = 349, .external_lex_state = 2},
  [6605] = {.lex_state = 349, .external_lex_state = 2},
  [6606] = {.lex_state = 349, .external_lex_state = 2},
  [6607] = {.lex_state = 349, .external_lex_state = 2},
  [6608] = {.lex_state = 349, .external_lex_state = 2},
  [6609] = {.lex_state = 349, .external_lex_state = 2},
  [6610] = {.lex_state = 349, .external_lex_state = 2},
  [6611] = {.lex_state = 349, .external_lex_state = 2},
  [6612] = {.lex_state = 349, .external_lex_state = 2},
  [6613] = {.lex_state = 349, .external_lex_state = 2},
  [6614] = {.lex_state = 349, .external_lex_state = 2},
  [6615] = {.lex_state = 349, .external_lex_state = 2},
  [6616] = {.lex_state = 349, .external_lex_state = 2},
  [6617] = {.lex_state = 349, .external_lex_state = 5},
  [6618] = {.lex_state = 349, .external_lex_state = 2},
  [6619] = {.lex_state = 349, .external_lex_state = 2},
  [6620] = {.lex_state = 349, .external_lex_state = 2},
  [6621] = {.lex_state = 349, .external_lex_state = 2},
  [6622] = {.lex_state = 349, .external_lex_state = 2},
  [6623] = {.lex_state = 349, .external_lex_state = 2},
  [6624] = {.lex_state = 48, .external_lex_state = 2},
  [6625] = {.lex_state = 349, .external_lex_state = 2},
  [6626] = {.lex_state = 349, .external_lex_state = 2},
  [6627] = {.lex_state = 48, .external_lex_state = 2},
  [6628] = {.lex_state = 349, .external_lex_state = 5},
  [6629] = {.lex_state = 349, .external_lex_state = 2},
  [6630] = {.lex_state = 349, .external_lex_state = 2},
  [6631] = {.lex_state = 349, .external_lex_state = 2},
  [6632] = {.lex_state = 349, .external_lex_state = 2},
  [6633] = {.lex_state = 349, .external_lex_state = 2},
  [6634] = {.lex_state = 349, .external_lex_state = 2},
  [6635] = {.lex_state = 48, .external_lex_state = 2},
  [6636] = {.lex_state = 349, .external_lex_state = 2},
  [6637] = {.lex_state = 48, .external_lex_state = 2},
  [6638] = {.lex_state = 1, .external_lex_state = 2},
  [6639] = {.lex_state = 48, .external_lex_state = 2},
  [6640] = {.lex_state = 48, .external_lex_state = 2},
  [6641] = {.lex_state = 48, .external_lex_state = 2},
  [6642] = {.lex_state = 48, .external_lex_state = 2},
  [6643] = {.lex_state = 349, .external_lex_state = 2},
  [6644] = {.lex_state = 349, .external_lex_state = 2},
  [6645] = {.lex_state = 349, .external_lex_state = 5},
  [6646] = {.lex_state = 349, .external_lex_state = 5},
  [6647] = {.lex_state = 349, .external_lex_state = 5},
  [6648] = {.lex_state = 349, .external_lex_state = 2},
  [6649] = {.lex_state = 349, .external_lex_state = 2},
  [6650] = {.lex_state = 349, .external_lex_state = 5},
  [6651] = {.lex_state = 349, .external_lex_state = 2},
  [6652] = {.lex_state = 48, .external_lex_state = 2},
  [6653] = {.lex_state = 349, .external_lex_state = 2},
  [6654] = {.lex_state = 349, .external_lex_state = 2},
  [6655] = {.lex_state = 349, .external_lex_state = 2},
  [6656] = {.lex_state = 349, .external_lex_state = 2},
  [6657] = {.lex_state = 349, .external_lex_state = 5},
  [6658] = {.lex_state = 349, .external_lex_state = 2},
  [6659] = {.lex_state = 349, .external_lex_state = 2},
  [6660] = {.lex_state = 349, .external_lex_state = 2},
  [6661] = {.lex_state = 349, .external_lex_state = 2},
  [6662] = {.lex_state = 349, .external_lex_state = 2},
  [6663] = {.lex_state = 349, .external_lex_state = 2},
  [6664] = {.lex_state = 349, .external_lex_state = 5},
  [6665] = {.lex_state = 349, .external_lex_state = 2},
  [6666] = {.lex_state = 349, .external_lex_state = 2},
  [6667] = {.lex_state = 349, .external_lex_state = 2},
  [6668] = {.lex_state = 349, .external_lex_state = 5},
  [6669] = {.lex_state = 349, .external_lex_state = 2},
  [6670] = {.lex_state = 349, .external_lex_state = 2},
  [6671] = {.lex_state = 349, .external_lex_state = 5},
  [6672] = {.lex_state = 349, .external_lex_state = 2},
  [6673] = {.lex_state = 349, .external_lex_state = 5},
  [6674] = {.lex_state = 349, .external_lex_state = 2},
  [6675] = {.lex_state = 349, .external_lex_state = 5},
  [6676] = {.lex_state = 349, .external_lex_state = 5},
  [6677] = {.lex_state = 349, .external_lex_state = 2},
  [6678] = {.lex_state = 349, .external_lex_state = 2},
  [6679] = {.lex_state = 349, .external_lex_state = 2},
  [6680] = {.lex_state = 349, .external_lex_state = 2},
  [6681] = {.lex_state = 48, .external_lex_state = 2},
  [6682] = {.lex_state = 349, .external_lex_state = 2},
  [6683] = {.lex_state = 349, .external_lex_state = 2},
  [6684] = {.lex_state = 349, .external_lex_state = 5},
  [6685] = {.lex_state = 349, .external_lex_state = 5},
  [6686] = {.lex_state = 349, .external_lex_state = 2},
  [6687] = {.lex_state = 349, .external_lex_state = 2},
  [6688] = {.lex_state = 349, .external_lex_state = 2},
  [6689] = {.lex_state = 349, .external_lex_state = 2},
  [6690] = {.lex_state = 349, .external_lex_state = 2},
  [6691] = {.lex_state = 349, .external_lex_state = 5},
  [6692] = {.lex_state = 349, .external_lex_state = 5},
  [6693] = {.lex_state = 349, .external_lex_state = 2},
  [6694] = {.lex_state = 349, .external_lex_state = 5},
  [6695] = {.lex_state = 349, .external_lex_state = 2},
  [6696] = {.lex_state = 349, .external_lex_state = 2},
  [6697] = {.lex_state = 349, .external_lex_state = 2},
  [6698] = {.lex_state = 349, .external_lex_state = 2},
  [6699] = {.lex_state = 349, .external_lex_state = 2},
  [6700] = {.lex_state = 349, .external_lex_state = 2},
  [6701] = {.lex_state = 349, .external_lex_state = 5},
  [6702] = {.lex_state = 349, .external_lex_state = 2},
  [6703] = {.lex_state = 349, .external_lex_state = 5},
  [6704] = {.lex_state = 349, .external_lex_state = 5},
  [6705] = {.lex_state = 349, .external_lex_state = 2},
  [6706] = {.lex_state = 349, .external_lex_state = 2},
  [6707] = {.lex_state = 349, .external_lex_state = 2},
  [6708] = {.lex_state = 349, .external_lex_state = 2},
  [6709] = {.lex_state = 349, .external_lex_state = 2},
  [6710] = {.lex_state = 349, .external_lex_state = 2},
  [6711] = {.lex_state = 349, .external_lex_state = 2},
  [6712] = {.lex_state = 349, .external_lex_state = 2},
  [6713] = {.lex_state = 349, .external_lex_state = 5},
  [6714] = {.lex_state = 349, .external_lex_state = 2},
  [6715] = {.lex_state = 349, .external_lex_state = 2},
  [6716] = {.lex_state = 349, .external_lex_state = 5},
  [6717] = {.lex_state = 349, .external_lex_state = 5},
  [6718] = {.lex_state = 349, .external_lex_state = 2},
  [6719] = {.lex_state = 349, .external_lex_state = 2},
  [6720] = {.lex_state = 349, .external_lex_state = 5},
  [6721] = {.lex_state = 349, .external_lex_state = 2},
  [6722] = {.lex_state = 349, .external_lex_state = 2},
  [6723] = {.lex_state = 349, .external_lex_state = 2},
  [6724] = {.lex_state = 349, .external_lex_state = 2},
  [6725] = {.lex_state = 349, .external_lex_state = 2},
  [6726] = {.lex_state = 349, .external_lex_state = 2},
  [6727] = {.lex_state = 349, .external_lex_state = 2},
  [6728] = {.lex_state = 349, .external_lex_state = 2},
  [6729] = {.lex_state = 349, .external_lex_state = 5},
  [6730] = {.lex_state = 349, .external_lex_state = 2},
  [6731] = {.lex_state = 349, .external_lex_state = 2},
  [6732] = {.lex_state = 349, .external_lex_state = 2},
  [6733] = {.lex_state = 349, .external_lex_state = 2},
  [6734] = {.lex_state = 349, .external_lex_state = 2},
  [6735] = {.lex_state = 349, .external_lex_state = 2},
  [6736] = {.lex_state = 349, .external_lex_state = 2},
  [6737] = {.lex_state = 349, .external_lex_state = 2},
  [6738] = {.lex_state = 349, .external_lex_state = 2},
  [6739] = {.lex_state = 349, .external_lex_state = 2},
  [6740] = {.lex_state = 349, .external_lex_state = 2},
  [6741] = {.lex_state = 349, .external_lex_state = 2},
  [6742] = {.lex_state = 349, .external_lex_state = 2},
  [6743] = {.lex_state = 349, .external_lex_state = 2},
  [6744] = {.lex_state = 349, .external_lex_state = 2},
  [6745] = {.lex_state = 349, .external_lex_state = 2},
  [6746] = {.lex_state = 349, .external_lex_state = 2},
  [6747] = {.lex_state = 349, .external_lex_state = 5},
  [6748] = {.lex_state = 349, .external_lex_state = 2},
  [6749] = {.lex_state = 349, .external_lex_state = 2},
  [6750] = {.lex_state = 349, .external_lex_state = 2},
  [6751] = {.lex_state = 349, .external_lex_state = 2},
  [6752] = {.lex_state = 349, .external_lex_state = 2},
  [6753] = {.lex_state = 349, .external_lex_state = 2},
  [6754] = {.lex_state = 349, .external_lex_state = 2},
  [6755] = {.lex_state = 349, .external_lex_state = 2},
  [6756] = {.lex_state = 349, .external_lex_state = 2},
  [6757] = {.lex_state = 349, .external_lex_state = 2},
  [6758] = {.lex_state = 349, .external_lex_state = 2},
  [6759] = {.lex_state = 349, .external_lex_state = 2},
  [6760] = {.lex_state = 349, .external_lex_state = 2},
  [6761] = {.lex_state = 349, .external_lex_state = 2},
  [6762] = {.lex_state = 349, .external_lex_state = 2},
  [6763] = {.lex_state = 349, .external_lex_state = 2},
  [6764] = {.lex_state = 48, .external_lex_state = 2},
  [6765] = {.lex_state = 349, .external_lex_state = 2},
  [6766] = {.lex_state = 349, .external_lex_state = 2},
  [6767] = {.lex_state = 48, .external_lex_state = 2},
  [6768] = {.lex_state = 349, .external_lex_state = 2},
  [6769] = {.lex_state = 48, .external_lex_state = 2},
  [6770] = {.lex_state = 48, .external_lex_state = 2},
  [6771] = {.lex_state = 349, .external_lex_state = 2},
  [6772] = {.lex_state = 349, .external_lex_state = 2},
  [6773] = {.lex_state = 349, .external_lex_state = 2},
  [6774] = {.lex_state = 349, .external_lex_state = 2},
  [6775] = {.lex_state = 349, .external_lex_state = 2},
  [6776] = {.lex_state = 349, .external_lex_state = 2},
  [6777] = {.lex_state = 349, .external_lex_state = 2},
  [6778] = {.lex_state = 349, .external_lex_state = 2},
  [6779] = {.lex_state = 349, .external_lex_state = 2},
  [6780] = {.lex_state = 349, .external_lex_state = 2},
  [6781] = {.lex_state = 349, .external_lex_state = 2},
  [6782] = {.lex_state = 349, .external_lex_state = 5},
  [6783] = {.lex_state = 349, .external_lex_state = 2},
  [6784] = {.lex_state = 349, .external_lex_state = 2},
  [6785] = {.lex_state = 349, .external_lex_state = 2},
  [6786] = {.lex_state = 349, .external_lex_state = 2},
  [6787] = {.lex_state = 349, .external_lex_state = 2},
  [6788] = {.lex_state = 349, .external_lex_state = 2},
  [6789] = {.lex_state = 48, .external_lex_state = 2},
  [6790] = {.lex_state = 349, .external_lex_state = 2},
  [6791] = {.lex_state = 349, .external_lex_state = 2},
  [6792] = {.lex_state = 349, .external_lex_state = 2},
  [6793] = {.lex_state = 48, .external_lex_state = 2},
  [6794] = {.lex_state = 48, .external_lex_state = 2},
  [6795] = {.lex_state = 48, .external_lex_state = 2},
  [6796] = {.lex_state = 48, .external_lex_state = 2},
  [6797] = {.lex_state = 349, .external_lex_state = 2},
  [6798] = {.lex_state = 349, .external_lex_state = 2},
  [6799] = {.lex_state = 349, .external_lex_state = 2},
  [6800] = {.lex_state = 349, .external_lex_state = 5},
  [6801] = {.lex_state = 349, .external_lex_state = 5},
  [6802] = {.lex_state = 349, .external_lex_state = 5},
  [6803] = {.lex_state = 349, .external_lex_state = 2},
  [6804] = {.lex_state = 349, .external_lex_state = 5},
  [6805] = {.lex_state = 349, .external_lex_state = 2},
  [6806] = {.lex_state = 349, .external_lex_state = 5},
  [6807] = {.lex_state = 47, .external_lex_state = 2},
  [6808] = {.lex_state = 349, .external_lex_state = 2},
  [6809] = {.lex_state = 349, .external_lex_state = 2},
  [6810] = {.lex_state = 349, .external_lex_state = 2},
  [6811] = {.lex_state = 48, .external_lex_state = 2},
  [6812] = {.lex_state = 48, .external_lex_state = 2},
  [6813] = {.lex_state = 349, .external_lex_state = 2},
  [6814] = {.lex_state = 48, .external_lex_state = 2},
  [6815] = {.lex_state = 349, .external_lex_state = 2},
  [6816] = {.lex_state = 349, .external_lex_state = 2},
  [6817] = {.lex_state = 349, .external_lex_state = 2},
  [6818] = {.lex_state = 349, .external_lex_state = 2},
  [6819] = {.lex_state = 47, .external_lex_state = 2},
  [6820] = {.lex_state = 349, .external_lex_state = 2},
  [6821] = {.lex_state = 349, .external_lex_state = 5},
  [6822] = {.lex_state = 349, .external_lex_state = 2},
  [6823] = {.lex_state = 349, .external_lex_state = 2},
  [6824] = {.lex_state = 349, .external_lex_state = 2},
  [6825] = {.lex_state = 349, .external_lex_state = 2},
  [6826] = {.lex_state = 349, .external_lex_state = 2},
  [6827] = {.lex_state = 349, .external_lex_state = 2},
  [6828] = {.lex_state = 349, .external_lex_state = 2},
  [6829] = {.lex_state = 349, .external_lex_state = 2},
  [6830] = {.lex_state = 349, .external_lex_state = 2},
  [6831] = {.lex_state = 349, .external_lex_state = 2},
  [6832] = {.lex_state = 349, .external_lex_state = 2},
  [6833] = {.lex_state = 349, .external_lex_state = 2},
  [6834] = {.lex_state = 349, .external_lex_state = 2},
  [6835] = {.lex_state = 45, .external_lex_state = 2},
  [6836] = {.lex_state = 349, .external_lex_state = 2},
  [6837] = {.lex_state = 349, .external_lex_state = 2},
  [6838] = {.lex_state = 349, .external_lex_state = 2},
  [6839] = {.lex_state = 349, .external_lex_state = 2},
  [6840] = {.lex_state = 349, .external_lex_state = 2},
  [6841] = {.lex_state = 349, .external_lex_state = 2},
  [6842] = {.lex_state = 349, .external_lex_state = 2},
  [6843] = {.lex_state = 349, .external_lex_state = 2},
  [6844] = {.lex_state = 349, .external_lex_state = 5},
  [6845] = {.lex_state = 349, .external_lex_state = 5},
  [6846] = {.lex_state = 349, .external_lex_state = 2},
  [6847] = {.lex_state = 349, .external_lex_state = 2},
  [6848] = {.lex_state = 349, .external_lex_state = 2},
  [6849] = {.lex_state = 349, .external_lex_state = 2},
  [6850] = {.lex_state = 349, .external_lex_state = 5},
  [6851] = {.lex_state = 349, .external_lex_state = 5},
  [6852] = {.lex_state = 349, .external_lex_state = 2},
  [6853] = {.lex_state = 349, .external_lex_state = 2},
  [6854] = {.lex_state = 349, .external_lex_state = 2},
  [6855] = {.lex_state = 45, .external_lex_state = 2},
  [6856] = {.lex_state = 48, .external_lex_state = 2},
  [6857] = {.lex_state = 48, .external_lex_state = 2},
  [6858] = {.lex_state = 349, .external_lex_state = 2},
  [6859] = {.lex_state = 48, .external_lex_state = 2},
  [6860] = {.lex_state = 349, .external_lex_state = 2},
  [6861] = {.lex_state = 349, .external_lex_state = 2},
  [6862] = {.lex_state = 349, .external_lex_state = 2},
  [6863] = {.lex_state = 349, .external_lex_state = 2},
  [6864] = {.lex_state = 349, .external_lex_state = 2},
  [6865] = {.lex_state = 349, .external_lex_state = 2},
  [6866] = {.lex_state = 349, .external_lex_state = 5},
  [6867] = {.lex_state = 349, .external_lex_state = 2},
  [6868] = {.lex_state = 349, .external_lex_state = 2},
  [6869] = {.lex_state = 349, .external_lex_state = 2},
  [6870] = {.lex_state = 349, .external_lex_state = 2},
  [6871] = {.lex_state = 349, .external_lex_state = 2},
  [6872] = {.lex_state = 48, .external_lex_state = 2},
  [6873] = {.lex_state = 349, .external_lex_state = 2},
  [6874] = {.lex_state = 349, .external_lex_state = 5},
  [6875] = {.lex_state = 349, .external_lex_state = 2},
  [6876] = {.lex_state = 349, .external_lex_state = 2},
  [6877] = {.lex_state = 349, .external_lex_state = 5},
  [6878] = {.lex_state = 349, .external_lex_state = 5},
  [6879] = {.lex_state = 349, .external_lex_state = 2},
  [6880] = {.lex_state = 349, .external_lex_state = 2},
  [6881] = {.lex_state = 349, .external_lex_state = 5},
  [6882] = {.lex_state = 349, .external_lex_state = 5},
  [6883] = {.lex_state = 349, .external_lex_state = 5},
  [6884] = {.lex_state = 349, .external_lex_state = 5},
  [6885] = {.lex_state = 349, .external_lex_state = 2},
  [6886] = {.lex_state = 349, .external_lex_state = 2},
  [6887] = {.lex_state = 349, .external_lex_state = 2},
  [6888] = {.lex_state = 349, .external_lex_state = 2},
  [6889] = {.lex_state = 349, .external_lex_state = 2},
  [6890] = {.lex_state = 349, .external_lex_state = 2},
  [6891] = {.lex_state = 349, .external_lex_state = 2},
  [6892] = {.lex_state = 349, .external_lex_state = 5},
  [6893] = {.lex_state = 349, .external_lex_state = 2},
  [6894] = {.lex_state = 349, .external_lex_state = 2},
  [6895] = {.lex_state = 349, .external_lex_state = 2},
  [6896] = {.lex_state = 349, .external_lex_state = 2},
  [6897] = {.lex_state = 349, .external_lex_state = 2},
  [6898] = {.lex_state = 349, .external_lex_state = 2},
  [6899] = {.lex_state = 349, .external_lex_state = 2},
  [6900] = {.lex_state = 48, .external_lex_state = 2},
  [6901] = {.lex_state = 349, .external_lex_state = 5},
  [6902] = {.lex_state = 349, .external_lex_state = 2},
  [6903] = {.lex_state = 349, .external_lex_state = 2},
  [6904] = {.lex_state = 349, .external_lex_state = 2},
  [6905] = {.lex_state = 349, .external_lex_state = 5},
  [6906] = {.lex_state = 349, .external_lex_state = 2},
  [6907] = {.lex_state = 349, .external_lex_state = 2},
  [6908] = {.lex_state = 349, .external_lex_state = 2},
  [6909] = {.lex_state = 47, .external_lex_state = 2},
  [6910] = {.lex_state = 349, .external_lex_state = 2},
  [6911] = {.lex_state = 349, .external_lex_state = 2},
  [6912] = {.lex_state = 349, .external_lex_state = 2},
  [6913] = {.lex_state = 349, .external_lex_state = 2},
  [6914] = {.lex_state = 349, .external_lex_state = 2},
  [6915] = {.lex_state = 349, .external_lex_state = 2},
  [6916] = {.lex_state = 349, .external_lex_state = 2},
  [6917] = {.lex_state = 349, .external_lex_state = 2},
  [6918] = {.lex_state = 349, .external_lex_state = 5},
  [6919] = {.lex_state = 349, .external_lex_state = 2},
  [6920] = {.lex_state = 48, .external_lex_state = 2},
  [6921] = {.lex_state = 349, .external_lex_state = 2},
  [6922] = {.lex_state = 349, .external_lex_state = 2},
  [6923] = {.lex_state = 349, .external_lex_state = 2},
  [6924] = {.lex_state = 349, .external_lex_state = 2},
  [6925] = {.lex_state = 349, .external_lex_state = 2},
  [6926] = {.lex_state = 349, .external_lex_state = 2},
  [6927] = {.lex_state = 349, .external_lex_state = 2},
  [6928] = {.lex_state = 349, .external_lex_state = 2},
  [6929] = {.lex_state = 349, .external_lex_state = 2},
  [6930] = {.lex_state = 349, .external_lex_state = 2},
  [6931] = {.lex_state = 349, .external_lex_state = 5},
  [6932] = {.lex_state = 349, .external_lex_state = 2},
  [6933] = {.lex_state = 349, .external_lex_state = 2},
  [6934] = {.lex_state = 349, .external_lex_state = 2},
  [6935] = {.lex_state = 349, .external_lex_state = 2},
  [6936] = {.lex_state = 349, .external_lex_state = 2},
  [6937] = {.lex_state = 349, .external_lex_state = 2},
  [6938] = {.lex_state = 349, .external_lex_state = 2},
  [6939] = {.lex_state = 349, .external_lex_state = 2},
  [6940] = {.lex_state = 349, .external_lex_state = 2},
  [6941] = {.lex_state = 349, .external_lex_state = 2},
  [6942] = {.lex_state = 349, .external_lex_state = 2},
  [6943] = {.lex_state = 349, .external_lex_state = 2},
  [6944] = {.lex_state = 349, .external_lex_state = 2},
  [6945] = {.lex_state = 349, .external_lex_state = 2},
  [6946] = {.lex_state = 349, .external_lex_state = 2},
  [6947] = {.lex_state = 349, .external_lex_state = 2},
  [6948] = {.lex_state = 349, .external_lex_state = 2},
  [6949] = {.lex_state = 349, .external_lex_state = 2},
  [6950] = {.lex_state = 349, .external_lex_state = 5},
  [6951] = {.lex_state = 349, .external_lex_state = 2},
  [6952] = {.lex_state = 349, .external_lex_state = 2},
  [6953] = {.lex_state = 349, .external_lex_state = 2},
  [6954] = {.lex_state = 349, .external_lex_state = 2},
  [6955] = {.lex_state = 349, .external_lex_state = 2},
  [6956] = {.lex_state = 349, .external_lex_state = 2},
  [6957] = {.lex_state = 349, .external_lex_state = 2},
  [6958] = {.lex_state = 349, .external_lex_state = 2},
  [6959] = {.lex_state = 48, .external_lex_state = 2},
  [6960] = {.lex_state = 349, .external_lex_state = 2},
  [6961] = {.lex_state = 349, .external_lex_state = 2},
  [6962] = {.lex_state = 349, .external_lex_state = 2},
  [6963] = {.lex_state = 349, .external_lex_state = 2},
  [6964] = {.lex_state = 349, .external_lex_state = 2},
  [6965] = {.lex_state = 349, .external_lex_state = 2},
  [6966] = {.lex_state = 349, .external_lex_state = 2},
  [6967] = {.lex_state = 349, .external_lex_state = 2},
  [6968] = {.lex_state = 349, .external_lex_state = 2},
  [6969] = {.lex_state = 349, .external_lex_state = 2},
  [6970] = {.lex_state = 349, .external_lex_state = 2},
  [6971] = {.lex_state = 349, .external_lex_state = 2},
  [6972] = {.lex_state = 349, .external_lex_state = 2},
  [6973] = {.lex_state = 349, .external_lex_state = 2},
  [6974] = {.lex_state = 349, .external_lex_state = 2},
  [6975] = {.lex_state = 349, .external_lex_state = 2},
  [6976] = {.lex_state = 349, .external_lex_state = 2},
  [6977] = {.lex_state = 349, .external_lex_state = 2},
  [6978] = {.lex_state = 349, .external_lex_state = 2},
  [6979] = {.lex_state = 349, .external_lex_state = 2},
  [6980] = {.lex_state = 349, .external_lex_state = 2},
  [6981] = {.lex_state = 349, .external_lex_state = 2},
  [6982] = {.lex_state = 349, .external_lex_state = 2},
  [6983] = {.lex_state = 349, .external_lex_state = 2},
  [6984] = {.lex_state = 349, .external_lex_state = 2},
  [6985] = {.lex_state = 349, .external_lex_state = 2},
  [6986] = {.lex_state = 349, .external_lex_state = 2},
  [6987] = {.lex_state = 349, .external_lex_state = 2},
  [6988] = {.lex_state = 48, .external_lex_state = 2},
  [6989] = {.lex_state = 48, .external_lex_state = 2},
  [6990] = {.lex_state = 349, .external_lex_state = 2},
  [6991] = {.lex_state = 349, .external_lex_state = 2},
  [6992] = {.lex_state = 349, .external_lex_state = 2},
  [6993] = {.lex_state = 349, .external_lex_state = 2},
  [6994] = {.lex_state = 349, .external_lex_state = 2},
  [6995] = {.lex_state = 349, .external_lex_state = 2},
  [6996] = {.lex_state = 349, .external_lex_state = 2},
  [6997] = {.lex_state = 349, .external_lex_state = 2},
  [6998] = {.lex_state = 349, .external_lex_state = 2},
  [6999] = {.lex_state = 349, .external_lex_state = 2},
  [7000] = {.lex_state = 45, .external_lex_state = 2},
  [7001] = {.lex_state = 349, .external_lex_state = 2},
  [7002] = {.lex_state = 349, .external_lex_state = 2},
  [7003] = {.lex_state = 349, .external_lex_state = 2},
  [7004] = {.lex_state = 349, .external_lex_state = 2},
  [7005] = {.lex_state = 349, .external_lex_state = 2},
  [7006] = {.lex_state = 349, .external_lex_state = 2},
  [7007] = {.lex_state = 349, .external_lex_state = 2},
  [7008] = {.lex_state = 349, .external_lex_state = 2},
  [7009] = {.lex_state = 349, .external_lex_state = 2},
  [7010] = {.lex_state = 45, .external_lex_state = 2},
  [7011] = {.lex_state = 349, .external_lex_state = 2},
  [7012] = {.lex_state = 349, .external_lex_state = 2},
  [7013] = {.lex_state = 349, .external_lex_state = 2},
  [7014] = {.lex_state = 48, .external_lex_state = 2},
  [7015] = {.lex_state = 349, .external_lex_state = 2},
  [7016] = {.lex_state = 48, .external_lex_state = 2},
  [7017] = {.lex_state = 48, .external_lex_state = 2},
  [7018] = {.lex_state = 48, .external_lex_state = 2},
  [7019] = {.lex_state = 349, .external_lex_state = 2},
  [7020] = {.lex_state = 349, .external_lex_state = 2},
  [7021] = {.lex_state = 349, .external_lex_state = 2},
  [7022] = {.lex_state = 349, .external_lex_state = 2},
  [7023] = {.lex_state = 349, .external_lex_state = 2},
  [7024] = {.lex_state = 349, .external_lex_state = 2},
  [7025] = {.lex_state = 349, .external_lex_state = 5},
  [7026] = {.lex_state = 349, .external_lex_state = 5},
  [7027] = {.lex_state = 349, .external_lex_state = 2},
  [7028] = {.lex_state = 349, .external_lex_state = 2},
  [7029] = {.lex_state = 349, .external_lex_state = 2},
  [7030] = {.lex_state = 349, .external_lex_state = 2},
  [7031] = {.lex_state = 349, .external_lex_state = 2},
  [7032] = {.lex_state = 349, .external_lex_state = 2},
  [7033] = {.lex_state = 349, .external_lex_state = 2},
  [7034] = {.lex_state = 349, .external_lex_state = 2},
  [7035] = {.lex_state = 45, .external_lex_state = 2},
  [7036] = {.lex_state = 349, .external_lex_state = 2},
  [7037] = {.lex_state = 48, .external_lex_state = 2},
  [7038] = {.lex_state = 349, .external_lex_state = 2},
  [7039] = {.lex_state = 349, .external_lex_state = 2},
  [7040] = {.lex_state = 349, .external_lex_state = 2},
  [7041] = {.lex_state = 349, .external_lex_state = 2},
  [7042] = {.lex_state = 349, .external_lex_state = 2},
  [7043] = {.lex_state = 349, .external_lex_state = 2},
  [7044] = {.lex_state = 48, .external_lex_state = 2},
  [7045] = {.lex_state = 349, .external_lex_state = 2},
  [7046] = {.lex_state = 349, .external_lex_state = 2},
  [7047] = {.lex_state = 349, .external_lex_state = 2},
  [7048] = {.lex_state = 48, .external_lex_state = 2},
  [7049] = {.lex_state = 349, .external_lex_state = 2},
  [7050] = {.lex_state = 349, .external_lex_state = 2},
  [7051] = {.lex_state = 48, .external_lex_state = 2},
  [7052] = {.lex_state = 349, .external_lex_state = 2},
  [7053] = {.lex_state = 349, .external_lex_state = 2},
  [7054] = {.lex_state = 349, .external_lex_state = 2},
  [7055] = {.lex_state = 349, .external_lex_state = 2},
  [7056] = {.lex_state = 349, .external_lex_state = 2},
  [7057] = {.lex_state = 349, .external_lex_state = 2},
  [7058] = {.lex_state = 349, .external_lex_state = 2},
  [7059] = {.lex_state = 349, .external_lex_state = 2},
  [7060] = {.lex_state = 349, .external_lex_state = 2},
  [7061] = {.lex_state = 349, .external_lex_state = 2},
  [7062] = {.lex_state = 349, .external_lex_state = 2},
  [7063] = {.lex_state = 349, .external_lex_state = 2},
  [7064] = {.lex_state = 349, .external_lex_state = 2},
  [7065] = {.lex_state = 349, .external_lex_state = 2},
  [7066] = {.lex_state = 48, .external_lex_state = 2},
  [7067] = {.lex_state = 349, .external_lex_state = 2},
  [7068] = {.lex_state = 349, .external_lex_state = 2},
  [7069] = {.lex_state = 349, .external_lex_state = 5},
  [7070] = {.lex_state = 349, .external_lex_state = 2},
  [7071] = {.lex_state = 48, .external_lex_state = 2},
  [7072] = {.lex_state = 349, .external_lex_state = 2},
  [7073] = {.lex_state = 349, .external_lex_state = 2},
  [7074] = {.lex_state = 349, .external_lex_state = 2},
  [7075] = {.lex_state = 349, .external_lex_state = 2},
  [7076] = {.lex_state = 349, .external_lex_state = 2},
  [7077] = {.lex_state = 48, .external_lex_state = 2},
  [7078] = {.lex_state = 349, .external_lex_state = 5},
  [7079] = {.lex_state = 349, .external_lex_state = 2},
  [7080] = {.lex_state = 349, .external_lex_state = 2},
  [7081] = {.lex_state = 349, .external_lex_state = 5},
  [7082] = {.lex_state = 349, .external_lex_state = 2},
  [7083] = {.lex_state = 349, .external_lex_state = 2},
  [7084] = {.lex_state = 349, .external_lex_state = 2},
  [7085] = {.lex_state = 349, .external_lex_state = 2},
  [7086] = {.lex_state = 349, .external_lex_state = 2},
  [7087] = {.lex_state = 349, .external_lex_state = 5},
  [7088] = {.lex_state = 349, .external_lex_state = 2},
  [7089] = {.lex_state = 349, .external_lex_state = 2},
  [7090] = {.lex_state = 349, .external_lex_state = 2},
  [7091] = {.lex_state = 349, .external_lex_state = 2},
  [7092] = {.lex_state = 349, .external_lex_state = 2},
  [7093] = {.lex_state = 349, .external_lex_state = 2},
  [7094] = {.lex_state = 349, .external_lex_state = 2},
  [7095] = {.lex_state = 349, .external_lex_state = 5},
  [7096] = {.lex_state = 349, .external_lex_state = 2},
  [7097] = {.lex_state = 349, .external_lex_state = 2},
  [7098] = {.lex_state = 349, .external_lex_state = 2},
  [7099] = {.lex_state = 349, .external_lex_state = 2},
  [7100] = {.lex_state = 349, .external_lex_state = 2},
  [7101] = {.lex_state = 349, .external_lex_state = 2},
  [7102] = {.lex_state = 349, .external_lex_state = 2},
  [7103] = {.lex_state = 349, .external_lex_state = 2},
  [7104] = {.lex_state = 349, .external_lex_state = 2},
  [7105] = {.lex_state = 349, .external_lex_state = 2},
  [7106] = {.lex_state = 349, .external_lex_state = 2},
  [7107] = {.lex_state = 349, .external_lex_state = 2},
  [7108] = {.lex_state = 349, .external_lex_state = 2},
  [7109] = {.lex_state = 349, .external_lex_state = 2},
  [7110] = {.lex_state = 349, .external_lex_state = 2},
  [7111] = {.lex_state = 349, .external_lex_state = 2},
  [7112] = {.lex_state = 48, .external_lex_state = 2},
  [7113] = {.lex_state = 349, .external_lex_state = 2},
  [7114] = {.lex_state = 48, .external_lex_state = 2},
  [7115] = {.lex_state = 48, .external_lex_state = 2},
  [7116] = {.lex_state = 2, .external_lex_state = 2},
  [7117] = {.lex_state = 48, .external_lex_state = 2},
  [7118] = {.lex_state = 349, .external_lex_state = 2},
  [7119] = {.lex_state = 349, .external_lex_state = 2},
  [7120] = {.lex_state = 349, .external_lex_state = 2},
  [7121] = {.lex_state = 349, .external_lex_state = 2},
  [7122] = {.lex_state = 349, .external_lex_state = 2},
  [7123] = {.lex_state = 349, .external_lex_state = 2},
  [7124] = {.lex_state = 48, .external_lex_state = 2},
  [7125] = {.lex_state = 349, .external_lex_state = 2},
  [7126] = {.lex_state = 349, .external_lex_state = 2},
  [7127] = {.lex_state = 349, .external_lex_state = 2},
  [7128] = {.lex_state = 349, .external_lex_state = 2},
  [7129] = {.lex_state = 48, .external_lex_state = 2},
  [7130] = {.lex_state = 349, .external_lex_state = 2},
  [7131] = {.lex_state = 48, .external_lex_state = 2},
  [7132] = {.lex_state = 349, .external_lex_state = 2},
  [7133] = {.lex_state = 48, .external_lex_state = 2},
  [7134] = {.lex_state = 349, .external_lex_state = 2},
  [7135] = {.lex_state = 349, .external_lex_state = 2},
  [7136] = {.lex_state = 349, .external_lex_state = 2},
  [7137] = {.lex_state = 349, .external_lex_state = 2},
  [7138] = {.lex_state = 349, .external_lex_state = 2},
  [7139] = {.lex_state = 349, .external_lex_state = 2},
  [7140] = {.lex_state = 349, .external_lex_state = 2},
  [7141] = {.lex_state = 48, .external_lex_state = 2},
  [7142] = {.lex_state = 48, .external_lex_state = 2},
  [7143] = {.lex_state = 48, .external_lex_state = 2},
  [7144] = {.lex_state = 349, .external_lex_state = 2},
  [7145] = {.lex_state = 349, .external_lex_state = 2},
  [7146] = {.lex_state = 349, .external_lex_state = 2},
  [7147] = {.lex_state = 48, .external_lex_state = 2},
  [7148] = {.lex_state = 349, .external_lex_state = 2},
  [7149] = {.lex_state = 349, .external_lex_state = 2},
  [7150] = {.lex_state = 48, .external_lex_state = 2},
  [7151] = {.lex_state = 48, .external_lex_state = 2},
  [7152] = {.lex_state = 349, .external_lex_state = 2},
  [7153] = {.lex_state = 48, .external_lex_state = 2},
  [7154] = {.lex_state = 21, .external_lex_state = 2},
  [7155] = {.lex_state = 48, .external_lex_state = 2},
  [7156] = {.lex_state = 349, .external_lex_state = 2},
  [7157] = {.lex_state = 2, .external_lex_state = 2},
  [7158] = {.lex_state = 349, .external_lex_state = 2},
  [7159] = {.lex_state = 349, .external_lex_state = 2},
  [7160] = {.lex_state = 349, .external_lex_state = 2},
  [7161] = {.lex_state = 349, .external_lex_state = 2},
  [7162] = {.lex_state = 349, .external_lex_state = 2},
  [7163] = {.lex_state = 349, .external_lex_state = 2},
  [7164] = {.lex_state = 349, .external_lex_state = 2},
  [7165] = {.lex_state = 48, .external_lex_state = 2},
  [7166] = {.lex_state = 48, .external_lex_state = 2},
  [7167] = {.lex_state = 349, .external_lex_state = 2},
  [7168] = {.lex_state = 349, .external_lex_state = 2},
  [7169] = {.lex_state = 349, .external_lex_state = 2},
  [7170] = {.lex_state = 48, .external_lex_state = 2},
  [7171] = {.lex_state = 349, .external_lex_state = 2},
  [7172] = {.lex_state = 48, .external_lex_state = 2},
  [7173] = {.lex_state = 349, .external_lex_state = 2},
  [7174] = {.lex_state = 349, .external_lex_state = 2},
  [7175] = {.lex_state = 48, .external_lex_state = 2},
  [7176] = {.lex_state = 47, .external_lex_state = 2},
  [7177] = {.lex_state = 349, .external_lex_state = 2},
  [7178] = {.lex_state = 349, .external_lex_state = 2},
  [7179] = {.lex_state = 349, .external_lex_state = 2},
  [7180] = {.lex_state = 48, .external_lex_state = 2},
  [7181] = {.lex_state = 349, .external_lex_state = 2},
  [7182] = {.lex_state = 48, .external_lex_state = 2},
  [7183] = {.lex_state = 349, .external_lex_state = 2},
  [7184] = {.lex_state = 349, .external_lex_state = 2},
  [7185] = {.lex_state = 349, .external_lex_state = 2},
  [7186] = {.lex_state = 349, .external_lex_state = 2},
  [7187] = {.lex_state = 48, .external_lex_state = 2},
  [7188] = {.lex_state = 349, .external_lex_state = 2},
  [7189] = {.lex_state = 349, .external_lex_state = 2},
  [7190] = {.lex_state = 349, .external_lex_state = 2},
  [7191] = {.lex_state = 48, .external_lex_state = 2},
  [7192] = {.lex_state = 48, .external_lex_state = 2},
  [7193] = {.lex_state = 349, .external_lex_state = 2},
  [7194] = {.lex_state = 48, .external_lex_state = 2},
  [7195] = {.lex_state = 48, .external_lex_state = 2},
  [7196] = {.lex_state = 349, .external_lex_state = 2},
  [7197] = {.lex_state = 349, .external_lex_state = 2},
  [7198] = {.lex_state = 48, .external_lex_state = 2},
  [7199] = {.lex_state = 349, .external_lex_state = 2},
  [7200] = {.lex_state = 48, .external_lex_state = 2},
  [7201] = {.lex_state = 48, .external_lex_state = 2},
  [7202] = {.lex_state = 349, .external_lex_state = 2},
  [7203] = {.lex_state = 48, .external_lex_state = 2},
  [7204] = {.lex_state = 48, .external_lex_state = 2},
  [7205] = {.lex_state = 2, .external_lex_state = 2},
  [7206] = {.lex_state = 349, .external_lex_state = 2},
  [7207] = {.lex_state = 47, .external_lex_state = 2},
  [7208] = {.lex_state = 349, .external_lex_state = 2},
  [7209] = {.lex_state = 349, .external_lex_state = 2},
  [7210] = {.lex_state = 349, .external_lex_state = 2},
  [7211] = {.lex_state = 349, .external_lex_state = 2},
  [7212] = {.lex_state = 349, .external_lex_state = 2},
  [7213] = {.lex_state = 349, .external_lex_state = 2},
  [7214] = {.lex_state = 349, .external_lex_state = 2},
  [7215] = {.lex_state = 47, .external_lex_state = 2},
  [7216] = {.lex_state = 349, .external_lex_state = 2},
  [7217] = {.lex_state = 349, .external_lex_state = 2},
  [7218] = {.lex_state = 349, .external_lex_state = 2},
  [7219] = {.lex_state = 349, .external_lex_state = 2},
  [7220] = {.lex_state = 349, .external_lex_state = 2},
  [7221] = {.lex_state = 48, .external_lex_state = 2},
  [7222] = {.lex_state = 349, .external_lex_state = 2},
  [7223] = {.lex_state = 349, .external_lex_state = 2},
  [7224] = {.lex_state = 349, .external_lex_state = 2},
  [7225] = {.lex_state = 349, .external_lex_state = 2},
  [7226] = {.lex_state = 349, .external_lex_state = 2},
  [7227] = {.lex_state = 349, .external_lex_state = 2},
  [7228] = {.lex_state = 47, .external_lex_state = 2},
  [7229] = {.lex_state = 349, .external_lex_state = 2},
  [7230] = {.lex_state = 349, .external_lex_state = 2},
  [7231] = {.lex_state = 349, .external_lex_state = 2},
  [7232] = {.lex_state = 349, .external_lex_state = 2},
  [7233] = {.lex_state = 349, .external_lex_state = 2},
  [7234] = {.lex_state = 349, .external_lex_state = 2},
  [7235] = {.lex_state = 349, .external_lex_state = 2},
  [7236] = {.lex_state = 349, .external_lex_state = 2},
  [7237] = {.lex_state = 48, .external_lex_state = 2},
  [7238] = {.lex_state = 349, .external_lex_state = 2},
  [7239] = {.lex_state = 349, .external_lex_state = 2},
  [7240] = {.lex_state = 349, .external_lex_state = 2},
  [7241] = {.lex_state = 349, .external_lex_state = 2},
  [7242] = {.lex_state = 48, .external_lex_state = 2},
  [7243] = {.lex_state = 48, .external_lex_state = 2},
  [7244] = {.lex_state = 349, .external_lex_state = 2},
  [7245] = {.lex_state = 349, .external_lex_state = 2},
  [7246] = {.lex_state = 48, .external_lex_state = 2},
  [7247] = {.lex_state = 349, .external_lex_state = 2},
  [7248] = {.lex_state = 48, .external_lex_state = 2},
  [7249] = {.lex_state = 349, .external_lex_state = 2},
  [7250] = {.lex_state = 349, .external_lex_state = 2},
  [7251] = {.lex_state = 349, .external_lex_state = 2},
  [7252] = {.lex_state = 349, .external_lex_state = 2},
  [7253] = {.lex_state = 349, .external_lex_state = 2},
  [7254] = {.lex_state = 349, .external_lex_state = 2},
  [7255] = {.lex_state = 349, .external_lex_state = 2},
  [7256] = {.lex_state = 349, .external_lex_state = 2},
  [7257] = {.lex_state = 349, .external_lex_state = 2},
  [7258] = {.lex_state = 349, .external_lex_state = 2},
  [7259] = {.lex_state = 48, .external_lex_state = 2},
  [7260] = {.lex_state = 349, .external_lex_state = 2},
  [7261] = {.lex_state = 48, .external_lex_state = 2},
  [7262] = {.lex_state = 349, .external_lex_state = 2},
  [7263] = {.lex_state = 349, .external_lex_state = 2},
  [7264] = {.lex_state = 48, .external_lex_state = 2},
  [7265] = {.lex_state = 48, .external_lex_state = 2},
  [7266] = {.lex_state = 349, .external_lex_state = 2},
  [7267] = {.lex_state = 349, .external_lex_state = 2},
  [7268] = {.lex_state = 349, .external_lex_state = 2},
  [7269] = {.lex_state = 48, .external_lex_state = 2},
  [7270] = {.lex_state = 349, .external_lex_state = 2},
  [7271] = {.lex_state = 349, .external_lex_state = 2},
  [7272] = {.lex_state = 349, .external_lex_state = 2},
  [7273] = {.lex_state = 349, .external_lex_state = 2},
  [7274] = {.lex_state = 349, .external_lex_state = 2},
  [7275] = {.lex_state = 45, .external_lex_state = 2},
  [7276] = {.lex_state = 349, .external_lex_state = 2},
  [7277] = {.lex_state = 349, .external_lex_state = 2},
  [7278] = {.lex_state = 48, .external_lex_state = 2},
  [7279] = {.lex_state = 349, .external_lex_state = 2},
  [7280] = {.lex_state = 349, .external_lex_state = 2},
  [7281] = {.lex_state = 48, .external_lex_state = 2},
  [7282] = {.lex_state = 349, .external_lex_state = 2},
  [7283] = {.lex_state = 349, .external_lex_state = 2},
  [7284] = {.lex_state = 349, .external_lex_state = 2},
  [7285] = {.lex_state = 349, .external_lex_state = 2},
  [7286] = {.lex_state = 48, .external_lex_state = 2},
  [7287] = {.lex_state = 48, .external_lex_state = 2},
  [7288] = {.lex_state = 349, .external_lex_state = 2},
  [7289] = {.lex_state = 349, .external_lex_state = 2},
  [7290] = {.lex_state = 349, .external_lex_state = 2},
  [7291] = {.lex_state = 349, .external_lex_state = 2},
  [7292] = {.lex_state = 349, .external_lex_state = 2},
  [7293] = {.lex_state = 349, .external_lex_state = 2},
  [7294] = {.lex_state = 48, .external_lex_state = 2},
  [7295] = {.lex_state = 349, .external_lex_state = 2},
  [7296] = {.lex_state = 349, .external_lex_state = 2},
  [7297] = {.lex_state = 349, .external_lex_state = 2},
  [7298] = {.lex_state = 349, .external_lex_state = 2},
  [7299] = {.lex_state = 349, .external_lex_state = 2},
  [7300] = {.lex_state = 349, .external_lex_state = 2},
  [7301] = {.lex_state = 48, .external_lex_state = 2},
  [7302] = {.lex_state = 349, .external_lex_state = 2},
  [7303] = {.lex_state = 349, .external_lex_state = 2},
  [7304] = {.lex_state = 48, .external_lex_state = 2},
  [7305] = {.lex_state = 349, .external_lex_state = 2},
  [7306] = {.lex_state = 48, .external_lex_state = 2},
  [7307] = {.lex_state = 349, .external_lex_state = 2},
  [7308] = {.lex_state = 349, .external_lex_state = 2},
  [7309] = {.lex_state = 349, .external_lex_state = 2},
  [7310] = {.lex_state = 48, .external_lex_state = 2},
  [7311] = {.lex_state = 349, .external_lex_state = 2},
  [7312] = {.lex_state = 349, .external_lex_state = 2},
  [7313] = {.lex_state = 349, .external_lex_state = 2},
  [7314] = {.lex_state = 349, .external_lex_state = 2},
  [7315] = {.lex_state = 349, .external_lex_state = 2},
  [7316] = {.lex_state = 349, .external_lex_state = 2},
  [7317] = {.lex_state = 349, .external_lex_state = 2},
  [7318] = {.lex_state = 349, .external_lex_state = 2},
  [7319] = {.lex_state = 349, .external_lex_state = 2},
  [7320] = {.lex_state = 349, .external_lex_state = 2},
  [7321] = {.lex_state = 349, .external_lex_state = 2},
  [7322] = {.lex_state = 349, .external_lex_state = 2},
  [7323] = {.lex_state = 349, .external_lex_state = 2},
  [7324] = {.lex_state = 48, .external_lex_state = 2},
  [7325] = {.lex_state = 48, .external_lex_state = 2},
  [7326] = {.lex_state = 349, .external_lex_state = 2},
  [7327] = {.lex_state = 349, .external_lex_state = 2},
  [7328] = {.lex_state = 47, .external_lex_state = 2},
  [7329] = {.lex_state = 349, .external_lex_state = 2},
  [7330] = {.lex_state = 349, .external_lex_state = 2},
  [7331] = {.lex_state = 349, .external_lex_state = 2},
  [7332] = {.lex_state = 349, .external_lex_state = 2},
  [7333] = {.lex_state = 349, .external_lex_state = 2},
  [7334] = {.lex_state = 349, .external_lex_state = 2},
  [7335] = {.lex_state = 349, .external_lex_state = 2},
  [7336] = {.lex_state = 349, .external_lex_state = 2},
  [7337] = {.lex_state = 349, .external_lex_state = 2},
  [7338] = {.lex_state = 349, .external_lex_state = 2},
  [7339] = {.lex_state = 349, .external_lex_state = 2},
  [7340] = {.lex_state = 349, .external_lex_state = 2},
  [7341] = {.lex_state = 349, .external_lex_state = 2},
  [7342] = {.lex_state = 349, .external_lex_state = 2},
  [7343] = {.lex_state = 349, .external_lex_state = 2},
  [7344] = {.lex_state = 21, .external_lex_state = 2},
  [7345] = {.lex_state = 349, .external_lex_state = 2},
  [7346] = {.lex_state = 349, .external_lex_state = 2},
  [7347] = {.lex_state = 349, .external_lex_state = 2},
  [7348] = {.lex_state = 349, .external_lex_state = 2},
  [7349] = {.lex_state = 349, .external_lex_state = 2},
  [7350] = {.lex_state = 349, .external_lex_state = 2},
  [7351] = {.lex_state = 349, .external_lex_state = 2},
  [7352] = {.lex_state = 349, .external_lex_state = 2},
  [7353] = {.lex_state = 349, .external_lex_state = 2},
  [7354] = {.lex_state = 349, .external_lex_state = 2},
  [7355] = {.lex_state = 349, .external_lex_state = 2},
  [7356] = {.lex_state = 349, .external_lex_state = 2},
  [7357] = {.lex_state = 349, .external_lex_state = 2},
  [7358] = {.lex_state = 48, .external_lex_state = 2},
  [7359] = {.lex_state = 48, .external_lex_state = 2},
  [7360] = {.lex_state = 48, .external_lex_state = 2},
  [7361] = {.lex_state = 349, .external_lex_state = 2},
  [7362] = {.lex_state = 349, .external_lex_state = 2},
  [7363] = {.lex_state = 349, .external_lex_state = 2},
  [7364] = {.lex_state = 349, .external_lex_state = 2},
  [7365] = {.lex_state = 349, .external_lex_state = 2},
  [7366] = {.lex_state = 349, .external_lex_state = 2},
  [7367] = {.lex_state = 47, .external_lex_state = 2},
  [7368] = {.lex_state = 349, .external_lex_state = 2},
  [7369] = {.lex_state = 48, .external_lex_state = 2},
  [7370] = {.lex_state = 48, .external_lex_state = 2},
  [7371] = {.lex_state = 45, .external_lex_state = 2},
  [7372] = {.lex_state = 48, .external_lex_state = 2},
  [7373] = {.lex_state = 349, .external_lex_state = 2},
  [7374] = {.lex_state = 48, .external_lex_state = 2},
  [7375] = {.lex_state = 349, .external_lex_state = 2},
  [7376] = {.lex_state = 48, .external_lex_state = 2},
  [7377] = {.lex_state = 48, .external_lex_state = 2},
  [7378] = {.lex_state = 349, .external_lex_state = 2},
  [7379] = {.lex_state = 349, .external_lex_state = 2},
  [7380] = {.lex_state = 349, .external_lex_state = 2},
  [7381] = {.lex_state = 48, .external_lex_state = 2},
  [7382] = {.lex_state = 48, .external_lex_state = 2},
  [7383] = {.lex_state = 2, .external_lex_state = 2},
  [7384] = {.lex_state = 349, .external_lex_state = 2},
  [7385] = {.lex_state = 48, .external_lex_state = 2},
  [7386] = {.lex_state = 48, .external_lex_state = 2},
  [7387] = {.lex_state = 48, .external_lex_state = 2},
  [7388] = {.lex_state = 349, .external_lex_state = 2},
  [7389] = {.lex_state = 349, .external_lex_state = 2},
  [7390] = {.lex_state = 349, .external_lex_state = 2},
  [7391] = {.lex_state = 48, .external_lex_state = 2},
  [7392] = {.lex_state = 349, .external_lex_state = 2},
  [7393] = {.lex_state = 48, .external_lex_state = 2},
  [7394] = {.lex_state = 349, .external_lex_state = 2},
  [7395] = {.lex_state = 349, .external_lex_state = 2},
  [7396] = {.lex_state = 349, .external_lex_state = 2},
  [7397] = {.lex_state = 349, .external_lex_state = 2},
  [7398] = {.lex_state = 349, .external_lex_state = 2},
  [7399] = {.lex_state = 349, .external_lex_state = 2},
  [7400] = {.lex_state = 349, .external_lex_state = 2},
  [7401] = {.lex_state = 349, .external_lex_state = 2},
  [7402] = {.lex_state = 349, .external_lex_state = 2},
  [7403] = {.lex_state = 48, .external_lex_state = 2},
  [7404] = {.lex_state = 48, .external_lex_state = 2},
  [7405] = {.lex_state = 48, .external_lex_state = 2},
  [7406] = {.lex_state = 48, .external_lex_state = 2},
  [7407] = {.lex_state = 349, .external_lex_state = 2},
  [7408] = {.lex_state = 349, .external_lex_state = 2},
  [7409] = {.lex_state = 48, .external_lex_state = 2},
  [7410] = {.lex_state = 349, .external_lex_state = 2},
  [7411] = {.lex_state = 349, .external_lex_state = 2},
  [7412] = {.lex_state = 349, .external_lex_state = 2},
  [7413] = {.lex_state = 349, .external_lex_state = 2},
  [7414] = {.lex_state = 349, .external_lex_state = 2},
  [7415] = {.lex_state = 349, .external_lex_state = 2},
  [7416] = {.lex_state = 47, .external_lex_state = 2},
  [7417] = {.lex_state = 349, .external_lex_state = 2},
  [7418] = {.lex_state = 48, .external_lex_state = 2},
  [7419] = {.lex_state = 349, .external_lex_state = 2},
  [7420] = {.lex_state = 349, .external_lex_state = 2},
  [7421] = {.lex_state = 349, .external_lex_state = 2},
  [7422] = {.lex_state = 349, .external_lex_state = 2},
  [7423] = {.lex_state = 349, .external_lex_state = 2},
  [7424] = {.lex_state = 349, .external_lex_state = 2},
  [7425] = {.lex_state = 349, .external_lex_state = 2},
  [7426] = {.lex_state = 45, .external_lex_state = 2},
  [7427] = {.lex_state = 349, .external_lex_state = 2},
  [7428] = {.lex_state = 349, .external_lex_state = 2},
  [7429] = {.lex_state = 349, .external_lex_state = 2},
  [7430] = {.lex_state = 349, .external_lex_state = 2},
  [7431] = {.lex_state = 349, .external_lex_state = 2},
  [7432] = {.lex_state = 349, .external_lex_state = 2},
  [7433] = {.lex_state = 349, .external_lex_state = 2},
  [7434] = {.lex_state = 349, .external_lex_state = 2},
  [7435] = {.lex_state = 349, .external_lex_state = 2},
  [7436] = {.lex_state = 45, .external_lex_state = 2},
  [7437] = {.lex_state = 349, .external_lex_state = 2},
  [7438] = {.lex_state = 349, .external_lex_state = 2},
  [7439] = {.lex_state = 349, .external_lex_state = 2},
  [7440] = {.lex_state = 48, .external_lex_state = 2},
  [7441] = {.lex_state = 48, .external_lex_state = 2},
  [7442] = {.lex_state = 349, .external_lex_state = 2},
  [7443] = {.lex_state = 349, .external_lex_state = 2},
  [7444] = {.lex_state = 349, .external_lex_state = 2},
  [7445] = {.lex_state = 349, .external_lex_state = 2},
  [7446] = {.lex_state = 349, .external_lex_state = 2},
  [7447] = {.lex_state = 48, .external_lex_state = 2},
  [7448] = {.lex_state = 48, .external_lex_state = 2},
  [7449] = {.lex_state = 349, .external_lex_state = 2},
  [7450] = {.lex_state = 349, .external_lex_state = 2},
  [7451] = {.lex_state = 349, .external_lex_state = 2},
  [7452] = {.lex_state = 349, .external_lex_state = 2},
  [7453] = {.lex_state = 349, .external_lex_state = 2},
  [7454] = {.lex_state = 48, .external_lex_state = 2},
  [7455] = {.lex_state = 349, .external_lex_state = 2},
  [7456] = {.lex_state = 349, .external_lex_state = 2},
  [7457] = {.lex_state = 349, .external_lex_state = 2},
  [7458] = {.lex_state = 349, .external_lex_state = 2},
  [7459] = {.lex_state = 349, .external_lex_state = 2},
  [7460] = {.lex_state = 48, .external_lex_state = 2},
  [7461] = {.lex_state = 349, .external_lex_state = 2},
  [7462] = {.lex_state = 349, .external_lex_state = 2},
  [7463] = {.lex_state = 48, .external_lex_state = 2},
  [7464] = {.lex_state = 349, .external_lex_state = 2},
  [7465] = {.lex_state = 349, .external_lex_state = 2},
  [7466] = {.lex_state = 48, .external_lex_state = 2},
  [7467] = {.lex_state = 349, .external_lex_state = 2},
  [7468] = {.lex_state = 48, .external_lex_state = 2},
  [7469] = {.lex_state = 349, .external_lex_state = 2},
  [7470] = {.lex_state = 349, .external_lex_state = 2},
  [7471] = {.lex_state = 349, .external_lex_state = 2},
  [7472] = {.lex_state = 349, .external_lex_state = 2},
  [7473] = {.lex_state = 349, .external_lex_state = 2},
  [7474] = {.lex_state = 349, .external_lex_state = 2},
  [7475] = {.lex_state = 349, .external_lex_state = 2},
  [7476] = {.lex_state = 349, .external_lex_state = 2},
  [7477] = {.lex_state = 349, .external_lex_state = 2},
  [7478] = {.lex_state = 47, .external_lex_state = 2},
  [7479] = {.lex_state = 349, .external_lex_state = 2},
  [7480] = {.lex_state = 349, .external_lex_state = 2},
  [7481] = {.lex_state = 349, .external_lex_state = 2},
  [7482] = {.lex_state = 48, .external_lex_state = 2},
  [7483] = {.lex_state = 48, .external_lex_state = 2},
  [7484] = {.lex_state = 45, .external_lex_state = 2},
  [7485] = {.lex_state = 48, .external_lex_state = 2},
  [7486] = {.lex_state = 349, .external_lex_state = 2},
  [7487] = {.lex_state = 349, .external_lex_state = 2},
  [7488] = {.lex_state = 349, .external_lex_state = 2},
  [7489] = {.lex_state = 48, .external_lex_state = 2},
  [7490] = {.lex_state = 349, .external_lex_state = 2},
  [7491] = {.lex_state = 48, .external_lex_state = 2},
  [7492] = {.lex_state = 349, .external_lex_state = 2},
  [7493] = {.lex_state = 349, .external_lex_state = 2},
  [7494] = {.lex_state = 349, .external_lex_state = 2},
  [7495] = {.lex_state = 48, .external_lex_state = 2},
  [7496] = {.lex_state = 349, .external_lex_state = 2},
  [7497] = {.lex_state = 48, .external_lex_state = 2},
  [7498] = {.lex_state = 48, .external_lex_state = 2},
  [7499] = {.lex_state = 349, .external_lex_state = 2},
  [7500] = {.lex_state = 48, .external_lex_state = 2},
  [7501] = {.lex_state = 349, .external_lex_state = 2},
  [7502] = {.lex_state = 349, .external_lex_state = 2},
  [7503] = {.lex_state = 349, .external_lex_state = 2},
  [7504] = {.lex_state = 21, .external_lex_state = 2},
  [7505] = {.lex_state = 349, .external_lex_state = 2},
  [7506] = {.lex_state = 48, .external_lex_state = 2},
  [7507] = {.lex_state = 349, .external_lex_state = 2},
  [7508] = {.lex_state = 349, .external_lex_state = 2},
  [7509] = {.lex_state = 48, .external_lex_state = 2},
  [7510] = {.lex_state = 349, .external_lex_state = 2},
  [7511] = {.lex_state = 349, .external_lex_state = 2},
  [7512] = {.lex_state = 48, .external_lex_state = 2},
  [7513] = {.lex_state = 48, .external_lex_state = 2},
  [7514] = {.lex_state = 48, .external_lex_state = 2},
  [7515] = {.lex_state = 349, .external_lex_state = 2},
  [7516] = {.lex_state = 48, .external_lex_state = 2},
  [7517] = {.lex_state = 349, .external_lex_state = 2},
  [7518] = {.lex_state = 349, .external_lex_state = 2},
  [7519] = {.lex_state = 48, .external_lex_state = 2},
  [7520] = {.lex_state = 349, .external_lex_state = 2},
  [7521] = {.lex_state = 349, .external_lex_state = 2},
  [7522] = {.lex_state = 349, .external_lex_state = 2},
  [7523] = {.lex_state = 48, .external_lex_state = 2},
  [7524] = {.lex_state = 349, .external_lex_state = 2},
  [7525] = {.lex_state = 349, .external_lex_state = 2},
  [7526] = {.lex_state = 48, .external_lex_state = 2},
  [7527] = {.lex_state = 349, .external_lex_state = 2},
  [7528] = {.lex_state = 349, .external_lex_state = 2},
  [7529] = {.lex_state = 349, .external_lex_state = 2},
  [7530] = {.lex_state = 349, .external_lex_state = 2},
  [7531] = {.lex_state = 48, .external_lex_state = 2},
  [7532] = {.lex_state = 349, .external_lex_state = 2},
  [7533] = {.lex_state = 349, .external_lex_state = 2},
  [7534] = {.lex_state = 349, .external_lex_state = 2},
  [7535] = {.lex_state = 349, .external_lex_state = 2},
  [7536] = {.lex_state = 349, .external_lex_state = 2},
  [7537] = {.lex_state = 349, .external_lex_state = 2},
  [7538] = {.lex_state = 349, .external_lex_state = 2},
  [7539] = {.lex_state = 48, .external_lex_state = 2},
  [7540] = {.lex_state = 349, .external_lex_state = 2},
  [7541] = {.lex_state = 349, .external_lex_state = 2},
  [7542] = {.lex_state = 48, .external_lex_state = 2},
  [7543] = {.lex_state = 349, .external_lex_state = 2},
  [7544] = {.lex_state = 349, .external_lex_state = 2},
  [7545] = {.lex_state = 48, .external_lex_state = 2},
  [7546] = {.lex_state = 349, .external_lex_state = 2},
  [7547] = {.lex_state = 48, .external_lex_state = 2},
  [7548] = {.lex_state = 48, .external_lex_state = 2},
  [7549] = {.lex_state = 349, .external_lex_state = 2},
  [7550] = {.lex_state = 349, .external_lex_state = 2},
  [7551] = {.lex_state = 349, .external_lex_state = 2},
  [7552] = {.lex_state = 349, .external_lex_state = 2},
  [7553] = {.lex_state = 349, .external_lex_state = 2},
  [7554] = {.lex_state = 48, .external_lex_state = 2},
  [7555] = {.lex_state = 349, .external_lex_state = 2},
  [7556] = {.lex_state = 349, .external_lex_state = 2},
  [7557] = {.lex_state = 349, .external_lex_state = 2},
  [7558] = {.lex_state = 349, .external_lex_state = 2},
  [7559] = {.lex_state = 349, .external_lex_state = 2},
  [7560] = {.lex_state = 47, .external_lex_state = 2},
  [7561] = {.lex_state = 349, .external_lex_state = 2},
  [7562] = {.lex_state = 48, .external_lex_state = 2},
  [7563] = {.lex_state = 349, .external_lex_state = 2},
  [7564] = {.lex_state = 48, .external_lex_state = 2},
  [7565] = {.lex_state = 349, .external_lex_state = 2},
  [7566] = {.lex_state = 349, .external_lex_state = 2},
  [7567] = {.lex_state = 48, .external_lex_state = 2},
  [7568] = {.lex_state = 47, .external_lex_state = 2},
  [7569] = {.lex_state = 2, .external_lex_state = 2},
  [7570] = {.lex_state = 349, .external_lex_state = 2},
  [7571] = {.lex_state = 349, .external_lex_state = 2},
  [7572] = {.lex_state = 349, .external_lex_state = 2},
  [7573] = {.lex_state = 349, .external_lex_state = 2},
  [7574] = {.lex_state = 349, .external_lex_state = 2},
  [7575] = {.lex_state = 48, .external_lex_state = 2},
  [7576] = {.lex_state = 349, .external_lex_state = 2},
  [7577] = {.lex_state = 349, .external_lex_state = 2},
  [7578] = {.lex_state = 349, .external_lex_state = 2},
  [7579] = {.lex_state = 48, .external_lex_state = 2},
  [7580] = {.lex_state = 48, .external_lex_state = 2},
  [7581] = {.lex_state = 349, .external_lex_state = 2},
  [7582] = {.lex_state = 349, .external_lex_state = 2},
  [7583] = {.lex_state = 48, .external_lex_state = 2},
  [7584] = {.lex_state = 48, .external_lex_state = 2},
  [7585] = {.lex_state = 48, .external_lex_state = 2},
  [7586] = {.lex_state = 349, .external_lex_state = 2},
  [7587] = {.lex_state = 48, .external_lex_state = 2},
  [7588] = {.lex_state = 349, .external_lex_state = 2},
  [7589] = {.lex_state = 48, .external_lex_state = 2},
  [7590] = {.lex_state = 48, .external_lex_state = 2},
  [7591] = {.lex_state = 349, .external_lex_state = 2},
  [7592] = {.lex_state = 48, .external_lex_state = 2},
  [7593] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7561),
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(191),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(191),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6307),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6314),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(267),
    [anon_sym_namespace] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(275),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(279),
    [anon_sym_readonly] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(283),
    [anon_sym_set] = ACTIONS(283),
    [anon_sym_declare] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(287),
    [anon_sym_private] = ACTIONS(287),
    [anon_sym_protected] = ACTIONS(287),
    [anon_sym_override] = ACTIONS(289),
    [anon_sym_module] = ACTIONS(291),
    [anon_sym_any] = ACTIONS(293),
    [anon_sym_number] = ACTIONS(293),
    [anon_sym_boolean] = ACTIONS(293),
    [anon_sym_string] = ACTIONS(293),
    [anon_sym_symbol] = ACTIONS(293),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7518),
    [sym_spread_element] = STATE(6307),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3159),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4553),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_accessibility_modifier] = STATE(3735),
    [sym_override_modifier] = STATE(3759),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(305),
    [anon_sym_export] = ACTIONS(307),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_namespace] = ACTIONS(311),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(313),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(317),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
    [anon_sym_declare] = ACTIONS(325),
    [anon_sym_public] = ACTIONS(327),
    [anon_sym_private] = ACTIONS(327),
    [anon_sym_protected] = ACTIONS(327),
    [anon_sym_override] = ACTIONS(329),
    [anon_sym_module] = ACTIONS(331),
    [anon_sym_any] = ACTIONS(333),
    [anon_sym_number] = ACTIONS(333),
    [anon_sym_boolean] = ACTIONS(333),
    [anon_sym_string] = ACTIONS(333),
    [anon_sym_symbol] = ACTIONS(333),
    [anon_sym_object] = ACTIONS(333),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1482),
    [sym_declaration] = STATE(1482),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1482),
    [sym_expression_statement] = STATE(1482),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1482),
    [sym_if_statement] = STATE(1482),
    [sym_switch_statement] = STATE(1482),
    [sym_for_statement] = STATE(1482),
    [sym_for_in_statement] = STATE(1482),
    [sym_while_statement] = STATE(1482),
    [sym_do_statement] = STATE(1482),
    [sym_try_statement] = STATE(1482),
    [sym_with_statement] = STATE(1482),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1482),
    [sym_debugger_statement] = STATE(1482),
    [sym_return_statement] = STATE(1482),
    [sym_throw_statement] = STATE(1482),
    [sym_empty_statement] = STATE(1482),
    [sym_labeled_statement] = STATE(1482),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(339),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1482),
    [sym_declaration] = STATE(1482),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1482),
    [sym_expression_statement] = STATE(1482),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1482),
    [sym_if_statement] = STATE(1482),
    [sym_switch_statement] = STATE(1482),
    [sym_for_statement] = STATE(1482),
    [sym_for_in_statement] = STATE(1482),
    [sym_while_statement] = STATE(1482),
    [sym_do_statement] = STATE(1482),
    [sym_try_statement] = STATE(1482),
    [sym_with_statement] = STATE(1482),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1482),
    [sym_debugger_statement] = STATE(1482),
    [sym_return_statement] = STATE(1482),
    [sym_throw_statement] = STATE(1482),
    [sym_empty_statement] = STATE(1482),
    [sym_labeled_statement] = STATE(1482),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(404),
    [anon_sym_default] = ACTIONS(407),
    [anon_sym_type] = ACTIONS(409),
    [anon_sym_namespace] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(421),
    [anon_sym_with] = ACTIONS(424),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_const] = ACTIONS(433),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(439),
    [anon_sym_for] = ACTIONS(442),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_await] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(454),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(463),
    [anon_sym_debugger] = ACTIONS(466),
    [anon_sym_return] = ACTIONS(469),
    [anon_sym_throw] = ACTIONS(472),
    [anon_sym_SEMI] = ACTIONS(475),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LTtemplate_GT] = ACTIONS(484),
    [anon_sym_DQUOTE] = ACTIONS(487),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(496),
    [anon_sym_function] = ACTIONS(499),
    [anon_sym_new] = ACTIONS(502),
    [anon_sym_using] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [sym_number] = ACTIONS(520),
    [sym_private_property_identifier] = ACTIONS(523),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(529),
    [anon_sym_static] = ACTIONS(532),
    [anon_sym_readonly] = ACTIONS(532),
    [anon_sym_get] = ACTIONS(532),
    [anon_sym_set] = ACTIONS(532),
    [anon_sym_declare] = ACTIONS(535),
    [anon_sym_public] = ACTIONS(532),
    [anon_sym_private] = ACTIONS(532),
    [anon_sym_protected] = ACTIONS(532),
    [anon_sym_override] = ACTIONS(532),
    [anon_sym_module] = ACTIONS(538),
    [anon_sym_any] = ACTIONS(532),
    [anon_sym_number] = ACTIONS(532),
    [anon_sym_boolean] = ACTIONS(532),
    [anon_sym_string] = ACTIONS(532),
    [anon_sym_symbol] = ACTIONS(532),
    [anon_sym_object] = ACTIONS(532),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(544),
    [anon_sym_enum] = ACTIONS(547),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1482),
    [sym_declaration] = STATE(1482),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1482),
    [sym_expression_statement] = STATE(1482),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1482),
    [sym_if_statement] = STATE(1482),
    [sym_switch_statement] = STATE(1482),
    [sym_for_statement] = STATE(1482),
    [sym_for_in_statement] = STATE(1482),
    [sym_while_statement] = STATE(1482),
    [sym_do_statement] = STATE(1482),
    [sym_try_statement] = STATE(1482),
    [sym_with_statement] = STATE(1482),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1482),
    [sym_debugger_statement] = STATE(1482),
    [sym_return_statement] = STATE(1482),
    [sym_throw_statement] = STATE(1482),
    [sym_empty_statement] = STATE(1482),
    [sym_labeled_statement] = STATE(1482),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1482),
    [sym_declaration] = STATE(1482),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1482),
    [sym_expression_statement] = STATE(1482),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1482),
    [sym_if_statement] = STATE(1482),
    [sym_switch_statement] = STATE(1482),
    [sym_for_statement] = STATE(1482),
    [sym_for_in_statement] = STATE(1482),
    [sym_while_statement] = STATE(1482),
    [sym_do_statement] = STATE(1482),
    [sym_try_statement] = STATE(1482),
    [sym_with_statement] = STATE(1482),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1482),
    [sym_debugger_statement] = STATE(1482),
    [sym_return_statement] = STATE(1482),
    [sym_throw_statement] = STATE(1482),
    [sym_empty_statement] = STATE(1482),
    [sym_labeled_statement] = STATE(1482),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1482),
    [sym_declaration] = STATE(1482),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1482),
    [sym_expression_statement] = STATE(1482),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1482),
    [sym_if_statement] = STATE(1482),
    [sym_switch_statement] = STATE(1482),
    [sym_for_statement] = STATE(1482),
    [sym_for_in_statement] = STATE(1482),
    [sym_while_statement] = STATE(1482),
    [sym_do_statement] = STATE(1482),
    [sym_try_statement] = STATE(1482),
    [sym_with_statement] = STATE(1482),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1482),
    [sym_debugger_statement] = STATE(1482),
    [sym_return_statement] = STATE(1482),
    [sym_throw_statement] = STATE(1482),
    [sym_empty_statement] = STATE(1482),
    [sym_labeled_statement] = STATE(1482),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(554),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(556),
    [sym_identifier] = ACTIONS(558),
    [anon_sym_export] = ACTIONS(561),
    [anon_sym_type] = ACTIONS(564),
    [anon_sym_namespace] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(576),
    [anon_sym_var] = ACTIONS(579),
    [anon_sym_let] = ACTIONS(582),
    [anon_sym_const] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_switch] = ACTIONS(591),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_await] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(597),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(603),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(609),
    [anon_sym_debugger] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(615),
    [anon_sym_throw] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(621),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LTtemplate_GT] = ACTIONS(484),
    [anon_sym_DQUOTE] = ACTIONS(487),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_using] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [sym_number] = ACTIONS(520),
    [sym_private_property_identifier] = ACTIONS(523),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(529),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(639),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(645),
    [anon_sym_interface] = ACTIONS(648),
    [anon_sym_enum] = ACTIONS(651),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(654),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(664),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(756),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(664),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1740),
    [sym_declaration] = STATE(1740),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1740),
    [sym_expression_statement] = STATE(1740),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1740),
    [sym_if_statement] = STATE(1740),
    [sym_switch_statement] = STATE(1740),
    [sym_for_statement] = STATE(1740),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1740),
    [sym_do_statement] = STATE(1740),
    [sym_try_statement] = STATE(1740),
    [sym_with_statement] = STATE(1740),
    [sym_break_statement] = STATE(1740),
    [sym_continue_statement] = STATE(1740),
    [sym_debugger_statement] = STATE(1740),
    [sym_return_statement] = STATE(1740),
    [sym_throw_statement] = STATE(1740),
    [sym_empty_statement] = STATE(1740),
    [sym_labeled_statement] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(760),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(992),
    [sym_declaration] = STATE(992),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(992),
    [sym_expression_statement] = STATE(992),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(992),
    [sym_if_statement] = STATE(992),
    [sym_switch_statement] = STATE(992),
    [sym_for_statement] = STATE(992),
    [sym_for_in_statement] = STATE(992),
    [sym_while_statement] = STATE(992),
    [sym_do_statement] = STATE(992),
    [sym_try_statement] = STATE(992),
    [sym_with_statement] = STATE(992),
    [sym_break_statement] = STATE(992),
    [sym_continue_statement] = STATE(992),
    [sym_debugger_statement] = STATE(992),
    [sym_return_statement] = STATE(992),
    [sym_throw_statement] = STATE(992),
    [sym_empty_statement] = STATE(992),
    [sym_labeled_statement] = STATE(992),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(6952),
    [sym_declaration] = STATE(6952),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6952),
    [sym_expression_statement] = STATE(6952),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6952),
    [sym_if_statement] = STATE(6952),
    [sym_switch_statement] = STATE(6952),
    [sym_for_statement] = STATE(6952),
    [sym_for_in_statement] = STATE(6952),
    [sym_while_statement] = STATE(6952),
    [sym_do_statement] = STATE(6952),
    [sym_try_statement] = STATE(6952),
    [sym_with_statement] = STATE(6952),
    [sym_break_statement] = STATE(6952),
    [sym_continue_statement] = STATE(6952),
    [sym_debugger_statement] = STATE(6952),
    [sym_return_statement] = STATE(6952),
    [sym_throw_statement] = STATE(6952),
    [sym_empty_statement] = STATE(6952),
    [sym_labeled_statement] = STATE(6952),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(6961),
    [sym_declaration] = STATE(6962),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6963),
    [sym_expression_statement] = STATE(6965),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6966),
    [sym_if_statement] = STATE(6970),
    [sym_switch_statement] = STATE(6974),
    [sym_for_statement] = STATE(6977),
    [sym_for_in_statement] = STATE(6978),
    [sym_while_statement] = STATE(6983),
    [sym_do_statement] = STATE(6991),
    [sym_try_statement] = STATE(6994),
    [sym_with_statement] = STATE(7002),
    [sym_break_statement] = STATE(7003),
    [sym_continue_statement] = STATE(7027),
    [sym_debugger_statement] = STATE(7028),
    [sym_return_statement] = STATE(7045),
    [sym_throw_statement] = STATE(7055),
    [sym_empty_statement] = STATE(7056),
    [sym_labeled_statement] = STATE(7060),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1526),
    [sym_declaration] = STATE(1525),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1524),
    [sym_expression_statement] = STATE(1523),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1522),
    [sym_if_statement] = STATE(1521),
    [sym_switch_statement] = STATE(1520),
    [sym_for_statement] = STATE(1518),
    [sym_for_in_statement] = STATE(1517),
    [sym_while_statement] = STATE(1516),
    [sym_do_statement] = STATE(1515),
    [sym_try_statement] = STATE(1514),
    [sym_with_statement] = STATE(1513),
    [sym_break_statement] = STATE(1512),
    [sym_continue_statement] = STATE(1511),
    [sym_debugger_statement] = STATE(1510),
    [sym_return_statement] = STATE(1509),
    [sym_throw_statement] = STATE(1503),
    [sym_empty_statement] = STATE(1496),
    [sym_labeled_statement] = STATE(1495),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(1698),
    [sym_declaration] = STATE(1698),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1698),
    [sym_expression_statement] = STATE(1698),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1698),
    [sym_if_statement] = STATE(1698),
    [sym_switch_statement] = STATE(1698),
    [sym_for_statement] = STATE(1698),
    [sym_for_in_statement] = STATE(1698),
    [sym_while_statement] = STATE(1698),
    [sym_do_statement] = STATE(1698),
    [sym_try_statement] = STATE(1698),
    [sym_with_statement] = STATE(1698),
    [sym_break_statement] = STATE(1698),
    [sym_continue_statement] = STATE(1698),
    [sym_debugger_statement] = STATE(1698),
    [sym_return_statement] = STATE(1698),
    [sym_throw_statement] = STATE(1698),
    [sym_empty_statement] = STATE(1698),
    [sym_labeled_statement] = STATE(1698),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1285),
    [sym_declaration] = STATE(1285),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1285),
    [sym_expression_statement] = STATE(1285),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1285),
    [sym_if_statement] = STATE(1285),
    [sym_switch_statement] = STATE(1285),
    [sym_for_statement] = STATE(1285),
    [sym_for_in_statement] = STATE(1285),
    [sym_while_statement] = STATE(1285),
    [sym_do_statement] = STATE(1285),
    [sym_try_statement] = STATE(1285),
    [sym_with_statement] = STATE(1285),
    [sym_break_statement] = STATE(1285),
    [sym_continue_statement] = STATE(1285),
    [sym_debugger_statement] = STATE(1285),
    [sym_return_statement] = STATE(1285),
    [sym_throw_statement] = STATE(1285),
    [sym_empty_statement] = STATE(1285),
    [sym_labeled_statement] = STATE(1285),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(6925),
    [sym_declaration] = STATE(6925),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6925),
    [sym_expression_statement] = STATE(6925),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6925),
    [sym_if_statement] = STATE(6925),
    [sym_switch_statement] = STATE(6925),
    [sym_for_statement] = STATE(6925),
    [sym_for_in_statement] = STATE(6925),
    [sym_while_statement] = STATE(6925),
    [sym_do_statement] = STATE(6925),
    [sym_try_statement] = STATE(6925),
    [sym_with_statement] = STATE(6925),
    [sym_break_statement] = STATE(6925),
    [sym_continue_statement] = STATE(6925),
    [sym_debugger_statement] = STATE(6925),
    [sym_return_statement] = STATE(6925),
    [sym_throw_statement] = STATE(6925),
    [sym_empty_statement] = STATE(6925),
    [sym_labeled_statement] = STATE(6925),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1420),
    [sym_declaration] = STATE(1420),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1420),
    [sym_expression_statement] = STATE(1420),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1420),
    [sym_if_statement] = STATE(1420),
    [sym_switch_statement] = STATE(1420),
    [sym_for_statement] = STATE(1420),
    [sym_for_in_statement] = STATE(1420),
    [sym_while_statement] = STATE(1420),
    [sym_do_statement] = STATE(1420),
    [sym_try_statement] = STATE(1420),
    [sym_with_statement] = STATE(1420),
    [sym_break_statement] = STATE(1420),
    [sym_continue_statement] = STATE(1420),
    [sym_debugger_statement] = STATE(1420),
    [sym_return_statement] = STATE(1420),
    [sym_throw_statement] = STATE(1420),
    [sym_empty_statement] = STATE(1420),
    [sym_labeled_statement] = STATE(1420),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(7197),
    [sym_declaration] = STATE(7197),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7197),
    [sym_expression_statement] = STATE(7197),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7197),
    [sym_if_statement] = STATE(7197),
    [sym_switch_statement] = STATE(7197),
    [sym_for_statement] = STATE(7197),
    [sym_for_in_statement] = STATE(7197),
    [sym_while_statement] = STATE(7197),
    [sym_do_statement] = STATE(7197),
    [sym_try_statement] = STATE(7197),
    [sym_with_statement] = STATE(7197),
    [sym_break_statement] = STATE(7197),
    [sym_continue_statement] = STATE(7197),
    [sym_debugger_statement] = STATE(7197),
    [sym_return_statement] = STATE(7197),
    [sym_throw_statement] = STATE(7197),
    [sym_empty_statement] = STATE(7197),
    [sym_labeled_statement] = STATE(7197),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1671),
    [sym_declaration] = STATE(1671),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1558),
    [sym_declaration] = STATE(1567),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1568),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1570),
    [sym_if_statement] = STATE(1573),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1578),
    [sym_while_statement] = STATE(1579),
    [sym_do_statement] = STATE(1580),
    [sym_try_statement] = STATE(1581),
    [sym_with_statement] = STATE(1586),
    [sym_break_statement] = STATE(1587),
    [sym_continue_statement] = STATE(1589),
    [sym_debugger_statement] = STATE(1590),
    [sym_return_statement] = STATE(1591),
    [sym_throw_statement] = STATE(1592),
    [sym_empty_statement] = STATE(1593),
    [sym_labeled_statement] = STATE(1594),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(1624),
    [sym_declaration] = STATE(1624),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1624),
    [sym_expression_statement] = STATE(1624),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1624),
    [sym_if_statement] = STATE(1624),
    [sym_switch_statement] = STATE(1624),
    [sym_for_statement] = STATE(1624),
    [sym_for_in_statement] = STATE(1624),
    [sym_while_statement] = STATE(1624),
    [sym_do_statement] = STATE(1624),
    [sym_try_statement] = STATE(1624),
    [sym_with_statement] = STATE(1624),
    [sym_break_statement] = STATE(1624),
    [sym_continue_statement] = STATE(1624),
    [sym_debugger_statement] = STATE(1624),
    [sym_return_statement] = STATE(1624),
    [sym_throw_statement] = STATE(1624),
    [sym_empty_statement] = STATE(1624),
    [sym_labeled_statement] = STATE(1624),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(6556),
    [sym_declaration] = STATE(6556),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6556),
    [sym_expression_statement] = STATE(6556),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6556),
    [sym_if_statement] = STATE(6556),
    [sym_switch_statement] = STATE(6556),
    [sym_for_statement] = STATE(6556),
    [sym_for_in_statement] = STATE(6556),
    [sym_while_statement] = STATE(6556),
    [sym_do_statement] = STATE(6556),
    [sym_try_statement] = STATE(6556),
    [sym_with_statement] = STATE(6556),
    [sym_break_statement] = STATE(6556),
    [sym_continue_statement] = STATE(6556),
    [sym_debugger_statement] = STATE(6556),
    [sym_return_statement] = STATE(6556),
    [sym_throw_statement] = STATE(6556),
    [sym_empty_statement] = STATE(6556),
    [sym_labeled_statement] = STATE(6556),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1538),
    [sym_declaration] = STATE(1538),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1538),
    [sym_expression_statement] = STATE(1538),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1538),
    [sym_if_statement] = STATE(1538),
    [sym_switch_statement] = STATE(1538),
    [sym_for_statement] = STATE(1538),
    [sym_for_in_statement] = STATE(1538),
    [sym_while_statement] = STATE(1538),
    [sym_do_statement] = STATE(1538),
    [sym_try_statement] = STATE(1538),
    [sym_with_statement] = STATE(1538),
    [sym_break_statement] = STATE(1538),
    [sym_continue_statement] = STATE(1538),
    [sym_debugger_statement] = STATE(1538),
    [sym_return_statement] = STATE(1538),
    [sym_throw_statement] = STATE(1538),
    [sym_empty_statement] = STATE(1538),
    [sym_labeled_statement] = STATE(1538),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1220),
    [sym_declaration] = STATE(1220),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1220),
    [sym_expression_statement] = STATE(1220),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1220),
    [sym_if_statement] = STATE(1220),
    [sym_switch_statement] = STATE(1220),
    [sym_for_statement] = STATE(1220),
    [sym_for_in_statement] = STATE(1220),
    [sym_while_statement] = STATE(1220),
    [sym_do_statement] = STATE(1220),
    [sym_try_statement] = STATE(1220),
    [sym_with_statement] = STATE(1220),
    [sym_break_statement] = STATE(1220),
    [sym_continue_statement] = STATE(1220),
    [sym_debugger_statement] = STATE(1220),
    [sym_return_statement] = STATE(1220),
    [sym_throw_statement] = STATE(1220),
    [sym_empty_statement] = STATE(1220),
    [sym_labeled_statement] = STATE(1220),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(7075),
    [sym_declaration] = STATE(7075),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7075),
    [sym_expression_statement] = STATE(7075),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7075),
    [sym_if_statement] = STATE(7075),
    [sym_switch_statement] = STATE(7075),
    [sym_for_statement] = STATE(7075),
    [sym_for_in_statement] = STATE(7075),
    [sym_while_statement] = STATE(7075),
    [sym_do_statement] = STATE(7075),
    [sym_try_statement] = STATE(7075),
    [sym_with_statement] = STATE(7075),
    [sym_break_statement] = STATE(7075),
    [sym_continue_statement] = STATE(7075),
    [sym_debugger_statement] = STATE(7075),
    [sym_return_statement] = STATE(7075),
    [sym_throw_statement] = STATE(7075),
    [sym_empty_statement] = STATE(7075),
    [sym_labeled_statement] = STATE(7075),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1210),
    [sym_declaration] = STATE(1210),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1210),
    [sym_expression_statement] = STATE(1210),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1210),
    [sym_if_statement] = STATE(1210),
    [sym_switch_statement] = STATE(1210),
    [sym_for_statement] = STATE(1210),
    [sym_for_in_statement] = STATE(1210),
    [sym_while_statement] = STATE(1210),
    [sym_do_statement] = STATE(1210),
    [sym_try_statement] = STATE(1210),
    [sym_with_statement] = STATE(1210),
    [sym_break_statement] = STATE(1210),
    [sym_continue_statement] = STATE(1210),
    [sym_debugger_statement] = STATE(1210),
    [sym_return_statement] = STATE(1210),
    [sym_throw_statement] = STATE(1210),
    [sym_empty_statement] = STATE(1210),
    [sym_labeled_statement] = STATE(1210),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1374),
    [sym_declaration] = STATE(1373),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1369),
    [sym_expression_statement] = STATE(1368),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1367),
    [sym_if_statement] = STATE(1366),
    [sym_switch_statement] = STATE(1365),
    [sym_for_statement] = STATE(1364),
    [sym_for_in_statement] = STATE(1363),
    [sym_while_statement] = STATE(1362),
    [sym_do_statement] = STATE(1361),
    [sym_try_statement] = STATE(1360),
    [sym_with_statement] = STATE(1359),
    [sym_break_statement] = STATE(1358),
    [sym_continue_statement] = STATE(1357),
    [sym_debugger_statement] = STATE(1356),
    [sym_return_statement] = STATE(1355),
    [sym_throw_statement] = STATE(1354),
    [sym_empty_statement] = STATE(1352),
    [sym_labeled_statement] = STATE(1351),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(6933),
    [sym_declaration] = STATE(6932),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6917),
    [sym_expression_statement] = STATE(6911),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6895),
    [sym_if_statement] = STATE(6889),
    [sym_switch_statement] = STATE(6880),
    [sym_for_statement] = STATE(6873),
    [sym_for_in_statement] = STATE(6870),
    [sym_while_statement] = STATE(6865),
    [sym_do_statement] = STATE(6864),
    [sym_try_statement] = STATE(6863),
    [sym_with_statement] = STATE(6861),
    [sym_break_statement] = STATE(6860),
    [sym_continue_statement] = STATE(6858),
    [sym_debugger_statement] = STATE(6849),
    [sym_return_statement] = STATE(6848),
    [sym_throw_statement] = STATE(6847),
    [sym_empty_statement] = STATE(6842),
    [sym_labeled_statement] = STATE(6829),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1201),
    [sym_declaration] = STATE(1188),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1187),
    [sym_expression_statement] = STATE(1186),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1182),
    [sym_if_statement] = STATE(1174),
    [sym_switch_statement] = STATE(1171),
    [sym_for_statement] = STATE(1170),
    [sym_for_in_statement] = STATE(1166),
    [sym_while_statement] = STATE(1165),
    [sym_do_statement] = STATE(1160),
    [sym_try_statement] = STATE(1159),
    [sym_with_statement] = STATE(1154),
    [sym_break_statement] = STATE(1153),
    [sym_continue_statement] = STATE(1152),
    [sym_debugger_statement] = STATE(1151),
    [sym_return_statement] = STATE(1150),
    [sym_throw_statement] = STATE(1145),
    [sym_empty_statement] = STATE(1144),
    [sym_labeled_statement] = STATE(1141),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(6722),
    [sym_declaration] = STATE(6722),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6722),
    [sym_expression_statement] = STATE(6722),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6722),
    [sym_if_statement] = STATE(6722),
    [sym_switch_statement] = STATE(6722),
    [sym_for_statement] = STATE(6722),
    [sym_for_in_statement] = STATE(6722),
    [sym_while_statement] = STATE(6722),
    [sym_do_statement] = STATE(6722),
    [sym_try_statement] = STATE(6722),
    [sym_with_statement] = STATE(6722),
    [sym_break_statement] = STATE(6722),
    [sym_continue_statement] = STATE(6722),
    [sym_debugger_statement] = STATE(6722),
    [sym_return_statement] = STATE(6722),
    [sym_throw_statement] = STATE(6722),
    [sym_empty_statement] = STATE(6722),
    [sym_labeled_statement] = STATE(6722),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(1131),
    [sym_declaration] = STATE(1131),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1131),
    [sym_expression_statement] = STATE(1131),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1131),
    [sym_if_statement] = STATE(1131),
    [sym_switch_statement] = STATE(1131),
    [sym_for_statement] = STATE(1131),
    [sym_for_in_statement] = STATE(1131),
    [sym_while_statement] = STATE(1131),
    [sym_do_statement] = STATE(1131),
    [sym_try_statement] = STATE(1131),
    [sym_with_statement] = STATE(1131),
    [sym_break_statement] = STATE(1131),
    [sym_continue_statement] = STATE(1131),
    [sym_debugger_statement] = STATE(1131),
    [sym_return_statement] = STATE(1131),
    [sym_throw_statement] = STATE(1131),
    [sym_empty_statement] = STATE(1131),
    [sym_labeled_statement] = STATE(1131),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(1028),
    [sym_declaration] = STATE(1027),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1026),
    [sym_expression_statement] = STATE(1024),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1022),
    [sym_if_statement] = STATE(1021),
    [sym_switch_statement] = STATE(1020),
    [sym_for_statement] = STATE(1019),
    [sym_for_in_statement] = STATE(1018),
    [sym_while_statement] = STATE(1017),
    [sym_do_statement] = STATE(1130),
    [sym_try_statement] = STATE(1034),
    [sym_with_statement] = STATE(1036),
    [sym_break_statement] = STATE(1042),
    [sym_continue_statement] = STATE(1043),
    [sym_debugger_statement] = STATE(1045),
    [sym_return_statement] = STATE(1052),
    [sym_throw_statement] = STATE(1057),
    [sym_empty_statement] = STATE(1059),
    [sym_labeled_statement] = STATE(1064),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(1530),
    [sym_declaration] = STATE(1530),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1530),
    [sym_expression_statement] = STATE(1530),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1530),
    [sym_if_statement] = STATE(1530),
    [sym_switch_statement] = STATE(1530),
    [sym_for_statement] = STATE(1530),
    [sym_for_in_statement] = STATE(1530),
    [sym_while_statement] = STATE(1530),
    [sym_do_statement] = STATE(1530),
    [sym_try_statement] = STATE(1530),
    [sym_with_statement] = STATE(1530),
    [sym_break_statement] = STATE(1530),
    [sym_continue_statement] = STATE(1530),
    [sym_debugger_statement] = STATE(1530),
    [sym_return_statement] = STATE(1530),
    [sym_throw_statement] = STATE(1530),
    [sym_empty_statement] = STATE(1530),
    [sym_labeled_statement] = STATE(1530),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(1733),
    [sym_declaration] = STATE(1731),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1625),
    [sym_expression_statement] = STATE(1728),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1724),
    [sym_if_statement] = STATE(1708),
    [sym_switch_statement] = STATE(1706),
    [sym_for_statement] = STATE(1705),
    [sym_for_in_statement] = STATE(1701),
    [sym_while_statement] = STATE(1700),
    [sym_do_statement] = STATE(1696),
    [sym_try_statement] = STATE(1694),
    [sym_with_statement] = STATE(1679),
    [sym_break_statement] = STATE(1673),
    [sym_continue_statement] = STATE(1655),
    [sym_debugger_statement] = STATE(1612),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1759),
    [sym_empty_statement] = STATE(1672),
    [sym_labeled_statement] = STATE(1607),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(7149),
    [sym_declaration] = STATE(7149),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7149),
    [sym_expression_statement] = STATE(7149),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7149),
    [sym_if_statement] = STATE(7149),
    [sym_switch_statement] = STATE(7149),
    [sym_for_statement] = STATE(7149),
    [sym_for_in_statement] = STATE(7149),
    [sym_while_statement] = STATE(7149),
    [sym_do_statement] = STATE(7149),
    [sym_try_statement] = STATE(7149),
    [sym_with_statement] = STATE(7149),
    [sym_break_statement] = STATE(7149),
    [sym_continue_statement] = STATE(7149),
    [sym_debugger_statement] = STATE(7149),
    [sym_return_statement] = STATE(7149),
    [sym_throw_statement] = STATE(7149),
    [sym_empty_statement] = STATE(7149),
    [sym_labeled_statement] = STATE(7149),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1197),
    [sym_declaration] = STATE(1197),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1197),
    [sym_expression_statement] = STATE(1197),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1197),
    [sym_if_statement] = STATE(1197),
    [sym_switch_statement] = STATE(1197),
    [sym_for_statement] = STATE(1197),
    [sym_for_in_statement] = STATE(1197),
    [sym_while_statement] = STATE(1197),
    [sym_do_statement] = STATE(1197),
    [sym_try_statement] = STATE(1197),
    [sym_with_statement] = STATE(1197),
    [sym_break_statement] = STATE(1197),
    [sym_continue_statement] = STATE(1197),
    [sym_debugger_statement] = STATE(1197),
    [sym_return_statement] = STATE(1197),
    [sym_throw_statement] = STATE(1197),
    [sym_empty_statement] = STATE(1197),
    [sym_labeled_statement] = STATE(1197),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(1312),
    [sym_declaration] = STATE(1312),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1312),
    [sym_expression_statement] = STATE(1312),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_for_in_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1312),
    [sym_try_statement] = STATE(1312),
    [sym_with_statement] = STATE(1312),
    [sym_break_statement] = STATE(1312),
    [sym_continue_statement] = STATE(1312),
    [sym_debugger_statement] = STATE(1312),
    [sym_return_statement] = STATE(1312),
    [sym_throw_statement] = STATE(1312),
    [sym_empty_statement] = STATE(1312),
    [sym_labeled_statement] = STATE(1312),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(1658),
    [sym_declaration] = STATE(1653),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1652),
    [sym_expression_statement] = STATE(1651),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1650),
    [sym_if_statement] = STATE(1619),
    [sym_switch_statement] = STATE(1617),
    [sym_for_statement] = STATE(1616),
    [sym_for_in_statement] = STATE(1614),
    [sym_while_statement] = STATE(1609),
    [sym_do_statement] = STATE(1646),
    [sym_try_statement] = STATE(1643),
    [sym_with_statement] = STATE(1659),
    [sym_break_statement] = STATE(1660),
    [sym_continue_statement] = STATE(1661),
    [sym_debugger_statement] = STATE(1662),
    [sym_return_statement] = STATE(1665),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(1183),
    [sym_declaration] = STATE(1183),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1183),
    [sym_expression_statement] = STATE(1183),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1183),
    [sym_if_statement] = STATE(1183),
    [sym_switch_statement] = STATE(1183),
    [sym_for_statement] = STATE(1183),
    [sym_for_in_statement] = STATE(1183),
    [sym_while_statement] = STATE(1183),
    [sym_do_statement] = STATE(1183),
    [sym_try_statement] = STATE(1183),
    [sym_with_statement] = STATE(1183),
    [sym_break_statement] = STATE(1183),
    [sym_continue_statement] = STATE(1183),
    [sym_debugger_statement] = STATE(1183),
    [sym_return_statement] = STATE(1183),
    [sym_throw_statement] = STATE(1183),
    [sym_empty_statement] = STATE(1183),
    [sym_labeled_statement] = STATE(1183),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(1773),
    [sym_declaration] = STATE(1773),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1773),
    [sym_expression_statement] = STATE(1773),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1773),
    [sym_if_statement] = STATE(1773),
    [sym_switch_statement] = STATE(1773),
    [sym_for_statement] = STATE(1773),
    [sym_for_in_statement] = STATE(1773),
    [sym_while_statement] = STATE(1773),
    [sym_do_statement] = STATE(1773),
    [sym_try_statement] = STATE(1773),
    [sym_with_statement] = STATE(1773),
    [sym_break_statement] = STATE(1773),
    [sym_continue_statement] = STATE(1773),
    [sym_debugger_statement] = STATE(1773),
    [sym_return_statement] = STATE(1773),
    [sym_throw_statement] = STATE(1773),
    [sym_empty_statement] = STATE(1773),
    [sym_labeled_statement] = STATE(1773),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(1133),
    [sym_declaration] = STATE(1133),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1133),
    [sym_expression_statement] = STATE(1133),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1133),
    [sym_if_statement] = STATE(1133),
    [sym_switch_statement] = STATE(1133),
    [sym_for_statement] = STATE(1133),
    [sym_for_in_statement] = STATE(1133),
    [sym_while_statement] = STATE(1133),
    [sym_do_statement] = STATE(1133),
    [sym_try_statement] = STATE(1133),
    [sym_with_statement] = STATE(1133),
    [sym_break_statement] = STATE(1133),
    [sym_continue_statement] = STATE(1133),
    [sym_debugger_statement] = STATE(1133),
    [sym_return_statement] = STATE(1133),
    [sym_throw_statement] = STATE(1133),
    [sym_empty_statement] = STATE(1133),
    [sym_labeled_statement] = STATE(1133),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(1031),
    [sym_declaration] = STATE(1031),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1031),
    [sym_expression_statement] = STATE(1031),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1031),
    [sym_if_statement] = STATE(1031),
    [sym_switch_statement] = STATE(1031),
    [sym_for_statement] = STATE(1031),
    [sym_for_in_statement] = STATE(1031),
    [sym_while_statement] = STATE(1031),
    [sym_do_statement] = STATE(1031),
    [sym_try_statement] = STATE(1031),
    [sym_with_statement] = STATE(1031),
    [sym_break_statement] = STATE(1031),
    [sym_continue_statement] = STATE(1031),
    [sym_debugger_statement] = STATE(1031),
    [sym_return_statement] = STATE(1031),
    [sym_throw_statement] = STATE(1031),
    [sym_empty_statement] = STATE(1031),
    [sym_labeled_statement] = STATE(1031),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(6618),
    [sym_declaration] = STATE(6618),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6618),
    [sym_expression_statement] = STATE(6618),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6618),
    [sym_if_statement] = STATE(6618),
    [sym_switch_statement] = STATE(6618),
    [sym_for_statement] = STATE(6618),
    [sym_for_in_statement] = STATE(6618),
    [sym_while_statement] = STATE(6618),
    [sym_do_statement] = STATE(6618),
    [sym_try_statement] = STATE(6618),
    [sym_with_statement] = STATE(6618),
    [sym_break_statement] = STATE(6618),
    [sym_continue_statement] = STATE(6618),
    [sym_debugger_statement] = STATE(6618),
    [sym_return_statement] = STATE(6618),
    [sym_throw_statement] = STATE(6618),
    [sym_empty_statement] = STATE(6618),
    [sym_labeled_statement] = STATE(6618),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(1462),
    [sym_declaration] = STATE(1462),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1462),
    [sym_expression_statement] = STATE(1462),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1462),
    [sym_if_statement] = STATE(1462),
    [sym_switch_statement] = STATE(1462),
    [sym_for_statement] = STATE(1462),
    [sym_for_in_statement] = STATE(1462),
    [sym_while_statement] = STATE(1462),
    [sym_do_statement] = STATE(1462),
    [sym_try_statement] = STATE(1462),
    [sym_with_statement] = STATE(1462),
    [sym_break_statement] = STATE(1462),
    [sym_continue_statement] = STATE(1462),
    [sym_debugger_statement] = STATE(1462),
    [sym_return_statement] = STATE(1462),
    [sym_throw_statement] = STATE(1462),
    [sym_empty_statement] = STATE(1462),
    [sym_labeled_statement] = STATE(1462),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1412),
    [sym_declaration] = STATE(1413),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1419),
    [sym_expression_statement] = STATE(1421),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1424),
    [sym_if_statement] = STATE(1428),
    [sym_switch_statement] = STATE(1429),
    [sym_for_statement] = STATE(1435),
    [sym_for_in_statement] = STATE(1436),
    [sym_while_statement] = STATE(1438),
    [sym_do_statement] = STATE(1444),
    [sym_try_statement] = STATE(1445),
    [sym_with_statement] = STATE(1446),
    [sym_break_statement] = STATE(1448),
    [sym_continue_statement] = STATE(1454),
    [sym_debugger_statement] = STATE(1455),
    [sym_return_statement] = STATE(1456),
    [sym_throw_statement] = STATE(1457),
    [sym_empty_statement] = STATE(1458),
    [sym_labeled_statement] = STATE(1461),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(1734),
    [sym_declaration] = STATE(1734),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1734),
    [sym_expression_statement] = STATE(1734),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1734),
    [sym_if_statement] = STATE(1734),
    [sym_switch_statement] = STATE(1734),
    [sym_for_statement] = STATE(1734),
    [sym_for_in_statement] = STATE(1734),
    [sym_while_statement] = STATE(1734),
    [sym_do_statement] = STATE(1734),
    [sym_try_statement] = STATE(1734),
    [sym_with_statement] = STATE(1734),
    [sym_break_statement] = STATE(1734),
    [sym_continue_statement] = STATE(1734),
    [sym_debugger_statement] = STATE(1734),
    [sym_return_statement] = STATE(1734),
    [sym_throw_statement] = STATE(1734),
    [sym_empty_statement] = STATE(1734),
    [sym_labeled_statement] = STATE(1734),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(1370),
    [sym_declaration] = STATE(1370),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1370),
    [sym_expression_statement] = STATE(1370),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_switch_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_for_in_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_do_statement] = STATE(1370),
    [sym_try_statement] = STATE(1370),
    [sym_with_statement] = STATE(1370),
    [sym_break_statement] = STATE(1370),
    [sym_continue_statement] = STATE(1370),
    [sym_debugger_statement] = STATE(1370),
    [sym_return_statement] = STATE(1370),
    [sym_throw_statement] = STATE(1370),
    [sym_empty_statement] = STATE(1370),
    [sym_labeled_statement] = STATE(1370),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(1409),
    [sym_declaration] = STATE(1409),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1409),
    [sym_expression_statement] = STATE(1409),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1409),
    [sym_if_statement] = STATE(1409),
    [sym_switch_statement] = STATE(1409),
    [sym_for_statement] = STATE(1409),
    [sym_for_in_statement] = STATE(1409),
    [sym_while_statement] = STATE(1409),
    [sym_do_statement] = STATE(1409),
    [sym_try_statement] = STATE(1409),
    [sym_with_statement] = STATE(1409),
    [sym_break_statement] = STATE(1409),
    [sym_continue_statement] = STATE(1409),
    [sym_debugger_statement] = STATE(1409),
    [sym_return_statement] = STATE(1409),
    [sym_throw_statement] = STATE(1409),
    [sym_empty_statement] = STATE(1409),
    [sym_labeled_statement] = STATE(1409),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1012),
    [sym_declaration] = STATE(1012),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1012),
    [sym_expression_statement] = STATE(1012),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_statement_block] = STATE(1012),
    [sym_if_statement] = STATE(1012),
    [sym_switch_statement] = STATE(1012),
    [sym_for_statement] = STATE(1012),
    [sym_for_in_statement] = STATE(1012),
    [sym_while_statement] = STATE(1012),
    [sym_do_statement] = STATE(1012),
    [sym_try_statement] = STATE(1012),
    [sym_with_statement] = STATE(1012),
    [sym_break_statement] = STATE(1012),
    [sym_continue_statement] = STATE(1012),
    [sym_debugger_statement] = STATE(1012),
    [sym_return_statement] = STATE(1012),
    [sym_throw_statement] = STATE(1012),
    [sym_empty_statement] = STATE(1012),
    [sym_labeled_statement] = STATE(1012),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6448),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4967),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(6190),
    [sym_declaration] = STATE(6190),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(6190),
    [sym_expression_statement] = STATE(6190),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(6190),
    [sym_if_statement] = STATE(6190),
    [sym_switch_statement] = STATE(6190),
    [sym_for_statement] = STATE(6190),
    [sym_for_in_statement] = STATE(6190),
    [sym_while_statement] = STATE(6190),
    [sym_do_statement] = STATE(6190),
    [sym_try_statement] = STATE(6190),
    [sym_with_statement] = STATE(6190),
    [sym_break_statement] = STATE(6190),
    [sym_continue_statement] = STATE(6190),
    [sym_debugger_statement] = STATE(6190),
    [sym_return_statement] = STATE(6190),
    [sym_throw_statement] = STATE(6190),
    [sym_empty_statement] = STATE(6190),
    [sym_labeled_statement] = STATE(6190),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(7356),
    [sym_declaration] = STATE(7356),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7356),
    [sym_expression_statement] = STATE(7356),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7356),
    [sym_if_statement] = STATE(7356),
    [sym_switch_statement] = STATE(7356),
    [sym_for_statement] = STATE(7356),
    [sym_for_in_statement] = STATE(7356),
    [sym_while_statement] = STATE(7356),
    [sym_do_statement] = STATE(7356),
    [sym_try_statement] = STATE(7356),
    [sym_with_statement] = STATE(7356),
    [sym_break_statement] = STATE(7356),
    [sym_continue_statement] = STATE(7356),
    [sym_debugger_statement] = STATE(7356),
    [sym_return_statement] = STATE(7356),
    [sym_throw_statement] = STATE(7356),
    [sym_empty_statement] = STATE(7356),
    [sym_labeled_statement] = STATE(7356),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(7118),
    [sym_declaration] = STATE(7118),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7118),
    [sym_expression_statement] = STATE(7118),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7118),
    [sym_if_statement] = STATE(7118),
    [sym_switch_statement] = STATE(7118),
    [sym_for_statement] = STATE(7118),
    [sym_for_in_statement] = STATE(7118),
    [sym_while_statement] = STATE(7118),
    [sym_do_statement] = STATE(7118),
    [sym_try_statement] = STATE(7118),
    [sym_with_statement] = STATE(7118),
    [sym_break_statement] = STATE(7118),
    [sym_continue_statement] = STATE(7118),
    [sym_debugger_statement] = STATE(7118),
    [sym_return_statement] = STATE(7118),
    [sym_throw_statement] = STATE(7118),
    [sym_empty_statement] = STATE(7118),
    [sym_labeled_statement] = STATE(7118),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(1489),
    [sym_declaration] = STATE(1489),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1489),
    [sym_expression_statement] = STATE(1489),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1489),
    [sym_if_statement] = STATE(1489),
    [sym_switch_statement] = STATE(1489),
    [sym_for_statement] = STATE(1489),
    [sym_for_in_statement] = STATE(1489),
    [sym_while_statement] = STATE(1489),
    [sym_do_statement] = STATE(1489),
    [sym_try_statement] = STATE(1489),
    [sym_with_statement] = STATE(1489),
    [sym_break_statement] = STATE(1489),
    [sym_continue_statement] = STATE(1489),
    [sym_debugger_statement] = STATE(1489),
    [sym_return_statement] = STATE(1489),
    [sym_throw_statement] = STATE(1489),
    [sym_empty_statement] = STATE(1489),
    [sym_labeled_statement] = STATE(1489),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(1270),
    [sym_declaration] = STATE(1270),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1270),
    [sym_expression_statement] = STATE(1270),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_statement_block] = STATE(1270),
    [sym_if_statement] = STATE(1270),
    [sym_switch_statement] = STATE(1270),
    [sym_for_statement] = STATE(1270),
    [sym_for_in_statement] = STATE(1270),
    [sym_while_statement] = STATE(1270),
    [sym_do_statement] = STATE(1270),
    [sym_try_statement] = STATE(1270),
    [sym_with_statement] = STATE(1270),
    [sym_break_statement] = STATE(1270),
    [sym_continue_statement] = STATE(1270),
    [sym_debugger_statement] = STATE(1270),
    [sym_return_statement] = STATE(1270),
    [sym_throw_statement] = STATE(1270),
    [sym_empty_statement] = STATE(1270),
    [sym_labeled_statement] = STATE(1270),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6892),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4859),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(7469),
    [sym_declaration] = STATE(7469),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(7469),
    [sym_expression_statement] = STATE(7469),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_statement_block] = STATE(7469),
    [sym_if_statement] = STATE(7469),
    [sym_switch_statement] = STATE(7469),
    [sym_for_statement] = STATE(7469),
    [sym_for_in_statement] = STATE(7469),
    [sym_while_statement] = STATE(7469),
    [sym_do_statement] = STATE(7469),
    [sym_try_statement] = STATE(7469),
    [sym_with_statement] = STATE(7469),
    [sym_break_statement] = STATE(7469),
    [sym_continue_statement] = STATE(7469),
    [sym_debugger_statement] = STATE(7469),
    [sym_return_statement] = STATE(7469),
    [sym_throw_statement] = STATE(7469),
    [sym_empty_statement] = STATE(7469),
    [sym_labeled_statement] = STATE(7469),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6479),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4884),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(1246),
    [sym_declaration] = STATE(1246),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1246),
    [sym_expression_statement] = STATE(1246),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1246),
    [sym_if_statement] = STATE(1246),
    [sym_switch_statement] = STATE(1246),
    [sym_for_statement] = STATE(1246),
    [sym_for_in_statement] = STATE(1246),
    [sym_while_statement] = STATE(1246),
    [sym_do_statement] = STATE(1246),
    [sym_try_statement] = STATE(1246),
    [sym_with_statement] = STATE(1246),
    [sym_break_statement] = STATE(1246),
    [sym_continue_statement] = STATE(1246),
    [sym_debugger_statement] = STATE(1246),
    [sym_return_statement] = STATE(1246),
    [sym_throw_statement] = STATE(1246),
    [sym_empty_statement] = STATE(1246),
    [sym_labeled_statement] = STATE(1246),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(1674),
    [sym_declaration] = STATE(1674),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1674),
    [sym_expression_statement] = STATE(1674),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_statement_block] = STATE(1674),
    [sym_if_statement] = STATE(1674),
    [sym_switch_statement] = STATE(1674),
    [sym_for_statement] = STATE(1674),
    [sym_for_in_statement] = STATE(1674),
    [sym_while_statement] = STATE(1674),
    [sym_do_statement] = STATE(1674),
    [sym_try_statement] = STATE(1674),
    [sym_with_statement] = STATE(1674),
    [sym_break_statement] = STATE(1674),
    [sym_continue_statement] = STATE(1674),
    [sym_debugger_statement] = STATE(1674),
    [sym_return_statement] = STATE(1674),
    [sym_throw_statement] = STATE(1674),
    [sym_empty_statement] = STATE(1674),
    [sym_labeled_statement] = STATE(1674),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6464),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4960),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(1392),
    [sym_declaration] = STATE(1392),
    [sym_import] = STATE(4470),
    [sym_import_statement] = STATE(1392),
    [sym_expression_statement] = STATE(1392),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_statement_block] = STATE(1392),
    [sym_if_statement] = STATE(1392),
    [sym_switch_statement] = STATE(1392),
    [sym_for_statement] = STATE(1392),
    [sym_for_in_statement] = STATE(1392),
    [sym_while_statement] = STATE(1392),
    [sym_do_statement] = STATE(1392),
    [sym_try_statement] = STATE(1392),
    [sym_with_statement] = STATE(1392),
    [sym_break_statement] = STATE(1392),
    [sym_continue_statement] = STATE(1392),
    [sym_debugger_statement] = STATE(1392),
    [sym_return_statement] = STATE(1392),
    [sym_throw_statement] = STATE(1392),
    [sym_empty_statement] = STATE(1392),
    [sym_labeled_statement] = STATE(1392),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2903),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6187),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6184),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1035),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1039),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5938),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2903),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6187),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(5432),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6184),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5497),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5421),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5503),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5394),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5396),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5501),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(176),
    [anon_sym_DASH_DASH] = ACTIONS(176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5137),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7472),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5717),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(815),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5137),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7355),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5717),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(815),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5137),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7355),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5685),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(815),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5565),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5671),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1197),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1189),
    [anon_sym_readonly] = ACTIONS(1189),
    [anon_sym_get] = ACTIONS(1189),
    [anon_sym_set] = ACTIONS(1189),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1189),
    [anon_sym_public] = ACTIONS(1189),
    [anon_sym_private] = ACTIONS(1189),
    [anon_sym_protected] = ACTIONS(1189),
    [anon_sym_override] = ACTIONS(1189),
    [anon_sym_module] = ACTIONS(1189),
    [anon_sym_any] = ACTIONS(1189),
    [anon_sym_number] = ACTIONS(1189),
    [anon_sym_boolean] = ACTIONS(1189),
    [anon_sym_string] = ACTIONS(1189),
    [anon_sym_symbol] = ACTIONS(1189),
    [anon_sym_object] = ACTIONS(1189),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5685),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5717),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(5287),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym__type] = STATE(5687),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(189),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(195),
    [anon_sym_number] = ACTIONS(195),
    [anon_sym_boolean] = ACTIONS(195),
    [anon_sym_string] = ACTIONS(195),
    [anon_sym_symbol] = ACTIONS(195),
    [anon_sym_object] = ACTIONS(195),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1217),
    [anon_sym_export] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_readonly] = ACTIONS(1219),
    [anon_sym_get] = ACTIONS(1219),
    [anon_sym_set] = ACTIONS(1219),
    [anon_sym_declare] = ACTIONS(1219),
    [anon_sym_public] = ACTIONS(1219),
    [anon_sym_private] = ACTIONS(1219),
    [anon_sym_protected] = ACTIONS(1219),
    [anon_sym_override] = ACTIONS(1219),
    [anon_sym_module] = ACTIONS(1219),
    [anon_sym_any] = ACTIONS(1219),
    [anon_sym_number] = ACTIONS(1219),
    [anon_sym_boolean] = ACTIONS(1219),
    [anon_sym_string] = ACTIONS(1219),
    [anon_sym_symbol] = ACTIONS(1219),
    [anon_sym_object] = ACTIONS(1219),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1197),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1189),
    [anon_sym_readonly] = ACTIONS(1189),
    [anon_sym_get] = ACTIONS(1189),
    [anon_sym_set] = ACTIONS(1189),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1189),
    [anon_sym_public] = ACTIONS(1189),
    [anon_sym_private] = ACTIONS(1189),
    [anon_sym_protected] = ACTIONS(1189),
    [anon_sym_override] = ACTIONS(1189),
    [anon_sym_module] = ACTIONS(1189),
    [anon_sym_any] = ACTIONS(1189),
    [anon_sym_number] = ACTIONS(1189),
    [anon_sym_boolean] = ACTIONS(1189),
    [anon_sym_string] = ACTIONS(1189),
    [anon_sym_symbol] = ACTIONS(1189),
    [anon_sym_object] = ACTIONS(1189),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1217),
    [anon_sym_export] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_readonly] = ACTIONS(1219),
    [anon_sym_get] = ACTIONS(1219),
    [anon_sym_set] = ACTIONS(1219),
    [anon_sym_declare] = ACTIONS(1219),
    [anon_sym_public] = ACTIONS(1219),
    [anon_sym_private] = ACTIONS(1219),
    [anon_sym_protected] = ACTIONS(1219),
    [anon_sym_override] = ACTIONS(1219),
    [anon_sym_module] = ACTIONS(1219),
    [anon_sym_any] = ACTIONS(1219),
    [anon_sym_number] = ACTIONS(1219),
    [anon_sym_boolean] = ACTIONS(1219),
    [anon_sym_string] = ACTIONS(1219),
    [anon_sym_symbol] = ACTIONS(1219),
    [anon_sym_object] = ACTIONS(1219),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1197),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1189),
    [anon_sym_readonly] = ACTIONS(1189),
    [anon_sym_get] = ACTIONS(1189),
    [anon_sym_set] = ACTIONS(1189),
    [anon_sym_declare] = ACTIONS(1189),
    [anon_sym_public] = ACTIONS(1189),
    [anon_sym_private] = ACTIONS(1189),
    [anon_sym_protected] = ACTIONS(1189),
    [anon_sym_override] = ACTIONS(1189),
    [anon_sym_module] = ACTIONS(1189),
    [anon_sym_any] = ACTIONS(1189),
    [anon_sym_number] = ACTIONS(1189),
    [anon_sym_boolean] = ACTIONS(1189),
    [anon_sym_string] = ACTIONS(1189),
    [anon_sym_symbol] = ACTIONS(1189),
    [anon_sym_object] = ACTIONS(1189),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1197),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1189),
    [anon_sym_readonly] = ACTIONS(1189),
    [anon_sym_get] = ACTIONS(1189),
    [anon_sym_set] = ACTIONS(1189),
    [anon_sym_declare] = ACTIONS(1189),
    [anon_sym_public] = ACTIONS(1189),
    [anon_sym_private] = ACTIONS(1189),
    [anon_sym_protected] = ACTIONS(1189),
    [anon_sym_override] = ACTIONS(1189),
    [anon_sym_module] = ACTIONS(1189),
    [anon_sym_any] = ACTIONS(1189),
    [anon_sym_number] = ACTIONS(1189),
    [anon_sym_boolean] = ACTIONS(1189),
    [anon_sym_string] = ACTIONS(1189),
    [anon_sym_symbol] = ACTIONS(1189),
    [anon_sym_object] = ACTIONS(1189),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1275),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1279),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1269),
    [anon_sym_set] = ACTIONS(1269),
    [anon_sym_declare] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_override] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_any] = ACTIONS(1269),
    [anon_sym_number] = ACTIONS(1269),
    [anon_sym_boolean] = ACTIONS(1269),
    [anon_sym_string] = ACTIONS(1269),
    [anon_sym_symbol] = ACTIONS(1269),
    [anon_sym_object] = ACTIONS(1269),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5358),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6777),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1283),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1285),
    [anon_sym_EQ] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1291),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_readonly] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1285),
    [anon_sym_set] = ACTIONS(1285),
    [anon_sym_declare] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_override] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_any] = ACTIONS(1285),
    [anon_sym_number] = ACTIONS(1285),
    [anon_sym_boolean] = ACTIONS(1285),
    [anon_sym_string] = ACTIONS(1285),
    [anon_sym_symbol] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1285),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2188),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2657),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2188),
    [sym_subscript_expression] = STATE(2188),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2188),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1275),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1279),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1269),
    [anon_sym_set] = ACTIONS(1269),
    [anon_sym_declare] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_override] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_any] = ACTIONS(1269),
    [anon_sym_number] = ACTIONS(1269),
    [anon_sym_boolean] = ACTIONS(1269),
    [anon_sym_string] = ACTIONS(1269),
    [anon_sym_symbol] = ACTIONS(1269),
    [anon_sym_object] = ACTIONS(1269),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1297),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1283),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1285),
    [anon_sym_EQ] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1291),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_readonly] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1285),
    [anon_sym_set] = ACTIONS(1285),
    [anon_sym_declare] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_override] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_any] = ACTIONS(1285),
    [anon_sym_number] = ACTIONS(1285),
    [anon_sym_boolean] = ACTIONS(1285),
    [anon_sym_string] = ACTIONS(1285),
    [anon_sym_symbol] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1285),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_object] = ACTIONS(1315),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_object] = ACTIONS(1315),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(7029),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4432),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6996),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7196),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3065),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5254),
    [sym_pattern] = STATE(5794),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4496),
    [sym__type] = STATE(4274),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6757),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_typeof] = ACTIONS(1345),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1353),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(1361),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1363),
    [sym_number] = ACTIONS(1365),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1367),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [sym_null] = ACTIONS(1365),
    [sym_undefined] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(1371),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2433),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4365),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(2953),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4798),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5636),
    [sym__type] = STATE(4803),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(720),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1407),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1427),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1431),
    [sym_number] = ACTIONS(1433),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(1437),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [sym_null] = ACTIONS(1433),
    [sym_undefined] = ACTIONS(1439),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4427),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2913),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2716),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(815),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1445),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1459),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1463),
    [sym_number] = ACTIONS(1465),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1467),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_null] = ACTIONS(1465),
    [sym_undefined] = ACTIONS(1469),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1471),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1473),
    [anon_sym_number] = ACTIONS(1473),
    [anon_sym_boolean] = ACTIONS(1473),
    [anon_sym_string] = ACTIONS(1473),
    [anon_sym_symbol] = ACTIONS(1473),
    [anon_sym_object] = ACTIONS(1473),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4406),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3218),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(618),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1481),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1501),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1515),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1517),
    [anon_sym_number] = ACTIONS(1517),
    [anon_sym_boolean] = ACTIONS(1517),
    [anon_sym_string] = ACTIONS(1517),
    [anon_sym_symbol] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4365),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(2953),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4798),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5636),
    [sym__type] = STATE(4803),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(675),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1529),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1533),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1431),
    [sym_number] = ACTIONS(1433),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1437),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [sym_null] = ACTIONS(1433),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1539),
    [anon_sym_number] = ACTIONS(1539),
    [anon_sym_boolean] = ACTIONS(1539),
    [anon_sym_string] = ACTIONS(1539),
    [anon_sym_symbol] = ACTIONS(1539),
    [anon_sym_object] = ACTIONS(1539),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4406),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3270),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3218),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(682),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_typeof] = ACTIONS(1549),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1559),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1565),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1575),
    [anon_sym_number] = ACTIONS(1575),
    [anon_sym_boolean] = ACTIONS(1575),
    [anon_sym_string] = ACTIONS(1575),
    [anon_sym_symbol] = ACTIONS(1575),
    [anon_sym_object] = ACTIONS(1575),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4427),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2792),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2716),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(790),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_typeof] = ACTIONS(1583),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1593),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1599),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1463),
    [sym_number] = ACTIONS(1465),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(1467),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_null] = ACTIONS(1465),
    [sym_undefined] = ACTIONS(1605),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1609),
    [anon_sym_number] = ACTIONS(1609),
    [anon_sym_boolean] = ACTIONS(1609),
    [anon_sym_string] = ACTIONS(1609),
    [anon_sym_symbol] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1609),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4406),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3218),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(799),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1611),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1481),
    [anon_sym_typeof] = ACTIONS(1617),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1643),
    [anon_sym_number] = ACTIONS(1643),
    [anon_sym_boolean] = ACTIONS(1643),
    [anon_sym_string] = ACTIONS(1643),
    [anon_sym_symbol] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1643),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4406),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3498),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3218),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1645),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1649),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4352),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3103),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3472),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4798),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5636),
    [sym__type] = STATE(4803),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(835),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1659),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_typeof] = ACTIONS(1667),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1679),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1685),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1689),
    [sym_number] = ACTIONS(1691),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(1695),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [sym_null] = ACTIONS(1691),
    [sym_undefined] = ACTIONS(1697),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1701),
    [anon_sym_number] = ACTIONS(1701),
    [anon_sym_boolean] = ACTIONS(1701),
    [anon_sym_string] = ACTIONS(1701),
    [anon_sym_symbol] = ACTIONS(1701),
    [anon_sym_object] = ACTIONS(1701),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4427),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2716),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_typeof] = ACTIONS(1709),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1713),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1463),
    [sym_number] = ACTIONS(1465),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1467),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_null] = ACTIONS(1465),
    [sym_undefined] = ACTIONS(1717),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7249),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5834),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(5439),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(5642),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1723),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1713),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1735),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2357),
    [sym_subscript_expression] = STATE(2357),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4640),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3526),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2357),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5437),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1745),
    [anon_sym_typeof] = ACTIONS(1747),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1757),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_undefined] = ACTIONS(1763),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1767),
    [anon_sym_number] = ACTIONS(1767),
    [anon_sym_boolean] = ACTIONS(1767),
    [anon_sym_string] = ACTIONS(1767),
    [anon_sym_symbol] = ACTIONS(1767),
    [anon_sym_object] = ACTIONS(1767),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2855),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_nested_identifier] = STATE(7413),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2244),
    [sym_subscript_expression] = STATE(2244),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5206),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3321),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(5287),
    [sym_non_null_expression] = STATE(2244),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5437),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6813),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [sym_number] = ACTIONS(181),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_undefined] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1785),
    [anon_sym_number] = ACTIONS(1785),
    [anon_sym_boolean] = ACTIONS(1785),
    [anon_sym_string] = ACTIONS(1785),
    [anon_sym_symbol] = ACTIONS(1785),
    [anon_sym_object] = ACTIONS(1785),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2604),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2787),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2872),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2927),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1823),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2845),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [anon_sym_satisfies] = ACTIONS(1791),
    [anon_sym_implements] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3242),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3301),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3418),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3495),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(5094),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(5096),
    [sym_lexical_declaration] = STATE(5096),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2967),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(5096),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(5096),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(5096),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(5096),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(5096),
    [sym_abstract_class_declaration] = STATE(5096),
    [sym_module] = STATE(5096),
    [sym_internal_module] = STATE(3407),
    [sym_import_alias] = STATE(5096),
    [sym_interface_declaration] = STATE(5096),
    [sym_enum_declaration] = STATE(5096),
    [sym_type_alias_declaration] = STATE(5096),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5417),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1873),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1881),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1885),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(1310),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3048),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5488),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1895),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(1222),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3090),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5343),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1907),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1915),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(1621),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3068),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5190),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1919),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_declaration] = STATE(1540),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3118),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1485),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1485),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(378),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5488),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1895),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_declaration] = STATE(6771),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2938),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5275),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1939),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_declaration] = STATE(1257),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2942),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5379),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_declaration] = STATE(1611),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2998),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1738),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1738),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5190),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1919),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_declaration] = STATE(1564),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3063),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1333),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1333),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(369),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5379),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_declaration] = STATE(1140),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3114),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(1094),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(1094),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(324),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5343),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1907),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1915),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_declaration] = STATE(6943),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3045),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(6915),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(6915),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(3331),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5275),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1939),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_declaration] = STATE(5033),
    [sym_import] = STATE(4470),
    [sym_variable_declaration] = STATE(5096),
    [sym_lexical_declaration] = STATE(5096),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3059),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_class_declaration] = STATE(5096),
    [sym_function_expression] = STATE(3136),
    [sym_function_declaration] = STATE(5096),
    [sym_generator_function] = STATE(3136),
    [sym_generator_function_declaration] = STATE(5096),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_function_signature] = STATE(5096),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_ambient_declaration] = STATE(5096),
    [sym_abstract_class_declaration] = STATE(5096),
    [sym_module] = STATE(5096),
    [sym_internal_module] = STATE(3407),
    [sym_import_alias] = STATE(5096),
    [sym_interface_declaration] = STATE(5096),
    [sym_enum_declaration] = STATE(5096),
    [sym_type_alias_declaration] = STATE(5096),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5417),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1873),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1881),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1885),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(249),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(252),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(253),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(254),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(255),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4209),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1385),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(256),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(257),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(258),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(259),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5137),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7472),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(261),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(262),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5137),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7355),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(264),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6251),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6223),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(272),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(6159),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2853),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6187),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6184),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2903),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6187),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6184),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2903),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6187),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6184),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(6207),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6201),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym__formal_parameter] = STATE(7106),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5139),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(424),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6577),
    [sym_optional_parameter] = STATE(6577),
    [sym__parameter_name] = STATE(4585),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(393),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(419),
    [sym_variable_declaration] = STATE(419),
    [sym_lexical_declaration] = STATE(419),
    [sym_empty_statement] = STATE(419),
    [sym_parenthesized_expression] = STATE(2261),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(5971),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(458),
    [sym_variable_declaration] = STATE(458),
    [sym_lexical_declaration] = STATE(458),
    [sym_empty_statement] = STATE(458),
    [sym_parenthesized_expression] = STATE(2261),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(5971),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(418),
    [sym_variable_declaration] = STATE(418),
    [sym_lexical_declaration] = STATE(418),
    [sym_empty_statement] = STATE(418),
    [sym_parenthesized_expression] = STATE(2261),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(5971),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_extends] = ACTIONS(2085),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2087),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(423),
    [sym_variable_declaration] = STATE(423),
    [sym_lexical_declaration] = STATE(423),
    [sym_empty_statement] = STATE(423),
    [sym_parenthesized_expression] = STATE(2261),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(5971),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(430),
    [sym_variable_declaration] = STATE(430),
    [sym_lexical_declaration] = STATE(430),
    [sym_empty_statement] = STATE(430),
    [sym_parenthesized_expression] = STATE(2261),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(5971),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2307),
    [sym_subscript_expression] = STATE(2307),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6183),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2307),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7120),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2103),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_comment] = STATE(293),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2111),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_as] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2111),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2111),
    [anon_sym_PIPE_PIPE] = ACTIONS(2111),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2111),
    [anon_sym_LT_LT] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_PIPE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2111),
    [anon_sym_STAR_STAR] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2111),
    [anon_sym_GT_EQ] = ACTIONS(2111),
    [anon_sym_QMARK_QMARK] = ACTIONS(2111),
    [anon_sym_instanceof] = ACTIONS(2111),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2111),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2115),
    [sym__ternary_qmark] = ACTIONS(2117),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_statement_block] = STATE(312),
    [sym_comment] = STATE(294),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6766),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(5922),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5919),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_statement_block] = STATE(312),
    [sym_comment] = STATE(296),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2130),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6766),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(5922),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5919),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2132),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6212),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5575),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6197),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2136),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6766),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_spread_element] = STATE(5922),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5919),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6188),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2307),
    [sym_subscript_expression] = STATE(2307),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6183),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5585),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2307),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6182),
    [sym_identifier] = ACTIONS(2142),
    [anon_sym_export] = ACTIONS(2144),
    [anon_sym_type] = ACTIONS(2144),
    [anon_sym_namespace] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2148),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2144),
    [anon_sym_readonly] = ACTIONS(2144),
    [anon_sym_get] = ACTIONS(2144),
    [anon_sym_set] = ACTIONS(2144),
    [anon_sym_declare] = ACTIONS(2144),
    [anon_sym_public] = ACTIONS(2144),
    [anon_sym_private] = ACTIONS(2144),
    [anon_sym_protected] = ACTIONS(2144),
    [anon_sym_override] = ACTIONS(2144),
    [anon_sym_module] = ACTIONS(2144),
    [anon_sym_any] = ACTIONS(2144),
    [anon_sym_number] = ACTIONS(2144),
    [anon_sym_boolean] = ACTIONS(2144),
    [anon_sym_string] = ACTIONS(2144),
    [anon_sym_symbol] = ACTIONS(2144),
    [anon_sym_object] = ACTIONS(2144),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_statement_block] = STATE(312),
    [sym_comment] = STATE(302),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2156),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_comment] = STATE(304),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_comment] = STATE(305),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_as] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_COMMA] = ACTIONS(2166),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_else] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_DOT] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_QMARK_DOT] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2166),
    [anon_sym_PIPE_PIPE] = ACTIONS(2166),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2166),
    [anon_sym_LT_LT] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2166),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2166),
    [anon_sym_STAR_STAR] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2166),
    [anon_sym_GT_EQ] = ACTIONS(2166),
    [anon_sym_QMARK_QMARK] = ACTIONS(2166),
    [anon_sym_instanceof] = ACTIONS(2166),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_satisfies] = ACTIONS(2166),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2168),
    [sym__ternary_qmark] = ACTIONS(2170),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_comment] = STATE(306),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_else] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym__ternary_qmark] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_comment] = STATE(307),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_default] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_as] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_else] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_QMARK_DOT] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_QMARK_QMARK] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_satisfies] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym__automatic_semicolon] = ACTIONS(2182),
    [sym__ternary_qmark] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym__ternary_qmark] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_else] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_QMARK_DOT] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2192),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_QMARK_QMARK] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_satisfies] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym__automatic_semicolon] = ACTIONS(2194),
    [sym__ternary_qmark] = ACTIONS(2194),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_else] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym__ternary_qmark] = ACTIONS(2198),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_comment] = STATE(311),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2202),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_STAR_STAR] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_QMARK_QMARK] = ACTIONS(2202),
    [anon_sym_instanceof] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2202),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_comment] = STATE(312),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_QMARK_QMARK] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2210),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_comment] = STATE(313),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_QMARK_QMARK] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2214),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_comment] = STATE(314),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2218),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_STAR_STAR] = ACTIONS(2218),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2218),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_QMARK_QMARK] = ACTIONS(2218),
    [anon_sym_instanceof] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2218),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2220),
    [sym__ternary_qmark] = ACTIONS(2222),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_comment] = STATE(315),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2111),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_as] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2111),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2111),
    [anon_sym_PIPE_PIPE] = ACTIONS(2111),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2111),
    [anon_sym_LT_LT] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_PIPE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2111),
    [anon_sym_STAR_STAR] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2111),
    [anon_sym_GT_EQ] = ACTIONS(2111),
    [anon_sym_QMARK_QMARK] = ACTIONS(2111),
    [anon_sym_instanceof] = ACTIONS(2111),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2111),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2224),
    [sym__ternary_qmark] = ACTIONS(2117),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6766),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5919),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2226),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2226),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_comment] = STATE(317),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2232),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_comment] = STATE(318),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_as] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_else] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_QMARK_DOT] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2238),
    [anon_sym_PIPE_PIPE] = ACTIONS(2238),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2238),
    [anon_sym_LT_LT] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_PERCENT] = ACTIONS(2238),
    [anon_sym_STAR_STAR] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2238),
    [anon_sym_GT_EQ] = ACTIONS(2238),
    [anon_sym_QMARK_QMARK] = ACTIONS(2238),
    [anon_sym_instanceof] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_satisfies] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2240),
    [sym__ternary_qmark] = ACTIONS(2242),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_comment] = STATE(319),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_else] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym__ternary_qmark] = ACTIONS(2250),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_statement_block] = STATE(349),
    [sym_comment] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_comment] = STATE(321),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_as] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_QMARK_DOT] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2256),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_QMARK_QMARK] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_satisfies] = ACTIONS(2256),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2258),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_statement_block] = STATE(349),
    [sym_comment] = STATE(322),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_statement_block] = STATE(349),
    [sym_comment] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_comment] = STATE(324),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_comment] = STATE(325),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_comment] = STATE(327),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2290),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_comment] = STATE(328),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2294),
    [sym__ternary_qmark] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_comment] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2111),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_as] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2111),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2111),
    [anon_sym_PIPE_PIPE] = ACTIONS(2111),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2111),
    [anon_sym_LT_LT] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_PIPE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2111),
    [anon_sym_STAR_STAR] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2111),
    [anon_sym_GT_EQ] = ACTIONS(2111),
    [anon_sym_QMARK_QMARK] = ACTIONS(2111),
    [anon_sym_instanceof] = ACTIONS(2111),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2111),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2117),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_statement_block] = STATE(400),
    [sym_comment] = STATE(330),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_statement_block] = STATE(400),
    [sym_comment] = STATE(331),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_comment] = STATE(332),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_as] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_QMARK_DOT] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_GT_GT] = ACTIONS(2306),
    [anon_sym_GT_GT_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2306),
    [anon_sym_QMARK_QMARK] = ACTIONS(2306),
    [anon_sym_instanceof] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_satisfies] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_comment] = STATE(334),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym__ternary_qmark] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_as] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_COMMA] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_DOT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_QMARK_DOT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2314),
    [anon_sym_GT_GT] = ACTIONS(2314),
    [anon_sym_GT_GT_GT] = ACTIONS(2314),
    [anon_sym_LT_LT] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_PIPE] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2314),
    [anon_sym_STAR_STAR] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2314),
    [anon_sym_GT_EQ] = ACTIONS(2314),
    [anon_sym_QMARK_QMARK] = ACTIONS(2314),
    [anon_sym_instanceof] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_satisfies] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_statement_block] = STATE(400),
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_comment] = STATE(338),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2202),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_STAR_STAR] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_QMARK_QMARK] = ACTIONS(2202),
    [anon_sym_instanceof] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2202),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2320),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_comment] = STATE(339),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_as] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_else] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_QMARK_DOT] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2238),
    [anon_sym_PIPE_PIPE] = ACTIONS(2238),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2238),
    [anon_sym_LT_LT] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_PERCENT] = ACTIONS(2238),
    [anon_sym_STAR_STAR] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2238),
    [anon_sym_GT_EQ] = ACTIONS(2238),
    [anon_sym_QMARK_QMARK] = ACTIONS(2238),
    [anon_sym_instanceof] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_satisfies] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2324),
    [sym__ternary_qmark] = ACTIONS(2242),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_comment] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_as] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_QMARK_DOT] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2256),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_QMARK_QMARK] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_satisfies] = ACTIONS(2256),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2328),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_comment] = STATE(341),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_as] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_QMARK_DOT] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2256),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_QMARK_QMARK] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_satisfies] = ACTIONS(2256),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_comment] = STATE(342),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_else] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_QMARK_DOT] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2192),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_QMARK_QMARK] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_satisfies] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym__automatic_semicolon] = ACTIONS(2194),
    [sym__ternary_qmark] = ACTIONS(2194),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_comment] = STATE(343),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2332),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_comment] = STATE(344),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2334),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_comment] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2338),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_statement_block] = STATE(426),
    [sym_comment] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_else] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym__ternary_qmark] = ACTIONS(2198),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_statement_block] = STATE(426),
    [sym_comment] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_QMARK_QMARK] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2210),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_comment] = STATE(350),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_as] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_QMARK_DOT] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_GT_GT] = ACTIONS(2306),
    [anon_sym_GT_GT_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2306),
    [anon_sym_QMARK_QMARK] = ACTIONS(2306),
    [anon_sym_instanceof] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_satisfies] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_comment] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2867),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(6260),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6261),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2911),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(5823),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(5820),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2111),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_as] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2111),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2111),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2111),
    [anon_sym_PIPE_PIPE] = ACTIONS(2111),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2111),
    [anon_sym_LT_LT] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_PIPE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2111),
    [anon_sym_STAR_STAR] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ] = ACTIONS(2111),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ] = ACTIONS(2111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2111),
    [anon_sym_GT_EQ] = ACTIONS(2111),
    [anon_sym_QMARK_QMARK] = ACTIONS(2111),
    [anon_sym_instanceof] = ACTIONS(2111),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2111),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2117),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_as] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_COMMA] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_DOT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_QMARK_DOT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2314),
    [anon_sym_GT_GT] = ACTIONS(2314),
    [anon_sym_GT_GT_GT] = ACTIONS(2314),
    [anon_sym_LT_LT] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_PIPE] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2314),
    [anon_sym_STAR_STAR] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2314),
    [anon_sym_GT_EQ] = ACTIONS(2314),
    [anon_sym_QMARK_QMARK] = ACTIONS(2314),
    [anon_sym_instanceof] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_satisfies] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_comment] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_comment] = STATE(357),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2202),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_STAR_STAR] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_QMARK_QMARK] = ACTIONS(2202),
    [anon_sym_instanceof] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2202),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2362),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_else] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym__ternary_qmark] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_default] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_as] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_QMARK_DOT] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_QMARK_QMARK] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_satisfies] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym__automatic_semicolon] = ACTIONS(2182),
    [sym__ternary_qmark] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_as] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_QMARK_DOT] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2238),
    [anon_sym_PIPE_PIPE] = ACTIONS(2238),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2238),
    [anon_sym_LT_LT] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_PERCENT] = ACTIONS(2238),
    [anon_sym_STAR_STAR] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2238),
    [anon_sym_GT_EQ] = ACTIONS(2238),
    [anon_sym_QMARK_QMARK] = ACTIONS(2238),
    [anon_sym_instanceof] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_satisfies] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym__ternary_qmark] = ACTIONS(2242),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2834),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(5879),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(5878),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2218),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_STAR_STAR] = ACTIONS(2218),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2218),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_QMARK_QMARK] = ACTIONS(2218),
    [anon_sym_instanceof] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2218),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2222),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2374),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_else] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2378),
    [sym__ternary_qmark] = ACTIONS(2250),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2380),
    [sym__ternary_qmark] = ACTIONS(2250),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(6408),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6402),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2850),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(6227),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6225),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_as] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_QMARK_DOT] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_GT_GT] = ACTIONS(2306),
    [anon_sym_GT_GT_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2306),
    [anon_sym_QMARK_QMARK] = ACTIONS(2306),
    [anon_sym_instanceof] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_satisfies] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_QMARK_QMARK] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2214),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_comment] = STATE(378),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3415),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_comment] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_as] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_COMMA] = ACTIONS(2166),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_else] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_DOT] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_QMARK_DOT] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2166),
    [anon_sym_PIPE_PIPE] = ACTIONS(2166),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2166),
    [anon_sym_LT_LT] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2166),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2166),
    [anon_sym_STAR_STAR] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2166),
    [anon_sym_GT_EQ] = ACTIONS(2166),
    [anon_sym_QMARK_QMARK] = ACTIONS(2166),
    [anon_sym_instanceof] = ACTIONS(2166),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_satisfies] = ACTIONS(2166),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2390),
    [sym__ternary_qmark] = ACTIONS(2170),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_comment] = STATE(381),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2392),
    [sym__ternary_qmark] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_comment] = STATE(382),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2394),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2793),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(6007),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6008),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2396),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_as] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_COMMA] = ACTIONS(2166),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_DOT] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_QMARK_DOT] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2166),
    [anon_sym_PIPE_PIPE] = ACTIONS(2166),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2166),
    [anon_sym_LT_LT] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2166),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2166),
    [anon_sym_STAR_STAR] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2166),
    [anon_sym_GT_EQ] = ACTIONS(2166),
    [anon_sym_QMARK_QMARK] = ACTIONS(2166),
    [anon_sym_instanceof] = ACTIONS(2166),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_satisfies] = ACTIONS(2166),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2398),
    [sym__ternary_qmark] = ACTIONS(2170),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2835),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(5862),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(5857),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_comment] = STATE(386),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2404),
    [sym__ternary_qmark] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym__ternary_qmark] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2408),
    [sym__ternary_qmark] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_statement_block] = STATE(426),
    [sym_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym__ternary_qmark] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym__ternary_qmark] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2165),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5253),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(408),
    [sym_override_modifier] = STATE(467),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(2130),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2418),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2420),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2218),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_STAR_STAR] = ACTIONS(2218),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2218),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_QMARK_QMARK] = ACTIONS(2218),
    [anon_sym_instanceof] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2218),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2424),
    [sym__ternary_qmark] = ACTIONS(2222),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_comment] = STATE(395),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_as] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_COMMA] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_DOT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_QMARK_DOT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2314),
    [anon_sym_GT_GT] = ACTIONS(2314),
    [anon_sym_GT_GT_GT] = ACTIONS(2314),
    [anon_sym_LT_LT] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_PIPE] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2314),
    [anon_sym_STAR_STAR] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2314),
    [anon_sym_GT_EQ] = ACTIONS(2314),
    [anon_sym_QMARK_QMARK] = ACTIONS(2314),
    [anon_sym_instanceof] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_satisfies] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_as] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_else] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_QMARK_DOT] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_QMARK_QMARK] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_satisfies] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym__automatic_semicolon] = ACTIONS(2182),
    [sym__ternary_qmark] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_comment] = STATE(398),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_QMARK_DOT] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2192),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_QMARK_QMARK] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_satisfies] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym__automatic_semicolon] = ACTIONS(2194),
    [sym__ternary_qmark] = ACTIONS(2194),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_comment] = STATE(399),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym__ternary_qmark] = ACTIONS(2198),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_QMARK_QMARK] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2210),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2426),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2428),
    [sym__ternary_qmark] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [anon_sym_extends] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_comment] = STATE(406),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_QMARK_QMARK] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2214),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(3039),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_spread_element] = STATE(5922),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5397),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_override_modifier] = STATE(471),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(4421),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(4390),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_comment] = STATE(411),
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_as] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_COMMA] = ACTIONS(2166),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_DOT] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_QMARK_DOT] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_AMP_AMP] = ACTIONS(2166),
    [anon_sym_PIPE_PIPE] = ACTIONS(2166),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2166),
    [anon_sym_LT_LT] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2166),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2166),
    [anon_sym_STAR_STAR] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2166),
    [anon_sym_GT_EQ] = ACTIONS(2166),
    [anon_sym_QMARK_QMARK] = ACTIONS(2166),
    [anon_sym_instanceof] = ACTIONS(2166),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_satisfies] = ACTIONS(2166),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2442),
    [sym__ternary_qmark] = ACTIONS(2170),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_comment] = STATE(412),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_import] = ACTIONS(2444),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_LTtemplate_GT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2444),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_void] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2444),
    [sym_number] = ACTIONS(2444),
    [sym_private_property_identifier] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [sym_super] = ACTIONS(2444),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [sym_null] = ACTIONS(2444),
    [sym_undefined] = ACTIONS(2444),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_readonly] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2444),
    [anon_sym_set] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_override] = ACTIONS(2444),
    [anon_sym_module] = ACTIONS(2444),
    [anon_sym_any] = ACTIONS(2444),
    [anon_sym_number] = ACTIONS(2444),
    [anon_sym_boolean] = ACTIONS(2444),
    [anon_sym_string] = ACTIONS(2444),
    [anon_sym_symbol] = ACTIONS(2444),
    [anon_sym_object] = ACTIONS(2444),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4326),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_comment] = STATE(414),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_import] = ACTIONS(2448),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_LPAREN] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_LTtemplate_GT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_void] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2448),
    [sym_number] = ACTIONS(2448),
    [sym_private_property_identifier] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [sym_super] = ACTIONS(2448),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [sym_null] = ACTIONS(2448),
    [sym_undefined] = ACTIONS(2448),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_readonly] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_module] = ACTIONS(2448),
    [anon_sym_any] = ACTIONS(2448),
    [anon_sym_number] = ACTIONS(2448),
    [anon_sym_boolean] = ACTIONS(2448),
    [anon_sym_string] = ACTIONS(2448),
    [anon_sym_symbol] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_comment] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_comment] = STATE(416),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_import] = ACTIONS(2448),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_LPAREN] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_LTtemplate_GT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_void] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2448),
    [sym_number] = ACTIONS(2448),
    [sym_private_property_identifier] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [sym_super] = ACTIONS(2448),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [sym_null] = ACTIONS(2448),
    [sym_undefined] = ACTIONS(2448),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_readonly] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_module] = ACTIONS(2448),
    [anon_sym_any] = ACTIONS(2448),
    [anon_sym_number] = ACTIONS(2448),
    [anon_sym_boolean] = ACTIONS(2448),
    [anon_sym_string] = ACTIONS(2448),
    [anon_sym_symbol] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(4326),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3415),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(473),
    [sym_empty_statement] = STATE(473),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(476),
    [sym_empty_statement] = STATE(476),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_comment] = STATE(420),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_as] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_COMMA] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_DOT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_QMARK_DOT] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2314),
    [anon_sym_GT_GT] = ACTIONS(2314),
    [anon_sym_GT_GT_GT] = ACTIONS(2314),
    [anon_sym_LT_LT] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_PIPE] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2314),
    [anon_sym_STAR_STAR] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ] = ACTIONS(2314),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2314),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2314),
    [anon_sym_GT_EQ] = ACTIONS(2314),
    [anon_sym_QMARK_QMARK] = ACTIONS(2314),
    [anon_sym_instanceof] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_satisfies] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(4309),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3904),
    [sym__type_query_subscript_expression] = STATE(3900),
    [sym__type_query_call_expression] = STATE(4077),
    [sym__type_query_instantiation_expression] = STATE(4234),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_import] = ACTIONS(2444),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_LTtemplate_GT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2444),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_void] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2444),
    [sym_number] = ACTIONS(2444),
    [sym_private_property_identifier] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [sym_super] = ACTIONS(2444),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [sym_null] = ACTIONS(2444),
    [sym_undefined] = ACTIONS(2444),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_readonly] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2444),
    [anon_sym_set] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_override] = ACTIONS(2444),
    [anon_sym_module] = ACTIONS(2444),
    [anon_sym_any] = ACTIONS(2444),
    [anon_sym_number] = ACTIONS(2444),
    [anon_sym_boolean] = ACTIONS(2444),
    [anon_sym_string] = ACTIONS(2444),
    [anon_sym_symbol] = ACTIONS(2444),
    [anon_sym_object] = ACTIONS(2444),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(474),
    [sym_empty_statement] = STATE(474),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_override_modifier] = STATE(469),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2454),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_comment] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2456),
    [sym__ternary_qmark] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_QMARK_QMARK] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2210),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2458),
    [sym__ternary_qmark] = ACTIONS(2250),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_comment] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_as] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_QMARK_DOT] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2238),
    [anon_sym_PIPE_PIPE] = ACTIONS(2238),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2238),
    [anon_sym_LT_LT] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_PERCENT] = ACTIONS(2238),
    [anon_sym_STAR_STAR] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2238),
    [anon_sym_GT_EQ] = ACTIONS(2238),
    [anon_sym_QMARK_QMARK] = ACTIONS(2238),
    [anon_sym_instanceof] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_satisfies] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2460),
    [sym__ternary_qmark] = ACTIONS(2242),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_comment] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym__ternary_qmark] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(475),
    [sym_empty_statement] = STATE(475),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(430),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_comment] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_as] = ACTIONS(2256),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_QMARK_DOT] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2256),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_QMARK_QMARK] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_satisfies] = ACTIONS(2256),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2464),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2466),
    [sym__ternary_qmark] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(4353),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(434),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2218),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2218),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_STAR_STAR] = ACTIONS(2218),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2218),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_QMARK_QMARK] = ACTIONS(2218),
    [anon_sym_instanceof] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2218),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2222),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(4326),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(437),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6996),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5530),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(438),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5794),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2291),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(4353),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(439),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2202),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2202),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_STAR_STAR] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_QMARK_QMARK] = ACTIONS(2202),
    [anon_sym_instanceof] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2202),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2478),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2480),
    [sym__ternary_qmark] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_spread_element] = STATE(5922),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(443),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(2432),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(4353),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(444),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2486),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(4326),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(446),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2490),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2288),
    [anon_sym_GT_GT] = ACTIONS(2288),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ] = ACTIONS(2288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_QMARK_QMARK] = ACTIONS(2288),
    [anon_sym_instanceof] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_as] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_QMARK_DOT] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_GT_GT] = ACTIONS(2306),
    [anon_sym_GT_GT_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2306),
    [anon_sym_QMARK_QMARK] = ACTIONS(2306),
    [anon_sym_instanceof] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_satisfies] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(4353),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(450),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(4421),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(452),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(4290),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(453),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2498),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(4353),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(454),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_as] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_QMARK_DOT] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_QMARK_QMARK] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_satisfies] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym__automatic_semicolon] = ACTIONS(2182),
    [sym__ternary_qmark] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(4407),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(456),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_QMARK_QMARK] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2214),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(4470),
    [sym_expression_statement] = STATE(477),
    [sym_empty_statement] = STATE(477),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6716),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(458),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym__ternary_qmark] = ACTIONS(2198),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_comment] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_QMARK_DOT] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2192),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_QMARK_QMARK] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_satisfies] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym__automatic_semicolon] = ACTIONS(2194),
    [sym__ternary_qmark] = ACTIONS(2194),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_assignment_pattern] = STATE(6996),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5794),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(4407),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(462),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3839),
    [sym__type_query_subscript_expression] = STATE(3840),
    [sym__type_query_call_expression] = STATE(3891),
    [sym__type_query_instantiation_expression] = STATE(4008),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5283),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2454),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2711),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6701),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym__automatic_semicolon] = ACTIONS(2508),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6565),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym__automatic_semicolon] = ACTIONS(2512),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2689),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6568),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym__automatic_semicolon] = ACTIONS(2516),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5398),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2518),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2602),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6882),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym__automatic_semicolon] = ACTIONS(2524),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5394),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2526),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2697),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6592),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym__automatic_semicolon] = ACTIONS(2530),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4593),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_pattern] = STATE(5498),
    [sym_rest_pattern] = STATE(4579),
    [sym_non_null_expression] = STATE(2145),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(2532),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2534),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2344),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6163),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2344),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_export] = ACTIONS(2538),
    [anon_sym_type] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2544),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2552),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2556),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_get] = ACTIONS(2538),
    [anon_sym_set] = ACTIONS(2538),
    [anon_sym_declare] = ACTIONS(2538),
    [anon_sym_public] = ACTIONS(2538),
    [anon_sym_private] = ACTIONS(2538),
    [anon_sym_protected] = ACTIONS(2538),
    [anon_sym_override] = ACTIONS(2538),
    [anon_sym_module] = ACTIONS(2538),
    [anon_sym_any] = ACTIONS(2538),
    [anon_sym_number] = ACTIONS(2538),
    [anon_sym_boolean] = ACTIONS(2538),
    [anon_sym_string] = ACTIONS(2538),
    [anon_sym_symbol] = ACTIONS(2538),
    [anon_sym_object] = ACTIONS(2538),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2870),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7119),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2558),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2831),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7527),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2560),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7210),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2842),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2884),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7290),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3480),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3197),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2618),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3141),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3144),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3145),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2871),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2481),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7473),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2848),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3260),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3028),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3139),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2712),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6692),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2840),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3245),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7582),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2822),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7487),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3272),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3105),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2837),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3272),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2681),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2877),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym__extends_clause_single] = STATE(6135),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3260),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3298),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6881),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2796),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7188),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3183),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3271),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2794),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7274),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3183),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2625),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3197),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2696),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3460),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2866),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7232),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7279),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3339),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2865),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2864),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3139),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2672),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3341),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3245),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7229),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_type] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_readonly] = ACTIONS(2576),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
    [anon_sym_declare] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2576),
    [anon_sym_any] = ACTIONS(2576),
    [anon_sym_number] = ACTIONS(2576),
    [anon_sym_boolean] = ACTIONS(2576),
    [anon_sym_string] = ACTIONS(2576),
    [anon_sym_symbol] = ACTIONS(2576),
    [anon_sym_object] = ACTIONS(2576),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3342),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3475),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3380),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3344),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3308),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3183),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6593),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2764),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2615),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7120),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2590),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2877),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym__extends_clause_single] = STATE(5715),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3272),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2651),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3365),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2858),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2908),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7357),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2896),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7398),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6567),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7230),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2891),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7361),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2768),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2642),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3203),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2889),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7362),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3469),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3245),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3047),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2912),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7135),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2680),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3374),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2753),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2641),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3197),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3012),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3139),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3013),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2814),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7208),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2810),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7206),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7202),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7525),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4470),
    [sym_statement_block] = STATE(3260),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2771),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2608),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3269),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2786),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_sequence_expression] = STATE(6566),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4466),
    [sym_statement_block] = STATE(2612),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3276),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7249),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3337),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2825),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3270),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3255),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2910),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3415),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3328),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3417),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3266),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2777),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3259),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3392),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(3085),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3257),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2836),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2761),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3261),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3252),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2788),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3251),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2598),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3235),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3234),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2767),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3219),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2743),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3008),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2600),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2859),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3206),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2714),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3199),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2584),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3388),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2812),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3368),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3367),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3366),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3130),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3354),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3274),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3353),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2795),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2621),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3352),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3351),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2614),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3350),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2635),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3348),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2365),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2365),
    [sym_subscript_expression] = STATE(2365),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7212),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2365),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2602),
    [anon_sym_export] = ACTIONS(2604),
    [anon_sym_type] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2608),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2612),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_readonly] = ACTIONS(2604),
    [anon_sym_get] = ACTIONS(2604),
    [anon_sym_set] = ACTIONS(2604),
    [anon_sym_declare] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_override] = ACTIONS(2604),
    [anon_sym_module] = ACTIONS(2604),
    [anon_sym_any] = ACTIONS(2604),
    [anon_sym_number] = ACTIONS(2604),
    [anon_sym_boolean] = ACTIONS(2604),
    [anon_sym_string] = ACTIONS(2604),
    [anon_sym_symbol] = ACTIONS(2604),
    [anon_sym_object] = ACTIONS(2604),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3009),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3345),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3343),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2876),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2368),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2368),
    [sym_subscript_expression] = STATE(2368),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7427),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2368),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2614),
    [anon_sym_export] = ACTIONS(2616),
    [anon_sym_type] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_readonly] = ACTIONS(2616),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_declare] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_override] = ACTIONS(2616),
    [anon_sym_module] = ACTIONS(2616),
    [anon_sym_any] = ACTIONS(2616),
    [anon_sym_number] = ACTIONS(2616),
    [anon_sym_boolean] = ACTIONS(2616),
    [anon_sym_string] = ACTIONS(2616),
    [anon_sym_symbol] = ACTIONS(2616),
    [anon_sym_object] = ACTIONS(2616),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2619),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2766),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3335),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3333),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3277),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2643),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2600),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3329),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2833),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2366),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2366),
    [sym_subscript_expression] = STATE(2366),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7235),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2366),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_export] = ACTIONS(2628),
    [anon_sym_type] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2632),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_readonly] = ACTIONS(2628),
    [anon_sym_get] = ACTIONS(2628),
    [anon_sym_set] = ACTIONS(2628),
    [anon_sym_declare] = ACTIONS(2628),
    [anon_sym_public] = ACTIONS(2628),
    [anon_sym_private] = ACTIONS(2628),
    [anon_sym_protected] = ACTIONS(2628),
    [anon_sym_override] = ACTIONS(2628),
    [anon_sym_module] = ACTIONS(2628),
    [anon_sym_any] = ACTIONS(2628),
    [anon_sym_number] = ACTIONS(2628),
    [anon_sym_boolean] = ACTIONS(2628),
    [anon_sym_string] = ACTIONS(2628),
    [anon_sym_symbol] = ACTIONS(2628),
    [anon_sym_object] = ACTIONS(2628),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2593),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3295),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3305),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(3011),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3312),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3300),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3275),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3027),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3030),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3304),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3494),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3032),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3033),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3316),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2364),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7368),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_export] = ACTIONS(2640),
    [anon_sym_type] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_readonly] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2640),
    [anon_sym_set] = ACTIONS(2640),
    [anon_sym_declare] = ACTIONS(2640),
    [anon_sym_public] = ACTIONS(2640),
    [anon_sym_private] = ACTIONS(2640),
    [anon_sym_protected] = ACTIONS(2640),
    [anon_sym_override] = ACTIONS(2640),
    [anon_sym_module] = ACTIONS(2640),
    [anon_sym_any] = ACTIONS(2640),
    [anon_sym_number] = ACTIONS(2640),
    [anon_sym_boolean] = ACTIONS(2640),
    [anon_sym_string] = ACTIONS(2640),
    [anon_sym_symbol] = ACTIONS(2640),
    [anon_sym_object] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2868),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3161),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2367),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2367),
    [sym_subscript_expression] = STATE(2367),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7239),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2367),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_object] = ACTIONS(2652),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2855),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2244),
    [sym_subscript_expression] = STATE(2244),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5206),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2244),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1771),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1771),
    [anon_sym_number] = ACTIONS(1771),
    [anon_sym_boolean] = ACTIONS(1771),
    [anon_sym_string] = ACTIONS(1771),
    [anon_sym_symbol] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1771),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3034),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2878),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2882),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3454),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2598),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2855),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2898),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2899),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2901),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2902),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2668),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3389),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2904),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3082),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2720),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2698),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2742),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2905),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2676),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3035),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2906),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2949),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2907),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2600),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2913),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2915),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2147),
    [sym_subscript_expression] = STATE(2147),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4640),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2147),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_export] = ACTIONS(2672),
    [anon_sym_type] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2676),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_readonly] = ACTIONS(2672),
    [anon_sym_get] = ACTIONS(2672),
    [anon_sym_set] = ACTIONS(2672),
    [anon_sym_declare] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_override] = ACTIONS(2672),
    [anon_sym_module] = ACTIONS(2672),
    [anon_sym_any] = ACTIONS(2672),
    [anon_sym_number] = ACTIONS(2672),
    [anon_sym_boolean] = ACTIONS(2672),
    [anon_sym_string] = ACTIONS(2672),
    [anon_sym_symbol] = ACTIONS(2672),
    [anon_sym_object] = ACTIONS(2672),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3456),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2797),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3036),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2873),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3457),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3241),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3322),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3479),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2821),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3481),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3415),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3482),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(3017),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2820),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2713),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3483),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2682),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3485),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3486),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2675),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2674),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2673),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2671),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2670),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2805),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2669),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2666),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2804),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2665),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2662),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3487),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3488),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2659),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3040),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3491),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3492),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3493),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3496),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2803),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2732),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3498),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2802),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2801),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2875),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3147),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2799),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2798),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2844),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2856),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3190),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2371),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2371),
    [sym_subscript_expression] = STATE(2371),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7342),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2371),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2682),
    [anon_sym_export] = ACTIONS(2684),
    [anon_sym_type] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2688),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_readonly] = ACTIONS(2684),
    [anon_sym_get] = ACTIONS(2684),
    [anon_sym_set] = ACTIONS(2684),
    [anon_sym_declare] = ACTIONS(2684),
    [anon_sym_public] = ACTIONS(2684),
    [anon_sym_private] = ACTIONS(2684),
    [anon_sym_protected] = ACTIONS(2684),
    [anon_sym_override] = ACTIONS(2684),
    [anon_sym_module] = ACTIONS(2684),
    [anon_sym_any] = ACTIONS(2684),
    [anon_sym_number] = ACTIONS(2684),
    [anon_sym_boolean] = ACTIONS(2684),
    [anon_sym_string] = ACTIONS(2684),
    [anon_sym_symbol] = ACTIONS(2684),
    [anon_sym_object] = ACTIONS(2684),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2792),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2885),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3473),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2370),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2370),
    [sym_subscript_expression] = STATE(2370),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7429),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2370),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2694),
    [anon_sym_export] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2700),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_readonly] = ACTIONS(2696),
    [anon_sym_get] = ACTIONS(2696),
    [anon_sym_set] = ACTIONS(2696),
    [anon_sym_declare] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_override] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_any] = ACTIONS(2696),
    [anon_sym_number] = ACTIONS(2696),
    [anon_sym_boolean] = ACTIONS(2696),
    [anon_sym_string] = ACTIONS(2696),
    [anon_sym_symbol] = ACTIONS(2696),
    [anon_sym_object] = ACTIONS(2696),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3383),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3471),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3379),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2310),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7470),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2310),
    [sym_subscript_expression] = STATE(2310),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4016),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7471),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2310),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(682),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1543),
    [anon_sym_type] = ACTIONS(1543),
    [anon_sym_namespace] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1551),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_void] = ACTIONS(1551),
    [anon_sym_delete] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1569),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1543),
    [anon_sym_readonly] = ACTIONS(1543),
    [anon_sym_get] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1543),
    [anon_sym_declare] = ACTIONS(1543),
    [anon_sym_public] = ACTIONS(1543),
    [anon_sym_private] = ACTIONS(1543),
    [anon_sym_protected] = ACTIONS(1543),
    [anon_sym_override] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1543),
    [anon_sym_any] = ACTIONS(1543),
    [anon_sym_number] = ACTIONS(1543),
    [anon_sym_boolean] = ACTIONS(1543),
    [anon_sym_string] = ACTIONS(1543),
    [anon_sym_symbol] = ACTIONS(1543),
    [anon_sym_object] = ACTIONS(1543),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2363),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2363),
    [sym_subscript_expression] = STATE(2363),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7158),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2363),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2712),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_object] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3332),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(805),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3470),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(806),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(807),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3378),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(808),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2888),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(809),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3041),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(810),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(811),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3466),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(812),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2929),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(813),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2097),
    [sym_expression] = STATE(3420),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2097),
    [sym_subscript_expression] = STATE(2097),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(814),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2097),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2813),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(815),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2846),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7216),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3979),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7222),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(816),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1587),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1591),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_void] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1603),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
    [anon_sym_object] = ACTIONS(1579),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3043),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(817),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2924),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(818),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(819),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3377),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(820),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(821),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(822),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(823),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(2789),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7556),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4001),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7224),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(824),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2290),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(815),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1457),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3195),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(825),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2984),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(826),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3369),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(827),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3171),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(828),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2756),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(829),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3360),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(830),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2372),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2372),
    [sym_subscript_expression] = STATE(2372),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7481),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(831),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2372),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2718),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2724),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2369),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2369),
    [sym_subscript_expression] = STATE(2369),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3952),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(832),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2369),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_export] = ACTIONS(2732),
    [anon_sym_type] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(172),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(172),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(172),
    [anon_sym_DASH] = ACTIONS(172),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(172),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(183),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_declare] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_override] = ACTIONS(2732),
    [anon_sym_module] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_object] = ACTIONS(2732),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3103),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(833),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3357),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(834),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(835),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3340),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(836),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2851),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(837),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3338),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(838),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(839),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3050),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(840),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(841),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(3124),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(842),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2225),
    [sym_expression] = STATE(3123),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7329),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2225),
    [sym_subscript_expression] = STATE(2225),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7380),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(843),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2225),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(844),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2739),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(845),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(846),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(2610),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7350),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4029),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7351),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(847),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2238),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(720),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1435),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(848),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3243),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7417),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3963),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7476),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(849),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(799),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1613),
    [anon_sym_type] = ACTIONS(1613),
    [anon_sym_namespace] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1637),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1613),
    [anon_sym_readonly] = ACTIONS(1613),
    [anon_sym_get] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_declare] = ACTIONS(1613),
    [anon_sym_public] = ACTIONS(1613),
    [anon_sym_private] = ACTIONS(1613),
    [anon_sym_protected] = ACTIONS(1613),
    [anon_sym_override] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1613),
    [anon_sym_any] = ACTIONS(1613),
    [anon_sym_number] = ACTIONS(1613),
    [anon_sym_boolean] = ACTIONS(1613),
    [anon_sym_string] = ACTIONS(1613),
    [anon_sym_symbol] = ACTIONS(1613),
    [anon_sym_object] = ACTIONS(1613),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(850),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(851),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2703),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(852),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(853),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(854),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3069),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(855),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2916),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(856),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2298),
    [sym_expression] = STATE(3106),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7211),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2298),
    [sym_subscript_expression] = STATE(2298),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7213),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(857),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2298),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(835),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1661),
    [anon_sym_type] = ACTIONS(1661),
    [anon_sym_namespace] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1693),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_readonly] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_declare] = ACTIONS(1661),
    [anon_sym_public] = ACTIONS(1661),
    [anon_sym_private] = ACTIONS(1661),
    [anon_sym_protected] = ACTIONS(1661),
    [anon_sym_override] = ACTIONS(1661),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_any] = ACTIONS(1661),
    [anon_sym_number] = ACTIONS(1661),
    [anon_sym_boolean] = ACTIONS(1661),
    [anon_sym_string] = ACTIONS(1661),
    [anon_sym_symbol] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1661),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym_import] = STATE(4470),
    [sym_parenthesized_expression] = STATE(2240),
    [sym_expression] = STATE(2724),
    [sym_primary_expression] = STATE(2954),
    [sym_yield_expression] = STATE(3149),
    [sym_object] = STATE(3136),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(3136),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(3149),
    [sym_glimmer_opening_tag] = STATE(5531),
    [sym_class] = STATE(3136),
    [sym_function_expression] = STATE(3136),
    [sym_generator_function] = STATE(3136),
    [sym_arrow_function] = STATE(3136),
    [sym__call_signature] = STATE(7559),
    [sym_call_expression] = STATE(3136),
    [sym_new_expression] = STATE(3149),
    [sym_await_expression] = STATE(3149),
    [sym_member_expression] = STATE(2240),
    [sym_subscript_expression] = STATE(2240),
    [sym_assignment_expression] = STATE(3149),
    [sym__augmented_assignment_lhs] = STATE(4019),
    [sym_augmented_assignment_expression] = STATE(3149),
    [sym__destructuring_pattern] = STATE(7558),
    [sym_ternary_expression] = STATE(3149),
    [sym_binary_expression] = STATE(3149),
    [sym_unary_expression] = STATE(3149),
    [sym_update_expression] = STATE(3149),
    [sym_string] = STATE(3136),
    [sym_comment] = STATE(858),
    [sym_template_string] = STATE(3136),
    [sym_regex] = STATE(3136),
    [sym_meta_property] = STATE(3136),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2240),
    [sym_type_assertion] = STATE(3149),
    [sym_as_expression] = STATE(3149),
    [sym_satisfies_expression] = STATE(3149),
    [sym_instantiation_expression] = STATE(3149),
    [sym_internal_module] = STATE(3149),
    [sym_type_arguments] = STATE(675),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1527),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym_import] = STATE(4466),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3267),
    [sym_primary_expression] = STATE(2466),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4460),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4460),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5535),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7173),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3956),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7331),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(859),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4961),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1485),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1485),
    [anon_sym_void] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(187),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(187),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_declare] = ACTIONS(1477),
    [anon_sym_public] = ACTIONS(1477),
    [anon_sym_private] = ACTIONS(1477),
    [anon_sym_protected] = ACTIONS(1477),
    [anon_sym_override] = ACTIONS(1477),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_any] = ACTIONS(1477),
    [anon_sym_number] = ACTIONS(1477),
    [anon_sym_boolean] = ACTIONS(1477),
    [anon_sym_string] = ACTIONS(1477),
    [anon_sym_symbol] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1477),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym_namespace_export] = STATE(6483),
    [sym_export_clause] = STATE(5537),
    [sym_declaration] = STATE(1687),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(860),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym_namespace_export] = STATE(6483),
    [sym_export_clause] = STATE(5537),
    [sym_declaration] = STATE(1687),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(861),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym_namespace_export] = STATE(6483),
    [sym_export_clause] = STATE(5537),
    [sym_declaration] = STATE(1687),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(862),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym__call_signature] = STATE(7432),
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(863),
    [sym_formal_parameters] = STATE(4961),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym__call_signature] = STATE(7432),
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(864),
    [sym_formal_parameters] = STATE(4961),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7432),
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4961),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_type_parameters] = STATE(6476),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym_declaration] = STATE(1726),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(866),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym_declaration] = STATE(1726),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(867),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym_declaration] = STATE(1726),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(868),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_namespace_export] = STATE(6683),
    [sym_export_clause] = STATE(5536),
    [sym_declaration] = STATE(6949),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_class_declaration] = STATE(6915),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_comment] = STATE(869),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(6915),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(6916),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_as] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2863),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_namespace_export] = STATE(6483),
    [sym_export_clause] = STATE(5537),
    [sym_declaration] = STATE(1687),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(870),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_namespace_export] = STATE(6927),
    [sym_export_clause] = STATE(5571),
    [sym_declaration] = STATE(1497),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_class_declaration] = STATE(1485),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_comment] = STATE(871),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1485),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(1498),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [aux_sym_export_statement_repeat1] = STATE(5157),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2879),
    [anon_sym_EQ] = ACTIONS(2881),
    [anon_sym_as] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(2905),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_namespace_export] = STATE(7015),
    [sym_export_clause] = STATE(5521),
    [sym_declaration] = STATE(1101),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_class_declaration] = STATE(1094),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_comment] = STATE(872),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1094),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [aux_sym_export_statement_repeat1] = STATE(5087),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_as] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_namespace_export] = STATE(7111),
    [sym_export_clause] = STATE(5604),
    [sym_declaration] = STATE(1321),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_class_declaration] = STATE(1333),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_comment] = STATE(873),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1333),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(1319),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_type] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(874),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_override_modifier] = STATE(3767),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(875),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_override_modifier] = STATE(3767),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(876),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [sym_override_modifier] = STATE(3767),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(877),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(878),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(879),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(880),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(881),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_string] = STATE(4553),
    [sym_comment] = STATE(882),
    [sym__property_name] = STATE(4811),
    [sym_computed_property_name] = STATE(4553),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_declaration] = STATE(1274),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_class_declaration] = STATE(1333),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_comment] = STATE(883),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1333),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(1319),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_declaration] = STATE(1726),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(884),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_declaration] = STATE(1603),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_class_declaration] = STATE(1485),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_comment] = STATE(885),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1485),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(1498),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [aux_sym_export_statement_repeat1] = STATE(5157),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_declaration] = STATE(6934),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_class_declaration] = STATE(6915),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_comment] = STATE(886),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(6915),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(6916),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_declaration] = STATE(1016),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_class_declaration] = STATE(1094),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_comment] = STATE(887),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1094),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [aux_sym_export_statement_repeat1] = STATE(5087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_declaration] = STATE(6934),
    [sym_variable_declaration] = STATE(6915),
    [sym_lexical_declaration] = STATE(6915),
    [sym_class_declaration] = STATE(6915),
    [sym_function_declaration] = STATE(6915),
    [sym_generator_function_declaration] = STATE(6915),
    [sym_comment] = STATE(888),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(6915),
    [sym_ambient_declaration] = STATE(6915),
    [sym_abstract_class_declaration] = STATE(6915),
    [sym_module] = STATE(6915),
    [sym_internal_module] = STATE(6916),
    [sym_import_alias] = STATE(6915),
    [sym_interface_declaration] = STATE(6915),
    [sym_enum_declaration] = STATE(6915),
    [sym_type_alias_declaration] = STATE(6915),
    [aux_sym_export_statement_repeat1] = STATE(5318),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_declaration] = STATE(1016),
    [sym_variable_declaration] = STATE(1094),
    [sym_lexical_declaration] = STATE(1094),
    [sym_class_declaration] = STATE(1094),
    [sym_function_declaration] = STATE(1094),
    [sym_generator_function_declaration] = STATE(1094),
    [sym_comment] = STATE(889),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1094),
    [sym_ambient_declaration] = STATE(1094),
    [sym_abstract_class_declaration] = STATE(1094),
    [sym_module] = STATE(1094),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1094),
    [sym_interface_declaration] = STATE(1094),
    [sym_enum_declaration] = STATE(1094),
    [sym_type_alias_declaration] = STATE(1094),
    [aux_sym_export_statement_repeat1] = STATE(5087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_comment] = STATE(890),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2444),
    [sym_private_property_identifier] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_readonly] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2444),
    [anon_sym_set] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_override] = ACTIONS(2444),
    [anon_sym_module] = ACTIONS(2444),
    [anon_sym_any] = ACTIONS(2444),
    [anon_sym_number] = ACTIONS(2444),
    [anon_sym_boolean] = ACTIONS(2444),
    [anon_sym_string] = ACTIONS(2444),
    [anon_sym_symbol] = ACTIONS(2444),
    [anon_sym_object] = ACTIONS(2444),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_comment] = STATE(891),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2444),
    [sym_private_property_identifier] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_readonly] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2444),
    [anon_sym_set] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_override] = ACTIONS(2444),
    [anon_sym_module] = ACTIONS(2444),
    [anon_sym_any] = ACTIONS(2444),
    [anon_sym_number] = ACTIONS(2444),
    [anon_sym_boolean] = ACTIONS(2444),
    [anon_sym_string] = ACTIONS(2444),
    [anon_sym_symbol] = ACTIONS(2444),
    [anon_sym_object] = ACTIONS(2444),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_declaration] = STATE(5091),
    [sym_variable_declaration] = STATE(5096),
    [sym_lexical_declaration] = STATE(5096),
    [sym_class_declaration] = STATE(5096),
    [sym_function_declaration] = STATE(5096),
    [sym_generator_function_declaration] = STATE(5096),
    [sym_comment] = STATE(892),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(5096),
    [sym_ambient_declaration] = STATE(5096),
    [sym_abstract_class_declaration] = STATE(5096),
    [sym_module] = STATE(5096),
    [sym_internal_module] = STATE(5097),
    [sym_import_alias] = STATE(5096),
    [sym_interface_declaration] = STATE(5096),
    [sym_enum_declaration] = STATE(5096),
    [sym_type_alias_declaration] = STATE(5096),
    [aux_sym_export_statement_repeat1] = STATE(5133),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3025),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_import] = ACTIONS(3029),
    [anon_sym_var] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_function] = ACTIONS(3041),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(3043),
    [anon_sym_module] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_comment] = STATE(893),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2448),
    [sym_private_property_identifier] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_readonly] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_module] = ACTIONS(2448),
    [anon_sym_any] = ACTIONS(2448),
    [anon_sym_number] = ACTIONS(2448),
    [anon_sym_boolean] = ACTIONS(2448),
    [anon_sym_string] = ACTIONS(2448),
    [anon_sym_symbol] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_comment] = STATE(894),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2448),
    [sym_private_property_identifier] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_readonly] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_module] = ACTIONS(2448),
    [anon_sym_any] = ACTIONS(2448),
    [anon_sym_number] = ACTIONS(2448),
    [anon_sym_boolean] = ACTIONS(2448),
    [anon_sym_string] = ACTIONS(2448),
    [anon_sym_symbol] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_declaration] = STATE(1274),
    [sym_variable_declaration] = STATE(1333),
    [sym_lexical_declaration] = STATE(1333),
    [sym_class_declaration] = STATE(1333),
    [sym_function_declaration] = STATE(1333),
    [sym_generator_function_declaration] = STATE(1333),
    [sym_comment] = STATE(895),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1333),
    [sym_ambient_declaration] = STATE(1333),
    [sym_abstract_class_declaration] = STATE(1333),
    [sym_module] = STATE(1333),
    [sym_internal_module] = STATE(1319),
    [sym_import_alias] = STATE(1333),
    [sym_interface_declaration] = STATE(1333),
    [sym_enum_declaration] = STATE(1333),
    [sym_type_alias_declaration] = STATE(1333),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_comment] = STATE(896),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2448),
    [sym_private_property_identifier] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_readonly] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_module] = ACTIONS(2448),
    [anon_sym_any] = ACTIONS(2448),
    [anon_sym_number] = ACTIONS(2448),
    [anon_sym_boolean] = ACTIONS(2448),
    [anon_sym_string] = ACTIONS(2448),
    [anon_sym_symbol] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_comment] = STATE(897),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2444),
    [sym_private_property_identifier] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_readonly] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2444),
    [anon_sym_set] = ACTIONS(2444),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2444),
    [anon_sym_public] = ACTIONS(2444),
    [anon_sym_private] = ACTIONS(2444),
    [anon_sym_protected] = ACTIONS(2444),
    [anon_sym_override] = ACTIONS(2444),
    [anon_sym_module] = ACTIONS(2444),
    [anon_sym_any] = ACTIONS(2444),
    [anon_sym_number] = ACTIONS(2444),
    [anon_sym_boolean] = ACTIONS(2444),
    [anon_sym_string] = ACTIONS(2444),
    [anon_sym_symbol] = ACTIONS(2444),
    [anon_sym_object] = ACTIONS(2444),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_declaration] = STATE(1726),
    [sym_variable_declaration] = STATE(1738),
    [sym_lexical_declaration] = STATE(1738),
    [sym_class_declaration] = STATE(1738),
    [sym_function_declaration] = STATE(1738),
    [sym_generator_function_declaration] = STATE(1738),
    [sym_comment] = STATE(898),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1738),
    [sym_ambient_declaration] = STATE(1738),
    [sym_abstract_class_declaration] = STATE(1738),
    [sym_module] = STATE(1738),
    [sym_internal_module] = STATE(1686),
    [sym_import_alias] = STATE(1738),
    [sym_interface_declaration] = STATE(1738),
    [sym_enum_declaration] = STATE(1738),
    [sym_type_alias_declaration] = STATE(1738),
    [aux_sym_export_statement_repeat1] = STATE(5102),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_declaration] = STATE(1603),
    [sym_variable_declaration] = STATE(1485),
    [sym_lexical_declaration] = STATE(1485),
    [sym_class_declaration] = STATE(1485),
    [sym_function_declaration] = STATE(1485),
    [sym_generator_function_declaration] = STATE(1485),
    [sym_comment] = STATE(899),
    [sym_decorator] = STATE(5534),
    [sym_function_signature] = STATE(1485),
    [sym_ambient_declaration] = STATE(1485),
    [sym_abstract_class_declaration] = STATE(1485),
    [sym_module] = STATE(1485),
    [sym_internal_module] = STATE(1498),
    [sym_import_alias] = STATE(1485),
    [sym_interface_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_type_alias_declaration] = STATE(1485),
    [aux_sym_export_statement_repeat1] = STATE(5157),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(209),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(209),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(209),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(900),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(901),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(902),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(903),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3073),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym__call_signature] = STATE(7334),
    [sym_comment] = STATE(904),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_export] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3077),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_get] = ACTIONS(3077),
    [anon_sym_set] = ACTIONS(3077),
    [anon_sym_declare] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_module] = ACTIONS(3077),
    [anon_sym_any] = ACTIONS(3077),
    [anon_sym_number] = ACTIONS(3077),
    [anon_sym_boolean] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_symbol] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(905),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3079),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym__call_signature] = STATE(7366),
    [sym_comment] = STATE(907),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(908),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym__call_signature] = STATE(7334),
    [sym_comment] = STATE(909),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_export] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3077),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_get] = ACTIONS(3077),
    [anon_sym_set] = ACTIONS(3077),
    [anon_sym_declare] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_module] = ACTIONS(3077),
    [anon_sym_any] = ACTIONS(3077),
    [anon_sym_number] = ACTIONS(3077),
    [anon_sym_boolean] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_symbol] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym__call_signature] = STATE(7451),
    [sym_comment] = STATE(910),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_export] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3089),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_readonly] = ACTIONS(3089),
    [anon_sym_get] = ACTIONS(3089),
    [anon_sym_set] = ACTIONS(3089),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_override] = ACTIONS(3089),
    [anon_sym_module] = ACTIONS(3089),
    [anon_sym_any] = ACTIONS(3089),
    [anon_sym_number] = ACTIONS(3089),
    [anon_sym_boolean] = ACTIONS(3089),
    [anon_sym_string] = ACTIONS(3089),
    [anon_sym_symbol] = ACTIONS(3089),
    [anon_sym_object] = ACTIONS(3089),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(911),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym__call_signature] = STATE(7366),
    [sym_comment] = STATE(912),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(913),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym__call_signature] = STATE(7432),
    [sym_comment] = STATE(914),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym__call_signature] = STATE(7334),
    [sym_comment] = STATE(915),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_export] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3077),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_get] = ACTIONS(3077),
    [anon_sym_set] = ACTIONS(3077),
    [anon_sym_declare] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_module] = ACTIONS(3077),
    [anon_sym_any] = ACTIONS(3077),
    [anon_sym_number] = ACTIONS(3077),
    [anon_sym_boolean] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_symbol] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(916),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym__call_signature] = STATE(7451),
    [sym_comment] = STATE(917),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_export] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3089),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_readonly] = ACTIONS(3089),
    [anon_sym_get] = ACTIONS(3089),
    [anon_sym_set] = ACTIONS(3089),
    [anon_sym_declare] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_override] = ACTIONS(3089),
    [anon_sym_module] = ACTIONS(3089),
    [anon_sym_any] = ACTIONS(3089),
    [anon_sym_number] = ACTIONS(3089),
    [anon_sym_boolean] = ACTIONS(3089),
    [anon_sym_string] = ACTIONS(3089),
    [anon_sym_symbol] = ACTIONS(3089),
    [anon_sym_object] = ACTIONS(3089),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym__call_signature] = STATE(7234),
    [sym_comment] = STATE(918),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym__call_signature] = STATE(7451),
    [sym_comment] = STATE(919),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_export] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3089),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_readonly] = ACTIONS(3089),
    [anon_sym_get] = ACTIONS(3089),
    [anon_sym_set] = ACTIONS(3089),
    [anon_sym_declare] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_override] = ACTIONS(3089),
    [anon_sym_module] = ACTIONS(3089),
    [anon_sym_any] = ACTIONS(3089),
    [anon_sym_number] = ACTIONS(3089),
    [anon_sym_boolean] = ACTIONS(3089),
    [anon_sym_string] = ACTIONS(3089),
    [anon_sym_symbol] = ACTIONS(3089),
    [anon_sym_object] = ACTIONS(3089),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym__call_signature] = STATE(7334),
    [sym_comment] = STATE(920),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_export] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3077),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_get] = ACTIONS(3077),
    [anon_sym_set] = ACTIONS(3077),
    [anon_sym_declare] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_module] = ACTIONS(3077),
    [anon_sym_any] = ACTIONS(3077),
    [anon_sym_number] = ACTIONS(3077),
    [anon_sym_boolean] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_symbol] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym__call_signature] = STATE(7234),
    [sym_comment] = STATE(921),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(922),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_catch_clause] = STATE(966),
    [sym_finally_clause] = STATE(1123),
    [sym_comment] = STATE(923),
    [sym_identifier] = ACTIONS(3105),
    [anon_sym_export] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_type] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym_import] = ACTIONS(3105),
    [anon_sym_with] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_else] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_debugger] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_catch] = ACTIONS(3107),
    [anon_sym_finally] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_LTtemplate_GT] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_SLASH] = ACTIONS(3105),
    [anon_sym_LT] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_void] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3105),
    [sym_number] = ACTIONS(3105),
    [sym_private_property_identifier] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
    [sym_super] = ACTIONS(3105),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_AT] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_get] = ACTIONS(3105),
    [anon_sym_set] = ACTIONS(3105),
    [anon_sym_declare] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_module] = ACTIONS(3105),
    [anon_sym_any] = ACTIONS(3105),
    [anon_sym_number] = ACTIONS(3105),
    [anon_sym_boolean] = ACTIONS(3105),
    [anon_sym_string] = ACTIONS(3105),
    [anon_sym_symbol] = ACTIONS(3105),
    [anon_sym_object] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(924),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3073),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(925),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(926),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(927),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(928),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(929),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(930),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3071),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(931),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3079),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym__call_signature] = STATE(7226),
    [sym_comment] = STATE(932),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(933),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym__call_signature] = STATE(7477),
    [sym_comment] = STATE(934),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym__call_signature] = STATE(7167),
    [sym_comment] = STATE(935),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3117),
    [anon_sym_export] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3119),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3119),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_readonly] = ACTIONS(3119),
    [anon_sym_get] = ACTIONS(3119),
    [anon_sym_set] = ACTIONS(3119),
    [anon_sym_declare] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_override] = ACTIONS(3119),
    [anon_sym_module] = ACTIONS(3119),
    [anon_sym_any] = ACTIONS(3119),
    [anon_sym_number] = ACTIONS(3119),
    [anon_sym_boolean] = ACTIONS(3119),
    [anon_sym_string] = ACTIONS(3119),
    [anon_sym_symbol] = ACTIONS(3119),
    [anon_sym_object] = ACTIONS(3119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_comment] = STATE(936),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym__call_signature] = STATE(7477),
    [sym_comment] = STATE(937),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(938),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_catch_clause] = STATE(985),
    [sym_finally_clause] = STATE(1488),
    [sym_comment] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(3123),
    [sym_identifier] = ACTIONS(3105),
    [anon_sym_export] = ACTIONS(3105),
    [anon_sym_type] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym_import] = ACTIONS(3105),
    [anon_sym_with] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_else] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_debugger] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym_catch] = ACTIONS(3125),
    [anon_sym_finally] = ACTIONS(3127),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_LTtemplate_GT] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_SLASH] = ACTIONS(3105),
    [anon_sym_LT] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_void] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3105),
    [sym_number] = ACTIONS(3105),
    [sym_private_property_identifier] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
    [sym_super] = ACTIONS(3105),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_AT] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_get] = ACTIONS(3105),
    [anon_sym_set] = ACTIONS(3105),
    [anon_sym_declare] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_module] = ACTIONS(3105),
    [anon_sym_any] = ACTIONS(3105),
    [anon_sym_number] = ACTIONS(3105),
    [anon_sym_boolean] = ACTIONS(3105),
    [anon_sym_string] = ACTIONS(3105),
    [anon_sym_symbol] = ACTIONS(3105),
    [anon_sym_object] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(940),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_catch] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3129),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_catch_clause] = STATE(976),
    [sym_finally_clause] = STATE(1463),
    [sym_comment] = STATE(942),
    [sym_identifier] = ACTIONS(3105),
    [anon_sym_export] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_type] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym_import] = ACTIONS(3105),
    [anon_sym_with] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_debugger] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_catch] = ACTIONS(3131),
    [anon_sym_finally] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_LTtemplate_GT] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_SLASH] = ACTIONS(3105),
    [anon_sym_LT] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_void] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3105),
    [sym_number] = ACTIONS(3105),
    [sym_private_property_identifier] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
    [sym_super] = ACTIONS(3105),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_AT] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_get] = ACTIONS(3105),
    [anon_sym_set] = ACTIONS(3105),
    [anon_sym_declare] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_module] = ACTIONS(3105),
    [anon_sym_any] = ACTIONS(3105),
    [anon_sym_number] = ACTIONS(3105),
    [anon_sym_boolean] = ACTIONS(3105),
    [anon_sym_string] = ACTIONS(3105),
    [anon_sym_symbol] = ACTIONS(3105),
    [anon_sym_object] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym__call_signature] = STATE(7421),
    [sym_comment] = STATE(943),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym__call_signature] = STATE(7167),
    [sym_comment] = STATE(944),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3117),
    [anon_sym_export] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3119),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3119),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_readonly] = ACTIONS(3119),
    [anon_sym_get] = ACTIONS(3119),
    [anon_sym_set] = ACTIONS(3119),
    [anon_sym_declare] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_override] = ACTIONS(3119),
    [anon_sym_module] = ACTIONS(3119),
    [anon_sym_any] = ACTIONS(3119),
    [anon_sym_number] = ACTIONS(3119),
    [anon_sym_boolean] = ACTIONS(3119),
    [anon_sym_string] = ACTIONS(3119),
    [anon_sym_symbol] = ACTIONS(3119),
    [anon_sym_object] = ACTIONS(3119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(945),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(946),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(947),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(948),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(949),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(950),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_catch_clause] = STATE(1239),
    [sym_finally_clause] = STATE(1713),
    [sym_comment] = STATE(951),
    [ts_builtin_sym_end] = ACTIONS(3123),
    [sym_identifier] = ACTIONS(3105),
    [anon_sym_export] = ACTIONS(3105),
    [anon_sym_type] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym_import] = ACTIONS(3105),
    [anon_sym_with] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_LPAREN] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_debugger] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym_catch] = ACTIONS(3135),
    [anon_sym_finally] = ACTIONS(3137),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_LTtemplate_GT] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_SLASH] = ACTIONS(3105),
    [anon_sym_LT] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_void] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3105),
    [sym_number] = ACTIONS(3105),
    [sym_private_property_identifier] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
    [sym_super] = ACTIONS(3105),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_AT] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_get] = ACTIONS(3105),
    [anon_sym_set] = ACTIONS(3105),
    [anon_sym_declare] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_module] = ACTIONS(3105),
    [anon_sym_any] = ACTIONS(3105),
    [anon_sym_number] = ACTIONS(3105),
    [anon_sym_boolean] = ACTIONS(3105),
    [anon_sym_string] = ACTIONS(3105),
    [anon_sym_symbol] = ACTIONS(3105),
    [anon_sym_object] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3139),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_statement_block] = STATE(1240),
    [sym_comment] = STATE(953),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_statement_block] = STATE(1240),
    [sym_comment] = STATE(954),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(956),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_comment] = STATE(957),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(958),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_comment] = STATE(959),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3147),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(960),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_catch] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3149),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(962),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_comment] = STATE(963),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3151),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_catch] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3153),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(965),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_finally_clause] = STATE(1081),
    [sym_comment] = STATE(966),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_export] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_type] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_typeof] = ACTIONS(3155),
    [anon_sym_import] = ACTIONS(3155),
    [anon_sym_with] = ACTIONS(3155),
    [anon_sym_var] = ACTIONS(3155),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_else] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_await] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_debugger] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_finally] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LTtemplate_GT] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_async] = ACTIONS(3155),
    [anon_sym_function] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_SLASH] = ACTIONS(3155),
    [anon_sym_LT] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_void] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3155),
    [sym_number] = ACTIONS(3155),
    [sym_private_property_identifier] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
    [sym_super] = ACTIONS(3155),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [sym_null] = ACTIONS(3155),
    [sym_undefined] = ACTIONS(3155),
    [anon_sym_AT] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_readonly] = ACTIONS(3155),
    [anon_sym_get] = ACTIONS(3155),
    [anon_sym_set] = ACTIONS(3155),
    [anon_sym_declare] = ACTIONS(3155),
    [anon_sym_public] = ACTIONS(3155),
    [anon_sym_private] = ACTIONS(3155),
    [anon_sym_protected] = ACTIONS(3155),
    [anon_sym_override] = ACTIONS(3155),
    [anon_sym_module] = ACTIONS(3155),
    [anon_sym_any] = ACTIONS(3155),
    [anon_sym_number] = ACTIONS(3155),
    [anon_sym_boolean] = ACTIONS(3155),
    [anon_sym_string] = ACTIONS(3155),
    [anon_sym_symbol] = ACTIONS(3155),
    [anon_sym_object] = ACTIONS(3155),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym__call_signature] = STATE(7217),
    [sym_comment] = STATE(967),
    [sym_formal_parameters] = STATE(4961),
    [sym_type_parameters] = STATE(6476),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3157),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_statement_block] = STATE(1600),
    [sym_comment] = STATE(969),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_default] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_else] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2240),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2156),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3163),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_finally_clause] = STATE(1598),
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_export] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_type] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_typeof] = ACTIONS(3155),
    [anon_sym_import] = ACTIONS(3155),
    [anon_sym_with] = ACTIONS(3155),
    [anon_sym_var] = ACTIONS(3155),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_await] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_debugger] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_finally] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LTtemplate_GT] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_async] = ACTIONS(3155),
    [anon_sym_function] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_SLASH] = ACTIONS(3155),
    [anon_sym_LT] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_void] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3155),
    [sym_number] = ACTIONS(3155),
    [sym_private_property_identifier] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
    [sym_super] = ACTIONS(3155),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [sym_null] = ACTIONS(3155),
    [sym_undefined] = ACTIONS(3155),
    [anon_sym_AT] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_readonly] = ACTIONS(3155),
    [anon_sym_get] = ACTIONS(3155),
    [anon_sym_set] = ACTIONS(3155),
    [anon_sym_declare] = ACTIONS(3155),
    [anon_sym_public] = ACTIONS(3155),
    [anon_sym_private] = ACTIONS(3155),
    [anon_sym_protected] = ACTIONS(3155),
    [anon_sym_override] = ACTIONS(3155),
    [anon_sym_module] = ACTIONS(3155),
    [anon_sym_any] = ACTIONS(3155),
    [anon_sym_number] = ACTIONS(3155),
    [anon_sym_boolean] = ACTIONS(3155),
    [anon_sym_string] = ACTIONS(3155),
    [anon_sym_symbol] = ACTIONS(3155),
    [anon_sym_object] = ACTIONS(3155),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_else] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_statement_block] = STATE(1600),
    [sym_comment] = STATE(980),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_else] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_default] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_else] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_finally_clause] = STATE(1348),
    [sym_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_export] = ACTIONS(3155),
    [anon_sym_type] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_typeof] = ACTIONS(3155),
    [anon_sym_import] = ACTIONS(3155),
    [anon_sym_with] = ACTIONS(3155),
    [anon_sym_var] = ACTIONS(3155),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_else] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_await] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_debugger] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_finally] = ACTIONS(3127),
    [anon_sym_yield] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LTtemplate_GT] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_async] = ACTIONS(3155),
    [anon_sym_function] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_SLASH] = ACTIONS(3155),
    [anon_sym_LT] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_void] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3155),
    [sym_number] = ACTIONS(3155),
    [sym_private_property_identifier] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
    [sym_super] = ACTIONS(3155),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [sym_null] = ACTIONS(3155),
    [sym_undefined] = ACTIONS(3155),
    [anon_sym_AT] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_readonly] = ACTIONS(3155),
    [anon_sym_get] = ACTIONS(3155),
    [anon_sym_set] = ACTIONS(3155),
    [anon_sym_declare] = ACTIONS(3155),
    [anon_sym_public] = ACTIONS(3155),
    [anon_sym_private] = ACTIONS(3155),
    [anon_sym_protected] = ACTIONS(3155),
    [anon_sym_override] = ACTIONS(3155),
    [anon_sym_module] = ACTIONS(3155),
    [anon_sym_any] = ACTIONS(3155),
    [anon_sym_number] = ACTIONS(3155),
    [anon_sym_boolean] = ACTIONS(3155),
    [anon_sym_string] = ACTIONS(3155),
    [anon_sym_symbol] = ACTIONS(3155),
    [anon_sym_object] = ACTIONS(3155),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_statement_block] = STATE(1405),
    [sym_comment] = STATE(986),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2115),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_comment] = STATE(988),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_statement_block] = STATE(1405),
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_else_clause] = STATE(1030),
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_export] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_type] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym_import] = ACTIONS(3181),
    [anon_sym_with] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_LPAREN] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_debugger] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_LTtemplate_GT] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_function] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3181),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_void] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3181),
    [sym_number] = ACTIONS(3181),
    [sym_private_property_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
    [sym_super] = ACTIONS(3181),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [sym_null] = ACTIONS(3181),
    [sym_undefined] = ACTIONS(3181),
    [anon_sym_AT] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_get] = ACTIONS(3181),
    [anon_sym_set] = ACTIONS(3181),
    [anon_sym_declare] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_module] = ACTIONS(3181),
    [anon_sym_any] = ACTIONS(3181),
    [anon_sym_number] = ACTIONS(3181),
    [anon_sym_boolean] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_symbol] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_else] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2232),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_catch] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_export] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_type] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_typeof] = ACTIONS(3187),
    [anon_sym_import] = ACTIONS(3187),
    [anon_sym_with] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_else] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_await] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_debugger] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_finally] = ACTIONS(3187),
    [anon_sym_yield] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LTtemplate_GT] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_function] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_SLASH] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_void] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3187),
    [sym_number] = ACTIONS(3187),
    [sym_private_property_identifier] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
    [sym_super] = ACTIONS(3187),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [sym_null] = ACTIONS(3187),
    [sym_undefined] = ACTIONS(3187),
    [anon_sym_AT] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_get] = ACTIONS(3187),
    [anon_sym_set] = ACTIONS(3187),
    [anon_sym_declare] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_module] = ACTIONS(3187),
    [anon_sym_any] = ACTIONS(3187),
    [anon_sym_number] = ACTIONS(3187),
    [anon_sym_boolean] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_symbol] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3191),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_else] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3197),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_else] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_statement_block] = STATE(1240),
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_else_clause] = STATE(1555),
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_export] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_type] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym_import] = ACTIONS(3181),
    [anon_sym_with] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_LPAREN] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_debugger] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_LTtemplate_GT] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_function] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3181),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_void] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3181),
    [sym_number] = ACTIONS(3181),
    [sym_private_property_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
    [sym_super] = ACTIONS(3181),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [sym_null] = ACTIONS(3181),
    [sym_undefined] = ACTIONS(3181),
    [anon_sym_AT] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_get] = ACTIONS(3181),
    [anon_sym_set] = ACTIONS(3181),
    [anon_sym_declare] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_module] = ACTIONS(3181),
    [anon_sym_any] = ACTIONS(3181),
    [anon_sym_number] = ACTIONS(3181),
    [anon_sym_boolean] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_symbol] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2426),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_type] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_else] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LTtemplate_GT] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_SLASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3215),
    [sym_number] = ACTIONS(3215),
    [sym_private_property_identifier] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_readonly] = ACTIONS(3215),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
    [anon_sym_declare] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_override] = ACTIONS(3215),
    [anon_sym_module] = ACTIONS(3215),
    [anon_sym_any] = ACTIONS(3215),
    [anon_sym_number] = ACTIONS(3215),
    [anon_sym_boolean] = ACTIONS(3215),
    [anon_sym_string] = ACTIONS(3215),
    [anon_sym_symbol] = ACTIONS(3215),
    [anon_sym_object] = ACTIONS(3215),
    [anon_sym_abstract] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_catch] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_default] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [ts_builtin_sym_end] = ACTIONS(3245),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [ts_builtin_sym_end] = ACTIONS(3247),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_else] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_statement_block] = STATE(1622),
    [sym_comment] = STATE(1071),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_statement_block] = STATE(1622),
    [sym_comment] = STATE(1075),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_else] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_else] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2394),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_statement_block] = STATE(1405),
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_else] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_statement_block] = STATE(1600),
    [sym_comment] = STATE(1113),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_else] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2424),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [ts_builtin_sym_end] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_else] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_else] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2378),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_finally] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_else] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3355),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_else] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2392),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_export] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_type] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_typeof] = ACTIONS(3187),
    [anon_sym_import] = ACTIONS(3187),
    [anon_sym_with] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_await] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_debugger] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_finally] = ACTIONS(3187),
    [anon_sym_yield] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LTtemplate_GT] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_function] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_SLASH] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_void] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3187),
    [sym_number] = ACTIONS(3187),
    [sym_private_property_identifier] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
    [sym_super] = ACTIONS(3187),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [sym_null] = ACTIONS(3187),
    [sym_undefined] = ACTIONS(3187),
    [anon_sym_AT] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_get] = ACTIONS(3187),
    [anon_sym_set] = ACTIONS(3187),
    [anon_sym_declare] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_module] = ACTIONS(3187),
    [anon_sym_any] = ACTIONS(3187),
    [anon_sym_number] = ACTIONS(3187),
    [anon_sym_boolean] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_symbol] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_export] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_type] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_typeof] = ACTIONS(3383),
    [anon_sym_import] = ACTIONS(3383),
    [anon_sym_with] = ACTIONS(3383),
    [anon_sym_var] = ACTIONS(3383),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_else] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_await] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_debugger] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_yield] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LTtemplate_GT] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_async] = ACTIONS(3383),
    [anon_sym_function] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_SLASH] = ACTIONS(3383),
    [anon_sym_LT] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_void] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3383),
    [sym_number] = ACTIONS(3383),
    [sym_private_property_identifier] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
    [sym_super] = ACTIONS(3383),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [sym_null] = ACTIONS(3383),
    [sym_undefined] = ACTIONS(3383),
    [anon_sym_AT] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_readonly] = ACTIONS(3383),
    [anon_sym_get] = ACTIONS(3383),
    [anon_sym_set] = ACTIONS(3383),
    [anon_sym_declare] = ACTIONS(3383),
    [anon_sym_public] = ACTIONS(3383),
    [anon_sym_private] = ACTIONS(3383),
    [anon_sym_protected] = ACTIONS(3383),
    [anon_sym_override] = ACTIONS(3383),
    [anon_sym_module] = ACTIONS(3383),
    [anon_sym_any] = ACTIONS(3383),
    [anon_sym_number] = ACTIONS(3383),
    [anon_sym_boolean] = ACTIONS(3383),
    [anon_sym_string] = ACTIONS(3383),
    [anon_sym_symbol] = ACTIONS(3383),
    [anon_sym_object] = ACTIONS(3383),
    [anon_sym_abstract] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [sym_identifier] = ACTIONS(3385),
    [anon_sym_export] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_type] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym_import] = ACTIONS(3385),
    [anon_sym_with] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_else] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_debugger] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_LTtemplate_GT] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_function] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_SLASH] = ACTIONS(3385),
    [anon_sym_LT] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_void] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3385),
    [sym_number] = ACTIONS(3385),
    [sym_private_property_identifier] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
    [sym_super] = ACTIONS(3385),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [sym_null] = ACTIONS(3385),
    [sym_undefined] = ACTIONS(3385),
    [anon_sym_AT] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_get] = ACTIONS(3385),
    [anon_sym_set] = ACTIONS(3385),
    [anon_sym_declare] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_module] = ACTIONS(3385),
    [anon_sym_any] = ACTIONS(3385),
    [anon_sym_number] = ACTIONS(3385),
    [anon_sym_boolean] = ACTIONS(3385),
    [anon_sym_string] = ACTIONS(3385),
    [anon_sym_symbol] = ACTIONS(3385),
    [anon_sym_object] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_else_clause] = STATE(1693),
    [sym_comment] = STATE(1197),
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_export] = ACTIONS(3181),
    [anon_sym_type] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym_import] = ACTIONS(3181),
    [anon_sym_with] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_LPAREN] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_debugger] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_LTtemplate_GT] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_function] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3181),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_void] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3181),
    [sym_number] = ACTIONS(3181),
    [sym_private_property_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
    [sym_super] = ACTIONS(3181),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [sym_null] = ACTIONS(3181),
    [sym_undefined] = ACTIONS(3181),
    [anon_sym_AT] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_get] = ACTIONS(3181),
    [anon_sym_set] = ACTIONS(3181),
    [anon_sym_declare] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_module] = ACTIONS(3181),
    [anon_sym_any] = ACTIONS(3181),
    [anon_sym_number] = ACTIONS(3181),
    [anon_sym_boolean] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_symbol] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_else] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_case] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2404),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_default] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_else] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_case] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_default] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_else] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2390),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_else_clause] = STATE(1376),
    [sym_comment] = STATE(1214),
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_export] = ACTIONS(3181),
    [anon_sym_type] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym_import] = ACTIONS(3181),
    [anon_sym_with] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_LPAREN] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_debugger] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_LTtemplate_GT] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_function] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3181),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_void] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3181),
    [sym_number] = ACTIONS(3181),
    [sym_private_property_identifier] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
    [sym_super] = ACTIONS(3181),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [sym_null] = ACTIONS(3181),
    [sym_undefined] = ACTIONS(3181),
    [anon_sym_AT] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_get] = ACTIONS(3181),
    [anon_sym_set] = ACTIONS(3181),
    [anon_sym_declare] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_module] = ACTIONS(3181),
    [anon_sym_any] = ACTIONS(3181),
    [anon_sym_number] = ACTIONS(3181),
    [anon_sym_boolean] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_symbol] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_else] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2398),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_else] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_default] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_else] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [ts_builtin_sym_end] = ACTIONS(3431),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_export] = ACTIONS(3187),
    [anon_sym_type] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_typeof] = ACTIONS(3187),
    [anon_sym_import] = ACTIONS(3187),
    [anon_sym_with] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_else] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_await] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_debugger] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_finally] = ACTIONS(3187),
    [anon_sym_yield] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LTtemplate_GT] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_function] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_SLASH] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_void] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3187),
    [sym_number] = ACTIONS(3187),
    [sym_private_property_identifier] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
    [sym_super] = ACTIONS(3187),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [sym_null] = ACTIONS(3187),
    [sym_undefined] = ACTIONS(3187),
    [anon_sym_AT] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_get] = ACTIONS(3187),
    [anon_sym_set] = ACTIONS(3187),
    [anon_sym_declare] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_module] = ACTIONS(3187),
    [anon_sym_any] = ACTIONS(3187),
    [anon_sym_number] = ACTIONS(3187),
    [anon_sym_boolean] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_symbol] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2362),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_default] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_else] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_case] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_finally_clause] = STATE(1691),
    [sym_comment] = STATE(1239),
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_export] = ACTIONS(3155),
    [anon_sym_type] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_typeof] = ACTIONS(3155),
    [anon_sym_import] = ACTIONS(3155),
    [anon_sym_with] = ACTIONS(3155),
    [anon_sym_var] = ACTIONS(3155),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_await] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_debugger] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_finally] = ACTIONS(3137),
    [anon_sym_yield] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LTtemplate_GT] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_async] = ACTIONS(3155),
    [anon_sym_function] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_SLASH] = ACTIONS(3155),
    [anon_sym_LT] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_void] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3155),
    [sym_number] = ACTIONS(3155),
    [sym_private_property_identifier] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
    [sym_super] = ACTIONS(3155),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [sym_null] = ACTIONS(3155),
    [sym_undefined] = ACTIONS(3155),
    [anon_sym_AT] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_readonly] = ACTIONS(3155),
    [anon_sym_get] = ACTIONS(3155),
    [anon_sym_set] = ACTIONS(3155),
    [anon_sym_declare] = ACTIONS(3155),
    [anon_sym_public] = ACTIONS(3155),
    [anon_sym_private] = ACTIONS(3155),
    [anon_sym_protected] = ACTIONS(3155),
    [anon_sym_override] = ACTIONS(3155),
    [anon_sym_module] = ACTIONS(3155),
    [anon_sym_any] = ACTIONS(3155),
    [anon_sym_number] = ACTIONS(3155),
    [anon_sym_boolean] = ACTIONS(3155),
    [anon_sym_string] = ACTIONS(3155),
    [anon_sym_symbol] = ACTIONS(3155),
    [anon_sym_object] = ACTIONS(3155),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_else] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_default] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_else] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_case] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(3439),
    [anon_sym_export] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_type] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym_import] = ACTIONS(3439),
    [anon_sym_with] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3439),
    [anon_sym_else] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_debugger] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_LTtemplate_GT] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_function] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_SLASH] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(3439),
    [anon_sym_TILDE] = ACTIONS(3439),
    [anon_sym_void] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_PLUS_PLUS] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3439),
    [sym_number] = ACTIONS(3439),
    [sym_private_property_identifier] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
    [sym_super] = ACTIONS(3439),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [sym_null] = ACTIONS(3439),
    [sym_undefined] = ACTIONS(3439),
    [anon_sym_AT] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_get] = ACTIONS(3439),
    [anon_sym_set] = ACTIONS(3439),
    [anon_sym_declare] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_module] = ACTIONS(3439),
    [anon_sym_any] = ACTIONS(3439),
    [anon_sym_number] = ACTIONS(3439),
    [anon_sym_boolean] = ACTIONS(3439),
    [anon_sym_string] = ACTIONS(3439),
    [anon_sym_symbol] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_default] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_else] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_case] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_export] = ACTIONS(3383),
    [anon_sym_type] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_typeof] = ACTIONS(3383),
    [anon_sym_import] = ACTIONS(3383),
    [anon_sym_with] = ACTIONS(3383),
    [anon_sym_var] = ACTIONS(3383),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_else] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_await] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_debugger] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_yield] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LTtemplate_GT] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_async] = ACTIONS(3383),
    [anon_sym_function] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_SLASH] = ACTIONS(3383),
    [anon_sym_LT] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_void] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3383),
    [sym_number] = ACTIONS(3383),
    [sym_private_property_identifier] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
    [sym_super] = ACTIONS(3383),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [sym_null] = ACTIONS(3383),
    [sym_undefined] = ACTIONS(3383),
    [anon_sym_AT] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_readonly] = ACTIONS(3383),
    [anon_sym_get] = ACTIONS(3383),
    [anon_sym_set] = ACTIONS(3383),
    [anon_sym_declare] = ACTIONS(3383),
    [anon_sym_public] = ACTIONS(3383),
    [anon_sym_private] = ACTIONS(3383),
    [anon_sym_protected] = ACTIONS(3383),
    [anon_sym_override] = ACTIONS(3383),
    [anon_sym_module] = ACTIONS(3383),
    [anon_sym_any] = ACTIONS(3383),
    [anon_sym_number] = ACTIONS(3383),
    [anon_sym_boolean] = ACTIONS(3383),
    [anon_sym_string] = ACTIONS(3383),
    [anon_sym_symbol] = ACTIONS(3383),
    [anon_sym_object] = ACTIONS(3383),
    [anon_sym_abstract] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_namespace] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [anon_sym_typeof] = ACTIONS(2164),
    [anon_sym_import] = ACTIONS(2164),
    [anon_sym_with] = ACTIONS(2164),
    [anon_sym_var] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_await] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_debugger] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_LTtemplate_GT] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_function] = ACTIONS(2164),
    [anon_sym_new] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2164),
    [anon_sym_PLUS] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_void] = ACTIONS(2164),
    [anon_sym_delete] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2164),
    [sym_number] = ACTIONS(2164),
    [sym_private_property_identifier] = ACTIONS(2164),
    [sym_this] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [sym_null] = ACTIONS(2164),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2164),
    [anon_sym_interface] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [sym__automatic_semicolon] = ACTIONS(2442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2184),
    [anon_sym_with] = ACTIONS(2184),
    [anon_sym_var] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_await] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_debugger] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LTtemplate_GT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_void] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_number] = ACTIONS(2184),
    [sym_private_property_identifier] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [sym_null] = ACTIONS(2184),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_readonly] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2184),
    [anon_sym_set] = ACTIONS(2184),
    [anon_sym_declare] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_module] = ACTIONS(2184),
    [anon_sym_any] = ACTIONS(2184),
    [anon_sym_number] = ACTIONS(2184),
    [anon_sym_boolean] = ACTIONS(2184),
    [anon_sym_string] = ACTIONS(2184),
    [anon_sym_symbol] = ACTIONS(2184),
    [anon_sym_object] = ACTIONS(2184),
    [anon_sym_abstract] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2478),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [ts_builtin_sym_end] = ACTIONS(3451),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_else] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_else] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [ts_builtin_sym_end] = ACTIONS(3459),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_else] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_export] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_namespace] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2172),
    [anon_sym_import] = ACTIONS(2172),
    [anon_sym_with] = ACTIONS(2172),
    [anon_sym_var] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_switch] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_do] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_debugger] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_throw] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_LTtemplate_GT] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2172),
    [anon_sym_using] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_private_property_identifier] = ACTIONS(2172),
    [sym_this] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_true] = ACTIONS(2172),
    [sym_false] = ACTIONS(2172),
    [sym_null] = ACTIONS(2172),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_readonly] = ACTIONS(2172),
    [anon_sym_get] = ACTIONS(2172),
    [anon_sym_set] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2172),
    [anon_sym_public] = ACTIONS(2172),
    [anon_sym_private] = ACTIONS(2172),
    [anon_sym_protected] = ACTIONS(2172),
    [anon_sym_override] = ACTIONS(2172),
    [anon_sym_module] = ACTIONS(2172),
    [anon_sym_any] = ACTIONS(2172),
    [anon_sym_number] = ACTIONS(2172),
    [anon_sym_boolean] = ACTIONS(2172),
    [anon_sym_string] = ACTIONS(2172),
    [anon_sym_symbol] = ACTIONS(2172),
    [anon_sym_object] = ACTIONS(2172),
    [anon_sym_abstract] = ACTIONS(2172),
    [anon_sym_interface] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [sym__automatic_semicolon] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_type] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_else] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LTtemplate_GT] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_SLASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3215),
    [sym_number] = ACTIONS(3215),
    [sym_private_property_identifier] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_readonly] = ACTIONS(3215),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
    [anon_sym_declare] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_override] = ACTIONS(3215),
    [anon_sym_module] = ACTIONS(3215),
    [anon_sym_any] = ACTIONS(3215),
    [anon_sym_number] = ACTIONS(3215),
    [anon_sym_boolean] = ACTIONS(3215),
    [anon_sym_string] = ACTIONS(3215),
    [anon_sym_symbol] = ACTIONS(3215),
    [anon_sym_object] = ACTIONS(3215),
    [anon_sym_abstract] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_else] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [ts_builtin_sym_end] = ACTIONS(3527),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_else] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3543),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3439),
    [anon_sym_export] = ACTIONS(3439),
    [anon_sym_type] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym_import] = ACTIONS(3439),
    [anon_sym_with] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3439),
    [anon_sym_else] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_debugger] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_LTtemplate_GT] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_function] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_SLASH] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(3439),
    [anon_sym_TILDE] = ACTIONS(3439),
    [anon_sym_void] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_PLUS_PLUS] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3439),
    [sym_number] = ACTIONS(3439),
    [sym_private_property_identifier] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
    [sym_super] = ACTIONS(3439),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [sym_null] = ACTIONS(3439),
    [sym_undefined] = ACTIONS(3439),
    [anon_sym_AT] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_get] = ACTIONS(3439),
    [anon_sym_set] = ACTIONS(3439),
    [anon_sym_declare] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_module] = ACTIONS(3439),
    [anon_sym_any] = ACTIONS(3439),
    [anon_sym_number] = ACTIONS(3439),
    [anon_sym_boolean] = ACTIONS(3439),
    [anon_sym_string] = ACTIONS(3439),
    [anon_sym_symbol] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_else] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [ts_builtin_sym_end] = ACTIONS(3245),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_default] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_case] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_typeof] = ACTIONS(2192),
    [anon_sym_import] = ACTIONS(2192),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_var] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_await] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_debugger] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_throw] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LTtemplate_GT] = ACTIONS(2192),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_using] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_void] = ACTIONS(2192),
    [anon_sym_delete] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym_number] = ACTIONS(2192),
    [sym_private_property_identifier] = ACTIONS(2192),
    [sym_this] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_true] = ACTIONS(2192),
    [sym_false] = ACTIONS(2192),
    [sym_null] = ACTIONS(2192),
    [sym_undefined] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [ts_builtin_sym_end] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_export] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2196),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_typeof] = ACTIONS(2196),
    [anon_sym_import] = ACTIONS(2196),
    [anon_sym_with] = ACTIONS(2196),
    [anon_sym_var] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_await] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_do] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_debugger] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_throw] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LTtemplate_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2196),
    [anon_sym_using] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_void] = ACTIONS(2196),
    [anon_sym_delete] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym_number] = ACTIONS(2196),
    [sym_private_property_identifier] = ACTIONS(2196),
    [sym_this] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_true] = ACTIONS(2196),
    [sym_false] = ACTIONS(2196),
    [sym_null] = ACTIONS(2196),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_readonly] = ACTIONS(2196),
    [anon_sym_get] = ACTIONS(2196),
    [anon_sym_set] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2196),
    [anon_sym_public] = ACTIONS(2196),
    [anon_sym_private] = ACTIONS(2196),
    [anon_sym_protected] = ACTIONS(2196),
    [anon_sym_override] = ACTIONS(2196),
    [anon_sym_module] = ACTIONS(2196),
    [anon_sym_any] = ACTIONS(2196),
    [anon_sym_number] = ACTIONS(2196),
    [anon_sym_boolean] = ACTIONS(2196),
    [anon_sym_string] = ACTIONS(2196),
    [anon_sym_symbol] = ACTIONS(2196),
    [anon_sym_object] = ACTIONS(2196),
    [anon_sym_abstract] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_export] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_type] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_typeof] = ACTIONS(3383),
    [anon_sym_import] = ACTIONS(3383),
    [anon_sym_with] = ACTIONS(3383),
    [anon_sym_var] = ACTIONS(3383),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_await] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_debugger] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_yield] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LTtemplate_GT] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_async] = ACTIONS(3383),
    [anon_sym_function] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_SLASH] = ACTIONS(3383),
    [anon_sym_LT] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_void] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3383),
    [sym_number] = ACTIONS(3383),
    [sym_private_property_identifier] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
    [sym_super] = ACTIONS(3383),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [sym_null] = ACTIONS(3383),
    [sym_undefined] = ACTIONS(3383),
    [anon_sym_AT] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_readonly] = ACTIONS(3383),
    [anon_sym_get] = ACTIONS(3383),
    [anon_sym_set] = ACTIONS(3383),
    [anon_sym_declare] = ACTIONS(3383),
    [anon_sym_public] = ACTIONS(3383),
    [anon_sym_private] = ACTIONS(3383),
    [anon_sym_protected] = ACTIONS(3383),
    [anon_sym_override] = ACTIONS(3383),
    [anon_sym_module] = ACTIONS(3383),
    [anon_sym_any] = ACTIONS(3383),
    [anon_sym_number] = ACTIONS(3383),
    [anon_sym_boolean] = ACTIONS(3383),
    [anon_sym_string] = ACTIONS(3383),
    [anon_sym_symbol] = ACTIONS(3383),
    [anon_sym_object] = ACTIONS(3383),
    [anon_sym_abstract] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(3385),
    [anon_sym_export] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_type] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym_import] = ACTIONS(3385),
    [anon_sym_with] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_debugger] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_LTtemplate_GT] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_function] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_SLASH] = ACTIONS(3385),
    [anon_sym_LT] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_void] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3385),
    [sym_number] = ACTIONS(3385),
    [sym_private_property_identifier] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
    [sym_super] = ACTIONS(3385),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [sym_null] = ACTIONS(3385),
    [sym_undefined] = ACTIONS(3385),
    [anon_sym_AT] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_get] = ACTIONS(3385),
    [anon_sym_set] = ACTIONS(3385),
    [anon_sym_declare] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_module] = ACTIONS(3385),
    [anon_sym_any] = ACTIONS(3385),
    [anon_sym_number] = ACTIONS(3385),
    [anon_sym_boolean] = ACTIONS(3385),
    [anon_sym_string] = ACTIONS(3385),
    [anon_sym_symbol] = ACTIONS(3385),
    [anon_sym_object] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_else] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_type] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LTtemplate_GT] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_SLASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3215),
    [sym_number] = ACTIONS(3215),
    [sym_private_property_identifier] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_readonly] = ACTIONS(3215),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
    [anon_sym_declare] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_override] = ACTIONS(3215),
    [anon_sym_module] = ACTIONS(3215),
    [anon_sym_any] = ACTIONS(3215),
    [anon_sym_number] = ACTIONS(3215),
    [anon_sym_boolean] = ACTIONS(3215),
    [anon_sym_string] = ACTIONS(3215),
    [anon_sym_symbol] = ACTIONS(3215),
    [anon_sym_object] = ACTIONS(3215),
    [anon_sym_abstract] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [ts_builtin_sym_end] = ACTIONS(3563),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_else] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(3571),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_default] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(3583),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_default] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_case] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_else] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_case] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_finally] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_finally] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_statement_block] = STATE(1622),
    [sym_comment] = STATE(1472),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [ts_builtin_sym_end] = ACTIONS(3247),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(3603),
    [anon_sym_export] = ACTIONS(3603),
    [anon_sym_default] = ACTIONS(3603),
    [anon_sym_type] = ACTIONS(3603),
    [anon_sym_namespace] = ACTIONS(3603),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [anon_sym_RBRACE] = ACTIONS(3603),
    [anon_sym_typeof] = ACTIONS(3603),
    [anon_sym_import] = ACTIONS(3603),
    [anon_sym_with] = ACTIONS(3603),
    [anon_sym_var] = ACTIONS(3603),
    [anon_sym_let] = ACTIONS(3603),
    [anon_sym_const] = ACTIONS(3603),
    [anon_sym_BANG] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(3603),
    [anon_sym_switch] = ACTIONS(3603),
    [anon_sym_for] = ACTIONS(3603),
    [anon_sym_LPAREN] = ACTIONS(3603),
    [anon_sym_await] = ACTIONS(3603),
    [anon_sym_while] = ACTIONS(3603),
    [anon_sym_do] = ACTIONS(3603),
    [anon_sym_try] = ACTIONS(3603),
    [anon_sym_break] = ACTIONS(3603),
    [anon_sym_continue] = ACTIONS(3603),
    [anon_sym_debugger] = ACTIONS(3603),
    [anon_sym_return] = ACTIONS(3603),
    [anon_sym_throw] = ACTIONS(3603),
    [anon_sym_SEMI] = ACTIONS(3603),
    [anon_sym_case] = ACTIONS(3603),
    [anon_sym_yield] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3603),
    [anon_sym_LTtemplate_GT] = ACTIONS(3603),
    [anon_sym_DQUOTE] = ACTIONS(3603),
    [anon_sym_SQUOTE] = ACTIONS(3603),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_async] = ACTIONS(3603),
    [anon_sym_function] = ACTIONS(3603),
    [anon_sym_new] = ACTIONS(3603),
    [anon_sym_using] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3603),
    [anon_sym_DASH] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_LT] = ACTIONS(3603),
    [anon_sym_TILDE] = ACTIONS(3603),
    [anon_sym_void] = ACTIONS(3603),
    [anon_sym_delete] = ACTIONS(3603),
    [anon_sym_PLUS_PLUS] = ACTIONS(3603),
    [anon_sym_DASH_DASH] = ACTIONS(3603),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3603),
    [sym_number] = ACTIONS(3603),
    [sym_private_property_identifier] = ACTIONS(3603),
    [sym_this] = ACTIONS(3603),
    [sym_super] = ACTIONS(3603),
    [sym_true] = ACTIONS(3603),
    [sym_false] = ACTIONS(3603),
    [sym_null] = ACTIONS(3603),
    [sym_undefined] = ACTIONS(3603),
    [anon_sym_AT] = ACTIONS(3603),
    [anon_sym_static] = ACTIONS(3603),
    [anon_sym_readonly] = ACTIONS(3603),
    [anon_sym_get] = ACTIONS(3603),
    [anon_sym_set] = ACTIONS(3603),
    [anon_sym_declare] = ACTIONS(3603),
    [anon_sym_public] = ACTIONS(3603),
    [anon_sym_private] = ACTIONS(3603),
    [anon_sym_protected] = ACTIONS(3603),
    [anon_sym_override] = ACTIONS(3603),
    [anon_sym_module] = ACTIONS(3603),
    [anon_sym_any] = ACTIONS(3603),
    [anon_sym_number] = ACTIONS(3603),
    [anon_sym_boolean] = ACTIONS(3603),
    [anon_sym_string] = ACTIONS(3603),
    [anon_sym_symbol] = ACTIONS(3603),
    [anon_sym_object] = ACTIONS(3603),
    [anon_sym_abstract] = ACTIONS(3603),
    [anon_sym_interface] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3603),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2490),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_else] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_else] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [ts_builtin_sym_end] = ACTIONS(3619),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(3631),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [ts_builtin_sym_end] = ACTIONS(3635),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_else] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [ts_builtin_sym_end] = ACTIONS(3639),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [ts_builtin_sym_end] = ACTIONS(3641),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_namespace] = ACTIONS(2236),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_typeof] = ACTIONS(2236),
    [anon_sym_import] = ACTIONS(2236),
    [anon_sym_with] = ACTIONS(2236),
    [anon_sym_var] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_do] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_debugger] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_throw] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LTtemplate_GT] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_function] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(2236),
    [anon_sym_using] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_void] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym_number] = ACTIONS(2236),
    [sym_private_property_identifier] = ACTIONS(2236),
    [sym_this] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_true] = ACTIONS(2236),
    [sym_false] = ACTIONS(2236),
    [sym_null] = ACTIONS(2236),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [anon_sym_abstract] = ACTIONS(2236),
    [anon_sym_interface] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2460),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_export] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_with] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_switch] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_debugger] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LTtemplate_GT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2244),
    [anon_sym_using] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym_number] = ACTIONS(2244),
    [sym_private_property_identifier] = ACTIONS(2244),
    [sym_this] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_true] = ACTIONS(2244),
    [sym_false] = ACTIONS(2244),
    [sym_null] = ACTIONS(2244),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_readonly] = ACTIONS(2244),
    [anon_sym_get] = ACTIONS(2244),
    [anon_sym_set] = ACTIONS(2244),
    [anon_sym_declare] = ACTIONS(2244),
    [anon_sym_public] = ACTIONS(2244),
    [anon_sym_private] = ACTIONS(2244),
    [anon_sym_protected] = ACTIONS(2244),
    [anon_sym_override] = ACTIONS(2244),
    [anon_sym_module] = ACTIONS(2244),
    [anon_sym_any] = ACTIONS(2244),
    [anon_sym_number] = ACTIONS(2244),
    [anon_sym_boolean] = ACTIONS(2244),
    [anon_sym_string] = ACTIONS(2244),
    [anon_sym_symbol] = ACTIONS(2244),
    [anon_sym_object] = ACTIONS(2244),
    [anon_sym_abstract] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2458),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_export] = ACTIONS(2254),
    [anon_sym_type] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_typeof] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_var] = ACTIONS(2254),
    [anon_sym_let] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_await] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_debugger] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LTtemplate_GT] = ACTIONS(2254),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_function] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2254),
    [anon_sym_void] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2254),
    [sym_number] = ACTIONS(2254),
    [sym_private_property_identifier] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_declare] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_any] = ACTIONS(2254),
    [anon_sym_number] = ACTIONS(2254),
    [anon_sym_boolean] = ACTIONS(2254),
    [anon_sym_string] = ACTIONS(2254),
    [anon_sym_symbol] = ACTIONS(2254),
    [anon_sym_object] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3643),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [ts_builtin_sym_end] = ACTIONS(3431),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_export] = ACTIONS(3187),
    [anon_sym_type] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_typeof] = ACTIONS(3187),
    [anon_sym_import] = ACTIONS(3187),
    [anon_sym_with] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_await] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_debugger] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_finally] = ACTIONS(3187),
    [anon_sym_yield] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LTtemplate_GT] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_function] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_SLASH] = ACTIONS(3187),
    [anon_sym_LT] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_void] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3187),
    [sym_number] = ACTIONS(3187),
    [sym_private_property_identifier] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
    [sym_super] = ACTIONS(3187),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [sym_null] = ACTIONS(3187),
    [sym_undefined] = ACTIONS(3187),
    [anon_sym_AT] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_get] = ACTIONS(3187),
    [anon_sym_set] = ACTIONS(3187),
    [anon_sym_declare] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_module] = ACTIONS(3187),
    [anon_sym_any] = ACTIONS(3187),
    [anon_sym_number] = ACTIONS(3187),
    [anon_sym_boolean] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_symbol] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_default] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_case] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [sym_identifier] = ACTIONS(3439),
    [anon_sym_export] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_type] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym_import] = ACTIONS(3439),
    [anon_sym_with] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_debugger] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_LTtemplate_GT] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_function] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_SLASH] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(3439),
    [anon_sym_TILDE] = ACTIONS(3439),
    [anon_sym_void] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_PLUS_PLUS] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3439),
    [sym_number] = ACTIONS(3439),
    [sym_private_property_identifier] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
    [sym_super] = ACTIONS(3439),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [sym_null] = ACTIONS(3439),
    [sym_undefined] = ACTIONS(3439),
    [anon_sym_AT] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_get] = ACTIONS(3439),
    [anon_sym_set] = ACTIONS(3439),
    [anon_sym_declare] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_module] = ACTIONS(3439),
    [anon_sym_any] = ACTIONS(3439),
    [anon_sym_number] = ACTIONS(3439),
    [anon_sym_boolean] = ACTIONS(3439),
    [anon_sym_string] = ACTIONS(3439),
    [anon_sym_symbol] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_default] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_case] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym__automatic_semicolon] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3645),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3647),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3651),
    [sym_identifier] = ACTIONS(3385),
    [anon_sym_export] = ACTIONS(3385),
    [anon_sym_type] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym_import] = ACTIONS(3385),
    [anon_sym_with] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_else] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_debugger] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_LTtemplate_GT] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_function] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_SLASH] = ACTIONS(3385),
    [anon_sym_LT] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_void] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3385),
    [sym_number] = ACTIONS(3385),
    [sym_private_property_identifier] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
    [sym_super] = ACTIONS(3385),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [sym_null] = ACTIONS(3385),
    [sym_undefined] = ACTIONS(3385),
    [anon_sym_AT] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_get] = ACTIONS(3385),
    [anon_sym_set] = ACTIONS(3385),
    [anon_sym_declare] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_module] = ACTIONS(3385),
    [anon_sym_any] = ACTIONS(3385),
    [anon_sym_number] = ACTIONS(3385),
    [anon_sym_boolean] = ACTIONS(3385),
    [anon_sym_string] = ACTIONS(3385),
    [anon_sym_symbol] = ACTIONS(3385),
    [anon_sym_object] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3653),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3643),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3639),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3635),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_typeof] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_with] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_switch] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_await] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_debugger] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_throw] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LTtemplate_GT] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_using] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_void] = ACTIONS(2180),
    [anon_sym_delete] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym_number] = ACTIONS(2180),
    [sym_private_property_identifier] = ACTIONS(2180),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3653),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_export] = ACTIONS(3383),
    [anon_sym_type] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_typeof] = ACTIONS(3383),
    [anon_sym_import] = ACTIONS(3383),
    [anon_sym_with] = ACTIONS(3383),
    [anon_sym_var] = ACTIONS(3383),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_await] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_debugger] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_yield] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LTtemplate_GT] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_async] = ACTIONS(3383),
    [anon_sym_function] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_SLASH] = ACTIONS(3383),
    [anon_sym_LT] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_void] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3383),
    [sym_number] = ACTIONS(3383),
    [sym_private_property_identifier] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
    [sym_super] = ACTIONS(3383),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [sym_null] = ACTIONS(3383),
    [sym_undefined] = ACTIONS(3383),
    [anon_sym_AT] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_readonly] = ACTIONS(3383),
    [anon_sym_get] = ACTIONS(3383),
    [anon_sym_set] = ACTIONS(3383),
    [anon_sym_declare] = ACTIONS(3383),
    [anon_sym_public] = ACTIONS(3383),
    [anon_sym_private] = ACTIONS(3383),
    [anon_sym_protected] = ACTIONS(3383),
    [anon_sym_override] = ACTIONS(3383),
    [anon_sym_module] = ACTIONS(3383),
    [anon_sym_any] = ACTIONS(3383),
    [anon_sym_number] = ACTIONS(3383),
    [anon_sym_boolean] = ACTIONS(3383),
    [anon_sym_string] = ACTIONS(3383),
    [anon_sym_symbol] = ACTIONS(3383),
    [anon_sym_object] = ACTIONS(3383),
    [anon_sym_abstract] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(3527),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3651),
    [sym_identifier] = ACTIONS(3385),
    [anon_sym_export] = ACTIONS(3385),
    [anon_sym_type] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym_import] = ACTIONS(3385),
    [anon_sym_with] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_debugger] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_LTtemplate_GT] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_function] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_SLASH] = ACTIONS(3385),
    [anon_sym_LT] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_void] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3385),
    [sym_number] = ACTIONS(3385),
    [sym_private_property_identifier] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
    [sym_super] = ACTIONS(3385),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [sym_null] = ACTIONS(3385),
    [sym_undefined] = ACTIONS(3385),
    [anon_sym_AT] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_get] = ACTIONS(3385),
    [anon_sym_set] = ACTIONS(3385),
    [anon_sym_declare] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_module] = ACTIONS(3385),
    [anon_sym_any] = ACTIONS(3385),
    [anon_sym_number] = ACTIONS(3385),
    [anon_sym_boolean] = ACTIONS(3385),
    [anon_sym_string] = ACTIONS(3385),
    [anon_sym_symbol] = ACTIONS(3385),
    [anon_sym_object] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3439),
    [anon_sym_export] = ACTIONS(3439),
    [anon_sym_type] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym_import] = ACTIONS(3439),
    [anon_sym_with] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_debugger] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_LTtemplate_GT] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_function] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_SLASH] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(3439),
    [anon_sym_TILDE] = ACTIONS(3439),
    [anon_sym_void] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_PLUS_PLUS] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3439),
    [sym_number] = ACTIONS(3439),
    [sym_private_property_identifier] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
    [sym_super] = ACTIONS(3439),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [sym_null] = ACTIONS(3439),
    [sym_undefined] = ACTIONS(3439),
    [anon_sym_AT] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_get] = ACTIONS(3439),
    [anon_sym_set] = ACTIONS(3439),
    [anon_sym_declare] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_module] = ACTIONS(3439),
    [anon_sym_any] = ACTIONS(3439),
    [anon_sym_number] = ACTIONS(3439),
    [anon_sym_boolean] = ACTIONS(3439),
    [anon_sym_string] = ACTIONS(3439),
    [anon_sym_symbol] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(3451),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [ts_builtin_sym_end] = ACTIONS(3641),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [ts_builtin_sym_end] = ACTIONS(3563),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_export] = ACTIONS(2306),
    [anon_sym_type] = ACTIONS(2306),
    [anon_sym_namespace] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_var] = ACTIONS(2306),
    [anon_sym_let] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_await] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_debugger] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LTtemplate_GT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_async] = ACTIONS(2306),
    [anon_sym_function] = ACTIONS(2306),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_using] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_void] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2306),
    [sym_number] = ACTIONS(2306),
    [sym_private_property_identifier] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_null] = ACTIONS(2306),
    [sym_undefined] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_get] = ACTIONS(2306),
    [anon_sym_set] = ACTIONS(2306),
    [anon_sym_declare] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_override] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_any] = ACTIONS(2306),
    [anon_sym_number] = ACTIONS(2306),
    [anon_sym_boolean] = ACTIONS(2306),
    [anon_sym_string] = ACTIONS(2306),
    [anon_sym_symbol] = ACTIONS(2306),
    [anon_sym_object] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [ts_builtin_sym_end] = ACTIONS(3571),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(3645),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_comment] = STATE(1721),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [ts_builtin_sym_end] = ACTIONS(3647),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3215),
    [anon_sym_export] = ACTIONS(3215),
    [anon_sym_type] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_typeof] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(3215),
    [anon_sym_with] = ACTIONS(3215),
    [anon_sym_var] = ACTIONS(3215),
    [anon_sym_let] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_await] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_debugger] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_yield] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LTtemplate_GT] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_async] = ACTIONS(3215),
    [anon_sym_function] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_SLASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_void] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3215),
    [sym_number] = ACTIONS(3215),
    [sym_private_property_identifier] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
    [sym_super] = ACTIONS(3215),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [sym_null] = ACTIONS(3215),
    [sym_undefined] = ACTIONS(3215),
    [anon_sym_AT] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_readonly] = ACTIONS(3215),
    [anon_sym_get] = ACTIONS(3215),
    [anon_sym_set] = ACTIONS(3215),
    [anon_sym_declare] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_override] = ACTIONS(3215),
    [anon_sym_module] = ACTIONS(3215),
    [anon_sym_any] = ACTIONS(3215),
    [anon_sym_number] = ACTIONS(3215),
    [anon_sym_boolean] = ACTIONS(3215),
    [anon_sym_string] = ACTIONS(3215),
    [anon_sym_symbol] = ACTIONS(3215),
    [anon_sym_object] = ACTIONS(3215),
    [anon_sym_abstract] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_comment] = STATE(1735),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [ts_builtin_sym_end] = ACTIONS(3459),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [ts_builtin_sym_end] = ACTIONS(3657),
    [sym_identifier] = ACTIONS(3603),
    [anon_sym_export] = ACTIONS(3603),
    [anon_sym_type] = ACTIONS(3603),
    [anon_sym_namespace] = ACTIONS(3603),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [anon_sym_RBRACE] = ACTIONS(3603),
    [anon_sym_typeof] = ACTIONS(3603),
    [anon_sym_import] = ACTIONS(3603),
    [anon_sym_with] = ACTIONS(3603),
    [anon_sym_var] = ACTIONS(3603),
    [anon_sym_let] = ACTIONS(3603),
    [anon_sym_const] = ACTIONS(3603),
    [anon_sym_BANG] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(3603),
    [anon_sym_switch] = ACTIONS(3603),
    [anon_sym_for] = ACTIONS(3603),
    [anon_sym_LPAREN] = ACTIONS(3603),
    [anon_sym_await] = ACTIONS(3603),
    [anon_sym_while] = ACTIONS(3603),
    [anon_sym_do] = ACTIONS(3603),
    [anon_sym_try] = ACTIONS(3603),
    [anon_sym_break] = ACTIONS(3603),
    [anon_sym_continue] = ACTIONS(3603),
    [anon_sym_debugger] = ACTIONS(3603),
    [anon_sym_return] = ACTIONS(3603),
    [anon_sym_throw] = ACTIONS(3603),
    [anon_sym_SEMI] = ACTIONS(3603),
    [anon_sym_yield] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3603),
    [anon_sym_LTtemplate_GT] = ACTIONS(3603),
    [anon_sym_DQUOTE] = ACTIONS(3603),
    [anon_sym_SQUOTE] = ACTIONS(3603),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_async] = ACTIONS(3603),
    [anon_sym_function] = ACTIONS(3603),
    [anon_sym_new] = ACTIONS(3603),
    [anon_sym_using] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3603),
    [anon_sym_DASH] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_LT] = ACTIONS(3603),
    [anon_sym_TILDE] = ACTIONS(3603),
    [anon_sym_void] = ACTIONS(3603),
    [anon_sym_delete] = ACTIONS(3603),
    [anon_sym_PLUS_PLUS] = ACTIONS(3603),
    [anon_sym_DASH_DASH] = ACTIONS(3603),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3603),
    [sym_number] = ACTIONS(3603),
    [sym_private_property_identifier] = ACTIONS(3603),
    [sym_this] = ACTIONS(3603),
    [sym_super] = ACTIONS(3603),
    [sym_true] = ACTIONS(3603),
    [sym_false] = ACTIONS(3603),
    [sym_null] = ACTIONS(3603),
    [sym_undefined] = ACTIONS(3603),
    [anon_sym_AT] = ACTIONS(3603),
    [anon_sym_static] = ACTIONS(3603),
    [anon_sym_readonly] = ACTIONS(3603),
    [anon_sym_get] = ACTIONS(3603),
    [anon_sym_set] = ACTIONS(3603),
    [anon_sym_declare] = ACTIONS(3603),
    [anon_sym_public] = ACTIONS(3603),
    [anon_sym_private] = ACTIONS(3603),
    [anon_sym_protected] = ACTIONS(3603),
    [anon_sym_override] = ACTIONS(3603),
    [anon_sym_module] = ACTIONS(3603),
    [anon_sym_any] = ACTIONS(3603),
    [anon_sym_number] = ACTIONS(3603),
    [anon_sym_boolean] = ACTIONS(3603),
    [anon_sym_string] = ACTIONS(3603),
    [anon_sym_symbol] = ACTIONS(3603),
    [anon_sym_object] = ACTIONS(3603),
    [anon_sym_abstract] = ACTIONS(3603),
    [anon_sym_interface] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3603),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_comment] = STATE(1741),
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_comment] = STATE(1742),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_comment] = STATE(1743),
    [ts_builtin_sym_end] = ACTIONS(3619),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_comment] = STATE(1744),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_comment] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_comment] = STATE(1747),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_comment] = STATE(1748),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_comment] = STATE(1749),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_comment] = STATE(1750),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_comment] = STATE(1751),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_comment] = STATE(1752),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_comment] = STATE(1753),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_comment] = STATE(1754),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_comment] = STATE(1755),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_comment] = STATE(1756),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_comment] = STATE(1757),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_comment] = STATE(1758),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_comment] = STATE(1759),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_comment] = STATE(1760),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_comment] = STATE(1761),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_comment] = STATE(1762),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_comment] = STATE(1763),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_comment] = STATE(1764),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_comment] = STATE(1765),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_comment] = STATE(1766),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_comment] = STATE(1767),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_comment] = STATE(1768),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_comment] = STATE(1769),
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2314),
    [anon_sym_type] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_typeof] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_var] = ACTIONS(2314),
    [anon_sym_let] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_await] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_debugger] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LTtemplate_GT] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_async] = ACTIONS(2314),
    [anon_sym_function] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_void] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2314),
    [sym_number] = ACTIONS(2314),
    [sym_private_property_identifier] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_null] = ACTIONS(2314),
    [sym_undefined] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_get] = ACTIONS(2314),
    [anon_sym_set] = ACTIONS(2314),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_override] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_any] = ACTIONS(2314),
    [anon_sym_number] = ACTIONS(2314),
    [anon_sym_boolean] = ACTIONS(2314),
    [anon_sym_string] = ACTIONS(2314),
    [anon_sym_symbol] = ACTIONS(2314),
    [anon_sym_object] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_comment] = STATE(1770),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_comment] = STATE(1771),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_comment] = STATE(1772),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_comment] = STATE(1773),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1774),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5938),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1775),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5925),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(3667),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1776),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(3671),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1777),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5988),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(3675),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3677),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1778),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(5850),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(3679),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1779),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3683),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_comment] = STATE(1780),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_comment] = STATE(1781),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_export] = ACTIONS(3687),
    [anon_sym_type] = ACTIONS(3687),
    [anon_sym_namespace] = ACTIONS(3687),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_typeof] = ACTIONS(3687),
    [anon_sym_import] = ACTIONS(3687),
    [anon_sym_with] = ACTIONS(3687),
    [anon_sym_var] = ACTIONS(3687),
    [anon_sym_let] = ACTIONS(3687),
    [anon_sym_const] = ACTIONS(3687),
    [anon_sym_BANG] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(3687),
    [anon_sym_switch] = ACTIONS(3687),
    [anon_sym_for] = ACTIONS(3687),
    [anon_sym_LPAREN] = ACTIONS(3687),
    [anon_sym_await] = ACTIONS(3687),
    [anon_sym_while] = ACTIONS(3687),
    [anon_sym_do] = ACTIONS(3687),
    [anon_sym_try] = ACTIONS(3687),
    [anon_sym_break] = ACTIONS(3687),
    [anon_sym_continue] = ACTIONS(3687),
    [anon_sym_debugger] = ACTIONS(3687),
    [anon_sym_return] = ACTIONS(3687),
    [anon_sym_throw] = ACTIONS(3687),
    [anon_sym_SEMI] = ACTIONS(3687),
    [anon_sym_yield] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(3687),
    [anon_sym_LTtemplate_GT] = ACTIONS(3687),
    [anon_sym_DQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_class] = ACTIONS(3687),
    [anon_sym_async] = ACTIONS(3687),
    [anon_sym_function] = ACTIONS(3687),
    [anon_sym_new] = ACTIONS(3687),
    [anon_sym_using] = ACTIONS(3687),
    [anon_sym_PLUS] = ACTIONS(3687),
    [anon_sym_DASH] = ACTIONS(3687),
    [anon_sym_SLASH] = ACTIONS(3687),
    [anon_sym_LT] = ACTIONS(3687),
    [anon_sym_TILDE] = ACTIONS(3687),
    [anon_sym_void] = ACTIONS(3687),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_PLUS_PLUS] = ACTIONS(3687),
    [anon_sym_DASH_DASH] = ACTIONS(3687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3687),
    [sym_number] = ACTIONS(3687),
    [sym_private_property_identifier] = ACTIONS(3687),
    [sym_this] = ACTIONS(3687),
    [sym_super] = ACTIONS(3687),
    [sym_true] = ACTIONS(3687),
    [sym_false] = ACTIONS(3687),
    [sym_null] = ACTIONS(3687),
    [sym_undefined] = ACTIONS(3687),
    [anon_sym_AT] = ACTIONS(3687),
    [anon_sym_static] = ACTIONS(3687),
    [anon_sym_readonly] = ACTIONS(3687),
    [anon_sym_get] = ACTIONS(3687),
    [anon_sym_set] = ACTIONS(3687),
    [anon_sym_declare] = ACTIONS(3687),
    [anon_sym_public] = ACTIONS(3687),
    [anon_sym_private] = ACTIONS(3687),
    [anon_sym_protected] = ACTIONS(3687),
    [anon_sym_override] = ACTIONS(3687),
    [anon_sym_module] = ACTIONS(3687),
    [anon_sym_any] = ACTIONS(3687),
    [anon_sym_number] = ACTIONS(3687),
    [anon_sym_boolean] = ACTIONS(3687),
    [anon_sym_string] = ACTIONS(3687),
    [anon_sym_symbol] = ACTIONS(3687),
    [anon_sym_object] = ACTIONS(3687),
    [anon_sym_abstract] = ACTIONS(3687),
    [anon_sym_interface] = ACTIONS(3687),
    [anon_sym_enum] = ACTIONS(3687),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1782),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_comment] = STATE(1783),
    [sym_identifier] = ACTIONS(3691),
    [anon_sym_export] = ACTIONS(3691),
    [anon_sym_type] = ACTIONS(3691),
    [anon_sym_namespace] = ACTIONS(3691),
    [anon_sym_LBRACE] = ACTIONS(3691),
    [anon_sym_typeof] = ACTIONS(3691),
    [anon_sym_import] = ACTIONS(3691),
    [anon_sym_with] = ACTIONS(3691),
    [anon_sym_var] = ACTIONS(3691),
    [anon_sym_let] = ACTIONS(3691),
    [anon_sym_const] = ACTIONS(3691),
    [anon_sym_BANG] = ACTIONS(3691),
    [anon_sym_if] = ACTIONS(3691),
    [anon_sym_switch] = ACTIONS(3691),
    [anon_sym_for] = ACTIONS(3691),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_await] = ACTIONS(3691),
    [anon_sym_while] = ACTIONS(3691),
    [anon_sym_do] = ACTIONS(3691),
    [anon_sym_try] = ACTIONS(3691),
    [anon_sym_break] = ACTIONS(3691),
    [anon_sym_continue] = ACTIONS(3691),
    [anon_sym_debugger] = ACTIONS(3691),
    [anon_sym_return] = ACTIONS(3691),
    [anon_sym_throw] = ACTIONS(3691),
    [anon_sym_SEMI] = ACTIONS(3691),
    [anon_sym_yield] = ACTIONS(3691),
    [anon_sym_LBRACK] = ACTIONS(3691),
    [anon_sym_LTtemplate_GT] = ACTIONS(3691),
    [anon_sym_DQUOTE] = ACTIONS(3691),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [anon_sym_class] = ACTIONS(3691),
    [anon_sym_async] = ACTIONS(3691),
    [anon_sym_function] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3691),
    [anon_sym_using] = ACTIONS(3691),
    [anon_sym_PLUS] = ACTIONS(3691),
    [anon_sym_DASH] = ACTIONS(3691),
    [anon_sym_SLASH] = ACTIONS(3691),
    [anon_sym_LT] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [anon_sym_void] = ACTIONS(3691),
    [anon_sym_delete] = ACTIONS(3691),
    [anon_sym_PLUS_PLUS] = ACTIONS(3691),
    [anon_sym_DASH_DASH] = ACTIONS(3691),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3691),
    [sym_number] = ACTIONS(3691),
    [sym_private_property_identifier] = ACTIONS(3691),
    [sym_this] = ACTIONS(3691),
    [sym_super] = ACTIONS(3691),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [sym_null] = ACTIONS(3691),
    [sym_undefined] = ACTIONS(3691),
    [anon_sym_AT] = ACTIONS(3691),
    [anon_sym_static] = ACTIONS(3691),
    [anon_sym_readonly] = ACTIONS(3691),
    [anon_sym_get] = ACTIONS(3691),
    [anon_sym_set] = ACTIONS(3691),
    [anon_sym_declare] = ACTIONS(3691),
    [anon_sym_public] = ACTIONS(3691),
    [anon_sym_private] = ACTIONS(3691),
    [anon_sym_protected] = ACTIONS(3691),
    [anon_sym_override] = ACTIONS(3691),
    [anon_sym_module] = ACTIONS(3691),
    [anon_sym_any] = ACTIONS(3691),
    [anon_sym_number] = ACTIONS(3691),
    [anon_sym_boolean] = ACTIONS(3691),
    [anon_sym_string] = ACTIONS(3691),
    [anon_sym_symbol] = ACTIONS(3691),
    [anon_sym_object] = ACTIONS(3691),
    [anon_sym_abstract] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3691),
    [anon_sym_enum] = ACTIONS(3691),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_comment] = STATE(1784),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1785),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_comment] = STATE(1786),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_comment] = STATE(1787),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_comment] = STATE(1788),
    [sym_identifier] = ACTIONS(3695),
    [anon_sym_export] = ACTIONS(3695),
    [anon_sym_type] = ACTIONS(3695),
    [anon_sym_namespace] = ACTIONS(3695),
    [anon_sym_LBRACE] = ACTIONS(3695),
    [anon_sym_typeof] = ACTIONS(3695),
    [anon_sym_import] = ACTIONS(3695),
    [anon_sym_with] = ACTIONS(3695),
    [anon_sym_var] = ACTIONS(3695),
    [anon_sym_let] = ACTIONS(3695),
    [anon_sym_const] = ACTIONS(3695),
    [anon_sym_BANG] = ACTIONS(3695),
    [anon_sym_if] = ACTIONS(3695),
    [anon_sym_switch] = ACTIONS(3695),
    [anon_sym_for] = ACTIONS(3695),
    [anon_sym_LPAREN] = ACTIONS(3695),
    [anon_sym_await] = ACTIONS(3695),
    [anon_sym_while] = ACTIONS(3695),
    [anon_sym_do] = ACTIONS(3695),
    [anon_sym_try] = ACTIONS(3695),
    [anon_sym_break] = ACTIONS(3695),
    [anon_sym_continue] = ACTIONS(3695),
    [anon_sym_debugger] = ACTIONS(3695),
    [anon_sym_return] = ACTIONS(3695),
    [anon_sym_throw] = ACTIONS(3695),
    [anon_sym_SEMI] = ACTIONS(3695),
    [anon_sym_yield] = ACTIONS(3695),
    [anon_sym_LBRACK] = ACTIONS(3695),
    [anon_sym_LTtemplate_GT] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [anon_sym_SQUOTE] = ACTIONS(3695),
    [anon_sym_class] = ACTIONS(3695),
    [anon_sym_async] = ACTIONS(3695),
    [anon_sym_function] = ACTIONS(3695),
    [anon_sym_new] = ACTIONS(3695),
    [anon_sym_using] = ACTIONS(3695),
    [anon_sym_PLUS] = ACTIONS(3695),
    [anon_sym_DASH] = ACTIONS(3695),
    [anon_sym_SLASH] = ACTIONS(3695),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_TILDE] = ACTIONS(3695),
    [anon_sym_void] = ACTIONS(3695),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_PLUS_PLUS] = ACTIONS(3695),
    [anon_sym_DASH_DASH] = ACTIONS(3695),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3695),
    [sym_number] = ACTIONS(3695),
    [sym_private_property_identifier] = ACTIONS(3695),
    [sym_this] = ACTIONS(3695),
    [sym_super] = ACTIONS(3695),
    [sym_true] = ACTIONS(3695),
    [sym_false] = ACTIONS(3695),
    [sym_null] = ACTIONS(3695),
    [sym_undefined] = ACTIONS(3695),
    [anon_sym_AT] = ACTIONS(3695),
    [anon_sym_static] = ACTIONS(3695),
    [anon_sym_readonly] = ACTIONS(3695),
    [anon_sym_get] = ACTIONS(3695),
    [anon_sym_set] = ACTIONS(3695),
    [anon_sym_declare] = ACTIONS(3695),
    [anon_sym_public] = ACTIONS(3695),
    [anon_sym_private] = ACTIONS(3695),
    [anon_sym_protected] = ACTIONS(3695),
    [anon_sym_override] = ACTIONS(3695),
    [anon_sym_module] = ACTIONS(3695),
    [anon_sym_any] = ACTIONS(3695),
    [anon_sym_number] = ACTIONS(3695),
    [anon_sym_boolean] = ACTIONS(3695),
    [anon_sym_string] = ACTIONS(3695),
    [anon_sym_symbol] = ACTIONS(3695),
    [anon_sym_object] = ACTIONS(3695),
    [anon_sym_abstract] = ACTIONS(3695),
    [anon_sym_interface] = ACTIONS(3695),
    [anon_sym_enum] = ACTIONS(3695),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_comment] = STATE(1789),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_comment] = STATE(1790),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_comment] = STATE(1791),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1792),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3697),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1793),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3699),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1794),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1795),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1796),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1798),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3709),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_comment] = STATE(1799),
    [sym_identifier] = ACTIONS(3685),
    [anon_sym_export] = ACTIONS(3685),
    [anon_sym_type] = ACTIONS(3685),
    [anon_sym_namespace] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3685),
    [anon_sym_import] = ACTIONS(3685),
    [anon_sym_with] = ACTIONS(3685),
    [anon_sym_var] = ACTIONS(3685),
    [anon_sym_let] = ACTIONS(3685),
    [anon_sym_const] = ACTIONS(3685),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(3685),
    [anon_sym_switch] = ACTIONS(3685),
    [anon_sym_for] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3685),
    [anon_sym_while] = ACTIONS(3685),
    [anon_sym_do] = ACTIONS(3685),
    [anon_sym_try] = ACTIONS(3685),
    [anon_sym_break] = ACTIONS(3685),
    [anon_sym_continue] = ACTIONS(3685),
    [anon_sym_debugger] = ACTIONS(3685),
    [anon_sym_return] = ACTIONS(3685),
    [anon_sym_throw] = ACTIONS(3685),
    [anon_sym_SEMI] = ACTIONS(3685),
    [anon_sym_yield] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_LTtemplate_GT] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3685),
    [anon_sym_async] = ACTIONS(3685),
    [anon_sym_function] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(3685),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3685),
    [anon_sym_DASH] = ACTIONS(3685),
    [anon_sym_SLASH] = ACTIONS(3685),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3685),
    [anon_sym_delete] = ACTIONS(3685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(3685),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3685),
    [anon_sym_readonly] = ACTIONS(3685),
    [anon_sym_get] = ACTIONS(3685),
    [anon_sym_set] = ACTIONS(3685),
    [anon_sym_declare] = ACTIONS(3685),
    [anon_sym_public] = ACTIONS(3685),
    [anon_sym_private] = ACTIONS(3685),
    [anon_sym_protected] = ACTIONS(3685),
    [anon_sym_override] = ACTIONS(3685),
    [anon_sym_module] = ACTIONS(3685),
    [anon_sym_any] = ACTIONS(3685),
    [anon_sym_number] = ACTIONS(3685),
    [anon_sym_boolean] = ACTIONS(3685),
    [anon_sym_string] = ACTIONS(3685),
    [anon_sym_symbol] = ACTIONS(3685),
    [anon_sym_object] = ACTIONS(3685),
    [anon_sym_abstract] = ACTIONS(3685),
    [anon_sym_interface] = ACTIONS(3685),
    [anon_sym_enum] = ACTIONS(3685),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_import] = STATE(6154),
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1800),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4496),
    [sym_asserts] = STATE(4920),
    [sym__type] = STATE(4274),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_predicate] = STATE(4921),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4186),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(3711),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3713),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_asserts] = ACTIONS(3715),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_import] = STATE(6094),
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1801),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4916),
    [sym_asserts] = STATE(5370),
    [sym__type] = STATE(4484),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_predicate] = STATE(5366),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4273),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(3749),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_asserts] = ACTIONS(3757),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1802),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4363),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4611),
    [sym_asserts] = STATE(6890),
    [sym__type] = STATE(4408),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_predicate] = STATE(6891),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3916),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3767),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_asserts] = ACTIONS(3769),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1803),
    [sym_formal_parameters] = STATE(7412),
    [sym_rest_pattern] = STATE(6815),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4867),
    [sym_tuple_parameter] = STATE(6817),
    [sym_optional_tuple_parameter] = STATE(6817),
    [sym_optional_type] = STATE(6817),
    [sym_rest_type] = STATE(6817),
    [sym__tuple_type_member] = STATE(6852),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3665),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3771),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3775),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1807),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1808),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3779),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1809),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3781),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1810),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1811),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3785),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1812),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1813),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1814),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3791),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1815),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3793),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1816),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3795),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1817),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3797),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1818),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4866),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5590),
    [sym__type] = STATE(4865),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_type_parameter] = STATE(6166),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3799),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(3801),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1819),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3803),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1820),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3805),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1821),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1822),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3809),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1823),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1824),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3813),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1825),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1826),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1827),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1828),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1829),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3823),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1830),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3827),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1832),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3829),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1833),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3831),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1834),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3833),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1835),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1836),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3837),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3839),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1838),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3841),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1839),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3843),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1840),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3845),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1841),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1842),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3849),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1843),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3851),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1844),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3853),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1845),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3855),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1846),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3857),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1847),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4363),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4611),
    [sym__type] = STATE(4408),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4868),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5683),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1849),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4798),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5636),
    [sym__type] = STATE(4803),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5480),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6080),
    [sym__type] = STATE(5445),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1851),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4885),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5516),
    [sym__type] = STATE(4881),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4938),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5577),
    [sym__type] = STATE(4935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1853),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4846),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5608),
    [sym__type] = STATE(4847),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_import] = STATE(6154),
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1854),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4496),
    [sym__type] = STATE(4274),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_import] = STATE(6169),
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4841),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5547),
    [sym__type] = STATE(4838),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1856),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym_asserts] = STATE(4198),
    [sym__type] = STATE(4252),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_predicate] = STATE(4198),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4186),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(3711),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3713),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_asserts] = ACTIONS(3715),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym_asserts] = STATE(2570),
    [sym__type] = STATE(2577),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_predicate] = STATE(2570),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2449),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(3887),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_asserts] = ACTIONS(3895),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1858),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym_asserts] = STATE(3097),
    [sym__type] = STATE(3098),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_predicate] = STATE(3097),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2886),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(3931),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_asserts] = ACTIONS(3939),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1859),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym_asserts] = STATE(4467),
    [sym__type] = STATE(4468),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_predicate] = STATE(4467),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4273),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(3749),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_asserts] = ACTIONS(3757),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym_asserts] = STATE(4436),
    [sym__type] = STATE(4434),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_predicate] = STATE(4436),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4273),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(3749),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_asserts] = ACTIONS(3757),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1861),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym_asserts] = STATE(4200),
    [sym__type] = STATE(4202),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_predicate] = STATE(4200),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4186),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(3711),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3713),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_asserts] = ACTIONS(3715),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym_asserts] = STATE(2980),
    [sym__type] = STATE(2978),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_predicate] = STATE(2980),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2886),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(3931),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_asserts] = ACTIONS(3939),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1863),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_asserts] = STATE(3940),
    [sym__type] = STATE(3937),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_predicate] = STATE(3940),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3916),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3767),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_asserts] = ACTIONS(3769),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym_asserts] = STATE(3981),
    [sym__type] = STATE(4025),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_predicate] = STATE(3981),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3916),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3767),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_asserts] = ACTIONS(3769),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym_asserts] = STATE(2555),
    [sym__type] = STATE(2556),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_predicate] = STATE(2555),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2449),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(3887),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_asserts] = ACTIONS(3895),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6314),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1866),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_export] = ACTIONS(3949),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(3947),
    [anon_sym_namespace] = ACTIONS(3947),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3947),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_readonly] = ACTIONS(3975),
    [anon_sym_get] = ACTIONS(3977),
    [anon_sym_set] = ACTIONS(3977),
    [anon_sym_declare] = ACTIONS(3947),
    [anon_sym_public] = ACTIONS(3979),
    [anon_sym_private] = ACTIONS(3979),
    [anon_sym_protected] = ACTIONS(3979),
    [anon_sym_override] = ACTIONS(3981),
    [anon_sym_module] = ACTIONS(3947),
    [anon_sym_any] = ACTIONS(3947),
    [anon_sym_number] = ACTIONS(3947),
    [anon_sym_boolean] = ACTIONS(3947),
    [anon_sym_string] = ACTIONS(3947),
    [anon_sym_symbol] = ACTIONS(3947),
    [anon_sym_object] = ACTIONS(3947),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1867),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_export] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(3987),
    [anon_sym_namespace] = ACTIONS(3987),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3993),
    [anon_sym_new] = ACTIONS(3995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_readonly] = ACTIONS(3999),
    [anon_sym_get] = ACTIONS(4001),
    [anon_sym_set] = ACTIONS(4001),
    [anon_sym_declare] = ACTIONS(3987),
    [anon_sym_public] = ACTIONS(4003),
    [anon_sym_private] = ACTIONS(4003),
    [anon_sym_protected] = ACTIONS(4003),
    [anon_sym_override] = ACTIONS(4005),
    [anon_sym_module] = ACTIONS(3987),
    [anon_sym_any] = ACTIONS(3987),
    [anon_sym_number] = ACTIONS(3987),
    [anon_sym_boolean] = ACTIONS(3987),
    [anon_sym_string] = ACTIONS(3987),
    [anon_sym_symbol] = ACTIONS(3987),
    [anon_sym_object] = ACTIONS(3987),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6314),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1868),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6314),
    [sym_pair] = STATE(6314),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6189),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_export] = ACTIONS(3949),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(3947),
    [anon_sym_namespace] = ACTIONS(3947),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_let] = ACTIONS(3947),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_readonly] = ACTIONS(3975),
    [anon_sym_get] = ACTIONS(3977),
    [anon_sym_set] = ACTIONS(3977),
    [anon_sym_declare] = ACTIONS(3947),
    [anon_sym_public] = ACTIONS(3979),
    [anon_sym_private] = ACTIONS(3979),
    [anon_sym_protected] = ACTIONS(3979),
    [anon_sym_override] = ACTIONS(3981),
    [anon_sym_module] = ACTIONS(3947),
    [anon_sym_any] = ACTIONS(3947),
    [anon_sym_number] = ACTIONS(3947),
    [anon_sym_boolean] = ACTIONS(3947),
    [anon_sym_string] = ACTIONS(3947),
    [anon_sym_symbol] = ACTIONS(3947),
    [anon_sym_object] = ACTIONS(3947),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1869),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1870),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4033),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1871),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_export] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(3987),
    [anon_sym_namespace] = ACTIONS(3987),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [anon_sym_let] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3993),
    [anon_sym_new] = ACTIONS(3995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_readonly] = ACTIONS(3999),
    [anon_sym_get] = ACTIONS(4001),
    [anon_sym_set] = ACTIONS(4001),
    [anon_sym_declare] = ACTIONS(3987),
    [anon_sym_public] = ACTIONS(4003),
    [anon_sym_private] = ACTIONS(4003),
    [anon_sym_protected] = ACTIONS(4003),
    [anon_sym_override] = ACTIONS(4005),
    [anon_sym_module] = ACTIONS(3987),
    [anon_sym_any] = ACTIONS(3987),
    [anon_sym_number] = ACTIONS(3987),
    [anon_sym_boolean] = ACTIONS(3987),
    [anon_sym_string] = ACTIONS(3987),
    [anon_sym_symbol] = ACTIONS(3987),
    [anon_sym_object] = ACTIONS(3987),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_export_statement] = STATE(4887),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1872),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4887),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4887),
    [sym_property_signature] = STATE(4887),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4887),
    [sym_index_signature] = STATE(4887),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(4051),
    [anon_sym_RBRACE] = ACTIONS(4053),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(4055),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4057),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1873),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4059),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1874),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4061),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1875),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1876),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6316),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(1877),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6316),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6316),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [aux_sym_object_repeat1] = STATE(6296),
    [aux_sym_object_pattern_repeat1] = STATE(6284),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_export] = ACTIONS(4067),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4065),
    [anon_sym_namespace] = ACTIONS(4065),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(3955),
    [anon_sym_RBRACE] = ACTIONS(4061),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_SEMI] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4069),
    [anon_sym_new] = ACTIONS(4071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4073),
    [anon_sym_readonly] = ACTIONS(4075),
    [anon_sym_get] = ACTIONS(4077),
    [anon_sym_set] = ACTIONS(4077),
    [anon_sym_declare] = ACTIONS(4065),
    [anon_sym_public] = ACTIONS(4079),
    [anon_sym_private] = ACTIONS(4079),
    [anon_sym_protected] = ACTIONS(4079),
    [anon_sym_override] = ACTIONS(4081),
    [anon_sym_module] = ACTIONS(4065),
    [anon_sym_any] = ACTIONS(4065),
    [anon_sym_number] = ACTIONS(4065),
    [anon_sym_boolean] = ACTIONS(4065),
    [anon_sym_string] = ACTIONS(4065),
    [anon_sym_symbol] = ACTIONS(4065),
    [anon_sym_object] = ACTIONS(4065),
    [anon_sym_abstract] = ACTIONS(3983),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3985),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_variable_declarator] = STATE(5563),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(1878),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(1071),
    [sym_string] = STATE(1472),
    [sym_comment] = STATE(1879),
    [sym__module] = STATE(1725),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_nested_identifier] = STATE(346),
    [sym_string] = STATE(348),
    [sym_comment] = STATE(1880),
    [sym__module] = STATE(457),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4097),
    [anon_sym_SQUOTE] = ACTIONS(4099),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_nested_identifier] = STATE(346),
    [sym_string] = STATE(348),
    [sym_comment] = STATE(1881),
    [sym__module] = STATE(457),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4097),
    [anon_sym_SQUOTE] = ACTIONS(4099),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1882),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5630),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4101),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_nested_identifier] = STATE(346),
    [sym_string] = STATE(348),
    [sym_comment] = STATE(1883),
    [sym__module] = STATE(457),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4097),
    [anon_sym_SQUOTE] = ACTIONS(4099),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_variable_declarator] = STATE(5563),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(1884),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1885),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5650),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1886),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5511),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_variable_declarator] = STATE(5563),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(1887),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(1071),
    [sym_string] = STATE(1472),
    [sym_comment] = STATE(1888),
    [sym__module] = STATE(1725),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1889),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5734),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4107),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5545),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(1071),
    [sym_string] = STATE(1472),
    [sym_comment] = STATE(1891),
    [sym__module] = STATE(1725),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3067),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1893),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4388),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1894),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5315),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5100),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5355),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5834),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3949),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1899),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5309),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4250),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4330),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4249),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3921),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5418),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5725),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2567),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(5786),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3024),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5693),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5529),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2932),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5388),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2940),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2943),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2921),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5686),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2573),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5684),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3922),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5058),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2917),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3935),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5449),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2496),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5469),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4227),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5538),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2485),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5082),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4242),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2459),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4245),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5631),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4224),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5274),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2572),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4327),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1938),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5558),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4189),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4209),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5917),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(4206),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5917),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(4196),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5582),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5330),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5220),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5574),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5515),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1948),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4499),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(6245),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(4375),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5834),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(5439),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(5642),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4195),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5576),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5442),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4882),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5834),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3992),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(6245),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(4373),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1957),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3986),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1958),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4372),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1959),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4368),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1960),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4367),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1961),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3947),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1962),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4475),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1963),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4474),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1964),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2507),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1965),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4515),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1966),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2565),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1967),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5719),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1968),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2564),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1969),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4442),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1970),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2512),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(4123),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1971),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4010),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1972),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4002),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1973),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2518),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1974),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5632),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1975),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3099),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1976),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3100),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1977),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4232),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1978),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4444),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1979),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5389),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1980),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(4849),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1981),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4222),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(1982),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4389),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1983),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(5992),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(2464),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1984),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(5992),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(2460),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1985),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5118),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1986),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3054),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1987),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(5786),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(2920),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1988),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5197),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1989),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2925),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1990),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5183),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1991),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2495),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1992] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1992),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2990),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1993] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1993),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4498),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1994] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1994),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(2999),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1995] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(1995),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4226),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1996] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(1996),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5457),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1997] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(1997),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3078),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [1998] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1998),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2515),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [1999] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(1999),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2519),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [2000] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2000),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5616),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2001] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(2001),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3115),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [2002] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(2002),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4383),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [2003] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2003),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3971),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2004] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2004),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3933),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2005] = {
    [sym_nested_identifier] = STATE(7174),
    [sym_string] = STATE(4403),
    [sym_comment] = STATE(2005),
    [sym_formal_parameters] = STATE(7494),
    [sym_nested_type_identifier] = STATE(4248),
    [sym__type] = STATE(4288),
    [sym_constructor_type] = STATE(4451),
    [sym__primary_type] = STATE(4450),
    [sym_template_literal_type] = STATE(4447),
    [sym_infer_type] = STATE(4451),
    [sym_conditional_type] = STATE(4447),
    [sym_generic_type] = STATE(4447),
    [sym_type_query] = STATE(4447),
    [sym_index_type_query] = STATE(4447),
    [sym_lookup_type] = STATE(4447),
    [sym_literal_type] = STATE(4447),
    [sym__number] = STATE(4419),
    [sym_existential_type] = STATE(4447),
    [sym_flow_maybe_type] = STATE(4447),
    [sym_parenthesized_type] = STATE(4447),
    [sym_predefined_type] = STATE(4447),
    [sym_object_type] = STATE(4447),
    [sym_type_parameters] = STATE(7090),
    [sym_array_type] = STATE(4447),
    [sym_tuple_type] = STATE(4447),
    [sym_readonly_type] = STATE(4451),
    [sym_union_type] = STATE(4447),
    [sym_intersection_type] = STATE(4447),
    [sym_function_type] = STATE(4451),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3723),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3737),
    [anon_sym_PIPE] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3743),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3745),
    [sym_number] = ACTIONS(3747),
    [sym_this] = ACTIONS(4117),
    [sym_true] = ACTIONS(3747),
    [sym_false] = ACTIONS(3747),
    [sym_null] = ACTIONS(3747),
    [sym_undefined] = ACTIONS(3747),
    [anon_sym_readonly] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_any] = ACTIONS(3743),
    [anon_sym_number] = ACTIONS(3743),
    [anon_sym_boolean] = ACTIONS(3743),
    [anon_sym_string] = ACTIONS(3743),
    [anon_sym_symbol] = ACTIONS(3743),
    [anon_sym_object] = ACTIONS(3743),
    [anon_sym_abstract] = ACTIONS(3755),
    [anon_sym_infer] = ACTIONS(3759),
    [anon_sym_keyof] = ACTIONS(3761),
    [anon_sym_unique] = ACTIONS(3763),
    [anon_sym_unknown] = ACTIONS(3743),
    [anon_sym_never] = ACTIONS(3743),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3721),
    [sym_html_comment] = ACTIONS(5),
  },
  [2006] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(2006),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(4221),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [2007] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(2007),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5011),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [2008] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2008),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3970),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2009] = {
    [sym_nested_identifier] = STATE(7196),
    [sym_string] = STATE(4215),
    [sym_comment] = STATE(2009),
    [sym_formal_parameters] = STATE(7247),
    [sym_nested_type_identifier] = STATE(4082),
    [sym__type] = STATE(5086),
    [sym_constructor_type] = STATE(4225),
    [sym__primary_type] = STATE(4228),
    [sym_template_literal_type] = STATE(4240),
    [sym_infer_type] = STATE(4225),
    [sym_conditional_type] = STATE(4240),
    [sym_generic_type] = STATE(4240),
    [sym_type_query] = STATE(4240),
    [sym_index_type_query] = STATE(4240),
    [sym_lookup_type] = STATE(4240),
    [sym_literal_type] = STATE(4240),
    [sym__number] = STATE(4241),
    [sym_existential_type] = STATE(4240),
    [sym_flow_maybe_type] = STATE(4240),
    [sym_parenthesized_type] = STATE(4240),
    [sym_predefined_type] = STATE(4240),
    [sym_object_type] = STATE(4240),
    [sym_type_parameters] = STATE(6938),
    [sym_array_type] = STATE(4240),
    [sym_tuple_type] = STATE(4240),
    [sym_readonly_type] = STATE(4225),
    [sym_union_type] = STATE(4240),
    [sym_intersection_type] = STATE(4240),
    [sym_function_type] = STATE(4225),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1385),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1385),
    [anon_sym_number] = ACTIONS(1385),
    [anon_sym_boolean] = ACTIONS(1385),
    [anon_sym_string] = ACTIONS(1385),
    [anon_sym_symbol] = ACTIONS(1385),
    [anon_sym_object] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_infer] = ACTIONS(1379),
    [anon_sym_keyof] = ACTIONS(1381),
    [anon_sym_unique] = ACTIONS(1383),
    [anon_sym_unknown] = ACTIONS(1385),
    [anon_sym_never] = ACTIONS(1385),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1387),
    [sym_html_comment] = ACTIONS(5),
  },
  [2010] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2010),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3985),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2011] = {
    [sym_nested_identifier] = STATE(7148),
    [sym_string] = STATE(2500),
    [sym_comment] = STATE(2011),
    [sym_formal_parameters] = STATE(7379),
    [sym_nested_type_identifier] = STATE(2443),
    [sym__type] = STATE(2568),
    [sym_constructor_type] = STATE(2492),
    [sym__primary_type] = STATE(2491),
    [sym_template_literal_type] = STATE(2490),
    [sym_infer_type] = STATE(2492),
    [sym_conditional_type] = STATE(2490),
    [sym_generic_type] = STATE(2490),
    [sym_type_query] = STATE(2490),
    [sym_index_type_query] = STATE(2490),
    [sym_lookup_type] = STATE(2490),
    [sym_literal_type] = STATE(2490),
    [sym__number] = STATE(2488),
    [sym_existential_type] = STATE(2490),
    [sym_flow_maybe_type] = STATE(2490),
    [sym_parenthesized_type] = STATE(2490),
    [sym_predefined_type] = STATE(2490),
    [sym_object_type] = STATE(2490),
    [sym_type_parameters] = STATE(7058),
    [sym_array_type] = STATE(2490),
    [sym_tuple_type] = STATE(2490),
    [sym_readonly_type] = STATE(2492),
    [sym_union_type] = STATE(2490),
    [sym_intersection_type] = STATE(2490),
    [sym_function_type] = STATE(2492),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3881),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3883),
    [sym_number] = ACTIONS(3885),
    [sym_this] = ACTIONS(4121),
    [sym_true] = ACTIONS(3885),
    [sym_false] = ACTIONS(3885),
    [sym_null] = ACTIONS(3885),
    [sym_undefined] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_any] = ACTIONS(3881),
    [anon_sym_number] = ACTIONS(3881),
    [anon_sym_boolean] = ACTIONS(3881),
    [anon_sym_string] = ACTIONS(3881),
    [anon_sym_symbol] = ACTIONS(3881),
    [anon_sym_object] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_infer] = ACTIONS(3897),
    [anon_sym_keyof] = ACTIONS(3899),
    [anon_sym_unique] = ACTIONS(3901),
    [anon_sym_unknown] = ACTIONS(3881),
    [anon_sym_never] = ACTIONS(3881),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3863),
    [sym_html_comment] = ACTIONS(5),
  },
  [2012] = {
    [sym_nested_identifier] = STATE(7323),
    [sym_string] = STATE(2974),
    [sym_comment] = STATE(2012),
    [sym_formal_parameters] = STATE(7407),
    [sym_nested_type_identifier] = STATE(2861),
    [sym__type] = STATE(3116),
    [sym_constructor_type] = STATE(2983),
    [sym__primary_type] = STATE(2987),
    [sym_template_literal_type] = STATE(2989),
    [sym_infer_type] = STATE(2983),
    [sym_conditional_type] = STATE(2989),
    [sym_generic_type] = STATE(2989),
    [sym_type_query] = STATE(2989),
    [sym_index_type_query] = STATE(2989),
    [sym_lookup_type] = STATE(2989),
    [sym_literal_type] = STATE(2989),
    [sym__number] = STATE(2991),
    [sym_existential_type] = STATE(2989),
    [sym_flow_maybe_type] = STATE(2989),
    [sym_parenthesized_type] = STATE(2989),
    [sym_predefined_type] = STATE(2989),
    [sym_object_type] = STATE(2989),
    [sym_type_parameters] = STATE(6708),
    [sym_array_type] = STATE(2989),
    [sym_tuple_type] = STATE(2989),
    [sym_readonly_type] = STATE(2983),
    [sym_union_type] = STATE(2989),
    [sym_intersection_type] = STATE(2989),
    [sym_function_type] = STATE(2983),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3923),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3927),
    [sym_number] = ACTIONS(3929),
    [sym_this] = ACTIONS(4113),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [sym_null] = ACTIONS(3929),
    [sym_undefined] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_any] = ACTIONS(3925),
    [anon_sym_number] = ACTIONS(3925),
    [anon_sym_boolean] = ACTIONS(3925),
    [anon_sym_string] = ACTIONS(3925),
    [anon_sym_symbol] = ACTIONS(3925),
    [anon_sym_object] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_infer] = ACTIONS(3941),
    [anon_sym_keyof] = ACTIONS(3943),
    [anon_sym_unique] = ACTIONS(3945),
    [anon_sym_unknown] = ACTIONS(3925),
    [anon_sym_never] = ACTIONS(3925),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3907),
    [sym_html_comment] = ACTIONS(5),
  },
  [2013] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2013),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(3919),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2014] = {
    [sym_nested_identifier] = STATE(7413),
    [sym_string] = STATE(3977),
    [sym_comment] = STATE(2014),
    [sym_formal_parameters] = STATE(7412),
    [sym_nested_type_identifier] = STATE(3892),
    [sym__type] = STATE(5713),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(3957),
    [sym_template_literal_type] = STATE(3955),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(3955),
    [sym_generic_type] = STATE(3955),
    [sym_type_query] = STATE(3955),
    [sym_index_type_query] = STATE(3955),
    [sym_lookup_type] = STATE(3955),
    [sym_literal_type] = STATE(3955),
    [sym__number] = STATE(3953),
    [sym_existential_type] = STATE(3955),
    [sym_flow_maybe_type] = STATE(3955),
    [sym_parenthesized_type] = STATE(3955),
    [sym_predefined_type] = STATE(3955),
    [sym_object_type] = STATE(3955),
    [sym_type_parameters] = STATE(6620),
    [sym_array_type] = STATE(3955),
    [sym_tuple_type] = STATE(3955),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(3955),
    [sym_intersection_type] = STATE(3955),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_any] = ACTIONS(205),
    [anon_sym_number] = ACTIONS(205),
    [anon_sym_boolean] = ACTIONS(205),
    [anon_sym_string] = ACTIONS(205),
    [anon_sym_symbol] = ACTIONS(205),
    [anon_sym_object] = ACTIONS(205),
    [anon_sym_abstract] = ACTIONS(197),
    [anon_sym_infer] = ACTIONS(199),
    [anon_sym_keyof] = ACTIONS(201),
    [anon_sym_unique] = ACTIONS(203),
    [anon_sym_unknown] = ACTIONS(205),
    [anon_sym_never] = ACTIONS(205),
    [anon_sym_LBRACE_PIPE] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [2015] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2015),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2016] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2016),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2017] = {
    [sym_export_statement] = STATE(4947),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6689),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6690),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(2017),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6689),
    [sym_method_definition] = STATE(6690),
    [sym_pair] = STATE(6690),
    [sym_pair_pattern] = STATE(6689),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4947),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4947),
    [sym_property_signature] = STATE(4947),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4947),
    [sym_index_signature] = STATE(4947),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [sym_identifier] = ACTIONS(4129),
    [anon_sym_export] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4129),
    [anon_sym_namespace] = ACTIONS(4129),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4133),
    [anon_sym_let] = ACTIONS(4129),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4136),
    [anon_sym_new] = ACTIONS(4138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4140),
    [anon_sym_readonly] = ACTIONS(4142),
    [anon_sym_get] = ACTIONS(4144),
    [anon_sym_set] = ACTIONS(4144),
    [anon_sym_declare] = ACTIONS(4129),
    [anon_sym_public] = ACTIONS(4146),
    [anon_sym_private] = ACTIONS(4146),
    [anon_sym_protected] = ACTIONS(4146),
    [anon_sym_override] = ACTIONS(4148),
    [anon_sym_module] = ACTIONS(4129),
    [anon_sym_any] = ACTIONS(4129),
    [anon_sym_number] = ACTIONS(4129),
    [anon_sym_boolean] = ACTIONS(4129),
    [anon_sym_string] = ACTIONS(4129),
    [anon_sym_symbol] = ACTIONS(4129),
    [anon_sym_object] = ACTIONS(4129),
    [anon_sym_abstract] = ACTIONS(3983),
    [sym_html_comment] = ACTIONS(5),
  },
  [2018] = {
    [sym_export_statement] = STATE(4903),
    [sym_object_pattern] = STATE(4460),
    [sym_object_assignment_pattern] = STATE(6689),
    [sym_array_pattern] = STATE(4460),
    [sym__call_signature] = STATE(5280),
    [sym__destructuring_pattern] = STATE(7365),
    [sym_spread_element] = STATE(6690),
    [sym_string] = STATE(4203),
    [sym_comment] = STATE(2018),
    [sym_decorator] = STATE(5534),
    [sym_formal_parameters] = STATE(4280),
    [sym_rest_pattern] = STATE(6689),
    [sym_method_definition] = STATE(6690),
    [sym_pair] = STATE(6690),
    [sym_pair_pattern] = STATE(6689),
    [sym__property_name] = STATE(4120),
    [sym_computed_property_name] = STATE(4203),
    [sym_method_signature] = STATE(4903),
    [sym_accessibility_modifier] = STATE(3740),
    [sym_override_modifier] = STATE(3764),
    [sym_call_signature] = STATE(4903),
    [sym_property_signature] = STATE(4903),
    [sym_type_parameters] = STATE(6888),
    [sym_construct_signature] = STATE(4903),
    [sym_index_signature] = STATE(4903),
    [aux_sym_export_statement_repeat1] = STATE(5726),
    [sym_identifier] = ACTIONS(4129),
    [anon_sym_export] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_type] = ACTIONS(4129),
    [anon_sym_namespace] = ACTIONS(4129),
    [anon_sym_LBRACE] = ACTIONS(3953),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4133),
    [anon_sym_let] = ACTIONS(4129),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4136),
    [anon_sym_new] = ACTIONS(4138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3971),
    [sym_private_property_identifier] = ACTIONS(3971),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4140),
    [anon_sym_readonly] = ACTIONS(4142),
    [anon_sym_get] = ACTIONS(4144),
    [anon_sym_set] = ACTIONS(4144),
    [anon_sym_declare] = ACTIONS(4129),
    [anon_sym_public] = ACTIONS(4146),
    [anon_sym_private] = ACTIONS(4146),
    [anon_sym_protected] = ACTIONS(4146),
    [anon_sym_override] = ACTIONS(4148),
    [anon_sym_module] = ACTIONS(4129),
    [anon_sym_any] = ACTIONS(4129),
    [anon_sym_number] = ACTIONS(4129),
    [anon_sym_boolean] = ACTIONS(4129),
    [anon_sym_string] = ACTIONS(4129),
    [anon_sym_symbol] = ACTIONS(4129),
    [anon_sym_object] = ACTIONS(4129),
    [anon_sym_abstract] = ACTIONS(3983),
    [sym_html_comment] = ACTIONS(5),
  },
  [2019] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2019),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2020] = {
    [sym_variable_declarator] = STATE(5563),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(2020),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2021] = {
    [sym_nested_identifier] = STATE(5013),
    [sym_string] = STATE(5527),
    [sym_comment] = STATE(2021),
    [sym__module] = STATE(6936),
    [sym_identifier] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2022] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2022),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2023] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2023),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(214),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(214),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2024] = {
    [sym_nested_identifier] = STATE(2444),
    [sym_string] = STATE(2454),
    [sym_comment] = STATE(2024),
    [sym__module] = STATE(2630),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2025] = {
    [sym_nested_identifier] = STATE(986),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(2025),
    [sym__module] = STATE(1269),
    [sym_identifier] = ACTIONS(4154),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4156),
    [anon_sym_SQUOTE] = ACTIONS(4158),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2026] = {
    [sym_nested_identifier] = STATE(331),
    [sym_string] = STATE(337),
    [sym_comment] = STATE(2026),
    [sym__module] = STATE(406),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4162),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2027] = {
    [sym_nested_identifier] = STATE(346),
    [sym_string] = STATE(348),
    [sym_comment] = STATE(2027),
    [sym__module] = STATE(457),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4097),
    [anon_sym_SQUOTE] = ACTIONS(4099),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2028] = {
    [sym_nested_identifier] = STATE(2444),
    [sym_string] = STATE(2454),
    [sym_comment] = STATE(2028),
    [sym__module] = STATE(2630),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2029] = {
    [sym_nested_identifier] = STATE(2444),
    [sym_string] = STATE(2454),
    [sym_comment] = STATE(2029),
    [sym__module] = STATE(2630),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2030] = {
    [sym_nested_identifier] = STATE(2444),
    [sym_string] = STATE(2454),
    [sym_comment] = STATE(2030),
    [sym__module] = STATE(2630),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2031] = {
    [sym_variable_declarator] = STATE(5697),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4481),
    [sym_comment] = STATE(2031),
    [sym_identifier] = ACTIONS(4166),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2032] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2032),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2033] = {
    [sym_variable_declarator] = STATE(5557),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(2033),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2034] = {
    [sym_nested_identifier] = STATE(953),
    [sym_string] = STATE(1011),
    [sym_comment] = STATE(2034),
    [sym__module] = STATE(1132),
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4170),
    [anon_sym_SQUOTE] = ACTIONS(4172),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2035] = {
    [sym_variable_declarator] = STATE(5543),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(2035),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2036] = {
    [sym_nested_identifier] = STATE(1071),
    [sym_string] = STATE(1472),
    [sym_comment] = STATE(2036),
    [sym__module] = STATE(1725),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2037] = {
    [sym_nested_identifier] = STATE(322),
    [sym_string] = STATE(320),
    [sym_comment] = STATE(2037),
    [sym__module] = STATE(377),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4176),
    [anon_sym_SQUOTE] = ACTIONS(4178),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2038] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2038),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2039] = {
    [sym_variable_declarator] = STATE(5596),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(2039),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2040] = {
    [sym_nested_identifier] = STATE(296),
    [sym_string] = STATE(302),
    [sym_comment] = STATE(2040),
    [sym__module] = STATE(313),
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4182),
    [anon_sym_SQUOTE] = ACTIONS(4184),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2041] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2041),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2042] = {
    [sym_variable_declarator] = STATE(5519),
    [sym_object_pattern] = STATE(4784),
    [sym_array_pattern] = STATE(4784),
    [sym__destructuring_pattern] = STATE(4576),
    [sym_comment] = STATE(2042),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2043] = {
    [sym_nested_identifier] = STATE(980),
    [sym_string] = STATE(1113),
    [sym_comment] = STATE(2043),
    [sym__module] = STATE(1602),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4188),
    [anon_sym_SQUOTE] = ACTIONS(4190),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2044] = {
    [sym_comment] = STATE(2044),
    [aux_sym_object_repeat1] = STATE(6065),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2045] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2045),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2046] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2046),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2047] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2047),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(214),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2048] = {
    [sym_comment] = STATE(2048),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2049] = {
    [sym_comment] = STATE(2049),
    [aux_sym_object_repeat1] = STATE(6047),
    [aux_sym_object_pattern_repeat1] = STATE(6060),
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2050] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2050),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2051] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2051),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [2052] = {
    [sym_nested_identifier] = STATE(2523),
    [sym_string] = STATE(2532),
    [sym_comment] = STATE(2052),
    [sym__module] = STATE(2649),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4160), 1,
      sym_identifier,
    ACTIONS(4162), 1,
      anon_sym_DQUOTE,
    ACTIONS(4164), 1,
      anon_sym_SQUOTE,
    STATE(331), 1,
      sym_nested_identifier,
    STATE(337), 1,
      sym_string,
    STATE(406), 1,
      sym__module,
    STATE(2053), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2054), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [188] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2055), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5596), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [281] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      sym_identifier,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    STATE(1071), 1,
      sym_nested_identifier,
    STATE(1472), 1,
      sym_string,
    STATE(1725), 1,
      sym__module,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2057), 1,
      sym_comment,
    ACTIONS(4194), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4196), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [449] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4095), 1,
      sym_identifier,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      anon_sym_SQUOTE,
    STATE(346), 1,
      sym_nested_identifier,
    STATE(348), 1,
      sym_string,
    STATE(457), 1,
      sym__module,
    STATE(2058), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [542] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4186), 1,
      sym_identifier,
    ACTIONS(4188), 1,
      anon_sym_DQUOTE,
    ACTIONS(4190), 1,
      anon_sym_SQUOTE,
    STATE(980), 1,
      sym_nested_identifier,
    STATE(1113), 1,
      sym_string,
    STATE(1602), 1,
      sym__module,
    STATE(2059), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [635] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4170), 1,
      anon_sym_DQUOTE,
    ACTIONS(4172), 1,
      anon_sym_SQUOTE,
    STATE(953), 1,
      sym_nested_identifier,
    STATE(1011), 1,
      sym_string,
    STATE(1132), 1,
      sym__module,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [728] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(2061), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [823] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4174), 1,
      sym_identifier,
    ACTIONS(4176), 1,
      anon_sym_DQUOTE,
    ACTIONS(4178), 1,
      anon_sym_SQUOTE,
    STATE(320), 1,
      sym_string,
    STATE(322), 1,
      sym_nested_identifier,
    STATE(377), 1,
      sym__module,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [916] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4198), 1,
      sym_identifier,
    STATE(2063), 1,
      sym_comment,
    STATE(4501), 1,
      sym_nested_identifier,
    STATE(4653), 1,
      sym_string,
    STATE(5095), 1,
      sym__module,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1009] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2064), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5600), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1102] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4213), 1,
      anon_sym_LT,
    STATE(2065), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1197] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(67), 1,
      anon_sym_DQUOTE,
    ACTIONS(69), 1,
      anon_sym_SQUOTE,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4152), 1,
      sym_identifier,
    STATE(2066), 1,
      sym_comment,
    STATE(2444), 1,
      sym_nested_identifier,
    STATE(2454), 1,
      sym_string,
    STATE(2630), 1,
      sym__module,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1290] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4180), 1,
      sym_identifier,
    ACTIONS(4182), 1,
      anon_sym_DQUOTE,
    ACTIONS(4184), 1,
      anon_sym_SQUOTE,
    STATE(296), 1,
      sym_nested_identifier,
    STATE(302), 1,
      sym_string,
    STATE(313), 1,
      sym__module,
    STATE(2067), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1383] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2068), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5563), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1476] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2070), 1,
      sym_comment,
    ACTIONS(4216), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4218), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2071), 1,
      sym_comment,
    ACTIONS(4220), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4222), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1719] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2072), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5543), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1812] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_DOT,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4234), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4238), 1,
      anon_sym_LT,
    STATE(2073), 1,
      sym_comment,
    STATE(4103), 1,
      sym_arguments,
    STATE(4192), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4226), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4204), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2074), 1,
      sym_comment,
    ACTIONS(4240), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4242), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2075), 1,
      sym_comment,
    ACTIONS(4244), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4246), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2059] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_COMMA,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(214), 1,
      anon_sym_RBRACK,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2076), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2156] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4213), 1,
      anon_sym_LT,
    STATE(2077), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2078), 1,
      sym_comment,
    ACTIONS(4248), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4250), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2079), 1,
      sym_comment,
    ACTIONS(4252), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4254), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2401] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(2080), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2496] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(1297), 1,
      anon_sym_COLON,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2591] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1254), 1,
      anon_sym_COLON,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2686] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2083), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5557), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2779] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4154), 1,
      sym_identifier,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    STATE(986), 1,
      sym_nested_identifier,
    STATE(1099), 1,
      sym_string,
    STATE(1269), 1,
      sym__module,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2872] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4213), 1,
      anon_sym_LT,
    STATE(2085), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2967] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4150), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_comment,
    STATE(5013), 1,
      sym_nested_identifier,
    STATE(5527), 1,
      sym_string,
    STATE(6936), 1,
      sym__module,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3060] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    STATE(2087), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3153] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2088), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3245] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    STATE(2089), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3341] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(1323), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2090), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3433] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3525] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2092), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3617] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1323), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2093), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3709] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2094), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(3361), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3533), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3879] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(1234), 1,
      anon_sym_of,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2096), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3975] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4053] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4289), 1,
      anon_sym_QMARK,
    ACTIONS(4292), 1,
      anon_sym_extends,
    STATE(2098), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    STATE(7023), 1,
      sym_type_annotation,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4153] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1117), 1,
      anon_sym_COLON,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2099), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4247] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4294), 1,
      anon_sym_DOT,
    ACTIONS(4297), 1,
      anon_sym_LT,
    STATE(2100), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4292), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4341] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2101), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(3423), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3633), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4511] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4603] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2087), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4688] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4271), 1,
      anon_sym_RPAREN,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4312), 1,
      anon_sym_EQ,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    STATE(2105), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4315), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4785] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1389), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2106), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4876] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2107), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4967] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN,
    ACTIONS(4326), 1,
      anon_sym_DOT,
    STATE(2108), 1,
      sym_comment,
    STATE(2186), 1,
      sym_arguments,
    ACTIONS(4322), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2109), 1,
      sym_comment,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2110), 1,
      sym_comment,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5190] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5281] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2112), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5372] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2113), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4331), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5469] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4340), 1,
      anon_sym_AT,
    STATE(2165), 1,
      sym_decorator,
    STATE(2114), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4338), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5544] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2115), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5635] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    STATE(2116), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4226), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4204), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5730] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1117), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(4343), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5813] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2118), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5904] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5995] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(4331), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6078] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4349), 1,
      anon_sym_QMARK,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(4347), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6161] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2122), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6256] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2123), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6347] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1329), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6438] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    STATE(2125), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6529] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4357), 1,
      anon_sym_EQ_GT,
    STATE(2126), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6624] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6715] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(2128), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6810] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(2129), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4226), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6905] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4340), 1,
      anon_sym_AT,
    ACTIONS(4361), 1,
      anon_sym_class,
    STATE(2114), 1,
      aux_sym_export_statement_repeat1,
    STATE(2130), 1,
      sym_comment,
    STATE(2165), 1,
      sym_decorator,
    ACTIONS(4338), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6984] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7075] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(4364), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7158] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    STATE(2133), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7249] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1331), 1,
      anon_sym_EQ,
    ACTIONS(4127), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_comment,
    STATE(2523), 1,
      sym_nested_identifier,
    STATE(2532), 1,
      sym_string,
    STATE(2649), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7340] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(209), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(1234), 1,
      anon_sym_of,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      sym_identifier,
    ACTIONS(4368), 1,
      anon_sym_LBRACK,
    STATE(2135), 1,
      sym_comment,
    STATE(6909), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7433] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(211), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4374), 1,
      anon_sym_EQ_GT,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4371), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7521] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2137), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7605] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4364), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7693] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7777] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1236), 1,
      anon_sym_COLON,
    ACTIONS(4376), 1,
      sym_identifier,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7859] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    STATE(2141), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4226), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4204), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7953] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2142), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8047] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2143), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8137] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    STATE(2144), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8231] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(4331), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8311] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(4386), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8381] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_QMARK,
    STATE(2147), 1,
      sym_comment,
    ACTIONS(4347), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8461] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    STATE(2148), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8555] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4357), 1,
      anon_sym_EQ_GT,
    STATE(2149), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8645] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_COLON,
    ACTIONS(4392), 1,
      sym_identifier,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8727] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(3279), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(3337), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8867] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1173), 1,
      anon_sym_COLON,
    ACTIONS(4192), 1,
      sym_identifier,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8949] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    ACTIONS(4396), 1,
      anon_sym_EQ_GT,
    STATE(2154), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9043] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1221), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4398), 1,
      anon_sym_EQ_GT,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9127] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1185), 1,
      anon_sym_COLON,
    ACTIONS(4400), 1,
      sym_identifier,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9209] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(4402), 1,
      sym_identifier,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9291] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(2158), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9381] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    STATE(2159), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9473] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2160), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4226), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4204), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9567] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_extends,
    STATE(2161), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4277), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4283), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9656] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(4244), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4246), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2164), 1,
      sym_comment,
    ACTIONS(4248), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4250), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9875] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(4404), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9944] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10023] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10179] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(4194), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4196), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10250] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10329] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2171), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10418] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(4406), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10566] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10643] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10726] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    ACTIONS(4396), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(4252), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4254), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10886] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1221), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4398), 1,
      anon_sym_EQ_GT,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10963] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(4408), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11107] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    ACTIONS(4343), 1,
      anon_sym_COLON,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11265] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11342] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(211), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ_GT,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(4371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11423] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4322), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11492] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2186), 1,
      sym_comment,
    ACTIONS(4414), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(3361), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3533), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11632] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11707] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_of,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11788] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11946] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2192), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2193), 1,
      sym_comment,
    ACTIONS(3423), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3633), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12094] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2194), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4236), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12187] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2853), 1,
      anon_sym_COLON,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12266] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12345] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2197), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12422] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2853), 1,
      anon_sym_COLON,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2198), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12501] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12580] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12657] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1243), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ_GT,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12740] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    ACTIONS(4343), 1,
      anon_sym_COLON,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(4423), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12821] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1287), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_EQ_GT,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12904] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(3309), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4398), 1,
      anon_sym_EQ_GT,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13050] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2206), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13127] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(3433), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13196] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2873), 1,
      anon_sym_COLON,
    STATE(2208), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13346] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4343), 1,
      anon_sym_COLON,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2087), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13431] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    STATE(2211), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13520] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2873), 1,
      anon_sym_COLON,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(4216), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4218), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13670] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2085), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2087), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13755] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(4428), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13824] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4312), 1,
      anon_sym_EQ,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13905] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(3357), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2218), 1,
      sym_comment,
    ACTIONS(4430), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14043] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14191] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(3323), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14260] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2222), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4226), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4204), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4432), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14426] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4357), 1,
      anon_sym_EQ_GT,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14502] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14576] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4437), 1,
      anon_sym_in,
    ACTIONS(4439), 1,
      anon_sym_COLON,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14660] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(4441), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14728] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4402), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14806] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4392), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14884] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(4443), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14952] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4445), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15020] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4445), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15088] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4376), 1,
      sym_identifier,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15166] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_COMMA,
    STATE(2234), 1,
      sym_comment,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15238] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4447), 1,
      anon_sym_EQ_GT,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15320] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1243), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ_GT,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15396] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      sym_identifier,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15474] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15548] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(4371), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15626] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15700] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4449), 1,
      anon_sym_EQ_GT,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15782] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(4451), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(4454), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15928] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(4451), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16006] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(4456), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1287), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_EQ_GT,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16150] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4232), 1,
      anon_sym_EQ_GT,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16228] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ_GT,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16380] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4312), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16458] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4400), 1,
      sym_identifier,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16536] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(4458), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16604] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_COMMA,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16676] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_EQ_GT,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16752] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4357), 1,
      anon_sym_EQ_GT,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16828] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(4460), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(4462), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16964] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(4464), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(2259), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17108] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2260), 1,
      sym_comment,
    ACTIONS(4458), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17176] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17254] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2262), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4283), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17342] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2263), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17424] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4307), 1,
      anon_sym_EQ_GT,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4309), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17506] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4468), 1,
      sym_identifier,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17584] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4364), 1,
      anon_sym_COMMA,
    ACTIONS(4371), 1,
      anon_sym_RBRACK,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    ACTIONS(4470), 1,
      anon_sym_COLON,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17666] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      sym_comment,
    ACTIONS(4220), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17737] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17816] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2269), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17891] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17966] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_COMMA,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(4240), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4242), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18110] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2273), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4478), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4480), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4790), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18237] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2274), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3961), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3985), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4858), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18364] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2275), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4927), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18491] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18568] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4364), 1,
      anon_sym_COMMA,
    ACTIONS(4371), 1,
      anon_sym_RBRACK,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18647] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2278), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4504), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4506), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4813), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18849] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2280), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4508), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4510), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4834), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18976] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    ACTIONS(4470), 1,
      anon_sym_COLON,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19053] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2282), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4512), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4514), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4807), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19180] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2283), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4516), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4518), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4953), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19307] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2284), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4520), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4522), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4870), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19434] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(2087), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(209), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19515] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    ACTIONS(4437), 1,
      anon_sym_in,
    ACTIONS(4439), 1,
      anon_sym_COLON,
    STATE(2286), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19594] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2287), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19669] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    ACTIONS(4437), 1,
      anon_sym_in,
    ACTIONS(4524), 1,
      anon_sym_COLON,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19748] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2289), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4055), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4057), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4887), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19875] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19948] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20023] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4447), 1,
      anon_sym_EQ_GT,
    STATE(2292), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4447), 1,
      anon_sym_EQ_GT,
    STATE(2293), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2294), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20245] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    STATE(2295), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20319] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2296), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    STATE(2297), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20467] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(2298), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4396), 1,
      anon_sym_EQ_GT,
    STATE(2299), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20613] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    ACTIONS(4396), 1,
      anon_sym_EQ_GT,
    STATE(2300), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20687] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(2301), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4449), 1,
      anon_sym_EQ_GT,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20839] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4343), 1,
      anon_sym_COLON,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2303), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20915] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2304), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20989] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2305), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21063] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    ACTIONS(4416), 1,
      anon_sym_of,
    STATE(2306), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21141] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(2307), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4449), 1,
      anon_sym_EQ_GT,
    STATE(2308), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(209), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21291] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2309), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4526), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21414] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    STATE(2310), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21485] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2311), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21558] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2312), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4528), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21681] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2313), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4530), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21804] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2314), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21927] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2315), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4534), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22050] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2316), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4536), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22173] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4538), 1,
      anon_sym_EQ,
    STATE(2317), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22246] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2318), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22369] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22442] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2320), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22515] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4542), 1,
      anon_sym_EQ,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22588] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22659] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4544), 1,
      anon_sym_EQ,
    STATE(2324), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22805] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2325), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22928] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2326), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23001] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2327), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23124] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2328), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4550), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23247] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    STATE(2329), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23320] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(2330), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(2331), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23466] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2332), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23589] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    STATE(2333), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23662] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2334), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4560), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23785] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_EQ,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23858] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2336), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23981] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2337), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4566), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24104] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2338), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4568), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24227] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2339), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24300] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(2340), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24373] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4204), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24444] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2342), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24567] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2343), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4574), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24690] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1331), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24838] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2346), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4576), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24961] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25034] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2348), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4580), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25157] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25230] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2350), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4582), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1329), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25426] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2352), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4584), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25549] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25622] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2354), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4586), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25745] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2355), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4588), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25868] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2356), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4590), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    STATE(2357), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26064] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2358), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4592), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(209), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26260] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2360), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4594), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26383] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2361), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4596), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4336), 1,
      anon_sym_EQ_GT,
    ACTIONS(4598), 1,
      anon_sym_EQ,
    STATE(2362), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4598), 1,
      anon_sym_EQ,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26649] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26719] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(2365), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26859] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4542), 1,
      anon_sym_EQ,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(2368), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4544), 1,
      anon_sym_EQ,
    STATE(2369), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27069] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4562), 1,
      anon_sym_EQ,
    STATE(2370), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27139] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4538), 1,
      anon_sym_EQ,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27209] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    STATE(2372), 1,
      sym_comment,
    ACTIONS(4204), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4211), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4200), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27279] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2373), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4844), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27398] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2374), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4947), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27517] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2375), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27636] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2376), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4864), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27755] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2377), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4891), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27874] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2378), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4827), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27993] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2379), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4903), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28112] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2380), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4908), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28231] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2381), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4801), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28350] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      anon_sym_abstract,
    ACTIONS(4474), 1,
      anon_sym_export,
    ACTIONS(4476), 1,
      anon_sym_STAR,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      anon_sym_async,
    ACTIONS(4486), 1,
      anon_sym_new,
    ACTIONS(4488), 1,
      anon_sym_static,
    ACTIONS(4490), 1,
      anon_sym_readonly,
    ACTIONS(4496), 1,
      anon_sym_override,
    STATE(2382), 1,
      sym_comment,
    STATE(3751), 1,
      sym_accessibility_modifier,
    STATE(3766), 1,
      sym_override_modifier,
    STATE(4118), 1,
      sym__property_name,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      aux_sym_export_statement_repeat1,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4494), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4804), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4472), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28469] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4613), 1,
      anon_sym_RBRACE,
    ACTIONS(4618), 1,
      anon_sym_module,
    STATE(2383), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28593] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(4620), 1,
      anon_sym_RBRACE,
    STATE(2384), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28717] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(4623), 1,
      anon_sym_RBRACE,
    STATE(2385), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28841] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    STATE(2386), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28965] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(4629), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29089] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4635), 1,
      anon_sym_STAR,
    ACTIONS(4638), 1,
      anon_sym_RBRACE,
    ACTIONS(4640), 1,
      anon_sym_SEMI,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    ACTIONS(4646), 1,
      anon_sym_DQUOTE,
    ACTIONS(4649), 1,
      anon_sym_SQUOTE,
    ACTIONS(4652), 1,
      anon_sym_async,
    ACTIONS(4661), 1,
      anon_sym_AT,
    ACTIONS(4664), 1,
      anon_sym_static,
    ACTIONS(4667), 1,
      anon_sym_readonly,
    ACTIONS(4673), 1,
      anon_sym_declare,
    ACTIONS(4679), 1,
      anon_sym_override,
    ACTIONS(4682), 1,
      anon_sym_abstract,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(4655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4670), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2388), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4676), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4632), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29204] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4687), 1,
      anon_sym_RBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4691), 1,
      anon_sym_async,
    ACTIONS(4693), 1,
      anon_sym_static,
    ACTIONS(4695), 1,
      anon_sym_readonly,
    ACTIONS(4701), 1,
      anon_sym_override,
    STATE(2389), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6296), 1,
      aux_sym_object_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4697), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4699), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4685), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29315] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4705), 1,
      anon_sym_RBRACE,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    STATE(2390), 1,
      sym_comment,
    STATE(2425), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29432] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4725), 1,
      anon_sym_RBRACE,
    STATE(2391), 1,
      sym_comment,
    STATE(2405), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29549] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    STATE(2392), 1,
      sym_comment,
    STATE(2412), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29666] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    STATE(2393), 1,
      sym_comment,
    STATE(2420), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29783] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4731), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2394), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29900] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4733), 1,
      anon_sym_RBRACE,
    STATE(2395), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30017] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4737), 1,
      anon_sym_RBRACE,
    ACTIONS(4739), 1,
      anon_sym_async,
    ACTIONS(4741), 1,
      anon_sym_static,
    ACTIONS(4743), 1,
      anon_sym_readonly,
    ACTIONS(4749), 1,
      anon_sym_override,
    STATE(2396), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6189), 1,
      aux_sym_object_repeat1,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4745), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6314), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4735), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30128] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4751), 1,
      anon_sym_RBRACE,
    STATE(2397), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30245] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4753), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2398), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30362] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4755), 1,
      anon_sym_RBRACE,
    STATE(2399), 1,
      sym_comment,
    STATE(2404), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30479] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4757), 1,
      anon_sym_RBRACE,
    STATE(2400), 1,
      sym_comment,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30596] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4759), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2401), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30713] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4763), 1,
      anon_sym_RBRACE,
    ACTIONS(4765), 1,
      anon_sym_async,
    ACTIONS(4767), 1,
      anon_sym_static,
    ACTIONS(4769), 1,
      anon_sym_readonly,
    ACTIONS(4775), 1,
      anon_sym_override,
    STATE(2402), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6189), 1,
      aux_sym_object_repeat1,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4773), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6314), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4761), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30824] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4779), 1,
      anon_sym_RBRACE,
    ACTIONS(4781), 1,
      anon_sym_async,
    ACTIONS(4783), 1,
      anon_sym_static,
    ACTIONS(4785), 1,
      anon_sym_readonly,
    ACTIONS(4791), 1,
      anon_sym_override,
    STATE(2403), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6296), 1,
      aux_sym_object_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4787), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4789), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4777), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30935] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2404), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31052] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4795), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2405), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31169] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4797), 1,
      anon_sym_RBRACE,
    STATE(2406), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31286] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4799), 1,
      anon_sym_RBRACE,
    STATE(2394), 1,
      aux_sym_class_body_repeat1,
    STATE(2407), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31403] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_RBRACE,
    ACTIONS(4805), 1,
      anon_sym_async,
    ACTIONS(4807), 1,
      anon_sym_static,
    ACTIONS(4809), 1,
      anon_sym_readonly,
    ACTIONS(4815), 1,
      anon_sym_override,
    STATE(2408), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6296), 1,
      aux_sym_object_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4811), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4813), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4801), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31514] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4817), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2409), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31631] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4819), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2410), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31748] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4821), 1,
      anon_sym_RBRACE,
    STATE(2409), 1,
      aux_sym_class_body_repeat1,
    STATE(2411), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31865] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4823), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2412), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31982] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4825), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2413), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32099] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4829), 1,
      anon_sym_RBRACE,
    ACTIONS(4831), 1,
      anon_sym_async,
    ACTIONS(4833), 1,
      anon_sym_static,
    ACTIONS(4835), 1,
      anon_sym_readonly,
    ACTIONS(4841), 1,
      anon_sym_override,
    STATE(2414), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6296), 1,
      aux_sym_object_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4837), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4839), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4827), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32210] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4843), 1,
      anon_sym_RBRACE,
    STATE(2415), 1,
      sym_comment,
    STATE(2416), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32327] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4845), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2416), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32444] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4847), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2417), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32561] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4849), 1,
      anon_sym_RBRACE,
    STATE(2413), 1,
      aux_sym_class_body_repeat1,
    STATE(2418), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32678] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4853), 1,
      anon_sym_RBRACE,
    ACTIONS(4855), 1,
      anon_sym_async,
    ACTIONS(4857), 1,
      anon_sym_static,
    ACTIONS(4859), 1,
      anon_sym_readonly,
    ACTIONS(4865), 1,
      anon_sym_override,
    STATE(2419), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6296), 1,
      aux_sym_object_repeat1,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4861), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4863), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4851), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32789] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4867), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2420), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32906] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4869), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      sym_comment,
    STATE(2427), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33023] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4871), 1,
      anon_sym_RBRACE,
    STATE(2422), 1,
      sym_comment,
    STATE(2423), 1,
      aux_sym_class_body_repeat1,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33140] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4873), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2423), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33257] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4875), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2424), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33374] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4877), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2425), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33491] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4879), 1,
      anon_sym_RBRACE,
    STATE(2410), 1,
      aux_sym_class_body_repeat1,
    STATE(2426), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33608] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4703), 1,
      anon_sym_STAR,
    ACTIONS(4707), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_async,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4719), 1,
      anon_sym_declare,
    ACTIONS(4723), 1,
      anon_sym_abstract,
    ACTIONS(4881), 1,
      anon_sym_RBRACE,
    STATE(2388), 1,
      aux_sym_class_body_repeat1,
    STATE(2427), 1,
      sym_comment,
    STATE(3519), 1,
      aux_sym_export_statement_repeat1,
    STATE(3633), 1,
      sym_method_definition,
    STATE(3671), 1,
      sym_class_static_block,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3769), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4033), 1,
      sym__property_name,
    STATE(5711), 1,
      sym_method_signature,
    ACTIONS(3969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5880), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33725] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4618), 1,
      anon_sym_module,
    STATE(2428), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4883), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [33841] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(2180), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2182), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [33903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(2160), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2162), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [33965] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4600), 1,
      anon_sym_STAR,
    ACTIONS(4602), 1,
      anon_sym_default,
    ACTIONS(4604), 1,
      anon_sym_type,
    ACTIONS(4608), 1,
      anon_sym_as,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(4887), 1,
      anon_sym_EQ,
    STATE(2431), 1,
      sym_comment,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5098), 1,
      sym_declaration,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5702), 1,
      sym_export_clause,
    STATE(7047), 1,
      sym_namespace_export,
    ACTIONS(4616), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [34079] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    ACTIONS(4897), 1,
      anon_sym_LT,
    STATE(2432), 1,
      sym_comment,
    STATE(2546), 1,
      sym_arguments,
    STATE(2547), 1,
      sym_type_arguments,
    ACTIONS(4889), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4891), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34150] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4897), 1,
      anon_sym_LT,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_QMARK_DOT,
    STATE(2433), 1,
      sym_comment,
    STATE(2467), 1,
      sym_type_arguments,
    STATE(2705), 1,
      sym_arguments,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(4899), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4901), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34227] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4897), 1,
      anon_sym_LT,
    ACTIONS(4911), 1,
      anon_sym_DOT,
    ACTIONS(4913), 1,
      anon_sym_is,
    STATE(2434), 1,
      sym_comment,
    STATE(2497), 1,
      sym_type_arguments,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34296] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_async,
    ACTIONS(4919), 1,
      anon_sym_static,
    ACTIONS(4921), 1,
      anon_sym_readonly,
    ACTIONS(4927), 1,
      anon_sym_override,
    STATE(2435), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4923), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4925), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6689), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6690), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4915), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34399] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4897), 1,
      anon_sym_LT,
    ACTIONS(4933), 1,
      anon_sym_DOT,
    STATE(2436), 1,
      sym_comment,
    STATE(2544), 1,
      sym_arguments,
    STATE(2545), 1,
      sym_type_arguments,
    ACTIONS(4929), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34470] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4897), 1,
      anon_sym_LT,
    ACTIONS(4935), 1,
      anon_sym_DOT,
    STATE(2437), 1,
      sym_comment,
    STATE(2541), 1,
      sym_arguments,
    STATE(2543), 1,
      sym_type_arguments,
    ACTIONS(4236), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4226), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34541] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_is,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(2085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [34663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(4406), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4941), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34723] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4897), 1,
      anon_sym_LT,
    ACTIONS(4911), 1,
      anon_sym_DOT,
    STATE(2441), 1,
      sym_comment,
    STATE(2497), 1,
      sym_type_arguments,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(2160), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2162), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34849] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4897), 1,
      anon_sym_LT,
    STATE(2443), 1,
      sym_comment,
    STATE(2468), 1,
      sym_type_arguments,
    ACTIONS(4943), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(4949), 1,
      anon_sym_DOT,
    STATE(2444), 1,
      sym_comment,
    STATE(2646), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [34979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [35039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    STATE(2446), 1,
      sym_comment,
    STATE(2660), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [35105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(4430), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4961), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35165] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      sym__automatic_semicolon,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2296), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4965), 1,
      anon_sym_is,
    STATE(2449), 1,
      sym_comment,
    ACTIONS(4943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_is,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35353] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(4428), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4971), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35413] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(2180), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2182), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35473] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_DOT,
    STATE(2453), 1,
      sym_comment,
    STATE(2646), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35539] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(2454), 1,
      sym_comment,
    STATE(2646), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2198), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(4983), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4985), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35898] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_LBRACK,
    ACTIONS(4995), 1,
      anon_sym_extends,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(4993), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4987), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4989), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2461), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5001), 1,
      anon_sym_extends,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(4997), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4999), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_LBRACK,
    STATE(2464), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5009), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5013), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36262] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_QMARK_DOT,
    STATE(2466), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36329] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    STATE(2467), 1,
      sym_comment,
    STATE(2603), 1,
      sym_arguments,
    ACTIONS(5015), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5017), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(5019), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5021), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3629), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(4464), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5023), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(4456), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5025), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2474), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(5031), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5033), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36864] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(5039), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36927] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(5031), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5033), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37163] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5055), 1,
      anon_sym_RPAREN,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2481), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7502), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37347] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5099), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5103), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37465] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5107), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(3237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37583] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    STATE(2487), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5131), 1,
      sym__automatic_semicolon,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(2288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2292), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(4943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37857] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_LBRACK,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(4993), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4995), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(4993), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4995), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5135), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38036] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    STATE(2494), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38131] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(5140), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5142), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38196] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(5150), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38261] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2497), 1,
      sym_comment,
    ACTIONS(5154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(5158), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5160), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38379] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(5166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5103), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5135), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(5174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5176), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(5178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5180), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38851] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(5182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5184), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38969] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2509), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7388), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_extends,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(5188), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5190), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(5192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5194), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39214] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(5188), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5190), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5196), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(5198), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5200), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(4460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39576] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(5204), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(5208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(2192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2194), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(5212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39877] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    ACTIONS(5218), 1,
      anon_sym_DOT,
    STATE(2523), 1,
      sym_comment,
    STATE(2749), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_DOT,
    STATE(2524), 1,
      sym_comment,
    STATE(2749), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(5230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5232), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40243] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40361] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3475), 1,
      anon_sym_extends,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(5234), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5237), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2111), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40428] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2532), 1,
      sym_comment,
    STATE(2749), 1,
      sym_statement_block,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2533), 1,
      sym_comment,
    ACTIONS(5212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(5240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40609] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(5244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(4462), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40727] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    STATE(2537), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5253), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(5265), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5267), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40948] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(5192), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5194), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41011] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(5041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41070] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    STATE(2542), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2547), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(5292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5294), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(5296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5298), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3643), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(5300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5302), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41755] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5308), 1,
      anon_sym_DOT,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(5304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41816] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(5304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41877] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(5314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5316), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41936] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5316), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(4458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42060] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      sym__automatic_semicolon,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2296), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(4458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2560), 1,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5320), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_DOT,
    STATE(2561), 1,
      sym_comment,
    ACTIONS(5322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5324), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5320), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(4443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5328), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42418] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2564), 1,
      sym_comment,
    ACTIONS(5330), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5332), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(5334), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5336), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(5338), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5340), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42597] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(5342), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5344), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42656] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2568), 1,
      sym_comment,
    ACTIONS(5346), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(5350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5352), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(5354), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5356), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42839] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5358), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2571), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7511), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42964] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2572), 1,
      sym_comment,
    ACTIONS(5360), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43029] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2573), 1,
      sym_comment,
    ACTIONS(5364), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5366), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43094] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2574), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7317), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43219] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    STATE(2575), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43314] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43375] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5144), 1,
      anon_sym_AMP,
    ACTIONS(5146), 1,
      anon_sym_PIPE,
    ACTIONS(5148), 1,
      anon_sym_extends,
    STATE(2577), 1,
      sym_comment,
    ACTIONS(5354), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5356), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(3271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3641), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43499] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5373), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2579), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7588), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(4441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(3261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3561), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43742] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5377), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2582), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7267), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43867] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5379), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2583), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7343), 1,
      sym_type_annotation,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43992] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5385), 1,
      anon_sym_COMMA,
    ACTIONS(5388), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2584), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44112] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2585), 1,
      sym_comment,
    ACTIONS(2113), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5440), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(2202), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2178), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(5443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5445), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(5447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2592), 1,
      sym_comment,
    ACTIONS(5451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5453), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44580] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2593), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [44650] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2594), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44770] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5467), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2595), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44854] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5474), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2596), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [44932] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2597), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5477), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45048] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2598), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45136] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5487), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45280] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2601), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45400] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2602), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5495), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45578] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2604), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5499), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45694] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2605), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5535), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(5537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5539), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45868] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2607), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2608), 1,
      sym_comment,
    ACTIONS(5579), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5581), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46042] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46128] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2610), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5583), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46244] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2611), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(5585), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5587), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46448] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2614), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5593), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(5595), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5597), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46622] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2616), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(5599), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46796] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2618), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5587), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46912] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5607), 1,
      anon_sym_LT,
    STATE(2619), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46988] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2620), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5597), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47104] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2621), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5610), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2622), 1,
      sym_comment,
    ACTIONS(5612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5614), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(2306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2624), 1,
      sym_comment,
    ACTIONS(5616), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5618), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47394] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2625), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(2218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2222), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(2314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2628), 1,
      sym_comment,
    ACTIONS(5620), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5622), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(5624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5626), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2630), 1,
      sym_comment,
    ACTIONS(2212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47800] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2631), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47920] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5160), 1,
      anon_sym_extends,
    STATE(2632), 1,
      sym_comment,
    ACTIONS(5634), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5637), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5630), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47984] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2633), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(2192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2194), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48128] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5640), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2635), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2198), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48262] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2637), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(5643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48408] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2639), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48478] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2640), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48594] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2641), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5535), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2642), 1,
      sym_comment,
    ACTIONS(5647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5649), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48768] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2643), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5477), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48884] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2644), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(5655), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5657), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(2208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [49104] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2648), 1,
      sym_comment,
    ACTIONS(5665), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5667), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2649), 1,
      sym_comment,
    ACTIONS(2212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(2288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2292), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49338] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2651), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5669), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [49454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49514] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2653), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [49604] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2654), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49724] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(5673), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5676), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49788] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    ACTIONS(5683), 1,
      anon_sym_async,
    ACTIONS(5685), 1,
      anon_sym_readonly,
    STATE(2656), 1,
      sym_comment,
    STATE(3665), 1,
      sym_statement_block,
    STATE(3757), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [49876] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5689), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5691), 1,
      anon_sym_LT,
    STATE(2657), 1,
      sym_comment,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(3408), 1,
      sym_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(4899), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4901), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49950] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5691), 1,
      anon_sym_LT,
    ACTIONS(5693), 1,
      anon_sym_DOT,
    ACTIONS(5695), 1,
      anon_sym_is,
    STATE(2658), 1,
      sym_comment,
    STATE(2934), 1,
      sym_type_arguments,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50016] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2659), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5697), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(5699), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5701), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50190] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2661), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5649), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50306] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2662), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2312), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [50472] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2664), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50560] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2665), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50654] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5703), 1,
      anon_sym_LT,
    STATE(2666), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [50740] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5703), 1,
      anon_sym_LT,
    STATE(2667), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50824] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2668), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50926] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2669), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51026] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5651), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51124] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5703), 1,
      anon_sym_LT,
    STATE(2671), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51210] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2672), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5597), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51326] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2673), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51432] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2674), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51536] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5703), 1,
      anon_sym_LT,
    STATE(2675), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51616] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2676), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51734] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2677), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2678), 1,
      sym_comment,
    ACTIONS(2314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2679), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51998] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2681), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5669), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52114] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2682), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52230] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(5710), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5712), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52288] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2684), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52432] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2686), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5610), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [52548] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2687), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2688), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5718), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52726] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2689), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52846] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2690), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52966] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2691), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [53070] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5691), 1,
      anon_sym_LT,
    ACTIONS(5724), 1,
      anon_sym_DOT,
    STATE(2692), 1,
      sym_comment,
    STATE(3075), 1,
      sym_arguments,
    STATE(3076), 1,
      sym_type_arguments,
    ACTIONS(4889), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4891), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53138] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2693), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53254] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5691), 1,
      anon_sym_LT,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    STATE(2694), 1,
      sym_comment,
    STATE(3073), 1,
      sym_arguments,
    STATE(3074), 1,
      sym_type_arguments,
    ACTIONS(4929), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53322] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2695), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53442] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2696), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5587), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53558] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2697), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53678] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5732), 1,
      anon_sym_COMMA,
    ACTIONS(5735), 1,
      anon_sym_RBRACE,
    STATE(2698), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53798] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5691), 1,
      anon_sym_LT,
    ACTIONS(5737), 1,
      anon_sym_DOT,
    STATE(2699), 1,
      sym_comment,
    STATE(3071), 1,
      sym_arguments,
    STATE(3072), 1,
      sym_type_arguments,
    ACTIONS(4236), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4226), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53866] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5545), 1,
      anon_sym_GT,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    ACTIONS(5741), 1,
      anon_sym_in,
    STATE(2700), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5739), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53984] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2701), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54090] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2702), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54210] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(2703), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54296] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2704), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5651), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2705), 1,
      sym_comment,
    ACTIONS(5749), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5751), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(5753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5755), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2708), 1,
      sym_comment,
    ACTIONS(2306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [54626] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2709), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5396), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [54742] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2710), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54842] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2711), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5761), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54962] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2712), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55082] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2713), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5593), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55198] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5765), 1,
      anon_sym_LT,
    STATE(2714), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55282] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2715), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55384] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(2716), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(5774), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55506] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2718), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5669), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [55622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2719), 1,
      sym_comment,
    ACTIONS(5778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5780), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55680] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5782), 1,
      anon_sym_LT,
    STATE(2720), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [55756] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2721), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55846] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(5253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2723), 1,
      sym_comment,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2312), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55964] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(2724), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [56044] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5785), 1,
      anon_sym_LT,
    STATE(2725), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [56122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56180] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5788), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2727), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [56260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2728), 1,
      sym_comment,
    ACTIONS(5791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2730), 1,
      sym_comment,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2250), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56434] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(5255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5795), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56496] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5388), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    STATE(2732), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(5801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5803), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56674] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2734), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5593), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56790] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5388), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    STATE(2735), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(2256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56968] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      sym__automatic_semicolon,
    STATE(2737), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2296), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [57028] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2738), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5809), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [57144] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [57228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2740), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57286] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(2741), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57372] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(2742), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57442] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2743), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [57548] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2744), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57664] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2745), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [57758] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2746), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5535), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57874] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2747), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5477), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57990] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2748), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [58098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2749), 1,
      sym_comment,
    ACTIONS(2208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58156] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2750), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5581), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [58272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2751), 1,
      sym_comment,
    ACTIONS(5630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58330] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2752), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2753), 1,
      sym_comment,
    ACTIONS(5813), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5535), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5815), 1,
      sym__automatic_semicolon,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(2288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2292), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [58568] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2755), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5610), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58684] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2756), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5697), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58800] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2757), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5597), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [58916] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5788), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2758), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2759), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59058] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2760), 1,
      sym_comment,
    ACTIONS(5661), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5817), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59120] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5788), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2761), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59206] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2762), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59300] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2763), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59408] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2764), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5587), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [59524] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5788), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2765), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59610] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5820), 1,
      anon_sym_LT,
    STATE(2766), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59694] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2767), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5651), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59792] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2768), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5649), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [59908] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2769), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59994] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5823), 1,
      anon_sym_LT,
    STATE(2770), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [60072] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2771), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5649), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60188] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2772), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60276] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2773), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60376] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2774), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5697), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2775), 1,
      sym_comment,
    ACTIONS(5826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5828), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60550] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2776), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60666] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2777), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5583), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2778), 1,
      sym_comment,
    ACTIONS(5830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5832), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2779), 1,
      sym_comment,
    ACTIONS(5834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5836), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2780), 1,
      sym_comment,
    ACTIONS(2288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2292), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2781), 1,
      sym_comment,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2782), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61072] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2783), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5583), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [61188] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2784), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2785), 1,
      sym_comment,
    ACTIONS(5840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5842), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61366] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(5614), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5844), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61486] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(2787), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [61602] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2788), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [61704] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5846), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2789), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [61787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2790), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [61844] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2791), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5669), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61959] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2792), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62048] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2793), 1,
      sym_comment,
    STATE(6058), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62167] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5889), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2794), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62286] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    STATE(2795), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62403] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(5895), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2796), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62522] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2797), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62601] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2798), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62704] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2799), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2800), 1,
      sym_comment,
    ACTIONS(4428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4971), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [62866] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2801), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62951] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2802), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63048] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2803), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63147] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2804), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63248] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2805), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [63331] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5900), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3475), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63398] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2807), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [63483] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    STATE(2808), 1,
      sym_comment,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63600] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2809), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63719] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2810), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2811), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [63895] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2812), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5610), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64010] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2813), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64079] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2814), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64198] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64291] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5910), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64410] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2817), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6349), 1,
      aux_sym_array_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64529] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5535), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5695), 1,
      anon_sym_is,
    STATE(2819), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64703] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2820), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5477), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64818] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2821), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64925] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2822), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5649), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_QMARK,
    STATE(2823), 1,
      sym_comment,
    ACTIONS(4347), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65103] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5253), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65168] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2825), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5697), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65283] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2826), 1,
      sym_comment,
    STATE(5983), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65402] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65483] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2828), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(2829), 1,
      sym_comment,
    STATE(3268), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65627] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3475), 1,
      anon_sym_extends,
    STATE(2830), 1,
      sym_comment,
    ACTIONS(5234), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5237), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2111), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65692] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5918), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2831), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65811] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2832), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5583), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65926] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2833), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66041] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5920), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2834), 1,
      sym_comment,
    STATE(5766), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66160] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2835), 1,
      sym_comment,
    STATE(5764), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66279] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2836), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5924), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [66394] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2837), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5581), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66509] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2838), 1,
      sym_comment,
    ACTIONS(2113), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5926), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66570] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2839), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66651] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2840), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5587), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66766] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5164), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66831] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2842), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66950] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2843), 1,
      sym_comment,
    ACTIONS(5661), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5930), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67011] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5932), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2844), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [67086] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2845), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5499), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67201] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5935), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2846), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [67284] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5938), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2847), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [67361] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2848), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5597), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(4430), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [67533] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5941), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2850), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67652] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2851), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67769] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(5945), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2852), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67888] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(5947), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2853), 1,
      sym_comment,
    STATE(5910), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68007] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(5949), 1,
      anon_sym_RBRACE,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2854), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68126] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2855), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [68241] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5873), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2856), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [68310] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68391] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2858), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5535), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68506] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2859), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5583), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68621] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2860), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68702] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5691), 1,
      anon_sym_LT,
    STATE(2861), 1,
      sym_comment,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(4943), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68763] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2862), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5543), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68878] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2863), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5477), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68993] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2864), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5581), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69108] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2865), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5587), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69223] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2866), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5597), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69338] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5953), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2867), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6309), 1,
      aux_sym_array_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69457] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2868), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5697), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2869), 1,
      sym_comment,
    ACTIONS(2085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [69629] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5955), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2870), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69748] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2871), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5649), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69863] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2872), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5499), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69978] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2873), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5593), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [70093] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5957), 1,
      anon_sym_static,
    ACTIONS(5959), 1,
      anon_sym_readonly,
    ACTIONS(5961), 1,
      anon_sym_abstract,
    STATE(2874), 1,
      sym_comment,
    STATE(3716), 1,
      sym_accessibility_modifier,
    STATE(3791), 1,
      sym_override_modifier,
    STATE(4316), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70178] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5963), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2875), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [70253] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2876), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5739), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [70368] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2877), 1,
      sym_comment,
    STATE(3152), 1,
      sym_type_arguments,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5966), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [70483] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2878), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70600] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5970), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5232), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70667] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5691), 1,
      anon_sym_LT,
    ACTIONS(5693), 1,
      anon_sym_DOT,
    STATE(2880), 1,
      sym_comment,
    STATE(2934), 1,
      sym_type_arguments,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70730] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2881), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [70837] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2882), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [70930] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    STATE(2883), 1,
      sym_comment,
    ACTIONS(4331), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70993] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2884), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71112] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2885), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5396), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71227] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5976), 1,
      anon_sym_is,
    STATE(2886), 1,
      sym_comment,
    ACTIONS(4943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71286] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5978), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2887), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [71363] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5857), 1,
      anon_sym_GT_GT,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    ACTIONS(5863), 1,
      anon_sym_CARET,
    ACTIONS(5865), 1,
      anon_sym_PIPE,
    ACTIONS(5869), 1,
      anon_sym_PERCENT,
    ACTIONS(5871), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      anon_sym_LT,
    ACTIONS(5881), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5883), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2888), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5849), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5851), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5859), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5867), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5877), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5879), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5593), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5875), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71478] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5981), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2889), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71597] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2890), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5610), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71712] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2891), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5695), 1,
      anon_sym_is,
    STATE(2892), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71890] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    STATE(2893), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71977] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(5255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5989), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72038] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5991), 1,
      anon_sym_static,
    ACTIONS(5993), 1,
      anon_sym_readonly,
    ACTIONS(5995), 1,
      anon_sym_abstract,
    STATE(2895), 1,
      sym_comment,
    STATE(3731), 1,
      sym_accessibility_modifier,
    STATE(3793), 1,
      sym_override_modifier,
    STATE(4441), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72123] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5997), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2896), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72242] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5999), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2897), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72327] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5999), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2898), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72410] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2899), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72511] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(6002), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2900), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72630] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2901), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72729] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2902), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72826] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2903), 1,
      sym_comment,
    STATE(5910), 1,
      aux_sym_array_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72945] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5999), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2904), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73030] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2905), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73135] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2906), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73238] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5999), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2907), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73317] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2908), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6254), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2909), 1,
      sym_comment,
    ACTIONS(4406), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4941), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [73493] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2910), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73610] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2911), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(6139), 1,
      aux_sym_array_repeat1,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73729] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2912), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73848] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2913), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73937] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2914), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [74052] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2915), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5396), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [74167] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5406), 1,
      anon_sym_GT_GT,
    ACTIONS(5410), 1,
      anon_sym_AMP,
    ACTIONS(5412), 1,
      anon_sym_CARET,
    ACTIONS(5414), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      anon_sym_PERCENT,
    ACTIONS(5420), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5422), 1,
      anon_sym_LT,
    ACTIONS(5430), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2916), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5381), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5394), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5408), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5426), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5428), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5424), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [74282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2917), 1,
      sym_comment,
    ACTIONS(5342), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5344), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2918), 1,
      sym_comment,
    ACTIONS(5212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6014), 1,
      anon_sym_extends,
    STATE(2919), 1,
      sym_comment,
    ACTIONS(4997), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4999), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6016), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5009), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74510] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(2921), 1,
      sym_comment,
    ACTIONS(5346), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2922), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2923), 1,
      sym_comment,
    ACTIONS(5019), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5021), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74684] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6024), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2924), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74766] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(2925), 1,
      sym_comment,
    ACTIONS(5188), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5190), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74828] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    ACTIONS(6027), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_comment,
    ACTIONS(2113), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5926), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74896] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2927), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_extends,
    STATE(2928), 1,
      sym_comment,
    ACTIONS(5188), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5190), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75068] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2929), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [75142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2930), 1,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5320), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2931), 1,
      sym_comment,
    ACTIONS(5039), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75256] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(5140), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5142), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75318] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2933), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2934), 1,
      sym_comment,
    ACTIONS(5154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(5158), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5160), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75544] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3237), 1,
      anon_sym_QMARK,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    ACTIONS(5926), 1,
      anon_sym_COLON,
    STATE(2936), 1,
      sym_comment,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5900), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75614] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_STAR,
    ACTIONS(6073), 1,
      anon_sym_async,
    ACTIONS(6075), 1,
      anon_sym_readonly,
    STATE(2937), 1,
      sym_comment,
    STATE(3761), 1,
      sym_override_modifier,
    STATE(4086), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6077), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75696] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6079), 1,
      anon_sym_SEMI,
    ACTIONS(6081), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2938), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(5192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5194), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75868] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_comment,
    ACTIONS(5198), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5200), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75926] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5673), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4969), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75988] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2942), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(5208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2944), 1,
      sym_comment,
    ACTIONS(5230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5232), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76214] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2945), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5194), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76274] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    ACTIONS(6089), 1,
      anon_sym_RPAREN,
    STATE(2946), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6085), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6087), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    STATE(2947), 1,
      sym_comment,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76400] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    ACTIONS(5683), 1,
      anon_sym_async,
    ACTIONS(6092), 1,
      anon_sym_abstract,
    STATE(2948), 1,
      sym_comment,
    STATE(4031), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76478] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2949), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76592] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4312), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(2950), 1,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5164), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76660] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    ACTIONS(6099), 1,
      anon_sym_RPAREN,
    STATE(2951), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6094), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6096), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76728] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5230), 1,
      anon_sym_QMARK,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5989), 1,
      anon_sym_COLON,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5970), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76798] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(2953), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76860] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5689), 1,
      anon_sym_QMARK_DOT,
    STATE(2954), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76924] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(2955), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77038] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(5253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(5265), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5267), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6105), 1,
      anon_sym_DOT,
    STATE(2958), 1,
      sym_comment,
    ACTIONS(5322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5324), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77210] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    STATE(2959), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77290] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6107), 1,
      sym__automatic_semicolon,
    STATE(2960), 1,
      sym_comment,
    ACTIONS(2296), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77352] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6113), 1,
      sym_regex_flags,
    STATE(2961), 1,
      sym_comment,
    ACTIONS(6109), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6111), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77410] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(2962), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5483), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77488] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(2963), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77578] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6117), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2964), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [77654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2965), 1,
      sym_comment,
    ACTIONS(4464), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5023), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77710] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(2966), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77800] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2967), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2968), 1,
      sym_comment,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2969), 1,
      sym_comment,
    ACTIONS(4456), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5025), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78028] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_COMMA,
    ACTIONS(6126), 1,
      anon_sym_RBRACE,
    STATE(2970), 1,
      sym_comment,
    STATE(6284), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7327), 1,
      sym__property_name,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6316), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6122), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(3237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2972), 1,
      sym_comment,
    ACTIONS(5178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5180), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78222] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2973), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [78290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2974), 1,
      sym_comment,
    ACTIONS(5162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2975), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78402] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    ACTIONS(6132), 1,
      anon_sym_readonly,
    STATE(2976), 1,
      sym_comment,
    STATE(3756), 1,
      sym_override_modifier,
    STATE(4038), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78484] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    ACTIONS(6136), 1,
      anon_sym_abstract,
    STATE(2977), 1,
      sym_comment,
    STATE(4040), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78562] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(2978), 1,
      sym_comment,
    ACTIONS(5354), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5356), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78624] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(5673), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5676), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2980), 1,
      sym_comment,
    ACTIONS(5354), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5356), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78742] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_static,
    ACTIONS(6140), 1,
      anon_sym_readonly,
    ACTIONS(6142), 1,
      anon_sym_abstract,
    STATE(2981), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4382), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(2982), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(4993), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4995), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78942] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2984), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2985), 1,
      sym_comment,
    ACTIONS(3261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3561), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2986), 1,
      sym_comment,
    ACTIONS(5350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5352), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79168] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6016), 1,
      anon_sym_LBRACK,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(4993), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4995), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    STATE(2988), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(4943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4945), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79340] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(2990), 1,
      sym_comment,
    ACTIONS(5150), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2991), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79458] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(6150), 1,
      anon_sym_abstract,
    STATE(2992), 1,
      sym_comment,
    STATE(4042), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6148), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79536] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(2993), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2994), 1,
      sym_comment,
    ACTIONS(4458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2995), 1,
      sym_comment,
    ACTIONS(4458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2996), 1,
      sym_comment,
    ACTIONS(5174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5176), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79768] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_RPAREN,
    STATE(2997), 1,
      sym_comment,
    ACTIONS(5255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5989), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79836] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6155), 1,
      anon_sym_SEMI,
    ACTIONS(6157), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(2998), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2999), 1,
      sym_comment,
    ACTIONS(4983), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4985), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3000), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5013), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80064] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5807), 1,
      sym__automatic_semicolon,
    STATE(3001), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2296), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80124] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_extends,
    STATE(3002), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3003), 1,
      sym_comment,
    ACTIONS(5031), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5033), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80238] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3004), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3005), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80384] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 1,
      anon_sym_RPAREN,
    STATE(3006), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6094), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6161), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3007), 1,
      sym_comment,
    ACTIONS(5031), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5033), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80508] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3008), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80622] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3009), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80736] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3010), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80850] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3011), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5739), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80964] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3012), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81078] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3014), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3015), 1,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5320), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3016), 1,
      sym_comment,
    ACTIONS(4443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5328), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81360] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5951), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5103), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3019), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5135), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5103), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5135), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4995), 1,
      anon_sym_extends,
    ACTIONS(6016), 1,
      anon_sym_LBRACK,
    STATE(3024), 1,
      sym_comment,
    ACTIONS(4993), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4987), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4989), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3025), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3026), 1,
      sym_comment,
    ACTIONS(5240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81984] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82098] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3028), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82212] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3029), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82318] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3030), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3031), 1,
      sym_comment,
    ACTIONS(5244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82466] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6166), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3032), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [82550] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6166), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3033), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82632] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3034), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82732] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3035), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82830] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3036), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82926] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6166), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3037), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83010] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(6169), 1,
      anon_sym_readonly,
    STATE(3038), 1,
      sym_comment,
    STATE(3772), 1,
      sym_override_modifier,
    STATE(4041), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6148), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83092] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5065), 1,
      anon_sym_GT_GT,
    ACTIONS(5069), 1,
      anon_sym_AMP,
    ACTIONS(5071), 1,
      anon_sym_CARET,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_PERCENT,
    ACTIONS(5079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5081), 1,
      anon_sym_LT,
    ACTIONS(5089), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5095), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3039), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5047), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5057), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5067), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5075), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5085), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5083), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83206] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3040), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83310] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3041), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3042), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83468] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6166), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3043), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83546] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6171), 1,
      anon_sym_static,
    ACTIONS(6173), 1,
      anon_sym_readonly,
    ACTIONS(6175), 1,
      anon_sym_abstract,
    STATE(3044), 1,
      sym_comment,
    STATE(3815), 1,
      sym_override_modifier,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83626] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3045), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6177), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83796] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3047), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83910] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6179), 1,
      anon_sym_SEMI,
    ACTIONS(6181), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84026] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_STAR,
    ACTIONS(6185), 1,
      anon_sym_async,
    ACTIONS(6189), 1,
      anon_sym_abstract,
    STATE(3049), 1,
      sym_comment,
    STATE(4036), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6187), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84104] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3050), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84330] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(5637), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5634), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5160), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5630), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84392] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(3054), 1,
      sym_comment,
    ACTIONS(5204), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3055), 1,
      sym_comment,
    ACTIONS(4441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84510] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_STAR,
    ACTIONS(6185), 1,
      anon_sym_async,
    ACTIONS(6191), 1,
      anon_sym_readonly,
    STATE(3056), 1,
      sym_comment,
    STATE(3754), 1,
      sym_override_modifier,
    STATE(4036), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6187), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3058), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84704] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6193), 1,
      anon_sym_SEMI,
    ACTIONS(6195), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3059), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3060), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3061), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3062), 1,
      sym_comment,
    ACTIONS(3281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3643), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84988] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6197), 1,
      anon_sym_SEMI,
    ACTIONS(6199), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3063), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3064), 1,
      sym_comment,
    ACTIONS(5027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85160] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5768), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5164), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5099), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(5182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5184), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85334] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3068), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85448] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3069), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5593), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85562] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    STATE(3070), 1,
      sym_comment,
    STATE(3177), 1,
      sym_arguments,
    ACTIONS(5015), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5017), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3071), 1,
      sym_comment,
    ACTIONS(5041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3072), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3075), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3076), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85958] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    ACTIONS(6205), 1,
      anon_sym_async,
    ACTIONS(6207), 1,
      anon_sym_readonly,
    STATE(3077), 1,
      sym_comment,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(4110), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6209), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3078), 1,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5107), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3079), 1,
      sym_comment,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86152] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    ACTIONS(6213), 1,
      anon_sym_async,
    ACTIONS(6215), 1,
      anon_sym_readonly,
    STATE(3080), 1,
      sym_comment,
    STATE(3762), 1,
      sym_override_modifier,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6217), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86234] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3081), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86324] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3082), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(3271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3641), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86494] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3084), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86584] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3085), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86698] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3086), 1,
      sym_comment,
    ACTIONS(5192), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5194), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86758] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5160), 1,
      anon_sym_extends,
    STATE(3087), 1,
      sym_comment,
    ACTIONS(5634), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5637), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5630), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3088), 1,
      sym_comment,
    ACTIONS(5292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5294), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3089), 1,
      sym_comment,
    ACTIONS(5296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5298), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86932] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6221), 1,
      anon_sym_SEMI,
    ACTIONS(6223), 1,
      sym__automatic_semicolon,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3090), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87048] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87112] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_comment,
    ACTIONS(5232), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5253), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3093), 1,
      sym_comment,
    ACTIONS(5300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5302), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5308), 1,
      anon_sym_DOT,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(5304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(5166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(5304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3097), 1,
      sym_comment,
    ACTIONS(5314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5316), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87460] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(3098), 1,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5316), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(5330), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5332), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(5334), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5336), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3101), 1,
      sym_comment,
    ACTIONS(5338), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5340), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87692] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3102), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87782] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3103), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [87870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3104), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87926] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3105), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88040] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3106), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88154] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(4331), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5164), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5172), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(4462), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(4460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88502] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(3113), 1,
      sym_comment,
    ACTIONS(2113), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5440), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88570] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3114), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88684] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(3115), 1,
      sym_comment,
    ACTIONS(5364), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5366), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88746] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6018), 1,
      anon_sym_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE,
    ACTIONS(6022), 1,
      anon_sym_extends,
    STATE(3116), 1,
      sym_comment,
    ACTIONS(5360), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3117), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88864] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(5436), 1,
      anon_sym_satisfies,
    ACTIONS(6034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6036), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6038), 1,
      anon_sym_GT_GT,
    ACTIONS(6042), 1,
      anon_sym_AMP,
    ACTIONS(6044), 1,
      anon_sym_CARET,
    ACTIONS(6046), 1,
      anon_sym_PIPE,
    ACTIONS(6050), 1,
      anon_sym_PERCENT,
    ACTIONS(6052), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6054), 1,
      anon_sym_LT,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3118), 1,
      sym_comment,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5432), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6048), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3120), 1,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5196), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89090] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_COMMA,
    ACTIONS(6233), 1,
      anon_sym_RBRACE,
    STATE(3121), 1,
      sym_comment,
    STATE(6286), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7327), 1,
      sym__property_name,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6310), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6231), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89172] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3122), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89262] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3123), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89376] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5505), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5507), 1,
      anon_sym_GT_GT,
    ACTIONS(5511), 1,
      anon_sym_AMP,
    ACTIONS(5513), 1,
      anon_sym_CARET,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(5519), 1,
      anon_sym_PERCENT,
    ACTIONS(5521), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5533), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3124), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5497), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5501), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5509), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5517), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5527), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5529), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5525), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(3263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3629), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89602] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    STATE(3127), 1,
      sym_comment,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5237), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2111), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89666] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(3128), 1,
      sym_comment,
    ACTIONS(5255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5795), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3129), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89790] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3130), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89891] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(3131), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5768), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89952] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6265), 1,
      sym__automatic_semicolon,
    STATE(3132), 1,
      sym_comment,
    ACTIONS(2318), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2202), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90011] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_STAR,
    ACTIONS(6185), 1,
      anon_sym_async,
    STATE(3133), 1,
      sym_comment,
    STATE(4036), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6187), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90086] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90143] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    ACTIONS(6269), 1,
      anon_sym_async,
    STATE(3135), 1,
      sym_comment,
    STATE(4056), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6271), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3136), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90273] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_STAR,
    STATE(3137), 1,
      sym_comment,
    STATE(4832), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6273), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(3138), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90403] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3139), 1,
      sym_comment,
    ACTIONS(5595), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5597), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3140), 1,
      sym_comment,
    ACTIONS(5599), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90513] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5597), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3141), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90626] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    STATE(3142), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90693] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5250), 1,
      anon_sym_RBRACE,
    STATE(3143), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90760] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5587), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3144), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90873] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5581), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3145), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90986] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6311), 1,
      anon_sym_STAR,
    STATE(3146), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91059] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5739), 1,
      anon_sym_of,
    ACTIONS(6277), 1,
      anon_sym_GT,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    ACTIONS(6315), 1,
      anon_sym_in,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3147), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91174] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    ACTIONS(5164), 1,
      anon_sym_extends,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3148), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6318), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91296] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    ACTIONS(6205), 1,
      anon_sym_async,
    STATE(3150), 1,
      sym_comment,
    STATE(4110), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6209), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91371] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    ACTIONS(6269), 1,
      anon_sym_async,
    STATE(3151), 1,
      sym_comment,
    STATE(4046), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6271), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91446] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    STATE(3152), 1,
      sym_comment,
    STATE(2660), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6322), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91509] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    STATE(3153), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91576] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    STATE(3154), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91643] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_STAR,
    STATE(3155), 1,
      sym_comment,
    STATE(4840), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6324), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91716] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    STATE(3156), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6326), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3157), 1,
      sym_comment,
    ACTIONS(2364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2178), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91846] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6328), 1,
      sym__automatic_semicolon,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91905] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6333), 1,
      anon_sym_COLON,
    ACTIONS(6335), 1,
      anon_sym_LT,
    ACTIONS(6338), 1,
      anon_sym_QMARK,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(4200), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91968] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3160), 1,
      sym_comment,
    ACTIONS(2388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92025] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3161), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92138] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5583), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3162), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(6340), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6342), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92310] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3164), 1,
      sym_comment,
    ACTIONS(6340), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6342), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92369] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    ACTIONS(6269), 1,
      anon_sym_async,
    STATE(3165), 1,
      sym_comment,
    STATE(4061), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6271), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3166), 1,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5487), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92499] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5160), 1,
      anon_sym_extends,
    STATE(3167), 1,
      sym_comment,
    ACTIONS(5637), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5634), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5630), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92560] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6344), 1,
      sym__automatic_semicolon,
    STATE(3168), 1,
      sym_comment,
    ACTIONS(2402), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92619] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6346), 1,
      sym__automatic_semicolon,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92678] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6348), 1,
      sym__automatic_semicolon,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(2388), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92737] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3171), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92850] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6360), 1,
      sym__automatic_semicolon,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(2364), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2178), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92909] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(6340), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6342), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92968] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6362), 1,
      anon_sym_STAR,
    STATE(3174), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93041] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6366), 1,
      sym__automatic_semicolon,
    STATE(3175), 1,
      sym_comment,
    ACTIONS(2322), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93100] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6368), 1,
      sym__automatic_semicolon,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(2376), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2250), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93159] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5495), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(5616), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5618), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93269] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3179), 1,
      sym_comment,
    ACTIONS(6370), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6372), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93328] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(6094), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6096), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4312), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_QMARK,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(5537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5539), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3183), 1,
      sym_comment,
    ACTIONS(5579), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5581), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93558] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(5232), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5253), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93621] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_comment,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5237), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2111), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93684] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    STATE(3186), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93751] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6378), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3187), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3188), 1,
      sym_comment,
    ACTIONS(5801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5803), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(6412), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93976] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3190), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94089] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(3191), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94152] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2482), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6420), 1,
      anon_sym_RBRACE,
    ACTIONS(6422), 1,
      anon_sym_async,
    ACTIONS(6424), 1,
      anon_sym_static,
    ACTIONS(6426), 1,
      anon_sym_readonly,
    ACTIONS(6432), 1,
      anon_sym_override,
    STATE(3192), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4554), 1,
      sym__property_name,
    STATE(6172), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6428), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6430), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6178), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6416), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94245] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    STATE(3193), 1,
      sym_comment,
    STATE(4957), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6434), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94318] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    STATE(3194), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94385] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6436), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3195), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94498] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_STAR,
    STATE(3196), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6440), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3197), 1,
      sym_comment,
    ACTIONS(5585), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5587), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94626] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    STATE(3198), 1,
      sym_comment,
    STATE(4966), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6442), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94699] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5697), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3199), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(2218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2222), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94867] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6362), 1,
      anon_sym_STAR,
    ACTIONS(6444), 1,
      anon_sym_async,
    STATE(3201), 1,
      sym_comment,
    STATE(4090), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6446), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94942] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3202), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95005] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5649), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3203), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3204), 1,
      sym_comment,
    ACTIONS(5620), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5622), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95173] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6448), 1,
      anon_sym_STAR,
    ACTIONS(6450), 1,
      anon_sym_async,
    STATE(3205), 1,
      sym_comment,
    STATE(4069), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6452), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95248] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3206), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5634), 1,
      anon_sym_LBRACK,
    STATE(3207), 1,
      sym_comment,
    ACTIONS(5160), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5637), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5630), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95414] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_STAR,
    ACTIONS(6454), 1,
      anon_sym_async,
    STATE(3208), 1,
      sym_comment,
    STATE(4085), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6456), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95489] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3209), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3210), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3211), 1,
      sym_comment,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95690] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3212), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95803] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6448), 1,
      anon_sym_STAR,
    STATE(3213), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6458), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95876] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(3214), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [95939] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3215), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3216), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5718), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96077] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_STAR,
    STATE(3217), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6462), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96150] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3218), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96211] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6464), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3219), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [96294] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6467), 1,
      anon_sym_STAR,
    STATE(3220), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6469), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96367] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6471), 1,
      sym_regex_flags,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(6109), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6111), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [96424] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6473), 1,
      sym__automatic_semicolon,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(2326), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3223), 1,
      sym_comment,
    ACTIONS(5630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96538] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6475), 1,
      sym__automatic_semicolon,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(2336), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3225), 1,
      sym_comment,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2202), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96654] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3226), 1,
      sym_comment,
    ACTIONS(6477), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96713] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5989), 1,
      anon_sym_COLON,
    STATE(3227), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5232), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96778] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_LBRACK,
    ACTIONS(5926), 1,
      anon_sym_COLON,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3475), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96898] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6481), 1,
      sym__automatic_semicolon,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(2422), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2222), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96957] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3231), 1,
      sym_comment,
    ACTIONS(5826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5828), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3232), 1,
      sym_comment,
    ACTIONS(5830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5832), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3233), 1,
      sym_comment,
    ACTIONS(2422), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97124] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6464), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3234), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [97205] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3235), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [97304] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_STAR,
    STATE(3236), 1,
      sym_comment,
    STATE(4929), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6485), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97377] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      anon_sym_COLON,
    ACTIONS(6492), 1,
      anon_sym_LT,
    ACTIONS(6495), 1,
      anon_sym_QMARK,
    STATE(3237), 1,
      sym_comment,
    ACTIONS(5791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3238), 1,
      sym_comment,
    ACTIONS(5834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5836), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97495] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    ACTIONS(6497), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3240), 1,
      sym_comment,
    ACTIONS(5624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5626), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97663] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6499), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3241), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [97736] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3242), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97849] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6502), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3243), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [97930] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6505), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3244), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98005] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3245), 1,
      sym_comment,
    ACTIONS(5813), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5535), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98060] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    STATE(3246), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98127] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_RBRACE,
    STATE(3247), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98249] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(4969), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5676), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98310] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3250), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98393] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3251), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98490] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3252), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98585] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6508), 1,
      sym__automatic_semicolon,
    STATE(3253), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(5643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98699] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3255), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98812] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3256), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98893] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6464), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3257), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98976] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_STAR,
    STATE(3258), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99049] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3259), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3260), 1,
      sym_comment,
    ACTIONS(5647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5649), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99207] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3261), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99320] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3262), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(5655), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5657), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3264), 1,
      sym_comment,
    ACTIONS(5665), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5667), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99543] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3265), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99644] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6464), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3266), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99721] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3267), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(5699), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5701), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99889] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5581), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3269), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100002] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3270), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [100089] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5669), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3271), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100257] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3273), 1,
      sym_comment,
    ACTIONS(5710), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5712), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100312] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5396), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3274), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100425] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6518), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3275), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [100498] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5587), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3276), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100611] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6521), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3277), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100724] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym__automatic_semicolon,
    STATE(3278), 1,
      sym_comment,
    ACTIONS(2358), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100783] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5593), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3279), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100896] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3280), 1,
      sym_comment,
    ACTIONS(6094), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6161), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100955] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3281), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101036] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5597), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101149] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6525), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3283), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101262] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5194), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101321] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5164), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101386] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5158), 1,
      anon_sym_QMARK,
    STATE(3286), 1,
      sym_comment,
    ACTIONS(5160), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5637), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5634), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5630), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101449] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3287), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3288), 1,
      sym_comment,
    ACTIONS(5451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5453), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101559] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    STATE(3289), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6527), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3290), 1,
      sym_comment,
    ACTIONS(5447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3291), 1,
      sym_comment,
    ACTIONS(5443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5445), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101742] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    ACTIONS(5162), 1,
      anon_sym_QMARK,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5164), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101862] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3294), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101945] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6529), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3295), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [102018] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5697), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3296), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102131] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3297), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102212] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5649), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102325] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5926), 1,
      anon_sym_of,
    ACTIONS(6532), 1,
      anon_sym_in,
    STATE(3299), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102386] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3300), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102491] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3301), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102604] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(5930), 1,
      anon_sym_of,
    ACTIONS(6535), 1,
      anon_sym_in,
    STATE(3302), 1,
      sym_comment,
    ACTIONS(5659), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102665] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6538), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3303), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [102746] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3304), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102837] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5477), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3305), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102950] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3306), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103031] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6541), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3307), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103106] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5535), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3308), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103219] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3309), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103302] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    STATE(3310), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103369] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5113), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_RBRACE,
    STATE(3311), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103436] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3312), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [103503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2178), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3314), 1,
      sym_comment,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3315), 1,
      sym_comment,
    ACTIONS(2256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103668] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6544), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3316), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [103751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3317), 1,
      sym_comment,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2250), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3318), 1,
      sym_comment,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3319), 1,
      sym_comment,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3320), 1,
      sym_comment,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103971] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5162), 1,
      anon_sym_QMARK,
    STATE(3321), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5768), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104034] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6544), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3322), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [104115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3323), 1,
      sym_comment,
    ACTIONS(2412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104172] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6547), 1,
      sym__automatic_semicolon,
    STATE(3324), 1,
      sym_comment,
    ACTIONS(2322), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3325), 1,
      sym_comment,
    ACTIONS(2202), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104286] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6549), 1,
      sym__automatic_semicolon,
    STATE(3326), 1,
      sym_comment,
    ACTIONS(2376), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2250), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104345] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5989), 1,
      anon_sym_of,
    ACTIONS(6551), 1,
      anon_sym_in,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(5253), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104406] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6554), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3328), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104519] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3329), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104632] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    STATE(3330), 1,
      sym_comment,
    STATE(7327), 1,
      sym__property_name,
    STATE(7365), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6689), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6556), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3331), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104766] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3332), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104865] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5583), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3333), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104978] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3334), 1,
      sym_comment,
    ACTIONS(6560), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105037] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3335), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3336), 1,
      sym_comment,
    ACTIONS(5840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5842), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105205] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3337), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105302] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3338), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105397] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5581), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3339), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105510] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6544), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3340), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [105593] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5587), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3341), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105706] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5597), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3342), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105819] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5697), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3343), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105932] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5649), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3344), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106045] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3345), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106150] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3346), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106233] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3347), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106324] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6564), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3348), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [106407] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6564), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3349), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [106488] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3350), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106587] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3351), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106684] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3352), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106779] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6564), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3353), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [106862] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3354), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106965] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107046] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    STATE(3356), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107103] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3357), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [107206] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_STAR,
    ACTIONS(6073), 1,
      anon_sym_async,
    STATE(3358), 1,
      sym_comment,
    STATE(4086), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6077), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107281] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3359), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107354] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3360), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [107455] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6311), 1,
      anon_sym_STAR,
    ACTIONS(6567), 1,
      anon_sym_async,
    STATE(3361), 1,
      sym_comment,
    STATE(4048), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107530] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3362), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107611] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3363), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107694] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6564), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3364), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [107771] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5669), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3365), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107884] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5396), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3366), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107997] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5593), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3367), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108110] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5477), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3368), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108223] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6544), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3369), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108300] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3370), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108383] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3371), 1,
      sym_comment,
    ACTIONS(6571), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6573), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108442] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3372), 1,
      sym_comment,
    ACTIONS(5039), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108499] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3373), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108586] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5669), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3374), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108699] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3375), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108780] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3376), 1,
      sym_comment,
    ACTIONS(2326), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108837] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3377), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108950] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5593), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3378), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109063] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5477), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3379), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109176] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5535), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3381), 1,
      sym_comment,
    ACTIONS(2336), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109346] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3382), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [109433] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3383), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [109500] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6575), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109613] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6577), 1,
      anon_sym_STAR,
    ACTIONS(6579), 1,
      anon_sym_async,
    STATE(3385), 1,
      sym_comment,
    STATE(4081), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6581), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109688] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5535), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3386), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109801] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6577), 1,
      anon_sym_STAR,
    STATE(3387), 1,
      sym_comment,
    STATE(4965), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6583), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109874] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(6257), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3388), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [109941] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6241), 1,
      anon_sym_GT_GT,
    ACTIONS(6245), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6253), 1,
      anon_sym_PERCENT,
    ACTIONS(6255), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6257), 1,
      anon_sym_LT,
    ACTIONS(6352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6358), 1,
      sym__ternary_qmark,
    ACTIONS(6585), 1,
      anon_sym_COLON,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3389), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6239), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6243), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6251), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6263), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6259), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(3390), 1,
      sym_comment,
    ACTIONS(4200), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110115] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6587), 1,
      sym__automatic_semicolon,
    STATE(3391), 1,
      sym_comment,
    ACTIONS(2354), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110174] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5583), 1,
      anon_sym_RBRACK,
    ACTIONS(6380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6384), 1,
      anon_sym_GT_GT,
    ACTIONS(6388), 1,
      anon_sym_AMP,
    ACTIONS(6390), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_PIPE,
    ACTIONS(6396), 1,
      anon_sym_PERCENT,
    ACTIONS(6398), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6400), 1,
      anon_sym_LT,
    ACTIONS(6408), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6410), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3392), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6376), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6386), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6406), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6402), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110287] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3393), 1,
      sym_comment,
    ACTIONS(6589), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6591), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3394), 1,
      sym_comment,
    ACTIONS(5612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5614), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3395), 1,
      sym_comment,
    ACTIONS(5791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5793), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110456] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    STATE(3396), 1,
      sym_comment,
    STATE(4052), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110531] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3397), 1,
      sym_comment,
    ACTIONS(6085), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6087), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110590] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    STATE(3398), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6593), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110663] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_STAR,
    STATE(3399), 1,
      sym_comment,
    STATE(4939), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6597), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110736] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_STAR,
    ACTIONS(6599), 1,
      anon_sym_async,
    STATE(3400), 1,
      sym_comment,
    STATE(4080), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6601), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3401), 1,
      sym_comment,
    ACTIONS(2358), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110868] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    STATE(3402), 1,
      sym_comment,
    STATE(4065), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110943] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(5778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5780), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3404), 1,
      sym_comment,
    ACTIONS(5774), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111053] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3405), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3406), 1,
      sym_comment,
    ACTIONS(5753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5755), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3407), 1,
      sym_comment,
    ACTIONS(2386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3408), 1,
      sym_comment,
    ACTIONS(5749), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5751), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6471), 1,
      sym_regex_flags,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(6109), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6111), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [111332] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      anon_sym_STAR,
    ACTIONS(6605), 1,
      anon_sym_async,
    STATE(3410), 1,
      sym_comment,
    STATE(4058), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6607), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111407] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      anon_sym_STAR,
    STATE(3411), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111480] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3412), 1,
      sym_comment,
    ACTIONS(6571), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6573), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111539] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    STATE(3413), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6611), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111612] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3414), 1,
      sym_comment,
    ACTIONS(6571), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6573), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111671] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6613), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3415), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111746] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5479), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    ACTIONS(6213), 1,
      anon_sym_async,
    STATE(3416), 1,
      sym_comment,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6217), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111821] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6616), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3417), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [111902] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5499), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3418), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112015] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3419), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112083] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6619), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3420), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5603), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5605), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [112155] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    STATE(3421), 1,
      sym_comment,
    ACTIONS(4315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112213] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3422), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112281] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3423), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112349] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5634), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_comment,
    ACTIONS(5160), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5637), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5630), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112409] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_extends,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    STATE(3425), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5253), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112471] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3475), 1,
      anon_sym_extends,
    STATE(3426), 1,
      sym_comment,
    ACTIONS(5234), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5237), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112533] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3427), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112601] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3428), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112669] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112737] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(5164), 1,
      anon_sym_extends,
    STATE(3430), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112799] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3431), 1,
      sym_comment,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112867] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_comment,
    STATE(4945), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112935] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_comment,
    ACTIONS(4969), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5676), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112995] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3434), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113057] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_comment,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113125] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3436), 1,
      sym_comment,
    ACTIONS(5192), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5194), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113183] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3437), 1,
      sym_comment,
    STATE(4832), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113251] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3438), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113327] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113389] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_comment,
    STATE(4965), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113457] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3441), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113519] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3442), 1,
      sym_comment,
    STATE(4957), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113587] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_BANG,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(3443), 1,
      sym_comment,
    STATE(3555), 1,
      sym_type_arguments,
    STATE(6115), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113697] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_comment,
    STATE(4966), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113765] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_QMARK,
    ACTIONS(4969), 1,
      anon_sym_extends,
    STATE(3445), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5673), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113827] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(5930), 1,
      anon_sym_COLON,
    STATE(3446), 1,
      sym_comment,
    ACTIONS(5817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113887] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3447), 1,
      sym_comment,
    STATE(4929), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113955] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3448), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114031] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3449), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114099] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114175] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3451), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114243] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3452), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114311] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114379] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3454), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114489] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114557] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3456), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114667] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3457), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114777] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3458), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114887] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3459), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114963] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3460), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115073] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3461), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(3462), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115239] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3463), 1,
      sym_comment,
    STATE(4840), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115307] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6658), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3464), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5470), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5472), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [115381] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    STATE(3465), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [115437] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3466), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [115503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3467), 1,
      sym_comment,
    ACTIONS(5039), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115559] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2482), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6665), 1,
      anon_sym_async,
    ACTIONS(6667), 1,
      anon_sym_static,
    ACTIONS(6669), 1,
      anon_sym_readonly,
    ACTIONS(6675), 1,
      anon_sym_override,
    STATE(3468), 1,
      sym_comment,
    STATE(3735), 1,
      sym_accessibility_modifier,
    STATE(3759), 1,
      sym_override_modifier,
    STATE(4554), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6663), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6671), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6673), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6690), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6661), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115647] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3469), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115757] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3470), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115867] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3471), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115977] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116037] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3473), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116147] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3474), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116231] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3475), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116341] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6412), 1,
      anon_sym_COMMA,
    STATE(3476), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116397] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3477), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116507] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(3478), 1,
      sym_comment,
    ACTIONS(4451), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116565] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3479), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116675] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3480), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116785] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3481), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [116889] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3482), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5653), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [116979] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3483), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [117061] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3484), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117137] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3485), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117217] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3486), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117315] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3487), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5653), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117411] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3488), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117505] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117581] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6113), 1,
      sym_regex_flags,
    STATE(3490), 1,
      sym_comment,
    ACTIONS(6109), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6111), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [117637] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3491), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117719] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3492), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117821] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5653), 1,
      anon_sym_BANG,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3493), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5651), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117921] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6682), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3494), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [118001] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5049), 1,
      anon_sym_as,
    ACTIONS(5053), 1,
      anon_sym_BANG,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5093), 1,
      anon_sym_satisfies,
    ACTIONS(6626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6634), 1,
      anon_sym_AMP,
    ACTIONS(6636), 1,
      anon_sym_CARET,
    ACTIONS(6638), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    ACTIONS(6654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6656), 1,
      sym__ternary_qmark,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3495), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [118111] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3496), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118187] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3497), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118269] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4903), 1,
      anon_sym_LBRACK,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6630), 1,
      anon_sym_GT_GT,
    ACTIONS(6642), 1,
      anon_sym_PERCENT,
    ACTIONS(6644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(3498), 1,
      sym_comment,
    STATE(6092), 1,
      sym_optional_chain,
    ACTIONS(5091), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5653), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5651), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118355] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3499), 1,
      sym_comment,
    STATE(4939), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118423] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(1033), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118479] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3501), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118547] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3502), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118615] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3503), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_extends,
    STATE(3504), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6412), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118802] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(5645), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6688), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6691), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118857] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5795), 1,
      anon_sym_RBRACK,
    ACTIONS(5989), 1,
      anon_sym_COMMA,
    STATE(3507), 1,
      sym_comment,
    ACTIONS(5253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118916] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6694), 1,
      anon_sym_abstract,
    STATE(3508), 1,
      sym_comment,
    STATE(4440), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118985] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3509), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119060] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_abstract,
    STATE(3510), 1,
      sym_comment,
    STATE(4478), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119129] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_readonly,
    STATE(3511), 1,
      sym_comment,
    STATE(3784), 1,
      sym_override_modifier,
    STATE(4471), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119202] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119261] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6700), 1,
      anon_sym_readonly,
    STATE(3513), 1,
      sym_comment,
    STATE(3831), 1,
      sym_override_modifier,
    STATE(4393), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119334] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(5985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119393] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6702), 1,
      anon_sym_readonly,
    STATE(3515), 1,
      sym_comment,
    STATE(3803), 1,
      sym_override_modifier,
    STATE(4359), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119466] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(5817), 1,
      anon_sym_RBRACK,
    ACTIONS(5930), 1,
      anon_sym_COMMA,
    STATE(3516), 1,
      sym_comment,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119525] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3517), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119598] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6704), 1,
      anon_sym_abstract,
    STATE(3518), 1,
      sym_comment,
    STATE(4357), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119667] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4711), 1,
      anon_sym_AT,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_STAR,
    ACTIONS(6708), 1,
      anon_sym_async,
    ACTIONS(6710), 1,
      anon_sym_static,
    ACTIONS(6712), 1,
      anon_sym_readonly,
    ACTIONS(6716), 1,
      anon_sym_declare,
    ACTIONS(6718), 1,
      anon_sym_abstract,
    STATE(3519), 1,
      sym_comment,
    STATE(3636), 1,
      sym_method_definition,
    STATE(3692), 1,
      sym_accessibility_modifier,
    STATE(3727), 1,
      aux_sym_export_statement_repeat1,
    STATE(3760), 1,
      sym_override_modifier,
    STATE(3834), 1,
      sym_decorator,
    STATE(4047), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4721), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4472), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119760] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_abstract,
    STATE(3520), 1,
      sym_comment,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119829] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    ACTIONS(5926), 1,
      anon_sym_COMMA,
    STATE(3521), 1,
      sym_comment,
    ACTIONS(2111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119888] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_readonly,
    STATE(3522), 1,
      sym_comment,
    STATE(3808), 1,
      sym_override_modifier,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119961] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    STATE(3523), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120020] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6189), 1,
      anon_sym_abstract,
    STATE(3524), 1,
      sym_comment,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120089] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5634), 1,
      anon_sym_LBRACK,
    STATE(3525), 1,
      sym_comment,
    ACTIONS(5637), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5160), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5630), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5164), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120207] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3527), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120282] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3528), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3529), 1,
      sym_comment,
    ACTIONS(5445), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6724), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6727), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120414] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6730), 1,
      anon_sym_readonly,
    STATE(3530), 1,
      sym_comment,
    STATE(3815), 1,
      sym_override_modifier,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(5449), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6732), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6735), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120542] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3532), 1,
      sym_comment,
    ACTIONS(2206), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6738), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6741), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120597] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3533), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(5039), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5037), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120731] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    STATE(3535), 1,
      sym_comment,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120786] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5673), 1,
      anon_sym_LBRACK,
    STATE(3536), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4969), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3537), 1,
      sym_comment,
    ACTIONS(5718), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6746), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6749), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120900] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      anon_sym_extends,
    STATE(3538), 1,
      sym_comment,
    ACTIONS(5673), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5676), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(2278), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121014] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3540), 1,
      sym_comment,
    ACTIONS(2260), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6761), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(2158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6764), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6767), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121124] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(3542), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121179] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(5164), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5771), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121240] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3544), 1,
      sym_comment,
    STATE(4287), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121306] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2113), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5926), 1,
      anon_sym_of,
    ACTIONS(6532), 1,
      anon_sym_in,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121364] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3546), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121426] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3547), 1,
      sym_comment,
    STATE(4413), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121492] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    STATE(3548), 1,
      sym_comment,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121546] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3549), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121608] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3550), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121676] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(5930), 1,
      anon_sym_of,
    ACTIONS(6535), 1,
      anon_sym_in,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(5659), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121734] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3552), 1,
      sym_comment,
    STATE(4315), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121800] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(3553), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121862] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3554), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121932] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(3555), 1,
      sym_comment,
    STATE(3268), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [121990] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3556), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122062] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3557), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122124] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3558), 1,
      sym_comment,
    STATE(4416), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122190] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3559), 1,
      sym_comment,
    STATE(4396), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122256] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      anon_sym_in,
    ACTIONS(4421), 1,
      anon_sym_of,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(4200), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122314] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3561), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122376] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_comment,
    STATE(4337), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122442] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    STATE(3563), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6113), 1,
      sym_regex_flags,
    STATE(3564), 1,
      sym_comment,
    ACTIONS(6109), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6111), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [122558] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3565), 1,
      sym_comment,
    STATE(4479), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122624] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3566), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122686] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3567), 1,
      sym_comment,
    STATE(4351), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122752] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3568), 1,
      sym_comment,
    STATE(4323), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122818] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3569), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122888] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3570), 1,
      sym_comment,
    STATE(4303), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122954] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3571), 1,
      sym_comment,
    STATE(4405), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123020] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    STATE(3572), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123074] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_EQ,
    STATE(3573), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123128] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3574), 1,
      sym_comment,
    STATE(4480), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123194] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    STATE(3575), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123256] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3576), 1,
      sym_comment,
    STATE(4412), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123322] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3577), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123384] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3578), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123446] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123508] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3580), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123570] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    ACTIONS(6159), 1,
      anon_sym_RBRACE,
    STATE(3581), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123632] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3582), 1,
      sym_comment,
    STATE(4430), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123698] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3583), 1,
      sym_comment,
    STATE(4418), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123764] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4616), 1,
      sym__automatic_semicolon,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3584), 1,
      sym_comment,
    STATE(4306), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123830] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3585), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_EQ,
    STATE(3586), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123946] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ,
    ACTIONS(5989), 1,
      anon_sym_of,
    ACTIONS(6551), 1,
      anon_sym_in,
    STATE(3587), 1,
      sym_comment,
    ACTIONS(5253), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124004] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4538), 1,
      anon_sym_EQ,
    STATE(3588), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(3589), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124110] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4544), 1,
      anon_sym_EQ,
    STATE(3590), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4562), 1,
      anon_sym_EQ,
    STATE(3591), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(3592), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    STATE(3593), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4542), 1,
      anon_sym_EQ,
    STATE(3594), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(3595), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4598), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124481] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124546] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(3598), 1,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124599] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6770), 1,
      sym__automatic_semicolon,
    STATE(3599), 1,
      sym_comment,
    ACTIONS(2288), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124649] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6774), 1,
      sym__automatic_semicolon,
    STATE(3600), 1,
      sym_comment,
    ACTIONS(6772), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124699] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6778), 1,
      sym__automatic_semicolon,
    STATE(3601), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124749] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6782), 1,
      sym__automatic_semicolon,
    STATE(3602), 1,
      sym_comment,
    ACTIONS(6780), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124799] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3603), 1,
      sym_comment,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124855] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6786), 1,
      sym__automatic_semicolon,
    STATE(3604), 1,
      sym_comment,
    ACTIONS(6784), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124905] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6790), 1,
      sym__automatic_semicolon,
    STATE(3605), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124955] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3606), 1,
      sym_comment,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125009] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5111), 1,
      anon_sym_EQ,
    STATE(3607), 1,
      sym_comment,
    ACTIONS(6685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125063] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6794), 1,
      sym__automatic_semicolon,
    STATE(3608), 1,
      sym_comment,
    ACTIONS(6792), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125113] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6786), 1,
      sym__automatic_semicolon,
    STATE(3609), 1,
      sym_comment,
    ACTIONS(6784), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125163] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3610), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125213] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3611), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125263] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6790), 1,
      sym__automatic_semicolon,
    STATE(3612), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3613), 1,
      sym_comment,
    ACTIONS(6800), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125363] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3614), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125413] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3615), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125463] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3616), 1,
      sym_comment,
    ACTIONS(6800), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125513] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3617), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125563] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3618), 1,
      sym_comment,
    ACTIONS(6800), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125613] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6808), 1,
      sym__automatic_semicolon,
    STATE(3619), 1,
      sym_comment,
    ACTIONS(2109), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125663] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6794), 1,
      sym__automatic_semicolon,
    STATE(3620), 1,
      sym_comment,
    ACTIONS(6792), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125713] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3621), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125763] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3622), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125813] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3623), 1,
      sym_comment,
    ACTIONS(6800), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125863] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3624), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125913] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3625), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125963] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3626), 1,
      sym_comment,
    ACTIONS(6800), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126013] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6810), 1,
      sym__automatic_semicolon,
    STATE(3627), 1,
      sym_comment,
    ACTIONS(2288), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126063] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3628), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126113] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6794), 1,
      sym__automatic_semicolon,
    STATE(3629), 1,
      sym_comment,
    ACTIONS(6792), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126163] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6778), 1,
      sym__automatic_semicolon,
    STATE(3630), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126213] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6814), 1,
      sym__automatic_semicolon,
    STATE(3631), 1,
      sym_comment,
    ACTIONS(6812), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126263] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6818), 1,
      sym__automatic_semicolon,
    STATE(3632), 1,
      sym_comment,
    ACTIONS(6816), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126313] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6822), 1,
      anon_sym_SEMI,
    ACTIONS(6825), 1,
      sym__automatic_semicolon,
    STATE(3633), 1,
      sym_comment,
    ACTIONS(6820), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126365] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6418), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_RBRACE,
    STATE(3634), 1,
      sym_comment,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126421] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3635), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126471] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6832), 1,
      sym__automatic_semicolon,
    STATE(3636), 1,
      sym_comment,
    ACTIONS(6827), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126523] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6818), 1,
      sym__automatic_semicolon,
    STATE(3637), 1,
      sym_comment,
    ACTIONS(6816), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126573] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6778), 1,
      sym__automatic_semicolon,
    STATE(3638), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126623] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2316), 1,
      sym__automatic_semicolon,
    STATE(3639), 1,
      sym_comment,
    ACTIONS(2314), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126673] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6836), 1,
      sym__automatic_semicolon,
    STATE(3640), 1,
      sym_comment,
    ACTIONS(6834), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126723] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6778), 1,
      sym__automatic_semicolon,
    STATE(3641), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126773] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6790), 1,
      sym__automatic_semicolon,
    STATE(3642), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126823] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6778), 1,
      sym__automatic_semicolon,
    STATE(3643), 1,
      sym_comment,
    ACTIONS(6776), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6790), 1,
      sym__automatic_semicolon,
    STATE(3644), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126923] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2292), 1,
      sym__automatic_semicolon,
    STATE(3645), 1,
      sym_comment,
    ACTIONS(2288), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126973] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6790), 1,
      sym__automatic_semicolon,
    STATE(3646), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127023] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6838), 1,
      sym__automatic_semicolon,
    STATE(3647), 1,
      sym_comment,
    ACTIONS(2109), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127073] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6798), 1,
      sym__automatic_semicolon,
    STATE(3648), 1,
      sym_comment,
    ACTIONS(6796), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127123] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3649), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127173] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6842), 1,
      sym__automatic_semicolon,
    STATE(3650), 1,
      sym_comment,
    ACTIONS(6840), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127223] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3651), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127273] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6794), 1,
      sym__automatic_semicolon,
    STATE(3652), 1,
      sym_comment,
    ACTIONS(6792), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127323] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_STAR,
    ACTIONS(6846), 1,
      anon_sym_async,
    ACTIONS(6848), 1,
      anon_sym_readonly,
    STATE(3653), 1,
      sym_comment,
    STATE(3763), 1,
      sym_override_modifier,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6850), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127397] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6794), 1,
      sym__automatic_semicolon,
    STATE(3654), 1,
      sym_comment,
    ACTIONS(6792), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127447] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6854), 1,
      sym__automatic_semicolon,
    STATE(3655), 1,
      sym_comment,
    ACTIONS(6852), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127497] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6856), 1,
      anon_sym_EQ_GT,
    STATE(3656), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127560] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_STAR,
    STATE(3657), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6860), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127625] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_STAR,
    ACTIONS(6862), 1,
      anon_sym_async,
    STATE(3658), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6860), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127692] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3659), 1,
      sym_comment,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2444), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127743] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3660), 1,
      sym_comment,
    ACTIONS(6744), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127794] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3661), 1,
      sym_comment,
    ACTIONS(6864), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127841] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3662), 1,
      sym_comment,
    ACTIONS(6864), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3663), 1,
      sym_comment,
    ACTIONS(6866), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127935] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6868), 1,
      anon_sym_STAR,
    STATE(3664), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6870), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128000] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3665), 1,
      sym_comment,
    ACTIONS(6872), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128047] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_STAR,
    STATE(3666), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6850), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128112] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3667), 1,
      sym_comment,
    ACTIONS(2288), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128159] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3668), 1,
      sym_comment,
    ACTIONS(2314), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128206] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6874), 1,
      anon_sym_STAR,
    STATE(3669), 1,
      sym_comment,
    STATE(4871), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6876), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128271] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_STAR,
    ACTIONS(6846), 1,
      anon_sym_async,
    STATE(3670), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6850), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128338] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3671), 1,
      sym_comment,
    ACTIONS(6820), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128385] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6874), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_async,
    STATE(3672), 1,
      sym_comment,
    STATE(4871), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6876), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128452] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3673), 1,
      sym_comment,
    STATE(4939), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128512] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      anon_sym_DOT,
    STATE(3674), 1,
      sym_comment,
    STATE(3825), 1,
      sym_arguments,
    ACTIONS(4322), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128564] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3675), 1,
      sym_comment,
    STATE(4871), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128624] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3676), 1,
      sym_comment,
    STATE(4840), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128684] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3677), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128744] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3678), 1,
      sym_comment,
    STATE(4832), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128804] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3679), 1,
      sym_comment,
    STATE(4909), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128864] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3680), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128924] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128984] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3682), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129044] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3683), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129104] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_comment,
    STATE(4929), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129164] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129224] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_comment,
    STATE(4956), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129284] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129344] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3688), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129404] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3689), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129464] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3690), 1,
      sym_comment,
    STATE(4966), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129524] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    ACTIONS(5683), 1,
      anon_sym_async,
    ACTIONS(6884), 1,
      anon_sym_static,
    ACTIONS(6886), 1,
      anon_sym_readonly,
    ACTIONS(6888), 1,
      anon_sym_declare,
    ACTIONS(6890), 1,
      anon_sym_abstract,
    STATE(3691), 1,
      sym_comment,
    STATE(3757), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129600] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(6892), 1,
      anon_sym_static,
    ACTIONS(6894), 1,
      anon_sym_readonly,
    ACTIONS(6896), 1,
      anon_sym_declare,
    ACTIONS(6898), 1,
      anon_sym_abstract,
    STATE(3692), 1,
      sym_comment,
    STATE(3770), 1,
      sym_override_modifier,
    STATE(4044), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6148), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129676] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_comment,
    STATE(4945), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129736] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3694), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129796] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3695), 1,
      sym_comment,
    STATE(4818), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129856] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3696), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129916] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3697), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129976] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3698), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130036] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3699), 1,
      sym_comment,
    STATE(4808), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130096] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3700), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130156] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3701), 1,
      sym_comment,
    STATE(4965), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130216] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3702), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130276] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2843), 1,
      anon_sym_namespace,
    ACTIONS(2845), 1,
      anon_sym_import,
    ACTIONS(2847), 1,
      anon_sym_var,
    ACTIONS(2849), 1,
      anon_sym_let,
    ACTIONS(2851), 1,
      anon_sym_const,
    ACTIONS(2855), 1,
      anon_sym_class,
    ACTIONS(2857), 1,
      anon_sym_async,
    ACTIONS(2859), 1,
      anon_sym_function,
    ACTIONS(2861), 1,
      anon_sym_declare,
    ACTIONS(2865), 1,
      anon_sym_abstract,
    ACTIONS(2867), 1,
      anon_sym_interface,
    ACTIONS(2869), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(3013), 1,
      anon_sym_module,
    ACTIONS(3015), 1,
      anon_sym_global,
    STATE(3703), 1,
      sym_comment,
    STATE(5318), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(6916), 1,
      sym_internal_module,
    STATE(6934), 1,
      sym_declaration,
    STATE(6915), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130361] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_RBRACE,
    STATE(3704), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130422] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2791), 1,
      anon_sym_module,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(6902), 1,
      anon_sym_default,
    STATE(1628), 1,
      sym_declaration,
    STATE(1686), 1,
      sym_internal_module,
    STATE(3705), 1,
      sym_comment,
    STATE(5102), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1738), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130507] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(3007), 1,
      anon_sym_module,
    ACTIONS(3009), 1,
      anon_sym_global,
    STATE(1498), 1,
      sym_internal_module,
    STATE(1603), 1,
      sym_declaration,
    STATE(3706), 1,
      sym_comment,
    STATE(5157), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1485), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130592] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2905), 1,
      anon_sym_module,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(6904), 1,
      anon_sym_default,
    STATE(1414), 1,
      sym_declaration,
    STATE(1498), 1,
      sym_internal_module,
    STATE(3707), 1,
      sym_comment,
    STATE(5157), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1485), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130677] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6906), 1,
      anon_sym_RBRACE,
    STATE(3708), 1,
      sym_comment,
    STATE(5373), 1,
      sym__property_name,
    STATE(5765), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130738] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2943), 1,
      anon_sym_module,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(6908), 1,
      anon_sym_default,
    STATE(1102), 1,
      sym_internal_module,
    STATE(1200), 1,
      sym_declaration,
    STATE(3709), 1,
      sym_comment,
    STATE(5087), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1094), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130823] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2843), 1,
      anon_sym_namespace,
    ACTIONS(2845), 1,
      anon_sym_import,
    ACTIONS(2847), 1,
      anon_sym_var,
    ACTIONS(2849), 1,
      anon_sym_let,
    ACTIONS(2851), 1,
      anon_sym_const,
    ACTIONS(2855), 1,
      anon_sym_class,
    ACTIONS(2857), 1,
      anon_sym_async,
    ACTIONS(2859), 1,
      anon_sym_function,
    ACTIONS(2861), 1,
      anon_sym_declare,
    ACTIONS(2863), 1,
      anon_sym_module,
    ACTIONS(2865), 1,
      anon_sym_abstract,
    ACTIONS(2867), 1,
      anon_sym_interface,
    ACTIONS(2869), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(6910), 1,
      anon_sym_default,
    STATE(3710), 1,
      sym_comment,
    STATE(5318), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(6916), 1,
      sym_internal_module,
    STATE(7064), 1,
      sym_declaration,
    STATE(6915), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130908] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6912), 1,
      anon_sym_RBRACE,
    STATE(3711), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130969] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6914), 1,
      anon_sym_RBRACE,
    STATE(3712), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131030] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_RBRACE,
    STATE(3713), 1,
      sym_comment,
    STATE(5204), 1,
      sym__property_name,
    STATE(6057), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131091] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_RBRACE,
    STATE(3714), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131152] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_STAR,
    ACTIONS(6922), 1,
      anon_sym_readonly,
    STATE(3715), 1,
      sym_comment,
    STATE(3758), 1,
      sym_override_modifier,
    STATE(4066), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6924), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131219] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6926), 1,
      anon_sym_static,
    ACTIONS(6928), 1,
      anon_sym_readonly,
    ACTIONS(6930), 1,
      anon_sym_abstract,
    STATE(3716), 1,
      sym_comment,
    STATE(3824), 1,
      sym_override_modifier,
    STATE(4298), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131286] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6730), 1,
      anon_sym_readonly,
    ACTIONS(6932), 1,
      anon_sym_STAR,
    STATE(3717), 1,
      sym_comment,
    STATE(3755), 1,
      sym_override_modifier,
    STATE(4039), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6934), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131353] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_RBRACE,
    STATE(3718), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131414] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_RBRACE,
    STATE(3719), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131475] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6940), 1,
      anon_sym_RBRACE,
    STATE(3720), 1,
      sym_comment,
    STATE(5108), 1,
      sym__property_name,
    STATE(6308), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131536] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6942), 1,
      anon_sym_RBRACE,
    STATE(3721), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131597] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6944), 1,
      anon_sym_RBRACE,
    STATE(3722), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131658] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6946), 1,
      anon_sym_RBRACE,
    STATE(3723), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131719] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_RBRACE,
    STATE(3724), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131780] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_RBRACE,
    STATE(3725), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131841] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_RBRACE,
    STATE(3726), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131902] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6954), 1,
      anon_sym_AT,
    STATE(3834), 1,
      sym_decorator,
    STATE(3727), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4338), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [131951] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6957), 1,
      anon_sym_RBRACE,
    STATE(3728), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132012] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6959), 1,
      anon_sym_RBRACE,
    STATE(3729), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132073] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_RBRACE,
    STATE(3730), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132134] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6171), 1,
      anon_sym_static,
    ACTIONS(6173), 1,
      anon_sym_readonly,
    ACTIONS(6175), 1,
      anon_sym_abstract,
    STATE(3731), 1,
      sym_comment,
    STATE(3815), 1,
      sym_override_modifier,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132201] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6963), 1,
      anon_sym_RBRACE,
    STATE(3732), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132262] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2981), 1,
      anon_sym_module,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(6965), 1,
      anon_sym_default,
    STATE(1319), 1,
      sym_internal_module,
    STATE(1425), 1,
      sym_declaration,
    STATE(3733), 1,
      sym_comment,
    STATE(5116), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1333), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132347] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_RBRACE,
    STATE(3734), 1,
      sym_comment,
    STATE(5372), 1,
      sym__property_name,
    STATE(5771), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132408] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_static,
    STATE(3735), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132479] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_RBRACE,
    STATE(3736), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132540] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3737), 1,
      sym_comment,
    ACTIONS(4386), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132585] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_RBRACE,
    STATE(3738), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132646] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6975), 1,
      anon_sym_RBRACE,
    STATE(3739), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132707] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    ACTIONS(6977), 1,
      anon_sym_static,
    STATE(3740), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4125), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132778] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4618), 1,
      anon_sym_module,
    ACTIONS(6979), 1,
      anon_sym_default,
    STATE(3741), 1,
      sym_comment,
    STATE(5088), 1,
      sym_declaration,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132863] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(3019), 1,
      anon_sym_module,
    ACTIONS(3021), 1,
      anon_sym_global,
    STATE(1016), 1,
      sym_declaration,
    STATE(1102), 1,
      sym_internal_module,
    STATE(3742), 1,
      sym_comment,
    STATE(5087), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1094), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132948] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_RBRACE,
    STATE(3743), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133009] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_RBRACE,
    STATE(3744), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133070] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(3001), 1,
      anon_sym_module,
    ACTIONS(3003), 1,
      anon_sym_global,
    STATE(1274), 1,
      sym_declaration,
    STATE(1319), 1,
      sym_internal_module,
    STATE(3745), 1,
      sym_comment,
    STATE(5116), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1333), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [133155] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6985), 1,
      anon_sym_RBRACE,
    STATE(3746), 1,
      sym_comment,
    STATE(5458), 1,
      sym__property_name,
    STATE(6112), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133216] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      anon_sym_RBRACE,
    STATE(3747), 1,
      sym_comment,
    STATE(5064), 1,
      sym__property_name,
    STATE(6350), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133277] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(2829), 1,
      anon_sym_module,
    ACTIONS(2831), 1,
      anon_sym_global,
    STATE(1686), 1,
      sym_internal_module,
    STATE(1726), 1,
      sym_declaration,
    STATE(3748), 1,
      sym_comment,
    STATE(5102), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(1738), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [133362] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133423] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6991), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133484] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4496), 1,
      anon_sym_override,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    ACTIONS(6213), 1,
      anon_sym_async,
    ACTIONS(6215), 1,
      anon_sym_readonly,
    ACTIONS(6993), 1,
      anon_sym_static,
    STATE(3751), 1,
      sym_comment,
    STATE(3762), 1,
      sym_override_modifier,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6217), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133555] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3045), 1,
      anon_sym_module,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3049), 1,
      anon_sym_global,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    STATE(3752), 1,
      sym_comment,
    STATE(5091), 1,
      sym_declaration,
    STATE(5097), 1,
      sym_internal_module,
    STATE(5133), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5096), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [133640] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6995), 1,
      anon_sym_RBRACE,
    STATE(3753), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133701] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      anon_sym_STAR,
    ACTIONS(6605), 1,
      anon_sym_async,
    ACTIONS(6997), 1,
      anon_sym_readonly,
    STATE(3754), 1,
      sym_comment,
    STATE(4058), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6607), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133765] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_STAR,
    STATE(3755), 1,
      sym_comment,
    STATE(4945), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7001), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133825] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    ACTIONS(6269), 1,
      anon_sym_async,
    ACTIONS(7003), 1,
      anon_sym_readonly,
    STATE(3756), 1,
      sym_comment,
    STATE(4053), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6271), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133889] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_STAR,
    ACTIONS(6185), 1,
      anon_sym_async,
    ACTIONS(6191), 1,
      anon_sym_readonly,
    STATE(3757), 1,
      sym_comment,
    STATE(4036), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6187), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133953] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6932), 1,
      anon_sym_STAR,
    STATE(3758), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7005), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134013] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    STATE(3759), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134077] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(7007), 1,
      anon_sym_readonly,
    STATE(3760), 1,
      sym_comment,
    STATE(4045), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6148), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134141] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_STAR,
    ACTIONS(6454), 1,
      anon_sym_async,
    ACTIONS(7009), 1,
      anon_sym_readonly,
    STATE(3761), 1,
      sym_comment,
    STATE(4085), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6456), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134205] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    ACTIONS(6205), 1,
      anon_sym_async,
    ACTIONS(6207), 1,
      anon_sym_readonly,
    STATE(3762), 1,
      sym_comment,
    STATE(4110), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6209), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134269] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_STAR,
    ACTIONS(6862), 1,
      anon_sym_async,
    ACTIONS(7011), 1,
      anon_sym_readonly,
    STATE(3763), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6860), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134333] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_STAR,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_async,
    ACTIONS(5123), 1,
      anon_sym_readonly,
    STATE(3764), 1,
      sym_comment,
    STATE(4125), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134397] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3765), 1,
      sym_comment,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2448), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134443] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    ACTIONS(6213), 1,
      anon_sym_async,
    ACTIONS(6215), 1,
      anon_sym_readonly,
    STATE(3766), 1,
      sym_comment,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6217), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134507] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_STAR,
    ACTIONS(6846), 1,
      anon_sym_async,
    ACTIONS(6848), 1,
      anon_sym_readonly,
    STATE(3767), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6850), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134571] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_STAR,
    ACTIONS(6073), 1,
      anon_sym_async,
    ACTIONS(6075), 1,
      anon_sym_readonly,
    STATE(3768), 1,
      sym_comment,
    STATE(4086), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6077), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134635] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    ACTIONS(5683), 1,
      anon_sym_async,
    ACTIONS(5685), 1,
      anon_sym_readonly,
    STATE(3769), 1,
      sym_comment,
    STATE(4031), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134699] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    ACTIONS(7013), 1,
      anon_sym_readonly,
    STATE(3770), 1,
      sym_comment,
    STATE(4050), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134763] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3771), 1,
      sym_comment,
    STATE(5705), 1,
      sym__property_name,
    STATE(6715), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134821] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6128), 1,
      anon_sym_STAR,
    ACTIONS(6130), 1,
      anon_sym_async,
    ACTIONS(7015), 1,
      anon_sym_readonly,
    STATE(3772), 1,
      sym_comment,
    STATE(4030), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6134), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134885] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6577), 1,
      anon_sym_STAR,
    ACTIONS(6579), 1,
      anon_sym_async,
    ACTIONS(7017), 1,
      anon_sym_readonly,
    STATE(3773), 1,
      sym_comment,
    STATE(4081), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6581), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134949] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3774), 1,
      sym_comment,
    STATE(4416), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135004] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3775), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135059] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_readonly,
    STATE(3776), 1,
      sym_comment,
    STATE(4361), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135116] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_comment,
    STATE(4362), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135171] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7021), 1,
      anon_sym_readonly,
    STATE(3778), 1,
      sym_comment,
    STATE(4356), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135228] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3779), 1,
      sym_comment,
    STATE(4840), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135283] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_readonly,
    STATE(3780), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135340] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3781), 1,
      sym_comment,
    ACTIONS(4428), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135383] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3782), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135438] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3783), 1,
      sym_comment,
    STATE(4399), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135493] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7025), 1,
      anon_sym_readonly,
    STATE(3784), 1,
      sym_comment,
    STATE(4400), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135550] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3785), 1,
      sym_comment,
    ACTIONS(4406), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135593] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_comment,
    STATE(4871), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135648] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3787), 1,
      sym_comment,
    STATE(4832), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135703] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3788), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135758] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3789), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135813] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3790), 1,
      sym_comment,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135868] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_readonly,
    STATE(3791), 1,
      sym_comment,
    STATE(4391), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135925] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3792), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135980] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6730), 1,
      anon_sym_readonly,
    STATE(3793), 1,
      sym_comment,
    STATE(4304), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136037] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3794), 1,
      sym_comment,
    STATE(4909), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136092] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3795), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136147] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3796), 1,
      sym_comment,
    STATE(4940), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136202] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3797), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136257] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3798), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136312] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_comment,
    STATE(4823), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136367] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3800), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136422] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7029), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_comment,
    STATE(4321), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136479] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3802), 1,
      sym_comment,
    ACTIONS(4430), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136522] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7031), 1,
      anon_sym_readonly,
    STATE(3803), 1,
      sym_comment,
    STATE(4394), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136579] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3804), 1,
      sym_comment,
    STATE(4397), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136634] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3805), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136689] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3806), 1,
      sym_comment,
    STATE(4808), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136744] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7033), 1,
      anon_sym_readonly,
    STATE(3807), 1,
      sym_comment,
    STATE(4473), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136801] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7035), 1,
      anon_sym_readonly,
    STATE(3808), 1,
      sym_comment,
    STATE(4416), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3809), 1,
      sym_comment,
    ACTIONS(4322), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136901] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      sym_comment,
    STATE(4966), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136956] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3811), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137011] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3812), 1,
      sym_comment,
    STATE(4956), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137066] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3813), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137121] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3814), 1,
      sym_comment,
    STATE(4929), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137176] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_readonly,
    STATE(3815), 1,
      sym_comment,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137233] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3816), 1,
      sym_comment,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137288] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3817), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137343] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_comment,
    STATE(4907), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137398] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_comment,
    STATE(4818), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137453] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3820), 1,
      sym_comment,
    STATE(4945), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137508] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3821), 1,
      sym_comment,
    STATE(4957), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137563] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3822), 1,
      sym_comment,
    STATE(4965), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137618] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3823), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137673] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7037), 1,
      anon_sym_readonly,
    STATE(3824), 1,
      sym_comment,
    STATE(4387), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137730] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3825), 1,
      sym_comment,
    ACTIONS(4414), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [137773] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3826), 1,
      sym_comment,
    STATE(4469), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137828] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3827), 1,
      sym_comment,
    STATE(4980), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137883] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3828), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137938] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3829), 1,
      sym_comment,
    STATE(4939), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137993] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_comment,
    STATE(4937), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4553), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138048] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_readonly,
    STATE(3831), 1,
      sym_comment,
    STATE(4312), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138105] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    STATE(3832), 1,
      sym_comment,
    STATE(4313), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138160] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_readonly,
    STATE(3833), 1,
      sym_comment,
    STATE(4379), 1,
      sym__property_name,
    ACTIONS(3971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4472), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138217] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(4404), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [138260] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7043), 1,
      sym_identifier,
    STATE(3835), 1,
      sym_comment,
    STATE(7283), 1,
      sym_mapped_type_clause,
    ACTIONS(7045), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(4428), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4971), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138335] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3837), 1,
      sym_comment,
    ACTIONS(4406), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4941), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138370] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_DOT,
    ACTIONS(4260), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(3838), 1,
      sym_comment,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    ACTIONS(4236), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4226), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138417] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_QMARK_DOT,
    STATE(3839), 1,
      sym_comment,
    STATE(3906), 1,
      sym_arguments,
    STATE(3934), 1,
      sym_type_arguments,
    ACTIONS(4929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138464] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7053), 1,
      anon_sym_DOT,
    ACTIONS(7055), 1,
      anon_sym_QMARK_DOT,
    STATE(3840), 1,
      sym_comment,
    STATE(3903), 1,
      sym_arguments,
    STATE(3931), 1,
      sym_type_arguments,
    ACTIONS(4889), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4891), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3841), 1,
      sym_comment,
    ACTIONS(4430), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4961), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2160), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3842), 1,
      sym_comment,
    ACTIONS(2162), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2180), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3843), 1,
      sym_comment,
    ACTIONS(2182), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3844), 1,
      sym_comment,
    ACTIONS(5170), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5172), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3845), 1,
      sym_comment,
    ACTIONS(4979), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4981), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(4975), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4977), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3847), 1,
      sym_comment,
    ACTIONS(4975), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4977), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3848), 1,
      sym_comment,
    ACTIONS(5043), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5045), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3849), 1,
      sym_comment,
    ACTIONS(5170), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5172), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3850), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5228), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(5166), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5168), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(5101), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5103), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(4975), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4977), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5135), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3855), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(5101), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5103), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5228), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5228), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3859), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5135), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(5170), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5172), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3861), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5029), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139208] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4909), 1,
      anon_sym_EQ,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_is,
    STATE(3862), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139249] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3863), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5029), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3864), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5029), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139315] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3865), 1,
      sym_comment,
    ACTIONS(5031), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5033), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3866), 1,
      sym_comment,
    ACTIONS(5043), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5045), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3867), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3868), 1,
      sym_comment,
    ACTIONS(5244), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5246), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139447] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3869), 1,
      sym_comment,
    ACTIONS(5240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5242), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3870), 1,
      sym_comment,
    ACTIONS(5174), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5176), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139513] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3871), 1,
      sym_comment,
    ACTIONS(4979), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4981), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3872), 1,
      sym_comment,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5224), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139579] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5214), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(4979), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4981), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139645] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(5031), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5033), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(5222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5224), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3877), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5214), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139777] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7061), 1,
      sym_identifier,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7065), 1,
      anon_sym_type,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7069), 1,
      anon_sym_typeof,
    STATE(3879), 1,
      sym_comment,
    STATE(5552), 1,
      sym_string,
    STATE(5554), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6695), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139831] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7073), 1,
      sym_identifier,
    ACTIONS(7075), 1,
      anon_sym_type,
    ACTIONS(7077), 1,
      anon_sym_typeof,
    STATE(3880), 1,
      sym_comment,
    STATE(5700), 1,
      sym_import_require_clause,
    STATE(5701), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7050), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139885] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7079), 1,
      sym_identifier,
    ACTIONS(7081), 1,
      anon_sym_type,
    ACTIONS(7083), 1,
      anon_sym_typeof,
    STATE(3881), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(5594), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6930), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139939] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7085), 1,
      sym_identifier,
    ACTIONS(7087), 1,
      anon_sym_type,
    ACTIONS(7089), 1,
      anon_sym_typeof,
    STATE(3882), 1,
      sym_comment,
    STATE(5602), 1,
      sym_import_require_clause,
    STATE(5603), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7104), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139993] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4909), 1,
      anon_sym_EQ,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    STATE(3883), 1,
      sym_comment,
    STATE(3942), 1,
      sym_type_arguments,
    ACTIONS(4292), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140031] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7093), 1,
      anon_sym_type,
    ACTIONS(7095), 1,
      anon_sym_typeof,
    STATE(3884), 1,
      sym_comment,
    STATE(5559), 1,
      sym_string,
    STATE(5560), 1,
      sym_import_require_clause,
    STATE(6536), 1,
      sym_import_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_EQ,
    STATE(3885), 1,
      sym_comment,
    ACTIONS(5318), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_EQ,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(5318), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2180), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(2182), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4462), 1,
      anon_sym_EQ,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(5248), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4460), 1,
      anon_sym_EQ,
    STATE(3889), 1,
      sym_comment,
    ACTIONS(5202), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(3890), 1,
      sym_comment,
    ACTIONS(5196), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140271] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7097), 1,
      anon_sym_DOT,
    ACTIONS(7099), 1,
      anon_sym_QMARK_DOT,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(5322), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5324), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140306] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(3892), 1,
      sym_comment,
    STATE(3925), 1,
      sym_type_arguments,
    ACTIONS(4945), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140341] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2194), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_EQ,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(5306), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [140374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2198), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_EQ,
    STATE(3894), 1,
      sym_comment,
    ACTIONS(5306), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [140407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    STATE(3895), 1,
      sym_comment,
    ACTIONS(3561), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3237), 1,
      anon_sym_EQ,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(3475), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4441), 1,
      anon_sym_EQ,
    STATE(3897), 1,
      sym_comment,
    ACTIONS(5375), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3898), 1,
      sym_comment,
    ACTIONS(5041), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5039), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(3899), 1,
      sym_comment,
    ACTIONS(5025), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140562] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(7101), 1,
      anon_sym_DOT,
    ACTIONS(7103), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(3900), 1,
      sym_comment,
    STATE(4107), 1,
      sym_arguments,
    STATE(4204), 1,
      sym_type_arguments,
    ACTIONS(4891), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    STATE(3901), 1,
      sym_comment,
    ACTIONS(5023), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3271), 1,
      anon_sym_EQ,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(3641), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3903), 1,
      sym_comment,
    ACTIONS(5284), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5286), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140698] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4929), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_LT,
    ACTIONS(7107), 1,
      anon_sym_DOT,
    ACTIONS(7109), 1,
      anon_sym_QMARK_DOT,
    STATE(3904), 1,
      sym_comment,
    STATE(4105), 1,
      sym_arguments,
    STATE(4191), 1,
      sym_type_arguments,
    ACTIONS(4931), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140741] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_DOT,
    ACTIONS(4234), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4236), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(3905), 1,
      sym_comment,
    STATE(4103), 1,
      sym_arguments,
    STATE(4192), 1,
      sym_type_arguments,
    ACTIONS(4226), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3906), 1,
      sym_comment,
    ACTIONS(5276), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5278), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3281), 1,
      anon_sym_EQ,
    STATE(3907), 1,
      sym_comment,
    ACTIONS(3643), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(2162), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140877] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4443), 1,
      anon_sym_EQ,
    STATE(3909), 1,
      sym_comment,
    ACTIONS(5328), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_EQ,
    STATE(3910), 1,
      sym_comment,
    ACTIONS(5320), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_EQ,
    STATE(3911), 1,
      sym_comment,
    ACTIONS(5320), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3263), 1,
      anon_sym_EQ,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(3629), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_EQ,
    ACTIONS(7059), 1,
      anon_sym_is,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(4939), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_EQ,
    ACTIONS(7059), 1,
      anon_sym_is,
    STATE(3914), 1,
      sym_comment,
    ACTIONS(4969), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141065] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2085), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3915), 1,
      sym_comment,
    ACTIONS(2087), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [141095] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    ACTIONS(7111), 1,
      anon_sym_is,
    STATE(3916), 1,
      sym_comment,
    ACTIONS(4945), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141127] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_EQ,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(4953), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [141157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5097), 1,
      anon_sym_EQ,
    STATE(3918), 1,
      sym_comment,
    ACTIONS(5099), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141186] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(3919), 1,
      sym_comment,
    ACTIONS(5152), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141221] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5292), 1,
      anon_sym_EQ,
    STATE(3920), 1,
      sym_comment,
    ACTIONS(5294), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5360), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(3921), 1,
      sym_comment,
    ACTIONS(5362), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141285] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5364), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(3922), 1,
      sym_comment,
    ACTIONS(5366), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(3923), 1,
      sym_comment,
    ACTIONS(4981), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141349] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(3924), 1,
      sym_comment,
    ACTIONS(4981), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_EQ,
    STATE(3925), 1,
      sym_comment,
    ACTIONS(5021), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_PIPE,
    STATE(3926), 1,
      sym_comment,
    ACTIONS(5045), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(3927), 1,
      sym_comment,
    ACTIONS(4981), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141465] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(7121), 1,
      anon_sym_DOT,
    ACTIONS(7123), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7125), 1,
      anon_sym_LT,
    STATE(3928), 1,
      sym_comment,
    STATE(4235), 1,
      sym_arguments,
    STATE(4457), 1,
      sym_type_arguments,
    ACTIONS(4226), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141504] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(7125), 1,
      anon_sym_LT,
    ACTIONS(7127), 1,
      anon_sym_DOT,
    ACTIONS(7129), 1,
      anon_sym_QMARK_DOT,
    STATE(3929), 1,
      sym_comment,
    STATE(4239), 1,
      sym_arguments,
    STATE(4459), 1,
      sym_type_arguments,
    ACTIONS(4931), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141543] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(7125), 1,
      anon_sym_LT,
    ACTIONS(7131), 1,
      anon_sym_DOT,
    ACTIONS(7133), 1,
      anon_sym_QMARK_DOT,
    STATE(3930), 1,
      sym_comment,
    STATE(4247), 1,
      sym_arguments,
    STATE(4461), 1,
      sym_type_arguments,
    ACTIONS(4891), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_EQ,
    STATE(3931), 1,
      sym_comment,
    ACTIONS(5290), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141611] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5031), 1,
      anon_sym_PIPE,
    STATE(3932), 1,
      sym_comment,
    ACTIONS(5033), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5342), 1,
      anon_sym_EQ,
    STATE(3933), 1,
      sym_comment,
    ACTIONS(5344), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141669] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_EQ,
    STATE(3934), 1,
      sym_comment,
    ACTIONS(5282), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5140), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(3935), 1,
      sym_comment,
    ACTIONS(5142), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5354), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(3937), 1,
      sym_comment,
    ACTIONS(5356), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(7135), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [141824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5350), 1,
      anon_sym_EQ,
    STATE(3939), 1,
      sym_comment,
    ACTIONS(5352), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5354), 1,
      anon_sym_EQ,
    STATE(3940), 1,
      sym_comment,
    ACTIONS(5356), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_EQ,
    STATE(3941), 1,
      sym_comment,
    ACTIONS(4939), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_EQ,
    STATE(3942), 1,
      sym_comment,
    ACTIONS(5156), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(3943), 1,
      sym_comment,
    ACTIONS(4977), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3944), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141998] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4909), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_LT,
    ACTIONS(7137), 1,
      anon_sym_DOT,
    ACTIONS(7139), 1,
      anon_sym_is,
    STATE(3945), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4292), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_EQ,
    STATE(3946), 1,
      sym_comment,
    ACTIONS(5274), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4983), 1,
      anon_sym_EQ,
    STATE(3947), 1,
      sym_comment,
    ACTIONS(4985), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    STATE(3948), 1,
      sym_comment,
    ACTIONS(5013), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142122] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5007), 1,
      anon_sym_EQ,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    STATE(3949), 1,
      sym_comment,
    ACTIONS(5009), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5174), 1,
      anon_sym_PIPE,
    STATE(3950), 1,
      sym_comment,
    ACTIONS(5176), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5158), 1,
      anon_sym_EQ,
    STATE(3951), 1,
      sym_comment,
    ACTIONS(5160), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3952), 1,
      sym_comment,
    ACTIONS(7143), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_EQ,
    STATE(3953), 1,
      sym_comment,
    ACTIONS(5129), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142267] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      sym_number,
    ACTIONS(7153), 1,
      anon_sym_unique,
    STATE(3954), 1,
      sym_comment,
    STATE(7577), 1,
      sym_string,
    STATE(7578), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(3955), 1,
      sym_comment,
    ACTIONS(4945), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3956), 1,
      sym_comment,
    ACTIONS(7155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4993), 1,
      anon_sym_EQ,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    STATE(3957), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4993), 1,
      anon_sym_EQ,
    STATE(3958), 1,
      sym_comment,
    ACTIONS(4995), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_PIPE,
    STATE(3959), 1,
      sym_comment,
    ACTIONS(5228), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5230), 1,
      anon_sym_EQ,
    STATE(3960), 1,
      sym_comment,
    ACTIONS(5232), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142480] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7157), 1,
      sym_number,
    STATE(3961), 1,
      sym_comment,
    STATE(7184), 1,
      sym_string,
    STATE(7185), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142519] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7159), 1,
      sym_number,
    STATE(3962), 1,
      sym_comment,
    STATE(7566), 1,
      sym_string,
    STATE(7570), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3963), 1,
      sym_comment,
    ACTIONS(7161), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_PIPE,
    STATE(3964), 1,
      sym_comment,
    ACTIONS(5228), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_PIPE,
    STATE(3965), 1,
      sym_comment,
    ACTIONS(5228), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142643] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7163), 1,
      sym_number,
    STATE(3966), 1,
      sym_comment,
    STATE(7572), 1,
      sym_string,
    STATE(7573), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142682] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7165), 1,
      sym_number,
    STATE(3967), 1,
      sym_comment,
    STATE(7442), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142719] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7167), 1,
      sym_number,
    STATE(3968), 1,
      sym_comment,
    STATE(7446), 1,
      sym_string,
    STATE(7450), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142758] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7169), 1,
      sym_number,
    STATE(3969), 1,
      sym_comment,
    STATE(7178), 1,
      sym_string,
    STATE(7181), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5105), 1,
      anon_sym_EQ,
    STATE(3970), 1,
      sym_comment,
    ACTIONS(5107), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_EQ,
    STATE(3971), 1,
      sym_comment,
    ACTIONS(5184), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(3972), 1,
      sym_comment,
    ACTIONS(4977), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5296), 1,
      anon_sym_EQ,
    STATE(3973), 1,
      sym_comment,
    ACTIONS(5298), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_EQ,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(4969), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(3975), 1,
      sym_comment,
    ACTIONS(4977), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142971] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7171), 1,
      sym_number,
    STATE(3976), 1,
      sym_comment,
    STATE(7164), 1,
      sym_string,
    STATE(7171), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5162), 1,
      anon_sym_EQ,
    STATE(3977), 1,
      sym_comment,
    ACTIONS(5164), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143039] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7173), 1,
      sym_number,
    STATE(3978), 1,
      sym_comment,
    STATE(7159), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3979), 1,
      sym_comment,
    ACTIONS(7175), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3980), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5314), 1,
      anon_sym_EQ,
    STATE(3981), 1,
      sym_comment,
    ACTIONS(5316), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143161] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4997), 1,
      anon_sym_EQ,
    ACTIONS(7177), 1,
      anon_sym_extends,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(4999), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [143192] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7179), 1,
      sym_number,
    STATE(3983), 1,
      sym_comment,
    STATE(7345), 1,
      sym_string,
    STATE(7348), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143231] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7181), 1,
      sym_number,
    STATE(3984), 1,
      sym_comment,
    STATE(7339), 1,
      sym_string,
    STATE(7340), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5330), 1,
      anon_sym_EQ,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(5332), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143299] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5334), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143330] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7183), 1,
      sym_number,
    STATE(3987), 1,
      sym_comment,
    STATE(7335), 1,
      sym_string,
    STATE(7336), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_PIPE,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(5172), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5338), 1,
      anon_sym_EQ,
    STATE(3989), 1,
      sym_comment,
    ACTIONS(5340), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5178), 1,
      anon_sym_EQ,
    STATE(3990), 1,
      sym_comment,
    ACTIONS(5180), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143456] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7185), 1,
      sym_number,
    STATE(3991), 1,
      sym_comment,
    STATE(7354), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4987), 1,
      anon_sym_EQ,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(4995), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4989), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [143526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3993), 1,
      sym_comment,
    ACTIONS(7187), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_PIPE,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(5172), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143582] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7189), 1,
      sym_number,
    STATE(3995), 1,
      sym_comment,
    STATE(7457), 1,
      sym_string,
    STATE(7459), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143621] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_PIPE,
    STATE(3996), 1,
      sym_comment,
    ACTIONS(5172), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143650] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7191), 1,
      sym_number,
    STATE(3997), 1,
      sym_comment,
    STATE(7464), 1,
      sym_string,
    STATE(7465), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_PIPE,
    STATE(3998), 1,
      sym_comment,
    ACTIONS(5168), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5244), 1,
      anon_sym_PIPE,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(5246), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5300), 1,
      anon_sym_EQ,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(5302), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4001), 1,
      sym_comment,
    ACTIONS(7193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5198), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    STATE(4002), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_EQ,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(5210), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143863] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_PIPE,
    STATE(4004), 1,
      sym_comment,
    ACTIONS(5242), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5222), 1,
      anon_sym_PIPE,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(5224), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5212), 1,
      anon_sym_PIPE,
    STATE(4006), 1,
      sym_comment,
    ACTIONS(5214), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5222), 1,
      anon_sym_PIPE,
    STATE(4007), 1,
      sym_comment,
    ACTIONS(5224), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5265), 1,
      anon_sym_EQ,
    STATE(4008), 1,
      sym_comment,
    ACTIONS(5267), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5212), 1,
      anon_sym_PIPE,
    STATE(4009), 1,
      sym_comment,
    ACTIONS(5214), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5346), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(4010), 1,
      sym_comment,
    ACTIONS(5348), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [144072] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7195), 1,
      sym_number,
    STATE(4011), 1,
      sym_comment,
    STATE(7321), 1,
      sym_string,
    STATE(7322), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144111] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7197), 1,
      sym_number,
    STATE(4012), 1,
      sym_comment,
    STATE(7318), 1,
      sym_string,
    STATE(7319), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144150] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7199), 1,
      sym_number,
    STATE(4013), 1,
      sym_comment,
    STATE(7314), 1,
      sym_string,
    STATE(7315), 1,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144189] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7201), 1,
      sym_number,
    STATE(4014), 1,
      sym_comment,
    STATE(7312), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_PIPE,
    STATE(4015), 1,
      sym_comment,
    ACTIONS(5135), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4016), 1,
      sym_comment,
    ACTIONS(7203), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [144282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      sym_comment,
    ACTIONS(5194), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144311] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5101), 1,
      anon_sym_PIPE,
    STATE(4018), 1,
      sym_comment,
    ACTIONS(5103), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4019), 1,
      sym_comment,
    ACTIONS(7205), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [144367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5027), 1,
      anon_sym_PIPE,
    STATE(4020), 1,
      sym_comment,
    ACTIONS(5029), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5133), 1,
      anon_sym_PIPE,
    STATE(4021), 1,
      sym_comment,
    ACTIONS(5135), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144425] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    ACTIONS(7153), 1,
      anon_sym_unique,
    ACTIONS(7207), 1,
      sym_number,
    STATE(4022), 1,
      sym_comment,
    STATE(7557), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7149), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5101), 1,
      anon_sym_PIPE,
    STATE(4023), 1,
      sym_comment,
    ACTIONS(5103), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5027), 1,
      anon_sym_PIPE,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(5029), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144520] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5314), 1,
      anon_sym_EQ,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(4025), 1,
      sym_comment,
    ACTIONS(5316), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [144555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_PIPE,
    STATE(4026), 1,
      sym_comment,
    ACTIONS(5045), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5031), 1,
      anon_sym_PIPE,
    STATE(4027), 1,
      sym_comment,
    ACTIONS(5033), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5027), 1,
      anon_sym_PIPE,
    STATE(4028), 1,
      sym_comment,
    ACTIONS(5029), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4029), 1,
      sym_comment,
    ACTIONS(7209), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [144669] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7215), 1,
      anon_sym_BANG,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7223), 1,
      anon_sym_QMARK,
    STATE(4030), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5233), 1,
      sym_type_annotation,
    STATE(5987), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6656), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144717] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7227), 1,
      anon_sym_BANG,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(7231), 1,
      anon_sym_QMARK,
    STATE(4031), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4829), 1,
      sym__call_signature,
    STATE(5489), 1,
      sym_type_annotation,
    STATE(6255), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144765] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4620), 1,
      anon_sym_RBRACE,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4032), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144809] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_BANG,
    ACTIONS(7241), 1,
      anon_sym_QMARK,
    STATE(4033), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4922), 1,
      sym__call_signature,
    STATE(5401), 1,
      sym_type_annotation,
    STATE(5876), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7237), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144857] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4034), 1,
      sym_comment,
    STATE(5658), 1,
      sym_string,
    STATE(5659), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6948), 1,
      sym_import_clause,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [144905] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4909), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_LT,
    ACTIONS(7137), 1,
      anon_sym_DOT,
    STATE(4035), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4292), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144939] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(7251), 1,
      anon_sym_BANG,
    ACTIONS(7253), 1,
      anon_sym_QMARK,
    STATE(4036), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4923), 1,
      sym__call_signature,
    STATE(5392), 1,
      sym_type_annotation,
    STATE(5867), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7249), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144987] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(203), 1,
      anon_sym_unique,
    STATE(4037), 1,
      sym_comment,
    STATE(4236), 1,
      sym_type_predicate,
    STATE(7289), 1,
      sym_predefined_type,
    ACTIONS(7255), 2,
      sym_identifier,
      sym_this,
    ACTIONS(205), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145021] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7257), 1,
      anon_sym_BANG,
    ACTIONS(7259), 1,
      anon_sym_QMARK,
    STATE(4038), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5189), 1,
      sym_type_annotation,
    STATE(6088), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6612), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145069] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7251), 1,
      anon_sym_BANG,
    ACTIONS(7261), 1,
      anon_sym_QMARK,
    STATE(4039), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5392), 1,
      sym_type_annotation,
    STATE(5761), 1,
      sym__call_signature,
    STATE(5767), 1,
      sym__initializer,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7249), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145117] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7263), 1,
      anon_sym_BANG,
    ACTIONS(7265), 1,
      anon_sym_QMARK,
    STATE(4040), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5186), 1,
      sym_type_annotation,
    STATE(6099), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6605), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145165] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_BANG,
    ACTIONS(7271), 1,
      anon_sym_QMARK,
    STATE(4041), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5364), 1,
      sym_type_annotation,
    STATE(5768), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6787), 1,
      sym__call_signature,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145213] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7273), 1,
      anon_sym_BANG,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(4042), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      sym_type_annotation,
    STATE(5781), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6780), 1,
      sym__call_signature,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145261] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4043), 1,
      sym_comment,
    STATE(5570), 1,
      sym_import_require_clause,
    STATE(5572), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7076), 1,
      sym_import_clause,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [145309] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7277), 1,
      anon_sym_BANG,
    ACTIONS(7279), 1,
      anon_sym_QMARK,
    STATE(4044), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5322), 1,
      sym_type_annotation,
    STATE(5806), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6755), 1,
      sym__call_signature,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145357] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7281), 1,
      anon_sym_BANG,
    ACTIONS(7283), 1,
      anon_sym_QMARK,
    STATE(4045), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5320), 1,
      sym_type_annotation,
    STATE(5809), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6752), 1,
      sym__call_signature,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145405] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7287), 1,
      anon_sym_BANG,
    ACTIONS(7289), 1,
      anon_sym_QMARK,
    STATE(4046), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5130), 1,
      sym_type_annotation,
    STATE(6236), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6531), 1,
      sym__call_signature,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145453] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7293), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(4047), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5461), 1,
      sym_type_annotation,
    STATE(6148), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6697), 1,
      sym__call_signature,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145501] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7299), 1,
      anon_sym_BANG,
    ACTIONS(7301), 1,
      anon_sym_QMARK,
    STATE(4048), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5255), 1,
      sym_type_annotation,
    STATE(5928), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6714), 1,
      sym__call_signature,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145549] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(203), 1,
      anon_sym_unique,
    STATE(3079), 1,
      sym_type_predicate,
    STATE(4049), 1,
      sym_comment,
    STATE(7397), 1,
      sym_predefined_type,
    ACTIONS(7303), 2,
      sym_identifier,
      sym_this,
    ACTIONS(205), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145583] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7305), 1,
      anon_sym_BANG,
    ACTIONS(7307), 1,
      anon_sym_QMARK,
    STATE(4050), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5177), 1,
      sym_type_annotation,
    STATE(6129), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6584), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145631] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4629), 1,
      anon_sym_RBRACE,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4051), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145675] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_BANG,
    ACTIONS(7311), 1,
      anon_sym_QMARK,
    STATE(4052), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5175), 1,
      sym_type_annotation,
    STATE(6140), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6581), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145723] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7313), 1,
      anon_sym_BANG,
    ACTIONS(7315), 1,
      anon_sym_QMARK,
    STATE(4053), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5092), 1,
      sym_type_annotation,
    STATE(6327), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6478), 1,
      sym__call_signature,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145771] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(203), 1,
      anon_sym_unique,
    STATE(3941), 1,
      sym_type_predicate,
    STATE(4054), 1,
      sym_comment,
    STATE(7189), 1,
      sym_predefined_type,
    ACTIONS(7317), 2,
      sym_identifier,
      sym_this,
    ACTIONS(205), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145805] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4623), 1,
      anon_sym_RBRACE,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4055), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145849] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7319), 1,
      anon_sym_BANG,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(4056), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5012), 1,
      sym_type_annotation,
    STATE(6369), 1,
      sym__initializer,
    STATE(6449), 1,
      sym__call_signature,
    STATE(6476), 1,
      sym_type_parameters,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145897] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    STATE(4057), 1,
      sym_comment,
    STATE(2660), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5274), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [145929] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(7325), 1,
      anon_sym_BANG,
    ACTIONS(7327), 1,
      anon_sym_QMARK,
    STATE(4058), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4888), 1,
      sym__call_signature,
    STATE(5251), 1,
      sym_type_annotation,
    STATE(5932), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145977] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(203), 1,
      anon_sym_unique,
    STATE(4059), 1,
      sym_comment,
    STATE(4458), 1,
      sym_type_predicate,
    STATE(7134), 1,
      sym_predefined_type,
    ACTIONS(7329), 2,
      sym_identifier,
      sym_this,
    ACTIONS(205), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [146011] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4060), 1,
      sym_comment,
    STATE(5657), 1,
      sym_string,
    STATE(5668), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6718), 1,
      sym_import_clause,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [146059] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7331), 1,
      anon_sym_BANG,
    ACTIONS(7333), 1,
      anon_sym_QMARK,
    STATE(4061), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5107), 1,
      sym_type_annotation,
    STATE(6298), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6509), 1,
      sym__call_signature,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146107] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4062), 1,
      sym_comment,
    STATE(5677), 1,
      sym_import_require_clause,
    STATE(5679), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7068), 1,
      sym_import_clause,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [146155] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(203), 1,
      anon_sym_unique,
    STATE(2530), 1,
      sym_type_predicate,
    STATE(4063), 1,
      sym_comment,
    STATE(7522), 1,
      sym_predefined_type,
    ACTIONS(7335), 2,
      sym_identifier,
      sym_this,
    ACTIONS(205), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [146189] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4613), 1,
      anon_sym_RBRACE,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4064), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146233] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7337), 1,
      anon_sym_BANG,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    STATE(4065), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5242), 1,
      sym_type_annotation,
    STATE(5965), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6665), 1,
      sym__call_signature,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146281] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7227), 1,
      anon_sym_BANG,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7341), 1,
      anon_sym_QMARK,
    STATE(4066), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5489), 1,
      sym_type_annotation,
    STATE(6162), 1,
      sym__initializer,
    STATE(6239), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146329] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4067), 1,
      sym_comment,
    STATE(5651), 1,
      sym_string,
    STATE(5652), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6741), 1,
      sym_import_clause,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [146377] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4068), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146421] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(7345), 1,
      anon_sym_BANG,
    ACTIONS(7347), 1,
      anon_sym_QMARK,
    STATE(4069), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4831), 1,
      sym__call_signature,
    STATE(5129), 1,
      sym_type_annotation,
    STATE(6246), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4406), 1,
      anon_sym_PIPE,
    STATE(4070), 1,
      sym_comment,
    ACTIONS(4941), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4441), 1,
      anon_sym_PIPE,
    STATE(4071), 1,
      sym_comment,
    ACTIONS(5375), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4072), 1,
      sym_comment,
    ACTIONS(5135), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4073), 1,
      sym_comment,
    ACTIONS(5214), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4074), 1,
      sym_comment,
    ACTIONS(5135), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4075), 1,
      sym_comment,
    ACTIONS(5224), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4076), 1,
      sym_comment,
    ACTIONS(5214), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146648] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5322), 1,
      anon_sym_PIPE,
    ACTIONS(7349), 1,
      anon_sym_DOT,
    ACTIONS(7351), 1,
      anon_sym_QMARK_DOT,
    STATE(4077), 1,
      sym_comment,
    ACTIONS(5324), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4078), 1,
      sym_comment,
    ACTIONS(5224), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4079), 1,
      sym_comment,
    ACTIONS(5103), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146729] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7355), 1,
      anon_sym_QMARK,
    STATE(4080), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4780), 1,
      sym__call_signature,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7353), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146770] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4081), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5154), 1,
      sym_type_annotation,
    STATE(5155), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7357), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146811] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(4082), 1,
      sym_comment,
    STATE(4190), 1,
      sym_type_arguments,
    ACTIONS(4945), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4083), 1,
      sym_comment,
    ACTIONS(5242), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4084), 1,
      sym_comment,
    ACTIONS(5246), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146892] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_QMARK,
    STATE(4085), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4767), 1,
      sym__call_signature,
    STATE(5154), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7357), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146933] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    STATE(4086), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4746), 1,
      sym__call_signature,
    STATE(5306), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4428), 1,
      anon_sym_PIPE,
    STATE(4087), 1,
      sym_comment,
    ACTIONS(4971), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(5045), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(5033), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147051] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7367), 1,
      anon_sym_QMARK,
    STATE(4090), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5151), 1,
      sym__call_signature,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7353), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4091), 1,
      sym_comment,
    ACTIONS(5045), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4092), 1,
      sym_comment,
    ACTIONS(5033), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_PIPE,
    STATE(4093), 1,
      sym_comment,
    ACTIONS(5196), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4460), 1,
      anon_sym_PIPE,
    STATE(4094), 1,
      sym_comment,
    ACTIONS(5202), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4462), 1,
      anon_sym_PIPE,
    STATE(4095), 1,
      sym_comment,
    ACTIONS(5248), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4443), 1,
      anon_sym_PIPE,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(5328), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4097), 1,
      sym_comment,
    ACTIONS(5228), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_PIPE,
    STATE(4098), 1,
      sym_comment,
    ACTIONS(5320), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4099), 1,
      sym_comment,
    ACTIONS(5228), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4100), 1,
      sym_comment,
    ACTIONS(5228), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4101), 1,
      sym_comment,
    ACTIONS(4977), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4430), 1,
      anon_sym_PIPE,
    STATE(4102), 1,
      sym_comment,
    ACTIONS(4961), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_PIPE,
    STATE(4103), 1,
      sym_comment,
    ACTIONS(5039), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4104), 1,
      sym_comment,
    ACTIONS(4977), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_PIPE,
    STATE(4105), 1,
      sym_comment,
    ACTIONS(5278), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(4977), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_PIPE,
    STATE(4107), 1,
      sym_comment,
    ACTIONS(5286), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_PIPE,
    STATE(4108), 1,
      sym_comment,
    ACTIONS(5320), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4109), 1,
      sym_comment,
    ACTIONS(5172), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147587] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_QMARK,
    STATE(4110), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym_type_annotation,
    STATE(5310), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4111), 1,
      sym_comment,
    ACTIONS(5172), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147653] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(4112), 1,
      sym_comment,
    STATE(2660), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5274), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(5172), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(5168), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_PIPE,
    STATE(4115), 1,
      sym_comment,
    ACTIONS(5318), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147763] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2198), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_PIPE,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(5306), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147792] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7373), 1,
      anon_sym_QMARK,
    STATE(4117), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5446), 1,
      sym_type_annotation,
    STATE(5447), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7371), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147833] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7377), 1,
      anon_sym_QMARK,
    STATE(4118), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5419), 1,
      sym__call_signature,
    STATE(5422), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7375), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_PIPE,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(5318), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147901] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7379), 1,
      anon_sym_COLON,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(4120), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4569), 1,
      sym__call_signature,
    STATE(5422), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7375), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4121), 1,
      sym_comment,
    ACTIONS(5176), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147967] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2194), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_PIPE,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(5306), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4464), 1,
      anon_sym_PIPE,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(5023), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148023] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7388), 1,
      anon_sym_COLON,
    ACTIONS(7390), 1,
      anon_sym_extends,
    STATE(3942), 1,
      sym_type_arguments,
    STATE(4124), 1,
      sym_comment,
    STATE(5718), 1,
      sym_constraint,
    STATE(6835), 1,
      sym_default_type,
    ACTIONS(7385), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(4292), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [148066] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_QMARK,
    STATE(4125), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4563), 1,
      sym__call_signature,
    STATE(5446), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7371), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4126), 1,
      sym_comment,
    ACTIONS(5029), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148132] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7125), 1,
      anon_sym_LT,
    ACTIONS(7395), 1,
      anon_sym_DOT,
    ACTIONS(7397), 1,
      anon_sym_is,
    STATE(4127), 1,
      sym_comment,
    STATE(4371), 1,
      sym_type_arguments,
    ACTIONS(4292), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4128), 1,
      sym_comment,
    ACTIONS(4981), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_PIPE,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(5025), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(4981), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(4981), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4132), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4135), 1,
      sym_comment,
    ACTIONS(5103), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4136), 1,
      sym_comment,
    ACTIONS(5029), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(5029), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148417] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4138), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5109), 1,
      sym_type_annotation,
    STATE(6305), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6503), 1,
      sym__call_signature,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148459] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4139), 1,
      sym_comment,
    STATE(5657), 1,
      sym_string,
    STATE(5668), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6718), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [148503] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4140), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4788), 1,
      sym__call_signature,
    STATE(5299), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7401), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148541] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4141), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148575] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4142), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5158), 1,
      sym_type_annotation,
    STATE(5159), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7403), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148613] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4143), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5240), 1,
      sym_type_annotation,
    STATE(5972), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6660), 1,
      sym__call_signature,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148655] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4144), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5176), 1,
      sym_type_annotation,
    STATE(6141), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6580), 1,
      sym__call_signature,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148697] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4145), 1,
      sym_comment,
    STATE(5658), 1,
      sym_string,
    STATE(5659), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6948), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [148741] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    ACTIONS(7409), 1,
      anon_sym_QMARK,
    STATE(3942), 1,
      sym_type_arguments,
    STATE(4146), 1,
      sym_comment,
    STATE(7023), 1,
      sym_type_annotation,
    ACTIONS(4292), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148777] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4147), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5438), 1,
      sym_type_annotation,
    STATE(6074), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6854), 1,
      sym__call_signature,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148819] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4629), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4148), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148853] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4566), 1,
      sym__call_signature,
    STATE(5440), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_PIPE,
    ACTIONS(7139), 1,
      anon_sym_is,
    STATE(4150), 1,
      sym_comment,
    ACTIONS(4939), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148919] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4151), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4974), 1,
      sym__call_signature,
    STATE(5169), 1,
      sym_type_annotation,
    STATE(6151), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148961] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4152), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4883), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4616), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148997] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4153), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5257), 1,
      sym_type_annotation,
    STATE(5960), 1,
      sym__call_signature,
    STATE(5961), 1,
      sym__initializer,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149039] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4154), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5168), 1,
      sym_type_annotation,
    STATE(6204), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6572), 1,
      sym__call_signature,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149081] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4155), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4930), 1,
      sym__call_signature,
    STATE(5386), 1,
      sym_type_annotation,
    STATE(5812), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149123] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4613), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4156), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149157] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5073), 1,
      sym_type_annotation,
    STATE(6347), 1,
      sym__initializer,
    STATE(6465), 1,
      sym__call_signature,
    STATE(6476), 1,
      sym_type_parameters,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149199] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4158), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5224), 1,
      sym_type_annotation,
    STATE(6014), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149241] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4159), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4778), 1,
      sym__call_signature,
    STATE(5172), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7422), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149279] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5258), 1,
      sym_type_annotation,
    STATE(5920), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6651), 1,
      sym__call_signature,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149321] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4161), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5386), 1,
      sym_type_annotation,
    STATE(5745), 1,
      sym__call_signature,
    STATE(5756), 1,
      sym__initializer,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2085), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4162), 1,
      sym_comment,
    ACTIONS(2087), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [149389] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4620), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4163), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149423] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4164), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5115), 1,
      sym_type_annotation,
    STATE(6274), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6521), 1,
      sym__call_signature,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149465] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4165), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5178), 1,
      sym_type_annotation,
    STATE(6116), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6588), 1,
      sym__call_signature,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149507] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7125), 1,
      anon_sym_LT,
    ACTIONS(7395), 1,
      anon_sym_DOT,
    STATE(4166), 1,
      sym_comment,
    STATE(4371), 1,
      sym_type_arguments,
    ACTIONS(4292), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149537] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4167), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5252), 1,
      sym_type_annotation,
    STATE(5941), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6679), 1,
      sym__call_signature,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149579] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4168), 1,
      sym_comment,
    STATE(5677), 1,
      sym_import_require_clause,
    STATE(5679), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7068), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [149623] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4610), 1,
      anon_sym_COMMA,
    ACTIONS(4623), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4169), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149657] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4170), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5440), 1,
      sym_type_annotation,
    STATE(5443), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149695] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4171), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5299), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7401), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149733] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4172), 1,
      sym_comment,
    STATE(5570), 1,
      sym_import_require_clause,
    STATE(5572), 1,
      sym_string,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(7076), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [149777] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4173), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4747), 1,
      sym__call_signature,
    STATE(5301), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149815] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7063), 1,
      anon_sym_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACE,
    ACTIONS(7243), 1,
      sym_identifier,
    ACTIONS(7245), 1,
      anon_sym_type,
    STATE(4174), 1,
      sym_comment,
    STATE(5651), 1,
      sym_string,
    STATE(5652), 1,
      sym_import_require_clause,
    STATE(6549), 1,
      sym__import_identifier,
    STATE(6741), 1,
      sym_import_clause,
    STATE(7499), 2,
      sym_namespace_import,
      sym_named_imports,
  [149859] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4175), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5301), 1,
      sym_type_annotation,
    STATE(5302), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149897] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4176), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4824), 1,
      sym__call_signature,
    STATE(5135), 1,
      sym_type_annotation,
    STATE(6222), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_PIPE,
    ACTIONS(7139), 1,
      anon_sym_is,
    STATE(4177), 1,
      sym_comment,
    ACTIONS(4969), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149967] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4178), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4766), 1,
      sym__call_signature,
    STATE(5158), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7403), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150005] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4179), 1,
      sym_comment,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5148), 1,
      sym__call_signature,
    STATE(5172), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym_type_parameters,
    ACTIONS(7422), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150043] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4180), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5294), 1,
      sym_type_annotation,
    STATE(5841), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6736), 1,
      sym__call_signature,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    STATE(4181), 1,
      sym_comment,
    ACTIONS(4953), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [150111] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4182), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5134), 1,
      sym_type_annotation,
    STATE(6228), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6532), 1,
      sym__call_signature,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150153] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4183), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym_type_annotation,
    STATE(5797), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6897), 1,
      sym__call_signature,
    ACTIONS(7428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150195] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4184), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4910), 1,
      sym__call_signature,
    STATE(5257), 1,
      sym_type_annotation,
    STATE(5923), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150237] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4185), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5099), 1,
      sym_type_annotation,
    STATE(6322), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6499), 1,
      sym__call_signature,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150279] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_PIPE,
    ACTIONS(7430), 1,
      anon_sym_is,
    STATE(4186), 1,
      sym_comment,
    ACTIONS(4945), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150307] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4187), 1,
      sym_comment,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4820), 1,
      sym__call_signature,
    STATE(5465), 1,
      sym_type_annotation,
    STATE(6156), 1,
      sym__initializer,
    STATE(6484), 1,
      sym_type_parameters,
    ACTIONS(7432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150349] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4188), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5141), 1,
      sym_type_annotation,
    STATE(6205), 1,
      sym__initializer,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6544), 1,
      sym__call_signature,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150391] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4189), 1,
      sym_comment,
    ACTIONS(5152), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_PIPE,
    STATE(4190), 1,
      sym_comment,
    ACTIONS(5021), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150445] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_PIPE,
    STATE(4191), 1,
      sym_comment,
    ACTIONS(5282), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(4192), 1,
      sym_comment,
    ACTIONS(5274), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150495] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    STATE(4193), 1,
      sym_comment,
    ACTIONS(3641), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5011), 1,
      anon_sym_PIPE,
    STATE(4194), 1,
      sym_comment,
    ACTIONS(5013), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4983), 1,
      anon_sym_PIPE,
    STATE(4195), 1,
      sym_comment,
    ACTIONS(4985), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5007), 1,
      anon_sym_PIPE,
    ACTIONS(7440), 1,
      anon_sym_LBRACK,
    STATE(4196), 1,
      sym_comment,
    ACTIONS(5009), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4997), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_extends,
    STATE(4197), 1,
      sym_comment,
    ACTIONS(4999), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [150624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5314), 1,
      anon_sym_PIPE,
    STATE(4198), 1,
      sym_comment,
    ACTIONS(5316), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5350), 1,
      anon_sym_PIPE,
    STATE(4199), 1,
      sym_comment,
    ACTIONS(5352), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5354), 1,
      anon_sym_PIPE,
    STATE(4200), 1,
      sym_comment,
    ACTIONS(5356), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150699] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_type,
    ACTIONS(7448), 1,
      anon_sym_COMMA,
    ACTIONS(7450), 1,
      anon_sym_RBRACE,
    ACTIONS(7452), 1,
      anon_sym_typeof,
    STATE(4201), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6006), 1,
      sym_import_specifier,
    STATE(6724), 1,
      sym__import_identifier,
    STATE(7344), 1,
      sym__module_export_name,
  [150742] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4202), 1,
      sym_comment,
    ACTIONS(5356), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4203), 1,
      sym_comment,
    ACTIONS(6333), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_PIPE,
    STATE(4204), 1,
      sym_comment,
    ACTIONS(5290), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5292), 1,
      anon_sym_PIPE,
    STATE(4205), 1,
      sym_comment,
    ACTIONS(5294), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150844] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4993), 1,
      anon_sym_PIPE,
    ACTIONS(7440), 1,
      anon_sym_LBRACK,
    STATE(4206), 1,
      sym_comment,
    ACTIONS(4995), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4989), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5178), 1,
      anon_sym_PIPE,
    STATE(4207), 1,
      sym_comment,
    ACTIONS(5180), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4208), 1,
      sym_comment,
    ACTIONS(4616), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150921] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4209), 1,
      sym_comment,
    ACTIONS(5142), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_PIPE,
    STATE(4210), 1,
      sym_comment,
    ACTIONS(5156), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150975] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5296), 1,
      anon_sym_PIPE,
    STATE(4211), 1,
      sym_comment,
    ACTIONS(5298), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5158), 1,
      anon_sym_PIPE,
    STATE(4212), 1,
      sym_comment,
    ACTIONS(5160), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3281), 1,
      anon_sym_PIPE,
    STATE(4213), 1,
      sym_comment,
    ACTIONS(3643), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5300), 1,
      anon_sym_PIPE,
    STATE(4214), 1,
      sym_comment,
    ACTIONS(5302), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5162), 1,
      anon_sym_PIPE,
    STATE(4215), 1,
      sym_comment,
    ACTIONS(5164), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5097), 1,
      anon_sym_PIPE,
    STATE(4216), 1,
      sym_comment,
    ACTIONS(5099), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4217), 1,
      sym_comment,
    ACTIONS(6490), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_PIPE,
    STATE(4218), 1,
      sym_comment,
    ACTIONS(4969), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2198), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(5306), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [151198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3237), 1,
      anon_sym_PIPE,
    STATE(4220), 1,
      sym_comment,
    ACTIONS(3475), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151223] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4221), 1,
      sym_comment,
    ACTIONS(5348), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151252] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(5362), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151281] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    STATE(4223), 1,
      sym_comment,
    ACTIONS(5194), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(5200), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151333] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4993), 1,
      anon_sym_PIPE,
    STATE(4225), 1,
      sym_comment,
    ACTIONS(4995), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151358] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4226), 1,
      sym_comment,
    ACTIONS(5366), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_PIPE,
    STATE(4227), 1,
      sym_comment,
    ACTIONS(5210), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4993), 1,
      anon_sym_PIPE,
    ACTIONS(7440), 1,
      anon_sym_LBRACK,
    STATE(4228), 1,
      sym_comment,
    ACTIONS(4995), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2194), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4229), 1,
      sym_comment,
    ACTIONS(5306), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [151464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5230), 1,
      anon_sym_PIPE,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(5232), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4231), 1,
      sym_comment,
    ACTIONS(4941), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5342), 1,
      anon_sym_PIPE,
    STATE(4232), 1,
      sym_comment,
    ACTIONS(5344), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7454), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_QMARK_DOT,
    STATE(4233), 1,
      sym_comment,
    ACTIONS(5324), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5265), 1,
      anon_sym_PIPE,
    STATE(4234), 1,
      sym_comment,
    ACTIONS(5267), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4235), 1,
      sym_comment,
    ACTIONS(5039), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4937), 1,
      anon_sym_PIPE,
    STATE(4236), 1,
      sym_comment,
    ACTIONS(4939), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151637] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4237), 1,
      sym_comment,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(7062), 1,
      sym_type_parameters,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5338), 1,
      anon_sym_PIPE,
    STATE(4238), 1,
      sym_comment,
    ACTIONS(5340), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(5278), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      anon_sym_PIPE,
    STATE(4240), 1,
      sym_comment,
    ACTIONS(4945), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    STATE(4241), 1,
      sym_comment,
    ACTIONS(5129), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151766] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    STATE(4242), 1,
      sym_comment,
    ACTIONS(5336), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151793] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3261), 1,
      anon_sym_PIPE,
    STATE(4243), 1,
      sym_comment,
    ACTIONS(3561), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4244), 1,
      sym_comment,
    ACTIONS(4971), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151841] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5330), 1,
      anon_sym_PIPE,
    STATE(4245), 1,
      sym_comment,
    ACTIONS(5332), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(4961), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4247), 1,
      sym_comment,
    ACTIONS(5286), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151912] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7125), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_comment,
    STATE(4376), 1,
      sym_type_arguments,
    ACTIONS(4945), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5105), 1,
      anon_sym_PIPE,
    STATE(4249), 1,
      sym_comment,
    ACTIONS(5107), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_PIPE,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(5184), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151989] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(3629), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152014] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4252), 1,
      sym_comment,
    ACTIONS(5316), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [152043] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_type,
    ACTIONS(7452), 1,
      anon_sym_typeof,
    ACTIONS(7458), 1,
      anon_sym_RBRACE,
    STATE(4253), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6724), 1,
      sym__import_identifier,
    STATE(6929), 1,
      sym_import_specifier,
    STATE(7344), 1,
      sym__module_export_name,
  [152083] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7460), 1,
      sym_identifier,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    STATE(3188), 1,
      sym_class_body,
    STATE(4254), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152123] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7468), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4255), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152163] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7470), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4256), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7474), 1,
      anon_sym_COLON,
    STATE(4257), 1,
      sym_comment,
    STATE(4933), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7472), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152229] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7476), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4258), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152269] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7478), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4259), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152309] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_type,
    ACTIONS(7452), 1,
      anon_sym_typeof,
    ACTIONS(7480), 1,
      anon_sym_RBRACE,
    STATE(4260), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6724), 1,
      sym__import_identifier,
    STATE(6929), 1,
      sym_import_specifier,
    STATE(7344), 1,
      sym__module_export_name,
  [152349] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7482), 1,
      anon_sym_EQ,
    ACTIONS(7486), 1,
      anon_sym_BANG,
    STATE(4261), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5499), 1,
      sym__initializer,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4262), 1,
      sym_comment,
    ACTIONS(2087), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [152405] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7486), 1,
      anon_sym_BANG,
    STATE(4263), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5989), 1,
      sym__initializer,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152439] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4264), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7397), 1,
      anon_sym_is,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(4939), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152503] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7492), 1,
      sym_identifier,
    ACTIONS(7496), 1,
      anon_sym_COMMA,
    ACTIONS(7498), 1,
      anon_sym_RBRACE,
    STATE(4266), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6072), 1,
      sym__module_export_name,
    STATE(6073), 1,
      sym_export_specifier,
    ACTIONS(7494), 2,
      anon_sym_type,
      anon_sym_typeof,
  [152541] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7500), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4267), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152581] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7502), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4268), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152621] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7504), 1,
      sym_identifier,
    ACTIONS(7506), 1,
      anon_sym_LBRACE,
    STATE(2638), 1,
      sym_class_body,
    STATE(4269), 1,
      sym_comment,
    STATE(4587), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6871), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152661] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7508), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4270), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152701] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7510), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4271), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152741] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7512), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_class_body,
    STATE(4272), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7514), 1,
      anon_sym_is,
    STATE(4273), 1,
      sym_comment,
    ACTIONS(4945), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152805] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4274), 1,
      sym_comment,
    ACTIONS(7516), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152833] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(7520), 1,
      anon_sym_DOT,
    STATE(4275), 1,
      sym_comment,
    STATE(4503), 1,
      sym_arguments,
    ACTIONS(7518), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7397), 1,
      anon_sym_is,
    STATE(4276), 1,
      sym_comment,
    ACTIONS(4969), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152885] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7522), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4277), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152925] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7524), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4278), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [152965] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7506), 1,
      anon_sym_LBRACE,
    ACTIONS(7526), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_class_body,
    STATE(4279), 1,
      sym_comment,
    STATE(4757), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6591), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7474), 1,
      anon_sym_COLON,
    STATE(4280), 1,
      sym_comment,
    STATE(4855), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7528), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153031] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_type,
    ACTIONS(7532), 1,
      anon_sym_as,
    STATE(4281), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(7040), 1,
      sym__import_identifier,
    STATE(7154), 1,
      sym__module_export_name,
    ACTIONS(7247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [153069] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7462), 1,
      anon_sym_LBRACE,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_class_body,
    STATE(4282), 1,
      sym_comment,
    STATE(4590), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153109] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(4283), 1,
      sym_comment,
    STATE(3268), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5274), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153137] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7464), 1,
      anon_sym_extends,
    ACTIONS(7466), 1,
      anon_sym_implements,
    ACTIONS(7506), 1,
      anon_sym_LBRACE,
    ACTIONS(7536), 1,
      sym_identifier,
    STATE(3506), 1,
      sym_class_body,
    STATE(4284), 1,
      sym_comment,
    STATE(4537), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7096), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153177] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4285), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4616), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [153203] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4286), 1,
      sym_comment,
    ACTIONS(4953), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [153225] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_BANG,
    ACTIONS(7540), 1,
      anon_sym_QMARK,
    STATE(4287), 1,
      sym_comment,
    STATE(5266), 1,
      sym_type_annotation,
    STATE(5897), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4288), 1,
      sym_comment,
    ACTIONS(5184), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153279] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    STATE(338), 1,
      sym_class_body,
    STATE(4289), 1,
      sym_comment,
    STATE(4715), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6786), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153316] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3534), 1,
      sym_arguments,
    STATE(4057), 1,
      sym_type_arguments,
    STATE(4290), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [153353] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_class_body,
    STATE(4291), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6658), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(5318), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4293), 1,
      sym_comment,
    ACTIONS(5318), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(7550), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153453] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_class_body,
    STATE(4295), 1,
      sym_comment,
    STATE(4720), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6474), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4296), 1,
      sym_comment,
    ACTIONS(5320), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153511] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(311), 1,
      sym_class_body,
    STATE(4297), 1,
      sym_comment,
    STATE(4699), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6468), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153548] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_QMARK,
    STATE(4298), 1,
      sym_comment,
    STATE(5203), 1,
      sym_type_annotation,
    STATE(6053), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4299), 1,
      sym_comment,
    ACTIONS(5320), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4300), 1,
      sym_comment,
    ACTIONS(5328), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153623] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1243), 1,
      sym_class_body,
    STATE(4301), 1,
      sym_comment,
    STATE(4698), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6461), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153660] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    STATE(4302), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153691] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4303), 1,
      sym_comment,
    STATE(5173), 1,
      sym_type_annotation,
    STATE(6061), 1,
      sym__initializer,
    ACTIONS(7566), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153722] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4304), 1,
      sym_comment,
    STATE(5392), 1,
      sym_type_annotation,
    STATE(5776), 1,
      sym__initializer,
    ACTIONS(7251), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7249), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4305), 1,
      sym_comment,
    ACTIONS(7568), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153774] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7570), 1,
      anon_sym_BANG,
    ACTIONS(7572), 1,
      anon_sym_QMARK,
    STATE(4306), 1,
      sym_comment,
    STATE(5210), 1,
      sym_type_annotation,
    STATE(6043), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4307), 1,
      sym_comment,
    ACTIONS(7574), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153828] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1330), 1,
      sym_class_body,
    STATE(4308), 1,
      sym_comment,
    STATE(4718), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6790), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [153865] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(2931), 1,
      sym_arguments,
    STATE(4112), 1,
      sym_type_arguments,
    STATE(4309), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [153902] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7492), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_RBRACE,
    STATE(4310), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6072), 1,
      sym__module_export_name,
    STATE(6982), 1,
      sym_export_specifier,
    ACTIONS(7494), 2,
      anon_sym_type,
      anon_sym_typeof,
  [153937] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    ACTIONS(7580), 1,
      anon_sym_RBRACE,
    STATE(4311), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153968] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7582), 1,
      anon_sym_BANG,
    ACTIONS(7584), 1,
      anon_sym_QMARK,
    STATE(4312), 1,
      sym_comment,
    STATE(5215), 1,
      sym_type_annotation,
    STATE(6032), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154001] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_BANG,
    ACTIONS(7588), 1,
      anon_sym_QMARK,
    STATE(4313), 1,
      sym_comment,
    STATE(5218), 1,
      sym_type_annotation,
    STATE(6027), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154034] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_class_body,
    STATE(4314), 1,
      sym_comment,
    STATE(4728), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6803), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154071] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7592), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_QMARK,
    STATE(4315), 1,
      sym_comment,
    STATE(4997), 1,
      sym_type_annotation,
    STATE(6393), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154104] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_BANG,
    ACTIONS(7598), 1,
      anon_sym_QMARK,
    STATE(4316), 1,
      sym_comment,
    STATE(5351), 1,
      sym_type_annotation,
    STATE(5900), 1,
      sym__initializer,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4317), 1,
      sym_comment,
    ACTIONS(5196), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4318), 1,
      sym_comment,
    ACTIONS(5202), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154179] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1707), 1,
      sym_class_body,
    STATE(4319), 1,
      sym_comment,
    STATE(4659), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6825), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154216] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1007), 1,
      sym_class_body,
    STATE(4320), 1,
      sym_comment,
    STATE(4671), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6444), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154253] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7602), 1,
      anon_sym_BANG,
    ACTIONS(7604), 1,
      anon_sym_QMARK,
    STATE(4321), 1,
      sym_comment,
    STATE(5347), 1,
      sym_type_annotation,
    STATE(5789), 1,
      sym__initializer,
    ACTIONS(7267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154286] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_class_body,
    STATE(4322), 1,
      sym_comment,
    STATE(4668), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6486), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154323] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7606), 1,
      anon_sym_BANG,
    ACTIONS(7608), 1,
      anon_sym_QMARK,
    STATE(4323), 1,
      sym_comment,
    STATE(5227), 1,
      sym_type_annotation,
    STATE(6009), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154356] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1199), 1,
      sym_class_body,
    STATE(4324), 1,
      sym_comment,
    STATE(4710), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6783), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4325), 1,
      sym_comment,
    ACTIONS(5248), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154414] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3372), 1,
      sym_arguments,
    STATE(4057), 1,
      sym_type_arguments,
    STATE(4326), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [154451] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4327), 1,
      sym_comment,
    ACTIONS(5348), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [154478] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4328), 1,
      sym_comment,
    STATE(4544), 1,
      sym_type_parameters,
    STATE(5078), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6648), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4329), 1,
      sym_comment,
    ACTIONS(5180), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4330), 1,
      sym_comment,
    ACTIONS(5344), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154557] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3200), 1,
      sym_class_body,
    STATE(4331), 1,
      sym_comment,
    STATE(4534), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7013), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154594] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    STATE(394), 1,
      sym_class_body,
    STATE(4332), 1,
      sym_comment,
    STATE(4759), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6837), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7618), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(7574), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7620), 1,
      anon_sym_EQ,
    STATE(4334), 1,
      sym_comment,
    ACTIONS(7568), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7622), 1,
      anon_sym_EQ,
    STATE(4335), 1,
      sym_comment,
    ACTIONS(7550), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_EQ,
    STATE(4336), 1,
      sym_comment,
    ACTIONS(7626), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154723] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7628), 1,
      anon_sym_BANG,
    ACTIONS(7630), 1,
      anon_sym_QMARK,
    STATE(4337), 1,
      sym_comment,
    STATE(5235), 1,
      sym_type_annotation,
    STATE(5984), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154756] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    STATE(4338), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6065), 1,
      aux_sym_object_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [154787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7632), 1,
      anon_sym_EQ,
    STATE(4339), 1,
      sym_comment,
    ACTIONS(4432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7634), 1,
      anon_sym_EQ,
    STATE(4340), 1,
      sym_comment,
    ACTIONS(4408), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_COLON,
    STATE(4341), 1,
      sym_comment,
    STATE(5490), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7528), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4342), 1,
      sym_comment,
    ACTIONS(7638), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154879] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3325), 1,
      sym_class_body,
    STATE(4343), 1,
      sym_comment,
    STATE(4681), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6924), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154916] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_COLON,
    STATE(4344), 1,
      sym_comment,
    STATE(5365), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7472), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154941] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_class_body,
    STATE(4345), 1,
      sym_comment,
    STATE(4658), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6434), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [154978] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1682), 1,
      sym_class_body,
    STATE(4346), 1,
      sym_comment,
    STATE(4645), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6995), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155015] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    STATE(4347), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155046] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4348), 1,
      sym_comment,
    STATE(4521), 1,
      sym_type_parameters,
    STATE(5034), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6607), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155083] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4349), 1,
      sym_comment,
    STATE(4535), 1,
      sym_type_parameters,
    STATE(5065), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6636), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155120] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3230), 1,
      sym_class_body,
    STATE(4350), 1,
      sym_comment,
    STATE(4546), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6734), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155157] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANG,
    ACTIONS(7642), 1,
      anon_sym_QMARK,
    STATE(4351), 1,
      sym_comment,
    STATE(5123), 1,
      sym_type_annotation,
    STATE(6262), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155190] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7644), 1,
      anon_sym_DOT,
    STATE(3229), 1,
      sym_template_string,
    STATE(3505), 1,
      sym_arguments,
    STATE(4352), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6627), 1,
      sym_optional_chain,
  [155227] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(2476), 1,
      sym_arguments,
    STATE(2759), 1,
      sym_template_string,
    STATE(4057), 1,
      sym_type_arguments,
    STATE(4353), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [155264] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7646), 1,
      anon_sym_BANG,
    ACTIONS(7648), 1,
      anon_sym_QMARK,
    STATE(4354), 1,
      sym_comment,
    STATE(5122), 1,
      sym_type_annotation,
    STATE(6264), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155297] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1460), 1,
      sym_class_body,
    STATE(4355), 1,
      sym_comment,
    STATE(4584), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6921), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155334] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7652), 1,
      anon_sym_BANG,
    ACTIONS(7654), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_comment,
    STATE(5112), 1,
      sym_type_annotation,
    STATE(6285), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155367] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7656), 1,
      anon_sym_BANG,
    ACTIONS(7658), 1,
      anon_sym_QMARK,
    STATE(4357), 1,
      sym_comment,
    STATE(5111), 1,
      sym_type_annotation,
    STATE(6295), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155400] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3225), 1,
      sym_class_body,
    STATE(4358), 1,
      sym_comment,
    STATE(4524), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6632), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [155437] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_BANG,
    ACTIONS(7662), 1,
      anon_sym_QMARK,
    STATE(4359), 1,
      sym_comment,
    STATE(5110), 1,
      sym_type_annotation,
    STATE(6300), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4360), 1,
      sym_comment,
    ACTIONS(5375), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155491] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7664), 1,
      anon_sym_BANG,
    ACTIONS(7666), 1,
      anon_sym_QMARK,
    STATE(4361), 1,
      sym_comment,
    STATE(4993), 1,
      sym_type_annotation,
    STATE(6407), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155524] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7668), 1,
      anon_sym_BANG,
    ACTIONS(7670), 1,
      anon_sym_QMARK,
    STATE(4362), 1,
      sym_comment,
    STATE(5101), 1,
      sym_type_annotation,
    STATE(6323), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155557] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7672), 1,
      anon_sym_EQ,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    STATE(4363), 1,
      sym_comment,
    STATE(4509), 1,
      sym_arguments,
    ACTIONS(7518), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [155586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4364), 1,
      sym_comment,
    ACTIONS(5267), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155607] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7676), 1,
      anon_sym_DOT,
    STATE(3229), 1,
      sym_template_string,
    STATE(3287), 1,
      sym_arguments,
    STATE(4365), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6627), 1,
      sym_optional_chain,
  [155644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4366), 1,
      sym_comment,
    ACTIONS(5232), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4367), 1,
      sym_comment,
    ACTIONS(5210), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    STATE(4368), 1,
      sym_comment,
    ACTIONS(5200), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [155709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4369), 1,
      sym_comment,
    ACTIONS(5194), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4370), 1,
      sym_comment,
    ACTIONS(5160), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4371), 1,
      sym_comment,
    ACTIONS(5156), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155772] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4372), 1,
      sym_comment,
    ACTIONS(5142), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7678), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_comment,
    ACTIONS(4995), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4989), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7680), 1,
      anon_sym_extends,
    STATE(4374), 1,
      sym_comment,
    ACTIONS(4999), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [155847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7678), 1,
      anon_sym_LBRACK,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(5009), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(5021), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(3561), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4378), 1,
      sym_comment,
    ACTIONS(7626), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [155933] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7682), 1,
      anon_sym_BANG,
    ACTIONS(7684), 1,
      anon_sym_QMARK,
    STATE(4379), 1,
      sym_comment,
    STATE(5214), 1,
      sym_type_annotation,
    STATE(6030), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155966] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1464), 1,
      sym_class_body,
    STATE(4380), 1,
      sym_comment,
    STATE(4619), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6470), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [156003] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    ACTIONS(7688), 1,
      anon_sym_RBRACE,
    STATE(4381), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156034] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7690), 1,
      anon_sym_BANG,
    ACTIONS(7692), 1,
      anon_sym_QMARK,
    STATE(4382), 1,
      sym_comment,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(6102), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4383), 1,
      sym_comment,
    ACTIONS(5107), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4384), 1,
      sym_comment,
    ACTIONS(4969), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4385), 1,
      sym_comment,
    ACTIONS(5099), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156130] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1279), 1,
      sym_class_body,
    STATE(4386), 1,
      sym_comment,
    STATE(4706), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6760), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [156167] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7694), 1,
      anon_sym_BANG,
    ACTIONS(7696), 1,
      anon_sym_QMARK,
    STATE(4387), 1,
      sym_comment,
    STATE(4996), 1,
      sym_type_annotation,
    STATE(6396), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156200] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4388), 1,
      sym_comment,
    ACTIONS(5366), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156227] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4389), 1,
      sym_comment,
    ACTIONS(5362), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156254] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(3229), 1,
      sym_template_string,
    STATE(3467), 1,
      sym_arguments,
    STATE(4283), 1,
      sym_type_arguments,
    STATE(4390), 1,
      sym_comment,
    STATE(6627), 1,
      sym_optional_chain,
  [156291] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_BANG,
    ACTIONS(7700), 1,
      anon_sym_QMARK,
    STATE(4391), 1,
      sym_comment,
    STATE(5202), 1,
      sym_type_annotation,
    STATE(6165), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156324] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(4392), 1,
      sym_comment,
    STATE(4751), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6654), 1,
      sym_class_body,
    STATE(7049), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [156361] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7704), 1,
      anon_sym_BANG,
    ACTIONS(7706), 1,
      anon_sym_QMARK,
    STATE(4393), 1,
      sym_comment,
    STATE(4986), 1,
      sym_type_annotation,
    STATE(6421), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156394] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7708), 1,
      anon_sym_BANG,
    ACTIONS(7710), 1,
      anon_sym_QMARK,
    STATE(4394), 1,
      sym_comment,
    STATE(5269), 1,
      sym_type_annotation,
    STATE(5886), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(3629), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156448] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7712), 1,
      anon_sym_BANG,
    ACTIONS(7714), 1,
      anon_sym_QMARK,
    STATE(4396), 1,
      sym_comment,
    STATE(4991), 1,
      sym_type_annotation,
    STATE(6410), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156481] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7716), 1,
      anon_sym_BANG,
    ACTIONS(7718), 1,
      anon_sym_QMARK,
    STATE(4397), 1,
      sym_comment,
    STATE(5270), 1,
      sym_type_annotation,
    STATE(5884), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4398), 1,
      sym_comment,
    ACTIONS(3641), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156535] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7720), 1,
      anon_sym_BANG,
    ACTIONS(7722), 1,
      anon_sym_QMARK,
    STATE(4399), 1,
      sym_comment,
    STATE(5061), 1,
      sym_type_annotation,
    STATE(6358), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156568] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7724), 1,
      anon_sym_BANG,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(4400), 1,
      sym_comment,
    STATE(5062), 1,
      sym_type_annotation,
    STATE(6356), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4401), 1,
      sym_comment,
    ACTIONS(3643), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4402), 1,
      sym_comment,
    ACTIONS(7728), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156643] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4403), 1,
      sym_comment,
    ACTIONS(5164), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156664] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7482), 1,
      anon_sym_EQ,
    STATE(4404), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5500), 1,
      sym__initializer,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156695] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_BANG,
    ACTIONS(7732), 1,
      anon_sym_QMARK,
    STATE(4405), 1,
      sym_comment,
    STATE(5068), 1,
      sym_type_annotation,
    STATE(6339), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156728] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7734), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3476), 1,
      sym_arguments,
    STATE(4406), 1,
      sym_comment,
    STATE(5623), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [156765] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3504), 1,
      sym_arguments,
    STATE(4057), 1,
      sym_type_arguments,
    STATE(4407), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [156802] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(7736), 1,
      anon_sym_EQ,
    STATE(4408), 1,
      sym_comment,
    ACTIONS(7516), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [156831] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4409), 1,
      sym_comment,
    STATE(4523), 1,
      sym_type_parameters,
    STATE(5048), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6629), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [156868] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_type,
    ACTIONS(7452), 1,
      anon_sym_typeof,
    STATE(4410), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6724), 1,
      sym__import_identifier,
    STATE(6929), 1,
      sym_import_specifier,
    STATE(7344), 1,
      sym__module_export_name,
  [156905] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_class_body,
    STATE(4411), 1,
      sym_comment,
    STATE(4655), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6986), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [156942] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7740), 1,
      anon_sym_BANG,
    ACTIONS(7742), 1,
      anon_sym_QMARK,
    STATE(4412), 1,
      sym_comment,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(5868), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156975] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7746), 1,
      anon_sym_BANG,
    ACTIONS(7748), 1,
      anon_sym_QMARK,
    STATE(4413), 1,
      sym_comment,
    STATE(5455), 1,
      sym_type_annotation,
    STATE(6109), 1,
      sym__initializer,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157008] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7492), 1,
      sym_identifier,
    ACTIONS(7750), 1,
      anon_sym_RBRACE,
    STATE(4414), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6072), 1,
      sym__module_export_name,
    STATE(6982), 1,
      sym_export_specifier,
    ACTIONS(7494), 2,
      anon_sym_type,
      anon_sym_typeof,
  [157043] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1256), 1,
      sym_class_body,
    STATE(4415), 1,
      sym_comment,
    STATE(4662), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6975), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157080] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4416), 1,
      sym_comment,
    STATE(5129), 1,
      sym_type_annotation,
    STATE(6229), 1,
      sym__initializer,
    ACTIONS(7345), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4417), 1,
      sym_comment,
    ACTIONS(7752), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [157132] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7754), 1,
      anon_sym_BANG,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(4418), 1,
      sym_comment,
    STATE(5381), 1,
      sym_type_annotation,
    STATE(6084), 1,
      sym__initializer,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4419), 1,
      sym_comment,
    ACTIONS(5129), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157186] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    ACTIONS(7758), 1,
      anon_sym_RBRACE,
    STATE(4420), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157217] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(3002), 1,
      sym_arguments,
    STATE(3229), 1,
      sym_template_string,
    STATE(4283), 1,
      sym_type_arguments,
    STATE(4421), 1,
      sym_comment,
    STATE(6627), 1,
      sym_optional_chain,
  [157254] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1236), 1,
      sym_class_body,
    STATE(4422), 1,
      sym_comment,
    STATE(4612), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6498), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157291] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2586), 1,
      sym_class_body,
    STATE(4423), 1,
      sym_comment,
    STATE(4732), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7101), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157328] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_class_body,
    STATE(4424), 1,
      sym_comment,
    STATE(4716), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6775), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157365] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4425), 1,
      sym_comment,
    STATE(4726), 1,
      sym_type_parameters,
    STATE(5944), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7105), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157402] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3132), 1,
      sym_class_body,
    STATE(4426), 1,
      sym_comment,
    STATE(4677), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7080), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157439] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7764), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(2811), 1,
      sym_arguments,
    STATE(4427), 1,
      sym_comment,
    STATE(5623), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [157476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4428), 1,
      sym_comment,
    ACTIONS(2182), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157497] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_class_body,
    STATE(4429), 1,
      sym_comment,
    STATE(4610), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6502), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157534] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7768), 1,
      anon_sym_BANG,
    ACTIONS(7770), 1,
      anon_sym_QMARK,
    STATE(4430), 1,
      sym_comment,
    STATE(5285), 1,
      sym_type_annotation,
    STATE(5858), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4431), 1,
      sym_comment,
    ACTIONS(7772), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [157588] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(7047), 1,
      anon_sym_LT,
    ACTIONS(7774), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3189), 1,
      sym_arguments,
    STATE(4432), 1,
      sym_comment,
    STATE(5623), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [157625] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_COMMA,
    ACTIONS(7776), 1,
      anon_sym_RBRACE,
    STATE(4433), 1,
      sym_comment,
    STATE(6047), 1,
      aux_sym_object_repeat1,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157656] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4434), 1,
      sym_comment,
    ACTIONS(5356), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [157683] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4435), 1,
      sym_comment,
    STATE(4591), 1,
      sym_type_parameters,
    STATE(5782), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6879), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4436), 1,
      sym_comment,
    ACTIONS(5356), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157741] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_class_body,
    STATE(4437), 1,
      sym_comment,
    STATE(4609), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6507), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4438), 1,
      sym_comment,
    ACTIONS(2162), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157799] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4439), 1,
      sym_comment,
    ACTIONS(5352), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157820] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_BANG,
    ACTIONS(7780), 1,
      anon_sym_QMARK,
    STATE(4440), 1,
      sym_comment,
    STATE(4990), 1,
      sym_type_annotation,
    STATE(6418), 1,
      sym__initializer,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157853] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4441), 1,
      sym_comment,
    STATE(5489), 1,
      sym_type_annotation,
    STATE(6243), 1,
      sym__initializer,
    ACTIONS(7227), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157884] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4442), 1,
      sym_comment,
    ACTIONS(5152), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [157911] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_class_body,
    STATE(4443), 1,
      sym_comment,
    STATE(4575), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6523), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [157948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4444), 1,
      sym_comment,
    ACTIONS(4985), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4445), 1,
      sym_comment,
    ACTIONS(5013), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157990] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4446), 1,
      sym_comment,
    STATE(5251), 1,
      sym_type_annotation,
    STATE(5947), 1,
      sym__initializer,
    ACTIONS(7325), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4447), 1,
      sym_comment,
    ACTIONS(4945), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158042] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(4448), 1,
      sym_comment,
    STATE(4673), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6788), 1,
      sym_class_body,
    STATE(7072), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [158079] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_class_body,
    STATE(4449), 1,
      sym_comment,
    STATE(4599), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6898), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [158116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7678), 1,
      anon_sym_LBRACK,
    STATE(4450), 1,
      sym_comment,
    ACTIONS(4995), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4451), 1,
      sym_comment,
    ACTIONS(4995), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158160] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_class_body,
    STATE(4452), 1,
      sym_comment,
    STATE(4562), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6533), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [158197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4453), 1,
      sym_comment,
    ACTIONS(4408), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [158218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4454), 1,
      sym_comment,
    ACTIONS(7782), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [158239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4455), 1,
      sym_comment,
    ACTIONS(3475), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4456), 1,
      sym_comment,
    ACTIONS(5023), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4457), 1,
      sym_comment,
    ACTIONS(5274), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4458), 1,
      sym_comment,
    ACTIONS(4939), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4459), 1,
      sym_comment,
    ACTIONS(5282), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4460), 1,
      sym_comment,
    ACTIONS(7784), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [158365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4461), 1,
      sym_comment,
    ACTIONS(5290), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4462), 1,
      sym_comment,
    ACTIONS(5294), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4463), 1,
      sym_comment,
    ACTIONS(5298), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4464), 1,
      sym_comment,
    ACTIONS(5302), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4465), 1,
      sym_comment,
    ACTIONS(5025), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158470] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(4466), 1,
      sym_comment,
    STATE(5623), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
  [158505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4467), 1,
      sym_comment,
    ACTIONS(5316), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158526] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4468), 1,
      sym_comment,
    ACTIONS(5316), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [158553] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_BANG,
    ACTIONS(7788), 1,
      anon_sym_QMARK,
    STATE(4469), 1,
      sym_comment,
    STATE(5231), 1,
      sym_type_annotation,
    STATE(5991), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158586] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_DOT,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(4470), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6627), 1,
      sym_optional_chain,
    STATE(3229), 2,
      sym_template_string,
      sym_arguments,
  [158621] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7790), 1,
      anon_sym_BANG,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    STATE(4471), 1,
      sym_comment,
    STATE(5219), 1,
      sym_type_annotation,
    STATE(6022), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4472), 1,
      sym_comment,
    ACTIONS(4432), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [158675] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7794), 1,
      anon_sym_BANG,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(4473), 1,
      sym_comment,
    STATE(5184), 1,
      sym_type_annotation,
    STATE(6106), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4474), 1,
      sym_comment,
    ACTIONS(5332), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    STATE(4475), 1,
      sym_comment,
    ACTIONS(5336), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [158752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4476), 1,
      sym_comment,
    ACTIONS(5340), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158773] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_class_body,
    STATE(4477), 1,
      sym_comment,
    STATE(4729), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6904), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [158810] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7798), 1,
      anon_sym_BANG,
    ACTIONS(7800), 1,
      anon_sym_QMARK,
    STATE(4478), 1,
      sym_comment,
    STATE(4983), 1,
      sym_type_annotation,
    STATE(6028), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7802), 1,
      anon_sym_BANG,
    ACTIONS(7804), 1,
      anon_sym_QMARK,
    STATE(4479), 1,
      sym_comment,
    STATE(5201), 1,
      sym_type_annotation,
    STATE(6062), 1,
      sym__initializer,
    ACTIONS(7213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158876] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7806), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_QMARK,
    STATE(4480), 1,
      sym_comment,
    STATE(5182), 1,
      sym_type_annotation,
    STATE(6117), 1,
      sym__initializer,
    ACTIONS(7297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158909] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4481), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5977), 1,
      sym__initializer,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158940] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7492), 1,
      sym_identifier,
    STATE(4482), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6072), 1,
      sym__module_export_name,
    STATE(6982), 1,
      sym_export_specifier,
    ACTIONS(7494), 2,
      anon_sym_type,
      anon_sym_typeof,
  [158972] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4483), 1,
      sym_comment,
    STATE(5305), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159000] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(4484), 1,
      sym_comment,
    ACTIONS(7516), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4485), 1,
      sym_comment,
    STATE(5142), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4486), 1,
      sym_comment,
    STATE(5304), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159082] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      anon_sym_enum,
    STATE(4487), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5596), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159114] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_DOT,
    STATE(4488), 1,
      sym_comment,
    STATE(4875), 1,
      sym_arguments,
    ACTIONS(7518), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159140] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7822), 1,
      anon_sym_BQUOTE,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    STATE(4489), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159174] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7486), 1,
      anon_sym_BANG,
    STATE(4490), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5989), 1,
      sym__initializer,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4491), 1,
      sym_comment,
    STATE(5145), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159232] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4492), 1,
      sym_comment,
    STATE(5249), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159260] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7828), 1,
      anon_sym_enum,
    STATE(4493), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5557), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159292] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7830), 1,
      anon_sym_enum,
    STATE(4494), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159324] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7832), 1,
      anon_sym_BQUOTE,
    STATE(4495), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7836), 1,
      anon_sym_DOT,
    STATE(4496), 1,
      sym_comment,
    ACTIONS(7834), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159380] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4497), 1,
      sym_comment,
    STATE(5138), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159408] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4498), 1,
      sym_comment,
    ACTIONS(7838), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159434] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4499), 1,
      sym_comment,
    ACTIONS(7840), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159460] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4500), 1,
      sym_comment,
    STATE(5415), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159488] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(4501), 1,
      sym_comment,
    STATE(4987), 1,
      sym_statement_block,
    ACTIONS(2125), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159514] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(4502), 1,
      sym_comment,
    STATE(4987), 1,
      sym_statement_block,
    ACTIONS(2125), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4503), 1,
      sym_comment,
    ACTIONS(7848), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [159560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4504), 1,
      sym_comment,
    ACTIONS(6412), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [159580] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7850), 1,
      anon_sym_enum,
    STATE(4505), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5600), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159612] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7852), 1,
      anon_sym_BQUOTE,
    STATE(4506), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159646] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_enum,
    STATE(4507), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5543), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159678] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7856), 1,
      anon_sym_BQUOTE,
    STATE(4508), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_EQ,
    STATE(4509), 1,
      sym_comment,
    ACTIONS(7848), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [159734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_EQ,
    STATE(4510), 1,
      sym_comment,
    ACTIONS(6412), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [159756] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7862), 1,
      anon_sym_BQUOTE,
    STATE(4511), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5420), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4512), 1,
      sym_comment,
    STATE(5164), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159818] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    ACTIONS(7810), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7812), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7814), 1,
      anon_sym_QMARK_COLON,
    STATE(4513), 1,
      sym_comment,
    STATE(5167), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159846] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7864), 1,
      anon_sym_BQUOTE,
    STATE(4514), 1,
      sym_comment,
    STATE(4819), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159880] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4515), 1,
      sym_comment,
    ACTIONS(7866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159906] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7868), 1,
      anon_sym_BQUOTE,
    STATE(4516), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [159940] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym_enum,
    STATE(4517), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5563), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159972] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(7824), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7826), 1,
      sym__template_chars,
    ACTIONS(7872), 1,
      anon_sym_BQUOTE,
    STATE(4518), 1,
      sym_comment,
    STATE(4819), 1,
      aux_sym_template_string_repeat1,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(5848), 1,
      sym_template_type,
  [160006] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4519), 1,
      sym_comment,
    STATE(5360), 1,
      sym_type_annotation,
    STATE(5780), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4520), 1,
      sym_comment,
    ACTIONS(5926), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160052] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4521), 1,
      sym_comment,
    STATE(5021), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6590), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160083] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4522), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5520), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160112] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4523), 1,
      sym_comment,
    STATE(5031), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6604), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160143] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3381), 1,
      sym_class_body,
    STATE(4524), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6608), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4525), 1,
      sym_comment,
    STATE(5195), 1,
      sym_type_annotation,
    STATE(6071), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160201] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4526), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5562), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160230] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4527), 1,
      sym_comment,
    STATE(5208), 1,
      sym_type_annotation,
    STATE(6037), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160257] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7876), 1,
      sym_identifier,
    ACTIONS(7878), 1,
      anon_sym_STAR,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    STATE(4528), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [160288] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4529), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5541), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160317] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4530), 1,
      sym_comment,
    STATE(5213), 1,
      sym_type_annotation,
    STATE(6035), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160344] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4531), 1,
      sym_comment,
    STATE(5181), 1,
      sym_type_annotation,
    STATE(6110), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160371] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4532), 1,
      sym_comment,
    STATE(5371), 1,
      sym_type_annotation,
    STATE(5772), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4533), 1,
      sym_comment,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(6145), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160425] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3314), 1,
      sym_class_body,
    STATE(4534), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6967), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160456] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4535), 1,
      sym_comment,
    STATE(5040), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6609), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160487] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4536), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5543), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160516] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3529), 1,
      sym_class_body,
    STATE(4537), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6903), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160547] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_comment,
    STATE(5225), 1,
      sym_type_annotation,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4539), 1,
      sym_comment,
    STATE(5374), 1,
      sym_type_annotation,
    STATE(5752), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4540), 1,
      sym_comment,
    STATE(5241), 1,
      sym_type_annotation,
    STATE(5737), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160628] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7882), 1,
      sym_identifier,
    ACTIONS(7884), 1,
      anon_sym_STAR,
    STATE(4541), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6744), 1,
      sym__call_signature,
  [160659] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4542), 1,
      sym_comment,
    STATE(5321), 1,
      sym_type_annotation,
    STATE(5821), 1,
      sym__initializer,
    ACTIONS(7886), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160686] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4543), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5563), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160715] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4544), 1,
      sym_comment,
    STATE(5049), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6631), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160746] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7888), 1,
      sym_identifier,
    ACTIONS(7890), 1,
      anon_sym_STAR,
    STATE(4545), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [160777] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3170), 1,
      sym_class_body,
    STATE(4546), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6945), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [160808] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4547), 1,
      sym_comment,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160837] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7892), 1,
      sym_identifier,
    ACTIONS(7894), 1,
      anon_sym_STAR,
    STATE(4548), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [160868] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4549), 1,
      sym_comment,
    STATE(5153), 1,
      sym_type_annotation,
    ACTIONS(7896), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160891] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7898), 1,
      sym_identifier,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    STATE(4550), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [160922] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7902), 1,
      anon_sym_COLON,
    ACTIONS(7904), 1,
      anon_sym_QMARK,
    STATE(4551), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6699), 1,
      sym__call_signature,
  [160953] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(7906), 1,
      sym_identifier,
    STATE(3929), 1,
      sym__type_query_member_expression,
    STATE(3930), 1,
      sym__type_query_subscript_expression,
    STATE(4233), 1,
      sym__type_query_call_expression,
    STATE(4364), 1,
      sym__type_query_instantiation_expression,
    STATE(4552), 1,
      sym_comment,
    STATE(5566), 1,
      sym_import,
  [160984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4553), 1,
      sym_comment,
    ACTIONS(6333), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [161003] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7904), 1,
      anon_sym_QMARK,
    ACTIONS(7908), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6699), 1,
      sym__call_signature,
  [161034] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_STAR,
    STATE(4555), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [161065] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7914), 1,
      sym_identifier,
    ACTIONS(7916), 1,
      anon_sym_DOT,
    STATE(986), 1,
      sym_nested_identifier,
    STATE(1099), 1,
      sym_string,
    STATE(1269), 1,
      sym__module,
    STATE(4556), 1,
      sym_comment,
  [161096] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4557), 1,
      sym_comment,
    STATE(5376), 1,
      sym_type_annotation,
    STATE(5750), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161123] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7918), 1,
      sym_identifier,
    ACTIONS(7920), 1,
      anon_sym_STAR,
    STATE(4558), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [161154] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7922), 1,
      anon_sym_LBRACE,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(7928), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1378), 1,
      sym_object_type,
    STATE(4559), 1,
      sym_comment,
    STATE(5124), 1,
      sym_type_parameters,
    STATE(6256), 1,
      sym_extends_type_clause,
  [161185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4560), 1,
      sym_comment,
    ACTIONS(7930), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [161204] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4561), 1,
      sym_comment,
    STATE(6971), 1,
      sym_statement_block,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161227] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(384), 1,
      sym_class_body,
    STATE(4562), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6517), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [161258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4563), 1,
      sym_comment,
    STATE(6615), 1,
      sym_statement_block,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161281] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4564), 1,
      sym_comment,
    STATE(5291), 1,
      sym_type_annotation,
    STATE(5844), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161308] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4565), 1,
      sym_comment,
    STATE(5465), 1,
      sym_type_annotation,
    STATE(6161), 1,
      sym__initializer,
    ACTIONS(7432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4566), 1,
      sym_comment,
    STATE(6968), 1,
      sym_statement_block,
    ACTIONS(7936), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161358] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4567), 1,
      sym_comment,
    STATE(5257), 1,
      sym_type_annotation,
    STATE(5921), 1,
      sym__initializer,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4568), 1,
      sym_comment,
    STATE(5290), 1,
      sym_type_annotation,
    STATE(5849), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4569), 1,
      sym_comment,
    STATE(7012), 1,
      sym_statement_block,
    ACTIONS(7938), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4570), 1,
      sym_comment,
    ACTIONS(7782), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [161454] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4571), 1,
      sym_comment,
    STATE(5289), 1,
      sym_type_annotation,
    STATE(5851), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161481] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7940), 1,
      sym_identifier,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    STATE(4572), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [161512] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4573), 1,
      sym_comment,
    STATE(5288), 1,
      sym_type_annotation,
    STATE(5854), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_comment,
    STATE(5286), 1,
      sym_type_annotation,
    STATE(5856), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161566] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_class_body,
    STATE(4575), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6501), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [161597] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4576), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5977), 1,
      sym__initializer,
    ACTIONS(7484), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161624] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7944), 1,
      sym_identifier,
    ACTIONS(7946), 1,
      anon_sym_STAR,
    STATE(4577), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [161655] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7948), 1,
      sym_identifier,
    ACTIONS(7950), 1,
      anon_sym_STAR,
    STATE(4578), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6597), 1,
      sym__call_signature,
  [161686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4579), 1,
      sym_comment,
    ACTIONS(4331), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161705] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4580), 1,
      sym_comment,
    STATE(5384), 1,
      sym_type_annotation,
    STATE(5803), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4581), 1,
      sym_comment,
    STATE(5284), 1,
      sym_type_annotation,
    STATE(5863), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161759] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym_comment,
    STATE(5390), 1,
      sym_type_annotation,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161786] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_comment,
    STATE(5281), 1,
      sym_type_annotation,
    STATE(5865), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161813] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1249), 1,
      sym_class_body,
    STATE(4584), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6979), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [161844] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    ACTIONS(7956), 1,
      anon_sym_QMARK,
    STATE(4585), 1,
      sym_comment,
    STATE(5682), 1,
      sym_type_annotation,
    STATE(6751), 1,
      sym__initializer,
    ACTIONS(7954), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161873] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7960), 1,
      anon_sym_STAR,
    STATE(4586), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [161904] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_class_body,
    STATE(4587), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7091), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [161935] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4588), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(5871), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161962] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4589), 1,
      sym_comment,
    STATE(5395), 1,
      sym_type_annotation,
    STATE(5875), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161989] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3291), 1,
      sym_class_body,
    STATE(4590), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6985), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162020] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4591), 1,
      sym_comment,
    STATE(5937), 1,
      sym_class_body,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7093), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162051] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4592), 1,
      sym_comment,
    STATE(5272), 1,
      sym_type_annotation,
    STATE(5877), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7962), 1,
      anon_sym_EQ,
    STATE(4593), 1,
      sym_comment,
    ACTIONS(4331), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [162099] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4594), 1,
      sym_comment,
    STATE(5450), 1,
      sym_type_annotation,
    ACTIONS(7965), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162122] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7967), 1,
      sym_identifier,
    ACTIONS(7969), 1,
      anon_sym_STAR,
    STATE(4595), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [162153] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7971), 1,
      sym_identifier,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    STATE(4596), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [162184] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym_identifier,
    ACTIONS(7977), 1,
      anon_sym_STAR,
    STATE(4597), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6616), 1,
      sym__call_signature,
  [162215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4598), 1,
      sym_comment,
    ACTIONS(4432), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162234] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_class_body,
    STATE(4599), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7108), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4600), 1,
      sym_comment,
    ACTIONS(7626), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4601), 1,
      sym_comment,
    ACTIONS(7550), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162303] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4602), 1,
      sym_comment,
    STATE(5271), 1,
      sym_type_annotation,
    STATE(5881), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162330] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4603), 1,
      sym_comment,
    STATE(5600), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4604), 1,
      sym_comment,
    ACTIONS(7568), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4605), 1,
      sym_comment,
    ACTIONS(7574), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162397] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4606), 1,
      sym_comment,
    STATE(5268), 1,
      sym_type_annotation,
    STATE(5892), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162424] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4607), 1,
      sym_comment,
    STATE(5267), 1,
      sym_type_annotation,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_comment,
    STATE(5135), 1,
      sym_type_annotation,
    STATE(6218), 1,
      sym__initializer,
    ACTIONS(7426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162478] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1490), 1,
      sym_class_body,
    STATE(4609), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6475), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162509] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(344), 1,
      sym_class_body,
    STATE(4610), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6472), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162540] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7979), 1,
      anon_sym_EQ,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    STATE(4611), 1,
      sym_comment,
    ACTIONS(7834), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [162563] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1167), 1,
      sym_class_body,
    STATE(4612), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6467), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162594] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(5264), 1,
      sym_type_annotation,
    STATE(5908), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162621] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4614), 1,
      sym_comment,
    STATE(5261), 1,
      sym_type_annotation,
    STATE(5913), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162648] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3404), 1,
      sym_class_body,
    STATE(4615), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6781), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162679] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4616), 1,
      sym_comment,
    STATE(5601), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162708] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4617), 1,
      sym_comment,
    STATE(5256), 1,
      sym_type_annotation,
    STATE(5926), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162735] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym_comment,
    STATE(5409), 1,
      sym_type_annotation,
    STATE(5901), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162762] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_class_body,
    STATE(4619), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6452), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [162793] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4620), 1,
      sym_comment,
    STATE(5428), 1,
      sym_type_annotation,
    STATE(5906), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4621), 1,
      sym_comment,
    STATE(5248), 1,
      sym_type_annotation,
    STATE(5946), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162847] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_STAR,
    STATE(4622), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [162878] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4623), 1,
      sym_comment,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(5958), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4624), 1,
      sym_comment,
    ACTIONS(4408), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162924] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4625), 1,
      sym_comment,
    STATE(5426), 1,
      sym_type_annotation,
    STATE(5963), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4626), 1,
      sym_comment,
    ACTIONS(7772), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4627), 1,
      sym_comment,
    ACTIONS(7752), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162989] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4628), 1,
      sym_comment,
    STATE(5247), 1,
      sym_type_annotation,
    STATE(5956), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4629), 1,
      sym_comment,
    ACTIONS(7987), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [163035] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4630), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(5970), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163062] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4631), 1,
      sym_comment,
    STATE(5557), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163091] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_comment,
    STATE(5121), 1,
      sym_type_annotation,
    STATE(6267), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163118] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(7989), 1,
      sym_identifier,
    STATE(3839), 1,
      sym__type_query_member_expression,
    STATE(3840), 1,
      sym__type_query_subscript_expression,
    STATE(3891), 1,
      sym__type_query_call_expression,
    STATE(4008), 1,
      sym__type_query_instantiation_expression,
    STATE(4633), 1,
      sym_comment,
    STATE(5716), 1,
      sym_import,
  [163149] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4634), 1,
      sym_comment,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(5979), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4635), 1,
      sym_comment,
    STATE(5236), 1,
      sym_type_annotation,
    STATE(5982), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163203] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4170), 1,
      anon_sym_DQUOTE,
    ACTIONS(4172), 1,
      anon_sym_SQUOTE,
    ACTIONS(7991), 1,
      sym_identifier,
    ACTIONS(7993), 1,
      anon_sym_DOT,
    STATE(953), 1,
      sym_nested_identifier,
    STATE(1011), 1,
      sym_string,
    STATE(1132), 1,
      sym__module,
    STATE(4636), 1,
      sym_comment,
  [163234] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4637), 1,
      sym_comment,
    STATE(5556), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163263] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7995), 1,
      sym_identifier,
    STATE(4638), 1,
      sym_comment,
    ACTIONS(4943), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [163284] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3160), 1,
      sym_class_body,
    STATE(4639), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6644), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163315] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7997), 1,
      anon_sym_EQ,
    STATE(4640), 1,
      sym_comment,
    ACTIONS(4347), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163336] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4641), 1,
      sym_comment,
    STATE(5104), 1,
      sym_type_annotation,
    STATE(6311), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163363] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4642), 1,
      sym_comment,
    STATE(5085), 1,
      sym_type_annotation,
    STATE(6328), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163390] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4643), 1,
      sym_comment,
    STATE(5230), 1,
      sym_type_annotation,
    STATE(6000), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163417] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4644), 1,
      sym_comment,
    STATE(5083), 1,
      sym_type_annotation,
    STATE(6331), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163444] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1752), 1,
      sym_class_body,
    STATE(4645), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6846), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4646), 1,
      sym_comment,
    STATE(5067), 1,
      sym_type_annotation,
    STATE(6346), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163502] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1387), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(7999), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4647), 1,
      sym_comment,
    STATE(5090), 1,
      sym_object_type,
    STATE(5228), 1,
      sym_type_parameters,
    STATE(6003), 1,
      sym_extends_type_clause,
  [163533] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_LBRACE,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(8005), 1,
      anon_sym_DOT,
    ACTIONS(8007), 1,
      anon_sym_LT,
    ACTIONS(8009), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4648), 1,
      sym_comment,
    STATE(5661), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6385), 1,
      sym_type_arguments,
  [163564] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(8011), 1,
      sym_identifier,
    ACTIONS(8013), 1,
      anon_sym_LPAREN,
    STATE(2648), 1,
      sym_arguments,
    STATE(4649), 1,
      sym_comment,
    STATE(6862), 1,
      sym_type_arguments,
    ACTIONS(8015), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [163593] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8017), 1,
      sym_identifier,
    ACTIONS(8019), 1,
      anon_sym_DOT,
    STATE(4501), 1,
      sym_nested_identifier,
    STATE(4650), 1,
      sym_comment,
    STATE(4653), 1,
      sym_string,
    STATE(5095), 1,
      sym__module,
  [163624] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4651), 1,
      sym_comment,
    STATE(5063), 1,
      sym_type_annotation,
    STATE(6353), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163651] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4652), 1,
      sym_comment,
    STATE(5229), 1,
      sym_type_annotation,
    STATE(6005), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(4653), 1,
      sym_comment,
    STATE(4987), 1,
      sym_statement_block,
    ACTIONS(2125), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8021), 1,
      sym__automatic_semicolon,
    STATE(4654), 1,
      sym_comment,
    ACTIONS(2296), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163722] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_class_body,
    STATE(4655), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6838), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163753] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4656), 1,
      sym_comment,
    STATE(5226), 1,
      sym_type_annotation,
    STATE(6012), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163780] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4657), 1,
      sym_comment,
    STATE(5222), 1,
      sym_type_annotation,
    STATE(6018), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163807] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_class_body,
    STATE(4658), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6451), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163838] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_class_body,
    STATE(4659), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6712), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4660), 1,
      sym_comment,
    STATE(5212), 1,
      sym_type_annotation,
    STATE(6039), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4661), 1,
      sym_comment,
    STATE(5211), 1,
      sym_type_annotation,
    STATE(6041), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163923] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_class_body,
    STATE(4662), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6833), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [163954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4663), 1,
      sym_comment,
    ACTIONS(6490), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4664), 1,
      sym_comment,
    STATE(5207), 1,
      sym_type_annotation,
    STATE(6051), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164000] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4665), 1,
      sym_comment,
    STATE(5007), 1,
      sym_type_annotation,
    STATE(6360), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164027] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4666), 1,
      sym_comment,
    STATE(5003), 1,
      sym_type_annotation,
    STATE(6397), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164054] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8023), 1,
      sym_identifier,
    STATE(2432), 1,
      sym__type_query_subscript_expression,
    STATE(2436), 1,
      sym__type_query_member_expression,
    STATE(2539), 1,
      sym__type_query_instantiation_expression,
    STATE(2561), 1,
      sym__type_query_call_expression,
    STATE(4667), 1,
      sym_comment,
    STATE(5672), 1,
      sym_import,
  [164085] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_class_body,
    STATE(4668), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6494), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164116] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_comment,
    STATE(5205), 1,
      sym_type_annotation,
    STATE(5929), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164143] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4670), 1,
      sym_comment,
    STATE(5199), 1,
      sym_type_annotation,
    STATE(6426), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164170] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(979), 1,
      sym_class_body,
    STATE(4671), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6471), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164201] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_comment,
    STATE(5431), 1,
      sym_type_annotation,
    STATE(6066), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164228] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(4673), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6680), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4674), 1,
      sym_comment,
    STATE(5196), 1,
      sym_type_annotation,
    STATE(6075), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164286] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_comment,
    STATE(5194), 1,
      sym_type_annotation,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164313] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_comment,
    STATE(5452), 1,
      sym_type_annotation,
    STATE(6097), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164340] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_class_body,
    STATE(4677), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7054), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164371] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4678), 1,
      sym_comment,
    STATE(5454), 1,
      sym_type_annotation,
    STATE(6103), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4679), 1,
      sym_comment,
    STATE(4985), 1,
      sym_type_annotation,
    STATE(6428), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4680), 1,
      sym_comment,
    STATE(4994), 1,
      sym_type_annotation,
    STATE(6404), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164452] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3293), 1,
      sym_class_body,
    STATE(4681), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6826), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164483] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    STATE(4682), 1,
      sym_comment,
    STATE(5653), 1,
      sym_constraint,
    STATE(7035), 1,
      sym_default_type,
    ACTIONS(7388), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8025), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [164510] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4683), 1,
      sym_comment,
    STATE(5596), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4684), 1,
      sym_comment,
    STATE(5459), 1,
      sym_type_annotation,
    STATE(6136), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164566] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym_comment,
    STATE(5463), 1,
      sym_type_annotation,
    STATE(6147), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164593] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4686), 1,
      sym_comment,
    STATE(5471), 1,
      sym_type_annotation,
    STATE(6160), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6107), 1,
      sym__automatic_semicolon,
    STATE(4687), 1,
      sym_comment,
    ACTIONS(2296), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [164641] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4688), 1,
      sym_comment,
    STATE(5477), 1,
      sym_type_annotation,
    STATE(6167), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4689), 1,
      sym_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [164687] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4690), 1,
      sym_comment,
    STATE(5191), 1,
      sym_type_annotation,
    STATE(6096), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164714] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym_comment,
    STATE(4995), 1,
      sym_type_annotation,
    STATE(6401), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164741] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4692), 1,
      sym_comment,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(6113), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164768] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4693), 1,
      sym_comment,
    STATE(5478), 1,
      sym_type_annotation,
    STATE(6186), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4694), 1,
      sym_comment,
    STATE(5479), 1,
      sym_type_annotation,
    STATE(6191), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164822] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4695), 1,
      sym_comment,
    STATE(4998), 1,
      sym_type_annotation,
    STATE(6391), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164849] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4696), 1,
      sym_comment,
    STATE(5485), 1,
      sym_type_annotation,
    STATE(6196), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164876] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_comment,
    STATE(5486), 1,
      sym_type_annotation,
    STATE(6203), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164903] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1110), 1,
      sym_class_body,
    STATE(4698), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6480), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164934] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_class_body,
    STATE(4699), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6485), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [164965] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4700), 1,
      sym_comment,
    STATE(5002), 1,
      sym_type_annotation,
    STATE(6387), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164992] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4701), 1,
      sym_comment,
    STATE(5180), 1,
      sym_type_annotation,
    STATE(6122), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165019] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4702), 1,
      sym_comment,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(6125), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165046] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4703), 1,
      sym_comment,
    STATE(5106), 1,
      sym_type_annotation,
    STATE(6381), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165073] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8029), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1195), 1,
      sym_object_type,
    STATE(4704), 1,
      sym_comment,
    STATE(4992), 1,
      sym_type_parameters,
    STATE(6414), 1,
      sym_extends_type_clause,
  [165104] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5192), 1,
      sym_type_annotation,
    STATE(6078), 1,
      sym__initializer,
    ACTIONS(7405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165131] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1307), 1,
      sym_class_body,
    STATE(4706), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6742), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165162] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8033), 1,
      sym_identifier,
    ACTIONS(8035), 1,
      anon_sym_DOT,
    STATE(4707), 1,
      sym_comment,
    STATE(5013), 1,
      sym_nested_identifier,
    STATE(5527), 1,
      sym_string,
    STATE(6936), 1,
      sym__module,
  [165193] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(8039), 1,
      anon_sym_DOT,
    STATE(4708), 1,
      sym_comment,
    STATE(5722), 1,
      sym_arguments,
    ACTIONS(8037), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [165218] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_comment,
    STATE(5056), 1,
      sym_type_annotation,
    STATE(6365), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165245] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_class_body,
    STATE(4710), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6756), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4711), 1,
      sym_comment,
    ACTIONS(2198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [165295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4712), 1,
      sym_comment,
    ACTIONS(2194), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [165314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4713), 1,
      sym_comment,
    ACTIONS(2308), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165333] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8041), 1,
      sym_identifier,
    ACTIONS(8043), 1,
      anon_sym_DOT,
    STATE(1071), 1,
      sym_nested_identifier,
    STATE(1472), 1,
      sym_string,
    STATE(1725), 1,
      sym__module,
    STATE(4714), 1,
      sym_comment,
  [165364] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    STATE(345), 1,
      sym_class_body,
    STATE(4715), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6761), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165395] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(411), 1,
      sym_class_body,
    STATE(4716), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7085), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165426] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    STATE(4717), 1,
      sym_comment,
    STATE(5718), 1,
      sym_constraint,
    STATE(6835), 1,
      sym_default_type,
    ACTIONS(7388), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [165453] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1264), 1,
      sym_class_body,
    STATE(4718), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6762), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165484] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4719), 1,
      sym_comment,
    STATE(5595), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165513] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_class_body,
    STATE(4720), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6489), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165544] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8047), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1758), 1,
      sym_object_type,
    STATE(4721), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(5824), 1,
      sym_extends_type_clause,
  [165575] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4262), 1,
      anon_sym_LT,
    ACTIONS(8011), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_LPAREN,
    STATE(3264), 1,
      sym_arguments,
    STATE(4722), 1,
      sym_comment,
    STATE(6885), 1,
      sym_type_arguments,
    ACTIONS(8015), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [165604] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4723), 1,
      sym_comment,
    STATE(5496), 1,
      sym_type_annotation,
    STATE(6281), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165631] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4724), 1,
      sym_comment,
    STATE(5502), 1,
      sym_type_annotation,
    STATE(6313), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4725), 1,
      sym_comment,
    ACTIONS(7728), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165677] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(4726), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6124), 1,
      sym_class_body,
    STATE(7042), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165708] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4727), 1,
      sym_comment,
    STATE(5114), 1,
      sym_type_annotation,
    STATE(6280), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165735] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_class_body,
    STATE(4728), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6785), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165766] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3539), 1,
      sym_class_body,
    STATE(4729), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6818), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165797] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4730), 1,
      sym_comment,
    STATE(5174), 1,
      sym_type_annotation,
    STATE(6144), 1,
      sym__initializer,
    ACTIONS(7407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4731), 1,
      sym_comment,
    ACTIONS(2292), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2740), 1,
      sym_class_body,
    STATE(4732), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(7031), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [165874] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4733), 1,
      sym_comment,
    STATE(5149), 1,
      sym_type_annotation,
    STATE(6315), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165901] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4734), 1,
      sym_comment,
    STATE(5004), 1,
      sym_type_annotation,
    STATE(6378), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4735), 1,
      sym_comment,
    ACTIONS(2312), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165947] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8055), 1,
      sym_identifier,
    STATE(2692), 1,
      sym__type_query_subscript_expression,
    STATE(2694), 1,
      sym__type_query_member_expression,
    STATE(2957), 1,
      sym__type_query_instantiation_expression,
    STATE(2958), 1,
      sym__type_query_call_expression,
    STATE(4736), 1,
      sym_comment,
    STATE(5680), 1,
      sym_import,
  [165978] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4737), 1,
      sym_comment,
    STATE(5120), 1,
      sym_type_annotation,
    STATE(6271), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166005] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_comment,
    STATE(5386), 1,
      sym_type_annotation,
    STATE(5855), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_comment,
    STATE(5125), 1,
      sym_type_annotation,
    STATE(6258), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4740), 1,
      sym_comment,
    STATE(6832), 1,
      sym_statement_block,
    ACTIONS(8057), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4741), 1,
      sym_comment,
    ACTIONS(2316), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166101] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4742), 1,
      sym_comment,
    STATE(5169), 1,
      sym_type_annotation,
    STATE(6164), 1,
      sym__initializer,
    ACTIONS(7416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166128] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4743), 1,
      sym_comment,
    STATE(6830), 1,
      sym_statement_block,
    ACTIONS(8059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166151] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      sym_identifier,
    STATE(4481), 1,
      sym__destructuring_pattern,
    STATE(4744), 1,
      sym_comment,
    STATE(5697), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166180] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(8063), 1,
      sym_identifier,
    STATE(4404), 1,
      sym__destructuring_pattern,
    STATE(4745), 1,
      sym_comment,
    STATE(5699), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4746), 1,
      sym_comment,
    STATE(6552), 1,
      sym_statement_block,
    ACTIONS(8059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4747), 1,
      sym_comment,
    STATE(6551), 1,
      sym_statement_block,
    ACTIONS(8057), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166255] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      sym_identifier,
    STATE(4576), 1,
      sym__destructuring_pattern,
    STATE(4748), 1,
      sym_comment,
    STATE(5790), 1,
      sym_variable_declarator,
    STATE(4784), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4749), 1,
      sym_comment,
    ACTIONS(5989), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4750), 1,
      sym_comment,
    ACTIONS(5930), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166322] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(4751), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6571), 1,
      sym_class_body,
    STATE(7001), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [166353] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4752), 1,
      sym_comment,
    STATE(5282), 1,
      sym_type_parameters,
    STATE(5866), 1,
      sym_extends_type_clause,
    STATE(7083), 1,
      sym_object_type,
  [166384] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(8069), 1,
      anon_sym_RBRACE,
    STATE(4753), 1,
      sym_comment,
    STATE(6025), 1,
      aux_sym_object_repeat1,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [166409] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7444), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_type,
    STATE(4754), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(7040), 1,
      sym__import_identifier,
    STATE(7154), 1,
      sym__module_export_name,
  [166440] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4755), 1,
      sym_comment,
    STATE(5127), 1,
      sym_type_annotation,
    STATE(6253), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166467] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8071), 1,
      sym__automatic_semicolon,
    STATE(4756), 1,
      sym_comment,
    ACTIONS(2292), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166488] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2717), 1,
      sym_class_body,
    STATE(4757), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6919), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [166519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8073), 1,
      sym__automatic_semicolon,
    STATE(4758), 1,
      sym_comment,
    ACTIONS(2292), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [166540] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    ACTIONS(7544), 1,
      anon_sym_extends,
    ACTIONS(7546), 1,
      anon_sym_implements,
    STATE(380), 1,
      sym_class_body,
    STATE(4759), 1,
      sym_comment,
    STATE(6042), 1,
      sym_extends_clause,
    STATE(6799), 1,
      sym_class_heritage,
    STATE(7435), 1,
      sym_implements_clause,
  [166571] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(4760), 1,
      sym_comment,
    ACTIONS(8075), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [166594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4761), 1,
      sym_comment,
    ACTIONS(7638), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166613] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7924), 1,
      anon_sym_LT,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8078), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1441), 1,
      sym_object_type,
    STATE(4762), 1,
      sym_comment,
    STATE(5399), 1,
      sym_type_parameters,
    STATE(5890), 1,
      sym_extends_type_clause,
  [166644] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4188), 1,
      anon_sym_DQUOTE,
    ACTIONS(4190), 1,
      anon_sym_SQUOTE,
    ACTIONS(8082), 1,
      sym_identifier,
    ACTIONS(8084), 1,
      anon_sym_DOT,
    STATE(980), 1,
      sym_nested_identifier,
    STATE(1113), 1,
      sym_string,
    STATE(1602), 1,
      sym__module,
    STATE(4763), 1,
      sym_comment,
  [166675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4764), 1,
      sym_comment,
    STATE(6711), 1,
      sym_statement_block,
    ACTIONS(8086), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166698] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4765), 1,
      sym_comment,
    STATE(6698), 1,
      sym_statement_block,
    ACTIONS(8088), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4766), 1,
      sym_comment,
    STATE(6596), 1,
      sym_statement_block,
    ACTIONS(8086), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4767), 1,
      sym_comment,
    STATE(6510), 1,
      sym_statement_block,
    ACTIONS(8088), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4768), 1,
      sym_comment,
    STATE(5300), 1,
      sym_type_annotation,
    ACTIONS(8090), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4769), 1,
      sym_comment,
    STATE(5131), 1,
      sym_type_annotation,
    STATE(6234), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166817] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8092), 1,
      sym_identifier,
    ACTIONS(8094), 1,
      anon_sym_STAR,
    STATE(4770), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6791), 1,
      sym__call_signature,
  [166848] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4771), 1,
      sym_comment,
    STATE(5327), 1,
      sym_type_annotation,
    STATE(5792), 1,
      sym__initializer,
    ACTIONS(7428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4772), 1,
      sym_comment,
    STATE(6558), 1,
      sym_statement_block,
    ACTIONS(8096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166898] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8098), 1,
      sym_identifier,
    STATE(3900), 1,
      sym__type_query_subscript_expression,
    STATE(3904), 1,
      sym__type_query_member_expression,
    STATE(4077), 1,
      sym__type_query_call_expression,
    STATE(4234), 1,
      sym__type_query_instantiation_expression,
    STATE(4773), 1,
      sym_comment,
    STATE(5678), 1,
      sym_import,
  [166929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4774), 1,
      sym_comment,
    ACTIONS(8100), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [166948] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4775), 1,
      sym_comment,
    STATE(5507), 1,
      sym_type_annotation,
    STATE(6375), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4776), 1,
      sym_comment,
    STATE(5504), 1,
      sym_type_annotation,
    STATE(6377), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167002] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4777), 1,
      sym_comment,
    STATE(6554), 1,
      sym_statement_block,
    ACTIONS(8102), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4778), 1,
      sym_comment,
    STATE(6492), 1,
      sym_statement_block,
    ACTIONS(8096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4779), 1,
      sym_comment,
    STATE(5311), 1,
      sym_type_annotation,
    ACTIONS(8104), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4780), 1,
      sym_comment,
    STATE(6504), 1,
      sym_statement_block,
    ACTIONS(8102), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4781), 1,
      sym_comment,
    STATE(6525), 1,
      sym_statement_block,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(4782), 1,
      sym_comment,
    STATE(5140), 1,
      sym_type_annotation,
    STATE(6209), 1,
      sym__initializer,
    ACTIONS(7399), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167144] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4783), 1,
      sym_comment,
    STATE(6899), 1,
      sym_statement_block,
    ACTIONS(8108), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4784), 1,
      sym_comment,
    ACTIONS(7784), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [167186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4785), 1,
      sym_comment,
    STATE(6739), 1,
      sym_statement_block,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4786), 1,
      sym_comment,
    STATE(6737), 1,
      sym_statement_block,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4787), 1,
      sym_comment,
    STATE(6562), 1,
      sym_statement_block,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4788), 1,
      sym_comment,
    STATE(6496), 1,
      sym_statement_block,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167278] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4789), 1,
      sym_comment,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8118), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4790), 1,
      sym_comment,
    STATE(4802), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8122), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_statement_block,
    STATE(4791), 1,
      sym_comment,
    ACTIONS(8108), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167344] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8126), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4792), 1,
      sym_comment,
    STATE(5312), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [167372] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4188), 1,
      anon_sym_DQUOTE,
    ACTIONS(4190), 1,
      anon_sym_SQUOTE,
    ACTIONS(8082), 1,
      sym_identifier,
    STATE(980), 1,
      sym_nested_identifier,
    STATE(1113), 1,
      sym_string,
    STATE(1596), 1,
      sym__module,
    STATE(4793), 1,
      sym_comment,
  [167400] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4188), 1,
      anon_sym_DQUOTE,
    ACTIONS(4190), 1,
      anon_sym_SQUOTE,
    ACTIONS(8082), 1,
      sym_identifier,
    STATE(980), 1,
      sym_nested_identifier,
    STATE(1113), 1,
      sym_string,
    STATE(1602), 1,
      sym__module,
    STATE(4794), 1,
      sym_comment,
  [167428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4795), 1,
      sym_comment,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8130), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8128), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4796), 1,
      sym_comment,
    ACTIONS(8100), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [167468] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4797), 1,
      sym_comment,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8134), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167490] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8136), 1,
      anon_sym_COMMA,
    ACTIONS(8138), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4798), 1,
      sym_comment,
    STATE(5914), 1,
      aux_sym_type_arguments_repeat1,
  [167518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8140), 1,
      anon_sym_catch,
    ACTIONS(8142), 1,
      anon_sym_finally,
    STATE(4799), 1,
      sym_comment,
    STATE(5698), 1,
      sym_catch_clause,
    STATE(7084), 1,
      sym_finally_clause,
    ACTIONS(3123), 2,
      anon_sym_else,
      anon_sym_while,
  [167544] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8144), 1,
      sym_identifier,
    STATE(4800), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [167572] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4801), 1,
      sym_comment,
    STATE(4815), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8148), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8146), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4802), 1,
      sym_comment,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8148), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8146), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167616] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8150), 1,
      anon_sym_COMMA,
    ACTIONS(8152), 1,
      anon_sym_GT,
    STATE(4803), 1,
      sym_comment,
    STATE(5774), 1,
      aux_sym_type_arguments_repeat1,
  [167644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4795), 1,
      aux_sym_object_type_repeat1,
    STATE(4804), 1,
      sym_comment,
    ACTIONS(8134), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4805), 1,
      sym_comment,
    ACTIONS(2292), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [167684] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4806), 1,
      sym_comment,
    STATE(5147), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [167712] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4797), 1,
      aux_sym_object_type_repeat1,
    STATE(4807), 1,
      sym_comment,
    ACTIONS(8158), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167734] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8160), 1,
      anon_sym_QMARK,
    STATE(4808), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6563), 1,
      sym__call_signature,
  [167762] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4809), 1,
      sym_comment,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8164), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8162), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167784] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8168), 1,
      anon_sym_RBRACE,
    ACTIONS(8170), 1,
      anon_sym_case,
    STATE(4810), 1,
      sym_comment,
    STATE(4843), 1,
      aux_sym_switch_body_repeat1,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [167810] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8172), 1,
      anon_sym_QMARK,
    STATE(4811), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6944), 1,
      sym__call_signature,
  [167838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4812), 1,
      sym_comment,
    ACTIONS(4616), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [167856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4813), 1,
      sym_comment,
    STATE(4845), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8176), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8174), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8181), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4814), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8178), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4815), 1,
      sym_comment,
    ACTIONS(8185), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_statement_block,
    STATE(4816), 1,
      sym_comment,
    ACTIONS(8102), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167942] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8187), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4817), 1,
      sym_comment,
    STATE(4971), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [167970] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8189), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4785), 1,
      sym__call_signature,
    STATE(4818), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [167998] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(8191), 1,
      anon_sym_BQUOTE,
    ACTIONS(8193), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8195), 1,
      sym__template_chars,
    STATE(4819), 1,
      sym_comment,
    STATE(4879), 1,
      aux_sym_template_string_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
  [168026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_statement_block,
    STATE(4820), 1,
      sym_comment,
    ACTIONS(7936), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168048] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8197), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4821), 1,
      sym_comment,
    STATE(5743), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [168076] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8199), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4777), 1,
      sym__call_signature,
    STATE(4822), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [168104] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8201), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4765), 1,
      sym__call_signature,
    STATE(4823), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [168132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(4824), 1,
      sym_comment,
    ACTIONS(8096), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168154] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8203), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4787), 1,
      sym__call_signature,
    STATE(4825), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [168182] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    STATE(4826), 1,
      sym_comment,
    STATE(4952), 1,
      aux_sym_switch_body_repeat1,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [168208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4809), 1,
      aux_sym_object_type_repeat1,
    STATE(4827), 1,
      sym_comment,
    ACTIONS(8209), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168230] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    STATE(4828), 1,
      sym_comment,
    STATE(5714), 1,
      sym_type_annotation,
    STATE(7100), 1,
      sym__initializer,
    ACTIONS(8211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [168256] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3643), 1,
      sym_statement_block,
    STATE(4829), 1,
      sym_comment,
    ACTIONS(7934), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4830), 1,
      sym_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [168296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
    STATE(4831), 1,
      sym_comment,
    ACTIONS(8102), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168318] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8213), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4832), 1,
      sym_comment,
    STATE(4900), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [168346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_statement_block,
    STATE(4833), 1,
      sym_comment,
    ACTIONS(7934), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168368] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4834), 1,
      sym_comment,
    STATE(4861), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8217), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8215), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168390] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8219), 1,
      sym_identifier,
    STATE(4835), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [168410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4836), 1,
      sym_comment,
    ACTIONS(8223), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8227), 1,
      anon_sym_AT,
    STATE(5534), 1,
      sym_decorator,
    STATE(4837), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8225), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [168454] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8230), 1,
      anon_sym_COMMA,
    ACTIONS(8232), 1,
      anon_sym_GT,
    STATE(4838), 1,
      sym_comment,
    STATE(6230), 1,
      aux_sym_type_arguments_repeat1,
  [168482] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8033), 1,
      sym_identifier,
    STATE(4839), 1,
      sym_comment,
    STATE(5013), 1,
      sym_nested_identifier,
    STATE(5527), 1,
      sym_string,
    STATE(6936), 1,
      sym__module,
  [168510] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4743), 1,
      sym__call_signature,
    STATE(4840), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [168538] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8236), 1,
      anon_sym_COMMA,
    ACTIONS(8238), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4841), 1,
      sym_comment,
    STATE(6244), 1,
      aux_sym_type_arguments_repeat1,
  [168566] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    STATE(4842), 1,
      sym_comment,
    ACTIONS(7472), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [168588] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8242), 1,
      anon_sym_RBRACE,
    STATE(4843), 1,
      sym_comment,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [168614] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4844), 1,
      sym_comment,
    STATE(4853), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8246), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8244), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168636] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4845), 1,
      sym_comment,
    ACTIONS(8246), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8244), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168658] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_COMMA,
    ACTIONS(8250), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4846), 1,
      sym_comment,
    STATE(5905), 1,
      aux_sym_type_arguments_repeat1,
  [168686] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8252), 1,
      anon_sym_COMMA,
    ACTIONS(8254), 1,
      anon_sym_GT,
    STATE(4847), 1,
      sym_comment,
    STATE(5882), 1,
      aux_sym_type_arguments_repeat1,
  [168714] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4848), 1,
      sym_comment,
    ACTIONS(8258), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8256), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168736] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8260), 1,
      anon_sym_LBRACE,
    ACTIONS(8262), 1,
      anon_sym_COMMA,
    STATE(4849), 1,
      sym_comment,
    STATE(6076), 1,
      aux_sym_implements_clause_repeat1,
  [168764] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_default,
    ACTIONS(8267), 1,
      anon_sym_RBRACE,
    ACTIONS(8269), 1,
      anon_sym_case,
    STATE(4850), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [168788] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      sym_identifier,
    STATE(4851), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [168816] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(8193), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8195), 1,
      sym__template_chars,
    ACTIONS(8274), 1,
      anon_sym_BQUOTE,
    STATE(4852), 1,
      sym_comment,
    STATE(4879), 1,
      aux_sym_template_string_repeat1,
    STATE(5599), 1,
      sym_template_substitution,
  [168844] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4853), 1,
      sym_comment,
    ACTIONS(8278), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8276), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168866] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_statement_block,
    STATE(4854), 1,
      sym_comment,
    ACTIONS(8110), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4855), 1,
      sym_comment,
    ACTIONS(8280), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3650), 1,
      sym_statement_block,
    STATE(4856), 1,
      sym_comment,
    ACTIONS(8112), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168928] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4857), 1,
      sym_comment,
    STATE(5493), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [168956] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4858), 1,
      sym_comment,
    STATE(4899), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8286), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168978] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8288), 1,
      anon_sym_export,
    ACTIONS(8290), 1,
      anon_sym_class,
    ACTIONS(8292), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(4859), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [169006] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8017), 1,
      sym_identifier,
    STATE(4501), 1,
      sym_nested_identifier,
    STATE(4653), 1,
      sym_string,
    STATE(4860), 1,
      sym_comment,
    STATE(4988), 1,
      sym__module,
  [169034] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4861), 1,
      sym_comment,
    ACTIONS(8209), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169056] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8017), 1,
      sym_identifier,
    STATE(4501), 1,
      sym_nested_identifier,
    STATE(4653), 1,
      sym_string,
    STATE(4862), 1,
      sym_comment,
    STATE(5095), 1,
      sym__module,
  [169084] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4863), 1,
      sym_comment,
    ACTIONS(8296), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4848), 1,
      aux_sym_object_type_repeat1,
    STATE(4864), 1,
      sym_comment,
    ACTIONS(8296), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169128] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8300), 1,
      anon_sym_GT,
    STATE(4865), 1,
      sym_comment,
    STATE(5829), 1,
      aux_sym_type_arguments_repeat1,
  [169156] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8302), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4866), 1,
      sym_comment,
    STATE(5832), 1,
      aux_sym_type_arguments_repeat1,
  [169184] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    STATE(4867), 1,
      sym_comment,
    ACTIONS(8306), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [169210] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8310), 1,
      anon_sym_COMMA,
    ACTIONS(8312), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4868), 1,
      sym_comment,
    STATE(5995), 1,
      aux_sym_type_arguments_repeat1,
  [169238] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8314), 1,
      anon_sym_COMMA,
    ACTIONS(8316), 1,
      anon_sym_GT,
    STATE(4869), 1,
      sym_comment,
    STATE(5999), 1,
      aux_sym_type_arguments_repeat1,
  [169266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4863), 1,
      aux_sym_object_type_repeat1,
    STATE(4870), 1,
      sym_comment,
    ACTIONS(8320), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8318), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169288] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8322), 1,
      anon_sym_QMARK,
    STATE(4871), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6702), 1,
      sym__call_signature,
  [169316] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      sym_identifier,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    STATE(4872), 1,
      sym_comment,
    STATE(5770), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4873), 1,
      sym_comment,
    ACTIONS(6412), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169360] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(8007), 1,
      anon_sym_LT,
    ACTIONS(8328), 1,
      anon_sym_LBRACE,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4874), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6386), 1,
      sym_type_arguments,
  [169388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4875), 1,
      sym_comment,
    ACTIONS(7848), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4876), 1,
      sym_comment,
    ACTIONS(8332), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [169424] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8334), 1,
      sym_identifier,
    STATE(4877), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [169452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8336), 1,
      anon_sym_RBRACE,
    STATE(4878), 1,
      sym_comment,
    STATE(4902), 1,
      aux_sym_switch_body_repeat1,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [169478] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8338), 1,
      sym_escape_sequence,
    ACTIONS(8341), 1,
      anon_sym_BQUOTE,
    ACTIONS(8343), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8346), 1,
      sym__template_chars,
    STATE(5599), 1,
      sym_template_substitution,
    STATE(4879), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [169504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3605), 1,
      sym_statement_block,
    STATE(4880), 1,
      sym_comment,
    ACTIONS(8096), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169526] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8349), 1,
      anon_sym_COMMA,
    ACTIONS(8351), 1,
      anon_sym_GT,
    STATE(4881), 1,
      sym_comment,
    STATE(6417), 1,
      aux_sym_type_arguments_repeat1,
  [169554] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(4882), 1,
      sym_comment,
    ACTIONS(8353), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [169578] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8355), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4883), 1,
      sym_comment,
    STATE(6266), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [169606] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8357), 1,
      anon_sym_export,
    ACTIONS(8359), 1,
      anon_sym_class,
    ACTIONS(8361), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(4884), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [169634] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8363), 1,
      anon_sym_COMMA,
    ACTIONS(8365), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4885), 1,
      sym_comment,
    STATE(6429), 1,
      aux_sym_type_arguments_repeat1,
  [169662] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4170), 1,
      anon_sym_DQUOTE,
    ACTIONS(4172), 1,
      anon_sym_SQUOTE,
    ACTIONS(7991), 1,
      sym_identifier,
    STATE(953), 1,
      sym_nested_identifier,
    STATE(1011), 1,
      sym_string,
    STATE(1132), 1,
      sym__module,
    STATE(4886), 1,
      sym_comment,
  [169690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4887), 1,
      sym_comment,
    STATE(4913), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8369), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169712] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3626), 1,
      sym_statement_block,
    STATE(4888), 1,
      sym_comment,
    ACTIONS(8088), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4889), 1,
      sym_comment,
    ACTIONS(2316), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [169752] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4890), 1,
      sym_comment,
    ACTIONS(8373), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8371), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169774] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4836), 1,
      aux_sym_object_type_repeat1,
    STATE(4891), 1,
      sym_comment,
    ACTIONS(8373), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8371), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169796] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8375), 1,
      sym_identifier,
    STATE(4892), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [169824] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8377), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4893), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [169850] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4170), 1,
      anon_sym_DQUOTE,
    ACTIONS(4172), 1,
      anon_sym_SQUOTE,
    ACTIONS(7991), 1,
      sym_identifier,
    STATE(953), 1,
      sym_nested_identifier,
    STATE(1011), 1,
      sym_string,
    STATE(1237), 1,
      sym__module,
    STATE(4894), 1,
      sym_comment,
  [169878] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4895), 1,
      sym_comment,
    ACTIONS(8381), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3654), 1,
      sym_statement_block,
    STATE(4896), 1,
      sym_comment,
    ACTIONS(8057), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169922] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8383), 1,
      anon_sym_export,
    ACTIONS(8385), 1,
      anon_sym_class,
    ACTIONS(8387), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(4897), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [169950] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    STATE(4898), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6828), 1,
      sym__call_signature,
  [169978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4899), 1,
      sym_comment,
    ACTIONS(8393), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8391), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170000] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3651), 1,
      sym_statement_block,
    STATE(4900), 1,
      sym_comment,
    ACTIONS(8059), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(8397), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8395), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8399), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4902), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [170070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4903), 1,
      sym_comment,
    STATE(4975), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8403), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170092] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8405), 1,
      sym_identifier,
    STATE(4904), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [170120] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      sym_identifier,
    STATE(4905), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [170148] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8409), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_comment,
    STATE(6077), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170174] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8411), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4907), 1,
      sym_comment,
    STATE(5453), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [170202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4895), 1,
      aux_sym_object_type_repeat1,
    STATE(4908), 1,
      sym_comment,
    ACTIONS(8397), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8395), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170224] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8413), 1,
      anon_sym_QMARK,
    STATE(4909), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6984), 1,
      sym__call_signature,
  [170252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_statement_block,
    STATE(4910), 1,
      sym_comment,
    ACTIONS(8086), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170274] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8415), 1,
      anon_sym_QMARK,
    STATE(4911), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6969), 1,
      sym__call_signature,
  [170302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4912), 1,
      sym_comment,
    ACTIONS(7930), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4913), 1,
      sym_comment,
    ACTIONS(8403), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170342] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8417), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4914), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [170368] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8419), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4816), 1,
      sym__call_signature,
    STATE(4915), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [170396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    STATE(4916), 1,
      sym_comment,
    ACTIONS(7834), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170416] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8423), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4917), 1,
      sym_comment,
    STATE(4919), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [170444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(8425), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4616), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [170464] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3618), 1,
      sym_statement_block,
    STATE(4919), 1,
      sym_comment,
    ACTIONS(8088), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4920), 1,
      sym_comment,
    ACTIONS(8427), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(8429), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_statement_block,
    STATE(4922), 1,
      sym_comment,
    ACTIONS(7938), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3649), 1,
      sym_statement_block,
    STATE(4923), 1,
      sym_comment,
    ACTIONS(8059), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170566] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8431), 1,
      sym_identifier,
    STATE(4924), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [170594] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8433), 1,
      sym_identifier,
    STATE(4925), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [170622] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8435), 1,
      sym_identifier,
    STATE(4926), 1,
      sym_comment,
    STATE(5896), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4901), 1,
      aux_sym_object_type_repeat1,
    STATE(4927), 1,
      sym_comment,
    ACTIONS(8439), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170670] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3648), 1,
      sym_statement_block,
    STATE(4928), 1,
      sym_comment,
    ACTIONS(8086), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170692] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8441), 1,
      anon_sym_QMARK,
    STATE(4929), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6992), 1,
      sym__call_signature,
  [170720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3652), 1,
      sym_statement_block,
    STATE(4930), 1,
      sym_comment,
    ACTIONS(8057), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170742] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8443), 1,
      anon_sym_RBRACE,
    STATE(4914), 1,
      aux_sym_switch_body_repeat1,
    STATE(4931), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [170768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(7987), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4933), 1,
      sym_comment,
    ACTIONS(8445), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170804] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8447), 1,
      anon_sym_QMARK,
    STATE(4934), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6998), 1,
      sym__call_signature,
  [170832] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8451), 1,
      anon_sym_GT,
    STATE(4935), 1,
      sym_comment,
    STATE(6252), 1,
      aux_sym_type_arguments_repeat1,
  [170860] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8453), 1,
      sym_identifier,
    STATE(4936), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170880] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8455), 1,
      anon_sym_QMARK,
    STATE(4937), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6550), 1,
      sym__call_signature,
  [170908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_COMMA,
    ACTIONS(8459), 1,
      anon_sym_GT,
    STATE(4509), 1,
      sym_arguments,
    STATE(4938), 1,
      sym_comment,
    STATE(6248), 1,
      aux_sym_type_arguments_repeat1,
  [170936] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4939), 1,
      sym_comment,
    STATE(5297), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [170964] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8463), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4833), 1,
      sym__call_signature,
    STATE(4940), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [170992] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8465), 1,
      sym_identifier,
    STATE(4941), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [171020] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8005), 1,
      anon_sym_DOT,
    ACTIONS(8007), 1,
      anon_sym_LT,
    ACTIONS(8467), 1,
      anon_sym_LBRACE,
    STATE(4942), 1,
      sym_comment,
    STATE(6385), 1,
      sym_type_arguments,
    ACTIONS(8469), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [171046] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8033), 1,
      sym_identifier,
    STATE(4943), 1,
      sym_comment,
    STATE(5013), 1,
      sym_nested_identifier,
    STATE(5527), 1,
      sym_string,
    STATE(6455), 1,
      sym__module,
  [171074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8471), 1,
      anon_sym_RBRACE,
    STATE(4893), 1,
      aux_sym_switch_body_repeat1,
    STATE(4944), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [171100] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8473), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4945), 1,
      sym_comment,
    STATE(5959), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [171128] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8475), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4561), 1,
      sym__call_signature,
    STATE(4946), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [171156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4789), 1,
      aux_sym_object_type_repeat1,
    STATE(4947), 1,
      sym_comment,
    ACTIONS(8393), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8391), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171178] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8477), 1,
      sym_identifier,
    STATE(4948), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [171206] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8479), 1,
      sym_identifier,
    STATE(4949), 1,
      sym_comment,
    STATE(5779), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171232] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8481), 1,
      sym_identifier,
    STATE(4950), 1,
      sym_comment,
    STATE(6273), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171258] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8041), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_nested_identifier,
    STATE(1472), 1,
      sym_string,
    STATE(1725), 1,
      sym__module,
    STATE(4951), 1,
      sym_comment,
  [171286] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8166), 1,
      anon_sym_default,
    ACTIONS(8170), 1,
      anon_sym_case,
    ACTIONS(8483), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4952), 1,
      sym_comment,
    STATE(5825), 2,
      sym_switch_case,
      sym_switch_default,
  [171312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4890), 1,
      aux_sym_object_type_repeat1,
    STATE(4953), 1,
      sym_comment,
    ACTIONS(8487), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171334] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7914), 1,
      sym_identifier,
    STATE(986), 1,
      sym_nested_identifier,
    STATE(1099), 1,
      sym_string,
    STATE(1440), 1,
      sym__module,
    STATE(4954), 1,
      sym_comment,
  [171362] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8489), 1,
      sym_identifier,
    STATE(4955), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [171390] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    ACTIONS(8491), 1,
      anon_sym_QMARK,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4854), 1,
      sym__call_signature,
    STATE(4956), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [171418] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8493), 1,
      anon_sym_QMARK,
    STATE(4957), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6896), 1,
      sym__call_signature,
  [171446] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8041), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_nested_identifier,
    STATE(1472), 1,
      sym_string,
    STATE(1683), 1,
      sym__module,
    STATE(4958), 1,
      sym_comment,
  [171474] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8495), 1,
      sym_identifier,
    STATE(4959), 1,
      sym_comment,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [171502] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8497), 1,
      anon_sym_export,
    ACTIONS(8499), 1,
      anon_sym_class,
    ACTIONS(8501), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(4960), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [171530] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    STATE(4961), 1,
      sym_comment,
    ACTIONS(7528), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6653), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [171552] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8503), 1,
      sym_identifier,
    STATE(4962), 1,
      sym_comment,
    STATE(5542), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171578] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8505), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4963), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6746), 1,
      sym__call_signature,
  [171606] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8507), 1,
      sym_identifier,
    STATE(4964), 1,
      sym_comment,
    STATE(6909), 1,
      sym__destructuring_pattern,
    STATE(4460), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171632] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4965), 1,
      sym_comment,
    STATE(5160), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [171660] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8511), 1,
      anon_sym_QMARK,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4966), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7036), 1,
      sym__call_signature,
  [171688] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8513), 1,
      anon_sym_export,
    ACTIONS(8515), 1,
      anon_sym_class,
    ACTIONS(8517), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(4967), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [171716] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8519), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4968), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7073), 1,
      sym__call_signature,
  [171744] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(8193), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8195), 1,
      sym__template_chars,
    ACTIONS(8521), 1,
      anon_sym_BQUOTE,
    STATE(4852), 1,
      aux_sym_template_string_repeat1,
    STATE(4969), 1,
      sym_comment,
    STATE(5599), 1,
      sym_template_substitution,
  [171772] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8523), 1,
      sym_identifier,
    STATE(4970), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171792] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3640), 1,
      sym_statement_block,
    STATE(4971), 1,
      sym_comment,
    ACTIONS(8114), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171814] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_statement_block,
    STATE(4972), 1,
      sym_comment,
    ACTIONS(8106), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171836] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7820), 1,
      sym_escape_sequence,
    ACTIONS(8193), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8195), 1,
      sym__template_chars,
    ACTIONS(8525), 1,
      anon_sym_BQUOTE,
    STATE(4819), 1,
      aux_sym_template_string_repeat1,
    STATE(4973), 1,
      sym_comment,
    STATE(5599), 1,
      sym_template_substitution,
  [171864] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3632), 1,
      sym_statement_block,
    STATE(4974), 1,
      sym_comment,
    ACTIONS(8106), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171886] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      aux_sym_object_type_repeat1,
    STATE(4975), 1,
      sym_comment,
    ACTIONS(8529), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8527), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171908] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8531), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4976), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6958), 1,
      sym__call_signature,
  [171936] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8533), 1,
      sym_identifier,
    STATE(4977), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171956] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8535), 1,
      sym_identifier,
    STATE(4978), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171976] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8537), 1,
      sym_identifier,
    STATE(4979), 1,
      sym_comment,
    ACTIONS(7071), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171996] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(8539), 1,
      anon_sym_QMARK,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4980), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7109), 1,
      sym__call_signature,
  [172024] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(8541), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(4981), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [172052] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7914), 1,
      sym_identifier,
    STATE(986), 1,
      sym_nested_identifier,
    STATE(1099), 1,
      sym_string,
    STATE(1269), 1,
      sym__module,
    STATE(4982), 1,
      sym_comment,
  [172080] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4983), 1,
      sym_comment,
    STATE(6409), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6587), 1,
      sym__automatic_semicolon,
    STATE(4984), 1,
      sym_comment,
    ACTIONS(2354), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172120] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4985), 1,
      sym_comment,
    STATE(6044), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4986), 1,
      sym_comment,
    STATE(6033), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4987), 1,
      sym_comment,
    ACTIONS(2210), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4988), 1,
      sym_comment,
    ACTIONS(2214), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172196] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    ACTIONS(8551), 1,
      anon_sym_SEMI,
    ACTIONS(8553), 1,
      sym__automatic_semicolon,
    ACTIONS(8555), 1,
      sym__function_signature_automatic_semicolon,
    STATE(308), 1,
      sym_statement_block,
    STATE(4989), 1,
      sym_comment,
  [172221] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4990), 1,
      sym_comment,
    STATE(6010), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4991), 1,
      sym_comment,
    STATE(6049), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172263] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8029), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1245), 1,
      sym_object_type,
    STATE(4992), 1,
      sym_comment,
    STATE(6352), 1,
      sym_extends_type_clause,
  [172288] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym_comment,
    STATE(5996), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4994), 1,
      sym_comment,
    STATE(5994), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172330] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4995), 1,
      sym_comment,
    STATE(5985), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172351] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym_comment,
    STATE(5975), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4997), 1,
      sym_comment,
    STATE(5953), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(4998), 1,
      sym_comment,
    STATE(5952), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172414] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8551), 1,
      anon_sym_SEMI,
    ACTIONS(8553), 1,
      sym__automatic_semicolon,
    ACTIONS(8555), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8557), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_statement_block,
    STATE(4999), 1,
      sym_comment,
  [172439] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2194), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_LBRACE,
    STATE(5000), 1,
      sym_comment,
    ACTIONS(5306), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2198), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5304), 1,
      anon_sym_LBRACE,
    STATE(5001), 1,
      sym_comment,
    ACTIONS(5306), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172481] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5002), 1,
      sym_comment,
    STATE(5951), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172502] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym_comment,
    STATE(6063), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172523] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym_comment,
    STATE(5948), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5005), 1,
      sym_comment,
    ACTIONS(3569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172561] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5006), 1,
      sym_comment,
    ACTIONS(3571), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym_comment,
    STATE(6064), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5008), 1,
      sym_comment,
    ACTIONS(3529), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5009), 1,
      sym_comment,
    ACTIONS(3619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(3621), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172650] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5011), 1,
      sym_comment,
    ACTIONS(8559), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5012), 1,
      sym_comment,
    STATE(5934), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172694] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(8563), 1,
      anon_sym_DOT,
    STATE(5013), 1,
      sym_comment,
    STATE(6456), 1,
      sym_statement_block,
    ACTIONS(2125), 2,
      anon_sym_else,
      anon_sym_while,
  [172717] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(8565), 1,
      anon_sym_DOT,
    STATE(5014), 1,
      sym_comment,
    STATE(6456), 1,
      sym_statement_block,
    ACTIONS(2125), 2,
      anon_sym_else,
      anon_sym_while,
  [172740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5015), 1,
      sym_comment,
    ACTIONS(3539), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5016), 1,
      sym_comment,
    ACTIONS(3535), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5017), 1,
      sym_comment,
    ACTIONS(3531), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(2412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5019), 1,
      sym_comment,
    ACTIONS(3525), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(2358), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5021), 1,
      sym_comment,
    ACTIONS(3519), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5022), 1,
      sym_comment,
    ACTIONS(3517), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5023), 1,
      sym_comment,
    ACTIONS(3505), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5024), 1,
      sym_comment,
    ACTIONS(3503), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5025), 1,
      sym_comment,
    ACTIONS(3501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5026), 1,
      sym_comment,
    ACTIONS(3499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5027), 1,
      sym_comment,
    ACTIONS(3497), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5028), 1,
      sym_comment,
    ACTIONS(3493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5029), 1,
      sym_comment,
    ACTIONS(3491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(3479), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5031), 1,
      sym_comment,
    ACTIONS(2336), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5032), 1,
      sym_comment,
    ACTIONS(2326), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5033), 1,
      sym_comment,
    ACTIONS(3521), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5034), 1,
      sym_comment,
    ACTIONS(3477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5035), 1,
      sym_comment,
    ACTIONS(3469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173097] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5036), 1,
      sym_comment,
    ACTIONS(3469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5037), 1,
      sym_comment,
    ACTIONS(3461), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5038), 1,
      sym_comment,
    ACTIONS(3459), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5039), 1,
      sym_comment,
    ACTIONS(3457), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5040), 1,
      sym_comment,
    ACTIONS(3455), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5041), 1,
      sym_comment,
    ACTIONS(3453), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5042), 1,
      sym_comment,
    ACTIONS(3449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5043), 1,
      sym_comment,
    ACTIONS(3447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5044), 1,
      sym_comment,
    ACTIONS(3447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5045), 1,
      sym_comment,
    ACTIONS(3447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5046), 1,
      sym_comment,
    ACTIONS(3473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5047), 1,
      sym_comment,
    ACTIONS(3509), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173301] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5048), 1,
      sym_comment,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(2388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5050), 1,
      sym_comment,
    ACTIONS(2364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5051), 1,
      sym_comment,
    ACTIONS(3511), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5052), 1,
      sym_comment,
    ACTIONS(3513), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5053), 1,
      sym_comment,
    ACTIONS(3513), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5054), 1,
      sym_comment,
    ACTIONS(3595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5055), 1,
      sym_comment,
    ACTIONS(3527), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173437] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5056), 1,
      sym_comment,
    STATE(5933), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(3541), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5058), 1,
      sym_comment,
    ACTIONS(8567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5059), 1,
      sym_comment,
    ACTIONS(3545), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173515] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    ACTIONS(8569), 1,
      anon_sym_SEMI,
    ACTIONS(8571), 1,
      sym__automatic_semicolon,
    ACTIONS(8573), 1,
      sym__function_signature_automatic_semicolon,
    STATE(318), 1,
      sym_statement_block,
    STATE(5060), 1,
      sym_comment,
  [173540] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5061), 1,
      sym_comment,
    STATE(6069), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym_comment,
    STATE(6090), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5063), 1,
      sym_comment,
    STATE(6118), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      anon_sym_COMMA,
    ACTIONS(8579), 1,
      anon_sym_RBRACE,
    STATE(5064), 1,
      sym_comment,
    STATE(6334), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [173628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5065), 1,
      sym_comment,
    ACTIONS(3547), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5066), 1,
      sym_comment,
    ACTIONS(3549), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym_comment,
    STATE(6119), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5068), 1,
      sym_comment,
    STATE(6120), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5069), 1,
      sym_comment,
    ACTIONS(3549), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173721] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5070), 1,
      sym_comment,
    ACTIONS(3549), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5071), 1,
      sym_comment,
    ACTIONS(3567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5072), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173772] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym_comment,
    STATE(5930), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5074), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8557), 1,
      anon_sym_LBRACE,
    ACTIONS(8569), 1,
      anon_sym_SEMI,
    ACTIONS(8571), 1,
      sym__automatic_semicolon,
    ACTIONS(8573), 1,
      sym__function_signature_automatic_semicolon,
    STATE(972), 1,
      sym_statement_block,
    STATE(5075), 1,
      sym_comment,
  [173835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5076), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5078), 1,
      sym_comment,
    ACTIONS(2422), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5079), 1,
      sym_comment,
    ACTIONS(3585), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5080), 1,
      sym_comment,
    ACTIONS(3587), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5081), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173937] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5082), 1,
      sym_comment,
    ACTIONS(8581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173960] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5083), 1,
      sym_comment,
    STATE(6127), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173998] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5085), 1,
      sym_comment,
    STATE(6133), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174019] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5086), 1,
      sym_comment,
    ACTIONS(8583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8517), 1,
      anon_sym_abstract,
    ACTIONS(8585), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5087), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [174067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5088), 1,
      sym_comment,
    ACTIONS(3589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5089), 1,
      sym_comment,
    ACTIONS(3591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174101] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5090), 1,
      sym_comment,
    ACTIONS(3593), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5091), 1,
      sym_comment,
    ACTIONS(3649), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5092), 1,
      sym_comment,
    STATE(5915), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5093), 1,
      sym_comment,
    ACTIONS(3635), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5094), 1,
      sym_comment,
    ACTIONS(3639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5095), 1,
      sym_comment,
    ACTIONS(3647), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5096), 1,
      sym_comment,
    ACTIONS(2386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5097), 1,
      sym_comment,
    ACTIONS(2386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174241] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5098), 1,
      sym_comment,
    ACTIONS(3615), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5099), 1,
      sym_comment,
    STATE(6134), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174279] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5100), 1,
      sym_comment,
    ACTIONS(8587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym_comment,
    STATE(5804), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8501), 1,
      anon_sym_abstract,
    ACTIONS(8589), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5102), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [174348] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8591), 1,
      anon_sym_LBRACE,
    ACTIONS(8593), 1,
      anon_sym_SEMI,
    ACTIONS(8595), 1,
      sym__automatic_semicolon,
    ACTIONS(8597), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1066), 1,
      sym_statement_block,
    STATE(5103), 1,
      sym_comment,
  [174373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5104), 1,
      sym_comment,
    STATE(6137), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5424), 1,
      anon_sym_in,
    STATE(5105), 1,
      sym_comment,
    ACTIONS(6333), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [174413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5106), 1,
      sym_comment,
    STATE(5949), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5107), 1,
      sym_comment,
    STATE(6138), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8599), 1,
      anon_sym_COMMA,
    ACTIONS(8601), 1,
      anon_sym_RBRACE,
    STATE(5108), 1,
      sym_comment,
    STATE(6342), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [174480] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym_comment,
    STATE(5898), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5110), 1,
      sym_comment,
    STATE(5887), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym_comment,
    STATE(5870), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5112), 1,
      sym_comment,
    STATE(5861), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8593), 1,
      anon_sym_SEMI,
    ACTIONS(8595), 1,
      sym__automatic_semicolon,
    ACTIONS(8597), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8603), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym_statement_block,
    STATE(5113), 1,
      sym_comment,
  [174589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym_comment,
    STATE(5860), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174610] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5115), 1,
      sym_comment,
    STATE(6146), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174631] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8387), 1,
      anon_sym_abstract,
    ACTIONS(8605), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5116), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [174656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5117), 1,
      sym_comment,
    ACTIONS(8607), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [174673] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5118), 1,
      sym_comment,
    ACTIONS(8609), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174696] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8591), 1,
      anon_sym_LBRACE,
    ACTIONS(8611), 1,
      anon_sym_SEMI,
    ACTIONS(8613), 1,
      sym__automatic_semicolon,
    ACTIONS(8615), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1175), 1,
      sym_statement_block,
    STATE(5119), 1,
      sym_comment,
  [174721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5120), 1,
      sym_comment,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5121), 1,
      sym_comment,
    STATE(6149), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174763] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym_comment,
    STATE(5852), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174784] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym_comment,
    STATE(5847), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174805] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7922), 1,
      anon_sym_LBRACE,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(7928), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1584), 1,
      sym_object_type,
    STATE(5124), 1,
      sym_comment,
    STATE(6306), 1,
      sym_extends_type_clause,
  [174830] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5125), 1,
      sym_comment,
    STATE(5846), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174851] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5126), 1,
      sym_comment,
    STATE(6150), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [174876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5127), 1,
      sym_comment,
    STATE(5845), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8617), 1,
      anon_sym_BQUOTE,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    STATE(5128), 1,
      sym_comment,
    STATE(5441), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [174922] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym_comment,
    STATE(6155), 1,
      sym__initializer,
    ACTIONS(8623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym_comment,
    STATE(5839), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5131), 1,
      sym_comment,
    STATE(5838), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174985] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_LBRACE,
    ACTIONS(8611), 1,
      anon_sym_SEMI,
    ACTIONS(8613), 1,
      sym__automatic_semicolon,
    ACTIONS(8615), 1,
      sym__function_signature_automatic_semicolon,
    STATE(381), 1,
      sym_statement_block,
    STATE(5132), 1,
      sym_comment,
  [175010] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8625), 1,
      anon_sym_class,
    ACTIONS(8627), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5133), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [175035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5134), 1,
      sym_comment,
    STATE(5837), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5135), 1,
      sym_comment,
    STATE(6173), 1,
      sym__initializer,
    ACTIONS(8629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175077] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4972), 1,
      sym__call_signature,
    STATE(5136), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [175102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8631), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym_comment,
    ACTIONS(4331), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5138), 1,
      sym_comment,
    ACTIONS(8634), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5139), 1,
      sym_comment,
    ACTIONS(6161), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym_comment,
    STATE(5836), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym_comment,
    STATE(5835), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5142), 1,
      sym_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5143), 1,
      sym_comment,
    ACTIONS(8096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175231] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5144), 1,
      sym_comment,
    STATE(5295), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [175256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5145), 1,
      sym_comment,
    ACTIONS(8638), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8640), 1,
      anon_sym_BQUOTE,
    STATE(5128), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5146), 1,
      sym_comment,
    STATE(5848), 1,
      sym_template_type,
  [175298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5147), 1,
      sym_comment,
    ACTIONS(8102), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5148), 1,
      sym_comment,
    ACTIONS(8096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175332] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5149), 1,
      sym_comment,
    STATE(5899), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5150), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6561), 1,
      sym__call_signature,
  [175378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5151), 1,
      sym_comment,
    ACTIONS(8102), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5152), 1,
      sym_comment,
    ACTIONS(8642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5153), 1,
      sym_comment,
    ACTIONS(8644), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5154), 1,
      sym_comment,
    ACTIONS(8646), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5155), 1,
      sym_comment,
    ACTIONS(8088), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5156), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6738), 1,
      sym__call_signature,
  [175488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8292), 1,
      anon_sym_abstract,
    ACTIONS(8648), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5157), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [175513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5158), 1,
      sym_comment,
    ACTIONS(8650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5159), 1,
      sym_comment,
    ACTIONS(8086), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5160), 1,
      sym_comment,
    ACTIONS(8088), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5143), 1,
      sym__call_signature,
    STATE(5161), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [175589] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4856), 1,
      sym__call_signature,
    STATE(5162), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [175614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5163), 1,
      sym_comment,
    ACTIONS(8086), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175631] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5164), 1,
      sym_comment,
    ACTIONS(8652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175648] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5165), 1,
      sym_comment,
    STATE(5279), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [175673] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8654), 1,
      anon_sym_BQUOTE,
    STATE(5166), 1,
      sym_comment,
    STATE(5293), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [175698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5167), 1,
      sym_comment,
    ACTIONS(8656), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5168), 1,
      sym_comment,
    STATE(6198), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175736] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5169), 1,
      sym_comment,
    STATE(5822), 1,
      sym__initializer,
    ACTIONS(8660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175757] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8662), 1,
      anon_sym_BQUOTE,
    STATE(5170), 1,
      sym_comment,
    STATE(5259), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [175782] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym_comment,
    STATE(6200), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5172), 1,
      sym_comment,
    ACTIONS(8664), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5173), 1,
      sym_comment,
    STATE(5916), 1,
      sym__initializer,
    ACTIONS(8666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175841] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5174), 1,
      sym_comment,
    STATE(5798), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5175), 1,
      sym_comment,
    STATE(6202), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym_comment,
    STATE(5795), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5177), 1,
      sym_comment,
    STATE(6210), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5178), 1,
      sym_comment,
    STATE(6238), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym_comment,
    STATE(5784), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175967] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym_comment,
    STATE(5783), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5181), 1,
      sym_comment,
    STATE(6247), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5182), 1,
      sym_comment,
    STATE(5769), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176030] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5183), 1,
      sym_comment,
    ACTIONS(8672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5184), 1,
      sym_comment,
    STATE(6249), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176074] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5185), 1,
      sym_comment,
    STATE(6265), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176095] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5186), 1,
      sym_comment,
    STATE(6301), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176116] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8674), 1,
      sym_identifier,
    STATE(5187), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(7219), 1,
      sym__module_export_name,
  [176141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym_comment,
    STATE(5762), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5189), 1,
      sym_comment,
    STATE(6341), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176183] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8499), 1,
      anon_sym_class,
    ACTIONS(8501), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5190), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [176208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_comment,
    STATE(5760), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5192), 1,
      sym_comment,
    STATE(6371), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176250] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8674), 1,
      sym_identifier,
    STATE(5193), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(5811), 1,
      sym__module_export_name,
  [176275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5194), 1,
      sym_comment,
    STATE(5759), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5195), 1,
      sym_comment,
    STATE(6374), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176317] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5196), 1,
      sym_comment,
    STATE(5758), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176338] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5197), 1,
      sym_comment,
    ACTIONS(8676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5198), 1,
      sym_comment,
    STATE(5329), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [176386] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5199), 1,
      sym_comment,
    STATE(6045), 1,
      sym__initializer,
    ACTIONS(8545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176407] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
    ACTIONS(8680), 1,
      sym__automatic_semicolon,
    ACTIONS(8682), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5200), 1,
      sym_comment,
    STATE(5505), 1,
      sym_statement_block,
  [176432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5201), 1,
      sym_comment,
    STATE(6376), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176453] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5202), 1,
      sym_comment,
    STATE(6382), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176474] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5203), 1,
      sym_comment,
    STATE(6398), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176495] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8684), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RBRACE,
    STATE(5204), 1,
      sym_comment,
    STATE(6091), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [176520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5205), 1,
      sym_comment,
    STATE(5754), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176541] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8688), 1,
      anon_sym_EQ,
    STATE(5206), 1,
      sym_comment,
    ACTIONS(4347), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [176560] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5207), 1,
      sym_comment,
    STATE(5753), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176581] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5208), 1,
      sym_comment,
    STATE(6422), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5209), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7011), 1,
      sym__call_signature,
  [176627] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym_comment,
    STATE(5748), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5211), 1,
      sym_comment,
    STATE(5747), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176669] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5212), 1,
      sym_comment,
    STATE(5739), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5213), 1,
      sym_comment,
    STATE(6423), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5214), 1,
      sym_comment,
    STATE(6424), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5215), 1,
      sym_comment,
    STATE(5842), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176753] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5216), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7020), 1,
      sym__call_signature,
  [176778] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
    ACTIONS(8680), 1,
      sym__automatic_semicolon,
    ACTIONS(8682), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3324), 1,
      sym_statement_block,
    STATE(5217), 1,
      sym_comment,
  [176803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5218), 1,
      sym_comment,
    STATE(5885), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176824] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5219), 1,
      sym_comment,
    STATE(6355), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5220), 1,
      sym_comment,
    ACTIONS(8690), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176868] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(8692), 1,
      anon_sym_SEMI,
    ACTIONS(8694), 1,
      sym__automatic_semicolon,
    ACTIONS(8696), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5221), 1,
      sym_comment,
    STATE(5509), 1,
      sym_statement_block,
  [176893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym_comment,
    STATE(5888), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176914] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4616), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(8700), 1,
      anon_sym_RBRACE,
    STATE(5223), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_object_pattern_repeat1,
  [176939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5224), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176960] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5225), 1,
      sym_comment,
    STATE(6336), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5226), 1,
      sym_comment,
    STATE(5893), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177002] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5227), 1,
      sym_comment,
    STATE(5942), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177023] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1387), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(7999), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5057), 1,
      sym_object_type,
    STATE(5228), 1,
      sym_comment,
    STATE(6055), 1,
      sym_extends_type_clause,
  [177048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5229), 1,
      sym_comment,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5230), 1,
      sym_comment,
    STATE(5955), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177090] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5231), 1,
      sym_comment,
    STATE(6335), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177111] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8702), 1,
      anon_sym_BQUOTE,
    STATE(5232), 1,
      sym_comment,
    STATE(5441), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [177136] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5233), 1,
      sym_comment,
    STATE(6325), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177157] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4616), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
    STATE(5234), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_object_pattern_repeat1,
  [177182] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5235), 1,
      sym_comment,
    STATE(5968), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5236), 1,
      sym_comment,
    STATE(6299), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177224] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(8692), 1,
      anon_sym_SEMI,
    ACTIONS(8694), 1,
      sym__automatic_semicolon,
    ACTIONS(8696), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3168), 1,
      sym_statement_block,
    STATE(5237), 1,
      sym_comment,
  [177249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5238), 1,
      sym_comment,
    STATE(5775), 1,
      sym__initializer,
    ACTIONS(8706), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5239), 1,
      sym_comment,
    STATE(6015), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5240), 1,
      sym_comment,
    STATE(6293), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5241), 1,
      sym_comment,
    STATE(6289), 1,
      sym__initializer,
    ACTIONS(8658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177333] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5242), 1,
      sym_comment,
    STATE(6283), 1,
      sym__initializer,
    ACTIONS(8543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8708), 1,
      anon_sym_COMMA,
    STATE(5243), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5809), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [177373] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    ACTIONS(8713), 1,
      sym__automatic_semicolon,
    ACTIONS(8715), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3158), 1,
      sym_statement_block,
    STATE(5244), 1,
      sym_comment,
  [177398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5245), 1,
      sym_comment,
    STATE(6242), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [177423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5246), 1,
      sym_comment,
    STATE(6017), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5247), 1,
      sym_comment,
    STATE(5902), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5248), 1,
      sym_comment,
    STATE(6056), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5249), 1,
      sym_comment,
    ACTIONS(8717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177503] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8719), 1,
      anon_sym_BQUOTE,
    STATE(5232), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5250), 1,
      sym_comment,
    STATE(5848), 1,
      sym_template_type,
  [177528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5251), 1,
      sym_comment,
    STATE(6224), 1,
      sym__initializer,
    ACTIONS(8721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177549] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5252), 1,
      sym_comment,
    STATE(6059), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5253), 1,
      sym_comment,
    ACTIONS(6591), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [177587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8723), 1,
      anon_sym_EQ_GT,
    STATE(5254), 1,
      sym_comment,
    STATE(6653), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [177608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5255), 1,
      sym_comment,
    STATE(6052), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177629] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5256), 1,
      sym_comment,
    STATE(6081), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177650] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5257), 1,
      sym_comment,
    STATE(6214), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177671] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5258), 1,
      sym_comment,
    STATE(5738), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177692] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8728), 1,
      anon_sym_BQUOTE,
    STATE(5259), 1,
      sym_comment,
    STATE(5441), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [177717] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4880), 1,
      sym__call_signature,
    STATE(5260), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [177742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5261), 1,
      sym_comment,
    STATE(6085), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177763] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5244), 1,
      sym__call_signature,
    STATE(5262), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [177788] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5263), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6557), 1,
      sym__call_signature,
  [177813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5264), 1,
      sym_comment,
    STATE(6095), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5893), 1,
      anon_sym_COMMA,
    STATE(5243), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5265), 1,
      sym_comment,
    ACTIONS(8730), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [177855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5266), 1,
      sym_comment,
    STATE(6104), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5267), 1,
      sym_comment,
    STATE(6105), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177897] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5268), 1,
      sym_comment,
    STATE(6108), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5269), 1,
      sym_comment,
    STATE(6157), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5270), 1,
      sym_comment,
    STATE(6171), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177960] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5271), 1,
      sym_comment,
    STATE(6175), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5272), 1,
      sym_comment,
    STATE(6185), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178002] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8007), 1,
      anon_sym_LT,
    ACTIONS(8732), 1,
      anon_sym_LBRACE,
    STATE(5273), 1,
      sym_comment,
    STATE(6386), 1,
      sym_type_arguments,
    ACTIONS(8734), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [178025] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5274), 1,
      sym_comment,
    ACTIONS(8736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178048] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8359), 1,
      anon_sym_class,
    ACTIONS(8361), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5275), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [178073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5276), 1,
      sym_comment,
    STATE(6193), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178094] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5277), 1,
      sym_comment,
    STATE(5412), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [178119] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5278), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7067), 1,
      sym__call_signature,
  [178144] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_LBRACE,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    ACTIONS(8742), 1,
      sym__automatic_semicolon,
    ACTIONS(8744), 1,
      sym__function_signature_automatic_semicolon,
    STATE(425), 1,
      sym_statement_block,
    STATE(5279), 1,
      sym_comment,
  [178169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5280), 1,
      sym_comment,
    ACTIONS(8746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5281), 1,
      sym_comment,
    STATE(6194), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178207] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5282), 1,
      sym_comment,
    STATE(5986), 1,
      sym_extends_type_clause,
    STATE(6773), 1,
      sym_object_type,
  [178232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5283), 1,
      sym_comment,
    ACTIONS(6087), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [178249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym_comment,
    STATE(6195), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5285), 1,
      sym_comment,
    STATE(6208), 1,
      sym__initializer,
    ACTIONS(8670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5286), 1,
      sym_comment,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8748), 1,
      anon_sym_EQ_GT,
    STATE(5287), 1,
      sym_comment,
    STATE(6653), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178333] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5288), 1,
      sym_comment,
    STATE(6216), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178354] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5289), 1,
      sym_comment,
    STATE(6217), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5290), 1,
      sym_comment,
    STATE(6220), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5291), 1,
      sym_comment,
    STATE(6221), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178417] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5292), 1,
      sym_comment,
    STATE(5313), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [178442] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8751), 1,
      anon_sym_BQUOTE,
    STATE(5293), 1,
      sym_comment,
    STATE(5441), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [178467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5294), 1,
      sym_comment,
    STATE(6233), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5295), 1,
      sym_comment,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178505] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5296), 1,
      sym_comment,
    STATE(5491), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [178530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5297), 1,
      sym_comment,
    ACTIONS(8114), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5298), 1,
      sym_comment,
    ACTIONS(8106), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5299), 1,
      sym_comment,
    ACTIONS(8753), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5300), 1,
      sym_comment,
    ACTIONS(8755), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5301), 1,
      sym_comment,
    ACTIONS(8757), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178615] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5302), 1,
      sym_comment,
    ACTIONS(8057), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5303), 1,
      sym_comment,
    ACTIONS(8759), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [178649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5304), 1,
      sym_comment,
    ACTIONS(8761), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5305), 1,
      sym_comment,
    ACTIONS(8763), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5306), 1,
      sym_comment,
    ACTIONS(8765), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178700] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6912), 1,
      sym__call_signature,
  [178725] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8047), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1676), 1,
      sym_object_type,
    STATE(5308), 1,
      sym_comment,
    STATE(6111), 1,
      sym_extends_type_clause,
  [178750] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5309), 1,
      sym_comment,
    ACTIONS(8767), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178773] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5310), 1,
      sym_comment,
    ACTIONS(8059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5311), 1,
      sym_comment,
    ACTIONS(8769), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5312), 1,
      sym_comment,
    ACTIONS(8059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178824] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    ACTIONS(8713), 1,
      sym__automatic_semicolon,
    ACTIONS(8715), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5313), 1,
      sym_comment,
    STATE(5940), 1,
      sym_statement_block,
  [178849] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5314), 1,
      sym_comment,
    STATE(5336), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [178874] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5315), 1,
      sym_comment,
    ACTIONS(8771), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5163), 1,
      sym__call_signature,
    STATE(5316), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [178922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5317), 1,
      sym_comment,
    ACTIONS(8057), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178939] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8361), 1,
      anon_sym_abstract,
    ACTIONS(8773), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5318), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [178964] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5319), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7004), 1,
      sym__call_signature,
  [178989] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5320), 1,
      sym_comment,
    STATE(6168), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5321), 1,
      sym_comment,
    STATE(6263), 1,
      sym__initializer,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5322), 1,
      sym_comment,
    STATE(6128), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5323), 1,
      sym_comment,
    STATE(6086), 1,
      sym__initializer,
    ACTIONS(8779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179073] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8674), 1,
      sym_identifier,
    STATE(5324), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6980), 1,
      sym__module_export_name,
  [179098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5325), 1,
      sym_comment,
    STATE(5468), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [179123] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4791), 1,
      sym__call_signature,
    STATE(5326), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [179148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5327), 1,
      sym_comment,
    STATE(6083), 1,
      sym__initializer,
    ACTIONS(8779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179169] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5328), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6976), 1,
      sym__call_signature,
  [179194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    ACTIONS(8742), 1,
      sym__automatic_semicolon,
    ACTIONS(8744), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    STATE(1253), 1,
      sym_statement_block,
    STATE(5329), 1,
      sym_comment,
  [179219] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5330), 1,
      sym_comment,
    ACTIONS(8783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179242] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5331), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6972), 1,
      sym__call_signature,
  [179267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5332), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6488), 1,
      sym__call_signature,
  [179292] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6477), 1,
      sym__call_signature,
  [179317] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5334), 1,
      sym_comment,
    STATE(5385), 1,
      sym__call_signature,
    STATE(6484), 1,
      sym_type_parameters,
  [179342] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5335), 1,
      sym_comment,
    STATE(6473), 1,
      sym__call_signature,
    STATE(6476), 1,
      sym_type_parameters,
  [179367] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(8785), 1,
      anon_sym_SEMI,
    ACTIONS(8787), 1,
      sym__automatic_semicolon,
    ACTIONS(8789), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3175), 1,
      sym_statement_block,
    STATE(5336), 1,
      sym_comment,
  [179392] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5075), 1,
      sym__call_signature,
    STATE(5337), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [179417] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_comment,
    STATE(6453), 1,
      sym__call_signature,
    STATE(6476), 1,
      sym_type_parameters,
  [179442] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5060), 1,
      sym__call_signature,
    STATE(5339), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [179467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5340), 1,
      sym_comment,
    ACTIONS(5930), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [179484] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5341), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7103), 1,
      sym__call_signature,
  [179509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4999), 1,
      sym__call_signature,
    STATE(5342), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [179534] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8515), 1,
      anon_sym_class,
    ACTIONS(8517), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5343), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [179559] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4989), 1,
      sym__call_signature,
    STATE(5344), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [179584] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5345), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6955), 1,
      sym__call_signature,
  [179609] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5346), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7110), 1,
      sym__call_signature,
  [179634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5347), 1,
      sym_comment,
    STATE(6082), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179655] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6954), 1,
      sym__call_signature,
  [179680] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5349), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7107), 1,
      sym__call_signature,
  [179705] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5350), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7102), 1,
      sym__call_signature,
  [179730] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5351), 1,
      sym_comment,
    STATE(6048), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179751] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      sym_comment,
    STATE(6021), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179772] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5353), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7088), 1,
      sym__call_signature,
  [179797] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5354), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7043), 1,
      sym__call_signature,
  [179822] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5355), 1,
      sym_comment,
    ACTIONS(8791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179845] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5356), 1,
      sym_comment,
    STATE(6469), 1,
      sym__call_signature,
    STATE(6476), 1,
      sym_type_parameters,
  [179870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5357), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6495), 1,
      sym__call_signature,
  [179895] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8793), 1,
      anon_sym_EQ_GT,
    STATE(5358), 1,
      sym_comment,
    STATE(6653), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [179916] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8796), 1,
      anon_sym_EQ_GT,
    STATE(5359), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [179937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym_comment,
    STATE(6268), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179958] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5361), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7041), 1,
      sym__call_signature,
  [179983] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5362), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6500), 1,
      sym__call_signature,
  [180008] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5103), 1,
      sym__call_signature,
    STATE(5363), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [180033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5364), 1,
      sym_comment,
    STATE(5976), 1,
      sym__initializer,
    ACTIONS(8775), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5365), 1,
      sym_comment,
    ACTIONS(8445), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5366), 1,
      sym_comment,
    ACTIONS(8429), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180088] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_LBRACE,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
    ACTIONS(8805), 1,
      sym__automatic_semicolon,
    ACTIONS(8807), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1149), 1,
      sym_statement_block,
    STATE(5367), 1,
      sym_comment,
  [180113] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5368), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(7032), 1,
      sym__call_signature,
  [180138] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5369), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6516), 1,
      sym__call_signature,
  [180163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5370), 1,
      sym_comment,
    ACTIONS(8427), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180180] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5371), 1,
      sym_comment,
    STATE(6272), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180201] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8811), 1,
      anon_sym_RBRACE,
    STATE(5372), 1,
      sym_comment,
    STATE(5918), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [180226] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8813), 1,
      anon_sym_COMMA,
    ACTIONS(8815), 1,
      anon_sym_RBRACE,
    STATE(5373), 1,
      sym_comment,
    STATE(5799), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [180251] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5374), 1,
      sym_comment,
    STATE(6275), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180272] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5113), 1,
      sym__call_signature,
    STATE(5375), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [180297] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5376), 1,
      sym_comment,
    STATE(6278), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180318] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5377), 1,
      sym_comment,
    STATE(5950), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [180343] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5119), 1,
      sym__call_signature,
    STATE(5378), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [180368] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8385), 1,
      anon_sym_class,
    ACTIONS(8387), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5379), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [180393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5380), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6999), 1,
      sym__call_signature,
  [180418] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5381), 1,
      sym_comment,
    STATE(6320), 1,
      sym__initializer,
    ACTIONS(8817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180439] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
    ACTIONS(8805), 1,
      sym__automatic_semicolon,
    ACTIONS(8807), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8819), 1,
      anon_sym_LBRACE,
    STATE(339), 1,
      sym_statement_block,
    STATE(5382), 1,
      sym_comment,
  [180464] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5132), 1,
      sym__call_signature,
    STATE(5383), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [180489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5384), 1,
      sym_comment,
    STATE(6329), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180510] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    ACTIONS(8785), 1,
      anon_sym_SEMI,
    ACTIONS(8787), 1,
      sym__automatic_semicolon,
    ACTIONS(8789), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5385), 1,
      sym_comment,
    STATE(6114), 1,
      sym_statement_block,
  [180535] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5386), 1,
      sym_comment,
    STATE(5931), 1,
      sym__initializer,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5387), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6993), 1,
      sym__call_signature,
  [180581] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5388), 1,
      sym_comment,
    ACTIONS(8823), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180604] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5389), 1,
      sym_comment,
    ACTIONS(8825), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180627] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5390), 1,
      sym_comment,
    STATE(6340), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180648] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_LBRACE,
    ACTIONS(8827), 1,
      anon_sym_SEMI,
    ACTIONS(8829), 1,
      sym__automatic_semicolon,
    ACTIONS(8831), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1203), 1,
      sym_statement_block,
    STATE(5391), 1,
      sym_comment,
  [180673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5392), 1,
      sym_comment,
    STATE(5924), 1,
      sym__initializer,
    ACTIONS(8833), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180694] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5393), 1,
      sym_comment,
    STATE(6345), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5394), 1,
      sym_comment,
    ACTIONS(6372), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5395), 1,
      sym_comment,
    STATE(6348), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5396), 1,
      sym_comment,
    ACTIONS(6342), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5397), 1,
      sym_comment,
    ACTIONS(6342), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5398), 1,
      sym_comment,
    ACTIONS(6342), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180804] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      anon_sym_extends,
    ACTIONS(8078), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1325), 1,
      sym_object_type,
    STATE(5399), 1,
      sym_comment,
    STATE(5763), 1,
      sym_extends_type_clause,
  [180829] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4740), 1,
      sym__call_signature,
    STATE(5400), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [180854] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5401), 1,
      sym_comment,
    STATE(6153), 1,
      sym__initializer,
    ACTIONS(8835), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180875] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5402), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6990), 1,
      sym__call_signature,
  [180900] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4928), 1,
      sym__call_signature,
    STATE(5403), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [180925] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5404), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6606), 1,
      sym__call_signature,
  [180950] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5405), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6626), 1,
      sym__call_signature,
  [180975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5406), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6875), 1,
      sym__call_signature,
  [181000] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5407), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6630), 1,
      sym__call_signature,
  [181025] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5200), 1,
      sym__call_signature,
    STATE(5408), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [181050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym_comment,
    STATE(6351), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5410), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6643), 1,
      sym__call_signature,
  [181096] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5217), 1,
      sym__call_signature,
    STATE(5411), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [181121] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_LBRACE,
    ACTIONS(8837), 1,
      anon_sym_SEMI,
    ACTIONS(8839), 1,
      sym__automatic_semicolon,
    ACTIONS(8841), 1,
      sym__function_signature_automatic_semicolon,
    STATE(428), 1,
      sym_statement_block,
    STATE(5412), 1,
      sym_comment,
  [181146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5413), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6981), 1,
      sym__call_signature,
  [181171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5221), 1,
      sym__call_signature,
    STATE(5414), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [181196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5415), 1,
      sym_comment,
    ACTIONS(8843), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8845), 1,
      anon_sym_EQ_GT,
    STATE(5416), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181234] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8627), 1,
      anon_sym_abstract,
    ACTIONS(8848), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5417), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [181259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8850), 1,
      anon_sym_as,
    ACTIONS(8852), 1,
      anon_sym_RBRACK,
    STATE(5418), 1,
      sym_comment,
  [181284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5419), 1,
      sym_comment,
    ACTIONS(7938), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181301] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8854), 1,
      anon_sym_BQUOTE,
    STATE(5420), 1,
      sym_comment,
    STATE(5441), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5848), 1,
      sym_template_type,
  [181326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5421), 1,
      sym_comment,
    ACTIONS(6479), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [181343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5422), 1,
      sym_comment,
    ACTIONS(8856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181360] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5423), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6710), 1,
      sym__call_signature,
  [181385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5424), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [181410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5425), 1,
      sym_comment,
    STATE(6361), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5426), 1,
      sym_comment,
    STATE(6362), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_LBRACE,
    ACTIONS(8827), 1,
      anon_sym_SEMI,
    ACTIONS(8829), 1,
      sym__automatic_semicolon,
    ACTIONS(8831), 1,
      sym__function_signature_automatic_semicolon,
    STATE(386), 1,
      sym_statement_block,
    STATE(5427), 1,
      sym_comment,
  [181477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5428), 1,
      sym_comment,
    STATE(6354), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181498] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5317), 1,
      sym__call_signature,
    STATE(5429), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [181523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5430), 1,
      sym_comment,
    ACTIONS(8858), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [181540] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5431), 1,
      sym_comment,
    STATE(6368), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    STATE(5432), 1,
      sym_comment,
    STATE(7023), 1,
      sym_type_annotation,
    ACTIONS(4331), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8860), 1,
      anon_sym_EQ_GT,
    STATE(5433), 1,
      sym_comment,
    STATE(6653), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181603] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8863), 1,
      anon_sym_EQ_GT,
    STATE(5434), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181624] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4764), 1,
      sym__call_signature,
    STATE(5435), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [181649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8866), 1,
      anon_sym_EQ_GT,
    STATE(5436), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181670] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(5437), 1,
      sym_comment,
    ACTIONS(8869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181693] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5438), 1,
      sym_comment,
    STATE(6370), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181714] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7141), 1,
      anon_sym_LBRACK,
    ACTIONS(8871), 1,
      anon_sym_RBRACE,
    STATE(5439), 1,
      sym_comment,
    ACTIONS(4995), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [181735] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5440), 1,
      sym_comment,
    ACTIONS(8873), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181752] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8875), 1,
      anon_sym_BQUOTE,
    ACTIONS(8877), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8880), 1,
      sym__template_chars,
    STATE(5848), 1,
      sym_template_type,
    STATE(5441), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [181775] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(5442), 1,
      sym_comment,
    ACTIONS(8883), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5443), 1,
      sym_comment,
    ACTIONS(7936), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5444), 1,
      sym_comment,
    ACTIONS(8181), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181832] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(5445), 1,
      sym_comment,
    ACTIONS(8885), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5446), 1,
      sym_comment,
    ACTIONS(8887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5447), 1,
      sym_comment,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181889] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8621), 1,
      sym__template_chars,
    ACTIONS(8889), 1,
      anon_sym_BQUOTE,
    STATE(5420), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5448), 1,
      sym_comment,
    STATE(5848), 1,
      sym_template_type,
  [181914] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5449), 1,
      sym_comment,
    ACTIONS(8891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5450), 1,
      sym_comment,
    ACTIONS(8893), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5451), 1,
      sym_comment,
    ACTIONS(8895), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [181971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5452), 1,
      sym_comment,
    STATE(6372), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5453), 1,
      sym_comment,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5454), 1,
      sym_comment,
    STATE(6373), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5455), 1,
      sym_comment,
    STATE(6379), 1,
      sym__initializer,
    ACTIONS(8817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182051] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4772), 1,
      sym__call_signature,
    STATE(5456), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [182076] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(5457), 1,
      sym_comment,
    ACTIONS(8897), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [182099] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    ACTIONS(8899), 1,
      anon_sym_COMMA,
    ACTIONS(8901), 1,
      anon_sym_RBRACE,
    STATE(5458), 1,
      sym_comment,
    STATE(6016), 1,
      aux_sym_enum_body_repeat1,
    STATE(6841), 1,
      sym__initializer,
  [182124] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5459), 1,
      sym_comment,
    STATE(6380), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182145] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4781), 1,
      sym__call_signature,
    STATE(5460), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [182170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5461), 1,
      sym_comment,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(8903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182191] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8674), 1,
      sym_identifier,
    STATE(5462), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(6836), 1,
      sym__module_export_name,
  [182216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5463), 1,
      sym_comment,
    STATE(6383), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182237] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4786), 1,
      sym__call_signature,
    STATE(5464), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [182262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5465), 1,
      sym_comment,
    STATE(5757), 1,
      sym__initializer,
    ACTIONS(8905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182283] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5466), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6834), 1,
      sym__call_signature,
  [182308] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(4783), 1,
      sym__call_signature,
    STATE(5467), 1,
      sym_comment,
    STATE(6888), 1,
      sym_type_parameters,
  [182333] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    ACTIONS(8837), 1,
      anon_sym_SEMI,
    ACTIONS(8839), 1,
      sym__automatic_semicolon,
    ACTIONS(8841), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1547), 1,
      sym_statement_block,
    STATE(5468), 1,
      sym_comment,
  [182358] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5469), 1,
      sym_comment,
    ACTIONS(8907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182381] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5470), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6831), 1,
      sym__call_signature,
  [182406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym_comment,
    STATE(6384), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182427] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5472), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6759), 1,
      sym__call_signature,
  [182452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5473), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6778), 1,
      sym__call_signature,
  [182477] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5474), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6827), 1,
      sym__call_signature,
  [182502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5475), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6784), 1,
      sym__call_signature,
  [182527] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5367), 1,
      sym__call_signature,
    STATE(5476), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [182552] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5477), 1,
      sym_comment,
    STATE(6388), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5478), 1,
      sym_comment,
    STATE(6389), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5479), 1,
      sym_comment,
    STATE(6394), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182615] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_DOT,
    STATE(4509), 1,
      sym_arguments,
    STATE(5480), 1,
      sym_comment,
    ACTIONS(8909), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [182638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(4961), 1,
      sym_formal_parameters,
    STATE(5481), 1,
      sym_comment,
    STATE(6476), 1,
      sym_type_parameters,
    STATE(6798), 1,
      sym__call_signature,
  [182663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5482), 1,
      sym_comment,
    ACTIONS(5989), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [182680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5483), 1,
      sym_comment,
    ACTIONS(5926), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [182697] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5382), 1,
      sym__call_signature,
    STATE(5484), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [182722] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5485), 1,
      sym_comment,
    STATE(6399), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym_comment,
    STATE(6406), 1,
      sym__initializer,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182764] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5391), 1,
      sym__call_signature,
    STATE(5487), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [182789] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8290), 1,
      anon_sym_class,
    ACTIONS(8292), 1,
      anon_sym_abstract,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5488), 1,
      sym_comment,
    STATE(5534), 1,
      sym_decorator,
  [182814] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5489), 1,
      sym_comment,
    STATE(5796), 1,
      sym__initializer,
    ACTIONS(8911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5490), 1,
      sym_comment,
    ACTIONS(8280), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5491), 1,
      sym_comment,
    ACTIONS(8112), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(5492), 1,
      sym_comment,
    STATE(5508), 1,
      sym__call_signature,
    STATE(6888), 1,
      sym_type_parameters,
  [182894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5493), 1,
      sym_comment,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182911] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(5427), 1,
      sym__call_signature,
    STATE(5494), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [182936] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_formal_parameters,
    STATE(4896), 1,
      sym__call_signature,
    STATE(5495), 1,
      sym_comment,
    STATE(6484), 1,
      sym_type_parameters,
  [182961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5496), 1,
      sym_comment,
    STATE(6412), 1,
      sym__initializer,
    ACTIONS(8913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5497), 1,
      sym_comment,
    ACTIONS(6573), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [182999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5498), 1,
      sym_comment,
    ACTIONS(6573), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183016] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8917), 1,
      anon_sym_in,
    ACTIONS(8919), 1,
      anon_sym_of,
    STATE(5499), 1,
      sym_comment,
    ACTIONS(8915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183037] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8921), 1,
      anon_sym_in,
    ACTIONS(8923), 1,
      anon_sym_of,
    STATE(5500), 1,
      sym_comment,
    ACTIONS(8915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5501), 1,
      sym_comment,
    ACTIONS(6573), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5502), 1,
      sym_comment,
    STATE(6413), 1,
      sym__initializer,
    ACTIONS(8913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5503), 1,
      sym_comment,
    ACTIONS(6562), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183113] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5504), 1,
      sym_comment,
    STATE(5969), 1,
      sym__initializer,
    ACTIONS(8913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6547), 1,
      sym__automatic_semicolon,
    STATE(5505), 1,
      sym_comment,
    ACTIONS(2322), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6549), 1,
      sym__automatic_semicolon,
    STATE(5506), 1,
      sym_comment,
    ACTIONS(2376), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_EQ,
    STATE(5507), 1,
      sym_comment,
    STATE(6291), 1,
      sym__initializer,
    ACTIONS(8913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5508), 1,
      sym_comment,
    ACTIONS(8108), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6344), 1,
      sym__automatic_semicolon,
    STATE(5509), 1,
      sym_comment,
    ACTIONS(2402), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183229] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8925), 1,
      anon_sym_SQUOTE,
    STATE(5510), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183249] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8929), 1,
      anon_sym_RBRACK,
    STATE(5511), 1,
      sym_comment,
  [183271] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5512), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8933), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5513), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5514), 1,
      sym_comment,
    STATE(6442), 1,
      sym__from_clause,
    ACTIONS(6008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183331] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8939), 1,
      anon_sym_RBRACK,
    STATE(5515), 1,
      sym_comment,
  [183353] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(8941), 1,
      anon_sym_COMMA,
    ACTIONS(8943), 1,
      anon_sym_GT,
    STATE(5516), 1,
      sym_comment,
    STATE(6427), 1,
      aux_sym_type_arguments_repeat1,
  [183375] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8945), 1,
      anon_sym_SQUOTE,
    STATE(5517), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183395] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8945), 1,
      anon_sym_DQUOTE,
    STATE(5518), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5512), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5519), 1,
      sym_comment,
    ACTIONS(8949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5513), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5520), 1,
      sym_comment,
    ACTIONS(8951), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5521), 1,
      sym_comment,
    STATE(6439), 1,
      sym__from_clause,
    ACTIONS(8953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5522), 1,
      sym_comment,
    ACTIONS(2198), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [183491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5523), 1,
      sym_comment,
    ACTIONS(2194), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [183507] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8955), 1,
      anon_sym_DQUOTE,
    STATE(5524), 1,
      sym_comment,
    STATE(5586), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183527] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8957), 1,
      anon_sym_SQUOTE,
    STATE(5517), 1,
      aux_sym_string_repeat2,
    STATE(5525), 1,
      sym_comment,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183547] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8957), 1,
      anon_sym_DQUOTE,
    STATE(5518), 1,
      aux_sym_string_repeat1,
    STATE(5526), 1,
      sym_comment,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(5527), 1,
      sym_comment,
    STATE(6456), 1,
      sym_statement_block,
    ACTIONS(2125), 2,
      anon_sym_else,
      anon_sym_while,
  [183587] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8955), 1,
      anon_sym_SQUOTE,
    STATE(5528), 1,
      sym_comment,
    STATE(5587), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183607] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8959), 1,
      anon_sym_COLON,
    STATE(5529), 1,
      sym_comment,
  [183629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8961), 1,
      anon_sym_EQ,
    STATE(5530), 1,
      sym_comment,
    ACTIONS(4331), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [183647] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8964), 1,
      sym__glimmer_template_content,
    ACTIONS(8966), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3238), 1,
      sym_glimmer_closing_tag,
    STATE(5531), 1,
      sym_comment,
    STATE(5621), 1,
      aux_sym_glimmer_template_repeat1,
  [183669] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8968), 1,
      anon_sym_DQUOTE,
    STATE(5532), 1,
      sym_comment,
    STATE(5578), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183689] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8968), 1,
      anon_sym_SQUOTE,
    STATE(5533), 1,
      sym_comment,
    STATE(5581), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5534), 1,
      sym_comment,
    ACTIONS(8970), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [183725] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8964), 1,
      sym__glimmer_template_content,
    ACTIONS(8972), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2779), 1,
      sym_glimmer_closing_tag,
    STATE(5535), 1,
      sym_comment,
    STATE(5564), 1,
      aux_sym_glimmer_template_repeat1,
  [183747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5536), 1,
      sym_comment,
    STATE(6694), 1,
      sym__from_clause,
    ACTIONS(8974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5537), 1,
      sym_comment,
    STATE(6685), 1,
      sym__from_clause,
    ACTIONS(8976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183787] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8978), 1,
      anon_sym_QMARK,
    STATE(5538), 1,
      sym_comment,
  [183809] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8980), 1,
      anon_sym_DQUOTE,
    STATE(5539), 1,
      sym_comment,
    STATE(5544), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183829] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8980), 1,
      anon_sym_SQUOTE,
    STATE(5540), 1,
      sym_comment,
    STATE(5546), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5541), 1,
      sym_comment,
    STATE(5548), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8982), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8984), 1,
      anon_sym_EQ,
    STATE(5542), 1,
      sym_comment,
    STATE(6819), 1,
      sym__initializer,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
  [183889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5543), 1,
      sym_comment,
    STATE(5551), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183909] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8988), 1,
      anon_sym_DQUOTE,
    STATE(5544), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(8990), 1,
      anon_sym_RBRACK,
    STATE(5545), 1,
      sym_comment,
  [183951] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8988), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183971] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(8992), 1,
      anon_sym_COMMA,
    ACTIONS(8994), 1,
      anon_sym_GT,
    STATE(5547), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_type_arguments_repeat1,
  [183993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5548), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8996), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184013] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8998), 1,
      anon_sym_DQUOTE,
    STATE(5549), 1,
      sym_comment,
    STATE(5610), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184033] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8998), 1,
      anon_sym_SQUOTE,
    STATE(5550), 1,
      sym_comment,
    STATE(5611), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5551), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5552), 1,
      sym_comment,
    STATE(6713), 1,
      sym_import_attribute,
    ACTIONS(9004), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184093] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9006), 1,
      anon_sym_SEMI,
    ACTIONS(9008), 1,
      sym__automatic_semicolon,
    STATE(5553), 1,
      sym_comment,
    STATE(6497), 1,
      sym_import_attribute,
  [184115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5554), 1,
      sym_comment,
    STATE(6717), 1,
      sym_import_attribute,
    ACTIONS(9010), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184135] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9012), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5555), 1,
      sym_comment,
  [184157] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5556), 1,
      sym_comment,
    STATE(5666), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9014), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184177] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5557), 1,
      sym_comment,
    STATE(5667), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9016), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184197] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9018), 1,
      anon_sym_QMARK,
    STATE(5558), 1,
      sym_comment,
  [184219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5559), 1,
      sym_comment,
    STATE(6747), 1,
      sym_import_attribute,
    ACTIONS(9020), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5560), 1,
      sym_comment,
    STATE(6729), 1,
      sym_import_attribute,
    ACTIONS(9022), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184259] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5561), 1,
      sym_comment,
    STATE(6956), 1,
      sym_type_parameters,
    STATE(7270), 1,
      sym_formal_parameters,
  [184281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5562), 1,
      sym_comment,
    STATE(5673), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184301] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5563), 1,
      sym_comment,
    STATE(5691), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184321] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8964), 1,
      sym__glimmer_template_content,
    ACTIONS(8972), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2645), 1,
      sym_glimmer_closing_tag,
    STATE(5564), 1,
      sym_comment,
    STATE(5816), 1,
      aux_sym_glimmer_template_repeat1,
  [184343] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9028), 1,
      anon_sym_RPAREN,
    STATE(5565), 1,
      sym_comment,
  [184365] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(7125), 1,
      anon_sym_LT,
    STATE(4235), 1,
      sym_arguments,
    STATE(4457), 1,
      sym_type_arguments,
    STATE(5566), 1,
      sym_comment,
  [184387] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5567), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184407] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5568), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9032), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184427] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9034), 1,
      anon_sym_SEMI,
    ACTIONS(9036), 1,
      sym__automatic_semicolon,
    STATE(5569), 1,
      sym_comment,
    STATE(6519), 1,
      sym_import_attribute,
  [184449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5570), 1,
      sym_comment,
    STATE(6520), 1,
      sym_import_attribute,
    ACTIONS(9038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184469] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5571), 1,
      sym_comment,
    STATE(6850), 1,
      sym__from_clause,
    ACTIONS(9040), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5572), 1,
      sym_comment,
    STATE(6522), 1,
      sym_import_attribute,
    ACTIONS(9042), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5573), 1,
      sym_comment,
    STATE(6446), 1,
      sym__from_clause,
    ACTIONS(5968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184529] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9044), 1,
      anon_sym_RBRACK,
    STATE(5574), 1,
      sym_comment,
  [184551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9046), 1,
      anon_sym_EQ,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9050), 1,
      anon_sym_RBRACK,
    STATE(5575), 1,
      sym_comment,
    STATE(5981), 1,
      aux_sym_array_pattern_repeat1,
  [184573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9052), 1,
      anon_sym_RBRACK,
    STATE(5576), 1,
      sym_comment,
  [184595] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(9054), 1,
      anon_sym_COMMA,
    ACTIONS(9056), 1,
      anon_sym_GT,
    STATE(5577), 1,
      sym_comment,
    STATE(6250), 1,
      aux_sym_type_arguments_repeat1,
  [184617] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9058), 1,
      anon_sym_DQUOTE,
    STATE(5578), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184637] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9060), 1,
      anon_sym_DQUOTE,
    STATE(5579), 1,
      sym_comment,
    STATE(5583), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184657] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9060), 1,
      anon_sym_SQUOTE,
    STATE(5580), 1,
      sym_comment,
    STATE(5584), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184677] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9058), 1,
      anon_sym_SQUOTE,
    STATE(5581), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184697] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9062), 1,
      anon_sym_QMARK,
    STATE(5582), 1,
      sym_comment,
  [184719] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9064), 1,
      anon_sym_DQUOTE,
    STATE(5583), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184739] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9064), 1,
      anon_sym_SQUOTE,
    STATE(5584), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184759] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9046), 1,
      anon_sym_EQ,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RBRACK,
    STATE(5585), 1,
      sym_comment,
    STATE(5909), 1,
      aux_sym_array_pattern_repeat1,
  [184781] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9068), 1,
      anon_sym_DQUOTE,
    STATE(5586), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184801] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9068), 1,
      anon_sym_SQUOTE,
    STATE(5587), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184821] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9070), 1,
      anon_sym_SQUOTE,
    STATE(5588), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184841] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9070), 1,
      anon_sym_DQUOTE,
    STATE(5589), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(9072), 1,
      anon_sym_COMMA,
    ACTIONS(9074), 1,
      anon_sym_GT,
    STATE(5590), 1,
      sym_comment,
    STATE(5831), 1,
      aux_sym_type_arguments_repeat1,
  [184883] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5591), 1,
      sym_comment,
    STATE(6964), 1,
      sym_type_parameters,
    STATE(7288), 1,
      sym_formal_parameters,
  [184905] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9076), 1,
      anon_sym_DQUOTE,
    STATE(5592), 1,
      sym_comment,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5593), 1,
      sym_comment,
    STATE(6845), 1,
      sym_import_attribute,
    ACTIONS(9078), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5594), 1,
      sym_comment,
    STATE(6844), 1,
      sym_import_attribute,
    ACTIONS(9080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5595), 1,
      sym_comment,
    STATE(5663), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5596), 1,
      sym_comment,
    STATE(5664), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9084), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5597), 1,
      sym_comment,
    ACTIONS(9086), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185021] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9076), 1,
      anon_sym_SQUOTE,
    STATE(5598), 1,
      sym_comment,
    STATE(5607), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5599), 1,
      sym_comment,
    ACTIONS(9088), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5567), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5600), 1,
      sym_comment,
    ACTIONS(9090), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5568), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5601), 1,
      sym_comment,
    ACTIONS(9092), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5602), 1,
      sym_comment,
    STATE(6538), 1,
      sym_import_attribute,
    ACTIONS(9094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185117] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5603), 1,
      sym_comment,
    STATE(6539), 1,
      sym_import_attribute,
    ACTIONS(9096), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5604), 1,
      sym_comment,
    STATE(6542), 1,
      sym__from_clause,
    ACTIONS(9098), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5605), 1,
      sym_comment,
    ACTIONS(8037), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9100), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185193] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9100), 1,
      anon_sym_SQUOTE,
    STATE(5607), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185213] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(9102), 1,
      anon_sym_COMMA,
    ACTIONS(9104), 1,
      anon_sym_GT,
    STATE(5608), 1,
      sym_comment,
    STATE(5889), 1,
      aux_sym_type_arguments_repeat1,
  [185235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      anon_sym_BQUOTE,
    STATE(5609), 1,
      sym_comment,
    STATE(3268), 2,
      sym_template_string,
      sym_arguments,
  [185255] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9106), 1,
      anon_sym_DQUOTE,
    STATE(5610), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185275] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9106), 1,
      anon_sym_SQUOTE,
    STATE(5611), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185295] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9108), 1,
      anon_sym_SQUOTE,
    STATE(5588), 1,
      aux_sym_string_repeat2,
    STATE(5612), 1,
      sym_comment,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185315] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9108), 1,
      anon_sym_DQUOTE,
    STATE(5589), 1,
      aux_sym_string_repeat1,
    STATE(5613), 1,
      sym_comment,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5459), 1,
      anon_sym_COMMA,
    STATE(5614), 1,
      sym_comment,
    STATE(5727), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(8730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185355] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9110), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5615), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [185373] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9115), 1,
      anon_sym_COLON,
    STATE(5616), 1,
      sym_comment,
  [185395] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9117), 1,
      anon_sym_DQUOTE,
    STATE(5617), 1,
      sym_comment,
    STATE(5619), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185415] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9117), 1,
      anon_sym_SQUOTE,
    STATE(5618), 1,
      sym_comment,
    STATE(5620), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185435] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9119), 1,
      anon_sym_DQUOTE,
    STATE(5619), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185455] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9119), 1,
      anon_sym_SQUOTE,
    STATE(5620), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185475] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8964), 1,
      sym__glimmer_template_content,
    ACTIONS(8966), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3263), 1,
      sym_glimmer_closing_tag,
    STATE(5621), 1,
      sym_comment,
    STATE(5816), 1,
      aux_sym_glimmer_template_repeat1,
  [185497] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(8328), 1,
      anon_sym_LBRACE,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5622), 1,
      sym_comment,
    STATE(5665), 1,
      aux_sym_extends_type_clause_repeat1,
  [185519] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4959), 1,
      anon_sym_BQUOTE,
    STATE(5623), 1,
      sym_comment,
    STATE(2660), 2,
      sym_template_string,
      sym_arguments,
  [185539] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9121), 1,
      anon_sym_DQUOTE,
    STATE(5624), 1,
      sym_comment,
    STATE(5628), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5625), 1,
      sym_comment,
    ACTIONS(9123), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185575] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9121), 1,
      anon_sym_SQUOTE,
    STATE(5626), 1,
      sym_comment,
    STATE(5633), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5627), 1,
      sym_comment,
    STATE(6905), 1,
      sym__from_clause,
    ACTIONS(5805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9125), 1,
      anon_sym_DQUOTE,
    STATE(5628), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185635] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    ACTIONS(9131), 1,
      anon_sym_GT,
    STATE(5629), 1,
      sym_comment,
    STATE(7000), 1,
      sym_type_parameter,
  [185657] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9133), 1,
      anon_sym_RBRACK,
    STATE(5630), 1,
      sym_comment,
  [185679] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9135), 1,
      anon_sym_COLON,
    STATE(5631), 1,
      sym_comment,
  [185701] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9137), 1,
      anon_sym_QMARK,
    STATE(5632), 1,
      sym_comment,
  [185723] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9125), 1,
      anon_sym_SQUOTE,
    STATE(5633), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185743] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9139), 1,
      anon_sym_DQUOTE,
    STATE(5634), 1,
      sym_comment,
    STATE(5637), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185763] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9139), 1,
      anon_sym_SQUOTE,
    STATE(5635), 1,
      sym_comment,
    STATE(5638), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185783] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(9141), 1,
      anon_sym_COMMA,
    ACTIONS(9143), 1,
      anon_sym_GT,
    STATE(5636), 1,
      sym_comment,
    STATE(5904), 1,
      aux_sym_type_arguments_repeat1,
  [185805] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9145), 1,
      anon_sym_DQUOTE,
    STATE(5637), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185825] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9145), 1,
      anon_sym_SQUOTE,
    STATE(5638), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185845] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9147), 1,
      anon_sym_DQUOTE,
    STATE(5639), 1,
      sym_comment,
    STATE(5644), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5640), 1,
      sym_comment,
    ACTIONS(9149), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [185881] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9147), 1,
      anon_sym_SQUOTE,
    STATE(5510), 1,
      aux_sym_string_repeat2,
    STATE(5641), 1,
      sym_comment,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_comment,
    ACTIONS(4995), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185919] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5643), 1,
      sym_comment,
    STATE(6822), 1,
      sym_type_parameters,
    STATE(7273), 1,
      sym_formal_parameters,
  [185941] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8925), 1,
      anon_sym_DQUOTE,
    STATE(5644), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5645), 1,
      sym_comment,
    STATE(6877), 1,
      sym__from_clause,
    ACTIONS(5943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9086), 1,
      sym_escape_sequence,
    STATE(5646), 1,
      sym_comment,
    ACTIONS(9151), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185999] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9154), 1,
      anon_sym_EQ_GT,
    STATE(5647), 1,
      sym_comment,
    ACTIONS(4616), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [186017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9156), 1,
      anon_sym_EQ_GT,
    STATE(5648), 1,
      sym_comment,
    ACTIONS(4616), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [186035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5649), 1,
      sym_comment,
    STATE(6806), 1,
      sym__from_clause,
    ACTIONS(5891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186055] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9158), 1,
      anon_sym_RBRACK,
    STATE(5650), 1,
      sym_comment,
  [186077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5651), 1,
      sym_comment,
    STATE(6918), 1,
      sym_import_attribute,
    ACTIONS(9160), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5652), 1,
      sym_comment,
    STATE(7069), 1,
      sym_import_attribute,
    ACTIONS(9162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186117] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    STATE(5653), 1,
      sym_comment,
    STATE(6855), 1,
      sym_default_type,
    ACTIONS(9164), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [186137] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9166), 1,
      anon_sym_SEMI,
    ACTIONS(9168), 1,
      sym__automatic_semicolon,
    STATE(5654), 1,
      sym_comment,
    STATE(6931), 1,
      sym_import_attribute,
  [186159] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9170), 1,
      sym_identifier,
    STATE(5273), 1,
      sym_nested_type_identifier,
    STATE(5655), 1,
      sym_comment,
    STATE(5883), 1,
      sym_generic_type,
    STATE(7122), 1,
      sym_nested_identifier,
  [186181] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9172), 1,
      anon_sym_SEMI,
    ACTIONS(9174), 1,
      sym__automatic_semicolon,
    STATE(5656), 1,
      sym_comment,
    STATE(6628), 1,
      sym_import_attribute,
  [186203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5657), 1,
      sym_comment,
    STATE(7025), 1,
      sym_import_attribute,
    ACTIONS(9176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5658), 1,
      sym_comment,
    STATE(6802), 1,
      sym_import_attribute,
    ACTIONS(9178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186243] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5659), 1,
      sym_comment,
    STATE(6801), 1,
      sym_import_attribute,
    ACTIONS(9180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186263] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9182), 1,
      anon_sym_SEMI,
    ACTIONS(9184), 1,
      sym__automatic_semicolon,
    STATE(5660), 1,
      sym_comment,
    STATE(6800), 1,
      sym_import_attribute,
  [186285] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(9186), 1,
      anon_sym_LBRACE,
    ACTIONS(9188), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5661), 1,
      sym_comment,
    STATE(5706), 1,
      aux_sym_extends_type_clause_repeat1,
  [186307] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5662), 1,
      sym_comment,
    STATE(5706), 1,
      aux_sym_extends_type_clause_repeat1,
  [186329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5663), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5664), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186369] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(9190), 1,
      anon_sym_LBRACE,
    ACTIONS(9192), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5665), 1,
      sym_comment,
    STATE(5706), 1,
      aux_sym_extends_type_clause_repeat1,
  [186391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5666), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5667), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9200), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5668), 1,
      sym_comment,
    STATE(7026), 1,
      sym_import_attribute,
    ACTIONS(9202), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186451] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9204), 1,
      anon_sym_SEMI,
    ACTIONS(9206), 1,
      sym__automatic_semicolon,
    STATE(5669), 1,
      sym_comment,
    STATE(7087), 1,
      sym_import_attribute,
  [186473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9208), 1,
      anon_sym_STAR,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    STATE(5670), 1,
      sym_comment,
    STATE(7126), 2,
      sym_namespace_import,
      sym_named_imports,
  [186493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9212), 1,
      anon_sym_RPAREN,
    STATE(5671), 1,
      sym_comment,
  [186515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_LT,
    STATE(2541), 1,
      sym_arguments,
    STATE(2543), 1,
      sym_type_arguments,
    STATE(5672), 1,
      sym_comment,
  [186537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5673), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5674), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5675), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9220), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186597] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9222), 1,
      anon_sym_SEMI,
    ACTIONS(9224), 1,
      sym__automatic_semicolon,
    STATE(5676), 1,
      sym_comment,
    STATE(6645), 1,
      sym_import_attribute,
  [186619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5677), 1,
      sym_comment,
    STATE(6646), 1,
      sym_import_attribute,
    ACTIONS(9226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186639] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(4103), 1,
      sym_arguments,
    STATE(4192), 1,
      sym_type_arguments,
    STATE(5678), 1,
      sym_comment,
  [186661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5679), 1,
      sym_comment,
    STATE(6647), 1,
      sym_import_attribute,
    ACTIONS(9228), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186681] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_LT,
    STATE(3071), 1,
      sym_arguments,
    STATE(3072), 1,
      sym_type_arguments,
    STATE(5680), 1,
      sym_comment,
  [186703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5681), 1,
      sym_comment,
    STATE(6582), 1,
      sym__from_clause,
    ACTIONS(5706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186723] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    STATE(5682), 1,
      sym_comment,
    STATE(7097), 1,
      sym__initializer,
    ACTIONS(9232), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [186743] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    ACTIONS(9234), 1,
      anon_sym_COMMA,
    ACTIONS(9236), 1,
      anon_sym_GT,
    STATE(5683), 1,
      sym_comment,
    STATE(5997), 1,
      aux_sym_type_arguments_repeat1,
  [186765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9238), 1,
      anon_sym_RBRACK,
    STATE(5684), 1,
      sym_comment,
  [186787] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9240), 1,
      anon_sym_RPAREN,
    STATE(5685), 1,
      sym_comment,
  [186809] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9242), 1,
      anon_sym_RBRACK,
    STATE(5686), 1,
      sym_comment,
  [186831] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9244), 1,
      anon_sym_RPAREN,
    STATE(5687), 1,
      sym_comment,
  [186853] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9246), 1,
      anon_sym_SQUOTE,
    STATE(5688), 1,
      sym_comment,
    STATE(5708), 1,
      aux_sym_string_repeat2,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186873] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9246), 1,
      anon_sym_DQUOTE,
    STATE(5689), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_string_repeat1,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186893] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9248), 1,
      anon_sym_RBRACK,
    STATE(5690), 1,
      sym_comment,
  [186915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5691), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9250), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186935] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5692), 1,
      sym_comment,
    STATE(7074), 1,
      sym_type_parameters,
    STATE(7390), 1,
      sym_formal_parameters,
  [186957] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9252), 1,
      anon_sym_RBRACK,
    STATE(5693), 1,
      sym_comment,
  [186979] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9254), 1,
      anon_sym_class,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5694), 1,
      sym_comment,
  [187001] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4768), 1,
      sym_formal_parameters,
    STATE(5695), 1,
      sym_comment,
    STATE(6869), 1,
      sym_type_parameters,
  [187023] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5696), 1,
      sym_comment,
    STATE(6758), 1,
      sym_type_parameters,
    STATE(7309), 1,
      sym_formal_parameters,
  [187045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5674), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5697), 1,
      sym_comment,
    ACTIONS(9256), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187065] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8142), 1,
      anon_sym_finally,
    STATE(5698), 1,
      sym_comment,
    STATE(6797), 1,
      sym_finally_clause,
    ACTIONS(3169), 2,
      anon_sym_else,
      anon_sym_while,
  [187085] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_COMMA,
    STATE(5675), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5699), 1,
      sym_comment,
    ACTIONS(9258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5700), 1,
      sym_comment,
    STATE(6664), 1,
      sym_import_attribute,
    ACTIONS(9260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    STATE(5701), 1,
      sym_comment,
    STATE(6668), 1,
      sym_import_attribute,
    ACTIONS(9262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187145] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5702), 1,
      sym_comment,
    STATE(6671), 1,
      sym__from_clause,
    ACTIONS(9264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187165] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5703), 1,
      sym_comment,
    STATE(7082), 1,
      sym_type_parameters,
    STATE(7396), 1,
      sym_formal_parameters,
  [187187] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9266), 1,
      anon_sym_DQUOTE,
    ACTIONS(9268), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5704), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [187205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_EQ,
    STATE(5705), 1,
      sym_comment,
    STATE(6841), 1,
      sym__initializer,
    ACTIONS(9271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [187225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9273), 1,
      anon_sym_LBRACE,
    ACTIONS(9275), 1,
      anon_sym_COMMA,
    ACTIONS(9278), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5706), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [187245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9282), 1,
      anon_sym_COMMA,
    STATE(5615), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5707), 1,
      sym_comment,
    ACTIONS(9280), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [187265] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9284), 1,
      anon_sym_SQUOTE,
    ACTIONS(9286), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5708), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [187283] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9289), 1,
      anon_sym_SQUOTE,
    STATE(5688), 1,
      aux_sym_string_repeat2,
    STATE(5709), 1,
      sym_comment,
    ACTIONS(8927), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187303] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9289), 1,
      anon_sym_DQUOTE,
    STATE(5689), 1,
      aux_sym_string_repeat1,
    STATE(5710), 1,
      sym_comment,
    ACTIONS(8947), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5711), 1,
      sym_comment,
    ACTIONS(6825), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187339] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    ACTIONS(9291), 1,
      anon_sym_GT,
    STATE(5712), 1,
      sym_comment,
    STATE(7000), 1,
      sym_type_parameter,
  [187361] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9293), 1,
      anon_sym_COLON,
    STATE(5713), 1,
      sym_comment,
  [187383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    STATE(5714), 1,
      sym_comment,
    STATE(6906), 1,
      sym__initializer,
    ACTIONS(9295), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [187403] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9282), 1,
      anon_sym_COMMA,
    STATE(5707), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5715), 1,
      sym_comment,
    ACTIONS(9297), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [187423] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(7047), 1,
      anon_sym_LT,
    STATE(3898), 1,
      sym_arguments,
    STATE(3946), 1,
      sym_type_arguments,
    STATE(5716), 1,
      sym_comment,
  [187445] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9299), 1,
      anon_sym_RPAREN,
    STATE(5717), 1,
      sym_comment,
  [187467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    STATE(5718), 1,
      sym_comment,
    STATE(7010), 1,
      sym_default_type,
    ACTIONS(9301), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [187487] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9303), 1,
      anon_sym_QMARK,
    STATE(5719), 1,
      sym_comment,
  [187509] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_comment,
    STATE(7008), 1,
      sym_type_parameters,
    STATE(7179), 1,
      sym_formal_parameters,
  [187531] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    ACTIONS(9305), 1,
      anon_sym_GT,
    STATE(5721), 1,
      sym_comment,
    STATE(7000), 1,
      sym_type_parameter,
  [187553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5722), 1,
      sym_comment,
    ACTIONS(9307), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [187569] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9309), 1,
      anon_sym_SEMI,
    ACTIONS(9311), 1,
      sym__automatic_semicolon,
    STATE(5723), 1,
      sym_comment,
    STATE(6782), 1,
      sym_import_attribute,
  [187591] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9313), 1,
      sym_identifier,
    STATE(4874), 1,
      sym_nested_type_identifier,
    STATE(5622), 1,
      sym_generic_type,
    STATE(5724), 1,
      sym_comment,
    STATE(7122), 1,
      sym_nested_identifier,
  [187613] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9315), 1,
      anon_sym_COLON,
    STATE(5725), 1,
      sym_comment,
  [187635] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9317), 1,
      anon_sym_export,
    STATE(4837), 1,
      aux_sym_export_statement_repeat1,
    STATE(5534), 1,
      sym_decorator,
    STATE(5726), 1,
      sym_comment,
  [187657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9319), 1,
      anon_sym_COMMA,
    ACTIONS(5809), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5727), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [187675] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9322), 1,
      anon_sym_SEMI,
    ACTIONS(9324), 1,
      sym__automatic_semicolon,
    STATE(5728), 1,
      sym_comment,
    STATE(7095), 1,
      sym_import_attribute,
  [187697] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5729), 1,
      sym_comment,
    STATE(6779), 1,
      sym_type_parameters,
    STATE(7144), 1,
      sym_formal_parameters,
  [187719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9326), 1,
      anon_sym_COMMA,
    ACTIONS(9329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5730), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [187737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4616), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(5731), 1,
      sym_comment,
    ACTIONS(9331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [187757] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9002), 1,
      anon_sym_with,
    ACTIONS(9333), 1,
      anon_sym_SEMI,
    ACTIONS(9335), 1,
      sym__automatic_semicolon,
    STATE(5732), 1,
      sym_comment,
    STATE(6950), 1,
      sym_import_attribute,
  [187779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5733), 1,
      sym_comment,
    STATE(7059), 1,
      sym_type_parameters,
    STATE(7520), 1,
      sym_formal_parameters,
  [187801] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    ACTIONS(9337), 1,
      anon_sym_RBRACK,
    STATE(5734), 1,
      sym_comment,
  [187823] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    ACTIONS(9339), 1,
      anon_sym_GT,
    STATE(5735), 1,
      sym_comment,
    STATE(7000), 1,
      sym_type_parameter,
  [187845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(5736), 1,
      sym_comment,
    STATE(7070), 1,
      sym_type_parameters,
    STATE(7505), 1,
      sym_formal_parameters,
  [187867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5737), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187897] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5739), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187912] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9345), 1,
      sym_identifier,
    ACTIONS(9347), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      sym_private_property_identifier,
    STATE(5740), 1,
      sym_comment,
  [187931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(9351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187946] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9353), 1,
      sym_identifier,
    ACTIONS(9355), 1,
      anon_sym_LBRACK,
    ACTIONS(9357), 1,
      sym_private_property_identifier,
    STATE(5742), 1,
      sym_comment,
  [187965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5743), 1,
      sym_comment,
    ACTIONS(9359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187980] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9361), 1,
      sym_identifier,
    ACTIONS(9363), 1,
      anon_sym_LBRACK,
    ACTIONS(9365), 1,
      sym_private_property_identifier,
    STATE(5744), 1,
      sym_comment,
  [187999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5745), 1,
      sym_comment,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188014] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(9373), 1,
      sym_private_property_identifier,
    STATE(5746), 1,
      sym_comment,
  [188033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5747), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5748), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188063] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_require,
    STATE(5749), 1,
      sym_comment,
    STATE(6366), 1,
      sym_nested_identifier,
  [188082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5750), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(5751), 1,
      sym_comment,
    ACTIONS(9383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5752), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5753), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5754), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9385), 1,
      anon_sym_COMMA,
    ACTIONS(9387), 1,
      anon_sym_RBRACK,
    STATE(5755), 1,
      sym_comment,
    STATE(6068), 1,
      aux_sym_tuple_type_repeat1,
  [188178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5756), 1,
      sym_comment,
    ACTIONS(9389), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5757), 1,
      sym_comment,
    ACTIONS(9391), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5758), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5759), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5760), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188253] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5762), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188283] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1265), 1,
      sym_object_type,
    STATE(5763), 1,
      sym_comment,
  [188302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(9393), 1,
      anon_sym_RPAREN,
    STATE(5764), 1,
      sym_comment,
    STATE(5830), 1,
      aux_sym_array_repeat1,
  [188321] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9395), 1,
      anon_sym_COMMA,
    ACTIONS(9397), 1,
      anon_sym_RBRACE,
    STATE(5765), 1,
      sym_comment,
    STATE(5801), 1,
      aux_sym_enum_body_repeat1,
  [188340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(9399), 1,
      anon_sym_RPAREN,
    STATE(5766), 1,
      sym_comment,
    STATE(5830), 1,
      aux_sym_array_repeat1,
  [188359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5767), 1,
      sym_comment,
    ACTIONS(9401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5768), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5769), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188404] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(9405), 1,
      anon_sym_RPAREN,
    STATE(5770), 1,
      sym_comment,
    STATE(7285), 1,
      sym_type_annotation,
  [188423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9407), 1,
      anon_sym_COMMA,
    ACTIONS(9409), 1,
      anon_sym_RBRACE,
    STATE(5771), 1,
      sym_comment,
    STATE(5935), 1,
      aux_sym_enum_body_repeat1,
  [188442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5772), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188457] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7245), 1,
      anon_sym_type,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(5773), 1,
      sym_comment,
    STATE(6935), 1,
      sym__import_identifier,
  [188476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9413), 1,
      anon_sym_COMMA,
    ACTIONS(9415), 1,
      anon_sym_GT,
    STATE(5774), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [188495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5775), 1,
      sym_comment,
    ACTIONS(9417), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5776), 1,
      sym_comment,
    ACTIONS(9401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9419), 1,
      anon_sym_COMMA,
    ACTIONS(9421), 1,
      anon_sym_RBRACK,
    STATE(5777), 1,
      sym_comment,
    STATE(6068), 1,
      aux_sym_tuple_type_repeat1,
  [188544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(5778), 1,
      sym_comment,
    ACTIONS(9383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(9423), 1,
      anon_sym_RPAREN,
    STATE(5779), 1,
      sym_comment,
    STATE(7156), 1,
      sym_type_annotation,
  [188580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5780), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6481), 1,
      sym__automatic_semicolon,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(2422), 2,
      anon_sym_else,
      anon_sym_while,
  [188627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5784), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9425), 1,
      anon_sym_COMMA,
    ACTIONS(9427), 1,
      anon_sym_RBRACE,
    STATE(5785), 1,
      sym_comment,
    STATE(6257), 1,
      aux_sym_named_imports_repeat1,
  [188676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6022), 1,
      anon_sym_extends,
    ACTIONS(9429), 1,
      anon_sym_AMP,
    ACTIONS(9431), 1,
      anon_sym_PIPE,
    STATE(5786), 1,
      sym_comment,
  [188695] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7245), 1,
      anon_sym_type,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(5787), 1,
      sym_comment,
    STATE(6941), 1,
      sym__import_identifier,
  [188714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9433), 1,
      anon_sym_as,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(9435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [188731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5789), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9329), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(5791), 1,
      sym_comment,
    STATE(6441), 1,
      sym__from_clause,
  [188780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(9439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188795] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    STATE(5514), 1,
      sym_export_clause,
    STATE(5793), 1,
      sym_comment,
  [188814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9046), 1,
      anon_sym_EQ,
    STATE(5794), 1,
      sym_comment,
    ACTIONS(9445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [188831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5795), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188861] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5798), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9449), 1,
      anon_sym_COMMA,
    ACTIONS(9451), 1,
      anon_sym_RBRACE,
    STATE(5799), 1,
      sym_comment,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
  [188910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(5800), 1,
      sym_comment,
    ACTIONS(9453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9455), 1,
      anon_sym_COMMA,
    ACTIONS(9457), 1,
      anon_sym_RBRACE,
    STATE(5801), 1,
      sym_comment,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
  [188946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(5802), 1,
      sym_comment,
    ACTIONS(9453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5803), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5804), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(9461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5806), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5807), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189038] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9463), 1,
      anon_sym_COMMA,
    ACTIONS(9465), 1,
      anon_sym_RBRACE,
    STATE(5808), 1,
      sym_comment,
    STATE(6152), 1,
      aux_sym_export_clause_repeat1,
  [189057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5809), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5810), 1,
      sym_comment,
    ACTIONS(9467), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [189087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9469), 1,
      anon_sym_as,
    STATE(5811), 1,
      sym_comment,
    ACTIONS(9471), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [189104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(9389), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189119] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(9473), 1,
      anon_sym_EQ,
    STATE(5813), 1,
      sym_comment,
    STATE(7244), 1,
      sym_type_parameters,
  [189138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5814), 1,
      sym_comment,
    ACTIONS(9475), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [189153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9477), 1,
      anon_sym_EQ,
    STATE(5815), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [189170] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9481), 1,
      sym__glimmer_template_content,
    ACTIONS(9484), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(5816), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [189187] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(5817), 1,
      sym_comment,
    ACTIONS(9486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189204] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9379), 1,
      anon_sym_require,
    ACTIONS(9488), 1,
      sym_identifier,
    STATE(5800), 1,
      sym_nested_identifier,
    STATE(5818), 1,
      sym_comment,
  [189223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(5819), 1,
      sym_comment,
    ACTIONS(9486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189240] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(5820), 1,
      sym_comment,
    STATE(5830), 1,
      aux_sym_array_repeat1,
  [189259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5821), 1,
      sym_comment,
    ACTIONS(9490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5822), 1,
      sym_comment,
    ACTIONS(9492), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(5823), 1,
      sym_comment,
    STATE(6139), 1,
      aux_sym_array_repeat1,
  [189308] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1677), 1,
      sym_object_type,
    STATE(5824), 1,
      sym_comment,
  [189327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5825), 1,
      sym_comment,
    ACTIONS(9494), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [189342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9496), 1,
      anon_sym_LBRACE,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(8759), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [189359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9498), 1,
      anon_sym_COMMA,
    ACTIONS(9500), 1,
      anon_sym_GT,
    STATE(5827), 1,
      sym_comment,
    STATE(6098), 1,
      aux_sym_type_parameters_repeat1,
  [189378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5828), 1,
      sym_comment,
    ACTIONS(7930), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [189393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9502), 1,
      anon_sym_COMMA,
    ACTIONS(9504), 1,
      anon_sym_GT,
    STATE(5829), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6103), 1,
      anon_sym_RPAREN,
    ACTIONS(9506), 1,
      anon_sym_COMMA,
    STATE(5830), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [189429] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9509), 1,
      anon_sym_COMMA,
    ACTIONS(9511), 1,
      anon_sym_GT,
    STATE(5831), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189448] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_COMMA,
    ACTIONS(9515), 1,
      anon_sym_GT,
    STATE(5832), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189467] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9517), 1,
      sym_identifier,
    STATE(5573), 1,
      sym_export_clause,
    STATE(5833), 1,
      sym_comment,
  [189486] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7115), 1,
      anon_sym_PIPE,
    ACTIONS(7117), 1,
      anon_sym_extends,
    STATE(5834), 1,
      sym_comment,
  [189505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5835), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5837), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5838), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5839), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189580] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(5840), 1,
      sym_comment,
    STATE(6545), 1,
      sym__from_clause,
  [189599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5841), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5842), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189629] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5843), 1,
      sym_comment,
    ACTIONS(3431), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [189644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5844), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5846), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5847), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5848), 1,
      sym_comment,
    ACTIONS(9523), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [189719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5849), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9525), 1,
      anon_sym_COMMA,
    ACTIONS(9527), 1,
      anon_sym_RBRACK,
    STATE(5850), 1,
      sym_comment,
    STATE(6070), 1,
      aux_sym_tuple_type_repeat1,
  [189753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5851), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5852), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_RPAREN,
    ACTIONS(9529), 1,
      anon_sym_COMMA,
    STATE(5853), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [189800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5854), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5855), 1,
      sym_comment,
    ACTIONS(9389), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5856), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(5857), 1,
      sym_comment,
  [189864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5858), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5860), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189924] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(5764), 1,
      aux_sym_array_repeat1,
    STATE(5862), 1,
      sym_comment,
  [189943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5863), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9534), 1,
      anon_sym_COMMA,
    ACTIONS(9537), 1,
      anon_sym_RPAREN,
    STATE(5864), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [189975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5865), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5866), 1,
      sym_comment,
    STATE(6776), 1,
      sym_object_type,
  [190009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5867), 1,
      sym_comment,
    ACTIONS(9401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5868), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      anon_sym_await,
    STATE(109), 1,
      sym__for_header,
    STATE(5869), 1,
      sym_comment,
  [190058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190073] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9543), 1,
      anon_sym_COMMA,
    ACTIONS(9545), 1,
      anon_sym_GT,
    STATE(5872), 1,
      sym_comment,
    STATE(6098), 1,
      aux_sym_type_parameters_repeat1,
  [190107] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9547), 1,
      sym_identifier,
    ACTIONS(9549), 1,
      anon_sym_SEMI,
    ACTIONS(9551), 1,
      sym__automatic_semicolon,
    STATE(5873), 1,
      sym_comment,
  [190126] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9555), 1,
      anon_sym_SEMI,
    ACTIONS(9557), 1,
      sym__automatic_semicolon,
    STATE(5874), 1,
      sym_comment,
  [190145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5875), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9559), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5877), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190190] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5920), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(5878), 1,
      sym_comment,
  [190209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5920), 1,
      anon_sym_RPAREN,
    STATE(5766), 1,
      aux_sym_array_repeat1,
    STATE(5879), 1,
      sym_comment,
  [190228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5880), 1,
      sym_comment,
    ACTIONS(6825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5881), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9561), 1,
      anon_sym_COMMA,
    ACTIONS(9563), 1,
      anon_sym_GT,
    STATE(5882), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [190277] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8732), 1,
      anon_sym_LBRACE,
    STATE(5883), 1,
      sym_comment,
    ACTIONS(8734), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5885), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5886), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5887), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5888), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190369] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9565), 1,
      anon_sym_COMMA,
    ACTIONS(9567), 1,
      anon_sym_GT,
    STATE(5889), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [190388] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1329), 1,
      sym_object_type,
    STATE(5890), 1,
      sym_comment,
  [190407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9569), 1,
      anon_sym_COMMA,
    ACTIONS(9572), 1,
      anon_sym_RBRACE,
    STATE(5891), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [190424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5892), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5893), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9574), 1,
      anon_sym_COMMA,
    ACTIONS(9577), 1,
      anon_sym_RBRACK,
    STATE(5895), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [190486] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      anon_sym_RPAREN,
    STATE(5896), 1,
      sym_comment,
    STATE(7121), 1,
      sym_type_annotation,
  [190505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5897), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5898), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5899), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5901), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5902), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190595] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9379), 1,
      anon_sym_require,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(5903), 1,
      sym_comment,
    STATE(6277), 1,
      sym_nested_identifier,
  [190614] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9583), 1,
      anon_sym_COMMA,
    ACTIONS(9585), 1,
      anon_sym_GT,
    STATE(5904), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [190633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9587), 1,
      anon_sym_COMMA,
    ACTIONS(9589), 1,
      anon_sym_GT,
    STATE(5905), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [190652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5906), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6103), 1,
      anon_sym_RBRACK,
    ACTIONS(9591), 1,
      anon_sym_COMMA,
    STATE(5907), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [190684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5908), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190699] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_RBRACK,
    STATE(5895), 1,
      aux_sym_array_pattern_repeat1,
    STATE(5909), 1,
      sym_comment,
  [190718] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(5907), 1,
      aux_sym_array_repeat1,
    STATE(5910), 1,
      sym_comment,
  [190737] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    STATE(5911), 1,
      sym_comment,
    STATE(6132), 1,
      sym_type_parameter,
  [190756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(9598), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [190771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5913), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190786] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9600), 1,
      anon_sym_COMMA,
    ACTIONS(9602), 1,
      anon_sym_GT,
    STATE(5914), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [190805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5915), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(9604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190835] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7434), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8561), 1,
      anon_sym_PIPE,
    STATE(5917), 1,
      sym_comment,
  [190854] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9606), 1,
      anon_sym_COMMA,
    ACTIONS(9608), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(5918), 1,
      sym_comment,
  [190873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9046), 1,
      anon_sym_EQ,
    STATE(5919), 1,
      sym_comment,
    ACTIONS(9577), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [190890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9610), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5922), 1,
      sym_comment,
    ACTIONS(6103), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [190935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5923), 1,
      sym_comment,
    ACTIONS(9610), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9612), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9614), 1,
      anon_sym_COMMA,
    ACTIONS(9616), 1,
      anon_sym_RBRACK,
    STATE(5777), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5925), 1,
      sym_comment,
  [190984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9618), 1,
      anon_sym_LBRACE,
    ACTIONS(9620), 1,
      anon_sym_LPAREN,
    STATE(1559), 1,
      sym_statement_block,
    STATE(5927), 1,
      sym_comment,
  [191018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5928), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5929), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5930), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5931), 1,
      sym_comment,
    ACTIONS(9622), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5932), 1,
      sym_comment,
    ACTIONS(9624), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5933), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5934), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(9628), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(5935), 1,
      sym_comment,
  [191142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6360), 1,
      sym__automatic_semicolon,
    STATE(5936), 1,
      sym_comment,
    ACTIONS(2364), 2,
      anon_sym_else,
      anon_sym_while,
  [191159] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6348), 1,
      sym__automatic_semicolon,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(2388), 2,
      anon_sym_else,
      anon_sym_while,
  [191176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(5755), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5938), 1,
      sym_comment,
  [191195] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9634), 1,
      sym_identifier,
    ACTIONS(9636), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      sym_private_property_identifier,
    STATE(5939), 1,
      sym_comment,
  [191214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6328), 1,
      sym__automatic_semicolon,
    STATE(5940), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_else,
      anon_sym_while,
  [191231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5941), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5942), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191261] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9640), 1,
      sym_identifier,
    STATE(5645), 1,
      sym_export_clause,
    STATE(5943), 1,
      sym_comment,
  [191280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6265), 1,
      sym__automatic_semicolon,
    STATE(5944), 1,
      sym_comment,
    ACTIONS(2318), 2,
      anon_sym_else,
      anon_sym_while,
  [191297] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(5945), 1,
      sym_comment,
    STATE(6673), 1,
      sym__from_clause,
  [191316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5946), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5947), 1,
      sym_comment,
    ACTIONS(9624), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5948), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5949), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5950), 1,
      sym_comment,
    ACTIONS(9642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5951), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5953), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5955), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5956), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191481] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9644), 1,
      anon_sym_COMMA,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(5864), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5957), 1,
      sym_comment,
  [191500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5958), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5959), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5961), 1,
      sym_comment,
    ACTIONS(9610), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191560] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_LBRACK,
    ACTIONS(9654), 1,
      sym_private_property_identifier,
    STATE(5962), 1,
      sym_comment,
  [191579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5963), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191594] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9656), 1,
      sym_identifier,
    STATE(5681), 1,
      sym_export_clause,
    STATE(5964), 1,
      sym_comment,
  [191613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5965), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5966), 1,
      sym_comment,
    ACTIONS(8027), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [191643] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(5967), 1,
      sym_comment,
    STATE(6676), 1,
      sym__from_clause,
  [191662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5968), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5969), 1,
      sym_comment,
    ACTIONS(9660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5970), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191707] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9662), 1,
      anon_sym_EQ,
    STATE(5971), 1,
      sym_comment,
    ACTIONS(4421), 2,
      anon_sym_in,
      anon_sym_of,
  [191724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5972), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9664), 1,
      anon_sym_LBRACE,
    ACTIONS(9666), 1,
      anon_sym_LPAREN,
    STATE(1179), 1,
      sym_statement_block,
    STATE(5973), 1,
      sym_comment,
  [191758] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    STATE(5974), 1,
      sym_comment,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
  [191777] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5975), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5976), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(8915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5978), 1,
      sym_comment,
    ACTIONS(9672), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [191837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5979), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191852] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9674), 1,
      sym_identifier,
    ACTIONS(9676), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      sym_private_property_identifier,
    STATE(5980), 1,
      sym_comment,
  [191871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      anon_sym_RBRACK,
    STATE(5895), 1,
      aux_sym_array_pattern_repeat1,
    STATE(5981), 1,
      sym_comment,
  [191890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5982), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(9682), 1,
      anon_sym_RBRACK,
    STATE(5907), 1,
      aux_sym_array_repeat1,
    STATE(5983), 1,
      sym_comment,
  [191924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5984), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5985), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191954] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8065), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5986), 1,
      sym_comment,
    STATE(6674), 1,
      sym_object_type,
  [191973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5987), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9684), 1,
      anon_sym_COMMA,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    STATE(5988), 1,
      sym_comment,
    STATE(6046), 1,
      aux_sym_tuple_type_repeat1,
  [192007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5989), 1,
      sym_comment,
    ACTIONS(8915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(9688), 1,
      anon_sym_LPAREN,
    STATE(5843), 1,
      sym_statement_block,
    STATE(5990), 1,
      sym_comment,
  [192041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5991), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5148), 1,
      anon_sym_extends,
    ACTIONS(9690), 1,
      anon_sym_AMP,
    ACTIONS(9692), 1,
      anon_sym_PIPE,
    STATE(5992), 1,
      sym_comment,
  [192075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9694), 1,
      anon_sym_LBRACE,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    STATE(1235), 1,
      sym_statement_block,
    STATE(5993), 1,
      sym_comment,
  [192094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5994), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9698), 1,
      anon_sym_COMMA,
    ACTIONS(9700), 1,
      anon_sym_GT,
    STATE(5995), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5996), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9702), 1,
      anon_sym_COMMA,
    ACTIONS(9704), 1,
      anon_sym_GT,
    STATE(5997), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_COMMA,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    STATE(5864), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5998), 1,
      sym_comment,
  [192181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9710), 1,
      anon_sym_COMMA,
    ACTIONS(9712), 1,
      anon_sym_GT,
    STATE(5999), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6000), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192230] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9714), 1,
      anon_sym_COMMA,
    ACTIONS(9716), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6002), 1,
      sym_comment,
  [192249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1387), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7999), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5059), 1,
      sym_object_type,
    STATE(6003), 1,
      sym_comment,
  [192268] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9379), 1,
      anon_sym_require,
    ACTIONS(9718), 1,
      sym_identifier,
    STATE(5751), 1,
      sym_nested_identifier,
    STATE(6004), 1,
      sym_comment,
  [192287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6005), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9720), 1,
      anon_sym_COMMA,
    ACTIONS(9722), 1,
      anon_sym_RBRACE,
    STATE(5785), 1,
      aux_sym_named_imports_repeat1,
    STATE(6006), 1,
      sym_comment,
  [192321] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      anon_sym_RPAREN,
    STATE(6007), 1,
      sym_comment,
    STATE(6058), 1,
      aux_sym_array_repeat1,
  [192340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6008), 1,
      sym_comment,
  [192359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6009), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9149), 1,
      anon_sym_as,
    STATE(6011), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [192406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192421] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9724), 1,
      anon_sym_COMMA,
    ACTIONS(9726), 1,
      anon_sym_RPAREN,
    STATE(5864), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6013), 1,
      sym_comment,
  [192440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6014), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6015), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192470] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9728), 1,
      anon_sym_COMMA,
    ACTIONS(9730), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6016), 1,
      sym_comment,
  [192489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6017), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6018), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9732), 1,
      anon_sym_EQ,
    STATE(6019), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [192536] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9734), 1,
      anon_sym_RBRACE,
    STATE(6020), 1,
      sym_comment,
    STATE(6036), 1,
      aux_sym_object_repeat1,
  [192555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(6023), 1,
      sym_comment,
    ACTIONS(9736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(6024), 1,
      sym_comment,
    ACTIONS(9736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9738), 1,
      anon_sym_RBRACE,
    STATE(6025), 1,
      sym_comment,
    STATE(6036), 1,
      aux_sym_object_repeat1,
  [192638] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    STATE(6026), 1,
      sym_comment,
    STATE(7000), 1,
      sym_type_parameter,
  [192657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6027), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6028), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6029), 1,
      sym_comment,
    ACTIONS(9740), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [192702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6030), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6031), 1,
      sym_comment,
    ACTIONS(9435), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [192732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6033), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9742), 1,
      anon_sym_COMMA,
    ACTIONS(9745), 1,
      anon_sym_RBRACE,
    STATE(6034), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [192779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9747), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RBRACE,
    STATE(6036), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [192811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6037), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9752), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6038), 1,
      sym_comment,
  [192845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6039), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192860] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(9754), 1,
      anon_sym_RBRACE,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6040), 1,
      sym_comment,
  [192879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192894] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_implements,
    ACTIONS(9756), 1,
      anon_sym_LBRACE,
    STATE(6042), 1,
      sym_comment,
    STATE(7291), 1,
      sym_implements_clause,
  [192913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6044), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9758), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    STATE(6046), 1,
      sym_comment,
    STATE(6068), 1,
      aux_sym_tuple_type_repeat1,
  [192977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6047), 1,
      sym_comment,
  [192996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6049), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6050), 1,
      sym_comment,
  [193045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6051), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6052), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6053), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193090] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      anon_sym_RBRACE,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6054), 1,
      sym_comment,
  [193109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1387), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7999), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5039), 1,
      sym_object_type,
    STATE(6055), 1,
      sym_comment,
  [193128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6056), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9768), 1,
      anon_sym_COMMA,
    ACTIONS(9770), 1,
      anon_sym_RBRACE,
    STATE(6057), 1,
      sym_comment,
    STATE(6093), 1,
      aux_sym_enum_body_repeat1,
  [193162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(9772), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6058), 1,
      sym_comment,
  [193181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6059), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(9774), 1,
      anon_sym_RBRACE,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6060), 1,
      sym_comment,
  [193215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6061), 1,
      sym_comment,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6063), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6064), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6065), 1,
      sym_comment,
  [193294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6066), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9780), 1,
      anon_sym_LBRACE,
    STATE(6067), 1,
      sym_comment,
    ACTIONS(8895), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [193326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9782), 1,
      anon_sym_COMMA,
    ACTIONS(9785), 1,
      anon_sym_RBRACK,
    STATE(6068), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [193343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6069), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9787), 1,
      anon_sym_COMMA,
    ACTIONS(9789), 1,
      anon_sym_RBRACK,
    STATE(6068), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6070), 1,
      sym_comment,
  [193377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9791), 1,
      anon_sym_as,
    STATE(6072), 1,
      sym_comment,
    ACTIONS(9793), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193409] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9795), 1,
      anon_sym_COMMA,
    ACTIONS(9797), 1,
      anon_sym_RBRACE,
    STATE(5808), 1,
      aux_sym_export_clause_repeat1,
    STATE(6073), 1,
      sym_comment,
  [193428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6075), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193458] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8262), 1,
      anon_sym_COMMA,
    ACTIONS(9799), 1,
      anon_sym_LBRACE,
    STATE(6076), 1,
      sym_comment,
    STATE(6101), 1,
      aux_sym_implements_clause_repeat1,
  [193477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_RPAREN,
    STATE(6077), 1,
      sym_comment,
    STATE(7190), 1,
      sym_type_annotation,
  [193496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6078), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6079), 1,
      sym_comment,
    ACTIONS(9803), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [193526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_DOT,
    STATE(6080), 1,
      sym_comment,
    ACTIONS(9805), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [193543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6081), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6083), 1,
      sym_comment,
    ACTIONS(9807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6084), 1,
      sym_comment,
    ACTIONS(9809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193603] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6085), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6086), 1,
      sym_comment,
    ACTIONS(9807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6088), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_GT,
    ACTIONS(9811), 1,
      anon_sym_COMMA,
    STATE(6089), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [193680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6090), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9814), 1,
      anon_sym_COMMA,
    ACTIONS(9816), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6091), 1,
      sym_comment,
  [193714] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9818), 1,
      sym_identifier,
    ACTIONS(9820), 1,
      anon_sym_LBRACK,
    ACTIONS(9822), 1,
      sym_private_property_identifier,
    STATE(6092), 1,
      sym_comment,
  [193733] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9824), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6093), 1,
      sym_comment,
  [193752] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(9828), 1,
      anon_sym_DOT,
    STATE(4873), 1,
      sym_arguments,
    STATE(6094), 1,
      sym_comment,
  [193771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6095), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6096), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6097), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9833), 1,
      anon_sym_GT,
    STATE(6098), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [193833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6099), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193848] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9835), 1,
      anon_sym_DQUOTE,
    ACTIONS(9837), 1,
      anon_sym_SQUOTE,
    STATE(5814), 1,
      sym_string,
    STATE(6100), 1,
      sym_comment,
  [193867] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8897), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_COMMA,
    STATE(6101), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [193884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6102), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6103), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6104), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6105), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6106), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193959] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6346), 1,
      sym__automatic_semicolon,
    STATE(6107), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
  [193976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6108), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6109), 1,
      sym_comment,
    ACTIONS(9809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194021] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1741), 1,
      sym_object_type,
    STATE(6111), 1,
      sym_comment,
  [194040] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9842), 1,
      anon_sym_COMMA,
    ACTIONS(9844), 1,
      anon_sym_RBRACE,
    STATE(6002), 1,
      aux_sym_enum_body_repeat1,
    STATE(6112), 1,
      sym_comment,
  [194059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6366), 1,
      sym__automatic_semicolon,
    STATE(6114), 1,
      sym_comment,
    ACTIONS(2322), 2,
      anon_sym_else,
      anon_sym_while,
  [194091] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9846), 1,
      sym_identifier,
    ACTIONS(9848), 1,
      anon_sym_LBRACK,
    ACTIONS(9850), 1,
      sym_private_property_identifier,
    STATE(6115), 1,
      sym_comment,
  [194110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6117), 1,
      sym_comment,
    ACTIONS(9532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6118), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6119), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6120), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6368), 1,
      sym__automatic_semicolon,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(2376), 2,
      anon_sym_else,
      anon_sym_while,
  [194202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6122), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194217] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6473), 1,
      sym__automatic_semicolon,
    STATE(6123), 1,
      sym_comment,
    ACTIONS(2326), 2,
      anon_sym_else,
      anon_sym_while,
  [194234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6475), 1,
      sym__automatic_semicolon,
    STATE(6124), 1,
      sym_comment,
    ACTIONS(2336), 2,
      anon_sym_else,
      anon_sym_while,
  [194251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6125), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9852), 1,
      anon_sym_LPAREN,
    ACTIONS(9854), 1,
      anon_sym_await,
    STATE(93), 1,
      sym__for_header,
    STATE(6126), 1,
      sym_comment,
  [194285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6127), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6128), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6129), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194330] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9856), 1,
      sym_identifier,
    ACTIONS(9858), 1,
      anon_sym_SEMI,
    ACTIONS(9860), 1,
      sym__automatic_semicolon,
    STATE(6130), 1,
      sym_comment,
  [194349] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9862), 1,
      sym_identifier,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      sym__automatic_semicolon,
    STATE(6131), 1,
      sym_comment,
  [194368] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9868), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_GT,
    STATE(5872), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6132), 1,
      sym_comment,
  [194387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6134), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6135), 1,
      sym_comment,
    ACTIONS(9872), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [194432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6136), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6138), 1,
      sym_comment,
    ACTIONS(9459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6139), 1,
      sym_comment,
  [194496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6140), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6142), 1,
      sym_comment,
    ACTIONS(9876), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [194541] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8011), 1,
      sym_identifier,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(8015), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [194558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6144), 1,
      sym_comment,
    ACTIONS(9521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6146), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194603] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6147), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6148), 1,
      sym_comment,
    ACTIONS(9878), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6149), 1,
      sym_comment,
    ACTIONS(9519), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6150), 1,
      sym_comment,
    ACTIONS(9880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6151), 1,
      sym_comment,
    ACTIONS(9882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9884), 1,
      anon_sym_COMMA,
    ACTIONS(9887), 1,
      anon_sym_RBRACE,
    STATE(6152), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [194695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6153), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194710] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_DOT,
    STATE(4504), 1,
      sym_arguments,
    STATE(6154), 1,
      sym_comment,
  [194729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6155), 1,
      sym_comment,
    ACTIONS(9893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(9895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6157), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194774] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9897), 1,
      sym_identifier,
    ACTIONS(9899), 1,
      anon_sym_LBRACK,
    ACTIONS(9901), 1,
      sym_private_property_identifier,
    STATE(6158), 1,
      sym_comment,
  [194793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9903), 1,
      anon_sym_COMMA,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(6013), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6159), 1,
      sym_comment,
  [194812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6160), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6161), 1,
      sym_comment,
    ACTIONS(9895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(9907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7997), 1,
      anon_sym_EQ,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(4421), 2,
      anon_sym_in,
      anon_sym_of,
  [194874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6165), 1,
      sym_comment,
    ACTIONS(9658), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9909), 1,
      anon_sym_COMMA,
    ACTIONS(9911), 1,
      anon_sym_GT,
    STATE(5827), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6166), 1,
      sym_comment,
  [194923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6167), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6168), 1,
      sym_comment,
    ACTIONS(9670), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(9913), 1,
      anon_sym_DOT,
    STATE(4510), 1,
      sym_arguments,
    STATE(6169), 1,
      sym_comment,
  [194972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(6170), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [194989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6171), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195004] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9917), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6172), 1,
      sym_comment,
  [195023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6173), 1,
      sym_comment,
    ACTIONS(9919), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195038] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      sym_identifier,
    ACTIONS(9129), 1,
      anon_sym_const,
    STATE(6166), 1,
      sym_type_parameter,
    STATE(6174), 1,
      sym_comment,
  [195057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6175), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9921), 1,
      anon_sym_LBRACE,
    STATE(6176), 1,
      sym_comment,
    ACTIONS(8858), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [195089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9923), 1,
      anon_sym_SQUOTE,
    STATE(6177), 1,
      sym_comment,
    ACTIONS(9925), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [195106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9917), 1,
      anon_sym_RBRACE,
    STATE(6020), 1,
      aux_sym_object_repeat1,
    STATE(6178), 1,
      sym_comment,
  [195125] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9927), 1,
      anon_sym_DQUOTE,
    STATE(6179), 1,
      sym_comment,
    ACTIONS(9929), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [195142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(6180), 1,
      sym_comment,
    STATE(7461), 1,
      sym_type_parameters,
  [195161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9933), 1,
      anon_sym_EQ,
    STATE(6181), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [195178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RBRACK,
    STATE(5895), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6182), 1,
      sym_comment,
  [195197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    STATE(6183), 1,
      sym_comment,
    ACTIONS(4331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [195214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(5907), 1,
      aux_sym_array_repeat1,
    STATE(6184), 1,
      sym_comment,
  [195233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6185), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6186), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(5910), 1,
      aux_sym_array_repeat1,
    STATE(6187), 1,
      sym_comment,
  [195282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RBRACK,
    STATE(5909), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6188), 1,
      sym_comment,
  [195301] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9938), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6189), 1,
      sym_comment,
  [195320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_while,
    ACTIONS(9940), 1,
      anon_sym_else,
    STATE(6190), 1,
      sym_comment,
    STATE(6939), 1,
      sym_else_clause,
  [195339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6191), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195354] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9379), 1,
      anon_sym_require,
    ACTIONS(9942), 1,
      sym_identifier,
    STATE(5817), 1,
      sym_nested_identifier,
    STATE(6192), 1,
      sym_comment,
  [195373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6193), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6194), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6196), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9050), 1,
      anon_sym_RBRACK,
    STATE(5895), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6197), 1,
      sym_comment,
  [195452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6198), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195467] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7245), 1,
      anon_sym_type,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(6199), 1,
      sym_comment,
    STATE(6774), 1,
      sym__import_identifier,
  [195486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6200), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(5907), 1,
      aux_sym_array_repeat1,
    STATE(6201), 1,
      sym_comment,
  [195520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6202), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6203), 1,
      sym_comment,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6204), 1,
      sym_comment,
    ACTIONS(9341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6205), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195580] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7245), 1,
      anon_sym_type,
    ACTIONS(9411), 1,
      sym_identifier,
    STATE(6206), 1,
      sym_comment,
    STATE(6824), 1,
      sym__import_identifier,
  [195599] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(5983), 1,
      aux_sym_array_repeat1,
    STATE(6207), 1,
      sym_comment,
  [195618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6209), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6210), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195663] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6211), 1,
      sym_comment,
  [195682] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9050), 1,
      anon_sym_RBRACK,
    STATE(5981), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6212), 1,
      sym_comment,
  [195701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6508), 1,
      sym__automatic_semicolon,
    STATE(6213), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
  [195718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6214), 1,
      sym_comment,
    ACTIONS(9952), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6216), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6217), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6218), 1,
      sym_comment,
    ACTIONS(9954), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195793] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym__automatic_semicolon,
    STATE(6219), 1,
      sym_comment,
    ACTIONS(2358), 2,
      anon_sym_else,
      anon_sym_while,
  [195810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6221), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6222), 1,
      sym_comment,
    ACTIONS(9954), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9956), 1,
      anon_sym_COMMA,
    ACTIONS(9958), 1,
      anon_sym_RPAREN,
    STATE(5957), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6223), 1,
      sym_comment,
  [195874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6224), 1,
      sym_comment,
    ACTIONS(9960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5941), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6225), 1,
      sym_comment,
  [195908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      anon_sym_LPAREN,
    STATE(998), 1,
      sym_statement_block,
    STATE(6226), 1,
      sym_comment,
  [195927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5941), 1,
      anon_sym_RPAREN,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    STATE(6227), 1,
      sym_comment,
  [195946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6228), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6229), 1,
      sym_comment,
    ACTIONS(9966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9968), 1,
      anon_sym_COMMA,
    ACTIONS(9970), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6230), 1,
      sym_comment,
  [195995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6231), 1,
      sym_comment,
    ACTIONS(8100), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [196010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(9972), 1,
      anon_sym_EQ,
    STATE(6232), 1,
      sym_comment,
    STATE(7496), 1,
      sym_type_parameters,
  [196029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6233), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6234), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(3247), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [196074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6236), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9976), 1,
      anon_sym_EQ,
    STATE(6237), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6238), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(9978), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196136] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9980), 1,
      anon_sym_COMMA,
    ACTIONS(9982), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6240), 1,
      sym_comment,
  [196155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    ACTIONS(9986), 1,
      anon_sym_RBRACK,
    STATE(6241), 1,
      sym_comment,
    STATE(6297), 1,
      aux_sym_tuple_type_repeat1,
  [196174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(9988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6243), 1,
      sym_comment,
    ACTIONS(9907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196204] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9990), 1,
      anon_sym_COMMA,
    ACTIONS(9992), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6244), 1,
      sym_comment,
  [196223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7610), 1,
      anon_sym_AMP,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_extends,
    STATE(6245), 1,
      sym_comment,
  [196242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(9966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196272] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9994), 1,
      anon_sym_COMMA,
    ACTIONS(9996), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6248), 1,
      sym_comment,
  [196291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6249), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9998), 1,
      anon_sym_COMMA,
    ACTIONS(10000), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6250), 1,
      sym_comment,
  [196325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10002), 1,
      anon_sym_COMMA,
    ACTIONS(10004), 1,
      anon_sym_RPAREN,
    STATE(5998), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6251), 1,
      sym_comment,
  [196344] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6252), 1,
      sym_comment,
  [196363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6253), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196378] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    STATE(5853), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6254), 1,
      sym_comment,
  [196397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(9907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7922), 1,
      anon_sym_LBRACE,
    ACTIONS(7928), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1583), 1,
      sym_object_type,
    STATE(6256), 1,
      sym_comment,
  [196431] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10010), 1,
      anon_sym_COMMA,
    ACTIONS(10013), 1,
      anon_sym_RBRACE,
    STATE(6257), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [196448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6258), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196463] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      anon_sym_SQUOTE,
    STATE(6259), 1,
      sym_comment,
    STATE(7272), 1,
      sym_string,
  [196482] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5953), 1,
      anon_sym_RPAREN,
    STATE(6260), 1,
      sym_comment,
    STATE(6309), 1,
      aux_sym_array_repeat1,
  [196501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5953), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6261), 1,
      sym_comment,
  [196520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6262), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6263), 1,
      sym_comment,
    ACTIONS(10015), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6264), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6265), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6266), 1,
      sym_comment,
    ACTIONS(10017), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6268), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196625] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10021), 1,
      anon_sym_EQ,
    STATE(6269), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196642] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10023), 1,
      sym_identifier,
    STATE(3674), 1,
      sym_decorator_member_expression,
    STATE(3809), 1,
      sym_decorator_call_expression,
    STATE(6270), 1,
      sym_comment,
  [196661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6272), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(6273), 1,
      sym_comment,
    STATE(7276), 1,
      sym_type_annotation,
  [196710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(10027), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196757] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(6277), 1,
      sym_comment,
    ACTIONS(10027), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6278), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_EQ,
    STATE(6279), 1,
      sym_comment,
    STATE(7524), 1,
      sym_type_parameters,
  [196808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6280), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6281), 1,
      sym_comment,
    ACTIONS(10031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6282), 1,
      sym_comment,
    ACTIONS(3245), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [196853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196868] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(10033), 1,
      anon_sym_RBRACE,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6284), 1,
      sym_comment,
  [196887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6285), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196902] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      anon_sym_RBRACE,
    STATE(6034), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6286), 1,
      sym_comment,
  [196921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4462), 1,
      anon_sym_LBRACE,
    STATE(6287), 1,
      sym_comment,
    ACTIONS(5248), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196938] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10037), 1,
      sym_identifier,
    ACTIONS(10039), 1,
      anon_sym_LBRACK,
    ACTIONS(10041), 1,
      sym_private_property_identifier,
    STATE(6288), 1,
      sym_comment,
  [196957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6289), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196972] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10043), 1,
      sym_identifier,
    ACTIONS(10045), 1,
      anon_sym_LBRACK,
    ACTIONS(10047), 1,
      sym_private_property_identifier,
    STATE(6290), 1,
      sym_comment,
  [196991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6291), 1,
      sym_comment,
    ACTIONS(9660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197006] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10049), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      anon_sym_LBRACK,
    ACTIONS(10053), 1,
      sym_private_property_identifier,
    STATE(6292), 1,
      sym_comment,
  [197025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6293), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197040] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10055), 1,
      sym_identifier,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      sym_private_property_identifier,
    STATE(6294), 1,
      sym_comment,
  [197059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197074] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(10061), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      aux_sym_object_repeat1,
    STATE(6296), 1,
      sym_comment,
  [197093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      anon_sym_RBRACK,
    STATE(6068), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6297), 1,
      sym_comment,
  [197112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6298), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6299), 1,
      sym_comment,
    ACTIONS(9343), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6300), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6301), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10067), 1,
      anon_sym_LPAREN,
    ACTIONS(10069), 1,
      anon_sym_await,
    STATE(98), 1,
      sym__for_header,
    STATE(6302), 1,
      sym_comment,
  [197191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(6303), 1,
      sym_comment,
    STATE(6866), 1,
      sym__from_clause,
  [197210] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10071), 1,
      sym_identifier,
    ACTIONS(10073), 1,
      anon_sym_SEMI,
    ACTIONS(10075), 1,
      sym__automatic_semicolon,
    STATE(6304), 1,
      sym_comment,
  [197229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6305), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197244] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7922), 1,
      anon_sym_LBRACE,
    ACTIONS(7928), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1487), 1,
      sym_object_type,
    STATE(6306), 1,
      sym_comment,
  [197263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(10061), 1,
      anon_sym_RBRACE,
    STATE(6038), 1,
      aux_sym_object_repeat1,
    STATE(6307), 1,
      sym_comment,
  [197282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10077), 1,
      anon_sym_COMMA,
    ACTIONS(10079), 1,
      anon_sym_RBRACE,
    STATE(6308), 1,
      sym_comment,
    STATE(6344), 1,
      aux_sym_enum_body_repeat1,
  [197301] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(10081), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6309), 1,
      sym_comment,
  [197320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6310), 1,
      sym_comment,
  [197339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6311), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197354] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10083), 1,
      sym_identifier,
    ACTIONS(10085), 1,
      anon_sym_SEMI,
    ACTIONS(10087), 1,
      sym__automatic_semicolon,
    STATE(6312), 1,
      sym_comment,
  [197373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6313), 1,
      sym_comment,
    ACTIONS(10031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197388] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    ACTIONS(9938), 1,
      anon_sym_RBRACE,
    STATE(6050), 1,
      aux_sym_object_repeat1,
    STATE(6314), 1,
      sym_comment,
  [197407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6315), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197422] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(10033), 1,
      anon_sym_RBRACE,
    STATE(6054), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6316), 1,
      sym_comment,
  [197441] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(10089), 1,
      anon_sym_EQ,
    STATE(6317), 1,
      sym_comment,
    STATE(7337), 1,
      sym_type_parameters,
  [197460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6318), 1,
      sym_comment,
    ACTIONS(7987), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [197475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    ACTIONS(10093), 1,
      anon_sym_await,
    STATE(76), 1,
      sym__for_header,
    STATE(6319), 1,
      sym_comment,
  [197494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6320), 1,
      sym_comment,
    ACTIONS(10095), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197509] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(10097), 1,
      sym_identifier,
    STATE(5649), 1,
      sym_export_clause,
    STATE(6321), 1,
      sym_comment,
  [197528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6322), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6323), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6324), 1,
      sym_comment,
    ACTIONS(3533), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [197573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6325), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6326), 1,
      sym_comment,
    ACTIONS(3633), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [197603] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6327), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6328), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6329), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7221), 1,
      anon_sym_LT,
    ACTIONS(10099), 1,
      anon_sym_EQ,
    STATE(6330), 1,
      sym_comment,
    STATE(7546), 1,
      sym_type_parameters,
  [197667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6331), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197682] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10101), 1,
      anon_sym_COMMA,
    ACTIONS(10103), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6332), 1,
      sym_comment,
  [197701] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(10105), 1,
      sym_identifier,
    STATE(5627), 1,
      sym_export_clause,
    STATE(6333), 1,
      sym_comment,
  [197720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10107), 1,
      anon_sym_COMMA,
    ACTIONS(10109), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6334), 1,
      sym_comment,
  [197739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6335), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6336), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197784] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    ACTIONS(9437), 1,
      anon_sym_as,
    STATE(6338), 1,
      sym_comment,
    STATE(6657), 1,
      sym__from_clause,
  [197803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6339), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6340), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6341), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197848] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_COMMA,
    ACTIONS(10113), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6342), 1,
      sym_comment,
  [197867] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    STATE(2108), 1,
      sym_decorator_member_expression,
    STATE(2185), 1,
      sym_decorator_call_expression,
    STATE(6343), 1,
      sym_comment,
  [197886] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10117), 1,
      anon_sym_COMMA,
    ACTIONS(10119), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym_enum_body_repeat1,
    STATE(6344), 1,
      sym_comment,
  [197905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6345), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6346), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6347), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6348), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(10121), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6349), 1,
      sym_comment,
  [197984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10123), 1,
      anon_sym_COMMA,
    ACTIONS(10125), 1,
      anon_sym_RBRACE,
    STATE(6332), 1,
      aux_sym_enum_body_repeat1,
    STATE(6350), 1,
      sym_comment,
  [198003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8029), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1109), 1,
      sym_object_type,
    STATE(6352), 1,
      sym_comment,
  [198037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6353), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6354), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6355), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6356), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198097] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10127), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_SEMI,
    ACTIONS(10131), 1,
      sym__automatic_semicolon,
    STATE(6357), 1,
      sym_comment,
  [198116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6358), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198131] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10133), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      anon_sym_SEMI,
    ACTIONS(10137), 1,
      sym__automatic_semicolon,
    STATE(6359), 1,
      sym_comment,
  [198150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6360), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6361), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6362), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198195] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10139), 1,
      sym_identifier,
    STATE(4708), 1,
      sym_decorator_member_expression,
    STATE(5605), 1,
      sym_decorator_call_expression,
    STATE(6363), 1,
      sym_comment,
  [198214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10141), 1,
      anon_sym_LPAREN,
    ACTIONS(10143), 1,
      anon_sym_await,
    STATE(75), 1,
      sym__for_header,
    STATE(6364), 1,
      sym_comment,
  [198233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6365), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7844), 1,
      anon_sym_DOT,
    STATE(6366), 1,
      sym_comment,
    ACTIONS(10145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    STATE(6367), 1,
      sym_comment,
    ACTIONS(10145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6368), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6369), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6370), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6371), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6372), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6373), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6374), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6375), 1,
      sym_comment,
    ACTIONS(10031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6376), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6377), 1,
      sym_comment,
    ACTIONS(10031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6378), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6379), 1,
      sym_comment,
    ACTIONS(10095), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6380), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6381), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6382), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6383), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6384), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(6385), 1,
      sym_comment,
    ACTIONS(5156), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_LBRACE,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(5021), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6387), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6388), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6389), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198616] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10147), 1,
      sym_identifier,
    ACTIONS(10149), 1,
      anon_sym_SEMI,
    ACTIONS(10151), 1,
      sym__automatic_semicolon,
    STATE(6390), 1,
      sym_comment,
  [198635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6391), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_LBRACE,
    STATE(6392), 1,
      sym_comment,
    ACTIONS(5025), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6393), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6394), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4441), 1,
      anon_sym_LBRACE,
    STATE(6395), 1,
      sym_comment,
    ACTIONS(5375), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6396), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6397), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6398), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6399), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6401), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198806] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(5830), 1,
      aux_sym_array_repeat1,
    STATE(6402), 1,
      sym_comment,
  [198825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    STATE(6403), 1,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6404), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(6405), 1,
      sym_comment,
    ACTIONS(5320), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6406), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6407), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(6349), 1,
      aux_sym_array_repeat1,
    STATE(6408), 1,
      sym_comment,
  [198923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6409), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6410), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(6411), 1,
      sym_comment,
    ACTIONS(5320), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6412), 1,
      sym_comment,
    ACTIONS(9660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6413), 1,
      sym_comment,
    ACTIONS(9660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199000] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8029), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1244), 1,
      sym_object_type,
    STATE(6414), 1,
      sym_comment,
  [199019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4443), 1,
      anon_sym_LBRACE,
    STATE(6415), 1,
      sym_comment,
    ACTIONS(5328), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_LBRACE,
    STATE(6416), 1,
      sym_comment,
    ACTIONS(5196), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10153), 1,
      anon_sym_COMMA,
    ACTIONS(10155), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6417), 1,
      sym_comment,
  [199072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6418), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4460), 1,
      anon_sym_LBRACE,
    STATE(6419), 1,
      sym_comment,
    ACTIONS(5202), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(6420), 1,
      sym_comment,
    ACTIONS(5023), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6421), 1,
      sym_comment,
    ACTIONS(9974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6422), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6423), 1,
      sym_comment,
    ACTIONS(9944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6424), 1,
      sym_comment,
    ACTIONS(9946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199181] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10157), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      anon_sym_SEMI,
    ACTIONS(10161), 1,
      sym__automatic_semicolon,
    STATE(6425), 1,
      sym_comment,
  [199200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6426), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10163), 1,
      anon_sym_COMMA,
    ACTIONS(10165), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6427), 1,
      sym_comment,
  [199234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6428), 1,
      sym_comment,
    ACTIONS(9948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_COMMA,
    ACTIONS(10169), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6429), 1,
      sym_comment,
  [199268] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10037), 1,
      sym_identifier,
    ACTIONS(10041), 1,
      sym_private_property_identifier,
    STATE(6430), 1,
      sym_comment,
  [199284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6431), 1,
      sym_comment,
    ACTIONS(3513), 2,
      anon_sym_else,
      anon_sym_while,
  [199298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10171), 1,
      anon_sym_LBRACE,
    STATE(1191), 1,
      sym_statement_block,
    STATE(6432), 1,
      sym_comment,
  [199314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym_parenthesized_expression,
    STATE(6433), 1,
      sym_comment,
  [199330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_class_body,
    STATE(6434), 1,
      sym_comment,
  [199346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym_parenthesized_expression,
    STATE(6435), 1,
      sym_comment,
  [199362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACE,
    STATE(1230), 1,
      sym_enum_body,
    STATE(6436), 1,
      sym_comment,
  [199378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6437), 1,
      sym_comment,
    STATE(6560), 1,
      sym_parenthesized_expression,
  [199394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6438), 1,
      sym_comment,
    ACTIONS(2312), 2,
      anon_sym_else,
      anon_sym_while,
  [199408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10179), 1,
      anon_sym_SEMI,
    ACTIONS(10181), 1,
      sym__automatic_semicolon,
    STATE(6439), 1,
      sym_comment,
  [199424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10183), 1,
      anon_sym_SEMI,
    ACTIONS(10185), 1,
      sym__automatic_semicolon,
    STATE(6440), 1,
      sym_comment,
  [199440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10187), 1,
      anon_sym_SEMI,
    ACTIONS(10189), 1,
      sym__automatic_semicolon,
    STATE(6441), 1,
      sym_comment,
  [199456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10191), 1,
      anon_sym_SEMI,
    ACTIONS(10193), 1,
      sym__automatic_semicolon,
    STATE(6442), 1,
      sym_comment,
  [199472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6443), 1,
      sym_comment,
    ACTIONS(10195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym_class_body,
    STATE(6444), 1,
      sym_comment,
  [199502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_enum_body,
    STATE(6445), 1,
      sym_comment,
  [199518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10197), 1,
      anon_sym_SEMI,
    ACTIONS(10199), 1,
      sym__automatic_semicolon,
    STATE(6446), 1,
      sym_comment,
  [199534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(6447), 1,
      sym_comment,
  [199550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6448), 1,
      sym_comment,
    ACTIONS(5461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3623), 1,
      sym_statement_block,
    STATE(6449), 1,
      sym_comment,
  [199580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_statement_block,
    STATE(6450), 1,
      sym_comment,
  [199596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_class_body,
    STATE(6451), 1,
      sym_comment,
  [199612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1302), 1,
      sym_class_body,
    STATE(6452), 1,
      sym_comment,
  [199628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_statement_block,
    STATE(6453), 1,
      sym_comment,
  [199644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10201), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    STATE(6454), 1,
      sym_comment,
  [199660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6455), 1,
      sym_comment,
    ACTIONS(2214), 2,
      anon_sym_else,
      anon_sym_while,
  [199674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6456), 1,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_else,
      anon_sym_while,
  [199688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6457), 1,
      sym_comment,
    ACTIONS(10203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199702] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6458), 1,
      sym_comment,
    ACTIONS(10205), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [199716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(74), 1,
      sym_parenthesized_expression,
    STATE(6459), 1,
      sym_comment,
  [199732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(6460), 1,
      sym_comment,
  [199748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_class_body,
    STATE(6461), 1,
      sym_comment,
  [199764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(4799), 1,
      sym_statement_block,
    STATE(6462), 1,
      sym_comment,
  [199780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6463), 1,
      sym_comment,
    ACTIONS(10207), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6464), 1,
      sym_comment,
    ACTIONS(5722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3621), 1,
      sym_statement_block,
    STATE(6465), 1,
      sym_comment,
  [199824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    STATE(1009), 1,
      sym_statement_block,
    STATE(6466), 1,
      sym_comment,
  [199840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_class_body,
    STATE(6467), 1,
      sym_comment,
  [199856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    STATE(6468), 1,
      sym_comment,
  [199872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8591), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_statement_block,
    STATE(6469), 1,
      sym_comment,
  [199888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
    STATE(6470), 1,
      sym_comment,
  [199904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(994), 1,
      sym_class_body,
    STATE(6471), 1,
      sym_comment,
  [199920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_class_body,
    STATE(6472), 1,
      sym_comment,
  [199936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8557), 1,
      anon_sym_LBRACE,
    STATE(981), 1,
      sym_statement_block,
    STATE(6473), 1,
      sym_comment,
  [199952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_class_body,
    STATE(6474), 1,
      sym_comment,
  [199968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1418), 1,
      sym_class_body,
    STATE(6475), 1,
      sym_comment,
  [199984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(4842), 1,
      sym_formal_parameters,
    STATE(6476), 1,
      sym_comment,
  [200000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_statement_block,
    STATE(6477), 1,
      sym_comment,
  [200016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_statement_block,
    STATE(6478), 1,
      sym_comment,
  [200032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6479), 1,
      sym_comment,
    ACTIONS(5671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1048), 1,
      sym_class_body,
    STATE(6480), 1,
      sym_comment,
  [200062] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10209), 1,
      sym_identifier,
    ACTIONS(10211), 1,
      anon_sym_STAR,
    STATE(6481), 1,
      sym_comment,
  [200078] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10213), 1,
      sym_identifier,
    ACTIONS(10215), 1,
      anon_sym_STAR,
    STATE(6482), 1,
      sym_comment,
  [200094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6483), 1,
      sym_comment,
    STATE(6684), 1,
      sym__from_clause,
  [200110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7229), 1,
      anon_sym_LPAREN,
    STATE(4344), 1,
      sym_formal_parameters,
    STATE(6484), 1,
      sym_comment,
  [200126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_class_body,
    STATE(6485), 1,
      sym_comment,
  [200142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym_class_body,
    STATE(6486), 1,
      sym_comment,
  [200158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6487), 1,
      sym_comment,
    ACTIONS(5622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8557), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_statement_block,
    STATE(6488), 1,
      sym_comment,
  [200188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_class_body,
    STATE(6489), 1,
      sym_comment,
  [200204] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10217), 1,
      sym_identifier,
    ACTIONS(10219), 1,
      anon_sym_STAR,
    STATE(6490), 1,
      sym_comment,
  [200220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6491), 1,
      sym_comment,
    ACTIONS(5626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6492), 1,
      sym_comment,
    ACTIONS(6790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6493), 1,
      sym_comment,
    ACTIONS(5842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7560), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_class_body,
    STATE(6494), 1,
      sym_comment,
  [200278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_statement_block,
    STATE(6495), 1,
      sym_comment,
  [200294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6496), 1,
      sym_comment,
    ACTIONS(6818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10221), 1,
      anon_sym_SEMI,
    ACTIONS(10223), 1,
      sym__automatic_semicolon,
    STATE(6497), 1,
      sym_comment,
  [200324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1177), 1,
      sym_class_body,
    STATE(6498), 1,
      sym_comment,
  [200340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_statement_block,
    STATE(6499), 1,
      sym_comment,
  [200356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8591), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_statement_block,
    STATE(6500), 1,
      sym_comment,
  [200372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1178), 1,
      sym_class_body,
    STATE(6501), 1,
      sym_comment,
  [200388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_class_body,
    STATE(6502), 1,
      sym_comment,
  [200404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_statement_block,
    STATE(6503), 1,
      sym_comment,
  [200420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6504), 1,
      sym_comment,
    ACTIONS(6786), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200434] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10225), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_STAR,
    STATE(6505), 1,
      sym_comment,
  [200450] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10231), 1,
      sym_private_property_identifier,
    STATE(6506), 1,
      sym_comment,
  [200466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_class_body,
    STATE(6507), 1,
      sym_comment,
  [200482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6508), 1,
      sym_comment,
    ACTIONS(3493), 2,
      anon_sym_else,
      anon_sym_while,
  [200496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3626), 1,
      sym_statement_block,
    STATE(6509), 1,
      sym_comment,
  [200512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6510), 1,
      sym_comment,
    ACTIONS(6802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200526] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10233), 1,
      sym_identifier,
    ACTIONS(10235), 1,
      sym_private_property_identifier,
    STATE(6511), 1,
      sym_comment,
  [200542] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10237), 1,
      sym_identifier,
    ACTIONS(10239), 1,
      sym_private_property_identifier,
    STATE(6512), 1,
      sym_comment,
  [200558] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10241), 1,
      sym_identifier,
    ACTIONS(10243), 1,
      sym_private_property_identifier,
    STATE(6513), 1,
      sym_comment,
  [200574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6514), 1,
      sym_comment,
    ACTIONS(2308), 2,
      anon_sym_else,
      anon_sym_while,
  [200588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6515), 1,
      sym_comment,
    ACTIONS(3539), 2,
      anon_sym_else,
      anon_sym_while,
  [200602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_statement_block,
    STATE(6516), 1,
      sym_comment,
  [200618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_class_body,
    STATE(6517), 1,
      sym_comment,
  [200634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6518), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_else,
      anon_sym_while,
  [200648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10245), 1,
      anon_sym_SEMI,
    ACTIONS(10247), 1,
      sym__automatic_semicolon,
    STATE(6519), 1,
      sym_comment,
  [200664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6520), 1,
      sym_comment,
    ACTIONS(10249), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_statement_block,
    STATE(6521), 1,
      sym_comment,
  [200694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6522), 1,
      sym_comment,
    ACTIONS(10251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_class_body,
    STATE(6523), 1,
      sym_comment,
  [200724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6524), 1,
      sym_comment,
    ACTIONS(10253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6525), 1,
      sym_comment,
    ACTIONS(6818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6526), 1,
      sym_comment,
    ACTIONS(3535), 2,
      anon_sym_else,
      anon_sym_while,
  [200766] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10255), 1,
      sym_identifier,
    ACTIONS(10257), 1,
      anon_sym_STAR,
    STATE(6527), 1,
      sym_comment,
  [200782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6528), 1,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_else,
      anon_sym_while,
  [200796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6529), 1,
      sym_comment,
    ACTIONS(3529), 2,
      anon_sym_else,
      anon_sym_while,
  [200810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6530), 1,
      sym_comment,
    ACTIONS(3525), 2,
      anon_sym_else,
      anon_sym_while,
  [200824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_statement_block,
    STATE(6531), 1,
      sym_comment,
  [200840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3617), 1,
      sym_statement_block,
    STATE(6532), 1,
      sym_comment,
  [200856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7766), 1,
      anon_sym_LBRACE,
    STATE(387), 1,
      sym_class_body,
    STATE(6533), 1,
      sym_comment,
  [200872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10171), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_statement_block,
    STATE(6534), 1,
      sym_comment,
  [200888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10259), 1,
      anon_sym_LPAREN,
    STATE(1073), 1,
      sym_parenthesized_expression,
    STATE(6535), 1,
      sym_comment,
  [200904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5669), 1,
      sym__from_clause,
    STATE(6536), 1,
      sym_comment,
  [200920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10261), 1,
      anon_sym_LBRACE,
    STATE(1492), 1,
      sym_enum_body,
    STATE(6537), 1,
      sym_comment,
  [200936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6538), 1,
      sym_comment,
    ACTIONS(9038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6539), 1,
      sym_comment,
    ACTIONS(10263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10265), 1,
      anon_sym_LBRACE,
    STATE(6540), 1,
      sym_comment,
    STATE(6960), 1,
      sym_switch_body,
  [200980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym__for_header,
    STATE(6541), 1,
      sym_comment,
  [200996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10269), 1,
      anon_sym_SEMI,
    ACTIONS(10271), 1,
      sym__automatic_semicolon,
    STATE(6542), 1,
      sym_comment,
  [201012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10273), 1,
      anon_sym_SEMI,
    ACTIONS(10275), 1,
      sym__automatic_semicolon,
    STATE(6543), 1,
      sym_comment,
  [201028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3625), 1,
      sym_statement_block,
    STATE(6544), 1,
      sym_comment,
  [201044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10277), 1,
      anon_sym_SEMI,
    ACTIONS(10279), 1,
      sym__automatic_semicolon,
    STATE(6545), 1,
      sym_comment,
  [201060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10261), 1,
      anon_sym_LBRACE,
    STATE(1379), 1,
      sym_enum_body,
    STATE(6546), 1,
      sym_comment,
  [201076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_statement_block,
    STATE(6547), 1,
      sym_comment,
  [201092] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10283), 1,
      sym_identifier,
    ACTIONS(10285), 1,
      anon_sym_STAR,
    STATE(6548), 1,
      sym_comment,
  [201108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10287), 1,
      anon_sym_COMMA,
    ACTIONS(10289), 1,
      anon_sym_from,
    STATE(6549), 1,
      sym_comment,
  [201124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6550), 1,
      sym_comment,
    STATE(6562), 1,
      sym_statement_block,
  [201140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6551), 1,
      sym_comment,
    ACTIONS(6794), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6552), 1,
      sym_comment,
    ACTIONS(6806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6553), 1,
      sym_comment,
    ACTIONS(10291), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6554), 1,
      sym_comment,
    ACTIONS(6786), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6555), 1,
      sym_comment,
    ACTIONS(10293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6556), 1,
      sym_comment,
    ACTIONS(3523), 2,
      anon_sym_else,
      anon_sym_while,
  [201224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6525), 1,
      sym_statement_block,
    STATE(6557), 1,
      sym_comment,
  [201240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6558), 1,
      sym_comment,
    ACTIONS(6790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201254] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10295), 1,
      sym_identifier,
    ACTIONS(10297), 1,
      anon_sym_STAR,
    STATE(6559), 1,
      sym_comment,
  [201270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10299), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_switch_body,
    STATE(6560), 1,
      sym_comment,
  [201286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6561), 1,
      sym_comment,
    STATE(6737), 1,
      sym_statement_block,
  [201302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6562), 1,
      sym_comment,
    ACTIONS(6836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6563), 1,
      sym_comment,
    STATE(6739), 1,
      sym_statement_block,
  [201332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym__for_header,
    STATE(6564), 1,
      sym_comment,
  [201348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6565), 1,
      sym_comment,
    ACTIONS(5838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6566), 1,
      sym_comment,
    ACTIONS(5844), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6567), 1,
      sym_comment,
    ACTIONS(5714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6568), 1,
      sym_comment,
    ACTIONS(5720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6569), 1,
      sym_comment,
    ACTIONS(10301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6570), 1,
      sym_comment,
    ACTIONS(10303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6571), 1,
      sym_comment,
    ACTIONS(3519), 2,
      anon_sym_else,
      anon_sym_while,
  [201446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3620), 1,
      sym_statement_block,
    STATE(6572), 1,
      sym_comment,
  [201462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym__for_header,
    STATE(6573), 1,
      sym_comment,
  [201478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10305), 1,
      anon_sym_LBRACE,
    STATE(1204), 1,
      sym_switch_body,
    STATE(6574), 1,
      sym_comment,
  [201494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6575), 1,
      sym_comment,
    ACTIONS(5811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6576), 1,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_else,
      anon_sym_while,
  [201522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6577), 1,
      sym_comment,
    ACTIONS(10307), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6578), 1,
      sym_comment,
    ACTIONS(10309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6579), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [201564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(6580), 1,
      sym_comment,
  [201580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3622), 1,
      sym_statement_block,
    STATE(6581), 1,
      sym_comment,
  [201596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10311), 1,
      anon_sym_SEMI,
    ACTIONS(10313), 1,
      sym__automatic_semicolon,
    STATE(6582), 1,
      sym_comment,
  [201612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6583), 1,
      sym_comment,
    ACTIONS(10315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3624), 1,
      sym_statement_block,
    STATE(6584), 1,
      sym_comment,
  [201642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10317), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    STATE(6585), 1,
      sym_comment,
  [201658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parenthesized_expression,
    STATE(6586), 1,
      sym_comment,
  [201674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(6587), 1,
      sym_comment,
  [201690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3629), 1,
      sym_statement_block,
    STATE(6588), 1,
      sym_comment,
  [201706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9664), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_statement_block,
    STATE(6589), 1,
      sym_comment,
  [201722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5015), 1,
      sym_class_body,
    STATE(6590), 1,
      sym_comment,
  [201738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2719), 1,
      sym_class_body,
    STATE(6591), 1,
      sym_comment,
  [201754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6592), 1,
      sym_comment,
    ACTIONS(5730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6593), 1,
      sym_comment,
    ACTIONS(5728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201782] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10319), 1,
      sym_identifier,
    ACTIONS(10321), 1,
      anon_sym_STAR,
    STATE(6594), 1,
      sym_comment,
  [201798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6595), 1,
      sym_comment,
    ACTIONS(3507), 2,
      anon_sym_else,
      anon_sym_while,
  [201812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(6798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2707), 1,
      sym_statement_block,
    STATE(6597), 1,
      sym_comment,
  [201842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6598), 1,
      sym_comment,
    ACTIONS(3505), 2,
      anon_sym_else,
      anon_sym_while,
  [201856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6599), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_else,
      anon_sym_while,
  [201870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6600), 1,
      sym_comment,
    ACTIONS(3501), 2,
      anon_sym_else,
      anon_sym_while,
  [201884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_STAR,
    STATE(6601), 1,
      sym_comment,
  [201900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6602), 1,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_else,
      anon_sym_while,
  [201914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9664), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_statement_block,
    STATE(6603), 1,
      sym_comment,
  [201930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5020), 1,
      sym_class_body,
    STATE(6604), 1,
      sym_comment,
  [201946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_statement_block,
    STATE(6605), 1,
      sym_comment,
  [201962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(4984), 1,
      sym_statement_block,
    STATE(6606), 1,
      sym_comment,
  [201978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5022), 1,
      sym_class_body,
    STATE(6607), 1,
      sym_comment,
  [201994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3401), 1,
      sym_class_body,
    STATE(6608), 1,
      sym_comment,
  [202010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5027), 1,
      sym_class_body,
    STATE(6609), 1,
      sym_comment,
  [202026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6610), 1,
      sym_comment,
    ACTIONS(3497), 2,
      anon_sym_else,
      anon_sym_while,
  [202040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6611), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_else,
      anon_sym_while,
  [202054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_statement_block,
    STATE(6612), 1,
      sym_comment,
  [202070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_else,
      anon_sym_while,
  [202084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3403), 1,
      sym_class_body,
    STATE(6614), 1,
      sym_comment,
  [202100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6615), 1,
      sym_comment,
    ACTIONS(6778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3405), 1,
      sym_statement_block,
    STATE(6616), 1,
      sym_comment,
  [202130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6617), 1,
      sym_comment,
    ACTIONS(10327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6618), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_else,
      anon_sym_while,
  [202158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6619), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_else,
      anon_sym_while,
  [202172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6620), 1,
      sym_comment,
    STATE(7253), 1,
      sym_formal_parameters,
  [202188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6621), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_else,
      anon_sym_while,
  [202202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10329), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_statement_block,
    STATE(6622), 1,
      sym_comment,
  [202218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10331), 1,
      anon_sym_LBRACE,
    STATE(1747), 1,
      sym_enum_body,
    STATE(6623), 1,
      sym_comment,
  [202234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10333), 1,
      sym_identifier,
    ACTIONS(10335), 1,
      sym_private_property_identifier,
    STATE(6624), 1,
      sym_comment,
  [202250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(3479), 2,
      anon_sym_else,
      anon_sym_while,
  [202264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3391), 1,
      sym_statement_block,
    STATE(6626), 1,
      sym_comment,
  [202280] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9846), 1,
      sym_identifier,
    ACTIONS(9850), 1,
      sym_private_property_identifier,
    STATE(6627), 1,
      sym_comment,
  [202296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10337), 1,
      anon_sym_SEMI,
    ACTIONS(10339), 1,
      sym__automatic_semicolon,
    STATE(6628), 1,
      sym_comment,
  [202312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5032), 1,
      sym_class_body,
    STATE(6629), 1,
      sym_comment,
  [202328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(5506), 1,
      sym_statement_block,
    STATE(6630), 1,
      sym_comment,
  [202344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5018), 1,
      sym_class_body,
    STATE(6631), 1,
      sym_comment,
  [202360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3376), 1,
      sym_class_body,
    STATE(6632), 1,
      sym_comment,
  [202376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6633), 1,
      sym_comment,
    STATE(7092), 1,
      sym_statement_block,
  [202392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10341), 1,
      anon_sym_LBRACE,
    STATE(6634), 1,
      sym_comment,
    STATE(7079), 1,
      sym_enum_body,
  [202408] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10343), 1,
      sym_identifier,
    ACTIONS(10345), 1,
      sym_private_property_identifier,
    STATE(6635), 1,
      sym_comment,
  [202424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5041), 1,
      sym_class_body,
    STATE(6636), 1,
      sym_comment,
  [202440] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      sym_private_property_identifier,
    STATE(6637), 1,
      sym_comment,
  [202456] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6638), 1,
      sym_comment,
    ACTIONS(10351), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [202470] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10355), 1,
      sym_private_property_identifier,
    STATE(6639), 1,
      sym_comment,
  [202486] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10357), 1,
      sym_identifier,
    ACTIONS(10359), 1,
      sym_private_property_identifier,
    STATE(6640), 1,
      sym_comment,
  [202502] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10361), 1,
      sym_identifier,
    ACTIONS(10363), 1,
      sym_private_property_identifier,
    STATE(6641), 1,
      sym_comment,
  [202518] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      sym_private_property_identifier,
    STATE(6642), 1,
      sym_comment,
  [202534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_statement_block,
    STATE(6643), 1,
      sym_comment,
  [202550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3323), 1,
      sym_class_body,
    STATE(6644), 1,
      sym_comment,
  [202566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10369), 1,
      anon_sym_SEMI,
    ACTIONS(10371), 1,
      sym__automatic_semicolon,
    STATE(6645), 1,
      sym_comment,
  [202582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6646), 1,
      sym_comment,
    ACTIONS(10373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6647), 1,
      sym_comment,
    ACTIONS(10375), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5050), 1,
      sym_class_body,
    STATE(6648), 1,
      sym_comment,
  [202626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3608), 1,
      sym_statement_block,
    STATE(6649), 1,
      sym_comment,
  [202642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6650), 1,
      sym_comment,
    ACTIONS(10377), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_statement_block,
    STATE(6651), 1,
      sym_comment,
  [202672] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9818), 1,
      sym_identifier,
    ACTIONS(9822), 1,
      sym_private_property_identifier,
    STATE(6652), 1,
      sym_comment,
  [202688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6653), 1,
      sym_comment,
    ACTIONS(8280), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [202702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6654), 1,
      sym_comment,
    ACTIONS(3477), 2,
      anon_sym_else,
      anon_sym_while,
  [202716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6655), 1,
      sym_comment,
    ACTIONS(3471), 2,
      anon_sym_else,
      anon_sym_while,
  [202730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3614), 1,
      sym_statement_block,
    STATE(6656), 1,
      sym_comment,
  [202746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10379), 1,
      anon_sym_SEMI,
    ACTIONS(10381), 1,
      sym__automatic_semicolon,
    STATE(6657), 1,
      sym_comment,
  [202762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3157), 1,
      sym_class_body,
    STATE(6658), 1,
      sym_comment,
  [202778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym_statement_block,
    STATE(6659), 1,
      sym_comment,
  [202794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3652), 1,
      sym_statement_block,
    STATE(6660), 1,
      sym_comment,
  [202810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(1595), 1,
      sym_parenthesized_expression,
    STATE(6661), 1,
      sym_comment,
  [202826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6662), 1,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_else,
      anon_sym_while,
  [202840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(5071), 1,
      sym_enum_body,
    STATE(6663), 1,
      sym_comment,
  [202856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6664), 1,
      sym_comment,
    ACTIONS(9226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3649), 1,
      sym_statement_block,
    STATE(6665), 1,
      sym_comment,
  [202886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(6666), 1,
      sym_comment,
  [202902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6540), 1,
      sym_parenthesized_expression,
    STATE(6667), 1,
      sym_comment,
  [202918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6668), 1,
      sym_comment,
    ACTIONS(10387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6669), 1,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_else,
      anon_sym_while,
  [202946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6670), 1,
      sym_comment,
    ACTIONS(3461), 2,
      anon_sym_else,
      anon_sym_while,
  [202960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10389), 1,
      anon_sym_SEMI,
    ACTIONS(10391), 1,
      sym__automatic_semicolon,
    STATE(6671), 1,
      sym_comment,
  [202976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6672), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_else,
      anon_sym_while,
  [202990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10393), 1,
      anon_sym_SEMI,
    ACTIONS(10395), 1,
      sym__automatic_semicolon,
    STATE(6673), 1,
      sym_comment,
  [203006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6674), 1,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_else,
      anon_sym_while,
  [203020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10397), 1,
      anon_sym_SEMI,
    ACTIONS(10399), 1,
      sym__automatic_semicolon,
    STATE(6675), 1,
      sym_comment,
  [203036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10401), 1,
      anon_sym_SEMI,
    ACTIONS(10403), 1,
      sym__automatic_semicolon,
    STATE(6676), 1,
      sym_comment,
  [203052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(5089), 1,
      sym_enum_body,
    STATE(6677), 1,
      sym_comment,
  [203068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(5054), 1,
      sym_statement_block,
    STATE(6678), 1,
      sym_comment,
  [203084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3642), 1,
      sym_statement_block,
    STATE(6679), 1,
      sym_comment,
  [203100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6680), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_else,
      anon_sym_while,
  [203114] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10405), 1,
      sym_identifier,
    ACTIONS(10407), 1,
      anon_sym_STAR,
    STATE(6681), 1,
      sym_comment,
  [203130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6682), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [203144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6683), 1,
      sym_comment,
    STATE(6691), 1,
      sym__from_clause,
  [203160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
    ACTIONS(10411), 1,
      sym__automatic_semicolon,
    STATE(6684), 1,
      sym_comment,
  [203176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10413), 1,
      anon_sym_SEMI,
    ACTIONS(10415), 1,
      sym__automatic_semicolon,
    STATE(6685), 1,
      sym_comment,
  [203192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6686), 1,
      sym_comment,
    ACTIONS(3449), 2,
      anon_sym_else,
      anon_sym_while,
  [203206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_else,
      anon_sym_while,
  [203220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6688), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_else,
      anon_sym_while,
  [203234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6689), 1,
      sym_comment,
    ACTIONS(9745), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6690), 1,
      sym_comment,
    ACTIONS(9750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10417), 1,
      anon_sym_SEMI,
    ACTIONS(10419), 1,
      sym__automatic_semicolon,
    STATE(6691), 1,
      sym_comment,
  [203278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6692), 1,
      sym_comment,
    ACTIONS(5763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9618), 1,
      anon_sym_LBRACE,
    STATE(1331), 1,
      sym_statement_block,
    STATE(6693), 1,
      sym_comment,
  [203308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10421), 1,
      anon_sym_SEMI,
    ACTIONS(10423), 1,
      sym__automatic_semicolon,
    STATE(6694), 1,
      sym_comment,
  [203324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5654), 1,
      sym__from_clause,
    STATE(6695), 1,
      sym_comment,
  [203340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6696), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_else,
      anon_sym_while,
  [203354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_statement_block,
    STATE(6697), 1,
      sym_comment,
  [203370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6698), 1,
      sym_comment,
    ACTIONS(6802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6699), 1,
      sym_comment,
    STATE(7012), 1,
      sym_statement_block,
  [203400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6700), 1,
      sym_comment,
    ACTIONS(3445), 2,
      anon_sym_else,
      anon_sym_while,
  [203414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6701), 1,
      sym_comment,
    ACTIONS(5761), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6554), 1,
      sym_statement_block,
    STATE(6702), 1,
      sym_comment,
  [203444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6703), 1,
      sym_comment,
    ACTIONS(10425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(10427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6705), 1,
      sym_comment,
    ACTIONS(3451), 2,
      anon_sym_else,
      anon_sym_while,
  [203486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym__for_header,
    STATE(6706), 1,
      sym_comment,
  [203502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6707), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [203516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6708), 1,
      sym_comment,
    STATE(7296), 1,
      sym_formal_parameters,
  [203532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10429), 1,
      anon_sym_LBRACE,
    STATE(1410), 1,
      sym_switch_body,
    STATE(6709), 1,
      sym_comment,
  [203548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6558), 1,
      sym_statement_block,
    STATE(6710), 1,
      sym_comment,
  [203564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6711), 1,
      sym_comment,
    ACTIONS(6798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1760), 1,
      sym_class_body,
    STATE(6712), 1,
      sym_comment,
  [203594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6713), 1,
      sym_comment,
    ACTIONS(10431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
    STATE(6714), 1,
      sym_comment,
  [203624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6715), 1,
      sym_comment,
    ACTIONS(10433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6716), 1,
      sym_comment,
    ACTIONS(5744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6717), 1,
      sym_comment,
    ACTIONS(9162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5732), 1,
      sym__from_clause,
    STATE(6718), 1,
      sym_comment,
  [203682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10341), 1,
      anon_sym_LBRACE,
    STATE(6719), 1,
      sym_comment,
    STATE(6946), 1,
      sym_enum_body,
  [203698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6720), 1,
      sym_comment,
    ACTIONS(10435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10437), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    STATE(6721), 1,
      sym_comment,
  [203728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6722), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [203742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6723), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [203756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6724), 1,
      sym_comment,
    ACTIONS(10439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6725), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [203784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6726), 1,
      sym_comment,
    STATE(6823), 1,
      sym_parenthesized_expression,
  [203800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10441), 1,
      anon_sym_LBRACE,
    STATE(6727), 1,
      sym_comment,
    STATE(7081), 1,
      sym_object,
  [203816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6728), 1,
      sym_comment,
    STATE(6820), 1,
      sym_statement_block,
  [203832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6729), 1,
      sym_comment,
    ACTIONS(9202), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7219), 1,
      anon_sym_COLON,
    STATE(5741), 1,
      sym_type_annotation,
    STATE(6730), 1,
      sym_comment,
  [203862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(6731), 1,
      sym_comment,
  [203878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6732), 1,
      sym_comment,
    ACTIONS(3485), 2,
      anon_sym_else,
      anon_sym_while,
  [203892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(6733), 1,
      sym_comment,
  [203908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3172), 1,
      sym_class_body,
    STATE(6734), 1,
      sym_comment,
  [203924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6735), 1,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_else,
      anon_sym_while,
  [203938] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3646), 1,
      sym_statement_block,
    STATE(6736), 1,
      sym_comment,
  [203954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6737), 1,
      sym_comment,
    ACTIONS(6842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6738), 1,
      sym_comment,
    STATE(6899), 1,
      sym_statement_block,
  [203984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6739), 1,
      sym_comment,
    ACTIONS(6854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9694), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_statement_block,
    STATE(6740), 1,
      sym_comment,
  [204014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5728), 1,
      sym__from_clause,
    STATE(6741), 1,
      sym_comment,
  [204030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1324), 1,
      sym_class_body,
    STATE(6742), 1,
      sym_comment,
  [204046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6743), 1,
      sym_comment,
    ACTIONS(3473), 2,
      anon_sym_else,
      anon_sym_while,
  [204060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_statement_block,
    STATE(6744), 1,
      sym_comment,
  [204076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10331), 1,
      anon_sym_LBRACE,
    STATE(1703), 1,
      sym_enum_body,
    STATE(6745), 1,
      sym_comment,
  [204092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_statement_block,
    STATE(6746), 1,
      sym_comment,
  [204108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6747), 1,
      sym_comment,
    ACTIONS(10443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_else,
      anon_sym_while,
  [204136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_else,
      anon_sym_while,
  [204150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_else,
      anon_sym_while,
  [204164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6751), 1,
      sym_comment,
    ACTIONS(10445), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [204178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3638), 1,
      sym_statement_block,
    STATE(6752), 1,
      sym_comment,
  [204194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6753), 1,
      sym_comment,
    ACTIONS(3511), 2,
      anon_sym_else,
      anon_sym_while,
  [204208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9694), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_statement_block,
    STATE(6754), 1,
      sym_comment,
  [204224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3641), 1,
      sym_statement_block,
    STATE(6755), 1,
      sym_comment,
  [204240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_class_body,
    STATE(6756), 1,
      sym_comment,
  [204256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(5359), 1,
      sym_formal_parameters,
    STATE(6757), 1,
      sym_comment,
  [204272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6758), 1,
      sym_comment,
    STATE(7145), 1,
      sym_formal_parameters,
  [204288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_statement_block,
    STATE(6759), 1,
      sym_comment,
  [204304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1305), 1,
      sym_class_body,
    STATE(6760), 1,
      sym_comment,
  [204320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_class_body,
    STATE(6761), 1,
      sym_comment,
  [204336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1293), 1,
      sym_class_body,
    STATE(6762), 1,
      sym_comment,
  [204352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(1688), 1,
      sym_parenthesized_expression,
    STATE(6763), 1,
      sym_comment,
  [204368] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10447), 1,
      sym_identifier,
    STATE(5800), 1,
      sym_nested_identifier,
    STATE(6764), 1,
      sym_comment,
  [204384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10329), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_statement_block,
    STATE(6765), 1,
      sym_comment,
  [204400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6766), 1,
      sym_comment,
    ACTIONS(9577), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204414] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10449), 1,
      sym_identifier,
    ACTIONS(10451), 1,
      sym_private_property_identifier,
    STATE(6767), 1,
      sym_comment,
  [204430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6768), 1,
      sym_comment,
    ACTIONS(3513), 2,
      anon_sym_else,
      anon_sym_while,
  [204444] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10453), 1,
      sym_identifier,
    ACTIONS(10455), 1,
      sym_private_property_identifier,
    STATE(6769), 1,
      sym_comment,
  [204460] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10457), 1,
      sym_identifier,
    ACTIONS(10459), 1,
      sym_private_property_identifier,
    STATE(6770), 1,
      sym_comment,
  [204476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6771), 1,
      sym_comment,
    ACTIONS(3521), 2,
      anon_sym_else,
      anon_sym_while,
  [204490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6772), 1,
      sym_comment,
    ACTIONS(3527), 2,
      anon_sym_else,
      anon_sym_while,
  [204504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6773), 1,
      sym_comment,
    ACTIONS(3541), 2,
      anon_sym_else,
      anon_sym_while,
  [204518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6774), 1,
      sym_comment,
    ACTIONS(10461), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_class_body,
    STATE(6775), 1,
      sym_comment,
  [204548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6776), 1,
      sym_comment,
    ACTIONS(3545), 2,
      anon_sym_else,
      anon_sym_while,
  [204562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(5416), 1,
      sym_formal_parameters,
    STATE(6777), 1,
      sym_comment,
  [204578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_statement_block,
    STATE(6778), 1,
      sym_comment,
  [204594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6779), 1,
      sym_comment,
    STATE(7146), 1,
      sym_formal_parameters,
  [204610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3630), 1,
      sym_statement_block,
    STATE(6780), 1,
      sym_comment,
  [204626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3140), 1,
      sym_class_body,
    STATE(6781), 1,
      sym_comment,
  [204642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10463), 1,
      anon_sym_SEMI,
    ACTIONS(10465), 1,
      sym__automatic_semicolon,
    STATE(6782), 1,
      sym_comment,
  [204658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_class_body,
    STATE(6783), 1,
      sym_comment,
  [204674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_statement_block,
    STATE(6784), 1,
      sym_comment,
  [204690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_class_body,
    STATE(6785), 1,
      sym_comment,
  [204706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(340), 1,
      sym_class_body,
    STATE(6786), 1,
      sym_comment,
  [204722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3643), 1,
      sym_statement_block,
    STATE(6787), 1,
      sym_comment,
  [204738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6788), 1,
      sym_comment,
    ACTIONS(3547), 2,
      anon_sym_else,
      anon_sym_while,
  [204752] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    ACTIONS(10469), 1,
      sym_private_property_identifier,
    STATE(6789), 1,
      sym_comment,
  [204768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7576), 1,
      anon_sym_LBRACE,
    STATE(1262), 1,
      sym_class_body,
    STATE(6790), 1,
      sym_comment,
  [204784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3248), 1,
      sym_statement_block,
    STATE(6791), 1,
      sym_comment,
  [204800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3182), 1,
      sym_statement_block,
    STATE(6792), 1,
      sym_comment,
  [204816] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10471), 1,
      sym_identifier,
    ACTIONS(10473), 1,
      sym_private_property_identifier,
    STATE(6793), 1,
      sym_comment,
  [204832] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      sym_private_property_identifier,
    STATE(6794), 1,
      sym_comment,
  [204848] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      sym_private_property_identifier,
    STATE(6795), 1,
      sym_comment,
  [204864] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9345), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      sym_private_property_identifier,
    STATE(6796), 1,
      sym_comment,
  [204880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6797), 1,
      sym_comment,
    ACTIONS(3553), 2,
      anon_sym_else,
      anon_sym_while,
  [204894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_statement_block,
    STATE(6798), 1,
      sym_comment,
  [204910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_class_body,
    STATE(6799), 1,
      sym_comment,
  [204926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10483), 1,
      anon_sym_SEMI,
    ACTIONS(10485), 1,
      sym__automatic_semicolon,
    STATE(6800), 1,
      sym_comment,
  [204942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6801), 1,
      sym_comment,
    ACTIONS(10487), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6802), 1,
      sym_comment,
    ACTIONS(10489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7590), 1,
      anon_sym_LBRACE,
    STATE(1215), 1,
      sym_class_body,
    STATE(6803), 1,
      sym_comment,
  [204986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6804), 1,
      sym_comment,
    ACTIONS(10491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6805), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_else,
      anon_sym_while,
  [205014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10493), 1,
      anon_sym_SEMI,
    ACTIONS(10495), 1,
      sym__automatic_semicolon,
    STATE(6806), 1,
      sym_comment,
  [205030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10497), 1,
      anon_sym_in,
    ACTIONS(10499), 1,
      anon_sym_COLON,
    STATE(6807), 1,
      sym_comment,
  [205046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6808), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_else,
      anon_sym_while,
  [205060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6809), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_else,
      anon_sym_while,
  [205074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6810), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_else,
      anon_sym_while,
  [205088] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10501), 1,
      sym_identifier,
    ACTIONS(10503), 1,
      sym_private_property_identifier,
    STATE(6811), 1,
      sym_comment,
  [205104] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10505), 1,
      sym_identifier,
    ACTIONS(10507), 1,
      sym_private_property_identifier,
    STATE(6812), 1,
      sym_comment,
  [205120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(5436), 1,
      sym_formal_parameters,
    STATE(6813), 1,
      sym_comment,
  [205136] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10509), 1,
      sym_identifier,
    ACTIONS(10511), 1,
      sym_private_property_identifier,
    STATE(6814), 1,
      sym_comment,
  [205152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    STATE(6815), 1,
      sym_comment,
    STATE(7023), 1,
      sym_type_annotation,
  [205168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9618), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_statement_block,
    STATE(6816), 1,
      sym_comment,
  [205184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6817), 1,
      sym_comment,
    ACTIONS(8306), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_class_body,
    STATE(6818), 1,
      sym_comment,
  [205214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8917), 1,
      anon_sym_in,
    ACTIONS(8919), 1,
      anon_sym_of,
    STATE(6819), 1,
      sym_comment,
  [205230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6820), 1,
      sym_comment,
    ACTIONS(3555), 2,
      anon_sym_else,
      anon_sym_while,
  [205244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6821), 1,
      sym_comment,
    ACTIONS(5663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6822), 1,
      sym_comment,
    STATE(7163), 1,
      sym_formal_parameters,
  [205274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6823), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_else,
      anon_sym_while,
  [205288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6824), 1,
      sym_comment,
    ACTIONS(10513), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_class_body,
    STATE(6825), 1,
      sym_comment,
  [205318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3211), 1,
      sym_class_body,
    STATE(6826), 1,
      sym_comment,
  [205334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3210), 1,
      sym_statement_block,
    STATE(6827), 1,
      sym_comment,
  [205350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6698), 1,
      sym_statement_block,
    STATE(6828), 1,
      sym_comment,
  [205366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6829), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(6806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6711), 1,
      sym_statement_block,
    STATE(6831), 1,
      sym_comment,
  [205410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6832), 1,
      sym_comment,
    ACTIONS(6794), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_class_body,
    STATE(6833), 1,
      sym_comment,
  [205440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    STATE(1494), 1,
      sym_statement_block,
    STATE(6834), 1,
      sym_comment,
  [205456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6835), 1,
      sym_comment,
    ACTIONS(10515), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6836), 1,
      sym_comment,
    ACTIONS(10517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_class_body,
    STATE(6837), 1,
      sym_comment,
  [205500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_class_body,
    STATE(6838), 1,
      sym_comment,
  [205516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10519), 1,
      anon_sym_LBRACE,
    STATE(1349), 1,
      sym_statement_block,
    STATE(6839), 1,
      sym_comment,
  [205532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10521), 1,
      anon_sym_LPAREN,
    STATE(1350), 1,
      sym_parenthesized_expression,
    STATE(6840), 1,
      sym_comment,
  [205548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6841), 1,
      sym_comment,
    ACTIONS(10523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10525), 1,
      anon_sym_LBRACE,
    STATE(1380), 1,
      sym_enum_body,
    STATE(6843), 1,
      sym_comment,
  [205592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6844), 1,
      sym_comment,
    ACTIONS(9180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6845), 1,
      sym_comment,
    ACTIONS(10527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1770), 1,
      sym_class_body,
    STATE(6846), 1,
      sym_comment,
  [205636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6847), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6848), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10529), 1,
      anon_sym_SEMI,
    ACTIONS(10531), 1,
      sym__automatic_semicolon,
    STATE(6850), 1,
      sym_comment,
  [205694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10533), 1,
      anon_sym_SEMI,
    ACTIONS(10535), 1,
      sym__automatic_semicolon,
    STATE(6851), 1,
      sym_comment,
  [205710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6852), 1,
      sym_comment,
    ACTIONS(9785), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6853), 1,
      sym_comment,
    ACTIONS(10537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3632), 1,
      sym_statement_block,
    STATE(6854), 1,
      sym_comment,
  [205754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6855), 1,
      sym_comment,
    ACTIONS(10539), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205768] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10541), 1,
      sym_identifier,
    ACTIONS(10543), 1,
      sym_private_property_identifier,
    STATE(6856), 1,
      sym_comment,
  [205784] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10545), 1,
      sym_identifier,
    ACTIONS(10547), 1,
      sym_private_property_identifier,
    STATE(6857), 1,
      sym_comment,
  [205800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6858), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205814] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10549), 1,
      sym_identifier,
    ACTIONS(10551), 1,
      sym_private_property_identifier,
    STATE(6859), 1,
      sym_comment,
  [205830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6860), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6861), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    STATE(2592), 1,
      sym_arguments,
    STATE(6862), 1,
      sym_comment,
  [205874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6863), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6864), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6865), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10553), 1,
      anon_sym_SEMI,
    ACTIONS(10555), 1,
      sym__automatic_semicolon,
    STATE(6866), 1,
      sym_comment,
  [205932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10525), 1,
      anon_sym_LBRACE,
    STATE(1439), 1,
      sym_enum_body,
    STATE(6867), 1,
      sym_comment,
  [205948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10519), 1,
      anon_sym_LBRACE,
    STATE(1451), 1,
      sym_statement_block,
    STATE(6868), 1,
      sym_comment,
  [205964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4549), 1,
      sym_formal_parameters,
    STATE(6869), 1,
      sym_comment,
  [205980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6870), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [205994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2591), 1,
      sym_class_body,
    STATE(6871), 1,
      sym_comment,
  [206010] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10557), 1,
      sym_identifier,
    ACTIONS(10559), 1,
      anon_sym_STAR,
    STATE(6872), 1,
      sym_comment,
  [206026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6874), 1,
      sym_comment,
    ACTIONS(2117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_statement_block,
    STATE(6875), 1,
      sym_comment,
  [206070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6876), 1,
      sym_comment,
    ACTIONS(3443), 2,
      anon_sym_else,
      anon_sym_while,
  [206084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10561), 1,
      anon_sym_SEMI,
    ACTIONS(10563), 1,
      sym__automatic_semicolon,
    STATE(6877), 1,
      sym_comment,
  [206100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6878), 1,
      sym_comment,
    ACTIONS(10565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(5936), 1,
      sym_class_body,
    STATE(6879), 1,
      sym_comment,
  [206130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6880), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6881), 1,
      sym_comment,
    ACTIONS(5489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6882), 1,
      sym_comment,
    ACTIONS(5491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6883), 1,
      sym_comment,
    ACTIONS(10567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6884), 1,
      sym_comment,
    ACTIONS(10569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    STATE(3288), 1,
      sym_arguments,
    STATE(6885), 1,
      sym_comment,
  [206216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym__for_header,
    STATE(6886), 1,
      sym_comment,
  [206232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10571), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_switch_body,
    STATE(6887), 1,
      sym_comment,
  [206248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4257), 1,
      sym_formal_parameters,
    STATE(6888), 1,
      sym_comment,
  [206264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6889), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(8427), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6891), 1,
      sym_comment,
    ACTIONS(8429), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6892), 1,
      sym_comment,
    ACTIONS(5628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6893), 1,
      sym_comment,
    ACTIONS(8445), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3290), 1,
      sym_class_body,
    STATE(6894), 1,
      sym_comment,
  [206350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6895), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_statement_block,
    STATE(6896), 1,
      sym_comment,
  [206380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_statement_block,
    STATE(6897), 1,
      sym_comment,
  [206396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2589), 1,
      sym_class_body,
    STATE(6898), 1,
      sym_comment,
  [206412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6899), 1,
      sym_comment,
    ACTIONS(6774), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206426] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10573), 1,
      sym_identifier,
    ACTIONS(10575), 1,
      anon_sym_STAR,
    STATE(6900), 1,
      sym_comment,
  [206442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6901), 1,
      sym_comment,
    ACTIONS(10577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10579), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    STATE(6902), 1,
      sym_comment,
  [206472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_class_body,
    STATE(6903), 1,
      sym_comment,
  [206488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_class_body,
    STATE(6904), 1,
      sym_comment,
  [206504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10581), 1,
      anon_sym_SEMI,
    ACTIONS(10583), 1,
      sym__automatic_semicolon,
    STATE(6905), 1,
      sym_comment,
  [206520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6906), 1,
      sym_comment,
    ACTIONS(10585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [206534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
    STATE(6907), 1,
      sym_comment,
  [206550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym_parenthesized_expression,
    STATE(6908), 1,
      sym_comment,
  [206566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6909), 1,
      sym_comment,
    ACTIONS(7488), 2,
      anon_sym_in,
      anon_sym_of,
  [206580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6910), 1,
      sym_comment,
    ACTIONS(3605), 2,
      anon_sym_else,
      anon_sym_while,
  [206594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6911), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2587), 1,
      sym_statement_block,
    STATE(6912), 1,
      sym_comment,
  [206624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(6913), 1,
      sym_comment,
  [206640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6887), 1,
      sym_parenthesized_expression,
    STATE(6914), 1,
      sym_comment,
  [206656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_else,
      anon_sym_while,
  [206670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6916), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_else,
      anon_sym_while,
  [206684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6917), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6918), 1,
      sym_comment,
    ACTIONS(10587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym_class_body,
    STATE(6919), 1,
      sym_comment,
  [206728] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10589), 1,
      sym_identifier,
    STATE(5751), 1,
      sym_nested_identifier,
    STATE(6920), 1,
      sym_comment,
  [206744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1291), 1,
      sym_class_body,
    STATE(6921), 1,
      sym_comment,
  [206760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6922), 1,
      sym_comment,
    ACTIONS(3653), 2,
      anon_sym_else,
      anon_sym_while,
  [206774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6923), 1,
      sym_comment,
    ACTIONS(3655), 2,
      anon_sym_else,
      anon_sym_while,
  [206788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3315), 1,
      sym_class_body,
    STATE(6924), 1,
      sym_comment,
  [206804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6925), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [206818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym_parenthesized_expression,
    STATE(6926), 1,
      sym_comment,
  [206834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6851), 1,
      sym__from_clause,
    STATE(6927), 1,
      sym_comment,
  [206850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6928), 1,
      sym_comment,
    ACTIONS(3651), 2,
      anon_sym_else,
      anon_sym_while,
  [206864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6929), 1,
      sym_comment,
    ACTIONS(10013), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5660), 1,
      sym__from_clause,
    STATE(6930), 1,
      sym_comment,
  [206894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10591), 1,
      anon_sym_SEMI,
    ACTIONS(10593), 1,
      sym__automatic_semicolon,
    STATE(6931), 1,
      sym_comment,
  [206910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6932), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6933), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6934), 1,
      sym_comment,
    ACTIONS(3649), 2,
      anon_sym_else,
      anon_sym_while,
  [206952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6935), 1,
      sym_comment,
    ACTIONS(10595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6936), 1,
      sym_comment,
    ACTIONS(3647), 2,
      anon_sym_else,
      anon_sym_while,
  [206980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6937), 1,
      sym_comment,
    ACTIONS(3563), 2,
      anon_sym_else,
      anon_sym_while,
  [206994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6938), 1,
      sym_comment,
    STATE(7280), 1,
      sym_formal_parameters,
  [207010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6939), 1,
      sym_comment,
    ACTIONS(3565), 2,
      anon_sym_else,
      anon_sym_while,
  [207024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6940), 1,
      sym_comment,
    ACTIONS(3645), 2,
      anon_sym_else,
      anon_sym_while,
  [207038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6941), 1,
      sym_comment,
    ACTIONS(10597), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6943), 1,
      sym_comment,
    ACTIONS(3639), 2,
      anon_sym_else,
      anon_sym_while,
  [207080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6944), 1,
      sym_comment,
    STATE(6971), 1,
      sym_statement_block,
  [207096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3169), 1,
      sym_class_body,
    STATE(6945), 1,
      sym_comment,
  [207112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_else,
      anon_sym_while,
  [207126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6947), 1,
      sym_comment,
    ACTIONS(3635), 2,
      anon_sym_else,
      anon_sym_while,
  [207140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5723), 1,
      sym__from_clause,
    STATE(6948), 1,
      sym_comment,
  [207156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6949), 1,
      sym_comment,
    ACTIONS(3615), 2,
      anon_sym_else,
      anon_sym_while,
  [207170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10599), 1,
      anon_sym_SEMI,
    ACTIONS(10601), 1,
      sym__automatic_semicolon,
    STATE(6950), 1,
      sym_comment,
  [207186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6951), 1,
      sym_comment,
    ACTIONS(3625), 2,
      anon_sym_else,
      anon_sym_while,
  [207200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6952), 1,
      sym_comment,
    ACTIONS(3623), 2,
      anon_sym_else,
      anon_sym_while,
  [207214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6953), 1,
      sym_comment,
    ACTIONS(3621), 2,
      anon_sym_else,
      anon_sym_while,
  [207228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3317), 1,
      sym_statement_block,
    STATE(6954), 1,
      sym_comment,
  [207244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3318), 1,
      sym_statement_block,
    STATE(6955), 1,
      sym_comment,
  [207260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6956), 1,
      sym_comment,
    STATE(7349), 1,
      sym_formal_parameters,
  [207276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6957), 1,
      sym_comment,
    ACTIONS(3619), 2,
      anon_sym_else,
      anon_sym_while,
  [207290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym_statement_block,
    STATE(6958), 1,
      sym_comment,
  [207306] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10603), 1,
      sym_identifier,
    STATE(5817), 1,
      sym_nested_identifier,
    STATE(6959), 1,
      sym_comment,
  [207322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(3617), 2,
      anon_sym_else,
      anon_sym_while,
  [207336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6961), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6962), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6963), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(6964), 1,
      sym_comment,
    STATE(7308), 1,
      sym_formal_parameters,
  [207394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6965), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6966), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3320), 1,
      sym_class_body,
    STATE(6967), 1,
      sym_comment,
  [207438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6968), 1,
      sym_comment,
    ACTIONS(6782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6830), 1,
      sym_statement_block,
    STATE(6969), 1,
      sym_comment,
  [207468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6970), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6971), 1,
      sym_comment,
    ACTIONS(6778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6832), 1,
      sym_statement_block,
    STATE(6972), 1,
      sym_comment,
  [207512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6973), 1,
      sym_comment,
    ACTIONS(3569), 2,
      anon_sym_else,
      anon_sym_while,
  [207526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6974), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_class_body,
    STATE(6975), 1,
      sym_comment,
  [207556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      sym_statement_block,
    STATE(6976), 1,
      sym_comment,
  [207572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6977), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6978), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7650), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_class_body,
    STATE(6979), 1,
      sym_comment,
  [207616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6980), 1,
      sym_comment,
    ACTIONS(10605), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_statement_block,
    STATE(6981), 1,
      sym_comment,
  [207646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6982), 1,
      sym_comment,
    ACTIONS(9887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6983), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_statement_block,
    STATE(6984), 1,
      sym_comment,
  [207690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3216), 1,
      sym_class_body,
    STATE(6985), 1,
      sym_comment,
  [207706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_class_body,
    STATE(6986), 1,
      sym_comment,
  [207722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6987), 1,
      sym_comment,
    ACTIONS(3571), 2,
      anon_sym_else,
      anon_sym_while,
  [207736] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10607), 1,
      sym_identifier,
    STATE(6366), 1,
      sym_nested_identifier,
    STATE(6988), 1,
      sym_comment,
  [207752] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10609), 1,
      sym_identifier,
    ACTIONS(10611), 1,
      sym_private_property_identifier,
    STATE(6989), 1,
      sym_comment,
  [207768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3650), 1,
      sym_statement_block,
    STATE(6990), 1,
      sym_comment,
  [207784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6991), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3640), 1,
      sym_statement_block,
    STATE(6992), 1,
      sym_comment,
  [207814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_statement_block,
    STATE(6993), 1,
      sym_comment,
  [207830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6994), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(1754), 1,
      sym_class_body,
    STATE(6995), 1,
      sym_comment,
  [207860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6996), 1,
      sym_comment,
    ACTIONS(9445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6282), 1,
      sym_statement_block,
    STATE(6997), 1,
      sym_comment,
  [207890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_statement_block,
    STATE(6998), 1,
      sym_comment,
  [207906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3605), 1,
      sym_statement_block,
    STATE(6999), 1,
      sym_comment,
  [207922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7000), 1,
      sym_comment,
    ACTIONS(9833), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [207936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(6515), 1,
      sym_class_body,
    STATE(7001), 1,
      sym_comment,
  [207952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7002), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7003), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3176), 1,
      sym_statement_block,
    STATE(7004), 1,
      sym_comment,
  [207996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7005), 1,
      sym_comment,
    ACTIONS(3573), 2,
      anon_sym_else,
      anon_sym_while,
  [208010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7006), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [208024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7007), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [208038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7008), 1,
      sym_comment,
    STATE(7263), 1,
      sym_formal_parameters,
  [208054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7009), 1,
      sym_comment,
    ACTIONS(3577), 2,
      anon_sym_else,
      anon_sym_while,
  [208068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(10613), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6968), 1,
      sym_statement_block,
    STATE(7011), 1,
      sym_comment,
  [208098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7012), 1,
      sym_comment,
    ACTIONS(6814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_class_body,
    STATE(7013), 1,
      sym_comment,
  [208128] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10615), 1,
      sym_identifier,
    ACTIONS(10617), 1,
      sym_private_property_identifier,
    STATE(7014), 1,
      sym_comment,
  [208144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6440), 1,
      sym__from_clause,
    STATE(7015), 1,
      sym_comment,
  [208160] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10619), 1,
      sym_identifier,
    ACTIONS(10621), 1,
      sym_private_property_identifier,
    STATE(7016), 1,
      sym_comment,
  [208176] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10623), 1,
      sym_identifier,
    ACTIONS(10625), 1,
      sym_private_property_identifier,
    STATE(7017), 1,
      sym_comment,
  [208192] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10627), 1,
      sym_identifier,
    ACTIONS(10629), 1,
      sym_private_property_identifier,
    STATE(7018), 1,
      sym_comment,
  [208208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7019), 1,
      sym_comment,
    ACTIONS(3579), 2,
      anon_sym_else,
      anon_sym_while,
  [208222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3319), 1,
      sym_statement_block,
    STATE(7020), 1,
      sym_comment,
  [208238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7021), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7022), 1,
      sym_comment,
    ACTIONS(10631), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7023), 1,
      sym_comment,
    ACTIONS(10633), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    STATE(6853), 1,
      sym_type_annotation,
    STATE(7024), 1,
      sym_comment,
  [208296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7025), 1,
      sym_comment,
    ACTIONS(10635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7026), 1,
      sym_comment,
    ACTIONS(10637), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7027), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7028), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(5434), 1,
      sym_formal_parameters,
    STATE(7029), 1,
      sym_comment,
  [208368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    STATE(6235), 1,
      sym_statement_block,
    STATE(7030), 1,
      sym_comment,
  [208384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_class_body,
    STATE(7031), 1,
      sym_comment,
  [208400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2782), 1,
      sym_statement_block,
    STATE(7032), 1,
      sym_comment,
  [208416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(7033), 1,
      sym_comment,
  [208432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6709), 1,
      sym_parenthesized_expression,
    STATE(7034), 1,
      sym_comment,
  [208448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7035), 1,
      sym_comment,
    ACTIONS(10639), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3618), 1,
      sym_statement_block,
    STATE(7036), 1,
      sym_comment,
  [208478] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10641), 1,
      sym_identifier,
    ACTIONS(10643), 1,
      sym_private_property_identifier,
    STATE(7037), 1,
      sym_comment,
  [208494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7038), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7039), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7040), 1,
      sym_comment,
    ACTIONS(10645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3648), 1,
      sym_statement_block,
    STATE(7041), 1,
      sym_comment,
  [208552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(6219), 1,
      sym_class_body,
    STATE(7042), 1,
      sym_comment,
  [208568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(6213), 1,
      sym_statement_block,
    STATE(7043), 1,
      sym_comment,
  [208584] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10647), 1,
      sym_identifier,
    ACTIONS(10649), 1,
      sym_private_property_identifier,
    STATE(7044), 1,
      sym_comment,
  [208600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7045), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7046), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6675), 1,
      sym__from_clause,
    STATE(7047), 1,
      sym_comment,
  [208644] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10651), 1,
      sym_identifier,
    ACTIONS(10653), 1,
      sym_private_property_identifier,
    STATE(7048), 1,
      sym_comment,
  [208660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(6576), 1,
      sym_class_body,
    STATE(7049), 1,
      sym_comment,
  [208676] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5676), 1,
      sym__from_clause,
    STATE(7050), 1,
      sym_comment,
  [208692] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9634), 1,
      sym_identifier,
    ACTIONS(9638), 1,
      sym_private_property_identifier,
    STATE(7051), 1,
      sym_comment,
  [208708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7052), 1,
      sym_comment,
    ACTIONS(3585), 2,
      anon_sym_else,
      anon_sym_while,
  [208722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7053), 1,
      sym_comment,
    ACTIONS(3587), 2,
      anon_sym_else,
      anon_sym_while,
  [208736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3278), 1,
      sym_class_body,
    STATE(7054), 1,
      sym_comment,
  [208752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7055), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7056), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7057), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7058), 1,
      sym_comment,
    STATE(7394), 1,
      sym_formal_parameters,
  [208810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7059), 1,
      sym_comment,
    STATE(7553), 1,
      sym_formal_parameters,
  [208826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7060), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(6610), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_comment,
  [208856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    STATE(4779), 1,
      sym_formal_parameters,
    STATE(7062), 1,
      sym_comment,
  [208872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7063), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [208886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7064), 1,
      sym_comment,
    ACTIONS(3589), 2,
      anon_sym_else,
      anon_sym_while,
  [208900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7065), 1,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_else,
      anon_sym_while,
  [208914] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10655), 1,
      sym_identifier,
    STATE(6277), 1,
      sym_nested_identifier,
    STATE(7066), 1,
      sym_comment,
  [208930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_LBRACE,
    STATE(427), 1,
      sym_statement_block,
    STATE(7067), 1,
      sym_comment,
  [208946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5656), 1,
      sym__from_clause,
    STATE(7068), 1,
      sym_comment,
  [208962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7069), 1,
      sym_comment,
    ACTIONS(10657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7070), 1,
      sym_comment,
    STATE(7113), 1,
      sym_formal_parameters,
  [208992] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10659), 1,
      sym_identifier,
    ACTIONS(10661), 1,
      sym_private_property_identifier,
    STATE(7071), 1,
      sym_comment,
  [209008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7702), 1,
      anon_sym_LBRACE,
    STATE(6682), 1,
      sym_class_body,
    STATE(7072), 1,
      sym_comment,
  [209024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3394), 1,
      sym_statement_block,
    STATE(7073), 1,
      sym_comment,
  [209040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7074), 1,
      sym_comment,
    STATE(7395), 1,
      sym_formal_parameters,
  [209056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7075), 1,
      sym_comment,
    ACTIONS(3611), 2,
      anon_sym_else,
      anon_sym_while,
  [209070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5553), 1,
      sym__from_clause,
    STATE(7076), 1,
      sym_comment,
  [209086] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10663), 1,
      sym_identifier,
    STATE(6024), 1,
      sym_nested_identifier,
    STATE(7077), 1,
      sym_comment,
  [209102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7078), 1,
      sym_comment,
    ACTIONS(10665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7079), 1,
      sym_comment,
    ACTIONS(3591), 2,
      anon_sym_else,
      anon_sym_while,
  [209130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_LBRACE,
    STATE(3222), 1,
      sym_class_body,
    STATE(7080), 1,
      sym_comment,
  [209146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7081), 1,
      sym_comment,
    ACTIONS(10667), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7082), 1,
      sym_comment,
    STATE(7439), 1,
      sym_formal_parameters,
  [209176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7083), 1,
      sym_comment,
    ACTIONS(3593), 2,
      anon_sym_else,
      anon_sym_while,
  [209190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7084), 1,
      sym_comment,
    ACTIONS(3609), 2,
      anon_sym_else,
      anon_sym_while,
  [209204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_class_body,
    STATE(7085), 1,
      sym_comment,
  [209220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7086), 1,
      sym_comment,
    ACTIONS(3607), 2,
      anon_sym_else,
      anon_sym_while,
  [209234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10669), 1,
      anon_sym_SEMI,
    ACTIONS(10671), 1,
      sym__automatic_semicolon,
    STATE(7087), 1,
      sym_comment,
  [209250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(3253), 1,
      sym_statement_block,
    STATE(7088), 1,
      sym_comment,
  [209266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7089), 1,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_else,
      anon_sym_while,
  [209280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    STATE(7090), 1,
      sym_comment,
    STATE(7510), 1,
      sym_formal_parameters,
  [209296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2688), 1,
      sym_class_body,
    STATE(7091), 1,
      sym_comment,
  [209312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7092), 1,
      sym_comment,
    ACTIONS(3595), 2,
      anon_sym_else,
      anon_sym_while,
  [209326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(6107), 1,
      sym_class_body,
    STATE(7093), 1,
      sym_comment,
  [209342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7094), 1,
      sym_comment,
    ACTIONS(3599), 2,
      anon_sym_else,
      anon_sym_while,
  [209356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10673), 1,
      anon_sym_SEMI,
    ACTIONS(10675), 1,
      sym__automatic_semicolon,
    STATE(7095), 1,
      sym_comment,
  [209372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(3531), 1,
      sym_class_body,
    STATE(7096), 1,
      sym_comment,
  [209388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7097), 1,
      sym_comment,
    ACTIONS(10677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7098), 1,
      sym_comment,
    ACTIONS(3597), 2,
      anon_sym_else,
      anon_sym_while,
  [209416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10177), 1,
      anon_sym_LPAREN,
    STATE(6574), 1,
      sym_parenthesized_expression,
    STATE(7099), 1,
      sym_comment,
  [209432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7100), 1,
      sym_comment,
    ACTIONS(10679), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2736), 1,
      sym_class_body,
    STATE(7101), 1,
      sym_comment,
  [209462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2730), 1,
      sym_statement_block,
    STATE(7102), 1,
      sym_comment,
  [209478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7842), 1,
      anon_sym_LBRACE,
    STATE(6121), 1,
      sym_statement_block,
    STATE(7103), 1,
      sym_comment,
  [209494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(5569), 1,
      sym__from_clause,
    STATE(7104), 1,
      sym_comment,
  [209510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_LBRACE,
    STATE(6123), 1,
      sym_class_body,
    STATE(7105), 1,
      sym_comment,
  [209526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7106), 1,
      sym_comment,
    ACTIONS(9537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5216), 1,
      anon_sym_LBRACE,
    STATE(2729), 1,
      sym_statement_block,
    STATE(7107), 1,
      sym_comment,
  [209556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7762), 1,
      anon_sym_LBRACE,
    STATE(2726), 1,
      sym_class_body,
    STATE(7108), 1,
      sym_comment,
  [209572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3651), 1,
      sym_statement_block,
    STATE(7109), 1,
      sym_comment,
  [209588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(3654), 1,
      sym_statement_block,
    STATE(7110), 1,
      sym_comment,
  [209604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_from,
    STATE(6543), 1,
      sym__from_clause,
    STATE(7111), 1,
      sym_comment,
  [209620] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10681), 1,
      sym_identifier,
    STATE(7112), 1,
      sym_comment,
  [209633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10683), 1,
      anon_sym_EQ_GT,
    STATE(7113), 1,
      sym_comment,
  [209646] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10685), 1,
      sym_identifier,
    STATE(7114), 1,
      sym_comment,
  [209659] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10687), 1,
      sym_identifier,
    STATE(7115), 1,
      sym_comment,
  [209672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10689), 1,
      sym_regex_pattern,
    STATE(7116), 1,
      sym_comment,
  [209685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10691), 1,
      sym_identifier,
    STATE(7117), 1,
      sym_comment,
  [209698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10693), 1,
      anon_sym_while,
    STATE(7118), 1,
      sym_comment,
  [209711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5955), 1,
      anon_sym_RPAREN,
    STATE(7119), 1,
      sym_comment,
  [209724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10695), 1,
      anon_sym_RBRACK,
    STATE(7120), 1,
      sym_comment,
  [209737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10697), 1,
      anon_sym_RPAREN,
    STATE(7121), 1,
      sym_comment,
  [209750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10699), 1,
      anon_sym_DOT,
    STATE(7122), 1,
      sym_comment,
  [209763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10701), 1,
      anon_sym_LBRACK,
    STATE(7123), 1,
      sym_comment,
  [209776] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10703), 1,
      sym_identifier,
    STATE(7124), 1,
      sym_comment,
  [209789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10705), 1,
      anon_sym_RBRACK,
    STATE(7125), 1,
      sym_comment,
  [209802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10707), 1,
      anon_sym_from,
    STATE(7126), 1,
      sym_comment,
  [209815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10709), 1,
      anon_sym_RBRACK,
    STATE(7127), 1,
      sym_comment,
  [209828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10711), 1,
      anon_sym_RBRACK,
    STATE(7128), 1,
      sym_comment,
  [209841] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10713), 1,
      sym_identifier,
    STATE(7129), 1,
      sym_comment,
  [209854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10715), 1,
      anon_sym_RBRACK,
    STATE(7130), 1,
      sym_comment,
  [209867] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10717), 1,
      sym_identifier,
    STATE(7131), 1,
      sym_comment,
  [209880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10719), 1,
      anon_sym_RBRACK,
    STATE(7132), 1,
      sym_comment,
  [209893] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10721), 1,
      sym_identifier,
    STATE(7133), 1,
      sym_comment,
  [209906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7514), 1,
      anon_sym_is,
    STATE(7134), 1,
      sym_comment,
  [209919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    STATE(7135), 1,
      sym_comment,
  [209932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10723), 1,
      anon_sym_RBRACK,
    STATE(7136), 1,
      sym_comment,
  [209945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10725), 1,
      anon_sym_RBRACK,
    STATE(7137), 1,
      sym_comment,
  [209958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    STATE(7138), 1,
      sym_comment,
  [209971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10729), 1,
      anon_sym_RBRACK,
    STATE(7139), 1,
      sym_comment,
  [209984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10731), 1,
      anon_sym_RBRACK,
    STATE(7140), 1,
      sym_comment,
  [209997] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10733), 1,
      sym_identifier,
    STATE(7141), 1,
      sym_comment,
  [210010] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10735), 1,
      sym_identifier,
    STATE(7142), 1,
      sym_comment,
  [210023] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10737), 1,
      sym_identifier,
    STATE(7143), 1,
      sym_comment,
  [210036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10739), 1,
      anon_sym_EQ_GT,
    STATE(7144), 1,
      sym_comment,
  [210049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10741), 1,
      anon_sym_EQ_GT,
    STATE(7145), 1,
      sym_comment,
  [210062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10743), 1,
      anon_sym_EQ_GT,
    STATE(7146), 1,
      sym_comment,
  [210075] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10745), 1,
      sym_identifier,
    STATE(7147), 1,
      sym_comment,
  [210088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10747), 1,
      anon_sym_DOT,
    STATE(7148), 1,
      sym_comment,
  [210101] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10749), 1,
      anon_sym_while,
    STATE(7149), 1,
      sym_comment,
  [210114] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10751), 1,
      sym_identifier,
    STATE(7150), 1,
      sym_comment,
  [210127] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10753), 1,
      sym_identifier,
    STATE(7151), 1,
      sym_comment,
  [210140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10755), 1,
      anon_sym_from,
    STATE(7152), 1,
      sym_comment,
  [210153] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10757), 1,
      sym_identifier,
    STATE(7153), 1,
      sym_comment,
  [210166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10759), 1,
      anon_sym_as,
    STATE(7154), 1,
      sym_comment,
  [210179] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10761), 1,
      sym_identifier,
    STATE(7155), 1,
      sym_comment,
  [210192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10763), 1,
      anon_sym_RPAREN,
    STATE(7156), 1,
      sym_comment,
  [210205] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10765), 1,
      sym_regex_pattern,
    STATE(7157), 1,
      sym_comment,
  [210218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10767), 1,
      anon_sym_EQ,
    STATE(7158), 1,
      sym_comment,
  [210231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10769), 1,
      anon_sym_RBRACK,
    STATE(7159), 1,
      sym_comment,
  [210244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10771), 1,
      anon_sym_RBRACK,
    STATE(7160), 1,
      sym_comment,
  [210257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10773), 1,
      anon_sym_require,
    STATE(7161), 1,
      sym_comment,
  [210270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10775), 1,
      anon_sym_from,
    STATE(7162), 1,
      sym_comment,
  [210283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10777), 1,
      anon_sym_EQ_GT,
    STATE(7163), 1,
      sym_comment,
  [210296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10779), 1,
      anon_sym_RBRACK,
    STATE(7164), 1,
      sym_comment,
  [210309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10781), 1,
      sym_identifier,
    STATE(7165), 1,
      sym_comment,
  [210322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10783), 1,
      sym_identifier,
    STATE(7166), 1,
      sym_comment,
  [210335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10785), 1,
      anon_sym_EQ_GT,
    STATE(7167), 1,
      sym_comment,
  [210348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10787), 1,
      anon_sym_EQ_GT,
    STATE(7168), 1,
      sym_comment,
  [210361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10789), 1,
      anon_sym_EQ_GT,
    STATE(7169), 1,
      sym_comment,
  [210374] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10791), 1,
      sym_identifier,
    STATE(7170), 1,
      sym_comment,
  [210387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10793), 1,
      anon_sym_RBRACK,
    STATE(7171), 1,
      sym_comment,
  [210400] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10795), 1,
      sym_identifier,
    STATE(7172), 1,
      sym_comment,
  [210413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(7173), 1,
      sym_comment,
  [210426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10799), 1,
      anon_sym_DOT,
    STATE(7174), 1,
      sym_comment,
  [210439] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10801), 1,
      sym_identifier,
    STATE(7175), 1,
      sym_comment,
  [210452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6259), 1,
      anon_sym_in,
    STATE(7176), 1,
      sym_comment,
  [210465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10803), 1,
      anon_sym_RBRACK,
    STATE(7177), 1,
      sym_comment,
  [210478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10805), 1,
      anon_sym_RBRACK,
    STATE(7178), 1,
      sym_comment,
  [210491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_EQ_GT,
    STATE(7179), 1,
      sym_comment,
  [210504] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10809), 1,
      sym_identifier,
    STATE(7180), 1,
      sym_comment,
  [210517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10811), 1,
      anon_sym_RBRACK,
    STATE(7181), 1,
      sym_comment,
  [210530] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10813), 1,
      sym_identifier,
    STATE(7182), 1,
      sym_comment,
  [210543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10815), 1,
      anon_sym_RBRACK,
    STATE(7183), 1,
      sym_comment,
  [210556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10817), 1,
      anon_sym_RBRACK,
    STATE(7184), 1,
      sym_comment,
  [210569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10819), 1,
      anon_sym_RBRACK,
    STATE(7185), 1,
      sym_comment,
  [210582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10821), 1,
      anon_sym_COLON,
    STATE(7186), 1,
      sym_comment,
  [210595] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10823), 1,
      sym_identifier,
    STATE(7187), 1,
      sym_comment,
  [210608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5895), 1,
      anon_sym_RBRACK,
    STATE(7188), 1,
      sym_comment,
  [210621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7111), 1,
      anon_sym_is,
    STATE(7189), 1,
      sym_comment,
  [210634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10825), 1,
      anon_sym_RPAREN,
    STATE(7190), 1,
      sym_comment,
  [210647] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10827), 1,
      sym_identifier,
    STATE(7191), 1,
      sym_comment,
  [210660] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10829), 1,
      sym_identifier,
    STATE(7192), 1,
      sym_comment,
  [210673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_RBRACK,
    STATE(7193), 1,
      sym_comment,
  [210686] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10833), 1,
      sym_identifier,
    STATE(7194), 1,
      sym_comment,
  [210699] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10835), 1,
      sym_identifier,
    STATE(7195), 1,
      sym_comment,
  [210712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10837), 1,
      anon_sym_DOT,
    STATE(7196), 1,
      sym_comment,
  [210725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10839), 1,
      anon_sym_while,
    STATE(7197), 1,
      sym_comment,
  [210738] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10841), 1,
      sym_identifier,
    STATE(7198), 1,
      sym_comment,
  [210751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10843), 1,
      anon_sym_from,
    STATE(7199), 1,
      sym_comment,
  [210764] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10845), 1,
      sym_identifier,
    STATE(7200), 1,
      sym_comment,
  [210777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10847), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_comment,
  [210790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5904), 1,
      anon_sym_COLON,
    STATE(7202), 1,
      sym_comment,
  [210803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10849), 1,
      sym_identifier,
    STATE(7203), 1,
      sym_comment,
  [210816] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10851), 1,
      sym_identifier,
    STATE(7204), 1,
      sym_comment,
  [210829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10853), 1,
      sym_regex_pattern,
    STATE(7205), 1,
      sym_comment,
  [210842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(7206), 1,
      sym_comment,
  [210855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6056), 1,
      anon_sym_in,
    STATE(7207), 1,
      sym_comment,
  [210868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(7208), 1,
      sym_comment,
  [210881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10855), 1,
      anon_sym_class,
    STATE(7209), 1,
      sym_comment,
  [210894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5910), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      sym_comment,
  [210907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10857), 1,
      anon_sym_EQ_GT,
    STATE(7211), 1,
      sym_comment,
  [210920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10859), 1,
      anon_sym_EQ,
    STATE(7212), 1,
      sym_comment,
  [210933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10861), 1,
      anon_sym_EQ,
    STATE(7213), 1,
      sym_comment,
  [210946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10863), 1,
      anon_sym_namespace,
    STATE(7214), 1,
      sym_comment,
  [210959] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5875), 1,
      anon_sym_in,
    STATE(7215), 1,
      sym_comment,
  [210972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10865), 1,
      anon_sym_EQ_GT,
    STATE(7216), 1,
      sym_comment,
  [210985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10867), 1,
      anon_sym_EQ_GT,
    STATE(7217), 1,
      sym_comment,
  [210998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10869), 1,
      anon_sym_EQ_GT,
    STATE(7218), 1,
      sym_comment,
  [211011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10871), 1,
      anon_sym_from,
    STATE(7219), 1,
      sym_comment,
  [211024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10873), 1,
      anon_sym_EQ_GT,
    STATE(7220), 1,
      sym_comment,
  [211037] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    STATE(7221), 1,
      sym_comment,
  [211050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10877), 1,
      anon_sym_EQ,
    STATE(7222), 1,
      sym_comment,
  [211063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10879), 1,
      anon_sym_EQ_GT,
    STATE(7223), 1,
      sym_comment,
  [211076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10881), 1,
      anon_sym_EQ,
    STATE(7224), 1,
      sym_comment,
  [211089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10883), 1,
      anon_sym_EQ_GT,
    STATE(7225), 1,
      sym_comment,
  [211102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10885), 1,
      anon_sym_EQ_GT,
    STATE(7226), 1,
      sym_comment,
  [211115] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10887), 1,
      anon_sym_EQ_GT,
    STATE(7227), 1,
      sym_comment,
  [211128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6648), 1,
      anon_sym_in,
    STATE(7228), 1,
      sym_comment,
  [211141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10889), 1,
      anon_sym_RBRACK,
    STATE(7229), 1,
      sym_comment,
  [211154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5377), 1,
      anon_sym_RPAREN,
    STATE(7230), 1,
      sym_comment,
  [211167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10891), 1,
      anon_sym_EQ_GT,
    STATE(7231), 1,
      sym_comment,
  [211180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6002), 1,
      anon_sym_RBRACK,
    STATE(7232), 1,
      sym_comment,
  [211193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10893), 1,
      anon_sym_EQ_GT,
    STATE(7233), 1,
      sym_comment,
  [211206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10895), 1,
      anon_sym_EQ_GT,
    STATE(7234), 1,
      sym_comment,
  [211219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10897), 1,
      anon_sym_EQ,
    STATE(7235), 1,
      sym_comment,
  [211232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10899), 1,
      anon_sym_new,
    STATE(7236), 1,
      sym_comment,
  [211245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9640), 1,
      sym_identifier,
    STATE(7237), 1,
      sym_comment,
  [211258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10901), 1,
      anon_sym_class,
    STATE(7238), 1,
      sym_comment,
  [211271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10903), 1,
      anon_sym_EQ,
    STATE(7239), 1,
      sym_comment,
  [211284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10905), 1,
      sym_number,
    STATE(7240), 1,
      sym_comment,
  [211297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10907), 1,
      anon_sym_EQ,
    STATE(7241), 1,
      sym_comment,
  [211310] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10909), 1,
      sym_identifier,
    STATE(7242), 1,
      sym_comment,
  [211323] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10911), 1,
      sym_identifier,
    STATE(7243), 1,
      sym_comment,
  [211336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10913), 1,
      anon_sym_EQ,
    STATE(7244), 1,
      sym_comment,
  [211349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10915), 1,
      anon_sym_symbol,
    STATE(7245), 1,
      sym_comment,
  [211362] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10917), 1,
      sym_identifier,
    STATE(7246), 1,
      sym_comment,
  [211375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10919), 1,
      anon_sym_EQ_GT,
    STATE(7247), 1,
      sym_comment,
  [211388] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10921), 1,
      sym_identifier,
    STATE(7248), 1,
      sym_comment,
  [211401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5949), 1,
      anon_sym_RBRACE,
    STATE(7249), 1,
      sym_comment,
  [211414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10923), 1,
      anon_sym_RBRACK,
    STATE(7250), 1,
      sym_comment,
  [211427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10925), 1,
      anon_sym_RBRACK,
    STATE(7251), 1,
      sym_comment,
  [211440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10927), 1,
      anon_sym_RBRACK,
    STATE(7252), 1,
      sym_comment,
  [211453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10929), 1,
      anon_sym_EQ_GT,
    STATE(7253), 1,
      sym_comment,
  [211466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10931), 1,
      anon_sym_RBRACK,
    STATE(7254), 1,
      sym_comment,
  [211479] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10933), 1,
      anon_sym_RBRACK,
    STATE(7255), 1,
      sym_comment,
  [211492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10935), 1,
      anon_sym_RBRACK,
    STATE(7256), 1,
      sym_comment,
  [211505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10937), 1,
      anon_sym_RBRACK,
    STATE(7257), 1,
      sym_comment,
  [211518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10939), 1,
      anon_sym_RBRACK,
    STATE(7258), 1,
      sym_comment,
  [211531] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10941), 1,
      sym_identifier,
    STATE(7259), 1,
      sym_comment,
  [211544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10943), 1,
      anon_sym_RBRACK,
    STATE(7260), 1,
      sym_comment,
  [211557] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    STATE(7261), 1,
      sym_comment,
  [211570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10947), 1,
      anon_sym_RBRACK,
    STATE(7262), 1,
      sym_comment,
  [211583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10949), 1,
      anon_sym_EQ_GT,
    STATE(7263), 1,
      sym_comment,
  [211596] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10951), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_comment,
  [211609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10953), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_comment,
  [211622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON,
    STATE(7266), 1,
      sym_comment,
  [211635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10957), 1,
      anon_sym_RPAREN,
    STATE(7267), 1,
      sym_comment,
  [211648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(7268), 1,
      sym_comment,
  [211661] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10959), 1,
      sym_identifier,
    STATE(7269), 1,
      sym_comment,
  [211674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10961), 1,
      anon_sym_EQ_GT,
    STATE(7270), 1,
      sym_comment,
  [211687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10963), 1,
      anon_sym_from,
    STATE(7271), 1,
      sym_comment,
  [211700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10965), 1,
      anon_sym_RPAREN,
    STATE(7272), 1,
      sym_comment,
  [211713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10967), 1,
      anon_sym_EQ_GT,
    STATE(7273), 1,
      sym_comment,
  [211726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5889), 1,
      anon_sym_RPAREN,
    STATE(7274), 1,
      sym_comment,
  [211739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10969), 1,
      anon_sym_SLASH2,
    STATE(7275), 1,
      sym_comment,
  [211752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10971), 1,
      anon_sym_RPAREN,
    STATE(7276), 1,
      sym_comment,
  [211765] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9527), 1,
      anon_sym_RBRACK,
    STATE(7277), 1,
      sym_comment,
  [211778] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(7278), 1,
      sym_comment,
  [211791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5945), 1,
      anon_sym_RBRACK,
    STATE(7279), 1,
      sym_comment,
  [211804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10975), 1,
      anon_sym_EQ_GT,
    STATE(7280), 1,
      sym_comment,
  [211817] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10977), 1,
      sym_identifier,
    STATE(7281), 1,
      sym_comment,
  [211830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10979), 1,
      anon_sym_COLON,
    STATE(7282), 1,
      sym_comment,
  [211843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10981), 1,
      anon_sym_RBRACK,
    STATE(7283), 1,
      sym_comment,
  [211856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10983), 1,
      anon_sym_new,
    STATE(7284), 1,
      sym_comment,
  [211869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10985), 1,
      anon_sym_RPAREN,
    STATE(7285), 1,
      sym_comment,
  [211882] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10987), 1,
      sym_identifier,
    STATE(7286), 1,
      sym_comment,
  [211895] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10989), 1,
      sym_identifier,
    STATE(7287), 1,
      sym_comment,
  [211908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10991), 1,
      anon_sym_EQ_GT,
    STATE(7288), 1,
      sym_comment,
  [211921] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7430), 1,
      anon_sym_is,
    STATE(7289), 1,
      sym_comment,
  [211934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    STATE(7290), 1,
      sym_comment,
  [211947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10993), 1,
      anon_sym_LBRACE,
    STATE(7291), 1,
      sym_comment,
  [211960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10995), 1,
      anon_sym_RBRACK,
    STATE(7292), 1,
      sym_comment,
  [211973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10997), 1,
      anon_sym_RBRACK,
    STATE(7293), 1,
      sym_comment,
  [211986] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10999), 1,
      sym_identifier,
    STATE(7294), 1,
      sym_comment,
  [211999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11001), 1,
      anon_sym_RBRACK,
    STATE(7295), 1,
      sym_comment,
  [212012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11003), 1,
      anon_sym_EQ_GT,
    STATE(7296), 1,
      sym_comment,
  [212025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11005), 1,
      anon_sym_readonly,
    STATE(7297), 1,
      sym_comment,
  [212038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11007), 1,
      anon_sym_RBRACK,
    STATE(7298), 1,
      sym_comment,
  [212051] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11009), 1,
      anon_sym_RBRACK,
    STATE(7299), 1,
      sym_comment,
  [212064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11011), 1,
      anon_sym_RBRACK,
    STATE(7300), 1,
      sym_comment,
  [212077] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11013), 1,
      sym_identifier,
    STATE(7301), 1,
      sym_comment,
  [212090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11015), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      sym_comment,
  [212103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11017), 1,
      anon_sym_RBRACK,
    STATE(7303), 1,
      sym_comment,
  [212116] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11019), 1,
      sym_identifier,
    STATE(7304), 1,
      sym_comment,
  [212129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11021), 1,
      anon_sym_RBRACK,
    STATE(7305), 1,
      sym_comment,
  [212142] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11023), 1,
      sym_identifier,
    STATE(7306), 1,
      sym_comment,
  [212155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11025), 1,
      anon_sym_RBRACK,
    STATE(7307), 1,
      sym_comment,
  [212168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11027), 1,
      anon_sym_EQ_GT,
    STATE(7308), 1,
      sym_comment,
  [212181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11029), 1,
      anon_sym_EQ_GT,
    STATE(7309), 1,
      sym_comment,
  [212194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(7310), 1,
      sym_comment,
  [212207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9616), 1,
      anon_sym_RBRACK,
    STATE(7311), 1,
      sym_comment,
  [212220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11033), 1,
      anon_sym_RBRACK,
    STATE(7312), 1,
      sym_comment,
  [212233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11035), 1,
      anon_sym_RBRACK,
    STATE(7313), 1,
      sym_comment,
  [212246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11037), 1,
      anon_sym_RBRACK,
    STATE(7314), 1,
      sym_comment,
  [212259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11039), 1,
      anon_sym_RBRACK,
    STATE(7315), 1,
      sym_comment,
  [212272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11041), 1,
      anon_sym_RBRACK,
    STATE(7316), 1,
      sym_comment,
  [212285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11043), 1,
      anon_sym_RPAREN,
    STATE(7317), 1,
      sym_comment,
  [212298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11045), 1,
      anon_sym_RBRACK,
    STATE(7318), 1,
      sym_comment,
  [212311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11047), 1,
      anon_sym_RBRACK,
    STATE(7319), 1,
      sym_comment,
  [212324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11049), 1,
      anon_sym_RBRACK,
    STATE(7320), 1,
      sym_comment,
  [212337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11051), 1,
      anon_sym_RBRACK,
    STATE(7321), 1,
      sym_comment,
  [212350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11053), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      sym_comment,
  [212363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11055), 1,
      anon_sym_DOT,
    STATE(7323), 1,
      sym_comment,
  [212376] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11057), 1,
      sym_identifier,
    STATE(7324), 1,
      sym_comment,
  [212389] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11059), 1,
      sym_identifier,
    STATE(7325), 1,
      sym_comment,
  [212402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11061), 1,
      anon_sym_RBRACK,
    STATE(7326), 1,
      sym_comment,
  [212415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11063), 1,
      anon_sym_COLON,
    STATE(7327), 1,
      sym_comment,
  [212428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5525), 1,
      anon_sym_in,
    STATE(7328), 1,
      sym_comment,
  [212441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11065), 1,
      anon_sym_EQ_GT,
    STATE(7329), 1,
      sym_comment,
  [212454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(7330), 1,
      sym_comment,
  [212467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11069), 1,
      anon_sym_EQ,
    STATE(7331), 1,
      sym_comment,
  [212480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11071), 1,
      anon_sym_EQ_GT,
    STATE(7332), 1,
      sym_comment,
  [212493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11073), 1,
      anon_sym_EQ_GT,
    STATE(7333), 1,
      sym_comment,
  [212506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11075), 1,
      anon_sym_EQ_GT,
    STATE(7334), 1,
      sym_comment,
  [212519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11077), 1,
      anon_sym_RBRACK,
    STATE(7335), 1,
      sym_comment,
  [212532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11079), 1,
      anon_sym_RBRACK,
    STATE(7336), 1,
      sym_comment,
  [212545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11081), 1,
      anon_sym_EQ,
    STATE(7337), 1,
      sym_comment,
  [212558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11083), 1,
      anon_sym_RBRACK,
    STATE(7338), 1,
      sym_comment,
  [212571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11085), 1,
      anon_sym_RBRACK,
    STATE(7339), 1,
      sym_comment,
  [212584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11087), 1,
      anon_sym_RBRACK,
    STATE(7340), 1,
      sym_comment,
  [212597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11089), 1,
      anon_sym_RBRACK,
    STATE(7341), 1,
      sym_comment,
  [212610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11091), 1,
      anon_sym_EQ,
    STATE(7342), 1,
      sym_comment,
  [212623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11093), 1,
      anon_sym_RPAREN,
    STATE(7343), 1,
      sym_comment,
  [212636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11095), 1,
      anon_sym_as,
    STATE(7344), 1,
      sym_comment,
  [212649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11097), 1,
      anon_sym_RBRACK,
    STATE(7345), 1,
      sym_comment,
  [212662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11099), 1,
      anon_sym_from,
    STATE(7346), 1,
      sym_comment,
  [212675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9722), 1,
      anon_sym_RBRACE,
    STATE(7347), 1,
      sym_comment,
  [212688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11101), 1,
      anon_sym_RBRACK,
    STATE(7348), 1,
      sym_comment,
  [212701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11103), 1,
      anon_sym_EQ_GT,
    STATE(7349), 1,
      sym_comment,
  [212714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11105), 1,
      anon_sym_EQ_GT,
    STATE(7350), 1,
      sym_comment,
  [212727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11107), 1,
      anon_sym_EQ,
    STATE(7351), 1,
      sym_comment,
  [212740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11109), 1,
      anon_sym_RBRACK,
    STATE(7352), 1,
      sym_comment,
  [212753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11111), 1,
      anon_sym_COLON,
    STATE(7353), 1,
      sym_comment,
  [212766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11113), 1,
      anon_sym_RBRACK,
    STATE(7354), 1,
      sym_comment,
  [212779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(7355), 1,
      sym_comment,
  [212792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11115), 1,
      anon_sym_while,
    STATE(7356), 1,
      sym_comment,
  [212805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11117), 1,
      anon_sym_RPAREN,
    STATE(7357), 1,
      sym_comment,
  [212818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11119), 1,
      sym_identifier,
    STATE(7358), 1,
      sym_comment,
  [212831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11121), 1,
      sym_identifier,
    STATE(7359), 1,
      sym_comment,
  [212844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11123), 1,
      sym_identifier,
    STATE(7360), 1,
      sym_comment,
  [212857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(7361), 1,
      sym_comment,
  [212870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11127), 1,
      anon_sym_RPAREN,
    STATE(7362), 1,
      sym_comment,
  [212883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11129), 1,
      anon_sym_EQ_GT,
    STATE(7363), 1,
      sym_comment,
  [212896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11131), 1,
      anon_sym_EQ_GT,
    STATE(7364), 1,
      sym_comment,
  [212909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11133), 1,
      anon_sym_EQ,
    STATE(7365), 1,
      sym_comment,
  [212922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11135), 1,
      anon_sym_EQ_GT,
    STATE(7366), 1,
      sym_comment,
  [212935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_in,
    STATE(7367), 1,
      sym_comment,
  [212948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11137), 1,
      anon_sym_EQ,
    STATE(7368), 1,
      sym_comment,
  [212961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11139), 1,
      sym_identifier,
    STATE(7369), 1,
      sym_comment,
  [212974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11141), 1,
      sym_identifier,
    STATE(7370), 1,
      sym_comment,
  [212987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11143), 1,
      anon_sym_SLASH2,
    STATE(7371), 1,
      sym_comment,
  [213000] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11145), 1,
      sym_identifier,
    STATE(7372), 1,
      sym_comment,
  [213013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11147), 1,
      sym_number,
    STATE(7373), 1,
      sym_comment,
  [213026] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11149), 1,
      sym_identifier,
    STATE(7374), 1,
      sym_comment,
  [213039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11151), 1,
      anon_sym_symbol,
    STATE(7375), 1,
      sym_comment,
  [213052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11153), 1,
      sym_identifier,
    STATE(7376), 1,
      sym_comment,
  [213065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11155), 1,
      sym_identifier,
    STATE(7377), 1,
      sym_comment,
  [213078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11157), 1,
      anon_sym_EQ,
    STATE(7378), 1,
      sym_comment,
  [213091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11159), 1,
      anon_sym_EQ_GT,
    STATE(7379), 1,
      sym_comment,
  [213104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8688), 1,
      anon_sym_EQ,
    STATE(7380), 1,
      sym_comment,
  [213117] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11161), 1,
      sym_identifier,
    STATE(7381), 1,
      sym_comment,
  [213130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11163), 1,
      sym_identifier,
    STATE(7382), 1,
      sym_comment,
  [213143] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11165), 1,
      sym_regex_pattern,
    STATE(7383), 1,
      sym_comment,
  [213156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9797), 1,
      anon_sym_RBRACE,
    STATE(7384), 1,
      sym_comment,
  [213169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11167), 1,
      sym_identifier,
    STATE(7385), 1,
      sym_comment,
  [213182] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11169), 1,
      sym_identifier,
    STATE(7386), 1,
      sym_comment,
  [213195] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11171), 1,
      sym_identifier,
    STATE(7387), 1,
      sym_comment,
  [213208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11173), 1,
      anon_sym_RPAREN,
    STATE(7388), 1,
      sym_comment,
  [213221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    STATE(7389), 1,
      sym_comment,
  [213234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11175), 1,
      anon_sym_EQ_GT,
    STATE(7390), 1,
      sym_comment,
  [213247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11177), 1,
      sym_identifier,
    STATE(7391), 1,
      sym_comment,
  [213260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11179), 1,
      anon_sym_class,
    STATE(7392), 1,
      sym_comment,
  [213273] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11181), 1,
      sym_identifier,
    STATE(7393), 1,
      sym_comment,
  [213286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11183), 1,
      anon_sym_EQ_GT,
    STATE(7394), 1,
      sym_comment,
  [213299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11185), 1,
      anon_sym_EQ_GT,
    STATE(7395), 1,
      sym_comment,
  [213312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11187), 1,
      anon_sym_EQ_GT,
    STATE(7396), 1,
      sym_comment,
  [213325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5976), 1,
      anon_sym_is,
    STATE(7397), 1,
      sym_comment,
  [213338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11189), 1,
      anon_sym_RPAREN,
    STATE(7398), 1,
      sym_comment,
  [213351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(7399), 1,
      sym_comment,
  [213364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11191), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      sym_comment,
  [213377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11193), 1,
      anon_sym_RBRACK,
    STATE(7401), 1,
      sym_comment,
  [213390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11195), 1,
      anon_sym_RBRACK,
    STATE(7402), 1,
      sym_comment,
  [213403] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(7403), 1,
      sym_comment,
  [213416] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11199), 1,
      sym_identifier,
    STATE(7404), 1,
      sym_comment,
  [213429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10105), 1,
      sym_identifier,
    STATE(7405), 1,
      sym_comment,
  [213442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11201), 1,
      sym_identifier,
    STATE(7406), 1,
      sym_comment,
  [213455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11203), 1,
      anon_sym_EQ_GT,
    STATE(7407), 1,
      sym_comment,
  [213468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11205), 1,
      anon_sym_symbol,
    STATE(7408), 1,
      sym_comment,
  [213481] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11207), 1,
      sym_identifier,
    STATE(7409), 1,
      sym_comment,
  [213494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11209), 1,
      anon_sym_RBRACK,
    STATE(7410), 1,
      sym_comment,
  [213507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11211), 1,
      sym_number,
    STATE(7411), 1,
      sym_comment,
  [213520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11213), 1,
      anon_sym_EQ_GT,
    STATE(7412), 1,
      sym_comment,
  [213533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11215), 1,
      anon_sym_DOT,
    STATE(7413), 1,
      sym_comment,
  [213546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11217), 1,
      anon_sym_RBRACK,
    STATE(7414), 1,
      sym_comment,
  [213559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11219), 1,
      anon_sym_symbol,
    STATE(7415), 1,
      sym_comment,
  [213572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6402), 1,
      anon_sym_in,
    STATE(7416), 1,
      sym_comment,
  [213585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11221), 1,
      anon_sym_EQ_GT,
    STATE(7417), 1,
      sym_comment,
  [213598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11223), 1,
      sym_identifier,
    STATE(7418), 1,
      sym_comment,
  [213611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11225), 1,
      anon_sym_EQ_GT,
    STATE(7419), 1,
      sym_comment,
  [213624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11227), 1,
      anon_sym_EQ_GT,
    STATE(7420), 1,
      sym_comment,
  [213637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11229), 1,
      anon_sym_EQ_GT,
    STATE(7421), 1,
      sym_comment,
  [213650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11231), 1,
      anon_sym_new,
    STATE(7422), 1,
      sym_comment,
  [213663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11233), 1,
      anon_sym_RBRACK,
    STATE(7423), 1,
      sym_comment,
  [213676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11235), 1,
      sym_number,
    STATE(7424), 1,
      sym_comment,
  [213689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11237), 1,
      anon_sym_RBRACK,
    STATE(7425), 1,
      sym_comment,
  [213702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11239), 1,
      anon_sym_SLASH2,
    STATE(7426), 1,
      sym_comment,
  [213715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11241), 1,
      anon_sym_EQ,
    STATE(7427), 1,
      sym_comment,
  [213728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11243), 1,
      anon_sym_target,
    STATE(7428), 1,
      sym_comment,
  [213741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11245), 1,
      anon_sym_EQ,
    STATE(7429), 1,
      sym_comment,
  [213754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11247), 1,
      anon_sym_RBRACK,
    STATE(7430), 1,
      sym_comment,
  [213767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11249), 1,
      anon_sym_RBRACK,
    STATE(7431), 1,
      sym_comment,
  [213780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11251), 1,
      anon_sym_EQ_GT,
    STATE(7432), 1,
      sym_comment,
  [213793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9156), 1,
      anon_sym_EQ_GT,
    STATE(7433), 1,
      sym_comment,
  [213806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9154), 1,
      anon_sym_EQ_GT,
    STATE(7434), 1,
      sym_comment,
  [213819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9756), 1,
      anon_sym_LBRACE,
    STATE(7435), 1,
      sym_comment,
  [213832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11253), 1,
      anon_sym_SLASH2,
    STATE(7436), 1,
      sym_comment,
  [213845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11255), 1,
      anon_sym_RBRACK,
    STATE(7437), 1,
      sym_comment,
  [213858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11257), 1,
      anon_sym_EQ,
    STATE(7438), 1,
      sym_comment,
  [213871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11259), 1,
      anon_sym_EQ_GT,
    STATE(7439), 1,
      sym_comment,
  [213884] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11261), 1,
      sym_identifier,
    STATE(7440), 1,
      sym_comment,
  [213897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11263), 1,
      sym_identifier,
    STATE(7441), 1,
      sym_comment,
  [213910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11265), 1,
      anon_sym_RBRACK,
    STATE(7442), 1,
      sym_comment,
  [213923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11267), 1,
      anon_sym_class,
    STATE(7443), 1,
      sym_comment,
  [213936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11269), 1,
      anon_sym_namespace,
    STATE(7444), 1,
      sym_comment,
  [213949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11271), 1,
      anon_sym_RBRACK,
    STATE(7445), 1,
      sym_comment,
  [213962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11273), 1,
      anon_sym_RBRACK,
    STATE(7446), 1,
      sym_comment,
  [213975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11275), 1,
      sym_identifier,
    STATE(7447), 1,
      sym_comment,
  [213988] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11277), 1,
      sym_identifier,
    STATE(7448), 1,
      sym_comment,
  [214001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11279), 1,
      anon_sym_target,
    STATE(7449), 1,
      sym_comment,
  [214014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11281), 1,
      anon_sym_RBRACK,
    STATE(7450), 1,
      sym_comment,
  [214027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11283), 1,
      anon_sym_EQ_GT,
    STATE(7451), 1,
      sym_comment,
  [214040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11285), 1,
      anon_sym_EQ_GT,
    STATE(7452), 1,
      sym_comment,
  [214053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11287), 1,
      anon_sym_new,
    STATE(7453), 1,
      sym_comment,
  [214066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10097), 1,
      sym_identifier,
    STATE(7454), 1,
      sym_comment,
  [214079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11289), 1,
      anon_sym_class,
    STATE(7455), 1,
      sym_comment,
  [214092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11291), 1,
      anon_sym_RBRACK,
    STATE(7456), 1,
      sym_comment,
  [214105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    STATE(7457), 1,
      sym_comment,
  [214118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    STATE(7458), 1,
      sym_comment,
  [214131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    STATE(7459), 1,
      sym_comment,
  [214144] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11299), 1,
      sym_identifier,
    STATE(7460), 1,
      sym_comment,
  [214157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11301), 1,
      anon_sym_EQ,
    STATE(7461), 1,
      sym_comment,
  [214170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11303), 1,
      anon_sym_RBRACK,
    STATE(7462), 1,
      sym_comment,
  [214183] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11305), 1,
      sym_identifier,
    STATE(7463), 1,
      sym_comment,
  [214196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11307), 1,
      anon_sym_RBRACK,
    STATE(7464), 1,
      sym_comment,
  [214209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    STATE(7465), 1,
      sym_comment,
  [214222] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11311), 1,
      sym_identifier,
    STATE(7466), 1,
      sym_comment,
  [214235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    STATE(7467), 1,
      sym_comment,
  [214248] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11315), 1,
      sym_identifier,
    STATE(7468), 1,
      sym_comment,
  [214261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11317), 1,
      anon_sym_while,
    STATE(7469), 1,
      sym_comment,
  [214274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11319), 1,
      anon_sym_EQ_GT,
    STATE(7470), 1,
      sym_comment,
  [214287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11321), 1,
      anon_sym_EQ,
    STATE(7471), 1,
      sym_comment,
  [214300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    STATE(7472), 1,
      sym_comment,
  [214313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5055), 1,
      anon_sym_RPAREN,
    STATE(7473), 1,
      sym_comment,
  [214326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    STATE(7474), 1,
      sym_comment,
  [214339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11325), 1,
      anon_sym_EQ_GT,
    STATE(7475), 1,
      sym_comment,
  [214352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11327), 1,
      anon_sym_EQ,
    STATE(7476), 1,
      sym_comment,
  [214365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11329), 1,
      anon_sym_EQ_GT,
    STATE(7477), 1,
      sym_comment,
  [214378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6301), 1,
      anon_sym_in,
    STATE(7478), 1,
      sym_comment,
  [214391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11331), 1,
      anon_sym_class,
    STATE(7479), 1,
      sym_comment,
  [214404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11333), 1,
      anon_sym_namespace,
    STATE(7480), 1,
      sym_comment,
  [214417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11335), 1,
      anon_sym_EQ,
    STATE(7481), 1,
      sym_comment,
  [214430] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11337), 1,
      sym_identifier,
    STATE(7482), 1,
      sym_comment,
  [214443] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11339), 1,
      sym_identifier,
    STATE(7483), 1,
      sym_comment,
  [214456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11341), 1,
      anon_sym_SLASH2,
    STATE(7484), 1,
      sym_comment,
  [214469] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11343), 1,
      sym_identifier,
    STATE(7485), 1,
      sym_comment,
  [214482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11345), 1,
      sym_number,
    STATE(7486), 1,
      sym_comment,
  [214495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5379), 1,
      anon_sym_RPAREN,
    STATE(7487), 1,
      sym_comment,
  [214508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11347), 1,
      anon_sym_new,
    STATE(7488), 1,
      sym_comment,
  [214521] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9656), 1,
      sym_identifier,
    STATE(7489), 1,
      sym_comment,
  [214534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11349), 1,
      anon_sym_class,
    STATE(7490), 1,
      sym_comment,
  [214547] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11351), 1,
      sym_identifier,
    STATE(7491), 1,
      sym_comment,
  [214560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11353), 1,
      anon_sym_symbol,
    STATE(7492), 1,
      sym_comment,
  [214573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11355), 1,
      anon_sym_EQ,
    STATE(7493), 1,
      sym_comment,
  [214586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11357), 1,
      anon_sym_EQ_GT,
    STATE(7494), 1,
      sym_comment,
  [214599] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11359), 1,
      sym_identifier,
    STATE(7495), 1,
      sym_comment,
  [214612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11361), 1,
      anon_sym_EQ,
    STATE(7496), 1,
      sym_comment,
  [214625] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11363), 1,
      sym_identifier,
    STATE(7497), 1,
      sym_comment,
  [214638] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11365), 1,
      sym_identifier,
    STATE(7498), 1,
      sym_comment,
  [214651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10289), 1,
      anon_sym_from,
    STATE(7499), 1,
      sym_comment,
  [214664] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11367), 1,
      sym_identifier,
    STATE(7500), 1,
      sym_comment,
  [214677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11369), 1,
      anon_sym_COLON,
    STATE(7501), 1,
      sym_comment,
  [214690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11371), 1,
      anon_sym_RPAREN,
    STATE(7502), 1,
      sym_comment,
  [214703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9986), 1,
      anon_sym_RBRACK,
    STATE(7503), 1,
      sym_comment,
  [214716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11373), 1,
      anon_sym_as,
    STATE(7504), 1,
      sym_comment,
  [214729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11375), 1,
      anon_sym_EQ_GT,
    STATE(7505), 1,
      sym_comment,
  [214742] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11377), 1,
      sym_identifier,
    STATE(7506), 1,
      sym_comment,
  [214755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11379), 1,
      anon_sym_class,
    STATE(7507), 1,
      sym_comment,
  [214768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11381), 1,
      anon_sym_namespace,
    STATE(7508), 1,
      sym_comment,
  [214781] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11383), 1,
      sym_identifier,
    STATE(7509), 1,
      sym_comment,
  [214794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11385), 1,
      anon_sym_EQ_GT,
    STATE(7510), 1,
      sym_comment,
  [214807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(7511), 1,
      sym_comment,
  [214820] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11389), 1,
      sym_identifier,
    STATE(7512), 1,
      sym_comment,
  [214833] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11391), 1,
      sym_identifier,
    STATE(7513), 1,
      sym_comment,
  [214846] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11393), 1,
      sym_identifier,
    STATE(7514), 1,
      sym_comment,
  [214859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11395), 1,
      anon_sym_new,
    STATE(7515), 1,
      sym_comment,
  [214872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9517), 1,
      sym_identifier,
    STATE(7516), 1,
      sym_comment,
  [214885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11397), 1,
      anon_sym_class,
    STATE(7517), 1,
      sym_comment,
  [214898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11399), 1,
      anon_sym_EQ,
    STATE(7518), 1,
      sym_comment,
  [214911] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11401), 1,
      sym_identifier,
    STATE(7519), 1,
      sym_comment,
  [214924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11403), 1,
      anon_sym_EQ_GT,
    STATE(7520), 1,
      sym_comment,
  [214937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11405), 1,
      anon_sym_EQ,
    STATE(7521), 1,
      sym_comment,
  [214950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4965), 1,
      anon_sym_is,
    STATE(7522), 1,
      sym_comment,
  [214963] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11407), 1,
      sym_identifier,
    STATE(7523), 1,
      sym_comment,
  [214976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11409), 1,
      anon_sym_EQ,
    STATE(7524), 1,
      sym_comment,
  [214989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5358), 1,
      anon_sym_RPAREN,
    STATE(7525), 1,
      sym_comment,
  [215002] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11411), 1,
      sym_identifier,
    STATE(7526), 1,
      sym_comment,
  [215015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5918), 1,
      anon_sym_RPAREN,
    STATE(7527), 1,
      sym_comment,
  [215028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11413), 1,
      anon_sym_RBRACK,
    STATE(7528), 1,
      sym_comment,
  [215041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON,
    STATE(7529), 1,
      sym_comment,
  [215054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11417), 1,
      anon_sym_RBRACK,
    STATE(7530), 1,
      sym_comment,
  [215067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11419), 1,
      sym_identifier,
    STATE(7531), 1,
      sym_comment,
  [215080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11421), 1,
      anon_sym_class,
    STATE(7532), 1,
      sym_comment,
  [215093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11423), 1,
      anon_sym_namespace,
    STATE(7533), 1,
      sym_comment,
  [215106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11425), 1,
      anon_sym_RBRACK,
    STATE(7534), 1,
      sym_comment,
  [215119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11427), 1,
      anon_sym_RBRACK,
    STATE(7535), 1,
      sym_comment,
  [215132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11429), 1,
      anon_sym_RBRACK,
    STATE(7536), 1,
      sym_comment,
  [215145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11431), 1,
      anon_sym_RBRACK,
    STATE(7537), 1,
      sym_comment,
  [215158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11433), 1,
      anon_sym_RBRACK,
    STATE(7538), 1,
      sym_comment,
  [215171] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(7539), 1,
      sym_comment,
  [215184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11435), 1,
      anon_sym_class,
    STATE(7540), 1,
      sym_comment,
  [215197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11437), 1,
      anon_sym_function,
    STATE(7541), 1,
      sym_comment,
  [215210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11439), 1,
      sym_identifier,
    STATE(7542), 1,
      sym_comment,
  [215223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11441), 1,
      anon_sym_EQ,
    STATE(7543), 1,
      sym_comment,
  [215236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11443), 1,
      anon_sym_RBRACK,
    STATE(7544), 1,
      sym_comment,
  [215249] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11445), 1,
      sym_identifier,
    STATE(7545), 1,
      sym_comment,
  [215262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11447), 1,
      anon_sym_EQ,
    STATE(7546), 1,
      sym_comment,
  [215275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8219), 1,
      sym_identifier,
    STATE(7547), 1,
      sym_comment,
  [215288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11449), 1,
      sym_identifier,
    STATE(7548), 1,
      sym_comment,
  [215301] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11451), 1,
      anon_sym_COLON,
    STATE(7549), 1,
      sym_comment,
  [215314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11453), 1,
      anon_sym_namespace,
    STATE(7550), 1,
      sym_comment,
  [215327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11455), 1,
      anon_sym_RBRACK,
    STATE(7551), 1,
      sym_comment,
  [215340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7997), 1,
      anon_sym_EQ,
    STATE(7552), 1,
      sym_comment,
  [215353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11457), 1,
      anon_sym_EQ_GT,
    STATE(7553), 1,
      sym_comment,
  [215366] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8523), 1,
      sym_identifier,
    STATE(7554), 1,
      sym_comment,
  [215379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11459), 1,
      anon_sym_function,
    STATE(7555), 1,
      sym_comment,
  [215392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11461), 1,
      anon_sym_EQ_GT,
    STATE(7556), 1,
      sym_comment,
  [215405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11463), 1,
      anon_sym_RBRACK,
    STATE(7557), 1,
      sym_comment,
  [215418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9662), 1,
      anon_sym_EQ,
    STATE(7558), 1,
      sym_comment,
  [215431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11465), 1,
      anon_sym_EQ_GT,
    STATE(7559), 1,
      sym_comment,
  [215444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5083), 1,
      anon_sym_in,
    STATE(7560), 1,
      sym_comment,
  [215457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11467), 1,
      ts_builtin_sym_end,
    STATE(7561), 1,
      sym_comment,
  [215470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11469), 1,
      sym_identifier,
    STATE(7562), 1,
      sym_comment,
  [215483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11471), 1,
      anon_sym_RBRACK,
    STATE(7563), 1,
      sym_comment,
  [215496] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11473), 1,
      sym_identifier,
    STATE(7564), 1,
      sym_comment,
  [215509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11475), 1,
      anon_sym_class,
    STATE(7565), 1,
      sym_comment,
  [215522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11477), 1,
      anon_sym_RBRACK,
    STATE(7566), 1,
      sym_comment,
  [215535] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11479), 1,
      sym_identifier,
    STATE(7567), 1,
      sym_comment,
  [215548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5424), 1,
      anon_sym_in,
    STATE(7568), 1,
      sym_comment,
  [215561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11481), 1,
      sym_regex_pattern,
    STATE(7569), 1,
      sym_comment,
  [215574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11483), 1,
      anon_sym_RBRACK,
    STATE(7570), 1,
      sym_comment,
  [215587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11485), 1,
      anon_sym_RBRACK,
    STATE(7571), 1,
      sym_comment,
  [215600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11487), 1,
      anon_sym_RBRACK,
    STATE(7572), 1,
      sym_comment,
  [215613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11489), 1,
      anon_sym_RBRACK,
    STATE(7573), 1,
      sym_comment,
  [215626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11491), 1,
      anon_sym_RBRACK,
    STATE(7574), 1,
      sym_comment,
  [215639] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8533), 1,
      sym_identifier,
    STATE(7575), 1,
      sym_comment,
  [215652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11493), 1,
      anon_sym_function,
    STATE(7576), 1,
      sym_comment,
  [215665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11495), 1,
      anon_sym_RBRACK,
    STATE(7577), 1,
      sym_comment,
  [215678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11497), 1,
      anon_sym_RBRACK,
    STATE(7578), 1,
      sym_comment,
  [215691] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11499), 1,
      sym_identifier,
    STATE(7579), 1,
      sym_comment,
  [215704] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8535), 1,
      sym_identifier,
    STATE(7580), 1,
      sym_comment,
  [215717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11501), 1,
      anon_sym_function,
    STATE(7581), 1,
      sym_comment,
  [215730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5373), 1,
      anon_sym_RPAREN,
    STATE(7582), 1,
      sym_comment,
  [215743] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11503), 1,
      sym_identifier,
    STATE(7583), 1,
      sym_comment,
  [215756] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11505), 1,
      sym_identifier,
    STATE(7584), 1,
      sym_comment,
  [215769] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8537), 1,
      sym_identifier,
    STATE(7585), 1,
      sym_comment,
  [215782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11507), 1,
      anon_sym_function,
    STATE(7586), 1,
      sym_comment,
  [215795] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11509), 1,
      sym_identifier,
    STATE(7587), 1,
      sym_comment,
  [215808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11511), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      sym_comment,
  [215821] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11513), 1,
      sym_identifier,
    STATE(7589), 1,
      sym_comment,
  [215834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8453), 1,
      sym_identifier,
    STATE(7590), 1,
      sym_comment,
  [215847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11515), 1,
      anon_sym_function,
    STATE(7591), 1,
      sym_comment,
  [215860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11517), 1,
      sym_identifier,
    STATE(7592), 1,
      sym_comment,
  [215873] = 1,
    ACTIONS(11519), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2053)] = 0,
  [SMALL_STATE(2054)] = 93,
  [SMALL_STATE(2055)] = 188,
  [SMALL_STATE(2056)] = 281,
  [SMALL_STATE(2057)] = 374,
  [SMALL_STATE(2058)] = 449,
  [SMALL_STATE(2059)] = 542,
  [SMALL_STATE(2060)] = 635,
  [SMALL_STATE(2061)] = 728,
  [SMALL_STATE(2062)] = 823,
  [SMALL_STATE(2063)] = 916,
  [SMALL_STATE(2064)] = 1009,
  [SMALL_STATE(2065)] = 1102,
  [SMALL_STATE(2066)] = 1197,
  [SMALL_STATE(2067)] = 1290,
  [SMALL_STATE(2068)] = 1383,
  [SMALL_STATE(2069)] = 1476,
  [SMALL_STATE(2070)] = 1569,
  [SMALL_STATE(2071)] = 1644,
  [SMALL_STATE(2072)] = 1719,
  [SMALL_STATE(2073)] = 1812,
  [SMALL_STATE(2074)] = 1909,
  [SMALL_STATE(2075)] = 1984,
  [SMALL_STATE(2076)] = 2059,
  [SMALL_STATE(2077)] = 2156,
  [SMALL_STATE(2078)] = 2251,
  [SMALL_STATE(2079)] = 2326,
  [SMALL_STATE(2080)] = 2401,
  [SMALL_STATE(2081)] = 2496,
  [SMALL_STATE(2082)] = 2591,
  [SMALL_STATE(2083)] = 2686,
  [SMALL_STATE(2084)] = 2779,
  [SMALL_STATE(2085)] = 2872,
  [SMALL_STATE(2086)] = 2967,
  [SMALL_STATE(2087)] = 3060,
  [SMALL_STATE(2088)] = 3153,
  [SMALL_STATE(2089)] = 3245,
  [SMALL_STATE(2090)] = 3341,
  [SMALL_STATE(2091)] = 3433,
  [SMALL_STATE(2092)] = 3525,
  [SMALL_STATE(2093)] = 3617,
  [SMALL_STATE(2094)] = 3709,
  [SMALL_STATE(2095)] = 3805,
  [SMALL_STATE(2096)] = 3879,
  [SMALL_STATE(2097)] = 3975,
  [SMALL_STATE(2098)] = 4053,
  [SMALL_STATE(2099)] = 4153,
  [SMALL_STATE(2100)] = 4247,
  [SMALL_STATE(2101)] = 4341,
  [SMALL_STATE(2102)] = 4437,
  [SMALL_STATE(2103)] = 4511,
  [SMALL_STATE(2104)] = 4603,
  [SMALL_STATE(2105)] = 4688,
  [SMALL_STATE(2106)] = 4785,
  [SMALL_STATE(2107)] = 4876,
  [SMALL_STATE(2108)] = 4967,
  [SMALL_STATE(2109)] = 5044,
  [SMALL_STATE(2110)] = 5117,
  [SMALL_STATE(2111)] = 5190,
  [SMALL_STATE(2112)] = 5281,
  [SMALL_STATE(2113)] = 5372,
  [SMALL_STATE(2114)] = 5469,
  [SMALL_STATE(2115)] = 5544,
  [SMALL_STATE(2116)] = 5635,
  [SMALL_STATE(2117)] = 5730,
  [SMALL_STATE(2118)] = 5813,
  [SMALL_STATE(2119)] = 5904,
  [SMALL_STATE(2120)] = 5995,
  [SMALL_STATE(2121)] = 6078,
  [SMALL_STATE(2122)] = 6161,
  [SMALL_STATE(2123)] = 6256,
  [SMALL_STATE(2124)] = 6347,
  [SMALL_STATE(2125)] = 6438,
  [SMALL_STATE(2126)] = 6529,
  [SMALL_STATE(2127)] = 6624,
  [SMALL_STATE(2128)] = 6715,
  [SMALL_STATE(2129)] = 6810,
  [SMALL_STATE(2130)] = 6905,
  [SMALL_STATE(2131)] = 6984,
  [SMALL_STATE(2132)] = 7075,
  [SMALL_STATE(2133)] = 7158,
  [SMALL_STATE(2134)] = 7249,
  [SMALL_STATE(2135)] = 7340,
  [SMALL_STATE(2136)] = 7433,
  [SMALL_STATE(2137)] = 7521,
  [SMALL_STATE(2138)] = 7605,
  [SMALL_STATE(2139)] = 7693,
  [SMALL_STATE(2140)] = 7777,
  [SMALL_STATE(2141)] = 7859,
  [SMALL_STATE(2142)] = 7953,
  [SMALL_STATE(2143)] = 8047,
  [SMALL_STATE(2144)] = 8137,
  [SMALL_STATE(2145)] = 8231,
  [SMALL_STATE(2146)] = 8311,
  [SMALL_STATE(2147)] = 8381,
  [SMALL_STATE(2148)] = 8461,
  [SMALL_STATE(2149)] = 8555,
  [SMALL_STATE(2150)] = 8645,
  [SMALL_STATE(2151)] = 8727,
  [SMALL_STATE(2152)] = 8797,
  [SMALL_STATE(2153)] = 8867,
  [SMALL_STATE(2154)] = 8949,
  [SMALL_STATE(2155)] = 9043,
  [SMALL_STATE(2156)] = 9127,
  [SMALL_STATE(2157)] = 9209,
  [SMALL_STATE(2158)] = 9291,
  [SMALL_STATE(2159)] = 9381,
  [SMALL_STATE(2160)] = 9473,
  [SMALL_STATE(2161)] = 9567,
  [SMALL_STATE(2162)] = 9656,
  [SMALL_STATE(2163)] = 9733,
  [SMALL_STATE(2164)] = 9804,
  [SMALL_STATE(2165)] = 9875,
  [SMALL_STATE(2166)] = 9944,
  [SMALL_STATE(2167)] = 10023,
  [SMALL_STATE(2168)] = 10102,
  [SMALL_STATE(2169)] = 10179,
  [SMALL_STATE(2170)] = 10250,
  [SMALL_STATE(2171)] = 10329,
  [SMALL_STATE(2172)] = 10418,
  [SMALL_STATE(2173)] = 10497,
  [SMALL_STATE(2174)] = 10566,
  [SMALL_STATE(2175)] = 10643,
  [SMALL_STATE(2176)] = 10726,
  [SMALL_STATE(2177)] = 10815,
  [SMALL_STATE(2178)] = 10886,
  [SMALL_STATE(2179)] = 10963,
  [SMALL_STATE(2180)] = 11036,
  [SMALL_STATE(2181)] = 11107,
  [SMALL_STATE(2182)] = 11194,
  [SMALL_STATE(2183)] = 11265,
  [SMALL_STATE(2184)] = 11342,
  [SMALL_STATE(2185)] = 11423,
  [SMALL_STATE(2186)] = 11492,
  [SMALL_STATE(2187)] = 11561,
  [SMALL_STATE(2188)] = 11632,
  [SMALL_STATE(2189)] = 11707,
  [SMALL_STATE(2190)] = 11788,
  [SMALL_STATE(2191)] = 11869,
  [SMALL_STATE(2192)] = 11946,
  [SMALL_STATE(2193)] = 12023,
  [SMALL_STATE(2194)] = 12094,
  [SMALL_STATE(2195)] = 12187,
  [SMALL_STATE(2196)] = 12266,
  [SMALL_STATE(2197)] = 12345,
  [SMALL_STATE(2198)] = 12422,
  [SMALL_STATE(2199)] = 12501,
  [SMALL_STATE(2200)] = 12580,
  [SMALL_STATE(2201)] = 12657,
  [SMALL_STATE(2202)] = 12740,
  [SMALL_STATE(2203)] = 12821,
  [SMALL_STATE(2204)] = 12904,
  [SMALL_STATE(2205)] = 12973,
  [SMALL_STATE(2206)] = 13050,
  [SMALL_STATE(2207)] = 13127,
  [SMALL_STATE(2208)] = 13196,
  [SMALL_STATE(2209)] = 13275,
  [SMALL_STATE(2210)] = 13346,
  [SMALL_STATE(2211)] = 13431,
  [SMALL_STATE(2212)] = 13520,
  [SMALL_STATE(2213)] = 13599,
  [SMALL_STATE(2214)] = 13670,
  [SMALL_STATE(2215)] = 13755,
  [SMALL_STATE(2216)] = 13824,
  [SMALL_STATE(2217)] = 13905,
  [SMALL_STATE(2218)] = 13974,
  [SMALL_STATE(2219)] = 14043,
  [SMALL_STATE(2220)] = 14120,
  [SMALL_STATE(2221)] = 14191,
  [SMALL_STATE(2222)] = 14260,
  [SMALL_STATE(2223)] = 14353,
  [SMALL_STATE(2224)] = 14426,
  [SMALL_STATE(2225)] = 14502,
  [SMALL_STATE(2226)] = 14576,
  [SMALL_STATE(2227)] = 14660,
  [SMALL_STATE(2228)] = 14728,
  [SMALL_STATE(2229)] = 14806,
  [SMALL_STATE(2230)] = 14884,
  [SMALL_STATE(2231)] = 14952,
  [SMALL_STATE(2232)] = 15020,
  [SMALL_STATE(2233)] = 15088,
  [SMALL_STATE(2234)] = 15166,
  [SMALL_STATE(2235)] = 15238,
  [SMALL_STATE(2236)] = 15320,
  [SMALL_STATE(2237)] = 15396,
  [SMALL_STATE(2238)] = 15474,
  [SMALL_STATE(2239)] = 15548,
  [SMALL_STATE(2240)] = 15626,
  [SMALL_STATE(2241)] = 15700,
  [SMALL_STATE(2242)] = 15782,
  [SMALL_STATE(2243)] = 15860,
  [SMALL_STATE(2244)] = 15928,
  [SMALL_STATE(2245)] = 16006,
  [SMALL_STATE(2246)] = 16074,
  [SMALL_STATE(2247)] = 16150,
  [SMALL_STATE(2248)] = 16228,
  [SMALL_STATE(2249)] = 16304,
  [SMALL_STATE(2250)] = 16380,
  [SMALL_STATE(2251)] = 16458,
  [SMALL_STATE(2252)] = 16536,
  [SMALL_STATE(2253)] = 16604,
  [SMALL_STATE(2254)] = 16676,
  [SMALL_STATE(2255)] = 16752,
  [SMALL_STATE(2256)] = 16828,
  [SMALL_STATE(2257)] = 16896,
  [SMALL_STATE(2258)] = 16964,
  [SMALL_STATE(2259)] = 17032,
  [SMALL_STATE(2260)] = 17108,
  [SMALL_STATE(2261)] = 17176,
  [SMALL_STATE(2262)] = 17254,
  [SMALL_STATE(2263)] = 17342,
  [SMALL_STATE(2264)] = 17424,
  [SMALL_STATE(2265)] = 17506,
  [SMALL_STATE(2266)] = 17584,
  [SMALL_STATE(2267)] = 17666,
  [SMALL_STATE(2268)] = 17737,
  [SMALL_STATE(2269)] = 17816,
  [SMALL_STATE(2270)] = 17891,
  [SMALL_STATE(2271)] = 17966,
  [SMALL_STATE(2272)] = 18039,
  [SMALL_STATE(2273)] = 18110,
  [SMALL_STATE(2274)] = 18237,
  [SMALL_STATE(2275)] = 18364,
  [SMALL_STATE(2276)] = 18491,
  [SMALL_STATE(2277)] = 18568,
  [SMALL_STATE(2278)] = 18647,
  [SMALL_STATE(2279)] = 18774,
  [SMALL_STATE(2280)] = 18849,
  [SMALL_STATE(2281)] = 18976,
  [SMALL_STATE(2282)] = 19053,
  [SMALL_STATE(2283)] = 19180,
  [SMALL_STATE(2284)] = 19307,
  [SMALL_STATE(2285)] = 19434,
  [SMALL_STATE(2286)] = 19515,
  [SMALL_STATE(2287)] = 19594,
  [SMALL_STATE(2288)] = 19669,
  [SMALL_STATE(2289)] = 19748,
  [SMALL_STATE(2290)] = 19875,
  [SMALL_STATE(2291)] = 19948,
  [SMALL_STATE(2292)] = 20023,
  [SMALL_STATE(2293)] = 20097,
  [SMALL_STATE(2294)] = 20171,
  [SMALL_STATE(2295)] = 20245,
  [SMALL_STATE(2296)] = 20319,
  [SMALL_STATE(2297)] = 20393,
  [SMALL_STATE(2298)] = 20467,
  [SMALL_STATE(2299)] = 20539,
  [SMALL_STATE(2300)] = 20613,
  [SMALL_STATE(2301)] = 20687,
  [SMALL_STATE(2302)] = 20765,
  [SMALL_STATE(2303)] = 20839,
  [SMALL_STATE(2304)] = 20915,
  [SMALL_STATE(2305)] = 20989,
  [SMALL_STATE(2306)] = 21063,
  [SMALL_STATE(2307)] = 21141,
  [SMALL_STATE(2308)] = 21217,
  [SMALL_STATE(2309)] = 21291,
  [SMALL_STATE(2310)] = 21414,
  [SMALL_STATE(2311)] = 21485,
  [SMALL_STATE(2312)] = 21558,
  [SMALL_STATE(2313)] = 21681,
  [SMALL_STATE(2314)] = 21804,
  [SMALL_STATE(2315)] = 21927,
  [SMALL_STATE(2316)] = 22050,
  [SMALL_STATE(2317)] = 22173,
  [SMALL_STATE(2318)] = 22246,
  [SMALL_STATE(2319)] = 22369,
  [SMALL_STATE(2320)] = 22442,
  [SMALL_STATE(2321)] = 22515,
  [SMALL_STATE(2322)] = 22588,
  [SMALL_STATE(2323)] = 22659,
  [SMALL_STATE(2324)] = 22732,
  [SMALL_STATE(2325)] = 22805,
  [SMALL_STATE(2326)] = 22928,
  [SMALL_STATE(2327)] = 23001,
  [SMALL_STATE(2328)] = 23124,
  [SMALL_STATE(2329)] = 23247,
  [SMALL_STATE(2330)] = 23320,
  [SMALL_STATE(2331)] = 23393,
  [SMALL_STATE(2332)] = 23466,
  [SMALL_STATE(2333)] = 23589,
  [SMALL_STATE(2334)] = 23662,
  [SMALL_STATE(2335)] = 23785,
  [SMALL_STATE(2336)] = 23858,
  [SMALL_STATE(2337)] = 23981,
  [SMALL_STATE(2338)] = 24104,
  [SMALL_STATE(2339)] = 24227,
  [SMALL_STATE(2340)] = 24300,
  [SMALL_STATE(2341)] = 24373,
  [SMALL_STATE(2342)] = 24444,
  [SMALL_STATE(2343)] = 24567,
  [SMALL_STATE(2344)] = 24690,
  [SMALL_STATE(2345)] = 24765,
  [SMALL_STATE(2346)] = 24838,
  [SMALL_STATE(2347)] = 24961,
  [SMALL_STATE(2348)] = 25034,
  [SMALL_STATE(2349)] = 25157,
  [SMALL_STATE(2350)] = 25230,
  [SMALL_STATE(2351)] = 25353,
  [SMALL_STATE(2352)] = 25426,
  [SMALL_STATE(2353)] = 25549,
  [SMALL_STATE(2354)] = 25622,
  [SMALL_STATE(2355)] = 25745,
  [SMALL_STATE(2356)] = 25868,
  [SMALL_STATE(2357)] = 25991,
  [SMALL_STATE(2358)] = 26064,
  [SMALL_STATE(2359)] = 26187,
  [SMALL_STATE(2360)] = 26260,
  [SMALL_STATE(2361)] = 26383,
  [SMALL_STATE(2362)] = 26506,
  [SMALL_STATE(2363)] = 26579,
  [SMALL_STATE(2364)] = 26649,
  [SMALL_STATE(2365)] = 26719,
  [SMALL_STATE(2366)] = 26789,
  [SMALL_STATE(2367)] = 26859,
  [SMALL_STATE(2368)] = 26929,
  [SMALL_STATE(2369)] = 26999,
  [SMALL_STATE(2370)] = 27069,
  [SMALL_STATE(2371)] = 27139,
  [SMALL_STATE(2372)] = 27209,
  [SMALL_STATE(2373)] = 27279,
  [SMALL_STATE(2374)] = 27398,
  [SMALL_STATE(2375)] = 27517,
  [SMALL_STATE(2376)] = 27636,
  [SMALL_STATE(2377)] = 27755,
  [SMALL_STATE(2378)] = 27874,
  [SMALL_STATE(2379)] = 27993,
  [SMALL_STATE(2380)] = 28112,
  [SMALL_STATE(2381)] = 28231,
  [SMALL_STATE(2382)] = 28350,
  [SMALL_STATE(2383)] = 28469,
  [SMALL_STATE(2384)] = 28593,
  [SMALL_STATE(2385)] = 28717,
  [SMALL_STATE(2386)] = 28841,
  [SMALL_STATE(2387)] = 28965,
  [SMALL_STATE(2388)] = 29089,
  [SMALL_STATE(2389)] = 29204,
  [SMALL_STATE(2390)] = 29315,
  [SMALL_STATE(2391)] = 29432,
  [SMALL_STATE(2392)] = 29549,
  [SMALL_STATE(2393)] = 29666,
  [SMALL_STATE(2394)] = 29783,
  [SMALL_STATE(2395)] = 29900,
  [SMALL_STATE(2396)] = 30017,
  [SMALL_STATE(2397)] = 30128,
  [SMALL_STATE(2398)] = 30245,
  [SMALL_STATE(2399)] = 30362,
  [SMALL_STATE(2400)] = 30479,
  [SMALL_STATE(2401)] = 30596,
  [SMALL_STATE(2402)] = 30713,
  [SMALL_STATE(2403)] = 30824,
  [SMALL_STATE(2404)] = 30935,
  [SMALL_STATE(2405)] = 31052,
  [SMALL_STATE(2406)] = 31169,
  [SMALL_STATE(2407)] = 31286,
  [SMALL_STATE(2408)] = 31403,
  [SMALL_STATE(2409)] = 31514,
  [SMALL_STATE(2410)] = 31631,
  [SMALL_STATE(2411)] = 31748,
  [SMALL_STATE(2412)] = 31865,
  [SMALL_STATE(2413)] = 31982,
  [SMALL_STATE(2414)] = 32099,
  [SMALL_STATE(2415)] = 32210,
  [SMALL_STATE(2416)] = 32327,
  [SMALL_STATE(2417)] = 32444,
  [SMALL_STATE(2418)] = 32561,
  [SMALL_STATE(2419)] = 32678,
  [SMALL_STATE(2420)] = 32789,
  [SMALL_STATE(2421)] = 32906,
  [SMALL_STATE(2422)] = 33023,
  [SMALL_STATE(2423)] = 33140,
  [SMALL_STATE(2424)] = 33257,
  [SMALL_STATE(2425)] = 33374,
  [SMALL_STATE(2426)] = 33491,
  [SMALL_STATE(2427)] = 33608,
  [SMALL_STATE(2428)] = 33725,
  [SMALL_STATE(2429)] = 33841,
  [SMALL_STATE(2430)] = 33903,
  [SMALL_STATE(2431)] = 33965,
  [SMALL_STATE(2432)] = 34079,
  [SMALL_STATE(2433)] = 34150,
  [SMALL_STATE(2434)] = 34227,
  [SMALL_STATE(2435)] = 34296,
  [SMALL_STATE(2436)] = 34399,
  [SMALL_STATE(2437)] = 34470,
  [SMALL_STATE(2438)] = 34541,
  [SMALL_STATE(2439)] = 34603,
  [SMALL_STATE(2440)] = 34663,
  [SMALL_STATE(2441)] = 34723,
  [SMALL_STATE(2442)] = 34789,
  [SMALL_STATE(2443)] = 34849,
  [SMALL_STATE(2444)] = 34913,
  [SMALL_STATE(2445)] = 34979,
  [SMALL_STATE(2446)] = 35039,
  [SMALL_STATE(2447)] = 35105,
  [SMALL_STATE(2448)] = 35165,
  [SMALL_STATE(2449)] = 35229,
  [SMALL_STATE(2450)] = 35291,
  [SMALL_STATE(2451)] = 35353,
  [SMALL_STATE(2452)] = 35413,
  [SMALL_STATE(2453)] = 35473,
  [SMALL_STATE(2454)] = 35539,
  [SMALL_STATE(2455)] = 35603,
  [SMALL_STATE(2456)] = 35662,
  [SMALL_STATE(2457)] = 35721,
  [SMALL_STATE(2458)] = 35780,
  [SMALL_STATE(2459)] = 35839,
  [SMALL_STATE(2460)] = 35898,
  [SMALL_STATE(2461)] = 35963,
  [SMALL_STATE(2462)] = 36022,
  [SMALL_STATE(2463)] = 36083,
  [SMALL_STATE(2464)] = 36142,
  [SMALL_STATE(2465)] = 36203,
  [SMALL_STATE(2466)] = 36262,
  [SMALL_STATE(2467)] = 36329,
  [SMALL_STATE(2468)] = 36392,
  [SMALL_STATE(2469)] = 36451,
  [SMALL_STATE(2470)] = 36510,
  [SMALL_STATE(2471)] = 36569,
  [SMALL_STATE(2472)] = 36628,
  [SMALL_STATE(2473)] = 36687,
  [SMALL_STATE(2474)] = 36746,
  [SMALL_STATE(2475)] = 36805,
  [SMALL_STATE(2476)] = 36864,
  [SMALL_STATE(2477)] = 36927,
  [SMALL_STATE(2478)] = 36986,
  [SMALL_STATE(2479)] = 37045,
  [SMALL_STATE(2480)] = 37104,
  [SMALL_STATE(2481)] = 37163,
  [SMALL_STATE(2482)] = 37288,
  [SMALL_STATE(2483)] = 37347,
  [SMALL_STATE(2484)] = 37406,
  [SMALL_STATE(2485)] = 37465,
  [SMALL_STATE(2486)] = 37524,
  [SMALL_STATE(2487)] = 37583,
  [SMALL_STATE(2488)] = 37678,
  [SMALL_STATE(2489)] = 37737,
  [SMALL_STATE(2490)] = 37798,
  [SMALL_STATE(2491)] = 37857,
  [SMALL_STATE(2492)] = 37918,
  [SMALL_STATE(2493)] = 37977,
  [SMALL_STATE(2494)] = 38036,
  [SMALL_STATE(2495)] = 38131,
  [SMALL_STATE(2496)] = 38196,
  [SMALL_STATE(2497)] = 38261,
  [SMALL_STATE(2498)] = 38320,
  [SMALL_STATE(2499)] = 38379,
  [SMALL_STATE(2500)] = 38438,
  [SMALL_STATE(2501)] = 38497,
  [SMALL_STATE(2502)] = 38556,
  [SMALL_STATE(2503)] = 38615,
  [SMALL_STATE(2504)] = 38674,
  [SMALL_STATE(2505)] = 38733,
  [SMALL_STATE(2506)] = 38792,
  [SMALL_STATE(2507)] = 38851,
  [SMALL_STATE(2508)] = 38910,
  [SMALL_STATE(2509)] = 38969,
  [SMALL_STATE(2510)] = 39094,
  [SMALL_STATE(2511)] = 39155,
  [SMALL_STATE(2512)] = 39214,
  [SMALL_STATE(2513)] = 39279,
  [SMALL_STATE(2514)] = 39338,
  [SMALL_STATE(2515)] = 39397,
  [SMALL_STATE(2516)] = 39458,
  [SMALL_STATE(2517)] = 39517,
  [SMALL_STATE(2518)] = 39576,
  [SMALL_STATE(2519)] = 39641,
  [SMALL_STATE(2520)] = 39700,
  [SMALL_STATE(2521)] = 39759,
  [SMALL_STATE(2522)] = 39818,
  [SMALL_STATE(2523)] = 39877,
  [SMALL_STATE(2524)] = 39942,
  [SMALL_STATE(2525)] = 40007,
  [SMALL_STATE(2526)] = 40066,
  [SMALL_STATE(2527)] = 40125,
  [SMALL_STATE(2528)] = 40184,
  [SMALL_STATE(2529)] = 40243,
  [SMALL_STATE(2530)] = 40302,
  [SMALL_STATE(2531)] = 40361,
  [SMALL_STATE(2532)] = 40428,
  [SMALL_STATE(2533)] = 40491,
  [SMALL_STATE(2534)] = 40550,
  [SMALL_STATE(2535)] = 40609,
  [SMALL_STATE(2536)] = 40668,
  [SMALL_STATE(2537)] = 40727,
  [SMALL_STATE(2538)] = 40822,
  [SMALL_STATE(2539)] = 40889,
  [SMALL_STATE(2540)] = 40948,
  [SMALL_STATE(2541)] = 41011,
  [SMALL_STATE(2542)] = 41070,
  [SMALL_STATE(2543)] = 41165,
  [SMALL_STATE(2544)] = 41224,
  [SMALL_STATE(2545)] = 41283,
  [SMALL_STATE(2546)] = 41342,
  [SMALL_STATE(2547)] = 41401,
  [SMALL_STATE(2548)] = 41460,
  [SMALL_STATE(2549)] = 41519,
  [SMALL_STATE(2550)] = 41578,
  [SMALL_STATE(2551)] = 41637,
  [SMALL_STATE(2552)] = 41696,
  [SMALL_STATE(2553)] = 41755,
  [SMALL_STATE(2554)] = 41816,
  [SMALL_STATE(2555)] = 41877,
  [SMALL_STATE(2556)] = 41936,
  [SMALL_STATE(2557)] = 42001,
  [SMALL_STATE(2558)] = 42060,
  [SMALL_STATE(2559)] = 42121,
  [SMALL_STATE(2560)] = 42180,
  [SMALL_STATE(2561)] = 42239,
  [SMALL_STATE(2562)] = 42300,
  [SMALL_STATE(2563)] = 42359,
  [SMALL_STATE(2564)] = 42418,
  [SMALL_STATE(2565)] = 42477,
  [SMALL_STATE(2566)] = 42538,
  [SMALL_STATE(2567)] = 42597,
  [SMALL_STATE(2568)] = 42656,
  [SMALL_STATE(2569)] = 42721,
  [SMALL_STATE(2570)] = 42780,
  [SMALL_STATE(2571)] = 42839,
  [SMALL_STATE(2572)] = 42964,
  [SMALL_STATE(2573)] = 43029,
  [SMALL_STATE(2574)] = 43094,
  [SMALL_STATE(2575)] = 43219,
  [SMALL_STATE(2576)] = 43314,
  [SMALL_STATE(2577)] = 43375,
  [SMALL_STATE(2578)] = 43440,
  [SMALL_STATE(2579)] = 43499,
  [SMALL_STATE(2580)] = 43624,
  [SMALL_STATE(2581)] = 43683,
  [SMALL_STATE(2582)] = 43742,
  [SMALL_STATE(2583)] = 43867,
  [SMALL_STATE(2584)] = 43992,
  [SMALL_STATE(2585)] = 44112,
  [SMALL_STATE(2586)] = 44174,
  [SMALL_STATE(2587)] = 44232,
  [SMALL_STATE(2588)] = 44290,
  [SMALL_STATE(2589)] = 44348,
  [SMALL_STATE(2590)] = 44406,
  [SMALL_STATE(2591)] = 44464,
  [SMALL_STATE(2592)] = 44522,
  [SMALL_STATE(2593)] = 44580,
  [SMALL_STATE(2594)] = 44650,
  [SMALL_STATE(2595)] = 44770,
  [SMALL_STATE(2596)] = 44854,
  [SMALL_STATE(2597)] = 44932,
  [SMALL_STATE(2598)] = 45048,
  [SMALL_STATE(2599)] = 45136,
  [SMALL_STATE(2600)] = 45222,
  [SMALL_STATE(2601)] = 45280,
  [SMALL_STATE(2602)] = 45400,
  [SMALL_STATE(2603)] = 45520,
  [SMALL_STATE(2604)] = 45578,
  [SMALL_STATE(2605)] = 45694,
  [SMALL_STATE(2606)] = 45810,
  [SMALL_STATE(2607)] = 45868,
  [SMALL_STATE(2608)] = 45984,
  [SMALL_STATE(2609)] = 46042,
  [SMALL_STATE(2610)] = 46128,
  [SMALL_STATE(2611)] = 46244,
  [SMALL_STATE(2612)] = 46332,
  [SMALL_STATE(2613)] = 46390,
  [SMALL_STATE(2614)] = 46448,
  [SMALL_STATE(2615)] = 46564,
  [SMALL_STATE(2616)] = 46622,
  [SMALL_STATE(2617)] = 46738,
  [SMALL_STATE(2618)] = 46796,
  [SMALL_STATE(2619)] = 46912,
  [SMALL_STATE(2620)] = 46988,
  [SMALL_STATE(2621)] = 47104,
  [SMALL_STATE(2622)] = 47220,
  [SMALL_STATE(2623)] = 47278,
  [SMALL_STATE(2624)] = 47336,
  [SMALL_STATE(2625)] = 47394,
  [SMALL_STATE(2626)] = 47510,
  [SMALL_STATE(2627)] = 47568,
  [SMALL_STATE(2628)] = 47626,
  [SMALL_STATE(2629)] = 47684,
  [SMALL_STATE(2630)] = 47742,
  [SMALL_STATE(2631)] = 47800,
  [SMALL_STATE(2632)] = 47920,
  [SMALL_STATE(2633)] = 47984,
  [SMALL_STATE(2634)] = 48070,
  [SMALL_STATE(2635)] = 48128,
  [SMALL_STATE(2636)] = 48204,
  [SMALL_STATE(2637)] = 48262,
  [SMALL_STATE(2638)] = 48350,
  [SMALL_STATE(2639)] = 48408,
  [SMALL_STATE(2640)] = 48478,
  [SMALL_STATE(2641)] = 48594,
  [SMALL_STATE(2642)] = 48710,
  [SMALL_STATE(2643)] = 48768,
  [SMALL_STATE(2644)] = 48884,
  [SMALL_STATE(2645)] = 48988,
  [SMALL_STATE(2646)] = 49046,
  [SMALL_STATE(2647)] = 49104,
  [SMALL_STATE(2648)] = 49164,
  [SMALL_STATE(2649)] = 49222,
  [SMALL_STATE(2650)] = 49280,
  [SMALL_STATE(2651)] = 49338,
  [SMALL_STATE(2652)] = 49454,
  [SMALL_STATE(2653)] = 49514,
  [SMALL_STATE(2654)] = 49604,
  [SMALL_STATE(2655)] = 49724,
  [SMALL_STATE(2656)] = 49788,
  [SMALL_STATE(2657)] = 49876,
  [SMALL_STATE(2658)] = 49950,
  [SMALL_STATE(2659)] = 50016,
  [SMALL_STATE(2660)] = 50132,
  [SMALL_STATE(2661)] = 50190,
  [SMALL_STATE(2662)] = 50306,
  [SMALL_STATE(2663)] = 50414,
  [SMALL_STATE(2664)] = 50472,
  [SMALL_STATE(2665)] = 50560,
  [SMALL_STATE(2666)] = 50654,
  [SMALL_STATE(2667)] = 50740,
  [SMALL_STATE(2668)] = 50824,
  [SMALL_STATE(2669)] = 50926,
  [SMALL_STATE(2670)] = 51026,
  [SMALL_STATE(2671)] = 51124,
  [SMALL_STATE(2672)] = 51210,
  [SMALL_STATE(2673)] = 51326,
  [SMALL_STATE(2674)] = 51432,
  [SMALL_STATE(2675)] = 51536,
  [SMALL_STATE(2676)] = 51616,
  [SMALL_STATE(2677)] = 51734,
  [SMALL_STATE(2678)] = 51824,
  [SMALL_STATE(2679)] = 51882,
  [SMALL_STATE(2680)] = 51940,
  [SMALL_STATE(2681)] = 51998,
  [SMALL_STATE(2682)] = 52114,
  [SMALL_STATE(2683)] = 52230,
  [SMALL_STATE(2684)] = 52288,
  [SMALL_STATE(2685)] = 52374,
  [SMALL_STATE(2686)] = 52432,
  [SMALL_STATE(2687)] = 52548,
  [SMALL_STATE(2688)] = 52668,
  [SMALL_STATE(2689)] = 52726,
  [SMALL_STATE(2690)] = 52846,
  [SMALL_STATE(2691)] = 52966,
  [SMALL_STATE(2692)] = 53070,
  [SMALL_STATE(2693)] = 53138,
  [SMALL_STATE(2694)] = 53254,
  [SMALL_STATE(2695)] = 53322,
  [SMALL_STATE(2696)] = 53442,
  [SMALL_STATE(2697)] = 53558,
  [SMALL_STATE(2698)] = 53678,
  [SMALL_STATE(2699)] = 53798,
  [SMALL_STATE(2700)] = 53866,
  [SMALL_STATE(2701)] = 53984,
  [SMALL_STATE(2702)] = 54090,
  [SMALL_STATE(2703)] = 54210,
  [SMALL_STATE(2704)] = 54296,
  [SMALL_STATE(2705)] = 54394,
  [SMALL_STATE(2706)] = 54452,
  [SMALL_STATE(2707)] = 54510,
  [SMALL_STATE(2708)] = 54568,
  [SMALL_STATE(2709)] = 54626,
  [SMALL_STATE(2710)] = 54742,
  [SMALL_STATE(2711)] = 54842,
  [SMALL_STATE(2712)] = 54962,
  [SMALL_STATE(2713)] = 55082,
  [SMALL_STATE(2714)] = 55198,
  [SMALL_STATE(2715)] = 55282,
  [SMALL_STATE(2716)] = 55384,
  [SMALL_STATE(2717)] = 55448,
  [SMALL_STATE(2718)] = 55506,
  [SMALL_STATE(2719)] = 55622,
  [SMALL_STATE(2720)] = 55680,
  [SMALL_STATE(2721)] = 55756,
  [SMALL_STATE(2722)] = 55846,
  [SMALL_STATE(2723)] = 55906,
  [SMALL_STATE(2724)] = 55964,
  [SMALL_STATE(2725)] = 56044,
  [SMALL_STATE(2726)] = 56122,
  [SMALL_STATE(2727)] = 56180,
  [SMALL_STATE(2728)] = 56260,
  [SMALL_STATE(2729)] = 56318,
  [SMALL_STATE(2730)] = 56376,
  [SMALL_STATE(2731)] = 56434,
  [SMALL_STATE(2732)] = 56496,
  [SMALL_STATE(2733)] = 56616,
  [SMALL_STATE(2734)] = 56674,
  [SMALL_STATE(2735)] = 56790,
  [SMALL_STATE(2736)] = 56910,
  [SMALL_STATE(2737)] = 56968,
  [SMALL_STATE(2738)] = 57028,
  [SMALL_STATE(2739)] = 57144,
  [SMALL_STATE(2740)] = 57228,
  [SMALL_STATE(2741)] = 57286,
  [SMALL_STATE(2742)] = 57372,
  [SMALL_STATE(2743)] = 57442,
  [SMALL_STATE(2744)] = 57548,
  [SMALL_STATE(2745)] = 57664,
  [SMALL_STATE(2746)] = 57758,
  [SMALL_STATE(2747)] = 57874,
  [SMALL_STATE(2748)] = 57990,
  [SMALL_STATE(2749)] = 58098,
  [SMALL_STATE(2750)] = 58156,
  [SMALL_STATE(2751)] = 58272,
  [SMALL_STATE(2752)] = 58330,
  [SMALL_STATE(2753)] = 58450,
  [SMALL_STATE(2754)] = 58508,
  [SMALL_STATE(2755)] = 58568,
  [SMALL_STATE(2756)] = 58684,
  [SMALL_STATE(2757)] = 58800,
  [SMALL_STATE(2758)] = 58916,
  [SMALL_STATE(2759)] = 59000,
  [SMALL_STATE(2760)] = 59058,
  [SMALL_STATE(2761)] = 59120,
  [SMALL_STATE(2762)] = 59206,
  [SMALL_STATE(2763)] = 59300,
  [SMALL_STATE(2764)] = 59408,
  [SMALL_STATE(2765)] = 59524,
  [SMALL_STATE(2766)] = 59610,
  [SMALL_STATE(2767)] = 59694,
  [SMALL_STATE(2768)] = 59792,
  [SMALL_STATE(2769)] = 59908,
  [SMALL_STATE(2770)] = 59994,
  [SMALL_STATE(2771)] = 60072,
  [SMALL_STATE(2772)] = 60188,
  [SMALL_STATE(2773)] = 60276,
  [SMALL_STATE(2774)] = 60376,
  [SMALL_STATE(2775)] = 60492,
  [SMALL_STATE(2776)] = 60550,
  [SMALL_STATE(2777)] = 60666,
  [SMALL_STATE(2778)] = 60782,
  [SMALL_STATE(2779)] = 60840,
  [SMALL_STATE(2780)] = 60898,
  [SMALL_STATE(2781)] = 60956,
  [SMALL_STATE(2782)] = 61014,
  [SMALL_STATE(2783)] = 61072,
  [SMALL_STATE(2784)] = 61188,
  [SMALL_STATE(2785)] = 61308,
  [SMALL_STATE(2786)] = 61366,
  [SMALL_STATE(2787)] = 61486,
  [SMALL_STATE(2788)] = 61602,
  [SMALL_STATE(2789)] = 61704,
  [SMALL_STATE(2790)] = 61787,
  [SMALL_STATE(2791)] = 61844,
  [SMALL_STATE(2792)] = 61959,
  [SMALL_STATE(2793)] = 62048,
  [SMALL_STATE(2794)] = 62167,
  [SMALL_STATE(2795)] = 62286,
  [SMALL_STATE(2796)] = 62403,
  [SMALL_STATE(2797)] = 62522,
  [SMALL_STATE(2798)] = 62601,
  [SMALL_STATE(2799)] = 62704,
  [SMALL_STATE(2800)] = 62809,
  [SMALL_STATE(2801)] = 62866,
  [SMALL_STATE(2802)] = 62951,
  [SMALL_STATE(2803)] = 63048,
  [SMALL_STATE(2804)] = 63147,
  [SMALL_STATE(2805)] = 63248,
  [SMALL_STATE(2806)] = 63331,
  [SMALL_STATE(2807)] = 63398,
  [SMALL_STATE(2808)] = 63483,
  [SMALL_STATE(2809)] = 63600,
  [SMALL_STATE(2810)] = 63719,
  [SMALL_STATE(2811)] = 63838,
  [SMALL_STATE(2812)] = 63895,
  [SMALL_STATE(2813)] = 64010,
  [SMALL_STATE(2814)] = 64079,
  [SMALL_STATE(2815)] = 64198,
  [SMALL_STATE(2816)] = 64291,
  [SMALL_STATE(2817)] = 64410,
  [SMALL_STATE(2818)] = 64529,
  [SMALL_STATE(2819)] = 64644,
  [SMALL_STATE(2820)] = 64703,
  [SMALL_STATE(2821)] = 64818,
  [SMALL_STATE(2822)] = 64925,
  [SMALL_STATE(2823)] = 65040,
  [SMALL_STATE(2824)] = 65103,
  [SMALL_STATE(2825)] = 65168,
  [SMALL_STATE(2826)] = 65283,
  [SMALL_STATE(2827)] = 65402,
  [SMALL_STATE(2828)] = 65483,
  [SMALL_STATE(2829)] = 65564,
  [SMALL_STATE(2830)] = 65627,
  [SMALL_STATE(2831)] = 65692,
  [SMALL_STATE(2832)] = 65811,
  [SMALL_STATE(2833)] = 65926,
  [SMALL_STATE(2834)] = 66041,
  [SMALL_STATE(2835)] = 66160,
  [SMALL_STATE(2836)] = 66279,
  [SMALL_STATE(2837)] = 66394,
  [SMALL_STATE(2838)] = 66509,
  [SMALL_STATE(2839)] = 66570,
  [SMALL_STATE(2840)] = 66651,
  [SMALL_STATE(2841)] = 66766,
  [SMALL_STATE(2842)] = 66831,
  [SMALL_STATE(2843)] = 66950,
  [SMALL_STATE(2844)] = 67011,
  [SMALL_STATE(2845)] = 67086,
  [SMALL_STATE(2846)] = 67201,
  [SMALL_STATE(2847)] = 67284,
  [SMALL_STATE(2848)] = 67361,
  [SMALL_STATE(2849)] = 67476,
  [SMALL_STATE(2850)] = 67533,
  [SMALL_STATE(2851)] = 67652,
  [SMALL_STATE(2852)] = 67769,
  [SMALL_STATE(2853)] = 67888,
  [SMALL_STATE(2854)] = 68007,
  [SMALL_STATE(2855)] = 68126,
  [SMALL_STATE(2856)] = 68241,
  [SMALL_STATE(2857)] = 68310,
  [SMALL_STATE(2858)] = 68391,
  [SMALL_STATE(2859)] = 68506,
  [SMALL_STATE(2860)] = 68621,
  [SMALL_STATE(2861)] = 68702,
  [SMALL_STATE(2862)] = 68763,
  [SMALL_STATE(2863)] = 68878,
  [SMALL_STATE(2864)] = 68993,
  [SMALL_STATE(2865)] = 69108,
  [SMALL_STATE(2866)] = 69223,
  [SMALL_STATE(2867)] = 69338,
  [SMALL_STATE(2868)] = 69457,
  [SMALL_STATE(2869)] = 69572,
  [SMALL_STATE(2870)] = 69629,
  [SMALL_STATE(2871)] = 69748,
  [SMALL_STATE(2872)] = 69863,
  [SMALL_STATE(2873)] = 69978,
  [SMALL_STATE(2874)] = 70093,
  [SMALL_STATE(2875)] = 70178,
  [SMALL_STATE(2876)] = 70253,
  [SMALL_STATE(2877)] = 70368,
  [SMALL_STATE(2878)] = 70483,
  [SMALL_STATE(2879)] = 70600,
  [SMALL_STATE(2880)] = 70667,
  [SMALL_STATE(2881)] = 70730,
  [SMALL_STATE(2882)] = 70837,
  [SMALL_STATE(2883)] = 70930,
  [SMALL_STATE(2884)] = 70993,
  [SMALL_STATE(2885)] = 71112,
  [SMALL_STATE(2886)] = 71227,
  [SMALL_STATE(2887)] = 71286,
  [SMALL_STATE(2888)] = 71363,
  [SMALL_STATE(2889)] = 71478,
  [SMALL_STATE(2890)] = 71597,
  [SMALL_STATE(2891)] = 71712,
  [SMALL_STATE(2892)] = 71831,
  [SMALL_STATE(2893)] = 71890,
  [SMALL_STATE(2894)] = 71977,
  [SMALL_STATE(2895)] = 72038,
  [SMALL_STATE(2896)] = 72123,
  [SMALL_STATE(2897)] = 72242,
  [SMALL_STATE(2898)] = 72327,
  [SMALL_STATE(2899)] = 72410,
  [SMALL_STATE(2900)] = 72511,
  [SMALL_STATE(2901)] = 72630,
  [SMALL_STATE(2902)] = 72729,
  [SMALL_STATE(2903)] = 72826,
  [SMALL_STATE(2904)] = 72945,
  [SMALL_STATE(2905)] = 73030,
  [SMALL_STATE(2906)] = 73135,
  [SMALL_STATE(2907)] = 73238,
  [SMALL_STATE(2908)] = 73317,
  [SMALL_STATE(2909)] = 73436,
  [SMALL_STATE(2910)] = 73493,
  [SMALL_STATE(2911)] = 73610,
  [SMALL_STATE(2912)] = 73729,
  [SMALL_STATE(2913)] = 73848,
  [SMALL_STATE(2914)] = 73937,
  [SMALL_STATE(2915)] = 74052,
  [SMALL_STATE(2916)] = 74167,
  [SMALL_STATE(2917)] = 74282,
  [SMALL_STATE(2918)] = 74338,
  [SMALL_STATE(2919)] = 74394,
  [SMALL_STATE(2920)] = 74452,
  [SMALL_STATE(2921)] = 74510,
  [SMALL_STATE(2922)] = 74572,
  [SMALL_STATE(2923)] = 74628,
  [SMALL_STATE(2924)] = 74684,
  [SMALL_STATE(2925)] = 74766,
  [SMALL_STATE(2926)] = 74828,
  [SMALL_STATE(2927)] = 74896,
  [SMALL_STATE(2928)] = 75010,
  [SMALL_STATE(2929)] = 75068,
  [SMALL_STATE(2930)] = 75142,
  [SMALL_STATE(2931)] = 75198,
  [SMALL_STATE(2932)] = 75256,
  [SMALL_STATE(2933)] = 75318,
  [SMALL_STATE(2934)] = 75432,
  [SMALL_STATE(2935)] = 75488,
  [SMALL_STATE(2936)] = 75544,
  [SMALL_STATE(2937)] = 75614,
  [SMALL_STATE(2938)] = 75696,
  [SMALL_STATE(2939)] = 75812,
  [SMALL_STATE(2940)] = 75868,
  [SMALL_STATE(2941)] = 75926,
  [SMALL_STATE(2942)] = 75988,
  [SMALL_STATE(2943)] = 76102,
  [SMALL_STATE(2944)] = 76158,
  [SMALL_STATE(2945)] = 76214,
  [SMALL_STATE(2946)] = 76274,
  [SMALL_STATE(2947)] = 76342,
  [SMALL_STATE(2948)] = 76400,
  [SMALL_STATE(2949)] = 76478,
  [SMALL_STATE(2950)] = 76592,
  [SMALL_STATE(2951)] = 76660,
  [SMALL_STATE(2952)] = 76728,
  [SMALL_STATE(2953)] = 76798,
  [SMALL_STATE(2954)] = 76860,
  [SMALL_STATE(2955)] = 76924,
  [SMALL_STATE(2956)] = 77038,
  [SMALL_STATE(2957)] = 77096,
  [SMALL_STATE(2958)] = 77152,
  [SMALL_STATE(2959)] = 77210,
  [SMALL_STATE(2960)] = 77290,
  [SMALL_STATE(2961)] = 77352,
  [SMALL_STATE(2962)] = 77410,
  [SMALL_STATE(2963)] = 77488,
  [SMALL_STATE(2964)] = 77578,
  [SMALL_STATE(2965)] = 77654,
  [SMALL_STATE(2966)] = 77710,
  [SMALL_STATE(2967)] = 77800,
  [SMALL_STATE(2968)] = 77914,
  [SMALL_STATE(2969)] = 77972,
  [SMALL_STATE(2970)] = 78028,
  [SMALL_STATE(2971)] = 78110,
  [SMALL_STATE(2972)] = 78166,
  [SMALL_STATE(2973)] = 78222,
  [SMALL_STATE(2974)] = 78290,
  [SMALL_STATE(2975)] = 78346,
  [SMALL_STATE(2976)] = 78402,
  [SMALL_STATE(2977)] = 78484,
  [SMALL_STATE(2978)] = 78562,
  [SMALL_STATE(2979)] = 78624,
  [SMALL_STATE(2980)] = 78686,
  [SMALL_STATE(2981)] = 78742,
  [SMALL_STATE(2982)] = 78822,
  [SMALL_STATE(2983)] = 78886,
  [SMALL_STATE(2984)] = 78942,
  [SMALL_STATE(2985)] = 79056,
  [SMALL_STATE(2986)] = 79112,
  [SMALL_STATE(2987)] = 79168,
  [SMALL_STATE(2988)] = 79226,
  [SMALL_STATE(2989)] = 79284,
  [SMALL_STATE(2990)] = 79340,
  [SMALL_STATE(2991)] = 79402,
  [SMALL_STATE(2992)] = 79458,
  [SMALL_STATE(2993)] = 79536,
  [SMALL_STATE(2994)] = 79600,
  [SMALL_STATE(2995)] = 79656,
  [SMALL_STATE(2996)] = 79712,
  [SMALL_STATE(2997)] = 79768,
  [SMALL_STATE(2998)] = 79836,
  [SMALL_STATE(2999)] = 79952,
  [SMALL_STATE(3000)] = 80008,
  [SMALL_STATE(3001)] = 80064,
  [SMALL_STATE(3002)] = 80124,
  [SMALL_STATE(3003)] = 80182,
  [SMALL_STATE(3004)] = 80238,
  [SMALL_STATE(3005)] = 80328,
  [SMALL_STATE(3006)] = 80384,
  [SMALL_STATE(3007)] = 80452,
  [SMALL_STATE(3008)] = 80508,
  [SMALL_STATE(3009)] = 80622,
  [SMALL_STATE(3010)] = 80736,
  [SMALL_STATE(3011)] = 80850,
  [SMALL_STATE(3012)] = 80964,
  [SMALL_STATE(3013)] = 81078,
  [SMALL_STATE(3014)] = 81192,
  [SMALL_STATE(3015)] = 81248,
  [SMALL_STATE(3016)] = 81304,
  [SMALL_STATE(3017)] = 81360,
  [SMALL_STATE(3018)] = 81474,
  [SMALL_STATE(3019)] = 81530,
  [SMALL_STATE(3020)] = 81586,
  [SMALL_STATE(3021)] = 81642,
  [SMALL_STATE(3022)] = 81698,
  [SMALL_STATE(3023)] = 81754,
  [SMALL_STATE(3024)] = 81810,
  [SMALL_STATE(3025)] = 81872,
  [SMALL_STATE(3026)] = 81928,
  [SMALL_STATE(3027)] = 81984,
  [SMALL_STATE(3028)] = 82098,
  [SMALL_STATE(3029)] = 82212,
  [SMALL_STATE(3030)] = 82318,
  [SMALL_STATE(3031)] = 82410,
  [SMALL_STATE(3032)] = 82466,
  [SMALL_STATE(3033)] = 82550,
  [SMALL_STATE(3034)] = 82632,
  [SMALL_STATE(3035)] = 82732,
  [SMALL_STATE(3036)] = 82830,
  [SMALL_STATE(3037)] = 82926,
  [SMALL_STATE(3038)] = 83010,
  [SMALL_STATE(3039)] = 83092,
  [SMALL_STATE(3040)] = 83206,
  [SMALL_STATE(3041)] = 83310,
  [SMALL_STATE(3042)] = 83412,
  [SMALL_STATE(3043)] = 83468,
  [SMALL_STATE(3044)] = 83546,
  [SMALL_STATE(3045)] = 83626,
  [SMALL_STATE(3046)] = 83740,
  [SMALL_STATE(3047)] = 83796,
  [SMALL_STATE(3048)] = 83910,
  [SMALL_STATE(3049)] = 84026,
  [SMALL_STATE(3050)] = 84104,
  [SMALL_STATE(3051)] = 84218,
  [SMALL_STATE(3052)] = 84274,
  [SMALL_STATE(3053)] = 84330,
  [SMALL_STATE(3054)] = 84392,
  [SMALL_STATE(3055)] = 84454,
  [SMALL_STATE(3056)] = 84510,
  [SMALL_STATE(3057)] = 84592,
  [SMALL_STATE(3058)] = 84648,
  [SMALL_STATE(3059)] = 84704,
  [SMALL_STATE(3060)] = 84820,
  [SMALL_STATE(3061)] = 84876,
  [SMALL_STATE(3062)] = 84932,
  [SMALL_STATE(3063)] = 84988,
  [SMALL_STATE(3064)] = 85104,
  [SMALL_STATE(3065)] = 85160,
  [SMALL_STATE(3066)] = 85222,
  [SMALL_STATE(3067)] = 85278,
  [SMALL_STATE(3068)] = 85334,
  [SMALL_STATE(3069)] = 85448,
  [SMALL_STATE(3070)] = 85562,
  [SMALL_STATE(3071)] = 85622,
  [SMALL_STATE(3072)] = 85678,
  [SMALL_STATE(3073)] = 85734,
  [SMALL_STATE(3074)] = 85790,
  [SMALL_STATE(3075)] = 85846,
  [SMALL_STATE(3076)] = 85902,
  [SMALL_STATE(3077)] = 85958,
  [SMALL_STATE(3078)] = 86040,
  [SMALL_STATE(3079)] = 86096,
  [SMALL_STATE(3080)] = 86152,
  [SMALL_STATE(3081)] = 86234,
  [SMALL_STATE(3082)] = 86324,
  [SMALL_STATE(3083)] = 86438,
  [SMALL_STATE(3084)] = 86494,
  [SMALL_STATE(3085)] = 86584,
  [SMALL_STATE(3086)] = 86698,
  [SMALL_STATE(3087)] = 86758,
  [SMALL_STATE(3088)] = 86820,
  [SMALL_STATE(3089)] = 86876,
  [SMALL_STATE(3090)] = 86932,
  [SMALL_STATE(3091)] = 87048,
  [SMALL_STATE(3092)] = 87112,
  [SMALL_STATE(3093)] = 87176,
  [SMALL_STATE(3094)] = 87232,
  [SMALL_STATE(3095)] = 87290,
  [SMALL_STATE(3096)] = 87346,
  [SMALL_STATE(3097)] = 87404,
  [SMALL_STATE(3098)] = 87460,
  [SMALL_STATE(3099)] = 87522,
  [SMALL_STATE(3100)] = 87578,
  [SMALL_STATE(3101)] = 87636,
  [SMALL_STATE(3102)] = 87692,
  [SMALL_STATE(3103)] = 87782,
  [SMALL_STATE(3104)] = 87870,
  [SMALL_STATE(3105)] = 87926,
  [SMALL_STATE(3106)] = 88040,
  [SMALL_STATE(3107)] = 88154,
  [SMALL_STATE(3108)] = 88222,
  [SMALL_STATE(3109)] = 88278,
  [SMALL_STATE(3110)] = 88334,
  [SMALL_STATE(3111)] = 88390,
  [SMALL_STATE(3112)] = 88446,
  [SMALL_STATE(3113)] = 88502,
  [SMALL_STATE(3114)] = 88570,
  [SMALL_STATE(3115)] = 88684,
  [SMALL_STATE(3116)] = 88746,
  [SMALL_STATE(3117)] = 88808,
  [SMALL_STATE(3118)] = 88864,
  [SMALL_STATE(3119)] = 88978,
  [SMALL_STATE(3120)] = 89034,
  [SMALL_STATE(3121)] = 89090,
  [SMALL_STATE(3122)] = 89172,
  [SMALL_STATE(3123)] = 89262,
  [SMALL_STATE(3124)] = 89376,
  [SMALL_STATE(3125)] = 89490,
  [SMALL_STATE(3126)] = 89546,
  [SMALL_STATE(3127)] = 89602,
  [SMALL_STATE(3128)] = 89666,
  [SMALL_STATE(3129)] = 89734,
  [SMALL_STATE(3130)] = 89790,
  [SMALL_STATE(3131)] = 89891,
  [SMALL_STATE(3132)] = 89952,
  [SMALL_STATE(3133)] = 90011,
  [SMALL_STATE(3134)] = 90086,
  [SMALL_STATE(3135)] = 90143,
  [SMALL_STATE(3136)] = 90218,
  [SMALL_STATE(3137)] = 90273,
  [SMALL_STATE(3138)] = 90346,
  [SMALL_STATE(3139)] = 90403,
  [SMALL_STATE(3140)] = 90458,
  [SMALL_STATE(3141)] = 90513,
  [SMALL_STATE(3142)] = 90626,
  [SMALL_STATE(3143)] = 90693,
  [SMALL_STATE(3144)] = 90760,
  [SMALL_STATE(3145)] = 90873,
  [SMALL_STATE(3146)] = 90986,
  [SMALL_STATE(3147)] = 91059,
  [SMALL_STATE(3148)] = 91174,
  [SMALL_STATE(3149)] = 91241,
  [SMALL_STATE(3150)] = 91296,
  [SMALL_STATE(3151)] = 91371,
  [SMALL_STATE(3152)] = 91446,
  [SMALL_STATE(3153)] = 91509,
  [SMALL_STATE(3154)] = 91576,
  [SMALL_STATE(3155)] = 91643,
  [SMALL_STATE(3156)] = 91716,
  [SMALL_STATE(3157)] = 91789,
  [SMALL_STATE(3158)] = 91846,
  [SMALL_STATE(3159)] = 91905,
  [SMALL_STATE(3160)] = 91968,
  [SMALL_STATE(3161)] = 92025,
  [SMALL_STATE(3162)] = 92138,
  [SMALL_STATE(3163)] = 92251,
  [SMALL_STATE(3164)] = 92310,
  [SMALL_STATE(3165)] = 92369,
  [SMALL_STATE(3166)] = 92444,
  [SMALL_STATE(3167)] = 92499,
  [SMALL_STATE(3168)] = 92560,
  [SMALL_STATE(3169)] = 92619,
  [SMALL_STATE(3170)] = 92678,
  [SMALL_STATE(3171)] = 92737,
  [SMALL_STATE(3172)] = 92850,
  [SMALL_STATE(3173)] = 92909,
  [SMALL_STATE(3174)] = 92968,
  [SMALL_STATE(3175)] = 93041,
  [SMALL_STATE(3176)] = 93100,
  [SMALL_STATE(3177)] = 93159,
  [SMALL_STATE(3178)] = 93214,
  [SMALL_STATE(3179)] = 93269,
  [SMALL_STATE(3180)] = 93328,
  [SMALL_STATE(3181)] = 93387,
  [SMALL_STATE(3182)] = 93448,
  [SMALL_STATE(3183)] = 93503,
  [SMALL_STATE(3184)] = 93558,
  [SMALL_STATE(3185)] = 93621,
  [SMALL_STATE(3186)] = 93684,
  [SMALL_STATE(3187)] = 93751,
  [SMALL_STATE(3188)] = 93864,
  [SMALL_STATE(3189)] = 93919,
  [SMALL_STATE(3190)] = 93976,
  [SMALL_STATE(3191)] = 94089,
  [SMALL_STATE(3192)] = 94152,
  [SMALL_STATE(3193)] = 94245,
  [SMALL_STATE(3194)] = 94318,
  [SMALL_STATE(3195)] = 94385,
  [SMALL_STATE(3196)] = 94498,
  [SMALL_STATE(3197)] = 94571,
  [SMALL_STATE(3198)] = 94626,
  [SMALL_STATE(3199)] = 94699,
  [SMALL_STATE(3200)] = 94812,
  [SMALL_STATE(3201)] = 94867,
  [SMALL_STATE(3202)] = 94942,
  [SMALL_STATE(3203)] = 95005,
  [SMALL_STATE(3204)] = 95118,
  [SMALL_STATE(3205)] = 95173,
  [SMALL_STATE(3206)] = 95248,
  [SMALL_STATE(3207)] = 95353,
  [SMALL_STATE(3208)] = 95414,
  [SMALL_STATE(3209)] = 95489,
  [SMALL_STATE(3210)] = 95580,
  [SMALL_STATE(3211)] = 95635,
  [SMALL_STATE(3212)] = 95690,
  [SMALL_STATE(3213)] = 95803,
  [SMALL_STATE(3214)] = 95876,
  [SMALL_STATE(3215)] = 95939,
  [SMALL_STATE(3216)] = 96022,
  [SMALL_STATE(3217)] = 96077,
  [SMALL_STATE(3218)] = 96150,
  [SMALL_STATE(3219)] = 96211,
  [SMALL_STATE(3220)] = 96294,
  [SMALL_STATE(3221)] = 96367,
  [SMALL_STATE(3222)] = 96424,
  [SMALL_STATE(3223)] = 96483,
  [SMALL_STATE(3224)] = 96538,
  [SMALL_STATE(3225)] = 96597,
  [SMALL_STATE(3226)] = 96654,
  [SMALL_STATE(3227)] = 96713,
  [SMALL_STATE(3228)] = 96778,
  [SMALL_STATE(3229)] = 96843,
  [SMALL_STATE(3230)] = 96898,
  [SMALL_STATE(3231)] = 96957,
  [SMALL_STATE(3232)] = 97012,
  [SMALL_STATE(3233)] = 97067,
  [SMALL_STATE(3234)] = 97124,
  [SMALL_STATE(3235)] = 97205,
  [SMALL_STATE(3236)] = 97304,
  [SMALL_STATE(3237)] = 97377,
  [SMALL_STATE(3238)] = 97440,
  [SMALL_STATE(3239)] = 97495,
  [SMALL_STATE(3240)] = 97608,
  [SMALL_STATE(3241)] = 97663,
  [SMALL_STATE(3242)] = 97736,
  [SMALL_STATE(3243)] = 97849,
  [SMALL_STATE(3244)] = 97930,
  [SMALL_STATE(3245)] = 98005,
  [SMALL_STATE(3246)] = 98060,
  [SMALL_STATE(3247)] = 98127,
  [SMALL_STATE(3248)] = 98194,
  [SMALL_STATE(3249)] = 98249,
  [SMALL_STATE(3250)] = 98310,
  [SMALL_STATE(3251)] = 98393,
  [SMALL_STATE(3252)] = 98490,
  [SMALL_STATE(3253)] = 98585,
  [SMALL_STATE(3254)] = 98644,
  [SMALL_STATE(3255)] = 98699,
  [SMALL_STATE(3256)] = 98812,
  [SMALL_STATE(3257)] = 98893,
  [SMALL_STATE(3258)] = 98976,
  [SMALL_STATE(3259)] = 99049,
  [SMALL_STATE(3260)] = 99152,
  [SMALL_STATE(3261)] = 99207,
  [SMALL_STATE(3262)] = 99320,
  [SMALL_STATE(3263)] = 99433,
  [SMALL_STATE(3264)] = 99488,
  [SMALL_STATE(3265)] = 99543,
  [SMALL_STATE(3266)] = 99644,
  [SMALL_STATE(3267)] = 99721,
  [SMALL_STATE(3268)] = 99834,
  [SMALL_STATE(3269)] = 99889,
  [SMALL_STATE(3270)] = 100002,
  [SMALL_STATE(3271)] = 100089,
  [SMALL_STATE(3272)] = 100202,
  [SMALL_STATE(3273)] = 100257,
  [SMALL_STATE(3274)] = 100312,
  [SMALL_STATE(3275)] = 100425,
  [SMALL_STATE(3276)] = 100498,
  [SMALL_STATE(3277)] = 100611,
  [SMALL_STATE(3278)] = 100724,
  [SMALL_STATE(3279)] = 100783,
  [SMALL_STATE(3280)] = 100896,
  [SMALL_STATE(3281)] = 100955,
  [SMALL_STATE(3282)] = 101036,
  [SMALL_STATE(3283)] = 101149,
  [SMALL_STATE(3284)] = 101262,
  [SMALL_STATE(3285)] = 101321,
  [SMALL_STATE(3286)] = 101386,
  [SMALL_STATE(3287)] = 101449,
  [SMALL_STATE(3288)] = 101504,
  [SMALL_STATE(3289)] = 101559,
  [SMALL_STATE(3290)] = 101632,
  [SMALL_STATE(3291)] = 101687,
  [SMALL_STATE(3292)] = 101742,
  [SMALL_STATE(3293)] = 101807,
  [SMALL_STATE(3294)] = 101862,
  [SMALL_STATE(3295)] = 101945,
  [SMALL_STATE(3296)] = 102018,
  [SMALL_STATE(3297)] = 102131,
  [SMALL_STATE(3298)] = 102212,
  [SMALL_STATE(3299)] = 102325,
  [SMALL_STATE(3300)] = 102386,
  [SMALL_STATE(3301)] = 102491,
  [SMALL_STATE(3302)] = 102604,
  [SMALL_STATE(3303)] = 102665,
  [SMALL_STATE(3304)] = 102746,
  [SMALL_STATE(3305)] = 102837,
  [SMALL_STATE(3306)] = 102950,
  [SMALL_STATE(3307)] = 103031,
  [SMALL_STATE(3308)] = 103106,
  [SMALL_STATE(3309)] = 103219,
  [SMALL_STATE(3310)] = 103302,
  [SMALL_STATE(3311)] = 103369,
  [SMALL_STATE(3312)] = 103436,
  [SMALL_STATE(3313)] = 103503,
  [SMALL_STATE(3314)] = 103558,
  [SMALL_STATE(3315)] = 103613,
  [SMALL_STATE(3316)] = 103668,
  [SMALL_STATE(3317)] = 103751,
  [SMALL_STATE(3318)] = 103806,
  [SMALL_STATE(3319)] = 103861,
  [SMALL_STATE(3320)] = 103916,
  [SMALL_STATE(3321)] = 103971,
  [SMALL_STATE(3322)] = 104034,
  [SMALL_STATE(3323)] = 104115,
  [SMALL_STATE(3324)] = 104172,
  [SMALL_STATE(3325)] = 104231,
  [SMALL_STATE(3326)] = 104286,
  [SMALL_STATE(3327)] = 104345,
  [SMALL_STATE(3328)] = 104406,
  [SMALL_STATE(3329)] = 104519,
  [SMALL_STATE(3330)] = 104632,
  [SMALL_STATE(3331)] = 104709,
  [SMALL_STATE(3332)] = 104766,
  [SMALL_STATE(3333)] = 104865,
  [SMALL_STATE(3334)] = 104978,
  [SMALL_STATE(3335)] = 105037,
  [SMALL_STATE(3336)] = 105150,
  [SMALL_STATE(3337)] = 105205,
  [SMALL_STATE(3338)] = 105302,
  [SMALL_STATE(3339)] = 105397,
  [SMALL_STATE(3340)] = 105510,
  [SMALL_STATE(3341)] = 105593,
  [SMALL_STATE(3342)] = 105706,
  [SMALL_STATE(3343)] = 105819,
  [SMALL_STATE(3344)] = 105932,
  [SMALL_STATE(3345)] = 106045,
  [SMALL_STATE(3346)] = 106150,
  [SMALL_STATE(3347)] = 106233,
  [SMALL_STATE(3348)] = 106324,
  [SMALL_STATE(3349)] = 106407,
  [SMALL_STATE(3350)] = 106488,
  [SMALL_STATE(3351)] = 106587,
  [SMALL_STATE(3352)] = 106684,
  [SMALL_STATE(3353)] = 106779,
  [SMALL_STATE(3354)] = 106862,
  [SMALL_STATE(3355)] = 106965,
  [SMALL_STATE(3356)] = 107046,
  [SMALL_STATE(3357)] = 107103,
  [SMALL_STATE(3358)] = 107206,
  [SMALL_STATE(3359)] = 107281,
  [SMALL_STATE(3360)] = 107354,
  [SMALL_STATE(3361)] = 107455,
  [SMALL_STATE(3362)] = 107530,
  [SMALL_STATE(3363)] = 107611,
  [SMALL_STATE(3364)] = 107694,
  [SMALL_STATE(3365)] = 107771,
  [SMALL_STATE(3366)] = 107884,
  [SMALL_STATE(3367)] = 107997,
  [SMALL_STATE(3368)] = 108110,
  [SMALL_STATE(3369)] = 108223,
  [SMALL_STATE(3370)] = 108300,
  [SMALL_STATE(3371)] = 108383,
  [SMALL_STATE(3372)] = 108442,
  [SMALL_STATE(3373)] = 108499,
  [SMALL_STATE(3374)] = 108586,
  [SMALL_STATE(3375)] = 108699,
  [SMALL_STATE(3376)] = 108780,
  [SMALL_STATE(3377)] = 108837,
  [SMALL_STATE(3378)] = 108950,
  [SMALL_STATE(3379)] = 109063,
  [SMALL_STATE(3380)] = 109176,
  [SMALL_STATE(3381)] = 109289,
  [SMALL_STATE(3382)] = 109346,
  [SMALL_STATE(3383)] = 109433,
  [SMALL_STATE(3384)] = 109500,
  [SMALL_STATE(3385)] = 109613,
  [SMALL_STATE(3386)] = 109688,
  [SMALL_STATE(3387)] = 109801,
  [SMALL_STATE(3388)] = 109874,
  [SMALL_STATE(3389)] = 109941,
  [SMALL_STATE(3390)] = 110054,
  [SMALL_STATE(3391)] = 110115,
  [SMALL_STATE(3392)] = 110174,
  [SMALL_STATE(3393)] = 110287,
  [SMALL_STATE(3394)] = 110346,
  [SMALL_STATE(3395)] = 110401,
  [SMALL_STATE(3396)] = 110456,
  [SMALL_STATE(3397)] = 110531,
  [SMALL_STATE(3398)] = 110590,
  [SMALL_STATE(3399)] = 110663,
  [SMALL_STATE(3400)] = 110736,
  [SMALL_STATE(3401)] = 110811,
  [SMALL_STATE(3402)] = 110868,
  [SMALL_STATE(3403)] = 110943,
  [SMALL_STATE(3404)] = 110998,
  [SMALL_STATE(3405)] = 111053,
  [SMALL_STATE(3406)] = 111108,
  [SMALL_STATE(3407)] = 111163,
  [SMALL_STATE(3408)] = 111220,
  [SMALL_STATE(3409)] = 111275,
  [SMALL_STATE(3410)] = 111332,
  [SMALL_STATE(3411)] = 111407,
  [SMALL_STATE(3412)] = 111480,
  [SMALL_STATE(3413)] = 111539,
  [SMALL_STATE(3414)] = 111612,
  [SMALL_STATE(3415)] = 111671,
  [SMALL_STATE(3416)] = 111746,
  [SMALL_STATE(3417)] = 111821,
  [SMALL_STATE(3418)] = 111902,
  [SMALL_STATE(3419)] = 112015,
  [SMALL_STATE(3420)] = 112083,
  [SMALL_STATE(3421)] = 112155,
  [SMALL_STATE(3422)] = 112213,
  [SMALL_STATE(3423)] = 112281,
  [SMALL_STATE(3424)] = 112349,
  [SMALL_STATE(3425)] = 112409,
  [SMALL_STATE(3426)] = 112471,
  [SMALL_STATE(3427)] = 112533,
  [SMALL_STATE(3428)] = 112601,
  [SMALL_STATE(3429)] = 112669,
  [SMALL_STATE(3430)] = 112737,
  [SMALL_STATE(3431)] = 112799,
  [SMALL_STATE(3432)] = 112867,
  [SMALL_STATE(3433)] = 112935,
  [SMALL_STATE(3434)] = 112995,
  [SMALL_STATE(3435)] = 113057,
  [SMALL_STATE(3436)] = 113125,
  [SMALL_STATE(3437)] = 113183,
  [SMALL_STATE(3438)] = 113251,
  [SMALL_STATE(3439)] = 113327,
  [SMALL_STATE(3440)] = 113389,
  [SMALL_STATE(3441)] = 113457,
  [SMALL_STATE(3442)] = 113519,
  [SMALL_STATE(3443)] = 113587,
  [SMALL_STATE(3444)] = 113697,
  [SMALL_STATE(3445)] = 113765,
  [SMALL_STATE(3446)] = 113827,
  [SMALL_STATE(3447)] = 113887,
  [SMALL_STATE(3448)] = 113955,
  [SMALL_STATE(3449)] = 114031,
  [SMALL_STATE(3450)] = 114099,
  [SMALL_STATE(3451)] = 114175,
  [SMALL_STATE(3452)] = 114243,
  [SMALL_STATE(3453)] = 114311,
  [SMALL_STATE(3454)] = 114379,
  [SMALL_STATE(3455)] = 114489,
  [SMALL_STATE(3456)] = 114557,
  [SMALL_STATE(3457)] = 114667,
  [SMALL_STATE(3458)] = 114777,
  [SMALL_STATE(3459)] = 114887,
  [SMALL_STATE(3460)] = 114963,
  [SMALL_STATE(3461)] = 115073,
  [SMALL_STATE(3462)] = 115183,
  [SMALL_STATE(3463)] = 115239,
  [SMALL_STATE(3464)] = 115307,
  [SMALL_STATE(3465)] = 115381,
  [SMALL_STATE(3466)] = 115437,
  [SMALL_STATE(3467)] = 115503,
  [SMALL_STATE(3468)] = 115559,
  [SMALL_STATE(3469)] = 115647,
  [SMALL_STATE(3470)] = 115757,
  [SMALL_STATE(3471)] = 115867,
  [SMALL_STATE(3472)] = 115977,
  [SMALL_STATE(3473)] = 116037,
  [SMALL_STATE(3474)] = 116147,
  [SMALL_STATE(3475)] = 116231,
  [SMALL_STATE(3476)] = 116341,
  [SMALL_STATE(3477)] = 116397,
  [SMALL_STATE(3478)] = 116507,
  [SMALL_STATE(3479)] = 116565,
  [SMALL_STATE(3480)] = 116675,
  [SMALL_STATE(3481)] = 116785,
  [SMALL_STATE(3482)] = 116889,
  [SMALL_STATE(3483)] = 116979,
  [SMALL_STATE(3484)] = 117061,
  [SMALL_STATE(3485)] = 117137,
  [SMALL_STATE(3486)] = 117217,
  [SMALL_STATE(3487)] = 117315,
  [SMALL_STATE(3488)] = 117411,
  [SMALL_STATE(3489)] = 117505,
  [SMALL_STATE(3490)] = 117581,
  [SMALL_STATE(3491)] = 117637,
  [SMALL_STATE(3492)] = 117719,
  [SMALL_STATE(3493)] = 117821,
  [SMALL_STATE(3494)] = 117921,
  [SMALL_STATE(3495)] = 118001,
  [SMALL_STATE(3496)] = 118111,
  [SMALL_STATE(3497)] = 118187,
  [SMALL_STATE(3498)] = 118269,
  [SMALL_STATE(3499)] = 118355,
  [SMALL_STATE(3500)] = 118423,
  [SMALL_STATE(3501)] = 118479,
  [SMALL_STATE(3502)] = 118547,
  [SMALL_STATE(3503)] = 118615,
  [SMALL_STATE(3504)] = 118691,
  [SMALL_STATE(3505)] = 118747,
  [SMALL_STATE(3506)] = 118802,
  [SMALL_STATE(3507)] = 118857,
  [SMALL_STATE(3508)] = 118916,
  [SMALL_STATE(3509)] = 118985,
  [SMALL_STATE(3510)] = 119060,
  [SMALL_STATE(3511)] = 119129,
  [SMALL_STATE(3512)] = 119202,
  [SMALL_STATE(3513)] = 119261,
  [SMALL_STATE(3514)] = 119334,
  [SMALL_STATE(3515)] = 119393,
  [SMALL_STATE(3516)] = 119466,
  [SMALL_STATE(3517)] = 119525,
  [SMALL_STATE(3518)] = 119598,
  [SMALL_STATE(3519)] = 119667,
  [SMALL_STATE(3520)] = 119760,
  [SMALL_STATE(3521)] = 119829,
  [SMALL_STATE(3522)] = 119888,
  [SMALL_STATE(3523)] = 119961,
  [SMALL_STATE(3524)] = 120020,
  [SMALL_STATE(3525)] = 120089,
  [SMALL_STATE(3526)] = 120148,
  [SMALL_STATE(3527)] = 120207,
  [SMALL_STATE(3528)] = 120282,
  [SMALL_STATE(3529)] = 120359,
  [SMALL_STATE(3530)] = 120414,
  [SMALL_STATE(3531)] = 120487,
  [SMALL_STATE(3532)] = 120542,
  [SMALL_STATE(3533)] = 120597,
  [SMALL_STATE(3534)] = 120676,
  [SMALL_STATE(3535)] = 120731,
  [SMALL_STATE(3536)] = 120786,
  [SMALL_STATE(3537)] = 120845,
  [SMALL_STATE(3538)] = 120900,
  [SMALL_STATE(3539)] = 120959,
  [SMALL_STATE(3540)] = 121014,
  [SMALL_STATE(3541)] = 121069,
  [SMALL_STATE(3542)] = 121124,
  [SMALL_STATE(3543)] = 121179,
  [SMALL_STATE(3544)] = 121240,
  [SMALL_STATE(3545)] = 121306,
  [SMALL_STATE(3546)] = 121364,
  [SMALL_STATE(3547)] = 121426,
  [SMALL_STATE(3548)] = 121492,
  [SMALL_STATE(3549)] = 121546,
  [SMALL_STATE(3550)] = 121608,
  [SMALL_STATE(3551)] = 121676,
  [SMALL_STATE(3552)] = 121734,
  [SMALL_STATE(3553)] = 121800,
  [SMALL_STATE(3554)] = 121862,
  [SMALL_STATE(3555)] = 121932,
  [SMALL_STATE(3556)] = 121990,
  [SMALL_STATE(3557)] = 122062,
  [SMALL_STATE(3558)] = 122124,
  [SMALL_STATE(3559)] = 122190,
  [SMALL_STATE(3560)] = 122256,
  [SMALL_STATE(3561)] = 122314,
  [SMALL_STATE(3562)] = 122376,
  [SMALL_STATE(3563)] = 122442,
  [SMALL_STATE(3564)] = 122504,
  [SMALL_STATE(3565)] = 122558,
  [SMALL_STATE(3566)] = 122624,
  [SMALL_STATE(3567)] = 122686,
  [SMALL_STATE(3568)] = 122752,
  [SMALL_STATE(3569)] = 122818,
  [SMALL_STATE(3570)] = 122888,
  [SMALL_STATE(3571)] = 122954,
  [SMALL_STATE(3572)] = 123020,
  [SMALL_STATE(3573)] = 123074,
  [SMALL_STATE(3574)] = 123128,
  [SMALL_STATE(3575)] = 123194,
  [SMALL_STATE(3576)] = 123256,
  [SMALL_STATE(3577)] = 123322,
  [SMALL_STATE(3578)] = 123384,
  [SMALL_STATE(3579)] = 123446,
  [SMALL_STATE(3580)] = 123508,
  [SMALL_STATE(3581)] = 123570,
  [SMALL_STATE(3582)] = 123632,
  [SMALL_STATE(3583)] = 123698,
  [SMALL_STATE(3584)] = 123764,
  [SMALL_STATE(3585)] = 123830,
  [SMALL_STATE(3586)] = 123892,
  [SMALL_STATE(3587)] = 123946,
  [SMALL_STATE(3588)] = 124004,
  [SMALL_STATE(3589)] = 124057,
  [SMALL_STATE(3590)] = 124110,
  [SMALL_STATE(3591)] = 124163,
  [SMALL_STATE(3592)] = 124216,
  [SMALL_STATE(3593)] = 124269,
  [SMALL_STATE(3594)] = 124322,
  [SMALL_STATE(3595)] = 124375,
  [SMALL_STATE(3596)] = 124428,
  [SMALL_STATE(3597)] = 124481,
  [SMALL_STATE(3598)] = 124546,
  [SMALL_STATE(3599)] = 124599,
  [SMALL_STATE(3600)] = 124649,
  [SMALL_STATE(3601)] = 124699,
  [SMALL_STATE(3602)] = 124749,
  [SMALL_STATE(3603)] = 124799,
  [SMALL_STATE(3604)] = 124855,
  [SMALL_STATE(3605)] = 124905,
  [SMALL_STATE(3606)] = 124955,
  [SMALL_STATE(3607)] = 125009,
  [SMALL_STATE(3608)] = 125063,
  [SMALL_STATE(3609)] = 125113,
  [SMALL_STATE(3610)] = 125163,
  [SMALL_STATE(3611)] = 125213,
  [SMALL_STATE(3612)] = 125263,
  [SMALL_STATE(3613)] = 125313,
  [SMALL_STATE(3614)] = 125363,
  [SMALL_STATE(3615)] = 125413,
  [SMALL_STATE(3616)] = 125463,
  [SMALL_STATE(3617)] = 125513,
  [SMALL_STATE(3618)] = 125563,
  [SMALL_STATE(3619)] = 125613,
  [SMALL_STATE(3620)] = 125663,
  [SMALL_STATE(3621)] = 125713,
  [SMALL_STATE(3622)] = 125763,
  [SMALL_STATE(3623)] = 125813,
  [SMALL_STATE(3624)] = 125863,
  [SMALL_STATE(3625)] = 125913,
  [SMALL_STATE(3626)] = 125963,
  [SMALL_STATE(3627)] = 126013,
  [SMALL_STATE(3628)] = 126063,
  [SMALL_STATE(3629)] = 126113,
  [SMALL_STATE(3630)] = 126163,
  [SMALL_STATE(3631)] = 126213,
  [SMALL_STATE(3632)] = 126263,
  [SMALL_STATE(3633)] = 126313,
  [SMALL_STATE(3634)] = 126365,
  [SMALL_STATE(3635)] = 126421,
  [SMALL_STATE(3636)] = 126471,
  [SMALL_STATE(3637)] = 126523,
  [SMALL_STATE(3638)] = 126573,
  [SMALL_STATE(3639)] = 126623,
  [SMALL_STATE(3640)] = 126673,
  [SMALL_STATE(3641)] = 126723,
  [SMALL_STATE(3642)] = 126773,
  [SMALL_STATE(3643)] = 126823,
  [SMALL_STATE(3644)] = 126873,
  [SMALL_STATE(3645)] = 126923,
  [SMALL_STATE(3646)] = 126973,
  [SMALL_STATE(3647)] = 127023,
  [SMALL_STATE(3648)] = 127073,
  [SMALL_STATE(3649)] = 127123,
  [SMALL_STATE(3650)] = 127173,
  [SMALL_STATE(3651)] = 127223,
  [SMALL_STATE(3652)] = 127273,
  [SMALL_STATE(3653)] = 127323,
  [SMALL_STATE(3654)] = 127397,
  [SMALL_STATE(3655)] = 127447,
  [SMALL_STATE(3656)] = 127497,
  [SMALL_STATE(3657)] = 127560,
  [SMALL_STATE(3658)] = 127625,
  [SMALL_STATE(3659)] = 127692,
  [SMALL_STATE(3660)] = 127743,
  [SMALL_STATE(3661)] = 127794,
  [SMALL_STATE(3662)] = 127841,
  [SMALL_STATE(3663)] = 127888,
  [SMALL_STATE(3664)] = 127935,
  [SMALL_STATE(3665)] = 128000,
  [SMALL_STATE(3666)] = 128047,
  [SMALL_STATE(3667)] = 128112,
  [SMALL_STATE(3668)] = 128159,
  [SMALL_STATE(3669)] = 128206,
  [SMALL_STATE(3670)] = 128271,
  [SMALL_STATE(3671)] = 128338,
  [SMALL_STATE(3672)] = 128385,
  [SMALL_STATE(3673)] = 128452,
  [SMALL_STATE(3674)] = 128512,
  [SMALL_STATE(3675)] = 128564,
  [SMALL_STATE(3676)] = 128624,
  [SMALL_STATE(3677)] = 128684,
  [SMALL_STATE(3678)] = 128744,
  [SMALL_STATE(3679)] = 128804,
  [SMALL_STATE(3680)] = 128864,
  [SMALL_STATE(3681)] = 128924,
  [SMALL_STATE(3682)] = 128984,
  [SMALL_STATE(3683)] = 129044,
  [SMALL_STATE(3684)] = 129104,
  [SMALL_STATE(3685)] = 129164,
  [SMALL_STATE(3686)] = 129224,
  [SMALL_STATE(3687)] = 129284,
  [SMALL_STATE(3688)] = 129344,
  [SMALL_STATE(3689)] = 129404,
  [SMALL_STATE(3690)] = 129464,
  [SMALL_STATE(3691)] = 129524,
  [SMALL_STATE(3692)] = 129600,
  [SMALL_STATE(3693)] = 129676,
  [SMALL_STATE(3694)] = 129736,
  [SMALL_STATE(3695)] = 129796,
  [SMALL_STATE(3696)] = 129856,
  [SMALL_STATE(3697)] = 129916,
  [SMALL_STATE(3698)] = 129976,
  [SMALL_STATE(3699)] = 130036,
  [SMALL_STATE(3700)] = 130096,
  [SMALL_STATE(3701)] = 130156,
  [SMALL_STATE(3702)] = 130216,
  [SMALL_STATE(3703)] = 130276,
  [SMALL_STATE(3704)] = 130361,
  [SMALL_STATE(3705)] = 130422,
  [SMALL_STATE(3706)] = 130507,
  [SMALL_STATE(3707)] = 130592,
  [SMALL_STATE(3708)] = 130677,
  [SMALL_STATE(3709)] = 130738,
  [SMALL_STATE(3710)] = 130823,
  [SMALL_STATE(3711)] = 130908,
  [SMALL_STATE(3712)] = 130969,
  [SMALL_STATE(3713)] = 131030,
  [SMALL_STATE(3714)] = 131091,
  [SMALL_STATE(3715)] = 131152,
  [SMALL_STATE(3716)] = 131219,
  [SMALL_STATE(3717)] = 131286,
  [SMALL_STATE(3718)] = 131353,
  [SMALL_STATE(3719)] = 131414,
  [SMALL_STATE(3720)] = 131475,
  [SMALL_STATE(3721)] = 131536,
  [SMALL_STATE(3722)] = 131597,
  [SMALL_STATE(3723)] = 131658,
  [SMALL_STATE(3724)] = 131719,
  [SMALL_STATE(3725)] = 131780,
  [SMALL_STATE(3726)] = 131841,
  [SMALL_STATE(3727)] = 131902,
  [SMALL_STATE(3728)] = 131951,
  [SMALL_STATE(3729)] = 132012,
  [SMALL_STATE(3730)] = 132073,
  [SMALL_STATE(3731)] = 132134,
  [SMALL_STATE(3732)] = 132201,
  [SMALL_STATE(3733)] = 132262,
  [SMALL_STATE(3734)] = 132347,
  [SMALL_STATE(3735)] = 132408,
  [SMALL_STATE(3736)] = 132479,
  [SMALL_STATE(3737)] = 132540,
  [SMALL_STATE(3738)] = 132585,
  [SMALL_STATE(3739)] = 132646,
  [SMALL_STATE(3740)] = 132707,
  [SMALL_STATE(3741)] = 132778,
  [SMALL_STATE(3742)] = 132863,
  [SMALL_STATE(3743)] = 132948,
  [SMALL_STATE(3744)] = 133009,
  [SMALL_STATE(3745)] = 133070,
  [SMALL_STATE(3746)] = 133155,
  [SMALL_STATE(3747)] = 133216,
  [SMALL_STATE(3748)] = 133277,
  [SMALL_STATE(3749)] = 133362,
  [SMALL_STATE(3750)] = 133423,
  [SMALL_STATE(3751)] = 133484,
  [SMALL_STATE(3752)] = 133555,
  [SMALL_STATE(3753)] = 133640,
  [SMALL_STATE(3754)] = 133701,
  [SMALL_STATE(3755)] = 133765,
  [SMALL_STATE(3756)] = 133825,
  [SMALL_STATE(3757)] = 133889,
  [SMALL_STATE(3758)] = 133953,
  [SMALL_STATE(3759)] = 134013,
  [SMALL_STATE(3760)] = 134077,
  [SMALL_STATE(3761)] = 134141,
  [SMALL_STATE(3762)] = 134205,
  [SMALL_STATE(3763)] = 134269,
  [SMALL_STATE(3764)] = 134333,
  [SMALL_STATE(3765)] = 134397,
  [SMALL_STATE(3766)] = 134443,
  [SMALL_STATE(3767)] = 134507,
  [SMALL_STATE(3768)] = 134571,
  [SMALL_STATE(3769)] = 134635,
  [SMALL_STATE(3770)] = 134699,
  [SMALL_STATE(3771)] = 134763,
  [SMALL_STATE(3772)] = 134821,
  [SMALL_STATE(3773)] = 134885,
  [SMALL_STATE(3774)] = 134949,
  [SMALL_STATE(3775)] = 135004,
  [SMALL_STATE(3776)] = 135059,
  [SMALL_STATE(3777)] = 135116,
  [SMALL_STATE(3778)] = 135171,
  [SMALL_STATE(3779)] = 135228,
  [SMALL_STATE(3780)] = 135283,
  [SMALL_STATE(3781)] = 135340,
  [SMALL_STATE(3782)] = 135383,
  [SMALL_STATE(3783)] = 135438,
  [SMALL_STATE(3784)] = 135493,
  [SMALL_STATE(3785)] = 135550,
  [SMALL_STATE(3786)] = 135593,
  [SMALL_STATE(3787)] = 135648,
  [SMALL_STATE(3788)] = 135703,
  [SMALL_STATE(3789)] = 135758,
  [SMALL_STATE(3790)] = 135813,
  [SMALL_STATE(3791)] = 135868,
  [SMALL_STATE(3792)] = 135925,
  [SMALL_STATE(3793)] = 135980,
  [SMALL_STATE(3794)] = 136037,
  [SMALL_STATE(3795)] = 136092,
  [SMALL_STATE(3796)] = 136147,
  [SMALL_STATE(3797)] = 136202,
  [SMALL_STATE(3798)] = 136257,
  [SMALL_STATE(3799)] = 136312,
  [SMALL_STATE(3800)] = 136367,
  [SMALL_STATE(3801)] = 136422,
  [SMALL_STATE(3802)] = 136479,
  [SMALL_STATE(3803)] = 136522,
  [SMALL_STATE(3804)] = 136579,
  [SMALL_STATE(3805)] = 136634,
  [SMALL_STATE(3806)] = 136689,
  [SMALL_STATE(3807)] = 136744,
  [SMALL_STATE(3808)] = 136801,
  [SMALL_STATE(3809)] = 136858,
  [SMALL_STATE(3810)] = 136901,
  [SMALL_STATE(3811)] = 136956,
  [SMALL_STATE(3812)] = 137011,
  [SMALL_STATE(3813)] = 137066,
  [SMALL_STATE(3814)] = 137121,
  [SMALL_STATE(3815)] = 137176,
  [SMALL_STATE(3816)] = 137233,
  [SMALL_STATE(3817)] = 137288,
  [SMALL_STATE(3818)] = 137343,
  [SMALL_STATE(3819)] = 137398,
  [SMALL_STATE(3820)] = 137453,
  [SMALL_STATE(3821)] = 137508,
  [SMALL_STATE(3822)] = 137563,
  [SMALL_STATE(3823)] = 137618,
  [SMALL_STATE(3824)] = 137673,
  [SMALL_STATE(3825)] = 137730,
  [SMALL_STATE(3826)] = 137773,
  [SMALL_STATE(3827)] = 137828,
  [SMALL_STATE(3828)] = 137883,
  [SMALL_STATE(3829)] = 137938,
  [SMALL_STATE(3830)] = 137993,
  [SMALL_STATE(3831)] = 138048,
  [SMALL_STATE(3832)] = 138105,
  [SMALL_STATE(3833)] = 138160,
  [SMALL_STATE(3834)] = 138217,
  [SMALL_STATE(3835)] = 138260,
  [SMALL_STATE(3836)] = 138300,
  [SMALL_STATE(3837)] = 138335,
  [SMALL_STATE(3838)] = 138370,
  [SMALL_STATE(3839)] = 138417,
  [SMALL_STATE(3840)] = 138464,
  [SMALL_STATE(3841)] = 138511,
  [SMALL_STATE(3842)] = 138546,
  [SMALL_STATE(3843)] = 138580,
  [SMALL_STATE(3844)] = 138614,
  [SMALL_STATE(3845)] = 138647,
  [SMALL_STATE(3846)] = 138680,
  [SMALL_STATE(3847)] = 138713,
  [SMALL_STATE(3848)] = 138746,
  [SMALL_STATE(3849)] = 138779,
  [SMALL_STATE(3850)] = 138812,
  [SMALL_STATE(3851)] = 138845,
  [SMALL_STATE(3852)] = 138878,
  [SMALL_STATE(3853)] = 138911,
  [SMALL_STATE(3854)] = 138944,
  [SMALL_STATE(3855)] = 138977,
  [SMALL_STATE(3856)] = 139010,
  [SMALL_STATE(3857)] = 139043,
  [SMALL_STATE(3858)] = 139076,
  [SMALL_STATE(3859)] = 139109,
  [SMALL_STATE(3860)] = 139142,
  [SMALL_STATE(3861)] = 139175,
  [SMALL_STATE(3862)] = 139208,
  [SMALL_STATE(3863)] = 139249,
  [SMALL_STATE(3864)] = 139282,
  [SMALL_STATE(3865)] = 139315,
  [SMALL_STATE(3866)] = 139348,
  [SMALL_STATE(3867)] = 139381,
  [SMALL_STATE(3868)] = 139414,
  [SMALL_STATE(3869)] = 139447,
  [SMALL_STATE(3870)] = 139480,
  [SMALL_STATE(3871)] = 139513,
  [SMALL_STATE(3872)] = 139546,
  [SMALL_STATE(3873)] = 139579,
  [SMALL_STATE(3874)] = 139612,
  [SMALL_STATE(3875)] = 139645,
  [SMALL_STATE(3876)] = 139678,
  [SMALL_STATE(3877)] = 139711,
  [SMALL_STATE(3878)] = 139744,
  [SMALL_STATE(3879)] = 139777,
  [SMALL_STATE(3880)] = 139831,
  [SMALL_STATE(3881)] = 139885,
  [SMALL_STATE(3882)] = 139939,
  [SMALL_STATE(3883)] = 139993,
  [SMALL_STATE(3884)] = 140031,
  [SMALL_STATE(3885)] = 140085,
  [SMALL_STATE(3886)] = 140116,
  [SMALL_STATE(3887)] = 140147,
  [SMALL_STATE(3888)] = 140178,
  [SMALL_STATE(3889)] = 140209,
  [SMALL_STATE(3890)] = 140240,
  [SMALL_STATE(3891)] = 140271,
  [SMALL_STATE(3892)] = 140306,
  [SMALL_STATE(3893)] = 140341,
  [SMALL_STATE(3894)] = 140374,
  [SMALL_STATE(3895)] = 140407,
  [SMALL_STATE(3896)] = 140438,
  [SMALL_STATE(3897)] = 140469,
  [SMALL_STATE(3898)] = 140500,
  [SMALL_STATE(3899)] = 140531,
  [SMALL_STATE(3900)] = 140562,
  [SMALL_STATE(3901)] = 140605,
  [SMALL_STATE(3902)] = 140636,
  [SMALL_STATE(3903)] = 140667,
  [SMALL_STATE(3904)] = 140698,
  [SMALL_STATE(3905)] = 140741,
  [SMALL_STATE(3906)] = 140784,
  [SMALL_STATE(3907)] = 140815,
  [SMALL_STATE(3908)] = 140846,
  [SMALL_STATE(3909)] = 140877,
  [SMALL_STATE(3910)] = 140908,
  [SMALL_STATE(3911)] = 140939,
  [SMALL_STATE(3912)] = 140970,
  [SMALL_STATE(3913)] = 141001,
  [SMALL_STATE(3914)] = 141033,
  [SMALL_STATE(3915)] = 141065,
  [SMALL_STATE(3916)] = 141095,
  [SMALL_STATE(3917)] = 141127,
  [SMALL_STATE(3918)] = 141157,
  [SMALL_STATE(3919)] = 141186,
  [SMALL_STATE(3920)] = 141221,
  [SMALL_STATE(3921)] = 141250,
  [SMALL_STATE(3922)] = 141285,
  [SMALL_STATE(3923)] = 141320,
  [SMALL_STATE(3924)] = 141349,
  [SMALL_STATE(3925)] = 141378,
  [SMALL_STATE(3926)] = 141407,
  [SMALL_STATE(3927)] = 141436,
  [SMALL_STATE(3928)] = 141465,
  [SMALL_STATE(3929)] = 141504,
  [SMALL_STATE(3930)] = 141543,
  [SMALL_STATE(3931)] = 141582,
  [SMALL_STATE(3932)] = 141611,
  [SMALL_STATE(3933)] = 141640,
  [SMALL_STATE(3934)] = 141669,
  [SMALL_STATE(3935)] = 141698,
  [SMALL_STATE(3936)] = 141733,
  [SMALL_STATE(3937)] = 141762,
  [SMALL_STATE(3938)] = 141797,
  [SMALL_STATE(3939)] = 141824,
  [SMALL_STATE(3940)] = 141853,
  [SMALL_STATE(3941)] = 141882,
  [SMALL_STATE(3942)] = 141911,
  [SMALL_STATE(3943)] = 141940,
  [SMALL_STATE(3944)] = 141969,
  [SMALL_STATE(3945)] = 141998,
  [SMALL_STATE(3946)] = 142035,
  [SMALL_STATE(3947)] = 142064,
  [SMALL_STATE(3948)] = 142093,
  [SMALL_STATE(3949)] = 142122,
  [SMALL_STATE(3950)] = 142153,
  [SMALL_STATE(3951)] = 142182,
  [SMALL_STATE(3952)] = 142211,
  [SMALL_STATE(3953)] = 142238,
  [SMALL_STATE(3954)] = 142267,
  [SMALL_STATE(3955)] = 142306,
  [SMALL_STATE(3956)] = 142335,
  [SMALL_STATE(3957)] = 142362,
  [SMALL_STATE(3958)] = 142393,
  [SMALL_STATE(3959)] = 142422,
  [SMALL_STATE(3960)] = 142451,
  [SMALL_STATE(3961)] = 142480,
  [SMALL_STATE(3962)] = 142519,
  [SMALL_STATE(3963)] = 142558,
  [SMALL_STATE(3964)] = 142585,
  [SMALL_STATE(3965)] = 142614,
  [SMALL_STATE(3966)] = 142643,
  [SMALL_STATE(3967)] = 142682,
  [SMALL_STATE(3968)] = 142719,
  [SMALL_STATE(3969)] = 142758,
  [SMALL_STATE(3970)] = 142797,
  [SMALL_STATE(3971)] = 142826,
  [SMALL_STATE(3972)] = 142855,
  [SMALL_STATE(3973)] = 142884,
  [SMALL_STATE(3974)] = 142913,
  [SMALL_STATE(3975)] = 142942,
  [SMALL_STATE(3976)] = 142971,
  [SMALL_STATE(3977)] = 143010,
  [SMALL_STATE(3978)] = 143039,
  [SMALL_STATE(3979)] = 143076,
  [SMALL_STATE(3980)] = 143103,
  [SMALL_STATE(3981)] = 143132,
  [SMALL_STATE(3982)] = 143161,
  [SMALL_STATE(3983)] = 143192,
  [SMALL_STATE(3984)] = 143231,
  [SMALL_STATE(3985)] = 143270,
  [SMALL_STATE(3986)] = 143299,
  [SMALL_STATE(3987)] = 143330,
  [SMALL_STATE(3988)] = 143369,
  [SMALL_STATE(3989)] = 143398,
  [SMALL_STATE(3990)] = 143427,
  [SMALL_STATE(3991)] = 143456,
  [SMALL_STATE(3992)] = 143493,
  [SMALL_STATE(3993)] = 143526,
  [SMALL_STATE(3994)] = 143553,
  [SMALL_STATE(3995)] = 143582,
  [SMALL_STATE(3996)] = 143621,
  [SMALL_STATE(3997)] = 143650,
  [SMALL_STATE(3998)] = 143689,
  [SMALL_STATE(3999)] = 143718,
  [SMALL_STATE(4000)] = 143747,
  [SMALL_STATE(4001)] = 143776,
  [SMALL_STATE(4002)] = 143803,
  [SMALL_STATE(4003)] = 143834,
  [SMALL_STATE(4004)] = 143863,
  [SMALL_STATE(4005)] = 143892,
  [SMALL_STATE(4006)] = 143921,
  [SMALL_STATE(4007)] = 143950,
  [SMALL_STATE(4008)] = 143979,
  [SMALL_STATE(4009)] = 144008,
  [SMALL_STATE(4010)] = 144037,
  [SMALL_STATE(4011)] = 144072,
  [SMALL_STATE(4012)] = 144111,
  [SMALL_STATE(4013)] = 144150,
  [SMALL_STATE(4014)] = 144189,
  [SMALL_STATE(4015)] = 144226,
  [SMALL_STATE(4016)] = 144255,
  [SMALL_STATE(4017)] = 144282,
  [SMALL_STATE(4018)] = 144311,
  [SMALL_STATE(4019)] = 144340,
  [SMALL_STATE(4020)] = 144367,
  [SMALL_STATE(4021)] = 144396,
  [SMALL_STATE(4022)] = 144425,
  [SMALL_STATE(4023)] = 144462,
  [SMALL_STATE(4024)] = 144491,
  [SMALL_STATE(4025)] = 144520,
  [SMALL_STATE(4026)] = 144555,
  [SMALL_STATE(4027)] = 144584,
  [SMALL_STATE(4028)] = 144613,
  [SMALL_STATE(4029)] = 144642,
  [SMALL_STATE(4030)] = 144669,
  [SMALL_STATE(4031)] = 144717,
  [SMALL_STATE(4032)] = 144765,
  [SMALL_STATE(4033)] = 144809,
  [SMALL_STATE(4034)] = 144857,
  [SMALL_STATE(4035)] = 144905,
  [SMALL_STATE(4036)] = 144939,
  [SMALL_STATE(4037)] = 144987,
  [SMALL_STATE(4038)] = 145021,
  [SMALL_STATE(4039)] = 145069,
  [SMALL_STATE(4040)] = 145117,
  [SMALL_STATE(4041)] = 145165,
  [SMALL_STATE(4042)] = 145213,
  [SMALL_STATE(4043)] = 145261,
  [SMALL_STATE(4044)] = 145309,
  [SMALL_STATE(4045)] = 145357,
  [SMALL_STATE(4046)] = 145405,
  [SMALL_STATE(4047)] = 145453,
  [SMALL_STATE(4048)] = 145501,
  [SMALL_STATE(4049)] = 145549,
  [SMALL_STATE(4050)] = 145583,
  [SMALL_STATE(4051)] = 145631,
  [SMALL_STATE(4052)] = 145675,
  [SMALL_STATE(4053)] = 145723,
  [SMALL_STATE(4054)] = 145771,
  [SMALL_STATE(4055)] = 145805,
  [SMALL_STATE(4056)] = 145849,
  [SMALL_STATE(4057)] = 145897,
  [SMALL_STATE(4058)] = 145929,
  [SMALL_STATE(4059)] = 145977,
  [SMALL_STATE(4060)] = 146011,
  [SMALL_STATE(4061)] = 146059,
  [SMALL_STATE(4062)] = 146107,
  [SMALL_STATE(4063)] = 146155,
  [SMALL_STATE(4064)] = 146189,
  [SMALL_STATE(4065)] = 146233,
  [SMALL_STATE(4066)] = 146281,
  [SMALL_STATE(4067)] = 146329,
  [SMALL_STATE(4068)] = 146377,
  [SMALL_STATE(4069)] = 146421,
  [SMALL_STATE(4070)] = 146469,
  [SMALL_STATE(4071)] = 146496,
  [SMALL_STATE(4072)] = 146523,
  [SMALL_STATE(4073)] = 146548,
  [SMALL_STATE(4074)] = 146573,
  [SMALL_STATE(4075)] = 146598,
  [SMALL_STATE(4076)] = 146623,
  [SMALL_STATE(4077)] = 146648,
  [SMALL_STATE(4078)] = 146679,
  [SMALL_STATE(4079)] = 146704,
  [SMALL_STATE(4080)] = 146729,
  [SMALL_STATE(4081)] = 146770,
  [SMALL_STATE(4082)] = 146811,
  [SMALL_STATE(4083)] = 146842,
  [SMALL_STATE(4084)] = 146867,
  [SMALL_STATE(4085)] = 146892,
  [SMALL_STATE(4086)] = 146933,
  [SMALL_STATE(4087)] = 146974,
  [SMALL_STATE(4088)] = 147001,
  [SMALL_STATE(4089)] = 147026,
  [SMALL_STATE(4090)] = 147051,
  [SMALL_STATE(4091)] = 147092,
  [SMALL_STATE(4092)] = 147117,
  [SMALL_STATE(4093)] = 147142,
  [SMALL_STATE(4094)] = 147169,
  [SMALL_STATE(4095)] = 147196,
  [SMALL_STATE(4096)] = 147223,
  [SMALL_STATE(4097)] = 147250,
  [SMALL_STATE(4098)] = 147275,
  [SMALL_STATE(4099)] = 147302,
  [SMALL_STATE(4100)] = 147327,
  [SMALL_STATE(4101)] = 147352,
  [SMALL_STATE(4102)] = 147377,
  [SMALL_STATE(4103)] = 147404,
  [SMALL_STATE(4104)] = 147431,
  [SMALL_STATE(4105)] = 147456,
  [SMALL_STATE(4106)] = 147483,
  [SMALL_STATE(4107)] = 147508,
  [SMALL_STATE(4108)] = 147535,
  [SMALL_STATE(4109)] = 147562,
  [SMALL_STATE(4110)] = 147587,
  [SMALL_STATE(4111)] = 147628,
  [SMALL_STATE(4112)] = 147653,
  [SMALL_STATE(4113)] = 147686,
  [SMALL_STATE(4114)] = 147711,
  [SMALL_STATE(4115)] = 147736,
  [SMALL_STATE(4116)] = 147763,
  [SMALL_STATE(4117)] = 147792,
  [SMALL_STATE(4118)] = 147833,
  [SMALL_STATE(4119)] = 147874,
  [SMALL_STATE(4120)] = 147901,
  [SMALL_STATE(4121)] = 147942,
  [SMALL_STATE(4122)] = 147967,
  [SMALL_STATE(4123)] = 147996,
  [SMALL_STATE(4124)] = 148023,
  [SMALL_STATE(4125)] = 148066,
  [SMALL_STATE(4126)] = 148107,
  [SMALL_STATE(4127)] = 148132,
  [SMALL_STATE(4128)] = 148165,
  [SMALL_STATE(4129)] = 148190,
  [SMALL_STATE(4130)] = 148217,
  [SMALL_STATE(4131)] = 148242,
  [SMALL_STATE(4132)] = 148267,
  [SMALL_STATE(4133)] = 148292,
  [SMALL_STATE(4134)] = 148317,
  [SMALL_STATE(4135)] = 148342,
  [SMALL_STATE(4136)] = 148367,
  [SMALL_STATE(4137)] = 148392,
  [SMALL_STATE(4138)] = 148417,
  [SMALL_STATE(4139)] = 148459,
  [SMALL_STATE(4140)] = 148503,
  [SMALL_STATE(4141)] = 148541,
  [SMALL_STATE(4142)] = 148575,
  [SMALL_STATE(4143)] = 148613,
  [SMALL_STATE(4144)] = 148655,
  [SMALL_STATE(4145)] = 148697,
  [SMALL_STATE(4146)] = 148741,
  [SMALL_STATE(4147)] = 148777,
  [SMALL_STATE(4148)] = 148819,
  [SMALL_STATE(4149)] = 148853,
  [SMALL_STATE(4150)] = 148891,
  [SMALL_STATE(4151)] = 148919,
  [SMALL_STATE(4152)] = 148961,
  [SMALL_STATE(4153)] = 148997,
  [SMALL_STATE(4154)] = 149039,
  [SMALL_STATE(4155)] = 149081,
  [SMALL_STATE(4156)] = 149123,
  [SMALL_STATE(4157)] = 149157,
  [SMALL_STATE(4158)] = 149199,
  [SMALL_STATE(4159)] = 149241,
  [SMALL_STATE(4160)] = 149279,
  [SMALL_STATE(4161)] = 149321,
  [SMALL_STATE(4162)] = 149363,
  [SMALL_STATE(4163)] = 149389,
  [SMALL_STATE(4164)] = 149423,
  [SMALL_STATE(4165)] = 149465,
  [SMALL_STATE(4166)] = 149507,
  [SMALL_STATE(4167)] = 149537,
  [SMALL_STATE(4168)] = 149579,
  [SMALL_STATE(4169)] = 149623,
  [SMALL_STATE(4170)] = 149657,
  [SMALL_STATE(4171)] = 149695,
  [SMALL_STATE(4172)] = 149733,
  [SMALL_STATE(4173)] = 149777,
  [SMALL_STATE(4174)] = 149815,
  [SMALL_STATE(4175)] = 149859,
  [SMALL_STATE(4176)] = 149897,
  [SMALL_STATE(4177)] = 149939,
  [SMALL_STATE(4178)] = 149967,
  [SMALL_STATE(4179)] = 150005,
  [SMALL_STATE(4180)] = 150043,
  [SMALL_STATE(4181)] = 150085,
  [SMALL_STATE(4182)] = 150111,
  [SMALL_STATE(4183)] = 150153,
  [SMALL_STATE(4184)] = 150195,
  [SMALL_STATE(4185)] = 150237,
  [SMALL_STATE(4186)] = 150279,
  [SMALL_STATE(4187)] = 150307,
  [SMALL_STATE(4188)] = 150349,
  [SMALL_STATE(4189)] = 150391,
  [SMALL_STATE(4190)] = 150420,
  [SMALL_STATE(4191)] = 150445,
  [SMALL_STATE(4192)] = 150470,
  [SMALL_STATE(4193)] = 150495,
  [SMALL_STATE(4194)] = 150520,
  [SMALL_STATE(4195)] = 150545,
  [SMALL_STATE(4196)] = 150570,
  [SMALL_STATE(4197)] = 150597,
  [SMALL_STATE(4198)] = 150624,
  [SMALL_STATE(4199)] = 150649,
  [SMALL_STATE(4200)] = 150674,
  [SMALL_STATE(4201)] = 150699,
  [SMALL_STATE(4202)] = 150742,
  [SMALL_STATE(4203)] = 150771,
  [SMALL_STATE(4204)] = 150794,
  [SMALL_STATE(4205)] = 150819,
  [SMALL_STATE(4206)] = 150844,
  [SMALL_STATE(4207)] = 150873,
  [SMALL_STATE(4208)] = 150898,
  [SMALL_STATE(4209)] = 150921,
  [SMALL_STATE(4210)] = 150950,
  [SMALL_STATE(4211)] = 150975,
  [SMALL_STATE(4212)] = 151000,
  [SMALL_STATE(4213)] = 151025,
  [SMALL_STATE(4214)] = 151050,
  [SMALL_STATE(4215)] = 151075,
  [SMALL_STATE(4216)] = 151100,
  [SMALL_STATE(4217)] = 151125,
  [SMALL_STATE(4218)] = 151148,
  [SMALL_STATE(4219)] = 151173,
  [SMALL_STATE(4220)] = 151198,
  [SMALL_STATE(4221)] = 151223,
  [SMALL_STATE(4222)] = 151252,
  [SMALL_STATE(4223)] = 151281,
  [SMALL_STATE(4224)] = 151306,
  [SMALL_STATE(4225)] = 151333,
  [SMALL_STATE(4226)] = 151358,
  [SMALL_STATE(4227)] = 151387,
  [SMALL_STATE(4228)] = 151412,
  [SMALL_STATE(4229)] = 151439,
  [SMALL_STATE(4230)] = 151464,
  [SMALL_STATE(4231)] = 151489,
  [SMALL_STATE(4232)] = 151512,
  [SMALL_STATE(4233)] = 151537,
  [SMALL_STATE(4234)] = 151564,
  [SMALL_STATE(4235)] = 151589,
  [SMALL_STATE(4236)] = 151612,
  [SMALL_STATE(4237)] = 151637,
  [SMALL_STATE(4238)] = 151668,
  [SMALL_STATE(4239)] = 151693,
  [SMALL_STATE(4240)] = 151716,
  [SMALL_STATE(4241)] = 151741,
  [SMALL_STATE(4242)] = 151766,
  [SMALL_STATE(4243)] = 151793,
  [SMALL_STATE(4244)] = 151818,
  [SMALL_STATE(4245)] = 151841,
  [SMALL_STATE(4246)] = 151866,
  [SMALL_STATE(4247)] = 151889,
  [SMALL_STATE(4248)] = 151912,
  [SMALL_STATE(4249)] = 151939,
  [SMALL_STATE(4250)] = 151964,
  [SMALL_STATE(4251)] = 151989,
  [SMALL_STATE(4252)] = 152014,
  [SMALL_STATE(4253)] = 152043,
  [SMALL_STATE(4254)] = 152083,
  [SMALL_STATE(4255)] = 152123,
  [SMALL_STATE(4256)] = 152163,
  [SMALL_STATE(4257)] = 152203,
  [SMALL_STATE(4258)] = 152229,
  [SMALL_STATE(4259)] = 152269,
  [SMALL_STATE(4260)] = 152309,
  [SMALL_STATE(4261)] = 152349,
  [SMALL_STATE(4262)] = 152383,
  [SMALL_STATE(4263)] = 152405,
  [SMALL_STATE(4264)] = 152439,
  [SMALL_STATE(4265)] = 152479,
  [SMALL_STATE(4266)] = 152503,
  [SMALL_STATE(4267)] = 152541,
  [SMALL_STATE(4268)] = 152581,
  [SMALL_STATE(4269)] = 152621,
  [SMALL_STATE(4270)] = 152661,
  [SMALL_STATE(4271)] = 152701,
  [SMALL_STATE(4272)] = 152741,
  [SMALL_STATE(4273)] = 152781,
  [SMALL_STATE(4274)] = 152805,
  [SMALL_STATE(4275)] = 152833,
  [SMALL_STATE(4276)] = 152861,
  [SMALL_STATE(4277)] = 152885,
  [SMALL_STATE(4278)] = 152925,
  [SMALL_STATE(4279)] = 152965,
  [SMALL_STATE(4280)] = 153005,
  [SMALL_STATE(4281)] = 153031,
  [SMALL_STATE(4282)] = 153069,
  [SMALL_STATE(4283)] = 153109,
  [SMALL_STATE(4284)] = 153137,
  [SMALL_STATE(4285)] = 153177,
  [SMALL_STATE(4286)] = 153203,
  [SMALL_STATE(4287)] = 153225,
  [SMALL_STATE(4288)] = 153258,
  [SMALL_STATE(4289)] = 153279,
  [SMALL_STATE(4290)] = 153316,
  [SMALL_STATE(4291)] = 153353,
  [SMALL_STATE(4292)] = 153390,
  [SMALL_STATE(4293)] = 153411,
  [SMALL_STATE(4294)] = 153432,
  [SMALL_STATE(4295)] = 153453,
  [SMALL_STATE(4296)] = 153490,
  [SMALL_STATE(4297)] = 153511,
  [SMALL_STATE(4298)] = 153548,
  [SMALL_STATE(4299)] = 153581,
  [SMALL_STATE(4300)] = 153602,
  [SMALL_STATE(4301)] = 153623,
  [SMALL_STATE(4302)] = 153660,
  [SMALL_STATE(4303)] = 153691,
  [SMALL_STATE(4304)] = 153722,
  [SMALL_STATE(4305)] = 153753,
  [SMALL_STATE(4306)] = 153774,
  [SMALL_STATE(4307)] = 153807,
  [SMALL_STATE(4308)] = 153828,
  [SMALL_STATE(4309)] = 153865,
  [SMALL_STATE(4310)] = 153902,
  [SMALL_STATE(4311)] = 153937,
  [SMALL_STATE(4312)] = 153968,
  [SMALL_STATE(4313)] = 154001,
  [SMALL_STATE(4314)] = 154034,
  [SMALL_STATE(4315)] = 154071,
  [SMALL_STATE(4316)] = 154104,
  [SMALL_STATE(4317)] = 154137,
  [SMALL_STATE(4318)] = 154158,
  [SMALL_STATE(4319)] = 154179,
  [SMALL_STATE(4320)] = 154216,
  [SMALL_STATE(4321)] = 154253,
  [SMALL_STATE(4322)] = 154286,
  [SMALL_STATE(4323)] = 154323,
  [SMALL_STATE(4324)] = 154356,
  [SMALL_STATE(4325)] = 154393,
  [SMALL_STATE(4326)] = 154414,
  [SMALL_STATE(4327)] = 154451,
  [SMALL_STATE(4328)] = 154478,
  [SMALL_STATE(4329)] = 154515,
  [SMALL_STATE(4330)] = 154536,
  [SMALL_STATE(4331)] = 154557,
  [SMALL_STATE(4332)] = 154594,
  [SMALL_STATE(4333)] = 154631,
  [SMALL_STATE(4334)] = 154654,
  [SMALL_STATE(4335)] = 154677,
  [SMALL_STATE(4336)] = 154700,
  [SMALL_STATE(4337)] = 154723,
  [SMALL_STATE(4338)] = 154756,
  [SMALL_STATE(4339)] = 154787,
  [SMALL_STATE(4340)] = 154810,
  [SMALL_STATE(4341)] = 154833,
  [SMALL_STATE(4342)] = 154858,
  [SMALL_STATE(4343)] = 154879,
  [SMALL_STATE(4344)] = 154916,
  [SMALL_STATE(4345)] = 154941,
  [SMALL_STATE(4346)] = 154978,
  [SMALL_STATE(4347)] = 155015,
  [SMALL_STATE(4348)] = 155046,
  [SMALL_STATE(4349)] = 155083,
  [SMALL_STATE(4350)] = 155120,
  [SMALL_STATE(4351)] = 155157,
  [SMALL_STATE(4352)] = 155190,
  [SMALL_STATE(4353)] = 155227,
  [SMALL_STATE(4354)] = 155264,
  [SMALL_STATE(4355)] = 155297,
  [SMALL_STATE(4356)] = 155334,
  [SMALL_STATE(4357)] = 155367,
  [SMALL_STATE(4358)] = 155400,
  [SMALL_STATE(4359)] = 155437,
  [SMALL_STATE(4360)] = 155470,
  [SMALL_STATE(4361)] = 155491,
  [SMALL_STATE(4362)] = 155524,
  [SMALL_STATE(4363)] = 155557,
  [SMALL_STATE(4364)] = 155586,
  [SMALL_STATE(4365)] = 155607,
  [SMALL_STATE(4366)] = 155644,
  [SMALL_STATE(4367)] = 155665,
  [SMALL_STATE(4368)] = 155686,
  [SMALL_STATE(4369)] = 155709,
  [SMALL_STATE(4370)] = 155730,
  [SMALL_STATE(4371)] = 155751,
  [SMALL_STATE(4372)] = 155772,
  [SMALL_STATE(4373)] = 155799,
  [SMALL_STATE(4374)] = 155824,
  [SMALL_STATE(4375)] = 155847,
  [SMALL_STATE(4376)] = 155870,
  [SMALL_STATE(4377)] = 155891,
  [SMALL_STATE(4378)] = 155912,
  [SMALL_STATE(4379)] = 155933,
  [SMALL_STATE(4380)] = 155966,
  [SMALL_STATE(4381)] = 156003,
  [SMALL_STATE(4382)] = 156034,
  [SMALL_STATE(4383)] = 156067,
  [SMALL_STATE(4384)] = 156088,
  [SMALL_STATE(4385)] = 156109,
  [SMALL_STATE(4386)] = 156130,
  [SMALL_STATE(4387)] = 156167,
  [SMALL_STATE(4388)] = 156200,
  [SMALL_STATE(4389)] = 156227,
  [SMALL_STATE(4390)] = 156254,
  [SMALL_STATE(4391)] = 156291,
  [SMALL_STATE(4392)] = 156324,
  [SMALL_STATE(4393)] = 156361,
  [SMALL_STATE(4394)] = 156394,
  [SMALL_STATE(4395)] = 156427,
  [SMALL_STATE(4396)] = 156448,
  [SMALL_STATE(4397)] = 156481,
  [SMALL_STATE(4398)] = 156514,
  [SMALL_STATE(4399)] = 156535,
  [SMALL_STATE(4400)] = 156568,
  [SMALL_STATE(4401)] = 156601,
  [SMALL_STATE(4402)] = 156622,
  [SMALL_STATE(4403)] = 156643,
  [SMALL_STATE(4404)] = 156664,
  [SMALL_STATE(4405)] = 156695,
  [SMALL_STATE(4406)] = 156728,
  [SMALL_STATE(4407)] = 156765,
  [SMALL_STATE(4408)] = 156802,
  [SMALL_STATE(4409)] = 156831,
  [SMALL_STATE(4410)] = 156868,
  [SMALL_STATE(4411)] = 156905,
  [SMALL_STATE(4412)] = 156942,
  [SMALL_STATE(4413)] = 156975,
  [SMALL_STATE(4414)] = 157008,
  [SMALL_STATE(4415)] = 157043,
  [SMALL_STATE(4416)] = 157080,
  [SMALL_STATE(4417)] = 157111,
  [SMALL_STATE(4418)] = 157132,
  [SMALL_STATE(4419)] = 157165,
  [SMALL_STATE(4420)] = 157186,
  [SMALL_STATE(4421)] = 157217,
  [SMALL_STATE(4422)] = 157254,
  [SMALL_STATE(4423)] = 157291,
  [SMALL_STATE(4424)] = 157328,
  [SMALL_STATE(4425)] = 157365,
  [SMALL_STATE(4426)] = 157402,
  [SMALL_STATE(4427)] = 157439,
  [SMALL_STATE(4428)] = 157476,
  [SMALL_STATE(4429)] = 157497,
  [SMALL_STATE(4430)] = 157534,
  [SMALL_STATE(4431)] = 157567,
  [SMALL_STATE(4432)] = 157588,
  [SMALL_STATE(4433)] = 157625,
  [SMALL_STATE(4434)] = 157656,
  [SMALL_STATE(4435)] = 157683,
  [SMALL_STATE(4436)] = 157720,
  [SMALL_STATE(4437)] = 157741,
  [SMALL_STATE(4438)] = 157778,
  [SMALL_STATE(4439)] = 157799,
  [SMALL_STATE(4440)] = 157820,
  [SMALL_STATE(4441)] = 157853,
  [SMALL_STATE(4442)] = 157884,
  [SMALL_STATE(4443)] = 157911,
  [SMALL_STATE(4444)] = 157948,
  [SMALL_STATE(4445)] = 157969,
  [SMALL_STATE(4446)] = 157990,
  [SMALL_STATE(4447)] = 158021,
  [SMALL_STATE(4448)] = 158042,
  [SMALL_STATE(4449)] = 158079,
  [SMALL_STATE(4450)] = 158116,
  [SMALL_STATE(4451)] = 158139,
  [SMALL_STATE(4452)] = 158160,
  [SMALL_STATE(4453)] = 158197,
  [SMALL_STATE(4454)] = 158218,
  [SMALL_STATE(4455)] = 158239,
  [SMALL_STATE(4456)] = 158260,
  [SMALL_STATE(4457)] = 158281,
  [SMALL_STATE(4458)] = 158302,
  [SMALL_STATE(4459)] = 158323,
  [SMALL_STATE(4460)] = 158344,
  [SMALL_STATE(4461)] = 158365,
  [SMALL_STATE(4462)] = 158386,
  [SMALL_STATE(4463)] = 158407,
  [SMALL_STATE(4464)] = 158428,
  [SMALL_STATE(4465)] = 158449,
  [SMALL_STATE(4466)] = 158470,
  [SMALL_STATE(4467)] = 158505,
  [SMALL_STATE(4468)] = 158526,
  [SMALL_STATE(4469)] = 158553,
  [SMALL_STATE(4470)] = 158586,
  [SMALL_STATE(4471)] = 158621,
  [SMALL_STATE(4472)] = 158654,
  [SMALL_STATE(4473)] = 158675,
  [SMALL_STATE(4474)] = 158708,
  [SMALL_STATE(4475)] = 158729,
  [SMALL_STATE(4476)] = 158752,
  [SMALL_STATE(4477)] = 158773,
  [SMALL_STATE(4478)] = 158810,
  [SMALL_STATE(4479)] = 158843,
  [SMALL_STATE(4480)] = 158876,
  [SMALL_STATE(4481)] = 158909,
  [SMALL_STATE(4482)] = 158940,
  [SMALL_STATE(4483)] = 158972,
  [SMALL_STATE(4484)] = 159000,
  [SMALL_STATE(4485)] = 159026,
  [SMALL_STATE(4486)] = 159054,
  [SMALL_STATE(4487)] = 159082,
  [SMALL_STATE(4488)] = 159114,
  [SMALL_STATE(4489)] = 159140,
  [SMALL_STATE(4490)] = 159174,
  [SMALL_STATE(4491)] = 159204,
  [SMALL_STATE(4492)] = 159232,
  [SMALL_STATE(4493)] = 159260,
  [SMALL_STATE(4494)] = 159292,
  [SMALL_STATE(4495)] = 159324,
  [SMALL_STATE(4496)] = 159358,
  [SMALL_STATE(4497)] = 159380,
  [SMALL_STATE(4498)] = 159408,
  [SMALL_STATE(4499)] = 159434,
  [SMALL_STATE(4500)] = 159460,
  [SMALL_STATE(4501)] = 159488,
  [SMALL_STATE(4502)] = 159514,
  [SMALL_STATE(4503)] = 159540,
  [SMALL_STATE(4504)] = 159560,
  [SMALL_STATE(4505)] = 159580,
  [SMALL_STATE(4506)] = 159612,
  [SMALL_STATE(4507)] = 159646,
  [SMALL_STATE(4508)] = 159678,
  [SMALL_STATE(4509)] = 159712,
  [SMALL_STATE(4510)] = 159734,
  [SMALL_STATE(4511)] = 159756,
  [SMALL_STATE(4512)] = 159790,
  [SMALL_STATE(4513)] = 159818,
  [SMALL_STATE(4514)] = 159846,
  [SMALL_STATE(4515)] = 159880,
  [SMALL_STATE(4516)] = 159906,
  [SMALL_STATE(4517)] = 159940,
  [SMALL_STATE(4518)] = 159972,
  [SMALL_STATE(4519)] = 160006,
  [SMALL_STATE(4520)] = 160033,
  [SMALL_STATE(4521)] = 160052,
  [SMALL_STATE(4522)] = 160083,
  [SMALL_STATE(4523)] = 160112,
  [SMALL_STATE(4524)] = 160143,
  [SMALL_STATE(4525)] = 160174,
  [SMALL_STATE(4526)] = 160201,
  [SMALL_STATE(4527)] = 160230,
  [SMALL_STATE(4528)] = 160257,
  [SMALL_STATE(4529)] = 160288,
  [SMALL_STATE(4530)] = 160317,
  [SMALL_STATE(4531)] = 160344,
  [SMALL_STATE(4532)] = 160371,
  [SMALL_STATE(4533)] = 160398,
  [SMALL_STATE(4534)] = 160425,
  [SMALL_STATE(4535)] = 160456,
  [SMALL_STATE(4536)] = 160487,
  [SMALL_STATE(4537)] = 160516,
  [SMALL_STATE(4538)] = 160547,
  [SMALL_STATE(4539)] = 160574,
  [SMALL_STATE(4540)] = 160601,
  [SMALL_STATE(4541)] = 160628,
  [SMALL_STATE(4542)] = 160659,
  [SMALL_STATE(4543)] = 160686,
  [SMALL_STATE(4544)] = 160715,
  [SMALL_STATE(4545)] = 160746,
  [SMALL_STATE(4546)] = 160777,
  [SMALL_STATE(4547)] = 160808,
  [SMALL_STATE(4548)] = 160837,
  [SMALL_STATE(4549)] = 160868,
  [SMALL_STATE(4550)] = 160891,
  [SMALL_STATE(4551)] = 160922,
  [SMALL_STATE(4552)] = 160953,
  [SMALL_STATE(4553)] = 160984,
  [SMALL_STATE(4554)] = 161003,
  [SMALL_STATE(4555)] = 161034,
  [SMALL_STATE(4556)] = 161065,
  [SMALL_STATE(4557)] = 161096,
  [SMALL_STATE(4558)] = 161123,
  [SMALL_STATE(4559)] = 161154,
  [SMALL_STATE(4560)] = 161185,
  [SMALL_STATE(4561)] = 161204,
  [SMALL_STATE(4562)] = 161227,
  [SMALL_STATE(4563)] = 161258,
  [SMALL_STATE(4564)] = 161281,
  [SMALL_STATE(4565)] = 161308,
  [SMALL_STATE(4566)] = 161335,
  [SMALL_STATE(4567)] = 161358,
  [SMALL_STATE(4568)] = 161385,
  [SMALL_STATE(4569)] = 161412,
  [SMALL_STATE(4570)] = 161435,
  [SMALL_STATE(4571)] = 161454,
  [SMALL_STATE(4572)] = 161481,
  [SMALL_STATE(4573)] = 161512,
  [SMALL_STATE(4574)] = 161539,
  [SMALL_STATE(4575)] = 161566,
  [SMALL_STATE(4576)] = 161597,
  [SMALL_STATE(4577)] = 161624,
  [SMALL_STATE(4578)] = 161655,
  [SMALL_STATE(4579)] = 161686,
  [SMALL_STATE(4580)] = 161705,
  [SMALL_STATE(4581)] = 161732,
  [SMALL_STATE(4582)] = 161759,
  [SMALL_STATE(4583)] = 161786,
  [SMALL_STATE(4584)] = 161813,
  [SMALL_STATE(4585)] = 161844,
  [SMALL_STATE(4586)] = 161873,
  [SMALL_STATE(4587)] = 161904,
  [SMALL_STATE(4588)] = 161935,
  [SMALL_STATE(4589)] = 161962,
  [SMALL_STATE(4590)] = 161989,
  [SMALL_STATE(4591)] = 162020,
  [SMALL_STATE(4592)] = 162051,
  [SMALL_STATE(4593)] = 162078,
  [SMALL_STATE(4594)] = 162099,
  [SMALL_STATE(4595)] = 162122,
  [SMALL_STATE(4596)] = 162153,
  [SMALL_STATE(4597)] = 162184,
  [SMALL_STATE(4598)] = 162215,
  [SMALL_STATE(4599)] = 162234,
  [SMALL_STATE(4600)] = 162265,
  [SMALL_STATE(4601)] = 162284,
  [SMALL_STATE(4602)] = 162303,
  [SMALL_STATE(4603)] = 162330,
  [SMALL_STATE(4604)] = 162359,
  [SMALL_STATE(4605)] = 162378,
  [SMALL_STATE(4606)] = 162397,
  [SMALL_STATE(4607)] = 162424,
  [SMALL_STATE(4608)] = 162451,
  [SMALL_STATE(4609)] = 162478,
  [SMALL_STATE(4610)] = 162509,
  [SMALL_STATE(4611)] = 162540,
  [SMALL_STATE(4612)] = 162563,
  [SMALL_STATE(4613)] = 162594,
  [SMALL_STATE(4614)] = 162621,
  [SMALL_STATE(4615)] = 162648,
  [SMALL_STATE(4616)] = 162679,
  [SMALL_STATE(4617)] = 162708,
  [SMALL_STATE(4618)] = 162735,
  [SMALL_STATE(4619)] = 162762,
  [SMALL_STATE(4620)] = 162793,
  [SMALL_STATE(4621)] = 162820,
  [SMALL_STATE(4622)] = 162847,
  [SMALL_STATE(4623)] = 162878,
  [SMALL_STATE(4624)] = 162905,
  [SMALL_STATE(4625)] = 162924,
  [SMALL_STATE(4626)] = 162951,
  [SMALL_STATE(4627)] = 162970,
  [SMALL_STATE(4628)] = 162989,
  [SMALL_STATE(4629)] = 163016,
  [SMALL_STATE(4630)] = 163035,
  [SMALL_STATE(4631)] = 163062,
  [SMALL_STATE(4632)] = 163091,
  [SMALL_STATE(4633)] = 163118,
  [SMALL_STATE(4634)] = 163149,
  [SMALL_STATE(4635)] = 163176,
  [SMALL_STATE(4636)] = 163203,
  [SMALL_STATE(4637)] = 163234,
  [SMALL_STATE(4638)] = 163263,
  [SMALL_STATE(4639)] = 163284,
  [SMALL_STATE(4640)] = 163315,
  [SMALL_STATE(4641)] = 163336,
  [SMALL_STATE(4642)] = 163363,
  [SMALL_STATE(4643)] = 163390,
  [SMALL_STATE(4644)] = 163417,
  [SMALL_STATE(4645)] = 163444,
  [SMALL_STATE(4646)] = 163475,
  [SMALL_STATE(4647)] = 163502,
  [SMALL_STATE(4648)] = 163533,
  [SMALL_STATE(4649)] = 163564,
  [SMALL_STATE(4650)] = 163593,
  [SMALL_STATE(4651)] = 163624,
  [SMALL_STATE(4652)] = 163651,
  [SMALL_STATE(4653)] = 163678,
  [SMALL_STATE(4654)] = 163701,
  [SMALL_STATE(4655)] = 163722,
  [SMALL_STATE(4656)] = 163753,
  [SMALL_STATE(4657)] = 163780,
  [SMALL_STATE(4658)] = 163807,
  [SMALL_STATE(4659)] = 163838,
  [SMALL_STATE(4660)] = 163869,
  [SMALL_STATE(4661)] = 163896,
  [SMALL_STATE(4662)] = 163923,
  [SMALL_STATE(4663)] = 163954,
  [SMALL_STATE(4664)] = 163973,
  [SMALL_STATE(4665)] = 164000,
  [SMALL_STATE(4666)] = 164027,
  [SMALL_STATE(4667)] = 164054,
  [SMALL_STATE(4668)] = 164085,
  [SMALL_STATE(4669)] = 164116,
  [SMALL_STATE(4670)] = 164143,
  [SMALL_STATE(4671)] = 164170,
  [SMALL_STATE(4672)] = 164201,
  [SMALL_STATE(4673)] = 164228,
  [SMALL_STATE(4674)] = 164259,
  [SMALL_STATE(4675)] = 164286,
  [SMALL_STATE(4676)] = 164313,
  [SMALL_STATE(4677)] = 164340,
  [SMALL_STATE(4678)] = 164371,
  [SMALL_STATE(4679)] = 164398,
  [SMALL_STATE(4680)] = 164425,
  [SMALL_STATE(4681)] = 164452,
  [SMALL_STATE(4682)] = 164483,
  [SMALL_STATE(4683)] = 164510,
  [SMALL_STATE(4684)] = 164539,
  [SMALL_STATE(4685)] = 164566,
  [SMALL_STATE(4686)] = 164593,
  [SMALL_STATE(4687)] = 164620,
  [SMALL_STATE(4688)] = 164641,
  [SMALL_STATE(4689)] = 164668,
  [SMALL_STATE(4690)] = 164687,
  [SMALL_STATE(4691)] = 164714,
  [SMALL_STATE(4692)] = 164741,
  [SMALL_STATE(4693)] = 164768,
  [SMALL_STATE(4694)] = 164795,
  [SMALL_STATE(4695)] = 164822,
  [SMALL_STATE(4696)] = 164849,
  [SMALL_STATE(4697)] = 164876,
  [SMALL_STATE(4698)] = 164903,
  [SMALL_STATE(4699)] = 164934,
  [SMALL_STATE(4700)] = 164965,
  [SMALL_STATE(4701)] = 164992,
  [SMALL_STATE(4702)] = 165019,
  [SMALL_STATE(4703)] = 165046,
  [SMALL_STATE(4704)] = 165073,
  [SMALL_STATE(4705)] = 165104,
  [SMALL_STATE(4706)] = 165131,
  [SMALL_STATE(4707)] = 165162,
  [SMALL_STATE(4708)] = 165193,
  [SMALL_STATE(4709)] = 165218,
  [SMALL_STATE(4710)] = 165245,
  [SMALL_STATE(4711)] = 165276,
  [SMALL_STATE(4712)] = 165295,
  [SMALL_STATE(4713)] = 165314,
  [SMALL_STATE(4714)] = 165333,
  [SMALL_STATE(4715)] = 165364,
  [SMALL_STATE(4716)] = 165395,
  [SMALL_STATE(4717)] = 165426,
  [SMALL_STATE(4718)] = 165453,
  [SMALL_STATE(4719)] = 165484,
  [SMALL_STATE(4720)] = 165513,
  [SMALL_STATE(4721)] = 165544,
  [SMALL_STATE(4722)] = 165575,
  [SMALL_STATE(4723)] = 165604,
  [SMALL_STATE(4724)] = 165631,
  [SMALL_STATE(4725)] = 165658,
  [SMALL_STATE(4726)] = 165677,
  [SMALL_STATE(4727)] = 165708,
  [SMALL_STATE(4728)] = 165735,
  [SMALL_STATE(4729)] = 165766,
  [SMALL_STATE(4730)] = 165797,
  [SMALL_STATE(4731)] = 165824,
  [SMALL_STATE(4732)] = 165843,
  [SMALL_STATE(4733)] = 165874,
  [SMALL_STATE(4734)] = 165901,
  [SMALL_STATE(4735)] = 165928,
  [SMALL_STATE(4736)] = 165947,
  [SMALL_STATE(4737)] = 165978,
  [SMALL_STATE(4738)] = 166005,
  [SMALL_STATE(4739)] = 166032,
  [SMALL_STATE(4740)] = 166059,
  [SMALL_STATE(4741)] = 166082,
  [SMALL_STATE(4742)] = 166101,
  [SMALL_STATE(4743)] = 166128,
  [SMALL_STATE(4744)] = 166151,
  [SMALL_STATE(4745)] = 166180,
  [SMALL_STATE(4746)] = 166209,
  [SMALL_STATE(4747)] = 166232,
  [SMALL_STATE(4748)] = 166255,
  [SMALL_STATE(4749)] = 166284,
  [SMALL_STATE(4750)] = 166303,
  [SMALL_STATE(4751)] = 166322,
  [SMALL_STATE(4752)] = 166353,
  [SMALL_STATE(4753)] = 166384,
  [SMALL_STATE(4754)] = 166409,
  [SMALL_STATE(4755)] = 166440,
  [SMALL_STATE(4756)] = 166467,
  [SMALL_STATE(4757)] = 166488,
  [SMALL_STATE(4758)] = 166519,
  [SMALL_STATE(4759)] = 166540,
  [SMALL_STATE(4760)] = 166571,
  [SMALL_STATE(4761)] = 166594,
  [SMALL_STATE(4762)] = 166613,
  [SMALL_STATE(4763)] = 166644,
  [SMALL_STATE(4764)] = 166675,
  [SMALL_STATE(4765)] = 166698,
  [SMALL_STATE(4766)] = 166721,
  [SMALL_STATE(4767)] = 166744,
  [SMALL_STATE(4768)] = 166767,
  [SMALL_STATE(4769)] = 166790,
  [SMALL_STATE(4770)] = 166817,
  [SMALL_STATE(4771)] = 166848,
  [SMALL_STATE(4772)] = 166875,
  [SMALL_STATE(4773)] = 166898,
  [SMALL_STATE(4774)] = 166929,
  [SMALL_STATE(4775)] = 166948,
  [SMALL_STATE(4776)] = 166975,
  [SMALL_STATE(4777)] = 167002,
  [SMALL_STATE(4778)] = 167025,
  [SMALL_STATE(4779)] = 167048,
  [SMALL_STATE(4780)] = 167071,
  [SMALL_STATE(4781)] = 167094,
  [SMALL_STATE(4782)] = 167117,
  [SMALL_STATE(4783)] = 167144,
  [SMALL_STATE(4784)] = 167167,
  [SMALL_STATE(4785)] = 167186,
  [SMALL_STATE(4786)] = 167209,
  [SMALL_STATE(4787)] = 167232,
  [SMALL_STATE(4788)] = 167255,
  [SMALL_STATE(4789)] = 167278,
  [SMALL_STATE(4790)] = 167300,
  [SMALL_STATE(4791)] = 167322,
  [SMALL_STATE(4792)] = 167344,
  [SMALL_STATE(4793)] = 167372,
  [SMALL_STATE(4794)] = 167400,
  [SMALL_STATE(4795)] = 167428,
  [SMALL_STATE(4796)] = 167450,
  [SMALL_STATE(4797)] = 167468,
  [SMALL_STATE(4798)] = 167490,
  [SMALL_STATE(4799)] = 167518,
  [SMALL_STATE(4800)] = 167544,
  [SMALL_STATE(4801)] = 167572,
  [SMALL_STATE(4802)] = 167594,
  [SMALL_STATE(4803)] = 167616,
  [SMALL_STATE(4804)] = 167644,
  [SMALL_STATE(4805)] = 167666,
  [SMALL_STATE(4806)] = 167684,
  [SMALL_STATE(4807)] = 167712,
  [SMALL_STATE(4808)] = 167734,
  [SMALL_STATE(4809)] = 167762,
  [SMALL_STATE(4810)] = 167784,
  [SMALL_STATE(4811)] = 167810,
  [SMALL_STATE(4812)] = 167838,
  [SMALL_STATE(4813)] = 167856,
  [SMALL_STATE(4814)] = 167878,
  [SMALL_STATE(4815)] = 167898,
  [SMALL_STATE(4816)] = 167920,
  [SMALL_STATE(4817)] = 167942,
  [SMALL_STATE(4818)] = 167970,
  [SMALL_STATE(4819)] = 167998,
  [SMALL_STATE(4820)] = 168026,
  [SMALL_STATE(4821)] = 168048,
  [SMALL_STATE(4822)] = 168076,
  [SMALL_STATE(4823)] = 168104,
  [SMALL_STATE(4824)] = 168132,
  [SMALL_STATE(4825)] = 168154,
  [SMALL_STATE(4826)] = 168182,
  [SMALL_STATE(4827)] = 168208,
  [SMALL_STATE(4828)] = 168230,
  [SMALL_STATE(4829)] = 168256,
  [SMALL_STATE(4830)] = 168278,
  [SMALL_STATE(4831)] = 168296,
  [SMALL_STATE(4832)] = 168318,
  [SMALL_STATE(4833)] = 168346,
  [SMALL_STATE(4834)] = 168368,
  [SMALL_STATE(4835)] = 168390,
  [SMALL_STATE(4836)] = 168410,
  [SMALL_STATE(4837)] = 168432,
  [SMALL_STATE(4838)] = 168454,
  [SMALL_STATE(4839)] = 168482,
  [SMALL_STATE(4840)] = 168510,
  [SMALL_STATE(4841)] = 168538,
  [SMALL_STATE(4842)] = 168566,
  [SMALL_STATE(4843)] = 168588,
  [SMALL_STATE(4844)] = 168614,
  [SMALL_STATE(4845)] = 168636,
  [SMALL_STATE(4846)] = 168658,
  [SMALL_STATE(4847)] = 168686,
  [SMALL_STATE(4848)] = 168714,
  [SMALL_STATE(4849)] = 168736,
  [SMALL_STATE(4850)] = 168764,
  [SMALL_STATE(4851)] = 168788,
  [SMALL_STATE(4852)] = 168816,
  [SMALL_STATE(4853)] = 168844,
  [SMALL_STATE(4854)] = 168866,
  [SMALL_STATE(4855)] = 168888,
  [SMALL_STATE(4856)] = 168906,
  [SMALL_STATE(4857)] = 168928,
  [SMALL_STATE(4858)] = 168956,
  [SMALL_STATE(4859)] = 168978,
  [SMALL_STATE(4860)] = 169006,
  [SMALL_STATE(4861)] = 169034,
  [SMALL_STATE(4862)] = 169056,
  [SMALL_STATE(4863)] = 169084,
  [SMALL_STATE(4864)] = 169106,
  [SMALL_STATE(4865)] = 169128,
  [SMALL_STATE(4866)] = 169156,
  [SMALL_STATE(4867)] = 169184,
  [SMALL_STATE(4868)] = 169210,
  [SMALL_STATE(4869)] = 169238,
  [SMALL_STATE(4870)] = 169266,
  [SMALL_STATE(4871)] = 169288,
  [SMALL_STATE(4872)] = 169316,
  [SMALL_STATE(4873)] = 169342,
  [SMALL_STATE(4874)] = 169360,
  [SMALL_STATE(4875)] = 169388,
  [SMALL_STATE(4876)] = 169406,
  [SMALL_STATE(4877)] = 169424,
  [SMALL_STATE(4878)] = 169452,
  [SMALL_STATE(4879)] = 169478,
  [SMALL_STATE(4880)] = 169504,
  [SMALL_STATE(4881)] = 169526,
  [SMALL_STATE(4882)] = 169554,
  [SMALL_STATE(4883)] = 169578,
  [SMALL_STATE(4884)] = 169606,
  [SMALL_STATE(4885)] = 169634,
  [SMALL_STATE(4886)] = 169662,
  [SMALL_STATE(4887)] = 169690,
  [SMALL_STATE(4888)] = 169712,
  [SMALL_STATE(4889)] = 169734,
  [SMALL_STATE(4890)] = 169752,
  [SMALL_STATE(4891)] = 169774,
  [SMALL_STATE(4892)] = 169796,
  [SMALL_STATE(4893)] = 169824,
  [SMALL_STATE(4894)] = 169850,
  [SMALL_STATE(4895)] = 169878,
  [SMALL_STATE(4896)] = 169900,
  [SMALL_STATE(4897)] = 169922,
  [SMALL_STATE(4898)] = 169950,
  [SMALL_STATE(4899)] = 169978,
  [SMALL_STATE(4900)] = 170000,
  [SMALL_STATE(4901)] = 170022,
  [SMALL_STATE(4902)] = 170044,
  [SMALL_STATE(4903)] = 170070,
  [SMALL_STATE(4904)] = 170092,
  [SMALL_STATE(4905)] = 170120,
  [SMALL_STATE(4906)] = 170148,
  [SMALL_STATE(4907)] = 170174,
  [SMALL_STATE(4908)] = 170202,
  [SMALL_STATE(4909)] = 170224,
  [SMALL_STATE(4910)] = 170252,
  [SMALL_STATE(4911)] = 170274,
  [SMALL_STATE(4912)] = 170302,
  [SMALL_STATE(4913)] = 170320,
  [SMALL_STATE(4914)] = 170342,
  [SMALL_STATE(4915)] = 170368,
  [SMALL_STATE(4916)] = 170396,
  [SMALL_STATE(4917)] = 170416,
  [SMALL_STATE(4918)] = 170444,
  [SMALL_STATE(4919)] = 170464,
  [SMALL_STATE(4920)] = 170486,
  [SMALL_STATE(4921)] = 170504,
  [SMALL_STATE(4922)] = 170522,
  [SMALL_STATE(4923)] = 170544,
  [SMALL_STATE(4924)] = 170566,
  [SMALL_STATE(4925)] = 170594,
  [SMALL_STATE(4926)] = 170622,
  [SMALL_STATE(4927)] = 170648,
  [SMALL_STATE(4928)] = 170670,
  [SMALL_STATE(4929)] = 170692,
  [SMALL_STATE(4930)] = 170720,
  [SMALL_STATE(4931)] = 170742,
  [SMALL_STATE(4932)] = 170768,
  [SMALL_STATE(4933)] = 170786,
  [SMALL_STATE(4934)] = 170804,
  [SMALL_STATE(4935)] = 170832,
  [SMALL_STATE(4936)] = 170860,
  [SMALL_STATE(4937)] = 170880,
  [SMALL_STATE(4938)] = 170908,
  [SMALL_STATE(4939)] = 170936,
  [SMALL_STATE(4940)] = 170964,
  [SMALL_STATE(4941)] = 170992,
  [SMALL_STATE(4942)] = 171020,
  [SMALL_STATE(4943)] = 171046,
  [SMALL_STATE(4944)] = 171074,
  [SMALL_STATE(4945)] = 171100,
  [SMALL_STATE(4946)] = 171128,
  [SMALL_STATE(4947)] = 171156,
  [SMALL_STATE(4948)] = 171178,
  [SMALL_STATE(4949)] = 171206,
  [SMALL_STATE(4950)] = 171232,
  [SMALL_STATE(4951)] = 171258,
  [SMALL_STATE(4952)] = 171286,
  [SMALL_STATE(4953)] = 171312,
  [SMALL_STATE(4954)] = 171334,
  [SMALL_STATE(4955)] = 171362,
  [SMALL_STATE(4956)] = 171390,
  [SMALL_STATE(4957)] = 171418,
  [SMALL_STATE(4958)] = 171446,
  [SMALL_STATE(4959)] = 171474,
  [SMALL_STATE(4960)] = 171502,
  [SMALL_STATE(4961)] = 171530,
  [SMALL_STATE(4962)] = 171552,
  [SMALL_STATE(4963)] = 171578,
  [SMALL_STATE(4964)] = 171606,
  [SMALL_STATE(4965)] = 171632,
  [SMALL_STATE(4966)] = 171660,
  [SMALL_STATE(4967)] = 171688,
  [SMALL_STATE(4968)] = 171716,
  [SMALL_STATE(4969)] = 171744,
  [SMALL_STATE(4970)] = 171772,
  [SMALL_STATE(4971)] = 171792,
  [SMALL_STATE(4972)] = 171814,
  [SMALL_STATE(4973)] = 171836,
  [SMALL_STATE(4974)] = 171864,
  [SMALL_STATE(4975)] = 171886,
  [SMALL_STATE(4976)] = 171908,
  [SMALL_STATE(4977)] = 171936,
  [SMALL_STATE(4978)] = 171956,
  [SMALL_STATE(4979)] = 171976,
  [SMALL_STATE(4980)] = 171996,
  [SMALL_STATE(4981)] = 172024,
  [SMALL_STATE(4982)] = 172052,
  [SMALL_STATE(4983)] = 172080,
  [SMALL_STATE(4984)] = 172101,
  [SMALL_STATE(4985)] = 172120,
  [SMALL_STATE(4986)] = 172141,
  [SMALL_STATE(4987)] = 172162,
  [SMALL_STATE(4988)] = 172179,
  [SMALL_STATE(4989)] = 172196,
  [SMALL_STATE(4990)] = 172221,
  [SMALL_STATE(4991)] = 172242,
  [SMALL_STATE(4992)] = 172263,
  [SMALL_STATE(4993)] = 172288,
  [SMALL_STATE(4994)] = 172309,
  [SMALL_STATE(4995)] = 172330,
  [SMALL_STATE(4996)] = 172351,
  [SMALL_STATE(4997)] = 172372,
  [SMALL_STATE(4998)] = 172393,
  [SMALL_STATE(4999)] = 172414,
  [SMALL_STATE(5000)] = 172439,
  [SMALL_STATE(5001)] = 172460,
  [SMALL_STATE(5002)] = 172481,
  [SMALL_STATE(5003)] = 172502,
  [SMALL_STATE(5004)] = 172523,
  [SMALL_STATE(5005)] = 172544,
  [SMALL_STATE(5006)] = 172561,
  [SMALL_STATE(5007)] = 172578,
  [SMALL_STATE(5008)] = 172599,
  [SMALL_STATE(5009)] = 172616,
  [SMALL_STATE(5010)] = 172633,
  [SMALL_STATE(5011)] = 172650,
  [SMALL_STATE(5012)] = 172673,
  [SMALL_STATE(5013)] = 172694,
  [SMALL_STATE(5014)] = 172717,
  [SMALL_STATE(5015)] = 172740,
  [SMALL_STATE(5016)] = 172757,
  [SMALL_STATE(5017)] = 172774,
  [SMALL_STATE(5018)] = 172791,
  [SMALL_STATE(5019)] = 172808,
  [SMALL_STATE(5020)] = 172825,
  [SMALL_STATE(5021)] = 172842,
  [SMALL_STATE(5022)] = 172859,
  [SMALL_STATE(5023)] = 172876,
  [SMALL_STATE(5024)] = 172893,
  [SMALL_STATE(5025)] = 172910,
  [SMALL_STATE(5026)] = 172927,
  [SMALL_STATE(5027)] = 172944,
  [SMALL_STATE(5028)] = 172961,
  [SMALL_STATE(5029)] = 172978,
  [SMALL_STATE(5030)] = 172995,
  [SMALL_STATE(5031)] = 173012,
  [SMALL_STATE(5032)] = 173029,
  [SMALL_STATE(5033)] = 173046,
  [SMALL_STATE(5034)] = 173063,
  [SMALL_STATE(5035)] = 173080,
  [SMALL_STATE(5036)] = 173097,
  [SMALL_STATE(5037)] = 173114,
  [SMALL_STATE(5038)] = 173131,
  [SMALL_STATE(5039)] = 173148,
  [SMALL_STATE(5040)] = 173165,
  [SMALL_STATE(5041)] = 173182,
  [SMALL_STATE(5042)] = 173199,
  [SMALL_STATE(5043)] = 173216,
  [SMALL_STATE(5044)] = 173233,
  [SMALL_STATE(5045)] = 173250,
  [SMALL_STATE(5046)] = 173267,
  [SMALL_STATE(5047)] = 173284,
  [SMALL_STATE(5048)] = 173301,
  [SMALL_STATE(5049)] = 173318,
  [SMALL_STATE(5050)] = 173335,
  [SMALL_STATE(5051)] = 173352,
  [SMALL_STATE(5052)] = 173369,
  [SMALL_STATE(5053)] = 173386,
  [SMALL_STATE(5054)] = 173403,
  [SMALL_STATE(5055)] = 173420,
  [SMALL_STATE(5056)] = 173437,
  [SMALL_STATE(5057)] = 173458,
  [SMALL_STATE(5058)] = 173475,
  [SMALL_STATE(5059)] = 173498,
  [SMALL_STATE(5060)] = 173515,
  [SMALL_STATE(5061)] = 173540,
  [SMALL_STATE(5062)] = 173561,
  [SMALL_STATE(5063)] = 173582,
  [SMALL_STATE(5064)] = 173603,
  [SMALL_STATE(5065)] = 173628,
  [SMALL_STATE(5066)] = 173645,
  [SMALL_STATE(5067)] = 173662,
  [SMALL_STATE(5068)] = 173683,
  [SMALL_STATE(5069)] = 173704,
  [SMALL_STATE(5070)] = 173721,
  [SMALL_STATE(5071)] = 173738,
  [SMALL_STATE(5072)] = 173755,
  [SMALL_STATE(5073)] = 173772,
  [SMALL_STATE(5074)] = 173793,
  [SMALL_STATE(5075)] = 173810,
  [SMALL_STATE(5076)] = 173835,
  [SMALL_STATE(5077)] = 173852,
  [SMALL_STATE(5078)] = 173869,
  [SMALL_STATE(5079)] = 173886,
  [SMALL_STATE(5080)] = 173903,
  [SMALL_STATE(5081)] = 173920,
  [SMALL_STATE(5082)] = 173937,
  [SMALL_STATE(5083)] = 173960,
  [SMALL_STATE(5084)] = 173981,
  [SMALL_STATE(5085)] = 173998,
  [SMALL_STATE(5086)] = 174019,
  [SMALL_STATE(5087)] = 174042,
  [SMALL_STATE(5088)] = 174067,
  [SMALL_STATE(5089)] = 174084,
  [SMALL_STATE(5090)] = 174101,
  [SMALL_STATE(5091)] = 174118,
  [SMALL_STATE(5092)] = 174135,
  [SMALL_STATE(5093)] = 174156,
  [SMALL_STATE(5094)] = 174173,
  [SMALL_STATE(5095)] = 174190,
  [SMALL_STATE(5096)] = 174207,
  [SMALL_STATE(5097)] = 174224,
  [SMALL_STATE(5098)] = 174241,
  [SMALL_STATE(5099)] = 174258,
  [SMALL_STATE(5100)] = 174279,
  [SMALL_STATE(5101)] = 174302,
  [SMALL_STATE(5102)] = 174323,
  [SMALL_STATE(5103)] = 174348,
  [SMALL_STATE(5104)] = 174373,
  [SMALL_STATE(5105)] = 174394,
  [SMALL_STATE(5106)] = 174413,
  [SMALL_STATE(5107)] = 174434,
  [SMALL_STATE(5108)] = 174455,
  [SMALL_STATE(5109)] = 174480,
  [SMALL_STATE(5110)] = 174501,
  [SMALL_STATE(5111)] = 174522,
  [SMALL_STATE(5112)] = 174543,
  [SMALL_STATE(5113)] = 174564,
  [SMALL_STATE(5114)] = 174589,
  [SMALL_STATE(5115)] = 174610,
  [SMALL_STATE(5116)] = 174631,
  [SMALL_STATE(5117)] = 174656,
  [SMALL_STATE(5118)] = 174673,
  [SMALL_STATE(5119)] = 174696,
  [SMALL_STATE(5120)] = 174721,
  [SMALL_STATE(5121)] = 174742,
  [SMALL_STATE(5122)] = 174763,
  [SMALL_STATE(5123)] = 174784,
  [SMALL_STATE(5124)] = 174805,
  [SMALL_STATE(5125)] = 174830,
  [SMALL_STATE(5126)] = 174851,
  [SMALL_STATE(5127)] = 174876,
  [SMALL_STATE(5128)] = 174897,
  [SMALL_STATE(5129)] = 174922,
  [SMALL_STATE(5130)] = 174943,
  [SMALL_STATE(5131)] = 174964,
  [SMALL_STATE(5132)] = 174985,
  [SMALL_STATE(5133)] = 175010,
  [SMALL_STATE(5134)] = 175035,
  [SMALL_STATE(5135)] = 175056,
  [SMALL_STATE(5136)] = 175077,
  [SMALL_STATE(5137)] = 175102,
  [SMALL_STATE(5138)] = 175121,
  [SMALL_STATE(5139)] = 175138,
  [SMALL_STATE(5140)] = 175155,
  [SMALL_STATE(5141)] = 175176,
  [SMALL_STATE(5142)] = 175197,
  [SMALL_STATE(5143)] = 175214,
  [SMALL_STATE(5144)] = 175231,
  [SMALL_STATE(5145)] = 175256,
  [SMALL_STATE(5146)] = 175273,
  [SMALL_STATE(5147)] = 175298,
  [SMALL_STATE(5148)] = 175315,
  [SMALL_STATE(5149)] = 175332,
  [SMALL_STATE(5150)] = 175353,
  [SMALL_STATE(5151)] = 175378,
  [SMALL_STATE(5152)] = 175395,
  [SMALL_STATE(5153)] = 175412,
  [SMALL_STATE(5154)] = 175429,
  [SMALL_STATE(5155)] = 175446,
  [SMALL_STATE(5156)] = 175463,
  [SMALL_STATE(5157)] = 175488,
  [SMALL_STATE(5158)] = 175513,
  [SMALL_STATE(5159)] = 175530,
  [SMALL_STATE(5160)] = 175547,
  [SMALL_STATE(5161)] = 175564,
  [SMALL_STATE(5162)] = 175589,
  [SMALL_STATE(5163)] = 175614,
  [SMALL_STATE(5164)] = 175631,
  [SMALL_STATE(5165)] = 175648,
  [SMALL_STATE(5166)] = 175673,
  [SMALL_STATE(5167)] = 175698,
  [SMALL_STATE(5168)] = 175715,
  [SMALL_STATE(5169)] = 175736,
  [SMALL_STATE(5170)] = 175757,
  [SMALL_STATE(5171)] = 175782,
  [SMALL_STATE(5172)] = 175803,
  [SMALL_STATE(5173)] = 175820,
  [SMALL_STATE(5174)] = 175841,
  [SMALL_STATE(5175)] = 175862,
  [SMALL_STATE(5176)] = 175883,
  [SMALL_STATE(5177)] = 175904,
  [SMALL_STATE(5178)] = 175925,
  [SMALL_STATE(5179)] = 175946,
  [SMALL_STATE(5180)] = 175967,
  [SMALL_STATE(5181)] = 175988,
  [SMALL_STATE(5182)] = 176009,
  [SMALL_STATE(5183)] = 176030,
  [SMALL_STATE(5184)] = 176053,
  [SMALL_STATE(5185)] = 176074,
  [SMALL_STATE(5186)] = 176095,
  [SMALL_STATE(5187)] = 176116,
  [SMALL_STATE(5188)] = 176141,
  [SMALL_STATE(5189)] = 176162,
  [SMALL_STATE(5190)] = 176183,
  [SMALL_STATE(5191)] = 176208,
  [SMALL_STATE(5192)] = 176229,
  [SMALL_STATE(5193)] = 176250,
  [SMALL_STATE(5194)] = 176275,
  [SMALL_STATE(5195)] = 176296,
  [SMALL_STATE(5196)] = 176317,
  [SMALL_STATE(5197)] = 176338,
  [SMALL_STATE(5198)] = 176361,
  [SMALL_STATE(5199)] = 176386,
  [SMALL_STATE(5200)] = 176407,
  [SMALL_STATE(5201)] = 176432,
  [SMALL_STATE(5202)] = 176453,
  [SMALL_STATE(5203)] = 176474,
  [SMALL_STATE(5204)] = 176495,
  [SMALL_STATE(5205)] = 176520,
  [SMALL_STATE(5206)] = 176541,
  [SMALL_STATE(5207)] = 176560,
  [SMALL_STATE(5208)] = 176581,
  [SMALL_STATE(5209)] = 176602,
  [SMALL_STATE(5210)] = 176627,
  [SMALL_STATE(5211)] = 176648,
  [SMALL_STATE(5212)] = 176669,
  [SMALL_STATE(5213)] = 176690,
  [SMALL_STATE(5214)] = 176711,
  [SMALL_STATE(5215)] = 176732,
  [SMALL_STATE(5216)] = 176753,
  [SMALL_STATE(5217)] = 176778,
  [SMALL_STATE(5218)] = 176803,
  [SMALL_STATE(5219)] = 176824,
  [SMALL_STATE(5220)] = 176845,
  [SMALL_STATE(5221)] = 176868,
  [SMALL_STATE(5222)] = 176893,
  [SMALL_STATE(5223)] = 176914,
  [SMALL_STATE(5224)] = 176939,
  [SMALL_STATE(5225)] = 176960,
  [SMALL_STATE(5226)] = 176981,
  [SMALL_STATE(5227)] = 177002,
  [SMALL_STATE(5228)] = 177023,
  [SMALL_STATE(5229)] = 177048,
  [SMALL_STATE(5230)] = 177069,
  [SMALL_STATE(5231)] = 177090,
  [SMALL_STATE(5232)] = 177111,
  [SMALL_STATE(5233)] = 177136,
  [SMALL_STATE(5234)] = 177157,
  [SMALL_STATE(5235)] = 177182,
  [SMALL_STATE(5236)] = 177203,
  [SMALL_STATE(5237)] = 177224,
  [SMALL_STATE(5238)] = 177249,
  [SMALL_STATE(5239)] = 177270,
  [SMALL_STATE(5240)] = 177291,
  [SMALL_STATE(5241)] = 177312,
  [SMALL_STATE(5242)] = 177333,
  [SMALL_STATE(5243)] = 177354,
  [SMALL_STATE(5244)] = 177373,
  [SMALL_STATE(5245)] = 177398,
  [SMALL_STATE(5246)] = 177423,
  [SMALL_STATE(5247)] = 177444,
  [SMALL_STATE(5248)] = 177465,
  [SMALL_STATE(5249)] = 177486,
  [SMALL_STATE(5250)] = 177503,
  [SMALL_STATE(5251)] = 177528,
  [SMALL_STATE(5252)] = 177549,
  [SMALL_STATE(5253)] = 177570,
  [SMALL_STATE(5254)] = 177587,
  [SMALL_STATE(5255)] = 177608,
  [SMALL_STATE(5256)] = 177629,
  [SMALL_STATE(5257)] = 177650,
  [SMALL_STATE(5258)] = 177671,
  [SMALL_STATE(5259)] = 177692,
  [SMALL_STATE(5260)] = 177717,
  [SMALL_STATE(5261)] = 177742,
  [SMALL_STATE(5262)] = 177763,
  [SMALL_STATE(5263)] = 177788,
  [SMALL_STATE(5264)] = 177813,
  [SMALL_STATE(5265)] = 177834,
  [SMALL_STATE(5266)] = 177855,
  [SMALL_STATE(5267)] = 177876,
  [SMALL_STATE(5268)] = 177897,
  [SMALL_STATE(5269)] = 177918,
  [SMALL_STATE(5270)] = 177939,
  [SMALL_STATE(5271)] = 177960,
  [SMALL_STATE(5272)] = 177981,
  [SMALL_STATE(5273)] = 178002,
  [SMALL_STATE(5274)] = 178025,
  [SMALL_STATE(5275)] = 178048,
  [SMALL_STATE(5276)] = 178073,
  [SMALL_STATE(5277)] = 178094,
  [SMALL_STATE(5278)] = 178119,
  [SMALL_STATE(5279)] = 178144,
  [SMALL_STATE(5280)] = 178169,
  [SMALL_STATE(5281)] = 178186,
  [SMALL_STATE(5282)] = 178207,
  [SMALL_STATE(5283)] = 178232,
  [SMALL_STATE(5284)] = 178249,
  [SMALL_STATE(5285)] = 178270,
  [SMALL_STATE(5286)] = 178291,
  [SMALL_STATE(5287)] = 178312,
  [SMALL_STATE(5288)] = 178333,
  [SMALL_STATE(5289)] = 178354,
  [SMALL_STATE(5290)] = 178375,
  [SMALL_STATE(5291)] = 178396,
  [SMALL_STATE(5292)] = 178417,
  [SMALL_STATE(5293)] = 178442,
  [SMALL_STATE(5294)] = 178467,
  [SMALL_STATE(5295)] = 178488,
  [SMALL_STATE(5296)] = 178505,
  [SMALL_STATE(5297)] = 178530,
  [SMALL_STATE(5298)] = 178547,
  [SMALL_STATE(5299)] = 178564,
  [SMALL_STATE(5300)] = 178581,
  [SMALL_STATE(5301)] = 178598,
  [SMALL_STATE(5302)] = 178615,
  [SMALL_STATE(5303)] = 178632,
  [SMALL_STATE(5304)] = 178649,
  [SMALL_STATE(5305)] = 178666,
  [SMALL_STATE(5306)] = 178683,
  [SMALL_STATE(5307)] = 178700,
  [SMALL_STATE(5308)] = 178725,
  [SMALL_STATE(5309)] = 178750,
  [SMALL_STATE(5310)] = 178773,
  [SMALL_STATE(5311)] = 178790,
  [SMALL_STATE(5312)] = 178807,
  [SMALL_STATE(5313)] = 178824,
  [SMALL_STATE(5314)] = 178849,
  [SMALL_STATE(5315)] = 178874,
  [SMALL_STATE(5316)] = 178897,
  [SMALL_STATE(5317)] = 178922,
  [SMALL_STATE(5318)] = 178939,
  [SMALL_STATE(5319)] = 178964,
  [SMALL_STATE(5320)] = 178989,
  [SMALL_STATE(5321)] = 179010,
  [SMALL_STATE(5322)] = 179031,
  [SMALL_STATE(5323)] = 179052,
  [SMALL_STATE(5324)] = 179073,
  [SMALL_STATE(5325)] = 179098,
  [SMALL_STATE(5326)] = 179123,
  [SMALL_STATE(5327)] = 179148,
  [SMALL_STATE(5328)] = 179169,
  [SMALL_STATE(5329)] = 179194,
  [SMALL_STATE(5330)] = 179219,
  [SMALL_STATE(5331)] = 179242,
  [SMALL_STATE(5332)] = 179267,
  [SMALL_STATE(5333)] = 179292,
  [SMALL_STATE(5334)] = 179317,
  [SMALL_STATE(5335)] = 179342,
  [SMALL_STATE(5336)] = 179367,
  [SMALL_STATE(5337)] = 179392,
  [SMALL_STATE(5338)] = 179417,
  [SMALL_STATE(5339)] = 179442,
  [SMALL_STATE(5340)] = 179467,
  [SMALL_STATE(5341)] = 179484,
  [SMALL_STATE(5342)] = 179509,
  [SMALL_STATE(5343)] = 179534,
  [SMALL_STATE(5344)] = 179559,
  [SMALL_STATE(5345)] = 179584,
  [SMALL_STATE(5346)] = 179609,
  [SMALL_STATE(5347)] = 179634,
  [SMALL_STATE(5348)] = 179655,
  [SMALL_STATE(5349)] = 179680,
  [SMALL_STATE(5350)] = 179705,
  [SMALL_STATE(5351)] = 179730,
  [SMALL_STATE(5352)] = 179751,
  [SMALL_STATE(5353)] = 179772,
  [SMALL_STATE(5354)] = 179797,
  [SMALL_STATE(5355)] = 179822,
  [SMALL_STATE(5356)] = 179845,
  [SMALL_STATE(5357)] = 179870,
  [SMALL_STATE(5358)] = 179895,
  [SMALL_STATE(5359)] = 179916,
  [SMALL_STATE(5360)] = 179937,
  [SMALL_STATE(5361)] = 179958,
  [SMALL_STATE(5362)] = 179983,
  [SMALL_STATE(5363)] = 180008,
  [SMALL_STATE(5364)] = 180033,
  [SMALL_STATE(5365)] = 180054,
  [SMALL_STATE(5366)] = 180071,
  [SMALL_STATE(5367)] = 180088,
  [SMALL_STATE(5368)] = 180113,
  [SMALL_STATE(5369)] = 180138,
  [SMALL_STATE(5370)] = 180163,
  [SMALL_STATE(5371)] = 180180,
  [SMALL_STATE(5372)] = 180201,
  [SMALL_STATE(5373)] = 180226,
  [SMALL_STATE(5374)] = 180251,
  [SMALL_STATE(5375)] = 180272,
  [SMALL_STATE(5376)] = 180297,
  [SMALL_STATE(5377)] = 180318,
  [SMALL_STATE(5378)] = 180343,
  [SMALL_STATE(5379)] = 180368,
  [SMALL_STATE(5380)] = 180393,
  [SMALL_STATE(5381)] = 180418,
  [SMALL_STATE(5382)] = 180439,
  [SMALL_STATE(5383)] = 180464,
  [SMALL_STATE(5384)] = 180489,
  [SMALL_STATE(5385)] = 180510,
  [SMALL_STATE(5386)] = 180535,
  [SMALL_STATE(5387)] = 180556,
  [SMALL_STATE(5388)] = 180581,
  [SMALL_STATE(5389)] = 180604,
  [SMALL_STATE(5390)] = 180627,
  [SMALL_STATE(5391)] = 180648,
  [SMALL_STATE(5392)] = 180673,
  [SMALL_STATE(5393)] = 180694,
  [SMALL_STATE(5394)] = 180715,
  [SMALL_STATE(5395)] = 180732,
  [SMALL_STATE(5396)] = 180753,
  [SMALL_STATE(5397)] = 180770,
  [SMALL_STATE(5398)] = 180787,
  [SMALL_STATE(5399)] = 180804,
  [SMALL_STATE(5400)] = 180829,
  [SMALL_STATE(5401)] = 180854,
  [SMALL_STATE(5402)] = 180875,
  [SMALL_STATE(5403)] = 180900,
  [SMALL_STATE(5404)] = 180925,
  [SMALL_STATE(5405)] = 180950,
  [SMALL_STATE(5406)] = 180975,
  [SMALL_STATE(5407)] = 181000,
  [SMALL_STATE(5408)] = 181025,
  [SMALL_STATE(5409)] = 181050,
  [SMALL_STATE(5410)] = 181071,
  [SMALL_STATE(5411)] = 181096,
  [SMALL_STATE(5412)] = 181121,
  [SMALL_STATE(5413)] = 181146,
  [SMALL_STATE(5414)] = 181171,
  [SMALL_STATE(5415)] = 181196,
  [SMALL_STATE(5416)] = 181213,
  [SMALL_STATE(5417)] = 181234,
  [SMALL_STATE(5418)] = 181259,
  [SMALL_STATE(5419)] = 181284,
  [SMALL_STATE(5420)] = 181301,
  [SMALL_STATE(5421)] = 181326,
  [SMALL_STATE(5422)] = 181343,
  [SMALL_STATE(5423)] = 181360,
  [SMALL_STATE(5424)] = 181385,
  [SMALL_STATE(5425)] = 181410,
  [SMALL_STATE(5426)] = 181431,
  [SMALL_STATE(5427)] = 181452,
  [SMALL_STATE(5428)] = 181477,
  [SMALL_STATE(5429)] = 181498,
  [SMALL_STATE(5430)] = 181523,
  [SMALL_STATE(5431)] = 181540,
  [SMALL_STATE(5432)] = 181561,
  [SMALL_STATE(5433)] = 181582,
  [SMALL_STATE(5434)] = 181603,
  [SMALL_STATE(5435)] = 181624,
  [SMALL_STATE(5436)] = 181649,
  [SMALL_STATE(5437)] = 181670,
  [SMALL_STATE(5438)] = 181693,
  [SMALL_STATE(5439)] = 181714,
  [SMALL_STATE(5440)] = 181735,
  [SMALL_STATE(5441)] = 181752,
  [SMALL_STATE(5442)] = 181775,
  [SMALL_STATE(5443)] = 181798,
  [SMALL_STATE(5444)] = 181815,
  [SMALL_STATE(5445)] = 181832,
  [SMALL_STATE(5446)] = 181855,
  [SMALL_STATE(5447)] = 181872,
  [SMALL_STATE(5448)] = 181889,
  [SMALL_STATE(5449)] = 181914,
  [SMALL_STATE(5450)] = 181937,
  [SMALL_STATE(5451)] = 181954,
  [SMALL_STATE(5452)] = 181971,
  [SMALL_STATE(5453)] = 181992,
  [SMALL_STATE(5454)] = 182009,
  [SMALL_STATE(5455)] = 182030,
  [SMALL_STATE(5456)] = 182051,
  [SMALL_STATE(5457)] = 182076,
  [SMALL_STATE(5458)] = 182099,
  [SMALL_STATE(5459)] = 182124,
  [SMALL_STATE(5460)] = 182145,
  [SMALL_STATE(5461)] = 182170,
  [SMALL_STATE(5462)] = 182191,
  [SMALL_STATE(5463)] = 182216,
  [SMALL_STATE(5464)] = 182237,
  [SMALL_STATE(5465)] = 182262,
  [SMALL_STATE(5466)] = 182283,
  [SMALL_STATE(5467)] = 182308,
  [SMALL_STATE(5468)] = 182333,
  [SMALL_STATE(5469)] = 182358,
  [SMALL_STATE(5470)] = 182381,
  [SMALL_STATE(5471)] = 182406,
  [SMALL_STATE(5472)] = 182427,
  [SMALL_STATE(5473)] = 182452,
  [SMALL_STATE(5474)] = 182477,
  [SMALL_STATE(5475)] = 182502,
  [SMALL_STATE(5476)] = 182527,
  [SMALL_STATE(5477)] = 182552,
  [SMALL_STATE(5478)] = 182573,
  [SMALL_STATE(5479)] = 182594,
  [SMALL_STATE(5480)] = 182615,
  [SMALL_STATE(5481)] = 182638,
  [SMALL_STATE(5482)] = 182663,
  [SMALL_STATE(5483)] = 182680,
  [SMALL_STATE(5484)] = 182697,
  [SMALL_STATE(5485)] = 182722,
  [SMALL_STATE(5486)] = 182743,
  [SMALL_STATE(5487)] = 182764,
  [SMALL_STATE(5488)] = 182789,
  [SMALL_STATE(5489)] = 182814,
  [SMALL_STATE(5490)] = 182835,
  [SMALL_STATE(5491)] = 182852,
  [SMALL_STATE(5492)] = 182869,
  [SMALL_STATE(5493)] = 182894,
  [SMALL_STATE(5494)] = 182911,
  [SMALL_STATE(5495)] = 182936,
  [SMALL_STATE(5496)] = 182961,
  [SMALL_STATE(5497)] = 182982,
  [SMALL_STATE(5498)] = 182999,
  [SMALL_STATE(5499)] = 183016,
  [SMALL_STATE(5500)] = 183037,
  [SMALL_STATE(5501)] = 183058,
  [SMALL_STATE(5502)] = 183075,
  [SMALL_STATE(5503)] = 183096,
  [SMALL_STATE(5504)] = 183113,
  [SMALL_STATE(5505)] = 183134,
  [SMALL_STATE(5506)] = 183153,
  [SMALL_STATE(5507)] = 183172,
  [SMALL_STATE(5508)] = 183193,
  [SMALL_STATE(5509)] = 183210,
  [SMALL_STATE(5510)] = 183229,
  [SMALL_STATE(5511)] = 183249,
  [SMALL_STATE(5512)] = 183271,
  [SMALL_STATE(5513)] = 183291,
  [SMALL_STATE(5514)] = 183311,
  [SMALL_STATE(5515)] = 183331,
  [SMALL_STATE(5516)] = 183353,
  [SMALL_STATE(5517)] = 183375,
  [SMALL_STATE(5518)] = 183395,
  [SMALL_STATE(5519)] = 183415,
  [SMALL_STATE(5520)] = 183435,
  [SMALL_STATE(5521)] = 183455,
  [SMALL_STATE(5522)] = 183475,
  [SMALL_STATE(5523)] = 183491,
  [SMALL_STATE(5524)] = 183507,
  [SMALL_STATE(5525)] = 183527,
  [SMALL_STATE(5526)] = 183547,
  [SMALL_STATE(5527)] = 183567,
  [SMALL_STATE(5528)] = 183587,
  [SMALL_STATE(5529)] = 183607,
  [SMALL_STATE(5530)] = 183629,
  [SMALL_STATE(5531)] = 183647,
  [SMALL_STATE(5532)] = 183669,
  [SMALL_STATE(5533)] = 183689,
  [SMALL_STATE(5534)] = 183709,
  [SMALL_STATE(5535)] = 183725,
  [SMALL_STATE(5536)] = 183747,
  [SMALL_STATE(5537)] = 183767,
  [SMALL_STATE(5538)] = 183787,
  [SMALL_STATE(5539)] = 183809,
  [SMALL_STATE(5540)] = 183829,
  [SMALL_STATE(5541)] = 183849,
  [SMALL_STATE(5542)] = 183869,
  [SMALL_STATE(5543)] = 183889,
  [SMALL_STATE(5544)] = 183909,
  [SMALL_STATE(5545)] = 183929,
  [SMALL_STATE(5546)] = 183951,
  [SMALL_STATE(5547)] = 183971,
  [SMALL_STATE(5548)] = 183993,
  [SMALL_STATE(5549)] = 184013,
  [SMALL_STATE(5550)] = 184033,
  [SMALL_STATE(5551)] = 184053,
  [SMALL_STATE(5552)] = 184073,
  [SMALL_STATE(5553)] = 184093,
  [SMALL_STATE(5554)] = 184115,
  [SMALL_STATE(5555)] = 184135,
  [SMALL_STATE(5556)] = 184157,
  [SMALL_STATE(5557)] = 184177,
  [SMALL_STATE(5558)] = 184197,
  [SMALL_STATE(5559)] = 184219,
  [SMALL_STATE(5560)] = 184239,
  [SMALL_STATE(5561)] = 184259,
  [SMALL_STATE(5562)] = 184281,
  [SMALL_STATE(5563)] = 184301,
  [SMALL_STATE(5564)] = 184321,
  [SMALL_STATE(5565)] = 184343,
  [SMALL_STATE(5566)] = 184365,
  [SMALL_STATE(5567)] = 184387,
  [SMALL_STATE(5568)] = 184407,
  [SMALL_STATE(5569)] = 184427,
  [SMALL_STATE(5570)] = 184449,
  [SMALL_STATE(5571)] = 184469,
  [SMALL_STATE(5572)] = 184489,
  [SMALL_STATE(5573)] = 184509,
  [SMALL_STATE(5574)] = 184529,
  [SMALL_STATE(5575)] = 184551,
  [SMALL_STATE(5576)] = 184573,
  [SMALL_STATE(5577)] = 184595,
  [SMALL_STATE(5578)] = 184617,
  [SMALL_STATE(5579)] = 184637,
  [SMALL_STATE(5580)] = 184657,
  [SMALL_STATE(5581)] = 184677,
  [SMALL_STATE(5582)] = 184697,
  [SMALL_STATE(5583)] = 184719,
  [SMALL_STATE(5584)] = 184739,
  [SMALL_STATE(5585)] = 184759,
  [SMALL_STATE(5586)] = 184781,
  [SMALL_STATE(5587)] = 184801,
  [SMALL_STATE(5588)] = 184821,
  [SMALL_STATE(5589)] = 184841,
  [SMALL_STATE(5590)] = 184861,
  [SMALL_STATE(5591)] = 184883,
  [SMALL_STATE(5592)] = 184905,
  [SMALL_STATE(5593)] = 184925,
  [SMALL_STATE(5594)] = 184945,
  [SMALL_STATE(5595)] = 184965,
  [SMALL_STATE(5596)] = 184985,
  [SMALL_STATE(5597)] = 185005,
  [SMALL_STATE(5598)] = 185021,
  [SMALL_STATE(5599)] = 185041,
  [SMALL_STATE(5600)] = 185057,
  [SMALL_STATE(5601)] = 185077,
  [SMALL_STATE(5602)] = 185097,
  [SMALL_STATE(5603)] = 185117,
  [SMALL_STATE(5604)] = 185137,
  [SMALL_STATE(5605)] = 185157,
  [SMALL_STATE(5606)] = 185173,
  [SMALL_STATE(5607)] = 185193,
  [SMALL_STATE(5608)] = 185213,
  [SMALL_STATE(5609)] = 185235,
  [SMALL_STATE(5610)] = 185255,
  [SMALL_STATE(5611)] = 185275,
  [SMALL_STATE(5612)] = 185295,
  [SMALL_STATE(5613)] = 185315,
  [SMALL_STATE(5614)] = 185335,
  [SMALL_STATE(5615)] = 185355,
  [SMALL_STATE(5616)] = 185373,
  [SMALL_STATE(5617)] = 185395,
  [SMALL_STATE(5618)] = 185415,
  [SMALL_STATE(5619)] = 185435,
  [SMALL_STATE(5620)] = 185455,
  [SMALL_STATE(5621)] = 185475,
  [SMALL_STATE(5622)] = 185497,
  [SMALL_STATE(5623)] = 185519,
  [SMALL_STATE(5624)] = 185539,
  [SMALL_STATE(5625)] = 185559,
  [SMALL_STATE(5626)] = 185575,
  [SMALL_STATE(5627)] = 185595,
  [SMALL_STATE(5628)] = 185615,
  [SMALL_STATE(5629)] = 185635,
  [SMALL_STATE(5630)] = 185657,
  [SMALL_STATE(5631)] = 185679,
  [SMALL_STATE(5632)] = 185701,
  [SMALL_STATE(5633)] = 185723,
  [SMALL_STATE(5634)] = 185743,
  [SMALL_STATE(5635)] = 185763,
  [SMALL_STATE(5636)] = 185783,
  [SMALL_STATE(5637)] = 185805,
  [SMALL_STATE(5638)] = 185825,
  [SMALL_STATE(5639)] = 185845,
  [SMALL_STATE(5640)] = 185865,
  [SMALL_STATE(5641)] = 185881,
  [SMALL_STATE(5642)] = 185901,
  [SMALL_STATE(5643)] = 185919,
  [SMALL_STATE(5644)] = 185941,
  [SMALL_STATE(5645)] = 185961,
  [SMALL_STATE(5646)] = 185981,
  [SMALL_STATE(5647)] = 185999,
  [SMALL_STATE(5648)] = 186017,
  [SMALL_STATE(5649)] = 186035,
  [SMALL_STATE(5650)] = 186055,
  [SMALL_STATE(5651)] = 186077,
  [SMALL_STATE(5652)] = 186097,
  [SMALL_STATE(5653)] = 186117,
  [SMALL_STATE(5654)] = 186137,
  [SMALL_STATE(5655)] = 186159,
  [SMALL_STATE(5656)] = 186181,
  [SMALL_STATE(5657)] = 186203,
  [SMALL_STATE(5658)] = 186223,
  [SMALL_STATE(5659)] = 186243,
  [SMALL_STATE(5660)] = 186263,
  [SMALL_STATE(5661)] = 186285,
  [SMALL_STATE(5662)] = 186307,
  [SMALL_STATE(5663)] = 186329,
  [SMALL_STATE(5664)] = 186349,
  [SMALL_STATE(5665)] = 186369,
  [SMALL_STATE(5666)] = 186391,
  [SMALL_STATE(5667)] = 186411,
  [SMALL_STATE(5668)] = 186431,
  [SMALL_STATE(5669)] = 186451,
  [SMALL_STATE(5670)] = 186473,
  [SMALL_STATE(5671)] = 186493,
  [SMALL_STATE(5672)] = 186515,
  [SMALL_STATE(5673)] = 186537,
  [SMALL_STATE(5674)] = 186557,
  [SMALL_STATE(5675)] = 186577,
  [SMALL_STATE(5676)] = 186597,
  [SMALL_STATE(5677)] = 186619,
  [SMALL_STATE(5678)] = 186639,
  [SMALL_STATE(5679)] = 186661,
  [SMALL_STATE(5680)] = 186681,
  [SMALL_STATE(5681)] = 186703,
  [SMALL_STATE(5682)] = 186723,
  [SMALL_STATE(5683)] = 186743,
  [SMALL_STATE(5684)] = 186765,
  [SMALL_STATE(5685)] = 186787,
  [SMALL_STATE(5686)] = 186809,
  [SMALL_STATE(5687)] = 186831,
  [SMALL_STATE(5688)] = 186853,
  [SMALL_STATE(5689)] = 186873,
  [SMALL_STATE(5690)] = 186893,
  [SMALL_STATE(5691)] = 186915,
  [SMALL_STATE(5692)] = 186935,
  [SMALL_STATE(5693)] = 186957,
  [SMALL_STATE(5694)] = 186979,
  [SMALL_STATE(5695)] = 187001,
  [SMALL_STATE(5696)] = 187023,
  [SMALL_STATE(5697)] = 187045,
  [SMALL_STATE(5698)] = 187065,
  [SMALL_STATE(5699)] = 187085,
  [SMALL_STATE(5700)] = 187105,
  [SMALL_STATE(5701)] = 187125,
  [SMALL_STATE(5702)] = 187145,
  [SMALL_STATE(5703)] = 187165,
  [SMALL_STATE(5704)] = 187187,
  [SMALL_STATE(5705)] = 187205,
  [SMALL_STATE(5706)] = 187225,
  [SMALL_STATE(5707)] = 187245,
  [SMALL_STATE(5708)] = 187265,
  [SMALL_STATE(5709)] = 187283,
  [SMALL_STATE(5710)] = 187303,
  [SMALL_STATE(5711)] = 187323,
  [SMALL_STATE(5712)] = 187339,
  [SMALL_STATE(5713)] = 187361,
  [SMALL_STATE(5714)] = 187383,
  [SMALL_STATE(5715)] = 187403,
  [SMALL_STATE(5716)] = 187423,
  [SMALL_STATE(5717)] = 187445,
  [SMALL_STATE(5718)] = 187467,
  [SMALL_STATE(5719)] = 187487,
  [SMALL_STATE(5720)] = 187509,
  [SMALL_STATE(5721)] = 187531,
  [SMALL_STATE(5722)] = 187553,
  [SMALL_STATE(5723)] = 187569,
  [SMALL_STATE(5724)] = 187591,
  [SMALL_STATE(5725)] = 187613,
  [SMALL_STATE(5726)] = 187635,
  [SMALL_STATE(5727)] = 187657,
  [SMALL_STATE(5728)] = 187675,
  [SMALL_STATE(5729)] = 187697,
  [SMALL_STATE(5730)] = 187719,
  [SMALL_STATE(5731)] = 187737,
  [SMALL_STATE(5732)] = 187757,
  [SMALL_STATE(5733)] = 187779,
  [SMALL_STATE(5734)] = 187801,
  [SMALL_STATE(5735)] = 187823,
  [SMALL_STATE(5736)] = 187845,
  [SMALL_STATE(5737)] = 187867,
  [SMALL_STATE(5738)] = 187882,
  [SMALL_STATE(5739)] = 187897,
  [SMALL_STATE(5740)] = 187912,
  [SMALL_STATE(5741)] = 187931,
  [SMALL_STATE(5742)] = 187946,
  [SMALL_STATE(5743)] = 187965,
  [SMALL_STATE(5744)] = 187980,
  [SMALL_STATE(5745)] = 187999,
  [SMALL_STATE(5746)] = 188014,
  [SMALL_STATE(5747)] = 188033,
  [SMALL_STATE(5748)] = 188048,
  [SMALL_STATE(5749)] = 188063,
  [SMALL_STATE(5750)] = 188082,
  [SMALL_STATE(5751)] = 188097,
  [SMALL_STATE(5752)] = 188114,
  [SMALL_STATE(5753)] = 188129,
  [SMALL_STATE(5754)] = 188144,
  [SMALL_STATE(5755)] = 188159,
  [SMALL_STATE(5756)] = 188178,
  [SMALL_STATE(5757)] = 188193,
  [SMALL_STATE(5758)] = 188208,
  [SMALL_STATE(5759)] = 188223,
  [SMALL_STATE(5760)] = 188238,
  [SMALL_STATE(5761)] = 188253,
  [SMALL_STATE(5762)] = 188268,
  [SMALL_STATE(5763)] = 188283,
  [SMALL_STATE(5764)] = 188302,
  [SMALL_STATE(5765)] = 188321,
  [SMALL_STATE(5766)] = 188340,
  [SMALL_STATE(5767)] = 188359,
  [SMALL_STATE(5768)] = 188374,
  [SMALL_STATE(5769)] = 188389,
  [SMALL_STATE(5770)] = 188404,
  [SMALL_STATE(5771)] = 188423,
  [SMALL_STATE(5772)] = 188442,
  [SMALL_STATE(5773)] = 188457,
  [SMALL_STATE(5774)] = 188476,
  [SMALL_STATE(5775)] = 188495,
  [SMALL_STATE(5776)] = 188510,
  [SMALL_STATE(5777)] = 188525,
  [SMALL_STATE(5778)] = 188544,
  [SMALL_STATE(5779)] = 188561,
  [SMALL_STATE(5780)] = 188580,
  [SMALL_STATE(5781)] = 188595,
  [SMALL_STATE(5782)] = 188610,
  [SMALL_STATE(5783)] = 188627,
  [SMALL_STATE(5784)] = 188642,
  [SMALL_STATE(5785)] = 188657,
  [SMALL_STATE(5786)] = 188676,
  [SMALL_STATE(5787)] = 188695,
  [SMALL_STATE(5788)] = 188714,
  [SMALL_STATE(5789)] = 188731,
  [SMALL_STATE(5790)] = 188746,
  [SMALL_STATE(5791)] = 188761,
  [SMALL_STATE(5792)] = 188780,
  [SMALL_STATE(5793)] = 188795,
  [SMALL_STATE(5794)] = 188814,
  [SMALL_STATE(5795)] = 188831,
  [SMALL_STATE(5796)] = 188846,
  [SMALL_STATE(5797)] = 188861,
  [SMALL_STATE(5798)] = 188876,
  [SMALL_STATE(5799)] = 188891,
  [SMALL_STATE(5800)] = 188910,
  [SMALL_STATE(5801)] = 188927,
  [SMALL_STATE(5802)] = 188946,
  [SMALL_STATE(5803)] = 188963,
  [SMALL_STATE(5804)] = 188978,
  [SMALL_STATE(5805)] = 188993,
  [SMALL_STATE(5806)] = 189008,
  [SMALL_STATE(5807)] = 189023,
  [SMALL_STATE(5808)] = 189038,
  [SMALL_STATE(5809)] = 189057,
  [SMALL_STATE(5810)] = 189072,
  [SMALL_STATE(5811)] = 189087,
  [SMALL_STATE(5812)] = 189104,
  [SMALL_STATE(5813)] = 189119,
  [SMALL_STATE(5814)] = 189138,
  [SMALL_STATE(5815)] = 189153,
  [SMALL_STATE(5816)] = 189170,
  [SMALL_STATE(5817)] = 189187,
  [SMALL_STATE(5818)] = 189204,
  [SMALL_STATE(5819)] = 189223,
  [SMALL_STATE(5820)] = 189240,
  [SMALL_STATE(5821)] = 189259,
  [SMALL_STATE(5822)] = 189274,
  [SMALL_STATE(5823)] = 189289,
  [SMALL_STATE(5824)] = 189308,
  [SMALL_STATE(5825)] = 189327,
  [SMALL_STATE(5826)] = 189342,
  [SMALL_STATE(5827)] = 189359,
  [SMALL_STATE(5828)] = 189378,
  [SMALL_STATE(5829)] = 189393,
  [SMALL_STATE(5830)] = 189412,
  [SMALL_STATE(5831)] = 189429,
  [SMALL_STATE(5832)] = 189448,
  [SMALL_STATE(5833)] = 189467,
  [SMALL_STATE(5834)] = 189486,
  [SMALL_STATE(5835)] = 189505,
  [SMALL_STATE(5836)] = 189520,
  [SMALL_STATE(5837)] = 189535,
  [SMALL_STATE(5838)] = 189550,
  [SMALL_STATE(5839)] = 189565,
  [SMALL_STATE(5840)] = 189580,
  [SMALL_STATE(5841)] = 189599,
  [SMALL_STATE(5842)] = 189614,
  [SMALL_STATE(5843)] = 189629,
  [SMALL_STATE(5844)] = 189644,
  [SMALL_STATE(5845)] = 189659,
  [SMALL_STATE(5846)] = 189674,
  [SMALL_STATE(5847)] = 189689,
  [SMALL_STATE(5848)] = 189704,
  [SMALL_STATE(5849)] = 189719,
  [SMALL_STATE(5850)] = 189734,
  [SMALL_STATE(5851)] = 189753,
  [SMALL_STATE(5852)] = 189768,
  [SMALL_STATE(5853)] = 189783,
  [SMALL_STATE(5854)] = 189800,
  [SMALL_STATE(5855)] = 189815,
  [SMALL_STATE(5856)] = 189830,
  [SMALL_STATE(5857)] = 189845,
  [SMALL_STATE(5858)] = 189864,
  [SMALL_STATE(5859)] = 189879,
  [SMALL_STATE(5860)] = 189894,
  [SMALL_STATE(5861)] = 189909,
  [SMALL_STATE(5862)] = 189924,
  [SMALL_STATE(5863)] = 189943,
  [SMALL_STATE(5864)] = 189958,
  [SMALL_STATE(5865)] = 189975,
  [SMALL_STATE(5866)] = 189990,
  [SMALL_STATE(5867)] = 190009,
  [SMALL_STATE(5868)] = 190024,
  [SMALL_STATE(5869)] = 190039,
  [SMALL_STATE(5870)] = 190058,
  [SMALL_STATE(5871)] = 190073,
  [SMALL_STATE(5872)] = 190088,
  [SMALL_STATE(5873)] = 190107,
  [SMALL_STATE(5874)] = 190126,
  [SMALL_STATE(5875)] = 190145,
  [SMALL_STATE(5876)] = 190160,
  [SMALL_STATE(5877)] = 190175,
  [SMALL_STATE(5878)] = 190190,
  [SMALL_STATE(5879)] = 190209,
  [SMALL_STATE(5880)] = 190228,
  [SMALL_STATE(5881)] = 190243,
  [SMALL_STATE(5882)] = 190258,
  [SMALL_STATE(5883)] = 190277,
  [SMALL_STATE(5884)] = 190294,
  [SMALL_STATE(5885)] = 190309,
  [SMALL_STATE(5886)] = 190324,
  [SMALL_STATE(5887)] = 190339,
  [SMALL_STATE(5888)] = 190354,
  [SMALL_STATE(5889)] = 190369,
  [SMALL_STATE(5890)] = 190388,
  [SMALL_STATE(5891)] = 190407,
  [SMALL_STATE(5892)] = 190424,
  [SMALL_STATE(5893)] = 190439,
  [SMALL_STATE(5894)] = 190454,
  [SMALL_STATE(5895)] = 190469,
  [SMALL_STATE(5896)] = 190486,
  [SMALL_STATE(5897)] = 190505,
  [SMALL_STATE(5898)] = 190520,
  [SMALL_STATE(5899)] = 190535,
  [SMALL_STATE(5900)] = 190550,
  [SMALL_STATE(5901)] = 190565,
  [SMALL_STATE(5902)] = 190580,
  [SMALL_STATE(5903)] = 190595,
  [SMALL_STATE(5904)] = 190614,
  [SMALL_STATE(5905)] = 190633,
  [SMALL_STATE(5906)] = 190652,
  [SMALL_STATE(5907)] = 190667,
  [SMALL_STATE(5908)] = 190684,
  [SMALL_STATE(5909)] = 190699,
  [SMALL_STATE(5910)] = 190718,
  [SMALL_STATE(5911)] = 190737,
  [SMALL_STATE(5912)] = 190756,
  [SMALL_STATE(5913)] = 190771,
  [SMALL_STATE(5914)] = 190786,
  [SMALL_STATE(5915)] = 190805,
  [SMALL_STATE(5916)] = 190820,
  [SMALL_STATE(5917)] = 190835,
  [SMALL_STATE(5918)] = 190854,
  [SMALL_STATE(5919)] = 190873,
  [SMALL_STATE(5920)] = 190890,
  [SMALL_STATE(5921)] = 190905,
  [SMALL_STATE(5922)] = 190920,
  [SMALL_STATE(5923)] = 190935,
  [SMALL_STATE(5924)] = 190950,
  [SMALL_STATE(5925)] = 190965,
  [SMALL_STATE(5926)] = 190984,
  [SMALL_STATE(5927)] = 190999,
  [SMALL_STATE(5928)] = 191018,
  [SMALL_STATE(5929)] = 191033,
  [SMALL_STATE(5930)] = 191048,
  [SMALL_STATE(5931)] = 191063,
  [SMALL_STATE(5932)] = 191078,
  [SMALL_STATE(5933)] = 191093,
  [SMALL_STATE(5934)] = 191108,
  [SMALL_STATE(5935)] = 191123,
  [SMALL_STATE(5936)] = 191142,
  [SMALL_STATE(5937)] = 191159,
  [SMALL_STATE(5938)] = 191176,
  [SMALL_STATE(5939)] = 191195,
  [SMALL_STATE(5940)] = 191214,
  [SMALL_STATE(5941)] = 191231,
  [SMALL_STATE(5942)] = 191246,
  [SMALL_STATE(5943)] = 191261,
  [SMALL_STATE(5944)] = 191280,
  [SMALL_STATE(5945)] = 191297,
  [SMALL_STATE(5946)] = 191316,
  [SMALL_STATE(5947)] = 191331,
  [SMALL_STATE(5948)] = 191346,
  [SMALL_STATE(5949)] = 191361,
  [SMALL_STATE(5950)] = 191376,
  [SMALL_STATE(5951)] = 191391,
  [SMALL_STATE(5952)] = 191406,
  [SMALL_STATE(5953)] = 191421,
  [SMALL_STATE(5954)] = 191436,
  [SMALL_STATE(5955)] = 191451,
  [SMALL_STATE(5956)] = 191466,
  [SMALL_STATE(5957)] = 191481,
  [SMALL_STATE(5958)] = 191500,
  [SMALL_STATE(5959)] = 191515,
  [SMALL_STATE(5960)] = 191530,
  [SMALL_STATE(5961)] = 191545,
  [SMALL_STATE(5962)] = 191560,
  [SMALL_STATE(5963)] = 191579,
  [SMALL_STATE(5964)] = 191594,
  [SMALL_STATE(5965)] = 191613,
  [SMALL_STATE(5966)] = 191628,
  [SMALL_STATE(5967)] = 191643,
  [SMALL_STATE(5968)] = 191662,
  [SMALL_STATE(5969)] = 191677,
  [SMALL_STATE(5970)] = 191692,
  [SMALL_STATE(5971)] = 191707,
  [SMALL_STATE(5972)] = 191724,
  [SMALL_STATE(5973)] = 191739,
  [SMALL_STATE(5974)] = 191758,
  [SMALL_STATE(5975)] = 191777,
  [SMALL_STATE(5976)] = 191792,
  [SMALL_STATE(5977)] = 191807,
  [SMALL_STATE(5978)] = 191822,
  [SMALL_STATE(5979)] = 191837,
  [SMALL_STATE(5980)] = 191852,
  [SMALL_STATE(5981)] = 191871,
  [SMALL_STATE(5982)] = 191890,
  [SMALL_STATE(5983)] = 191905,
  [SMALL_STATE(5984)] = 191924,
  [SMALL_STATE(5985)] = 191939,
  [SMALL_STATE(5986)] = 191954,
  [SMALL_STATE(5987)] = 191973,
  [SMALL_STATE(5988)] = 191988,
  [SMALL_STATE(5989)] = 192007,
  [SMALL_STATE(5990)] = 192022,
  [SMALL_STATE(5991)] = 192041,
  [SMALL_STATE(5992)] = 192056,
  [SMALL_STATE(5993)] = 192075,
  [SMALL_STATE(5994)] = 192094,
  [SMALL_STATE(5995)] = 192109,
  [SMALL_STATE(5996)] = 192128,
  [SMALL_STATE(5997)] = 192143,
  [SMALL_STATE(5998)] = 192162,
  [SMALL_STATE(5999)] = 192181,
  [SMALL_STATE(6000)] = 192200,
  [SMALL_STATE(6001)] = 192215,
  [SMALL_STATE(6002)] = 192230,
  [SMALL_STATE(6003)] = 192249,
  [SMALL_STATE(6004)] = 192268,
  [SMALL_STATE(6005)] = 192287,
  [SMALL_STATE(6006)] = 192302,
  [SMALL_STATE(6007)] = 192321,
  [SMALL_STATE(6008)] = 192340,
  [SMALL_STATE(6009)] = 192359,
  [SMALL_STATE(6010)] = 192374,
  [SMALL_STATE(6011)] = 192389,
  [SMALL_STATE(6012)] = 192406,
  [SMALL_STATE(6013)] = 192421,
  [SMALL_STATE(6014)] = 192440,
  [SMALL_STATE(6015)] = 192455,
  [SMALL_STATE(6016)] = 192470,
  [SMALL_STATE(6017)] = 192489,
  [SMALL_STATE(6018)] = 192504,
  [SMALL_STATE(6019)] = 192519,
  [SMALL_STATE(6020)] = 192536,
  [SMALL_STATE(6021)] = 192555,
  [SMALL_STATE(6022)] = 192570,
  [SMALL_STATE(6023)] = 192585,
  [SMALL_STATE(6024)] = 192602,
  [SMALL_STATE(6025)] = 192619,
  [SMALL_STATE(6026)] = 192638,
  [SMALL_STATE(6027)] = 192657,
  [SMALL_STATE(6028)] = 192672,
  [SMALL_STATE(6029)] = 192687,
  [SMALL_STATE(6030)] = 192702,
  [SMALL_STATE(6031)] = 192717,
  [SMALL_STATE(6032)] = 192732,
  [SMALL_STATE(6033)] = 192747,
  [SMALL_STATE(6034)] = 192762,
  [SMALL_STATE(6035)] = 192779,
  [SMALL_STATE(6036)] = 192794,
  [SMALL_STATE(6037)] = 192811,
  [SMALL_STATE(6038)] = 192826,
  [SMALL_STATE(6039)] = 192845,
  [SMALL_STATE(6040)] = 192860,
  [SMALL_STATE(6041)] = 192879,
  [SMALL_STATE(6042)] = 192894,
  [SMALL_STATE(6043)] = 192913,
  [SMALL_STATE(6044)] = 192928,
  [SMALL_STATE(6045)] = 192943,
  [SMALL_STATE(6046)] = 192958,
  [SMALL_STATE(6047)] = 192977,
  [SMALL_STATE(6048)] = 192996,
  [SMALL_STATE(6049)] = 193011,
  [SMALL_STATE(6050)] = 193026,
  [SMALL_STATE(6051)] = 193045,
  [SMALL_STATE(6052)] = 193060,
  [SMALL_STATE(6053)] = 193075,
  [SMALL_STATE(6054)] = 193090,
  [SMALL_STATE(6055)] = 193109,
  [SMALL_STATE(6056)] = 193128,
  [SMALL_STATE(6057)] = 193143,
  [SMALL_STATE(6058)] = 193162,
  [SMALL_STATE(6059)] = 193181,
  [SMALL_STATE(6060)] = 193196,
  [SMALL_STATE(6061)] = 193215,
  [SMALL_STATE(6062)] = 193230,
  [SMALL_STATE(6063)] = 193245,
  [SMALL_STATE(6064)] = 193260,
  [SMALL_STATE(6065)] = 193275,
  [SMALL_STATE(6066)] = 193294,
  [SMALL_STATE(6067)] = 193309,
  [SMALL_STATE(6068)] = 193326,
  [SMALL_STATE(6069)] = 193343,
  [SMALL_STATE(6070)] = 193358,
  [SMALL_STATE(6071)] = 193377,
  [SMALL_STATE(6072)] = 193392,
  [SMALL_STATE(6073)] = 193409,
  [SMALL_STATE(6074)] = 193428,
  [SMALL_STATE(6075)] = 193443,
  [SMALL_STATE(6076)] = 193458,
  [SMALL_STATE(6077)] = 193477,
  [SMALL_STATE(6078)] = 193496,
  [SMALL_STATE(6079)] = 193511,
  [SMALL_STATE(6080)] = 193526,
  [SMALL_STATE(6081)] = 193543,
  [SMALL_STATE(6082)] = 193558,
  [SMALL_STATE(6083)] = 193573,
  [SMALL_STATE(6084)] = 193588,
  [SMALL_STATE(6085)] = 193603,
  [SMALL_STATE(6086)] = 193618,
  [SMALL_STATE(6087)] = 193633,
  [SMALL_STATE(6088)] = 193648,
  [SMALL_STATE(6089)] = 193663,
  [SMALL_STATE(6090)] = 193680,
  [SMALL_STATE(6091)] = 193695,
  [SMALL_STATE(6092)] = 193714,
  [SMALL_STATE(6093)] = 193733,
  [SMALL_STATE(6094)] = 193752,
  [SMALL_STATE(6095)] = 193771,
  [SMALL_STATE(6096)] = 193786,
  [SMALL_STATE(6097)] = 193801,
  [SMALL_STATE(6098)] = 193816,
  [SMALL_STATE(6099)] = 193833,
  [SMALL_STATE(6100)] = 193848,
  [SMALL_STATE(6101)] = 193867,
  [SMALL_STATE(6102)] = 193884,
  [SMALL_STATE(6103)] = 193899,
  [SMALL_STATE(6104)] = 193914,
  [SMALL_STATE(6105)] = 193929,
  [SMALL_STATE(6106)] = 193944,
  [SMALL_STATE(6107)] = 193959,
  [SMALL_STATE(6108)] = 193976,
  [SMALL_STATE(6109)] = 193991,
  [SMALL_STATE(6110)] = 194006,
  [SMALL_STATE(6111)] = 194021,
  [SMALL_STATE(6112)] = 194040,
  [SMALL_STATE(6113)] = 194059,
  [SMALL_STATE(6114)] = 194074,
  [SMALL_STATE(6115)] = 194091,
  [SMALL_STATE(6116)] = 194110,
  [SMALL_STATE(6117)] = 194125,
  [SMALL_STATE(6118)] = 194140,
  [SMALL_STATE(6119)] = 194155,
  [SMALL_STATE(6120)] = 194170,
  [SMALL_STATE(6121)] = 194185,
  [SMALL_STATE(6122)] = 194202,
  [SMALL_STATE(6123)] = 194217,
  [SMALL_STATE(6124)] = 194234,
  [SMALL_STATE(6125)] = 194251,
  [SMALL_STATE(6126)] = 194266,
  [SMALL_STATE(6127)] = 194285,
  [SMALL_STATE(6128)] = 194300,
  [SMALL_STATE(6129)] = 194315,
  [SMALL_STATE(6130)] = 194330,
  [SMALL_STATE(6131)] = 194349,
  [SMALL_STATE(6132)] = 194368,
  [SMALL_STATE(6133)] = 194387,
  [SMALL_STATE(6134)] = 194402,
  [SMALL_STATE(6135)] = 194417,
  [SMALL_STATE(6136)] = 194432,
  [SMALL_STATE(6137)] = 194447,
  [SMALL_STATE(6138)] = 194462,
  [SMALL_STATE(6139)] = 194477,
  [SMALL_STATE(6140)] = 194496,
  [SMALL_STATE(6141)] = 194511,
  [SMALL_STATE(6142)] = 194526,
  [SMALL_STATE(6143)] = 194541,
  [SMALL_STATE(6144)] = 194558,
  [SMALL_STATE(6145)] = 194573,
  [SMALL_STATE(6146)] = 194588,
  [SMALL_STATE(6147)] = 194603,
  [SMALL_STATE(6148)] = 194618,
  [SMALL_STATE(6149)] = 194633,
  [SMALL_STATE(6150)] = 194648,
  [SMALL_STATE(6151)] = 194663,
  [SMALL_STATE(6152)] = 194678,
  [SMALL_STATE(6153)] = 194695,
  [SMALL_STATE(6154)] = 194710,
  [SMALL_STATE(6155)] = 194729,
  [SMALL_STATE(6156)] = 194744,
  [SMALL_STATE(6157)] = 194759,
  [SMALL_STATE(6158)] = 194774,
  [SMALL_STATE(6159)] = 194793,
  [SMALL_STATE(6160)] = 194812,
  [SMALL_STATE(6161)] = 194827,
  [SMALL_STATE(6162)] = 194842,
  [SMALL_STATE(6163)] = 194857,
  [SMALL_STATE(6164)] = 194874,
  [SMALL_STATE(6165)] = 194889,
  [SMALL_STATE(6166)] = 194904,
  [SMALL_STATE(6167)] = 194923,
  [SMALL_STATE(6168)] = 194938,
  [SMALL_STATE(6169)] = 194953,
  [SMALL_STATE(6170)] = 194972,
  [SMALL_STATE(6171)] = 194989,
  [SMALL_STATE(6172)] = 195004,
  [SMALL_STATE(6173)] = 195023,
  [SMALL_STATE(6174)] = 195038,
  [SMALL_STATE(6175)] = 195057,
  [SMALL_STATE(6176)] = 195072,
  [SMALL_STATE(6177)] = 195089,
  [SMALL_STATE(6178)] = 195106,
  [SMALL_STATE(6179)] = 195125,
  [SMALL_STATE(6180)] = 195142,
  [SMALL_STATE(6181)] = 195161,
  [SMALL_STATE(6182)] = 195178,
  [SMALL_STATE(6183)] = 195197,
  [SMALL_STATE(6184)] = 195214,
  [SMALL_STATE(6185)] = 195233,
  [SMALL_STATE(6186)] = 195248,
  [SMALL_STATE(6187)] = 195263,
  [SMALL_STATE(6188)] = 195282,
  [SMALL_STATE(6189)] = 195301,
  [SMALL_STATE(6190)] = 195320,
  [SMALL_STATE(6191)] = 195339,
  [SMALL_STATE(6192)] = 195354,
  [SMALL_STATE(6193)] = 195373,
  [SMALL_STATE(6194)] = 195388,
  [SMALL_STATE(6195)] = 195403,
  [SMALL_STATE(6196)] = 195418,
  [SMALL_STATE(6197)] = 195433,
  [SMALL_STATE(6198)] = 195452,
  [SMALL_STATE(6199)] = 195467,
  [SMALL_STATE(6200)] = 195486,
  [SMALL_STATE(6201)] = 195501,
  [SMALL_STATE(6202)] = 195520,
  [SMALL_STATE(6203)] = 195535,
  [SMALL_STATE(6204)] = 195550,
  [SMALL_STATE(6205)] = 195565,
  [SMALL_STATE(6206)] = 195580,
  [SMALL_STATE(6207)] = 195599,
  [SMALL_STATE(6208)] = 195618,
  [SMALL_STATE(6209)] = 195633,
  [SMALL_STATE(6210)] = 195648,
  [SMALL_STATE(6211)] = 195663,
  [SMALL_STATE(6212)] = 195682,
  [SMALL_STATE(6213)] = 195701,
  [SMALL_STATE(6214)] = 195718,
  [SMALL_STATE(6215)] = 195733,
  [SMALL_STATE(6216)] = 195748,
  [SMALL_STATE(6217)] = 195763,
  [SMALL_STATE(6218)] = 195778,
  [SMALL_STATE(6219)] = 195793,
  [SMALL_STATE(6220)] = 195810,
  [SMALL_STATE(6221)] = 195825,
  [SMALL_STATE(6222)] = 195840,
  [SMALL_STATE(6223)] = 195855,
  [SMALL_STATE(6224)] = 195874,
  [SMALL_STATE(6225)] = 195889,
  [SMALL_STATE(6226)] = 195908,
  [SMALL_STATE(6227)] = 195927,
  [SMALL_STATE(6228)] = 195946,
  [SMALL_STATE(6229)] = 195961,
  [SMALL_STATE(6230)] = 195976,
  [SMALL_STATE(6231)] = 195995,
  [SMALL_STATE(6232)] = 196010,
  [SMALL_STATE(6233)] = 196029,
  [SMALL_STATE(6234)] = 196044,
  [SMALL_STATE(6235)] = 196059,
  [SMALL_STATE(6236)] = 196074,
  [SMALL_STATE(6237)] = 196089,
  [SMALL_STATE(6238)] = 196106,
  [SMALL_STATE(6239)] = 196121,
  [SMALL_STATE(6240)] = 196136,
  [SMALL_STATE(6241)] = 196155,
  [SMALL_STATE(6242)] = 196174,
  [SMALL_STATE(6243)] = 196189,
  [SMALL_STATE(6244)] = 196204,
  [SMALL_STATE(6245)] = 196223,
  [SMALL_STATE(6246)] = 196242,
  [SMALL_STATE(6247)] = 196257,
  [SMALL_STATE(6248)] = 196272,
  [SMALL_STATE(6249)] = 196291,
  [SMALL_STATE(6250)] = 196306,
  [SMALL_STATE(6251)] = 196325,
  [SMALL_STATE(6252)] = 196344,
  [SMALL_STATE(6253)] = 196363,
  [SMALL_STATE(6254)] = 196378,
  [SMALL_STATE(6255)] = 196397,
  [SMALL_STATE(6256)] = 196412,
  [SMALL_STATE(6257)] = 196431,
  [SMALL_STATE(6258)] = 196448,
  [SMALL_STATE(6259)] = 196463,
  [SMALL_STATE(6260)] = 196482,
  [SMALL_STATE(6261)] = 196501,
  [SMALL_STATE(6262)] = 196520,
  [SMALL_STATE(6263)] = 196535,
  [SMALL_STATE(6264)] = 196550,
  [SMALL_STATE(6265)] = 196565,
  [SMALL_STATE(6266)] = 196580,
  [SMALL_STATE(6267)] = 196595,
  [SMALL_STATE(6268)] = 196610,
  [SMALL_STATE(6269)] = 196625,
  [SMALL_STATE(6270)] = 196642,
  [SMALL_STATE(6271)] = 196661,
  [SMALL_STATE(6272)] = 196676,
  [SMALL_STATE(6273)] = 196691,
  [SMALL_STATE(6274)] = 196710,
  [SMALL_STATE(6275)] = 196725,
  [SMALL_STATE(6276)] = 196740,
  [SMALL_STATE(6277)] = 196757,
  [SMALL_STATE(6278)] = 196774,
  [SMALL_STATE(6279)] = 196789,
  [SMALL_STATE(6280)] = 196808,
  [SMALL_STATE(6281)] = 196823,
  [SMALL_STATE(6282)] = 196838,
  [SMALL_STATE(6283)] = 196853,
  [SMALL_STATE(6284)] = 196868,
  [SMALL_STATE(6285)] = 196887,
  [SMALL_STATE(6286)] = 196902,
  [SMALL_STATE(6287)] = 196921,
  [SMALL_STATE(6288)] = 196938,
  [SMALL_STATE(6289)] = 196957,
  [SMALL_STATE(6290)] = 196972,
  [SMALL_STATE(6291)] = 196991,
  [SMALL_STATE(6292)] = 197006,
  [SMALL_STATE(6293)] = 197025,
  [SMALL_STATE(6294)] = 197040,
  [SMALL_STATE(6295)] = 197059,
  [SMALL_STATE(6296)] = 197074,
  [SMALL_STATE(6297)] = 197093,
  [SMALL_STATE(6298)] = 197112,
  [SMALL_STATE(6299)] = 197127,
  [SMALL_STATE(6300)] = 197142,
  [SMALL_STATE(6301)] = 197157,
  [SMALL_STATE(6302)] = 197172,
  [SMALL_STATE(6303)] = 197191,
  [SMALL_STATE(6304)] = 197210,
  [SMALL_STATE(6305)] = 197229,
  [SMALL_STATE(6306)] = 197244,
  [SMALL_STATE(6307)] = 197263,
  [SMALL_STATE(6308)] = 197282,
  [SMALL_STATE(6309)] = 197301,
  [SMALL_STATE(6310)] = 197320,
  [SMALL_STATE(6311)] = 197339,
  [SMALL_STATE(6312)] = 197354,
  [SMALL_STATE(6313)] = 197373,
  [SMALL_STATE(6314)] = 197388,
  [SMALL_STATE(6315)] = 197407,
  [SMALL_STATE(6316)] = 197422,
  [SMALL_STATE(6317)] = 197441,
  [SMALL_STATE(6318)] = 197460,
  [SMALL_STATE(6319)] = 197475,
  [SMALL_STATE(6320)] = 197494,
  [SMALL_STATE(6321)] = 197509,
  [SMALL_STATE(6322)] = 197528,
  [SMALL_STATE(6323)] = 197543,
  [SMALL_STATE(6324)] = 197558,
  [SMALL_STATE(6325)] = 197573,
  [SMALL_STATE(6326)] = 197588,
  [SMALL_STATE(6327)] = 197603,
  [SMALL_STATE(6328)] = 197618,
  [SMALL_STATE(6329)] = 197633,
  [SMALL_STATE(6330)] = 197648,
  [SMALL_STATE(6331)] = 197667,
  [SMALL_STATE(6332)] = 197682,
  [SMALL_STATE(6333)] = 197701,
  [SMALL_STATE(6334)] = 197720,
  [SMALL_STATE(6335)] = 197739,
  [SMALL_STATE(6336)] = 197754,
  [SMALL_STATE(6337)] = 197769,
  [SMALL_STATE(6338)] = 197784,
  [SMALL_STATE(6339)] = 197803,
  [SMALL_STATE(6340)] = 197818,
  [SMALL_STATE(6341)] = 197833,
  [SMALL_STATE(6342)] = 197848,
  [SMALL_STATE(6343)] = 197867,
  [SMALL_STATE(6344)] = 197886,
  [SMALL_STATE(6345)] = 197905,
  [SMALL_STATE(6346)] = 197920,
  [SMALL_STATE(6347)] = 197935,
  [SMALL_STATE(6348)] = 197950,
  [SMALL_STATE(6349)] = 197965,
  [SMALL_STATE(6350)] = 197984,
  [SMALL_STATE(6351)] = 198003,
  [SMALL_STATE(6352)] = 198018,
  [SMALL_STATE(6353)] = 198037,
  [SMALL_STATE(6354)] = 198052,
  [SMALL_STATE(6355)] = 198067,
  [SMALL_STATE(6356)] = 198082,
  [SMALL_STATE(6357)] = 198097,
  [SMALL_STATE(6358)] = 198116,
  [SMALL_STATE(6359)] = 198131,
  [SMALL_STATE(6360)] = 198150,
  [SMALL_STATE(6361)] = 198165,
  [SMALL_STATE(6362)] = 198180,
  [SMALL_STATE(6363)] = 198195,
  [SMALL_STATE(6364)] = 198214,
  [SMALL_STATE(6365)] = 198233,
  [SMALL_STATE(6366)] = 198248,
  [SMALL_STATE(6367)] = 198265,
  [SMALL_STATE(6368)] = 198282,
  [SMALL_STATE(6369)] = 198297,
  [SMALL_STATE(6370)] = 198312,
  [SMALL_STATE(6371)] = 198327,
  [SMALL_STATE(6372)] = 198342,
  [SMALL_STATE(6373)] = 198357,
  [SMALL_STATE(6374)] = 198372,
  [SMALL_STATE(6375)] = 198387,
  [SMALL_STATE(6376)] = 198402,
  [SMALL_STATE(6377)] = 198417,
  [SMALL_STATE(6378)] = 198432,
  [SMALL_STATE(6379)] = 198447,
  [SMALL_STATE(6380)] = 198462,
  [SMALL_STATE(6381)] = 198477,
  [SMALL_STATE(6382)] = 198492,
  [SMALL_STATE(6383)] = 198507,
  [SMALL_STATE(6384)] = 198522,
  [SMALL_STATE(6385)] = 198537,
  [SMALL_STATE(6386)] = 198554,
  [SMALL_STATE(6387)] = 198571,
  [SMALL_STATE(6388)] = 198586,
  [SMALL_STATE(6389)] = 198601,
  [SMALL_STATE(6390)] = 198616,
  [SMALL_STATE(6391)] = 198635,
  [SMALL_STATE(6392)] = 198650,
  [SMALL_STATE(6393)] = 198667,
  [SMALL_STATE(6394)] = 198682,
  [SMALL_STATE(6395)] = 198697,
  [SMALL_STATE(6396)] = 198714,
  [SMALL_STATE(6397)] = 198729,
  [SMALL_STATE(6398)] = 198744,
  [SMALL_STATE(6399)] = 198759,
  [SMALL_STATE(6400)] = 198774,
  [SMALL_STATE(6401)] = 198791,
  [SMALL_STATE(6402)] = 198806,
  [SMALL_STATE(6403)] = 198825,
  [SMALL_STATE(6404)] = 198842,
  [SMALL_STATE(6405)] = 198857,
  [SMALL_STATE(6406)] = 198874,
  [SMALL_STATE(6407)] = 198889,
  [SMALL_STATE(6408)] = 198904,
  [SMALL_STATE(6409)] = 198923,
  [SMALL_STATE(6410)] = 198938,
  [SMALL_STATE(6411)] = 198953,
  [SMALL_STATE(6412)] = 198970,
  [SMALL_STATE(6413)] = 198985,
  [SMALL_STATE(6414)] = 199000,
  [SMALL_STATE(6415)] = 199019,
  [SMALL_STATE(6416)] = 199036,
  [SMALL_STATE(6417)] = 199053,
  [SMALL_STATE(6418)] = 199072,
  [SMALL_STATE(6419)] = 199087,
  [SMALL_STATE(6420)] = 199104,
  [SMALL_STATE(6421)] = 199121,
  [SMALL_STATE(6422)] = 199136,
  [SMALL_STATE(6423)] = 199151,
  [SMALL_STATE(6424)] = 199166,
  [SMALL_STATE(6425)] = 199181,
  [SMALL_STATE(6426)] = 199200,
  [SMALL_STATE(6427)] = 199215,
  [SMALL_STATE(6428)] = 199234,
  [SMALL_STATE(6429)] = 199249,
  [SMALL_STATE(6430)] = 199268,
  [SMALL_STATE(6431)] = 199284,
  [SMALL_STATE(6432)] = 199298,
  [SMALL_STATE(6433)] = 199314,
  [SMALL_STATE(6434)] = 199330,
  [SMALL_STATE(6435)] = 199346,
  [SMALL_STATE(6436)] = 199362,
  [SMALL_STATE(6437)] = 199378,
  [SMALL_STATE(6438)] = 199394,
  [SMALL_STATE(6439)] = 199408,
  [SMALL_STATE(6440)] = 199424,
  [SMALL_STATE(6441)] = 199440,
  [SMALL_STATE(6442)] = 199456,
  [SMALL_STATE(6443)] = 199472,
  [SMALL_STATE(6444)] = 199486,
  [SMALL_STATE(6445)] = 199502,
  [SMALL_STATE(6446)] = 199518,
  [SMALL_STATE(6447)] = 199534,
  [SMALL_STATE(6448)] = 199550,
  [SMALL_STATE(6449)] = 199564,
  [SMALL_STATE(6450)] = 199580,
  [SMALL_STATE(6451)] = 199596,
  [SMALL_STATE(6452)] = 199612,
  [SMALL_STATE(6453)] = 199628,
  [SMALL_STATE(6454)] = 199644,
  [SMALL_STATE(6455)] = 199660,
  [SMALL_STATE(6456)] = 199674,
  [SMALL_STATE(6457)] = 199688,
  [SMALL_STATE(6458)] = 199702,
  [SMALL_STATE(6459)] = 199716,
  [SMALL_STATE(6460)] = 199732,
  [SMALL_STATE(6461)] = 199748,
  [SMALL_STATE(6462)] = 199764,
  [SMALL_STATE(6463)] = 199780,
  [SMALL_STATE(6464)] = 199794,
  [SMALL_STATE(6465)] = 199808,
  [SMALL_STATE(6466)] = 199824,
  [SMALL_STATE(6467)] = 199840,
  [SMALL_STATE(6468)] = 199856,
  [SMALL_STATE(6469)] = 199872,
  [SMALL_STATE(6470)] = 199888,
  [SMALL_STATE(6471)] = 199904,
  [SMALL_STATE(6472)] = 199920,
  [SMALL_STATE(6473)] = 199936,
  [SMALL_STATE(6474)] = 199952,
  [SMALL_STATE(6475)] = 199968,
  [SMALL_STATE(6476)] = 199984,
  [SMALL_STATE(6477)] = 200000,
  [SMALL_STATE(6478)] = 200016,
  [SMALL_STATE(6479)] = 200032,
  [SMALL_STATE(6480)] = 200046,
  [SMALL_STATE(6481)] = 200062,
  [SMALL_STATE(6482)] = 200078,
  [SMALL_STATE(6483)] = 200094,
  [SMALL_STATE(6484)] = 200110,
  [SMALL_STATE(6485)] = 200126,
  [SMALL_STATE(6486)] = 200142,
  [SMALL_STATE(6487)] = 200158,
  [SMALL_STATE(6488)] = 200172,
  [SMALL_STATE(6489)] = 200188,
  [SMALL_STATE(6490)] = 200204,
  [SMALL_STATE(6491)] = 200220,
  [SMALL_STATE(6492)] = 200234,
  [SMALL_STATE(6493)] = 200248,
  [SMALL_STATE(6494)] = 200262,
  [SMALL_STATE(6495)] = 200278,
  [SMALL_STATE(6496)] = 200294,
  [SMALL_STATE(6497)] = 200308,
  [SMALL_STATE(6498)] = 200324,
  [SMALL_STATE(6499)] = 200340,
  [SMALL_STATE(6500)] = 200356,
  [SMALL_STATE(6501)] = 200372,
  [SMALL_STATE(6502)] = 200388,
  [SMALL_STATE(6503)] = 200404,
  [SMALL_STATE(6504)] = 200420,
  [SMALL_STATE(6505)] = 200434,
  [SMALL_STATE(6506)] = 200450,
  [SMALL_STATE(6507)] = 200466,
  [SMALL_STATE(6508)] = 200482,
  [SMALL_STATE(6509)] = 200496,
  [SMALL_STATE(6510)] = 200512,
  [SMALL_STATE(6511)] = 200526,
  [SMALL_STATE(6512)] = 200542,
  [SMALL_STATE(6513)] = 200558,
  [SMALL_STATE(6514)] = 200574,
  [SMALL_STATE(6515)] = 200588,
  [SMALL_STATE(6516)] = 200602,
  [SMALL_STATE(6517)] = 200618,
  [SMALL_STATE(6518)] = 200634,
  [SMALL_STATE(6519)] = 200648,
  [SMALL_STATE(6520)] = 200664,
  [SMALL_STATE(6521)] = 200678,
  [SMALL_STATE(6522)] = 200694,
  [SMALL_STATE(6523)] = 200708,
  [SMALL_STATE(6524)] = 200724,
  [SMALL_STATE(6525)] = 200738,
  [SMALL_STATE(6526)] = 200752,
  [SMALL_STATE(6527)] = 200766,
  [SMALL_STATE(6528)] = 200782,
  [SMALL_STATE(6529)] = 200796,
  [SMALL_STATE(6530)] = 200810,
  [SMALL_STATE(6531)] = 200824,
  [SMALL_STATE(6532)] = 200840,
  [SMALL_STATE(6533)] = 200856,
  [SMALL_STATE(6534)] = 200872,
  [SMALL_STATE(6535)] = 200888,
  [SMALL_STATE(6536)] = 200904,
  [SMALL_STATE(6537)] = 200920,
  [SMALL_STATE(6538)] = 200936,
  [SMALL_STATE(6539)] = 200950,
  [SMALL_STATE(6540)] = 200964,
  [SMALL_STATE(6541)] = 200980,
  [SMALL_STATE(6542)] = 200996,
  [SMALL_STATE(6543)] = 201012,
  [SMALL_STATE(6544)] = 201028,
  [SMALL_STATE(6545)] = 201044,
  [SMALL_STATE(6546)] = 201060,
  [SMALL_STATE(6547)] = 201076,
  [SMALL_STATE(6548)] = 201092,
  [SMALL_STATE(6549)] = 201108,
  [SMALL_STATE(6550)] = 201124,
  [SMALL_STATE(6551)] = 201140,
  [SMALL_STATE(6552)] = 201154,
  [SMALL_STATE(6553)] = 201168,
  [SMALL_STATE(6554)] = 201182,
  [SMALL_STATE(6555)] = 201196,
  [SMALL_STATE(6556)] = 201210,
  [SMALL_STATE(6557)] = 201224,
  [SMALL_STATE(6558)] = 201240,
  [SMALL_STATE(6559)] = 201254,
  [SMALL_STATE(6560)] = 201270,
  [SMALL_STATE(6561)] = 201286,
  [SMALL_STATE(6562)] = 201302,
  [SMALL_STATE(6563)] = 201316,
  [SMALL_STATE(6564)] = 201332,
  [SMALL_STATE(6565)] = 201348,
  [SMALL_STATE(6566)] = 201362,
  [SMALL_STATE(6567)] = 201376,
  [SMALL_STATE(6568)] = 201390,
  [SMALL_STATE(6569)] = 201404,
  [SMALL_STATE(6570)] = 201418,
  [SMALL_STATE(6571)] = 201432,
  [SMALL_STATE(6572)] = 201446,
  [SMALL_STATE(6573)] = 201462,
  [SMALL_STATE(6574)] = 201478,
  [SMALL_STATE(6575)] = 201494,
  [SMALL_STATE(6576)] = 201508,
  [SMALL_STATE(6577)] = 201522,
  [SMALL_STATE(6578)] = 201536,
  [SMALL_STATE(6579)] = 201550,
  [SMALL_STATE(6580)] = 201564,
  [SMALL_STATE(6581)] = 201580,
  [SMALL_STATE(6582)] = 201596,
  [SMALL_STATE(6583)] = 201612,
  [SMALL_STATE(6584)] = 201626,
  [SMALL_STATE(6585)] = 201642,
  [SMALL_STATE(6586)] = 201658,
  [SMALL_STATE(6587)] = 201674,
  [SMALL_STATE(6588)] = 201690,
  [SMALL_STATE(6589)] = 201706,
  [SMALL_STATE(6590)] = 201722,
  [SMALL_STATE(6591)] = 201738,
  [SMALL_STATE(6592)] = 201754,
  [SMALL_STATE(6593)] = 201768,
  [SMALL_STATE(6594)] = 201782,
  [SMALL_STATE(6595)] = 201798,
  [SMALL_STATE(6596)] = 201812,
  [SMALL_STATE(6597)] = 201826,
  [SMALL_STATE(6598)] = 201842,
  [SMALL_STATE(6599)] = 201856,
  [SMALL_STATE(6600)] = 201870,
  [SMALL_STATE(6601)] = 201884,
  [SMALL_STATE(6602)] = 201900,
  [SMALL_STATE(6603)] = 201914,
  [SMALL_STATE(6604)] = 201930,
  [SMALL_STATE(6605)] = 201946,
  [SMALL_STATE(6606)] = 201962,
  [SMALL_STATE(6607)] = 201978,
  [SMALL_STATE(6608)] = 201994,
  [SMALL_STATE(6609)] = 202010,
  [SMALL_STATE(6610)] = 202026,
  [SMALL_STATE(6611)] = 202040,
  [SMALL_STATE(6612)] = 202054,
  [SMALL_STATE(6613)] = 202070,
  [SMALL_STATE(6614)] = 202084,
  [SMALL_STATE(6615)] = 202100,
  [SMALL_STATE(6616)] = 202114,
  [SMALL_STATE(6617)] = 202130,
  [SMALL_STATE(6618)] = 202144,
  [SMALL_STATE(6619)] = 202158,
  [SMALL_STATE(6620)] = 202172,
  [SMALL_STATE(6621)] = 202188,
  [SMALL_STATE(6622)] = 202202,
  [SMALL_STATE(6623)] = 202218,
  [SMALL_STATE(6624)] = 202234,
  [SMALL_STATE(6625)] = 202250,
  [SMALL_STATE(6626)] = 202264,
  [SMALL_STATE(6627)] = 202280,
  [SMALL_STATE(6628)] = 202296,
  [SMALL_STATE(6629)] = 202312,
  [SMALL_STATE(6630)] = 202328,
  [SMALL_STATE(6631)] = 202344,
  [SMALL_STATE(6632)] = 202360,
  [SMALL_STATE(6633)] = 202376,
  [SMALL_STATE(6634)] = 202392,
  [SMALL_STATE(6635)] = 202408,
  [SMALL_STATE(6636)] = 202424,
  [SMALL_STATE(6637)] = 202440,
  [SMALL_STATE(6638)] = 202456,
  [SMALL_STATE(6639)] = 202470,
  [SMALL_STATE(6640)] = 202486,
  [SMALL_STATE(6641)] = 202502,
  [SMALL_STATE(6642)] = 202518,
  [SMALL_STATE(6643)] = 202534,
  [SMALL_STATE(6644)] = 202550,
  [SMALL_STATE(6645)] = 202566,
  [SMALL_STATE(6646)] = 202582,
  [SMALL_STATE(6647)] = 202596,
  [SMALL_STATE(6648)] = 202610,
  [SMALL_STATE(6649)] = 202626,
  [SMALL_STATE(6650)] = 202642,
  [SMALL_STATE(6651)] = 202656,
  [SMALL_STATE(6652)] = 202672,
  [SMALL_STATE(6653)] = 202688,
  [SMALL_STATE(6654)] = 202702,
  [SMALL_STATE(6655)] = 202716,
  [SMALL_STATE(6656)] = 202730,
  [SMALL_STATE(6657)] = 202746,
  [SMALL_STATE(6658)] = 202762,
  [SMALL_STATE(6659)] = 202778,
  [SMALL_STATE(6660)] = 202794,
  [SMALL_STATE(6661)] = 202810,
  [SMALL_STATE(6662)] = 202826,
  [SMALL_STATE(6663)] = 202840,
  [SMALL_STATE(6664)] = 202856,
  [SMALL_STATE(6665)] = 202870,
  [SMALL_STATE(6666)] = 202886,
  [SMALL_STATE(6667)] = 202902,
  [SMALL_STATE(6668)] = 202918,
  [SMALL_STATE(6669)] = 202932,
  [SMALL_STATE(6670)] = 202946,
  [SMALL_STATE(6671)] = 202960,
  [SMALL_STATE(6672)] = 202976,
  [SMALL_STATE(6673)] = 202990,
  [SMALL_STATE(6674)] = 203006,
  [SMALL_STATE(6675)] = 203020,
  [SMALL_STATE(6676)] = 203036,
  [SMALL_STATE(6677)] = 203052,
  [SMALL_STATE(6678)] = 203068,
  [SMALL_STATE(6679)] = 203084,
  [SMALL_STATE(6680)] = 203100,
  [SMALL_STATE(6681)] = 203114,
  [SMALL_STATE(6682)] = 203130,
  [SMALL_STATE(6683)] = 203144,
  [SMALL_STATE(6684)] = 203160,
  [SMALL_STATE(6685)] = 203176,
  [SMALL_STATE(6686)] = 203192,
  [SMALL_STATE(6687)] = 203206,
  [SMALL_STATE(6688)] = 203220,
  [SMALL_STATE(6689)] = 203234,
  [SMALL_STATE(6690)] = 203248,
  [SMALL_STATE(6691)] = 203262,
  [SMALL_STATE(6692)] = 203278,
  [SMALL_STATE(6693)] = 203292,
  [SMALL_STATE(6694)] = 203308,
  [SMALL_STATE(6695)] = 203324,
  [SMALL_STATE(6696)] = 203340,
  [SMALL_STATE(6697)] = 203354,
  [SMALL_STATE(6698)] = 203370,
  [SMALL_STATE(6699)] = 203384,
  [SMALL_STATE(6700)] = 203400,
  [SMALL_STATE(6701)] = 203414,
  [SMALL_STATE(6702)] = 203428,
  [SMALL_STATE(6703)] = 203444,
  [SMALL_STATE(6704)] = 203458,
  [SMALL_STATE(6705)] = 203472,
  [SMALL_STATE(6706)] = 203486,
  [SMALL_STATE(6707)] = 203502,
  [SMALL_STATE(6708)] = 203516,
  [SMALL_STATE(6709)] = 203532,
  [SMALL_STATE(6710)] = 203548,
  [SMALL_STATE(6711)] = 203564,
  [SMALL_STATE(6712)] = 203578,
  [SMALL_STATE(6713)] = 203594,
  [SMALL_STATE(6714)] = 203608,
  [SMALL_STATE(6715)] = 203624,
  [SMALL_STATE(6716)] = 203638,
  [SMALL_STATE(6717)] = 203652,
  [SMALL_STATE(6718)] = 203666,
  [SMALL_STATE(6719)] = 203682,
  [SMALL_STATE(6720)] = 203698,
  [SMALL_STATE(6721)] = 203712,
  [SMALL_STATE(6722)] = 203728,
  [SMALL_STATE(6723)] = 203742,
  [SMALL_STATE(6724)] = 203756,
  [SMALL_STATE(6725)] = 203770,
  [SMALL_STATE(6726)] = 203784,
  [SMALL_STATE(6727)] = 203800,
  [SMALL_STATE(6728)] = 203816,
  [SMALL_STATE(6729)] = 203832,
  [SMALL_STATE(6730)] = 203846,
  [SMALL_STATE(6731)] = 203862,
  [SMALL_STATE(6732)] = 203878,
  [SMALL_STATE(6733)] = 203892,
  [SMALL_STATE(6734)] = 203908,
  [SMALL_STATE(6735)] = 203924,
  [SMALL_STATE(6736)] = 203938,
  [SMALL_STATE(6737)] = 203954,
  [SMALL_STATE(6738)] = 203968,
  [SMALL_STATE(6739)] = 203984,
  [SMALL_STATE(6740)] = 203998,
  [SMALL_STATE(6741)] = 204014,
  [SMALL_STATE(6742)] = 204030,
  [SMALL_STATE(6743)] = 204046,
  [SMALL_STATE(6744)] = 204060,
  [SMALL_STATE(6745)] = 204076,
  [SMALL_STATE(6746)] = 204092,
  [SMALL_STATE(6747)] = 204108,
  [SMALL_STATE(6748)] = 204122,
  [SMALL_STATE(6749)] = 204136,
  [SMALL_STATE(6750)] = 204150,
  [SMALL_STATE(6751)] = 204164,
  [SMALL_STATE(6752)] = 204178,
  [SMALL_STATE(6753)] = 204194,
  [SMALL_STATE(6754)] = 204208,
  [SMALL_STATE(6755)] = 204224,
  [SMALL_STATE(6756)] = 204240,
  [SMALL_STATE(6757)] = 204256,
  [SMALL_STATE(6758)] = 204272,
  [SMALL_STATE(6759)] = 204288,
  [SMALL_STATE(6760)] = 204304,
  [SMALL_STATE(6761)] = 204320,
  [SMALL_STATE(6762)] = 204336,
  [SMALL_STATE(6763)] = 204352,
  [SMALL_STATE(6764)] = 204368,
  [SMALL_STATE(6765)] = 204384,
  [SMALL_STATE(6766)] = 204400,
  [SMALL_STATE(6767)] = 204414,
  [SMALL_STATE(6768)] = 204430,
  [SMALL_STATE(6769)] = 204444,
  [SMALL_STATE(6770)] = 204460,
  [SMALL_STATE(6771)] = 204476,
  [SMALL_STATE(6772)] = 204490,
  [SMALL_STATE(6773)] = 204504,
  [SMALL_STATE(6774)] = 204518,
  [SMALL_STATE(6775)] = 204532,
  [SMALL_STATE(6776)] = 204548,
  [SMALL_STATE(6777)] = 204562,
  [SMALL_STATE(6778)] = 204578,
  [SMALL_STATE(6779)] = 204594,
  [SMALL_STATE(6780)] = 204610,
  [SMALL_STATE(6781)] = 204626,
  [SMALL_STATE(6782)] = 204642,
  [SMALL_STATE(6783)] = 204658,
  [SMALL_STATE(6784)] = 204674,
  [SMALL_STATE(6785)] = 204690,
  [SMALL_STATE(6786)] = 204706,
  [SMALL_STATE(6787)] = 204722,
  [SMALL_STATE(6788)] = 204738,
  [SMALL_STATE(6789)] = 204752,
  [SMALL_STATE(6790)] = 204768,
  [SMALL_STATE(6791)] = 204784,
  [SMALL_STATE(6792)] = 204800,
  [SMALL_STATE(6793)] = 204816,
  [SMALL_STATE(6794)] = 204832,
  [SMALL_STATE(6795)] = 204848,
  [SMALL_STATE(6796)] = 204864,
  [SMALL_STATE(6797)] = 204880,
  [SMALL_STATE(6798)] = 204894,
  [SMALL_STATE(6799)] = 204910,
  [SMALL_STATE(6800)] = 204926,
  [SMALL_STATE(6801)] = 204942,
  [SMALL_STATE(6802)] = 204956,
  [SMALL_STATE(6803)] = 204970,
  [SMALL_STATE(6804)] = 204986,
  [SMALL_STATE(6805)] = 205000,
  [SMALL_STATE(6806)] = 205014,
  [SMALL_STATE(6807)] = 205030,
  [SMALL_STATE(6808)] = 205046,
  [SMALL_STATE(6809)] = 205060,
  [SMALL_STATE(6810)] = 205074,
  [SMALL_STATE(6811)] = 205088,
  [SMALL_STATE(6812)] = 205104,
  [SMALL_STATE(6813)] = 205120,
  [SMALL_STATE(6814)] = 205136,
  [SMALL_STATE(6815)] = 205152,
  [SMALL_STATE(6816)] = 205168,
  [SMALL_STATE(6817)] = 205184,
  [SMALL_STATE(6818)] = 205198,
  [SMALL_STATE(6819)] = 205214,
  [SMALL_STATE(6820)] = 205230,
  [SMALL_STATE(6821)] = 205244,
  [SMALL_STATE(6822)] = 205258,
  [SMALL_STATE(6823)] = 205274,
  [SMALL_STATE(6824)] = 205288,
  [SMALL_STATE(6825)] = 205302,
  [SMALL_STATE(6826)] = 205318,
  [SMALL_STATE(6827)] = 205334,
  [SMALL_STATE(6828)] = 205350,
  [SMALL_STATE(6829)] = 205366,
  [SMALL_STATE(6830)] = 205380,
  [SMALL_STATE(6831)] = 205394,
  [SMALL_STATE(6832)] = 205410,
  [SMALL_STATE(6833)] = 205424,
  [SMALL_STATE(6834)] = 205440,
  [SMALL_STATE(6835)] = 205456,
  [SMALL_STATE(6836)] = 205470,
  [SMALL_STATE(6837)] = 205484,
  [SMALL_STATE(6838)] = 205500,
  [SMALL_STATE(6839)] = 205516,
  [SMALL_STATE(6840)] = 205532,
  [SMALL_STATE(6841)] = 205548,
  [SMALL_STATE(6842)] = 205562,
  [SMALL_STATE(6843)] = 205576,
  [SMALL_STATE(6844)] = 205592,
  [SMALL_STATE(6845)] = 205606,
  [SMALL_STATE(6846)] = 205620,
  [SMALL_STATE(6847)] = 205636,
  [SMALL_STATE(6848)] = 205650,
  [SMALL_STATE(6849)] = 205664,
  [SMALL_STATE(6850)] = 205678,
  [SMALL_STATE(6851)] = 205694,
  [SMALL_STATE(6852)] = 205710,
  [SMALL_STATE(6853)] = 205724,
  [SMALL_STATE(6854)] = 205738,
  [SMALL_STATE(6855)] = 205754,
  [SMALL_STATE(6856)] = 205768,
  [SMALL_STATE(6857)] = 205784,
  [SMALL_STATE(6858)] = 205800,
  [SMALL_STATE(6859)] = 205814,
  [SMALL_STATE(6860)] = 205830,
  [SMALL_STATE(6861)] = 205844,
  [SMALL_STATE(6862)] = 205858,
  [SMALL_STATE(6863)] = 205874,
  [SMALL_STATE(6864)] = 205888,
  [SMALL_STATE(6865)] = 205902,
  [SMALL_STATE(6866)] = 205916,
  [SMALL_STATE(6867)] = 205932,
  [SMALL_STATE(6868)] = 205948,
  [SMALL_STATE(6869)] = 205964,
  [SMALL_STATE(6870)] = 205980,
  [SMALL_STATE(6871)] = 205994,
  [SMALL_STATE(6872)] = 206010,
  [SMALL_STATE(6873)] = 206026,
  [SMALL_STATE(6874)] = 206040,
  [SMALL_STATE(6875)] = 206054,
  [SMALL_STATE(6876)] = 206070,
  [SMALL_STATE(6877)] = 206084,
  [SMALL_STATE(6878)] = 206100,
  [SMALL_STATE(6879)] = 206114,
  [SMALL_STATE(6880)] = 206130,
  [SMALL_STATE(6881)] = 206144,
  [SMALL_STATE(6882)] = 206158,
  [SMALL_STATE(6883)] = 206172,
  [SMALL_STATE(6884)] = 206186,
  [SMALL_STATE(6885)] = 206200,
  [SMALL_STATE(6886)] = 206216,
  [SMALL_STATE(6887)] = 206232,
  [SMALL_STATE(6888)] = 206248,
  [SMALL_STATE(6889)] = 206264,
  [SMALL_STATE(6890)] = 206278,
  [SMALL_STATE(6891)] = 206292,
  [SMALL_STATE(6892)] = 206306,
  [SMALL_STATE(6893)] = 206320,
  [SMALL_STATE(6894)] = 206334,
  [SMALL_STATE(6895)] = 206350,
  [SMALL_STATE(6896)] = 206364,
  [SMALL_STATE(6897)] = 206380,
  [SMALL_STATE(6898)] = 206396,
  [SMALL_STATE(6899)] = 206412,
  [SMALL_STATE(6900)] = 206426,
  [SMALL_STATE(6901)] = 206442,
  [SMALL_STATE(6902)] = 206456,
  [SMALL_STATE(6903)] = 206472,
  [SMALL_STATE(6904)] = 206488,
  [SMALL_STATE(6905)] = 206504,
  [SMALL_STATE(6906)] = 206520,
  [SMALL_STATE(6907)] = 206534,
  [SMALL_STATE(6908)] = 206550,
  [SMALL_STATE(6909)] = 206566,
  [SMALL_STATE(6910)] = 206580,
  [SMALL_STATE(6911)] = 206594,
  [SMALL_STATE(6912)] = 206608,
  [SMALL_STATE(6913)] = 206624,
  [SMALL_STATE(6914)] = 206640,
  [SMALL_STATE(6915)] = 206656,
  [SMALL_STATE(6916)] = 206670,
  [SMALL_STATE(6917)] = 206684,
  [SMALL_STATE(6918)] = 206698,
  [SMALL_STATE(6919)] = 206712,
  [SMALL_STATE(6920)] = 206728,
  [SMALL_STATE(6921)] = 206744,
  [SMALL_STATE(6922)] = 206760,
  [SMALL_STATE(6923)] = 206774,
  [SMALL_STATE(6924)] = 206788,
  [SMALL_STATE(6925)] = 206804,
  [SMALL_STATE(6926)] = 206818,
  [SMALL_STATE(6927)] = 206834,
  [SMALL_STATE(6928)] = 206850,
  [SMALL_STATE(6929)] = 206864,
  [SMALL_STATE(6930)] = 206878,
  [SMALL_STATE(6931)] = 206894,
  [SMALL_STATE(6932)] = 206910,
  [SMALL_STATE(6933)] = 206924,
  [SMALL_STATE(6934)] = 206938,
  [SMALL_STATE(6935)] = 206952,
  [SMALL_STATE(6936)] = 206966,
  [SMALL_STATE(6937)] = 206980,
  [SMALL_STATE(6938)] = 206994,
  [SMALL_STATE(6939)] = 207010,
  [SMALL_STATE(6940)] = 207024,
  [SMALL_STATE(6941)] = 207038,
  [SMALL_STATE(6942)] = 207052,
  [SMALL_STATE(6943)] = 207066,
  [SMALL_STATE(6944)] = 207080,
  [SMALL_STATE(6945)] = 207096,
  [SMALL_STATE(6946)] = 207112,
  [SMALL_STATE(6947)] = 207126,
  [SMALL_STATE(6948)] = 207140,
  [SMALL_STATE(6949)] = 207156,
  [SMALL_STATE(6950)] = 207170,
  [SMALL_STATE(6951)] = 207186,
  [SMALL_STATE(6952)] = 207200,
  [SMALL_STATE(6953)] = 207214,
  [SMALL_STATE(6954)] = 207228,
  [SMALL_STATE(6955)] = 207244,
  [SMALL_STATE(6956)] = 207260,
  [SMALL_STATE(6957)] = 207276,
  [SMALL_STATE(6958)] = 207290,
  [SMALL_STATE(6959)] = 207306,
  [SMALL_STATE(6960)] = 207322,
  [SMALL_STATE(6961)] = 207336,
  [SMALL_STATE(6962)] = 207350,
  [SMALL_STATE(6963)] = 207364,
  [SMALL_STATE(6964)] = 207378,
  [SMALL_STATE(6965)] = 207394,
  [SMALL_STATE(6966)] = 207408,
  [SMALL_STATE(6967)] = 207422,
  [SMALL_STATE(6968)] = 207438,
  [SMALL_STATE(6969)] = 207452,
  [SMALL_STATE(6970)] = 207468,
  [SMALL_STATE(6971)] = 207482,
  [SMALL_STATE(6972)] = 207496,
  [SMALL_STATE(6973)] = 207512,
  [SMALL_STATE(6974)] = 207526,
  [SMALL_STATE(6975)] = 207540,
  [SMALL_STATE(6976)] = 207556,
  [SMALL_STATE(6977)] = 207572,
  [SMALL_STATE(6978)] = 207586,
  [SMALL_STATE(6979)] = 207600,
  [SMALL_STATE(6980)] = 207616,
  [SMALL_STATE(6981)] = 207630,
  [SMALL_STATE(6982)] = 207646,
  [SMALL_STATE(6983)] = 207660,
  [SMALL_STATE(6984)] = 207674,
  [SMALL_STATE(6985)] = 207690,
  [SMALL_STATE(6986)] = 207706,
  [SMALL_STATE(6987)] = 207722,
  [SMALL_STATE(6988)] = 207736,
  [SMALL_STATE(6989)] = 207752,
  [SMALL_STATE(6990)] = 207768,
  [SMALL_STATE(6991)] = 207784,
  [SMALL_STATE(6992)] = 207798,
  [SMALL_STATE(6993)] = 207814,
  [SMALL_STATE(6994)] = 207830,
  [SMALL_STATE(6995)] = 207844,
  [SMALL_STATE(6996)] = 207860,
  [SMALL_STATE(6997)] = 207874,
  [SMALL_STATE(6998)] = 207890,
  [SMALL_STATE(6999)] = 207906,
  [SMALL_STATE(7000)] = 207922,
  [SMALL_STATE(7001)] = 207936,
  [SMALL_STATE(7002)] = 207952,
  [SMALL_STATE(7003)] = 207966,
  [SMALL_STATE(7004)] = 207980,
  [SMALL_STATE(7005)] = 207996,
  [SMALL_STATE(7006)] = 208010,
  [SMALL_STATE(7007)] = 208024,
  [SMALL_STATE(7008)] = 208038,
  [SMALL_STATE(7009)] = 208054,
  [SMALL_STATE(7010)] = 208068,
  [SMALL_STATE(7011)] = 208082,
  [SMALL_STATE(7012)] = 208098,
  [SMALL_STATE(7013)] = 208112,
  [SMALL_STATE(7014)] = 208128,
  [SMALL_STATE(7015)] = 208144,
  [SMALL_STATE(7016)] = 208160,
  [SMALL_STATE(7017)] = 208176,
  [SMALL_STATE(7018)] = 208192,
  [SMALL_STATE(7019)] = 208208,
  [SMALL_STATE(7020)] = 208222,
  [SMALL_STATE(7021)] = 208238,
  [SMALL_STATE(7022)] = 208252,
  [SMALL_STATE(7023)] = 208266,
  [SMALL_STATE(7024)] = 208280,
  [SMALL_STATE(7025)] = 208296,
  [SMALL_STATE(7026)] = 208310,
  [SMALL_STATE(7027)] = 208324,
  [SMALL_STATE(7028)] = 208338,
  [SMALL_STATE(7029)] = 208352,
  [SMALL_STATE(7030)] = 208368,
  [SMALL_STATE(7031)] = 208384,
  [SMALL_STATE(7032)] = 208400,
  [SMALL_STATE(7033)] = 208416,
  [SMALL_STATE(7034)] = 208432,
  [SMALL_STATE(7035)] = 208448,
  [SMALL_STATE(7036)] = 208462,
  [SMALL_STATE(7037)] = 208478,
  [SMALL_STATE(7038)] = 208494,
  [SMALL_STATE(7039)] = 208508,
  [SMALL_STATE(7040)] = 208522,
  [SMALL_STATE(7041)] = 208536,
  [SMALL_STATE(7042)] = 208552,
  [SMALL_STATE(7043)] = 208568,
  [SMALL_STATE(7044)] = 208584,
  [SMALL_STATE(7045)] = 208600,
  [SMALL_STATE(7046)] = 208614,
  [SMALL_STATE(7047)] = 208628,
  [SMALL_STATE(7048)] = 208644,
  [SMALL_STATE(7049)] = 208660,
  [SMALL_STATE(7050)] = 208676,
  [SMALL_STATE(7051)] = 208692,
  [SMALL_STATE(7052)] = 208708,
  [SMALL_STATE(7053)] = 208722,
  [SMALL_STATE(7054)] = 208736,
  [SMALL_STATE(7055)] = 208752,
  [SMALL_STATE(7056)] = 208766,
  [SMALL_STATE(7057)] = 208780,
  [SMALL_STATE(7058)] = 208794,
  [SMALL_STATE(7059)] = 208810,
  [SMALL_STATE(7060)] = 208826,
  [SMALL_STATE(7061)] = 208840,
  [SMALL_STATE(7062)] = 208856,
  [SMALL_STATE(7063)] = 208872,
  [SMALL_STATE(7064)] = 208886,
  [SMALL_STATE(7065)] = 208900,
  [SMALL_STATE(7066)] = 208914,
  [SMALL_STATE(7067)] = 208930,
  [SMALL_STATE(7068)] = 208946,
  [SMALL_STATE(7069)] = 208962,
  [SMALL_STATE(7070)] = 208976,
  [SMALL_STATE(7071)] = 208992,
  [SMALL_STATE(7072)] = 209008,
  [SMALL_STATE(7073)] = 209024,
  [SMALL_STATE(7074)] = 209040,
  [SMALL_STATE(7075)] = 209056,
  [SMALL_STATE(7076)] = 209070,
  [SMALL_STATE(7077)] = 209086,
  [SMALL_STATE(7078)] = 209102,
  [SMALL_STATE(7079)] = 209116,
  [SMALL_STATE(7080)] = 209130,
  [SMALL_STATE(7081)] = 209146,
  [SMALL_STATE(7082)] = 209160,
  [SMALL_STATE(7083)] = 209176,
  [SMALL_STATE(7084)] = 209190,
  [SMALL_STATE(7085)] = 209204,
  [SMALL_STATE(7086)] = 209220,
  [SMALL_STATE(7087)] = 209234,
  [SMALL_STATE(7088)] = 209250,
  [SMALL_STATE(7089)] = 209266,
  [SMALL_STATE(7090)] = 209280,
  [SMALL_STATE(7091)] = 209296,
  [SMALL_STATE(7092)] = 209312,
  [SMALL_STATE(7093)] = 209326,
  [SMALL_STATE(7094)] = 209342,
  [SMALL_STATE(7095)] = 209356,
  [SMALL_STATE(7096)] = 209372,
  [SMALL_STATE(7097)] = 209388,
  [SMALL_STATE(7098)] = 209402,
  [SMALL_STATE(7099)] = 209416,
  [SMALL_STATE(7100)] = 209432,
  [SMALL_STATE(7101)] = 209446,
  [SMALL_STATE(7102)] = 209462,
  [SMALL_STATE(7103)] = 209478,
  [SMALL_STATE(7104)] = 209494,
  [SMALL_STATE(7105)] = 209510,
  [SMALL_STATE(7106)] = 209526,
  [SMALL_STATE(7107)] = 209540,
  [SMALL_STATE(7108)] = 209556,
  [SMALL_STATE(7109)] = 209572,
  [SMALL_STATE(7110)] = 209588,
  [SMALL_STATE(7111)] = 209604,
  [SMALL_STATE(7112)] = 209620,
  [SMALL_STATE(7113)] = 209633,
  [SMALL_STATE(7114)] = 209646,
  [SMALL_STATE(7115)] = 209659,
  [SMALL_STATE(7116)] = 209672,
  [SMALL_STATE(7117)] = 209685,
  [SMALL_STATE(7118)] = 209698,
  [SMALL_STATE(7119)] = 209711,
  [SMALL_STATE(7120)] = 209724,
  [SMALL_STATE(7121)] = 209737,
  [SMALL_STATE(7122)] = 209750,
  [SMALL_STATE(7123)] = 209763,
  [SMALL_STATE(7124)] = 209776,
  [SMALL_STATE(7125)] = 209789,
  [SMALL_STATE(7126)] = 209802,
  [SMALL_STATE(7127)] = 209815,
  [SMALL_STATE(7128)] = 209828,
  [SMALL_STATE(7129)] = 209841,
  [SMALL_STATE(7130)] = 209854,
  [SMALL_STATE(7131)] = 209867,
  [SMALL_STATE(7132)] = 209880,
  [SMALL_STATE(7133)] = 209893,
  [SMALL_STATE(7134)] = 209906,
  [SMALL_STATE(7135)] = 209919,
  [SMALL_STATE(7136)] = 209932,
  [SMALL_STATE(7137)] = 209945,
  [SMALL_STATE(7138)] = 209958,
  [SMALL_STATE(7139)] = 209971,
  [SMALL_STATE(7140)] = 209984,
  [SMALL_STATE(7141)] = 209997,
  [SMALL_STATE(7142)] = 210010,
  [SMALL_STATE(7143)] = 210023,
  [SMALL_STATE(7144)] = 210036,
  [SMALL_STATE(7145)] = 210049,
  [SMALL_STATE(7146)] = 210062,
  [SMALL_STATE(7147)] = 210075,
  [SMALL_STATE(7148)] = 210088,
  [SMALL_STATE(7149)] = 210101,
  [SMALL_STATE(7150)] = 210114,
  [SMALL_STATE(7151)] = 210127,
  [SMALL_STATE(7152)] = 210140,
  [SMALL_STATE(7153)] = 210153,
  [SMALL_STATE(7154)] = 210166,
  [SMALL_STATE(7155)] = 210179,
  [SMALL_STATE(7156)] = 210192,
  [SMALL_STATE(7157)] = 210205,
  [SMALL_STATE(7158)] = 210218,
  [SMALL_STATE(7159)] = 210231,
  [SMALL_STATE(7160)] = 210244,
  [SMALL_STATE(7161)] = 210257,
  [SMALL_STATE(7162)] = 210270,
  [SMALL_STATE(7163)] = 210283,
  [SMALL_STATE(7164)] = 210296,
  [SMALL_STATE(7165)] = 210309,
  [SMALL_STATE(7166)] = 210322,
  [SMALL_STATE(7167)] = 210335,
  [SMALL_STATE(7168)] = 210348,
  [SMALL_STATE(7169)] = 210361,
  [SMALL_STATE(7170)] = 210374,
  [SMALL_STATE(7171)] = 210387,
  [SMALL_STATE(7172)] = 210400,
  [SMALL_STATE(7173)] = 210413,
  [SMALL_STATE(7174)] = 210426,
  [SMALL_STATE(7175)] = 210439,
  [SMALL_STATE(7176)] = 210452,
  [SMALL_STATE(7177)] = 210465,
  [SMALL_STATE(7178)] = 210478,
  [SMALL_STATE(7179)] = 210491,
  [SMALL_STATE(7180)] = 210504,
  [SMALL_STATE(7181)] = 210517,
  [SMALL_STATE(7182)] = 210530,
  [SMALL_STATE(7183)] = 210543,
  [SMALL_STATE(7184)] = 210556,
  [SMALL_STATE(7185)] = 210569,
  [SMALL_STATE(7186)] = 210582,
  [SMALL_STATE(7187)] = 210595,
  [SMALL_STATE(7188)] = 210608,
  [SMALL_STATE(7189)] = 210621,
  [SMALL_STATE(7190)] = 210634,
  [SMALL_STATE(7191)] = 210647,
  [SMALL_STATE(7192)] = 210660,
  [SMALL_STATE(7193)] = 210673,
  [SMALL_STATE(7194)] = 210686,
  [SMALL_STATE(7195)] = 210699,
  [SMALL_STATE(7196)] = 210712,
  [SMALL_STATE(7197)] = 210725,
  [SMALL_STATE(7198)] = 210738,
  [SMALL_STATE(7199)] = 210751,
  [SMALL_STATE(7200)] = 210764,
  [SMALL_STATE(7201)] = 210777,
  [SMALL_STATE(7202)] = 210790,
  [SMALL_STATE(7203)] = 210803,
  [SMALL_STATE(7204)] = 210816,
  [SMALL_STATE(7205)] = 210829,
  [SMALL_STATE(7206)] = 210842,
  [SMALL_STATE(7207)] = 210855,
  [SMALL_STATE(7208)] = 210868,
  [SMALL_STATE(7209)] = 210881,
  [SMALL_STATE(7210)] = 210894,
  [SMALL_STATE(7211)] = 210907,
  [SMALL_STATE(7212)] = 210920,
  [SMALL_STATE(7213)] = 210933,
  [SMALL_STATE(7214)] = 210946,
  [SMALL_STATE(7215)] = 210959,
  [SMALL_STATE(7216)] = 210972,
  [SMALL_STATE(7217)] = 210985,
  [SMALL_STATE(7218)] = 210998,
  [SMALL_STATE(7219)] = 211011,
  [SMALL_STATE(7220)] = 211024,
  [SMALL_STATE(7221)] = 211037,
  [SMALL_STATE(7222)] = 211050,
  [SMALL_STATE(7223)] = 211063,
  [SMALL_STATE(7224)] = 211076,
  [SMALL_STATE(7225)] = 211089,
  [SMALL_STATE(7226)] = 211102,
  [SMALL_STATE(7227)] = 211115,
  [SMALL_STATE(7228)] = 211128,
  [SMALL_STATE(7229)] = 211141,
  [SMALL_STATE(7230)] = 211154,
  [SMALL_STATE(7231)] = 211167,
  [SMALL_STATE(7232)] = 211180,
  [SMALL_STATE(7233)] = 211193,
  [SMALL_STATE(7234)] = 211206,
  [SMALL_STATE(7235)] = 211219,
  [SMALL_STATE(7236)] = 211232,
  [SMALL_STATE(7237)] = 211245,
  [SMALL_STATE(7238)] = 211258,
  [SMALL_STATE(7239)] = 211271,
  [SMALL_STATE(7240)] = 211284,
  [SMALL_STATE(7241)] = 211297,
  [SMALL_STATE(7242)] = 211310,
  [SMALL_STATE(7243)] = 211323,
  [SMALL_STATE(7244)] = 211336,
  [SMALL_STATE(7245)] = 211349,
  [SMALL_STATE(7246)] = 211362,
  [SMALL_STATE(7247)] = 211375,
  [SMALL_STATE(7248)] = 211388,
  [SMALL_STATE(7249)] = 211401,
  [SMALL_STATE(7250)] = 211414,
  [SMALL_STATE(7251)] = 211427,
  [SMALL_STATE(7252)] = 211440,
  [SMALL_STATE(7253)] = 211453,
  [SMALL_STATE(7254)] = 211466,
  [SMALL_STATE(7255)] = 211479,
  [SMALL_STATE(7256)] = 211492,
  [SMALL_STATE(7257)] = 211505,
  [SMALL_STATE(7258)] = 211518,
  [SMALL_STATE(7259)] = 211531,
  [SMALL_STATE(7260)] = 211544,
  [SMALL_STATE(7261)] = 211557,
  [SMALL_STATE(7262)] = 211570,
  [SMALL_STATE(7263)] = 211583,
  [SMALL_STATE(7264)] = 211596,
  [SMALL_STATE(7265)] = 211609,
  [SMALL_STATE(7266)] = 211622,
  [SMALL_STATE(7267)] = 211635,
  [SMALL_STATE(7268)] = 211648,
  [SMALL_STATE(7269)] = 211661,
  [SMALL_STATE(7270)] = 211674,
  [SMALL_STATE(7271)] = 211687,
  [SMALL_STATE(7272)] = 211700,
  [SMALL_STATE(7273)] = 211713,
  [SMALL_STATE(7274)] = 211726,
  [SMALL_STATE(7275)] = 211739,
  [SMALL_STATE(7276)] = 211752,
  [SMALL_STATE(7277)] = 211765,
  [SMALL_STATE(7278)] = 211778,
  [SMALL_STATE(7279)] = 211791,
  [SMALL_STATE(7280)] = 211804,
  [SMALL_STATE(7281)] = 211817,
  [SMALL_STATE(7282)] = 211830,
  [SMALL_STATE(7283)] = 211843,
  [SMALL_STATE(7284)] = 211856,
  [SMALL_STATE(7285)] = 211869,
  [SMALL_STATE(7286)] = 211882,
  [SMALL_STATE(7287)] = 211895,
  [SMALL_STATE(7288)] = 211908,
  [SMALL_STATE(7289)] = 211921,
  [SMALL_STATE(7290)] = 211934,
  [SMALL_STATE(7291)] = 211947,
  [SMALL_STATE(7292)] = 211960,
  [SMALL_STATE(7293)] = 211973,
  [SMALL_STATE(7294)] = 211986,
  [SMALL_STATE(7295)] = 211999,
  [SMALL_STATE(7296)] = 212012,
  [SMALL_STATE(7297)] = 212025,
  [SMALL_STATE(7298)] = 212038,
  [SMALL_STATE(7299)] = 212051,
  [SMALL_STATE(7300)] = 212064,
  [SMALL_STATE(7301)] = 212077,
  [SMALL_STATE(7302)] = 212090,
  [SMALL_STATE(7303)] = 212103,
  [SMALL_STATE(7304)] = 212116,
  [SMALL_STATE(7305)] = 212129,
  [SMALL_STATE(7306)] = 212142,
  [SMALL_STATE(7307)] = 212155,
  [SMALL_STATE(7308)] = 212168,
  [SMALL_STATE(7309)] = 212181,
  [SMALL_STATE(7310)] = 212194,
  [SMALL_STATE(7311)] = 212207,
  [SMALL_STATE(7312)] = 212220,
  [SMALL_STATE(7313)] = 212233,
  [SMALL_STATE(7314)] = 212246,
  [SMALL_STATE(7315)] = 212259,
  [SMALL_STATE(7316)] = 212272,
  [SMALL_STATE(7317)] = 212285,
  [SMALL_STATE(7318)] = 212298,
  [SMALL_STATE(7319)] = 212311,
  [SMALL_STATE(7320)] = 212324,
  [SMALL_STATE(7321)] = 212337,
  [SMALL_STATE(7322)] = 212350,
  [SMALL_STATE(7323)] = 212363,
  [SMALL_STATE(7324)] = 212376,
  [SMALL_STATE(7325)] = 212389,
  [SMALL_STATE(7326)] = 212402,
  [SMALL_STATE(7327)] = 212415,
  [SMALL_STATE(7328)] = 212428,
  [SMALL_STATE(7329)] = 212441,
  [SMALL_STATE(7330)] = 212454,
  [SMALL_STATE(7331)] = 212467,
  [SMALL_STATE(7332)] = 212480,
  [SMALL_STATE(7333)] = 212493,
  [SMALL_STATE(7334)] = 212506,
  [SMALL_STATE(7335)] = 212519,
  [SMALL_STATE(7336)] = 212532,
  [SMALL_STATE(7337)] = 212545,
  [SMALL_STATE(7338)] = 212558,
  [SMALL_STATE(7339)] = 212571,
  [SMALL_STATE(7340)] = 212584,
  [SMALL_STATE(7341)] = 212597,
  [SMALL_STATE(7342)] = 212610,
  [SMALL_STATE(7343)] = 212623,
  [SMALL_STATE(7344)] = 212636,
  [SMALL_STATE(7345)] = 212649,
  [SMALL_STATE(7346)] = 212662,
  [SMALL_STATE(7347)] = 212675,
  [SMALL_STATE(7348)] = 212688,
  [SMALL_STATE(7349)] = 212701,
  [SMALL_STATE(7350)] = 212714,
  [SMALL_STATE(7351)] = 212727,
  [SMALL_STATE(7352)] = 212740,
  [SMALL_STATE(7353)] = 212753,
  [SMALL_STATE(7354)] = 212766,
  [SMALL_STATE(7355)] = 212779,
  [SMALL_STATE(7356)] = 212792,
  [SMALL_STATE(7357)] = 212805,
  [SMALL_STATE(7358)] = 212818,
  [SMALL_STATE(7359)] = 212831,
  [SMALL_STATE(7360)] = 212844,
  [SMALL_STATE(7361)] = 212857,
  [SMALL_STATE(7362)] = 212870,
  [SMALL_STATE(7363)] = 212883,
  [SMALL_STATE(7364)] = 212896,
  [SMALL_STATE(7365)] = 212909,
  [SMALL_STATE(7366)] = 212922,
  [SMALL_STATE(7367)] = 212935,
  [SMALL_STATE(7368)] = 212948,
  [SMALL_STATE(7369)] = 212961,
  [SMALL_STATE(7370)] = 212974,
  [SMALL_STATE(7371)] = 212987,
  [SMALL_STATE(7372)] = 213000,
  [SMALL_STATE(7373)] = 213013,
  [SMALL_STATE(7374)] = 213026,
  [SMALL_STATE(7375)] = 213039,
  [SMALL_STATE(7376)] = 213052,
  [SMALL_STATE(7377)] = 213065,
  [SMALL_STATE(7378)] = 213078,
  [SMALL_STATE(7379)] = 213091,
  [SMALL_STATE(7380)] = 213104,
  [SMALL_STATE(7381)] = 213117,
  [SMALL_STATE(7382)] = 213130,
  [SMALL_STATE(7383)] = 213143,
  [SMALL_STATE(7384)] = 213156,
  [SMALL_STATE(7385)] = 213169,
  [SMALL_STATE(7386)] = 213182,
  [SMALL_STATE(7387)] = 213195,
  [SMALL_STATE(7388)] = 213208,
  [SMALL_STATE(7389)] = 213221,
  [SMALL_STATE(7390)] = 213234,
  [SMALL_STATE(7391)] = 213247,
  [SMALL_STATE(7392)] = 213260,
  [SMALL_STATE(7393)] = 213273,
  [SMALL_STATE(7394)] = 213286,
  [SMALL_STATE(7395)] = 213299,
  [SMALL_STATE(7396)] = 213312,
  [SMALL_STATE(7397)] = 213325,
  [SMALL_STATE(7398)] = 213338,
  [SMALL_STATE(7399)] = 213351,
  [SMALL_STATE(7400)] = 213364,
  [SMALL_STATE(7401)] = 213377,
  [SMALL_STATE(7402)] = 213390,
  [SMALL_STATE(7403)] = 213403,
  [SMALL_STATE(7404)] = 213416,
  [SMALL_STATE(7405)] = 213429,
  [SMALL_STATE(7406)] = 213442,
  [SMALL_STATE(7407)] = 213455,
  [SMALL_STATE(7408)] = 213468,
  [SMALL_STATE(7409)] = 213481,
  [SMALL_STATE(7410)] = 213494,
  [SMALL_STATE(7411)] = 213507,
  [SMALL_STATE(7412)] = 213520,
  [SMALL_STATE(7413)] = 213533,
  [SMALL_STATE(7414)] = 213546,
  [SMALL_STATE(7415)] = 213559,
  [SMALL_STATE(7416)] = 213572,
  [SMALL_STATE(7417)] = 213585,
  [SMALL_STATE(7418)] = 213598,
  [SMALL_STATE(7419)] = 213611,
  [SMALL_STATE(7420)] = 213624,
  [SMALL_STATE(7421)] = 213637,
  [SMALL_STATE(7422)] = 213650,
  [SMALL_STATE(7423)] = 213663,
  [SMALL_STATE(7424)] = 213676,
  [SMALL_STATE(7425)] = 213689,
  [SMALL_STATE(7426)] = 213702,
  [SMALL_STATE(7427)] = 213715,
  [SMALL_STATE(7428)] = 213728,
  [SMALL_STATE(7429)] = 213741,
  [SMALL_STATE(7430)] = 213754,
  [SMALL_STATE(7431)] = 213767,
  [SMALL_STATE(7432)] = 213780,
  [SMALL_STATE(7433)] = 213793,
  [SMALL_STATE(7434)] = 213806,
  [SMALL_STATE(7435)] = 213819,
  [SMALL_STATE(7436)] = 213832,
  [SMALL_STATE(7437)] = 213845,
  [SMALL_STATE(7438)] = 213858,
  [SMALL_STATE(7439)] = 213871,
  [SMALL_STATE(7440)] = 213884,
  [SMALL_STATE(7441)] = 213897,
  [SMALL_STATE(7442)] = 213910,
  [SMALL_STATE(7443)] = 213923,
  [SMALL_STATE(7444)] = 213936,
  [SMALL_STATE(7445)] = 213949,
  [SMALL_STATE(7446)] = 213962,
  [SMALL_STATE(7447)] = 213975,
  [SMALL_STATE(7448)] = 213988,
  [SMALL_STATE(7449)] = 214001,
  [SMALL_STATE(7450)] = 214014,
  [SMALL_STATE(7451)] = 214027,
  [SMALL_STATE(7452)] = 214040,
  [SMALL_STATE(7453)] = 214053,
  [SMALL_STATE(7454)] = 214066,
  [SMALL_STATE(7455)] = 214079,
  [SMALL_STATE(7456)] = 214092,
  [SMALL_STATE(7457)] = 214105,
  [SMALL_STATE(7458)] = 214118,
  [SMALL_STATE(7459)] = 214131,
  [SMALL_STATE(7460)] = 214144,
  [SMALL_STATE(7461)] = 214157,
  [SMALL_STATE(7462)] = 214170,
  [SMALL_STATE(7463)] = 214183,
  [SMALL_STATE(7464)] = 214196,
  [SMALL_STATE(7465)] = 214209,
  [SMALL_STATE(7466)] = 214222,
  [SMALL_STATE(7467)] = 214235,
  [SMALL_STATE(7468)] = 214248,
  [SMALL_STATE(7469)] = 214261,
  [SMALL_STATE(7470)] = 214274,
  [SMALL_STATE(7471)] = 214287,
  [SMALL_STATE(7472)] = 214300,
  [SMALL_STATE(7473)] = 214313,
  [SMALL_STATE(7474)] = 214326,
  [SMALL_STATE(7475)] = 214339,
  [SMALL_STATE(7476)] = 214352,
  [SMALL_STATE(7477)] = 214365,
  [SMALL_STATE(7478)] = 214378,
  [SMALL_STATE(7479)] = 214391,
  [SMALL_STATE(7480)] = 214404,
  [SMALL_STATE(7481)] = 214417,
  [SMALL_STATE(7482)] = 214430,
  [SMALL_STATE(7483)] = 214443,
  [SMALL_STATE(7484)] = 214456,
  [SMALL_STATE(7485)] = 214469,
  [SMALL_STATE(7486)] = 214482,
  [SMALL_STATE(7487)] = 214495,
  [SMALL_STATE(7488)] = 214508,
  [SMALL_STATE(7489)] = 214521,
  [SMALL_STATE(7490)] = 214534,
  [SMALL_STATE(7491)] = 214547,
  [SMALL_STATE(7492)] = 214560,
  [SMALL_STATE(7493)] = 214573,
  [SMALL_STATE(7494)] = 214586,
  [SMALL_STATE(7495)] = 214599,
  [SMALL_STATE(7496)] = 214612,
  [SMALL_STATE(7497)] = 214625,
  [SMALL_STATE(7498)] = 214638,
  [SMALL_STATE(7499)] = 214651,
  [SMALL_STATE(7500)] = 214664,
  [SMALL_STATE(7501)] = 214677,
  [SMALL_STATE(7502)] = 214690,
  [SMALL_STATE(7503)] = 214703,
  [SMALL_STATE(7504)] = 214716,
  [SMALL_STATE(7505)] = 214729,
  [SMALL_STATE(7506)] = 214742,
  [SMALL_STATE(7507)] = 214755,
  [SMALL_STATE(7508)] = 214768,
  [SMALL_STATE(7509)] = 214781,
  [SMALL_STATE(7510)] = 214794,
  [SMALL_STATE(7511)] = 214807,
  [SMALL_STATE(7512)] = 214820,
  [SMALL_STATE(7513)] = 214833,
  [SMALL_STATE(7514)] = 214846,
  [SMALL_STATE(7515)] = 214859,
  [SMALL_STATE(7516)] = 214872,
  [SMALL_STATE(7517)] = 214885,
  [SMALL_STATE(7518)] = 214898,
  [SMALL_STATE(7519)] = 214911,
  [SMALL_STATE(7520)] = 214924,
  [SMALL_STATE(7521)] = 214937,
  [SMALL_STATE(7522)] = 214950,
  [SMALL_STATE(7523)] = 214963,
  [SMALL_STATE(7524)] = 214976,
  [SMALL_STATE(7525)] = 214989,
  [SMALL_STATE(7526)] = 215002,
  [SMALL_STATE(7527)] = 215015,
  [SMALL_STATE(7528)] = 215028,
  [SMALL_STATE(7529)] = 215041,
  [SMALL_STATE(7530)] = 215054,
  [SMALL_STATE(7531)] = 215067,
  [SMALL_STATE(7532)] = 215080,
  [SMALL_STATE(7533)] = 215093,
  [SMALL_STATE(7534)] = 215106,
  [SMALL_STATE(7535)] = 215119,
  [SMALL_STATE(7536)] = 215132,
  [SMALL_STATE(7537)] = 215145,
  [SMALL_STATE(7538)] = 215158,
  [SMALL_STATE(7539)] = 215171,
  [SMALL_STATE(7540)] = 215184,
  [SMALL_STATE(7541)] = 215197,
  [SMALL_STATE(7542)] = 215210,
  [SMALL_STATE(7543)] = 215223,
  [SMALL_STATE(7544)] = 215236,
  [SMALL_STATE(7545)] = 215249,
  [SMALL_STATE(7546)] = 215262,
  [SMALL_STATE(7547)] = 215275,
  [SMALL_STATE(7548)] = 215288,
  [SMALL_STATE(7549)] = 215301,
  [SMALL_STATE(7550)] = 215314,
  [SMALL_STATE(7551)] = 215327,
  [SMALL_STATE(7552)] = 215340,
  [SMALL_STATE(7553)] = 215353,
  [SMALL_STATE(7554)] = 215366,
  [SMALL_STATE(7555)] = 215379,
  [SMALL_STATE(7556)] = 215392,
  [SMALL_STATE(7557)] = 215405,
  [SMALL_STATE(7558)] = 215418,
  [SMALL_STATE(7559)] = 215431,
  [SMALL_STATE(7560)] = 215444,
  [SMALL_STATE(7561)] = 215457,
  [SMALL_STATE(7562)] = 215470,
  [SMALL_STATE(7563)] = 215483,
  [SMALL_STATE(7564)] = 215496,
  [SMALL_STATE(7565)] = 215509,
  [SMALL_STATE(7566)] = 215522,
  [SMALL_STATE(7567)] = 215535,
  [SMALL_STATE(7568)] = 215548,
  [SMALL_STATE(7569)] = 215561,
  [SMALL_STATE(7570)] = 215574,
  [SMALL_STATE(7571)] = 215587,
  [SMALL_STATE(7572)] = 215600,
  [SMALL_STATE(7573)] = 215613,
  [SMALL_STATE(7574)] = 215626,
  [SMALL_STATE(7575)] = 215639,
  [SMALL_STATE(7576)] = 215652,
  [SMALL_STATE(7577)] = 215665,
  [SMALL_STATE(7578)] = 215678,
  [SMALL_STATE(7579)] = 215691,
  [SMALL_STATE(7580)] = 215704,
  [SMALL_STATE(7581)] = 215717,
  [SMALL_STATE(7582)] = 215730,
  [SMALL_STATE(7583)] = 215743,
  [SMALL_STATE(7584)] = 215756,
  [SMALL_STATE(7585)] = 215769,
  [SMALL_STATE(7586)] = 215782,
  [SMALL_STATE(7587)] = 215795,
  [SMALL_STATE(7588)] = 215808,
  [SMALL_STATE(7589)] = 215821,
  [SMALL_STATE(7590)] = 215834,
  [SMALL_STATE(7591)] = 215847,
  [SMALL_STATE(7592)] = 215860,
  [SMALL_STATE(7593)] = 215873,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6302),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4528),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(806),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(696),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7383),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(814),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(747),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 237),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6731),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2172),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(873),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2157),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2026),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(573),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3880),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6733),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4522),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2042),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4494),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6913),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7034),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5869),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(260),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(613),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6731),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(99),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6721),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5873),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5874),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6720),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(464),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(488),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1336),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(229),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(278),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6458),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5524),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5528),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4264),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(914),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4555),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(160),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(651),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7569),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1818),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(652),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4973),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3136),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7568),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3138),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6363),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2166),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(883),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2025),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7507),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7115),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7114),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 94),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2212),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(870),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2153),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2027),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3884),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6433),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4526),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2020),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4517),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6435),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6437),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6302),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6447),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(119),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6454),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6425),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6390),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6457),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(470),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(531),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1702),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4255),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(913),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4528),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(149),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2208),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(884),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2036),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7565),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7564),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7562),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7099),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7166),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6910),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6908),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7204),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(84),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(263),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(276),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1818),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4969),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(556),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(801),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(667),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4506),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6318),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [2132] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3973),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [2138] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4211),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 232),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 232),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 232),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 113),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 113),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 113),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 112),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 112),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 112),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 122),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 122),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 122),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 89),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 89),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 75),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 75),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 149),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 149),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 149),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 29),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 29),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 49),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 49),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 49),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 168),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 168),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 168),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 172),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 172),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 172),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 172),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 172),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 172),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 190),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 190),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 190),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 191),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 191),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 191),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 218),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 218),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 218),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 111),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 111),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 149),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 172),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 190),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 191),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 218),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 232),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 112),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 172),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 113),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 122),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 168),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 49),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6928),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(84),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [2807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3828),
  [2810] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(268),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(782),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [2819] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6174),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7533),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(268),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6174),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7474),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6659),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 269),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 38),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 240),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 168),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 99),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 98),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 239),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 190),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 231),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 229),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 33),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 86),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 88),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 227),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 93),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 172),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 172),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 269),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 240),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 93),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 106),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 195),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 107),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 233),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 193),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 189),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 218),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 264),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 149),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 229),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 231),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 232),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 88),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 265),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 185),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 48),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 48),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 47),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 122),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 45),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 200),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, .production_id = 152),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 25),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 40),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 171),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 37),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 154),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 152),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 86),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 73),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 74),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 38),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 84),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 39),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 152),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 34),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 87),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 33),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 27),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 148),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 100),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 97),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 49),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 121),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 37),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 141),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 144),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 145),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 171),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 122),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 185),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 88),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 86),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 189),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 149),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 193),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 195),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, .production_id = 152),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 200),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 168),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 93),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 172),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 172),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 152),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 227),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 88),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 229),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 231),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 190),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 154),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 152),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 233),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 148),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 239),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 218),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 264),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 229),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 231),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 232),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 265),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 145),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 144),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 141),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 121),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 49),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 107),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 106),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 99),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 98),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 97),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 37),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 33),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 86),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 93),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 87),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 84),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 74),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 73),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 48),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 48),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 47),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 45),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 40),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 39),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 37),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 34),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 33),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 100),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 27),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 25),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 268),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 199),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 198),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 238),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7515),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5626),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [4194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [4200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 187),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 187),
  [4220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 146),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 146),
  [4252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 78),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 78),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(620),
  [4271] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7269),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1853),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(7024),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7286),
  [4297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1852),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(730),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [4328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(797),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6343),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT(4269),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6909),
  [4368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(299),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 75),
  [4388] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_rest_pattern, 2),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [4404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [4410] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(555),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 76),
  [4434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(820),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [4443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [4445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 60),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 58),
  [4456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 60),
  [4458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 58),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 60),
  [4462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [4464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 58),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [4610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2435),
  [4613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2647),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2760),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2947),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3446),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2843),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(4208),
  [4635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3796),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24),
  [4640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3671),
  [4643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(534),
  [4646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5549),
  [4649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5550),
  [4652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3398),
  [4655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(7297),
  [4658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(4203),
  [4661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6270),
  [4664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2656),
  [4667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2948),
  [4670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3429),
  [4673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2895),
  [4676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3535),
  [4679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3500),
  [4682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3715),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4338),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [4883] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [4899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [4909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [4937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [4951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 67),
  [4953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 67),
  [4955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 20),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 20),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [4961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [4979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [4983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 179),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 179),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 66),
  [4999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 66),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [5015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 68),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 68),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 58),
  [5025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 60),
  [5027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 224),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 224),
  [5031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [5033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [5035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [5101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 177),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 177),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 226),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 226),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2435),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2843),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [5127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 176),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 176),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3446),
  [5140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 66),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 66),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 63),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 63),
  [5158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [5160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [5162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [5164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [5166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 259),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 259),
  [5170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 146),
  [5176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 146),
  [5178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [5184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 58),
  [5198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 60),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [5226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 262),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 262),
  [5230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 76),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 76),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2760),
  [5253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 61),
  [5267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 61),
  [5269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2647),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 128),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 128),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 69),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 69),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 129),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 129),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 130),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 130),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 131),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 131),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [5296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 134),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 134),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 75), REDUCE(sym_nested_type_identifier, 3, .production_id = 134),
  [5311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 89), REDUCE(sym_nested_type_identifier, 3, .production_id = 134),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 136),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 136),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 58),
  [5320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 60),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 263),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 263),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 290),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 290),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 180),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 180),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 95),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 95),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 188),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 188),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [5370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2947),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [5385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 90), REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 90),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 151),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 151),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 150),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 150),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 147),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 147),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [5467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(223),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(223),
  [5477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 126),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 126),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 123),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 123),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 28),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 118),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 118),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [5543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 124),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 125),
  [5585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 118),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 118),
  [5593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 117),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 117),
  [5599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 116),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 116),
  [5603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(217),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 186),
  [5612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 170),
  [5614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 170),
  [5616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 30),
  [5626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 30),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(223),
  [5643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 85),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 85),
  [5647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 82),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 82),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 72),
  [5653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 81),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 81),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 30),
  [5661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 30),
  [5665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 80),
  [5667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 80),
  [5669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 71),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 72),
  [5699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(214),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [5708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 71),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 192),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 192),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 70), REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 70),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [5739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 94),
  [5741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 94), SHIFT(752),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [5746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(217),
  [5749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [5765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(217),
  [5768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [5788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(223),
  [5791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 90), REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [5801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [5813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 28),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [5817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 30), REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [5823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(217),
  [5826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [5830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 21),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 21),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [5846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(219),
  [5900] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [5924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 70),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(219),
  [5935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(219),
  [5938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(219),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [5963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 50),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [5970] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [5978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5985] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(215),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [6024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(222),
  [6027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [6066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(222),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 91),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 41),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 41),
  [6089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15), REDUCE(sym__parameter_name, 2, .production_id = 41),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6099] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 41),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 41),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(222),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(222),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 94), SHIFT(567),
  [6318] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 114),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [6330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 105),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 105),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [6370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 101),
  [6372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 101),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [6412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 18),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(218),
  [6467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [6477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 201),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 201),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [6487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [6499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(220),
  [6502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(220),
  [6505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(220),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(218),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [6529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [6532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 30), REDUCE(sym_object_pattern, 3, .production_id = 31),
  [6538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [6541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [6544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(220),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [6551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [6558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 157),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 157),
  [6564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(216),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 159),
  [6573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 159),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [6589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 44),
  [6591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 44),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [6613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(218),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(218),
  [6619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(221),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [6638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(221),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [6663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6821),
  [6679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(221),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(221),
  [6685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [6688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 85),
  [6691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 85),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [6724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 151),
  [6727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 151),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [6732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 150),
  [6735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 150),
  [6738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 49), REDUCE(sym_class, 4, .production_id = 149),
  [6741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 49), REDUCE(sym_class, 4, .production_id = 149),
  [6744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30),
  [6746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 116), REDUCE(sym_class, 5, .production_id = 192),
  [6749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 116), REDUCE(sym_class, 5, .production_id = 192),
  [6752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 113), REDUCE(sym_class, 5, .production_id = 191),
  [6755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 113), REDUCE(sym_class, 5, .production_id = 191),
  [6758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 112), REDUCE(sym_class, 5, .production_id = 190),
  [6761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 112), REDUCE(sym_class, 5, .production_id = 190),
  [6764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 168), REDUCE(sym_class, 6, .production_id = 232),
  [6767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 168), REDUCE(sym_class, 6, .production_id = 232),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [6772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 326),
  [6774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 326),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 122),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 122),
  [6780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 155),
  [6782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 155),
  [6784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 267),
  [6786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 267),
  [6788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 266),
  [6790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 266),
  [6792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 196),
  [6794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 196),
  [6796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 235),
  [6798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 235),
  [6800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 218),
  [6802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 218),
  [6804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 172),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 172),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 92),
  [6814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 92),
  [6816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 291),
  [6818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 291),
  [6820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3663),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 109),
  [6829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 109), SHIFT_REPEAT(3661),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [6834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 292),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 292),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [6842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [6852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 109),
  [6866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7281),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [6954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6270),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [7071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [7079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [7225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 88),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [7237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [7247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 160),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [7267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 165),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [7285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [7291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 110),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 250),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 250),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 210),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 160),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 88),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [7375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [7385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_type_parameter, 1, .production_id = 14),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [7390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(1954),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [7399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 212),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 250),
  [7403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 160),
  [7405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 165),
  [7407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 256),
  [7409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(7024),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 289),
  [7414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 250),
  [7418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 160),
  [7420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 88),
  [7422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 210),
  [7424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 88),
  [7426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 210),
  [7428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 110),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [7432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [7472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [7484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 58),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [7550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [7564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [7568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [7574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 140),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [7618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 140),
  [7620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 137),
  [7626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 137),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 76),
  [7634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 58),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [7728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [7744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [7752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 31),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [7782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [7834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 60),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [7848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 69),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7172),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [7858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 69),
  [7860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 18),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [7866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [7886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 282),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [7890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 221),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 121),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 164),
  [7938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 108),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [7954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [7962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(797),
  [7965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 127),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [7979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 60),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [7987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [8001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 142),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [8009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 142),
  [8011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [8015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [8023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 62),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [8029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7567),
  [8037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 14),
  [8047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 309),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [8057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 202),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 171),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [8075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [8086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 241),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 242),
  [8090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 175),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 274),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [8102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 275),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 174),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 293),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 328),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 319),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 314),
  [8114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 294),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [8178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2375),
  [8181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [8211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24),
  [8227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6363),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [8260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7353),
  [8267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(557),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [8306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [8328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 143),
  [8330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 143),
  [8332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 75),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5599),
  [8341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(564),
  [8346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5597),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [8353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30),
  [8427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [8445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 83),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [8467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 142),
  [8469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 142),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 252),
  [8545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [8547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [8607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [8623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [8629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 278),
  [8631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(730),
  [8634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 273),
  [8636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 272),
  [8638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 270),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [8642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 281),
  [8644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 258),
  [8646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 248),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 244),
  [8652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 296),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [8656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 297),
  [8658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [8660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 299),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [8664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 278),
  [8666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 302),
  [8668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 305),
  [8670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [8706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 36),
  [8708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(611),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [8717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 249),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [8721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 248),
  [8723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1856),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 244),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 143),
  [8734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 143),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 57),
  [8748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1864),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [8753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 299),
  [8755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 220),
  [8757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 208),
  [8759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 312),
  [8763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 313),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 206),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 219),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [8775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [8777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 317),
  [8779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [8793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1951),
  [8796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1861),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 322),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 325),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 208),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 206),
  [8835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 36),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 204),
  [8845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1900),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [8852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 203),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [8856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 36),
  [8858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1961),
  [8863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(2003),
  [8866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1863),
  [8869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [8873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 95),
  [8875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1950),
  [8880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(5848),
  [8883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [8887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 162),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [8893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 173),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 167),
  [8905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 95),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [8909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 58),
  [8911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 162),
  [8913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 331),
  [8915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 35),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [8945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [8957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(620),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [8972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [8980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 271),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [9058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [9086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 17),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 169),
  [9112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 169), SHIFT_REPEAT(498),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [9117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [9119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [9121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [9123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [9127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [9129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [9131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [9149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 17), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [9164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 133),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [9186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [9232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 43),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [9266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6179),
  [9271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 88),
  [9273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 228),
  [9275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 228), SHIFT_REPEAT(5655),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 228),
  [9280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 115),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [9284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6177),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [9295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 103),
  [9297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 51),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [9301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 65),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [9307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [9319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(856),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [9326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4748),
  [9329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [9331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [9341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [9343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 320),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [9351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 95),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [9359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 171),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [9367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 202),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [9375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 323),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7138),
  [9381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 321),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [9389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 207),
  [9391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [9401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 205),
  [9403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [9417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 96),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [9435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [9439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [9445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 91),
  [9447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [9459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 306),
  [9461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 217),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [9467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [9471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 88),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [9475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 33),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6638),
  [9484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 316),
  [9492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 315),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [9506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(407),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [9519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 303),
  [9521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 304),
  [9523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(725),
  [9532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [9534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(283),
  [9537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 35),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [9569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 230), SHIFT_REPEAT(3771),
  [9572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 230),
  [9574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(316),
  [9577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [9591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(443),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 236),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [9604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 318),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [9610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 243),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 245),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [9622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [9624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 241),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [9648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 242),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [9658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 251),
  [9660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 333),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [9670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [9672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [9742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3330),
  [9745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [9747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3468),
  [9750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [9756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [9776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 301),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [9780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1803),
  [9785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [9793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [9799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [9803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [9805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 60),
  [9807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 257),
  [9809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 324),
  [9811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1850),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [9822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [9830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(6026),
  [9833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [9839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1996),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [9872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 51),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [9876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [9878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 166),
  [9880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 293),
  [9882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 298),
  [9884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4482),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 96),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 300),
  [9895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 163),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [9907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 161),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [9919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 295),
  [9921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [9923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [9925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [9929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [9935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(820),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [9944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [9946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [9948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [9952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 276),
  [9954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 277),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [9960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 279),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [9966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 280),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [9974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [9978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 121),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 274),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [10010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4410),
  [10013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [10015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 327),
  [10017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 275),
  [10019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 329),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [10031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 330),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [10039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [10045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [10051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [10073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [10085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [10095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 332),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [10129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [10135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [10205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [10231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [10289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [10307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [10351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [10433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [10445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 42),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [10451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [10459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [10461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 197),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [10503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [10507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [10511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 194),
  [10515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 64),
  [10517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 194),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 35),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [10537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 95),
  [10539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 178),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [10575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 158),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 153),
  [10597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 156),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [10605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 153),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [10611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [10613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 135),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [10631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 36),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [10639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 132),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [10645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 88),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [10667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [10677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 104),
  [10679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 102),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [10755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [10775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [10843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [10853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7275),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [10871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [10993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [11099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [11239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [11253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [11341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [11467] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [11481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token__function_signature_automatic_semicolon = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_typescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
